/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* First part of user prologue.  */
#line 1 "gram.y" /* yacc.c:337  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2015, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 257 "gram.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTRIBUTE = 296,
    AUTHORIZATION = 297,
    BACKWARD = 298,
    BEFORE = 299,
    BEGIN_P = 300,
    BETWEEN = 301,
    BIGINT = 302,
    BINARY = 303,
    BIT = 304,
    BOOLEAN_P = 305,
    BOTH = 306,
    BY = 307,
    CACHE = 308,
    CALLED = 309,
    CASCADE = 310,
    CASCADED = 311,
    CASE = 312,
    CAST = 313,
    CATALOG_P = 314,
    CHAIN = 315,
    CHAR_P = 316,
    CHARACTER = 317,
    CHARACTERISTICS = 318,
    CHECK = 319,
    CHECKPOINT = 320,
    CLASS = 321,
    CLOSE = 322,
    CLUSTER = 323,
    COALESCE = 324,
    COLLATE = 325,
    COLLATION = 326,
    COLUMN = 327,
    COMMENT = 328,
    COMMENTS = 329,
    COMMIT = 330,
    COMMITTED = 331,
    CONCURRENTLY = 332,
    CONFIGURATION = 333,
    CONFLICT = 334,
    CONNECTION = 335,
    CONSTRAINT = 336,
    CONSTRAINTS = 337,
    CONTENT_P = 338,
    CONTINUE_P = 339,
    CONVERSION_P = 340,
    COPY = 341,
    COST = 342,
    CREATE = 343,
    CROSS = 344,
    CSV = 345,
    CUBE = 346,
    CURRENT_P = 347,
    CURRENT_CATALOG = 348,
    CURRENT_DATE = 349,
    CURRENT_ROLE = 350,
    CURRENT_SCHEMA = 351,
    CURRENT_TIME = 352,
    CURRENT_TIMESTAMP = 353,
    CURRENT_USER = 354,
    CURSOR = 355,
    CYCLE = 356,
    DATA_P = 357,
    DATABASE = 358,
    DAY_P = 359,
    DEALLOCATE = 360,
    DEC = 361,
    DECIMAL_P = 362,
    DECLARE = 363,
    DEFAULT = 364,
    DEFAULTS = 365,
    DEFERRABLE = 366,
    DEFERRED = 367,
    DEFINER = 368,
    DELETE_P = 369,
    DELIMITER = 370,
    DELIMITERS = 371,
    DESC = 372,
    DICTIONARY = 373,
    DISABLE_P = 374,
    DISCARD = 375,
    DISTINCT = 376,
    DO = 377,
    DOCUMENT_P = 378,
    DOMAIN_P = 379,
    DOUBLE_P = 380,
    DROP = 381,
    EACH = 382,
    ELSE = 383,
    ENABLE_P = 384,
    ENCODING = 385,
    ENCRYPTED = 386,
    END_P = 387,
    ENUM_P = 388,
    ESCAPE = 389,
    EVENT = 390,
    EXCEPT = 391,
    EXCLUDE = 392,
    EXCLUDING = 393,
    EXCLUSIVE = 394,
    EXECUTE = 395,
    EXISTS = 396,
    EXPLAIN = 397,
    EXTENSION = 398,
    EXTERNAL = 399,
    EXTRACT = 400,
    FALSE_P = 401,
    FAMILY = 402,
    FETCH = 403,
    FILTER = 404,
    FIRST_P = 405,
    FLOAT_P = 406,
    FOLLOWING = 407,
    FOR = 408,
    FORCE = 409,
    FOREIGN = 410,
    FORWARD = 411,
    FREEZE = 412,
    FROM = 413,
    FULL = 414,
    FUNCTION = 415,
    FUNCTIONS = 416,
    GLOBAL = 417,
    GRANT = 418,
    GRANTED = 419,
    GREATEST = 420,
    GROUP_P = 421,
    GROUPING = 422,
    HANDLER = 423,
    HAVING = 424,
    HEADER_P = 425,
    HOLD = 426,
    HOUR_P = 427,
    IDENTITY_P = 428,
    IF_P = 429,
    ILIKE = 430,
    IMMEDIATE = 431,
    IMMUTABLE = 432,
    IMPLICIT_P = 433,
    IMPORT_P = 434,
    IN_P = 435,
    INCLUDING = 436,
    INCREMENT = 437,
    INDEX = 438,
    INDEXES = 439,
    INHERIT = 440,
    INHERITS = 441,
    INITIALLY = 442,
    INLINE_P = 443,
    INNER_P = 444,
    INOUT = 445,
    INPUT_P = 446,
    INSENSITIVE = 447,
    INSERT = 448,
    INSTEAD = 449,
    INT_P = 450,
    INTEGER = 451,
    INTERSECT = 452,
    INTERVAL = 453,
    INTO = 454,
    INVOKER = 455,
    IS = 456,
    ISNULL = 457,
    ISOLATION = 458,
    JOIN = 459,
    KEY = 460,
    LABEL = 461,
    LANGUAGE = 462,
    LARGE_P = 463,
    LAST_P = 464,
    LATERAL_P = 465,
    LEADING = 466,
    LEAKPROOF = 467,
    LEAST = 468,
    LEFT = 469,
    LEVEL = 470,
    LIKE = 471,
    LIMIT = 472,
    LISTEN = 473,
    LOAD = 474,
    LOCAL = 475,
    LOCALTIME = 476,
    LOCALTIMESTAMP = 477,
    LOCATION = 478,
    LOCK_P = 479,
    LOCKED = 480,
    LOGGED = 481,
    MAPPING = 482,
    MATCH = 483,
    MATERIALIZED = 484,
    MAXVALUE = 485,
    MINUTE_P = 486,
    MINVALUE = 487,
    MODE = 488,
    MONTH_P = 489,
    MOVE = 490,
    NAME_P = 491,
    NAMES = 492,
    NATIONAL = 493,
    NATURAL = 494,
    NCHAR = 495,
    NEXT = 496,
    NO = 497,
    NONE = 498,
    NOT = 499,
    NOTHING = 500,
    NOTIFY = 501,
    NOTNULL = 502,
    NOWAIT = 503,
    NULL_P = 504,
    NULLIF = 505,
    NULLS_P = 506,
    NUMERIC = 507,
    OBJECT_P = 508,
    OF = 509,
    OFF = 510,
    OFFSET = 511,
    OIDS = 512,
    ON = 513,
    ONLY = 514,
    OPERATOR = 515,
    OPTION = 516,
    OPTIONS = 517,
    OR = 518,
    ORDER = 519,
    ORDINALITY = 520,
    OUT_P = 521,
    OUTER_P = 522,
    OVER = 523,
    OVERLAPS = 524,
    OVERLAY = 525,
    OWNED = 526,
    OWNER = 527,
    PARSER = 528,
    PARTIAL = 529,
    PARTITION = 530,
    PASSING = 531,
    PASSWORD = 532,
    PLACING = 533,
    PLANS = 534,
    POLICY = 535,
    POSITION = 536,
    PRECEDING = 537,
    PRECISION = 538,
    PRESERVE = 539,
    PREPARE = 540,
    PREPARED = 541,
    PRIMARY = 542,
    PRIOR = 543,
    PRIVILEGES = 544,
    PROCEDURAL = 545,
    PROCEDURE = 546,
    PROGRAM = 547,
    QUOTE = 548,
    RANGE = 549,
    READ = 550,
    REAL = 551,
    REASSIGN = 552,
    RECHECK = 553,
    RECURSIVE = 554,
    REF = 555,
    REFERENCES = 556,
    REFRESH = 557,
    REINDEX = 558,
    RELATIVE_P = 559,
    RELEASE = 560,
    RENAME = 561,
    REPEATABLE = 562,
    REPLACE = 563,
    REPLICA = 564,
    RESET = 565,
    RESTART = 566,
    RESTRICT = 567,
    RETURNING = 568,
    RETURNS = 569,
    REVOKE = 570,
    RIGHT = 571,
    ROLE = 572,
    ROLLBACK = 573,
    ROLLUP = 574,
    ROW = 575,
    ROWS = 576,
    RULE = 577,
    SAVEPOINT = 578,
    SCHEMA = 579,
    SCROLL = 580,
    SEARCH = 581,
    SECOND_P = 582,
    SECURITY = 583,
    SELECT = 584,
    SEQUENCE = 585,
    SEQUENCES = 586,
    SERIALIZABLE = 587,
    SERVER = 588,
    SESSION = 589,
    SESSION_USER = 590,
    SET = 591,
    SETS = 592,
    SETOF = 593,
    SHARE = 594,
    SHOW = 595,
    SIMILAR = 596,
    SIMPLE = 597,
    SKIP = 598,
    SMALLINT = 599,
    SNAPSHOT = 600,
    SOME = 601,
    SQL_P = 602,
    STABLE = 603,
    STANDALONE_P = 604,
    START = 605,
    STATEMENT = 606,
    STATISTICS = 607,
    STDIN = 608,
    STDOUT = 609,
    STORAGE = 610,
    STRICT_P = 611,
    STRIP_P = 612,
    SUBSTRING = 613,
    SYMMETRIC = 614,
    SYSID = 615,
    SYSTEM_P = 616,
    TABLE = 617,
    TABLES = 618,
    TABLESAMPLE = 619,
    TABLESPACE = 620,
    TEMP = 621,
    TEMPLATE = 622,
    TEMPORARY = 623,
    TEXT_P = 624,
    THEN = 625,
    TIME = 626,
    TIMESTAMP = 627,
    TO = 628,
    TRAILING = 629,
    TRANSACTION = 630,
    TRANSFORM = 631,
    TREAT = 632,
    TRIGGER = 633,
    TRIM = 634,
    TRUE_P = 635,
    TRUNCATE = 636,
    TRUSTED = 637,
    TYPE_P = 638,
    TYPES_P = 639,
    UNBOUNDED = 640,
    UNCOMMITTED = 641,
    UNENCRYPTED = 642,
    UNION = 643,
    UNIQUE = 644,
    UNKNOWN = 645,
    UNLISTEN = 646,
    UNLOGGED = 647,
    UNTIL = 648,
    UPDATE = 649,
    USER = 650,
    USING = 651,
    VACUUM = 652,
    VALID = 653,
    VALIDATE = 654,
    VALIDATOR = 655,
    VALUE_P = 656,
    VALUES = 657,
    VARCHAR = 658,
    VARIADIC = 659,
    VARYING = 660,
    VERBOSE = 661,
    VERSION_P = 662,
    VIEW = 663,
    VIEWS = 664,
    VOLATILE = 665,
    WHEN = 666,
    WHERE = 667,
    WHITESPACE_P = 668,
    WINDOW = 669,
    WITH = 670,
    WITHIN = 671,
    WITHOUT = 672,
    WORK = 673,
    WRAPPER = 674,
    WRITE = 675,
    XML_P = 676,
    XMLATTRIBUTES = 677,
    XMLCONCAT = 678,
    XMLELEMENT = 679,
    XMLEXISTS = 680,
    XMLFOREST = 681,
    XMLPARSE = 682,
    XMLPI = 683,
    XMLROOT = 684,
    XMLSERIALIZE = 685,
    YEAR_P = 686,
    YES_P = 687,
    ZONE = 688,
    NOT_LA = 689,
    NULLS_LA = 690,
    WITH_LA = 691,
    POSTFIXOP = 692,
    UMINUS = 693
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 191 "gram.y" /* yacc.c:352  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 779 "gram.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  755
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   92495

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  456
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  612
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2490
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4946

#define YYUNDEFTOK  2
#define YYMAXUTOK   693

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   445,     2,     2,
     450,   451,   443,   441,   454,   442,   452,   444,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   455,   453,
     437,   439,   438,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   448,     2,   449,   446,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   440,   447
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   732,   732,   739,   746,   756,   757,   758,   759,   760,
     761,   762,   763,   764,   765,   766,   767,   768,   769,   770,
     771,   772,   773,   774,   775,   776,   777,   778,   779,   780,
     781,   782,   783,   784,   785,   786,   787,   788,   789,   790,
     791,   792,   793,   794,   795,   796,   797,   798,   799,   800,
     801,   802,   803,   804,   805,   806,   807,   808,   809,   810,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   832,   833,   834,   835,   836,   837,   838,   839,   840,
     841,   842,   843,   844,   845,   846,   847,   848,   849,   850,
     851,   852,   853,   854,   855,   856,   857,   858,   859,   860,
     861,   862,   863,   864,   865,   866,   867,   868,   869,   870,
     871,   872,   873,   874,   875,   876,   877,   879,   889,   900,
     901,   902,   911,   912,   916,   917,   921,   926,   930,   935,
     940,   944,   948,   953,   957,  1015,  1017,  1021,  1025,  1029,
    1033,  1047,  1065,  1076,  1077,  1081,  1089,  1107,  1119,  1127,
    1148,  1155,  1174,  1181,  1198,  1216,  1227,  1228,  1240,  1247,
    1264,  1274,  1284,  1299,  1317,  1318,  1322,  1329,  1337,  1338,
    1339,  1340,  1341,  1342,  1356,  1362,  1368,  1377,  1385,  1393,
    1397,  1405,  1413,  1420,  1430,  1431,  1439,  1450,  1458,  1466,
    1477,  1485,  1493,  1500,  1509,  1519,  1520,  1524,  1525,  1528,
    1530,  1534,  1535,  1536,  1537,  1541,  1542,  1543,  1549,  1561,
    1565,  1569,  1584,  1591,  1592,  1593,  1597,  1598,  1599,  1603,
    1604,  1608,  1612,  1613,  1620,  1627,  1637,  1644,  1654,  1655,
    1660,  1661,  1666,  1672,  1678,  1684,  1690,  1700,  1710,  1711,
    1715,  1716,  1724,  1739,  1745,  1751,  1757,  1763,  1782,  1791,
    1800,  1811,  1822,  1831,  1840,  1851,  1862,  1871,  1880,  1889,
    1898,  1907,  1916,  1927,  1941,  1942,  1947,  1955,  1963,  1972,
    1980,  1988,  1997,  2006,  2015,  2024,  2034,  2047,  2062,  2071,
    2079,  2094,  2102,  2112,  2122,  2129,  2136,  2144,  2152,  2159,
    2166,  2174,  2182,  2190,  2197,  2204,  2212,  2219,  2226,  2234,
    2242,  2250,  2258,  2266,  2274,  2284,  2291,  2299,  2307,  2315,
    2323,  2331,  2338,  2345,  2352,  2358,  2368,  2369,  2373,  2374,
    2375,  2379,  2387,  2391,  2392,  2396,  2403,  2410,  2417,  2427,
    2430,  2431,  2435,  2436,  2441,  2445,  2449,  2454,  2469,  2482,
    2483,  2488,  2497,  2507,  2517,  2543,  2549,  2579,  2608,  2630,
    2631,  2635,  2636,  2645,  2646,  2647,  2650,  2651,  2656,  2657,
    2661,  2665,  2669,  2673,  2677,  2681,  2685,  2689,  2693,  2697,
    2701,  2705,  2709,  2713,  2722,  2726,  2730,  2734,  2738,  2742,
    2746,  2747,  2752,  2756,  2763,  2770,  2771,  2772,  2773,  2774,
    2778,  2782,  2790,  2801,  2817,  2834,  2851,  2881,  2882,  2883,
    2884,  2885,  2892,  2899,  2900,  2904,  2905,  2909,  2910,  2914,
    2918,  2925,  2929,  2936,  2937,  2938,  2942,  2943,  2946,  2967,
    2988,  2989,  2993,  3001,  3002,  3003,  3034,  3041,  3048,  3059,
    3070,  3080,  3089,  3122,  3129,  3136,  3143,  3154,  3164,  3165,
    3166,  3170,  3171,  3172,  3173,  3174,  3175,  3184,  3192,  3196,
    3209,  3224,  3238,  3253,  3267,  3285,  3306,  3307,  3311,  3312,
    3316,  3317,  3320,  3326,  3330,  3338,  3343,  3349,  3350,  3354,
    3359,  3366,  3367,  3377,  3379,  3381,  3383,  3386,  3389,  3392,
    3396,  3397,  3398,  3399,  3400,  3403,  3404,  3409,  3410,  3411,
    3412,  3415,  3416,  3417,  3418,  3421,  3422,  3425,  3426,  3429,
    3444,  3457,  3473,  3487,  3488,  3489,  3501,  3514,  3530,  3543,
    3544,  3556,  3576,  3586,  3599,  3607,  3618,  3619,  3622,  3623,
    3626,  3630,  3634,  3638,  3642,  3646,  3650,  3654,  3658,  3662,
    3666,  3670,  3676,  3677,  3681,  3682,  3683,  3688,  3691,  3692,
    3704,  3716,  3731,  3732,  3740,  3741,  3745,  3746,  3750,  3751,
    3755,  3756,  3760,  3771,  3784,  3785,  3795,  3806,  3807,  3820,
    3827,  3844,  3852,  3863,  3866,  3870,  3874,  3878,  3890,  3900,
    3903,  3907,  3920,  3930,  3940,  3949,  3958,  3967,  3977,  3986,
    3996,  4005,  4014,  4023,  4032,  4041,  4050,  4059,  4068,  4077,
    4086,  4095,  4104,  4113,  4122,  4131,  4141,  4159,  4170,  4171,
    4172,  4173,  4177,  4178,  4182,  4183,  4193,  4204,  4224,  4232,
    4244,  4245,  4249,  4253,  4261,  4265,  4269,  4276,  4280,  4285,
    4290,  4297,  4304,  4309,  4319,  4333,  4334,  4339,  4340,  4344,
    4345,  4355,  4366,  4386,  4395,  4403,  4420,  4440,  4470,  4479,
    4500,  4515,  4516,  4520,  4528,  4543,  4554,  4555,  4565,  4573,
    4590,  4612,  4628,  4642,  4653,  4667,  4668,  4672,  4673,  4677,
    4678,  4682,  4683,  4687,  4688,  4692,  4693,  4694,  4695,  4696,
    4708,  4728,  4753,  4754,  4755,  4759,  4761,  4783,  4785,  4787,
    4789,  4791,  4796,  4801,  4811,  4812,  4816,  4817,  4821,  4822,
    4826,  4827,  4828,  4832,  4836,  4837,  4838,  4842,  4843,  4848,
    4849,  4876,  4877,  4878,  4879,  4880,  4881,  4886,  4897,  4920,
    4930,  4944,  4946,  4951,  4956,  4958,  4963,  4973,  4974,  4975,
    4976,  4988,  5008,  5031,  5041,  5052,  5062,  5072,  5083,  5092,
    5099,  5106,  5115,  5124,  5133,  5142,  5151,  5162,  5165,  5166,
    5169,  5173,  5180,  5181,  5182,  5183,  5184,  5187,  5190,  5191,
    5199,  5206,  5207,  5210,  5212,  5223,  5233,  5243,  5255,  5256,
    5272,  5287,  5288,  5292,  5302,  5313,  5322,  5332,  5341,  5342,
    5345,  5346,  5349,  5350,  5351,  5354,  5368,  5373,  5383,  5392,
    5404,  5405,  5409,  5417,  5429,  5439,  5452,  5462,  5484,  5494,
    5512,  5523,  5534,  5544,  5554,  5564,  5574,  5585,  5599,  5600,
    5601,  5602,  5603,  5604,  5605,  5606,  5607,  5608,  5609,  5610,
    5611,  5612,  5613,  5617,  5618,  5621,  5622,  5625,  5627,  5632,
    5633,  5644,  5655,  5656,  5657,  5690,  5699,  5708,  5717,  5726,
    5735,  5744,  5753,  5767,  5776,  5785,  5795,  5804,  5813,  5821,
    5830,  5839,  5848,  5860,  5861,  5862,  5863,  5864,  5865,  5866,
    5867,  5868,  5869,  5870,  5871,  5872,  5873,  5874,  5875,  5876,
    5877,  5878,  5879,  5880,  5884,  5885,  5899,  5910,  5921,  5932,
    5943,  5954,  5965,  5978,  5979,  5983,  5984,  5985,  5986,  5987,
    5988,  5989,  5990,  5991,  5992,  5993,  5996,  5997,  6007,  6013,
    6021,  6029,  6037,  6045,  6053,  6061,  6069,  6077,  6085,  6093,
    6101,  6109,  6117,  6125,  6133,  6141,  6151,  6152,  6155,  6156,
    6166,  6182,  6196,  6222,  6224,  6226,  6228,  6235,  6244,  6245,
    6248,  6255,  6262,  6269,  6283,  6291,  6299,  6307,  6315,  6323,
    6331,  6339,  6347,  6355,  6363,  6371,  6379,  6387,  6395,  6403,
    6415,  6416,  6420,  6421,  6426,  6427,  6431,  6432,  6437,  6453,
    6466,  6476,  6488,  6489,  6492,  6493,  6503,  6513,  6514,  6518,
    6522,  6526,  6537,  6550,  6564,  6581,  6582,  6583,  6584,  6596,
    6622,  6651,  6652,  6656,  6657,  6661,  6662,  6666,  6667,  6670,
    6671,  6679,  6690,  6701,  6714,  6715,  6718,  6719,  6720,  6723,
    6724,  6725,  6728,  6729,  6730,  6746,  6758,  6771,  6786,  6787,
    6790,  6791,  6795,  6796,  6804,  6805,  6809,  6810,  6825,  6834,
    6843,  6852,  6861,  6873,  6874,  6875,  6876,  6877,  6883,  6887,
    6902,  6903,  6909,  6919,  6923,  6928,  6936,  6977,  6981,  6985,
    6989,  6997,  6998,  7003,  7004,  7011,  7015,  7019,  7023,  7027,
    7031,  7035,  7039,  7043,  7047,  7051,  7055,  7059,  7063,  7067,
    7075,  7079,  7083,  7087,  7091,  7097,  7098,  7105,  7106,  7110,
    7111,  7114,  7126,  7130,  7145,  7156,  7157,  7162,  7163,  7178,
    7189,  7203,  7214,  7228,  7239,  7253,  7261,  7263,  7265,  7270,
    7272,  7285,  7294,  7295,  7299,  7303,  7315,  7326,  7337,  7350,
    7351,  7352,  7356,  7369,  7370,  7380,  7392,  7396,  7400,  7404,
    7411,  7432,  7441,  7450,  7459,  7470,  7471,  7474,  7475,  7476,
    7479,  7480,  7483,  7493,  7502,  7519,  7529,  7538,  7547,  7556,
    7565,  7574,  7583,  7593,  7602,  7611,  7620,  7629,  7639,  7649,
    7658,  7667,  7677,  7687,  7697,  7707,  7717,  7727,  7737,  7747,
    7757,  7767,  7777,  7787,  7798,  7809,  7820,  7831,  7841,  7851,
    7862,  7873,  7883,  7893,  7901,  7910,  7919,  7928,  7937,  7946,
    7955,  7964,  7973,  7987,  7988,  7991,  7992,  8002,  8012,  8021,
    8030,  8039,  8048,  8058,  8068,  8077,  8086,  8095,  8104,  8113,
    8122,  8131,  8140,  8149,  8158,  8167,  8176,  8185,  8194,  8203,
    8212,  8229,  8238,  8246,  8254,  8262,  8270,  8279,  8287,  8295,
    8304,  8312,  8320,  8328,  8336,  8344,  8352,  8360,  8368,  8376,
    8393,  8410,  8411,  8412,  8417,  8423,  8432,  8433,  8434,  8435,
    8436,  8440,  8441,  8444,  8445,  8446,  8447,  8451,  8452,  8453,
    8458,  8469,  8491,  8501,  8502,  8505,  8514,  8520,  8539,  8546,
    8553,  8560,  8567,  8574,  8581,  8589,  8597,  8605,  8613,  8621,
    8628,  8635,  8644,  8645,  8646,  8650,  8653,  8656,  8659,  8662,
    8669,  8671,  8673,  8678,  8680,  8692,  8705,  8718,  8736,  8757,
    8758,  8759,  8760,  8770,  8786,  8796,  8797,  8801,  8802,  8806,
    8810,  8814,  8832,  8833,  8834,  8835,  8836,  8837,  8838,  8845,
    8846,  8857,  8864,  8871,  8882,  8899,  8906,  8924,  8930,  8946,
    8959,  8968,  8976,  8984,  8993,  9004,  9015,  9025,  9026,  9037,
    9047,  9058,  9069,  9080,  9091,  9100,  9112,  9113,  9127,  9150,
    9158,  9167,  9178,  9179,  9191,  9205,  9219,  9231,  9239,  9252,
    9253,  9257,  9258,  9259,  9260,  9264,  9274,  9287,  9288,  9292,
    9293,  9296,  9297,  9300,  9301,  9305,  9306,  9319,  9326,  9336,
    9343,  9353,  9354,  9355,  9356,  9357,  9358,  9359,  9360,  9361,
    9365,  9369,  9376,  9383,  9384,  9388,  9389,  9390,  9400,  9410,
    9411,  9415,  9416,  9417,  9418,  9428,  9435,  9452,  9471,  9472,
    9482,  9488,  9494,  9500,  9516,  9534,  9538,  9546,  9552,  9558,
    9567,  9569,  9574,  9585,  9595,  9605,  9611,  9620,  9629,  9635,
    9636,  9647,  9661,  9662,  9673,  9684,  9685,  9688,  9689,  9690,
    9691,  9692,  9693,  9694,  9695,  9698,  9699,  9703,  9704,  9705,
    9716,  9734,  9735,  9739,  9740,  9744,  9760,  9786,  9819,  9830,
    9831,  9841,  9852,  9855,  9856,  9857,  9858,  9859,  9862,  9863,
    9864,  9912,  9913,  9917,  9918,  9933,  9934,  9941,  9949,  9957,
    9965,  9973,  9981,  9992,  9993, 10020, 10034, 10049, 10050, 10069,
   10073, 10077, 10094, 10101, 10108, 10118, 10119, 10122, 10134, 10135,
   10139, 10151, 10159, 10164, 10169, 10174, 10179, 10187, 10195, 10200,
   10205, 10212, 10213, 10217, 10218, 10219, 10226, 10227, 10231, 10232,
   10236, 10237, 10241, 10245, 10246, 10249, 10258, 10271, 10272, 10273,
   10274, 10278, 10279, 10283, 10285, 10301, 10303, 10308, 10311, 10316,
   10317, 10325, 10345, 10346, 10348, 10353, 10354, 10358, 10359, 10362,
   10363, 10388, 10389, 10393, 10394, 10398, 10399, 10400, 10401, 10402,
   10406, 10419, 10426, 10433, 10440, 10441, 10445, 10446, 10450, 10451,
   10455, 10456, 10460, 10471, 10472, 10473, 10474, 10478, 10479, 10484,
   10490, 10508, 10509, 10513, 10514, 10520, 10525, 10533, 10540, 10548,
   10583, 10608, 10612, 10638, 10642, 10654, 10667, 10681, 10692, 10707,
   10713, 10718, 10724, 10731, 10732, 10740, 10744, 10748, 10754, 10761,
   10766, 10767, 10768, 10769, 10773, 10774, 10786, 10787, 10792, 10799,
   10806, 10813, 10824, 10825, 10838, 10842, 10849, 10862, 10875, 10876,
   10891, 10901, 10913, 10918, 10919, 10922, 10923, 10926, 10927, 10932,
   10933, 10938, 10939, 10947, 10952, 10953, 10957, 10961, 10967, 10997,
   11002, 11009, 11014, 11020, 11025, 11034, 11036, 11039, 11043, 11044,
   11045, 11046, 11047, 11048, 11053, 11073, 11074, 11075, 11076, 11087,
   11093, 11101, 11102, 11108, 11113, 11118, 11123, 11128, 11133, 11138,
   11143, 11149, 11155, 11161, 11168, 11190, 11199, 11203, 11211, 11215,
   11223, 11235, 11256, 11260, 11266, 11270, 11283, 11294, 11309, 11311,
   11313, 11315, 11317, 11319, 11324, 11325, 11329, 11330, 11337, 11346,
   11354, 11363, 11374, 11382, 11383, 11384, 11388, 11390, 11392, 11394,
   11396, 11398, 11400, 11405, 11410, 11416, 11424, 11429, 11436, 11443,
   11447, 11451, 11487, 11488, 11490, 11498, 11513, 11515, 11517, 11519,
   11521, 11523, 11525, 11527, 11529, 11531, 11533, 11535, 11537, 11539,
   11542, 11544, 11546, 11549, 11551, 11553, 11555, 11558, 11563, 11571,
   11576, 11584, 11589, 11597, 11602, 11611, 11619, 11627, 11635, 11653,
   11661, 11669, 11677, 11685, 11701, 11709, 11717, 11725, 11733, 11741,
   11749, 11753, 11759, 11763, 11767, 11775, 11783, 11791, 11799, 11819,
   11841, 11852, 11859, 11875, 11880, 11897, 11899, 11901, 11903, 11905,
   11907, 11909, 11911, 11913, 11915, 11917, 11919, 11921, 11923, 11925,
   11927, 11929, 11931, 11933, 11935, 11939, 11945, 11949, 11953, 11958,
   11974, 11975, 11976, 11991, 12025, 12027, 12029, 12040, 12064, 12075,
   12086, 12094, 12104, 12114, 12123, 12127, 12133, 12140, 12147, 12157,
   12164, 12192, 12227, 12238, 12239, 12246, 12252, 12278, 12288, 12301,
   12309, 12322, 12332, 12345, 12355, 12368, 12372, 12376, 12380, 12384,
   12388, 12392, 12394, 12398, 12407, 12412, 12419, 12434, 12441, 12445,
   12449, 12453, 12457, 12464, 12472, 12480, 12484, 12488, 12492, 12496,
   12500, 12506, 12510, 12519, 12523, 12527, 12532, 12546, 12548, 12552,
   12554, 12556, 12559, 12562, 12565, 12566, 12569, 12577, 12587, 12588,
   12591, 12592, 12593, 12598, 12602, 12606, 12610, 12621, 12622, 12626,
   12627, 12635, 12636, 12640, 12641, 12646, 12654, 12656, 12670, 12673,
   12700, 12701, 12704, 12705, 12716, 12734, 12741, 12750, 12767, 12812,
   12820, 12828, 12836, 12844, 12865, 12866, 12867, 12870, 12871, 12874,
   12877, 12878, 12879, 12882, 12883, 12886, 12887, 12888, 12889, 12890,
   12891, 12892, 12893, 12894, 12895, 12896, 12897, 12900, 12902, 12907,
   12909, 12914, 12916, 12918, 12920, 12922, 12924, 12936, 12940, 12947,
   12951, 12957, 12961, 12970, 12981, 12982, 12985, 12989, 12993, 12999,
   13000, 13005, 13009, 13016, 13017, 13018, 13019, 13020, 13021, 13022,
   13023, 13033, 13037, 13044, 13051, 13052, 13068, 13072, 13077, 13081,
   13096, 13101, 13105, 13108, 13111, 13112, 13113, 13116, 13123, 13133,
   13147, 13148, 13152, 13163, 13164, 13167, 13168, 13171, 13175, 13182,
   13186, 13190, 13197, 13207, 13208, 13212, 13213, 13216, 13217, 13228,
   13229, 13238, 13239, 13247, 13257, 13258, 13262, 13263, 13266, 13282,
   13290, 13298, 13320, 13321, 13332, 13336, 13363, 13365, 13370, 13373,
   13376, 13378, 13380, 13382, 13392, 13394, 13405, 13409, 13413, 13417,
   13421, 13430, 13437, 13469, 13473, 13479, 13486, 13490, 13494, 13500,
   13501, 13503, 13504, 13505, 13509, 13539, 13566, 13570, 13576, 13578,
   13595, 13596, 13597, 13602, 13603, 13604, 13609, 13610, 13611, 13612,
   13618, 13619, 13620, 13621, 13622, 13642, 13643, 13644, 13645, 13646,
   13647, 13648, 13649, 13650, 13651, 13652, 13653, 13654, 13655, 13656,
   13657, 13658, 13659, 13660, 13661, 13662, 13663, 13664, 13665, 13666,
   13667, 13668, 13669, 13670, 13671, 13672, 13673, 13674, 13675, 13676,
   13677, 13678, 13679, 13680, 13681, 13682, 13683, 13684, 13685, 13686,
   13687, 13688, 13689, 13690, 13691, 13692, 13693, 13694, 13695, 13696,
   13697, 13698, 13699, 13700, 13701, 13702, 13703, 13704, 13705, 13706,
   13707, 13708, 13709, 13710, 13711, 13712, 13713, 13714, 13715, 13716,
   13717, 13718, 13719, 13720, 13721, 13722, 13723, 13724, 13725, 13726,
   13727, 13728, 13729, 13730, 13731, 13732, 13733, 13734, 13735, 13736,
   13737, 13738, 13739, 13740, 13741, 13742, 13743, 13744, 13745, 13746,
   13747, 13748, 13749, 13750, 13751, 13752, 13753, 13754, 13755, 13756,
   13757, 13758, 13759, 13760, 13761, 13762, 13763, 13764, 13765, 13766,
   13767, 13768, 13769, 13770, 13771, 13772, 13773, 13774, 13775, 13776,
   13777, 13778, 13779, 13780, 13781, 13782, 13783, 13784, 13785, 13786,
   13787, 13788, 13789, 13790, 13791, 13792, 13793, 13794, 13795, 13796,
   13797, 13798, 13799, 13800, 13801, 13802, 13803, 13804, 13805, 13806,
   13807, 13808, 13809, 13810, 13811, 13812, 13813, 13814, 13815, 13816,
   13817, 13818, 13819, 13820, 13821, 13822, 13823, 13824, 13825, 13826,
   13827, 13828, 13829, 13830, 13831, 13832, 13833, 13834, 13835, 13836,
   13837, 13838, 13839, 13840, 13841, 13842, 13843, 13844, 13845, 13846,
   13847, 13848, 13849, 13850, 13851, 13852, 13853, 13854, 13855, 13856,
   13857, 13858, 13859, 13860, 13861, 13862, 13863, 13864, 13865, 13866,
   13867, 13868, 13869, 13870, 13871, 13872, 13873, 13874, 13875, 13876,
   13877, 13878, 13879, 13880, 13881, 13882, 13883, 13884, 13885, 13886,
   13887, 13888, 13889, 13890, 13891, 13892, 13893, 13894, 13895, 13896,
   13897, 13898, 13899, 13900, 13901, 13902, 13903, 13904, 13905, 13906,
   13907, 13908, 13909, 13923, 13924, 13925, 13926, 13927, 13928, 13929,
   13930, 13931, 13932, 13933, 13934, 13935, 13936, 13937, 13938, 13939,
   13940, 13941, 13942, 13943, 13944, 13945, 13946, 13947, 13948, 13949,
   13950, 13951, 13952, 13953, 13954, 13955, 13956, 13957, 13958, 13959,
   13960, 13961, 13962, 13963, 13964, 13965, 13966, 13967, 13968, 13969,
   13970, 13984, 13985, 13986, 13987, 13988, 13989, 13990, 13991, 13992,
   13993, 13994, 13995, 13996, 13997, 13998, 13999, 14000, 14001, 14002,
   14003, 14004, 14005, 14006, 14016, 14017, 14018, 14019, 14020, 14021,
   14022, 14023, 14024, 14025, 14026, 14027, 14028, 14029, 14030, 14031,
   14032, 14033, 14034, 14035, 14036, 14037, 14038, 14039, 14040, 14041,
   14042, 14043, 14044, 14045, 14046, 14047, 14048, 14049, 14050, 14051,
   14052, 14053, 14054, 14055, 14056, 14057, 14058, 14059, 14060, 14061,
   14062, 14063, 14064, 14065, 14066, 14067, 14068, 14069, 14070, 14071,
   14072, 14073, 14074, 14075, 14076, 14077, 14078, 14079, 14080, 14081,
   14082, 14083, 14084, 14085, 14086, 14087, 14088, 14089, 14090, 14091,
   14092
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER",
  "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS",
  "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,    60,    62,    61,
     692,    43,    45,    42,    47,    37,    94,   693,    91,    93,
      40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4469

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4469)))

#define YYTABLE_NINF -2397

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2397)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    9084,  1331, 13013, -4469, -4469,  1331, -4469, 63724,   531,   761,
     879,   163, 13767, 64155, 71051,   498,   927, 11477,  1331, 71051,
     958, 49070, 60707,   939, 71051,   405,   781, 49070, 71051, 71482,
     986,   967,   153, 71913, 64586, 59414,   889, 71051,  1170,   346,
   72344, 65017,  1017, 65448,   781, 45632,   315,   948, 72775, 71051,
    1505,  1468,  1089, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469,   531, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469,  1692, -4469,  1053,
    1917,    21,   399,  1064, -4469, -4469, -4469, 57259, 71051, 71051,
   71051,  1266, 71051,  1215, 71051,   185, 57259, 53380, 65879,  1327,
    1189, 42178, 73206, -4469, 51656, 71051, 71051, 73637, 71051,  1159,
   62000, 71051,  1363, 71051, 71051, 52087, 74068,  1427,  1324, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, 71051,  8641,   405, -4469, -4469, 71051,  1375,
   57259, 71051,  1368, 71051,  1486, 71051, -4469, 71051,  1560, 74499,
     423,  1114, 53380,  1308, 42610,  1517, 71051, 53380, 74930, 71051,
   71051, -4469, -4469,  1639, 71051, 71051, -4469,  1743, 53811,  1295,
    1753,  1921,  1819,  1150, -4469, 66310, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, 56397,   927, -4469, -4469, 57690, 71051,
    1838, -4469, -4469, 75361, 89967,  1659, -4469,   676, 58121, 54242,
    1972,  1656, 43042,  2004, 75792, 54673, 76223, -4469, -4469, 76654,
   -4469, 77085,  1768,  1838, 77516, 90386, 55104, -4469,  1893, 77947,
   -4469,  1681,   978,  1145, 38710, -4469, -4469, -4469,   531, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469,   187,  1101,   215,
     207,   222, -4469, -4469,   208,   209,   218,   187,  2109,  2109,
   -4469, 71051, -4469, -4469,  1101,    46,  1703,  1703,  1703,  1866,
      11, -4469,  1703,  1813, -4469, -4469, -4469, -4469, 65448, -4469,
    1709,   405,  1708,  2119,  1802, -4469, -4469, -4469, -4469, -4469,
    1784, 71051, 71051, 71051, -4469, -4469,  2154,  1804,  2018,  1773,
   -4469, -4469, -4469,  1984,  1985,  2003,   121,   405,  1889, -4469,
    2118, -4469,  2019, 27193, 27193,   405, 66741, 78378,   234, 56397,
     405, 67172,  1851,  1138,  2028, -4469, -4469, -4469,   401, -4469,
    2248,  1867,  2110,  1773,  1324, 40011, -4469,  1886,  1214, 65448,
   -4469, -4469, -4469,   203,  2178, 27641, -4469, 71051,  1882, -4469,
    1890,  1882,  1896,  1912,    21, -4469,  9084, 71051,  1192,  1192,
    2289,  1192,  1443,  1646, -4469,  2133, -4469,  2201,  2183, 65448,
     948,   264, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469,  1942,  1214, -4469,   270, -4469,
     109,  1934,  1334,  1455, -4469, -4469,   746, 71051,  2041,   232,
      42,  1997, 67603,  3420,  1975, -4469, -4469, -4469,  2123,  1333,
   -4469, -4469, -4469, -4469,  2250,  2295,  8000,   322, 68034, -4469,
   -4469, -4469, -4469, 71051, 71051, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469,  1991, -4469, -4469,  1990,  2324,  2214,
    2298,  2194,  1337,  2231,  1524,  2366,  7108,  1043, 68465, 71051,
    2330,  2370,  8224,  1377,   733,  2265,  1036,  2298,  2379,  2242,
    1337,  2396,  8574, 71051, -4469,  2334,  2444,   555, -4469,   617,
   -4469,  2161,  2306,    53, 57259,  2120, -4469, -4469, 71051, -4469,
   -4469, 90805,  2187, -4469,   703, 57259, -4469,  2318,  2169, 43474,
   71051, -4469, 71051, -4469, -4469, -4469, -4469, -4469,  2256,  2436,
   71051, 90805, -4469,  2387, 71051, -4469,  1703,  2307,  2155,  2542,
   90805,   122, 71051,  1513,  2583, 71051,  2375,  1513,  2216, 78809,
   -4469, -4469,  1513, -4469, -4469, -4469, 71051, 71051,  2195,  1447,
    2386,  1513,  2393,  2630,  2632,  2292,  2404,   896,  1227,   171,
    2525,  1513,  2272, 79240, 79671, 71051,  2273, 71051,  2605, 57259,
   71051,  2530, -4469,  2395, -4469, -4469,  1014, -4469, -4469, -4469,
   -4469,  2545,  1942,   743,  2548,  2243,  2553, -4469, -4469, -4469,
    2290, -4469,  2290,  2290,  2246,  2246,  2417,  2252,  2557, -4469,
   -4469, -4469,  1930,  2290,  2246, -4469, 91643, -4469,  1271,  1432,
   -4469,   196, -4469,  2669, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469,   138, -4469,   769,  1358, -4469, -4469,  2286, -4469,
    2565,  1975,  2566, -4469,  2254, 80102, -4469, 80533, 80964,  2568,
    1991, 53380,  2571,  2456,  2575,  2254,  2578,  2462,  2580,   743,
    2581, -4469,   971,  2572,  2588,  2466,  2590,   196,  2593,  1779,
    2254, 56828,  2595,   198, -4469, 29433, -4469,  2364, -4469,   948,
   -4469,  1577, -4469, 48208, -4469,  1145,  1101, -4469, 71051,  1101,
   71051,  1101, 71051,  1101, 71051,  1101, 71051, 71051, 71051,  1101,
   -4469, -4469, -4469, 71051,  2287, 71051, 71051, -4469, -4469, -4469,
   61138, 53380, 61569, -4469, 71051, -4469,   341,   405, -4469, -4469,
   90805,  2704, 53380,  2605, -4469,  1596, -4469, -4469, -4469, -4469,
   -4469, -4469,  2528, 71051,  2594,  2599, 61138, 53380, -4469, 81395,
   56397,  2490,  2305, -4469, -4469, -4469, -4469, -4469,  1640,  2751,
     290,  2752, 29433,  2309,   285,   285,  2310,  2608, -4469, -4469,
   -4469,   294,  2312,  2314, -4469,   250,   250,  2315,  2317, -4469,
     265,  2320,  2321,  2763,  2767,   276,  2326,  2328,  2329,  1930,
     285, 29433, -4469,  2331,   250,  2333,  2343,  2344,  2779,  2345,
   -4469,  2791,  2347,   277,   336,  2349,  2350, -4469,  2315, -4469,
     230,  2351,  2352,  2355,  2358,  2359,  2360,  2368,  2369, 29433,
   29433, 29433, -4469, 25849,  1214,   405, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469,   283,  4755, -4469,  2398, -4469, -4469,
    2551, -4469, -4469, 29433, -4469, -4469,    95, -4469,   284, -4469,
   -4469, -4469,  1214,  2622,  2371, -4469, -4469,  1496,  2372, -4469,
    1905, -4469, -4469, -4469, -4469, -4469, -4469, 55535,  2788, -4469,
     313,   405,   617,   311,  2732, 47346, 47777, -4469, -4469,  2616,
   -4469, 71051, -4469, -4469, 29433, 45201, -4469,  1214,   146, -4469,
   -4469, -4469,  1612, -4469, -4469, -4469,   531, -4469, 12626, -4469,
    1632,  1882, 71051, 71051,  2797, -4469, -4469, -4469,  1890, -4469,
   -4469,    21,    21, 29433,    21,  1028,  1548, 28089, 29881,  2680,
    2582,  1065,  1322,  2681, -4469,  2586,  1443,  1646, 65448, 71051,
   81826,  2505, -4469, 46063,  1471,  1214,  2469,  2470,  2520, 49932,
    2394,  2474,  2475,  2526, -4469,  2634, -4469, -4469,  2476,  2479,
   82257, -4469, -4469,  1071, -4469, -4469, -4469,  1071, -4469,  2414,
    1353,   940,  1106,  2481,   193,   192,  2774, -4469,  1042,  2533,
   -4469, -4469, -4469,  5194, 71051,  2717,  8588,  2602,   322,  2534,
   -4469, -4469,  2649,  2492,  2496,  2623,   322,   255, 82688, -4469,
   -4469, -4469, -4469, -4469, -4469,  3307, 24563, -4469,  2500,  2484,
    2509, 71051, 58552,  1733,  2627,  1522,  1803,   770,  2560, 71051,
     242,  2633, 71051,  2438,  2518,  2521,  2722,  2448,  1095,  2822,
    2451, -4469, -4469, -4469,   407,  1936,  2636, -4469,  2726,  2768,
    9256,  2514,  2515, 89129,  1399, 43906, 71051, 71051,  2811,  1576,
    2543, -4469, -4469, -4469,  1576, 71051,  2546,  2549, 71051,   322,
   -4469,  2863,   322,   322,  1461,  2866,  2550,   382,  1785,  1513,
    2451,  1728, -4469,  2555,  2559,   808, -4469,  2659, -4469, -4469,
    1164,  2561, 65448,   231,  1809,  2451,  2562,  2563,  2448,  2448,
   71051, 71051, 71051, 71051, 71051,   182,  2889,  2898,  2570,   211,
    2620,  2494, -4469,  1576, 52518,  2573, -4469,  1576, 71051,  2577,
    1968,  2451,  1599,  1627, -4469, -4469, -4469,  1324, -4469, 71051,
   -4469, 71051,  1942, 90805,  2693,  2753, -4469,  2537, -4469,  1975,
     322, -4469, 71051, 71051,  1991,  2695,   189,   995, 90805,  2699,
    2757, 71051,  2759,  2554, -4469,   244, 46489, -4469,  2195,  2511,
    2928, 71051, 49932, -4469,  2940,  1071, -4469, 90805,  2707,  2827,
   -4469, 71051,  2728,  2536, -4469,  2861,  2579, -4469, -4469,    41,
   71051, -4469,  2839, 53380,   714,   405,  2576, 53380,  2761, 71051,
   71051, 71051, 71051, -4469, -4469,  2735,   973,   124, -4469, 52518,
   -4469, 71051,  2755,  1728,  2760,  2960,    98,  1703, 83119,  2843,
   -4469, 83550,  2547,  2966, 90805,  2795, -4469,  1715, -4469,  2678,
   -4469, 57259,   743, -4469, -4469, -4469, -4469, 90805, 71051, -4469,
    2556, -4469, -4469, 29433, -4469, -4469, -4469,  2109, -4469, 90805,
    2290,  2290, -4469, -4469,  2973,  2637,  2639,  2109, -4469,  2109,
   -4469, 90805, -4469,  2567,  2569,  2677,  2109, -4469,  2641,  2646,
    2647, -4469,  2587,  2648,  2109, -4469, -4469,  1726, -4469, 83981,
   57259,   743, 53380, 53380,  2884,   198,  2891,  2642,  2892,  2643,
   43906,   743,   238, 71051, 71051, 53380, 71051, 71051, 71051, -4469,
   71051, -4469, -4469, -4469, -4469, 90805, 71051, 71051, 90805, -4469,
   53380, 52518,  2894,  2902,   743, 71051, 71051, -4469, 12626,  1644,
   84412,  1145, 55966, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, 71051, -4469, 71051, -4469, 71051, -4469, 71051, -4469, 71051,
   -4469, -4469, -4469, 71051, -4469, 71051,  1648, -4469, -4469,  1650,
     863, 71051, 71051,   184, 57259, 71051,  2792, 71051, 71051, 71051,
   71051, 71051,  2671,  2372,   -12, -4469,  1163,   243, 65448,  2798,
   -4469, -4469,  1654,  1505,  1084, 71051,   848,  1784, -4469, -4469,
   61569, 60707,  2893,   317, 71051, -4469, -4469,  2380, 29433,  1214,
   26745, -4469, -4469, 12626,  2644, 29433, 29433,  2600,  2109,  2109,
   -4469,   974, 29433, 29433, 29433,  2109,  2109,  5144, 29433, 43906,
   29433, 33465, 22797, 29433, 29433, 26297, -4469, 29433,  2816, 35245,
   29433,   311,  2817, 29433,   311,  5144,  3043,  3043,  1828,  3721,
    2603,  1214, -4469,  2109,  1031, -4469,   239, 90805, 29433, 29433,
   29433, 29433, 49932,  2685,   199, 71051, 29433,  2609,  1518, -4469,
   29433, -4469,  2611, 29433,  2689,   845, 29433, 29433, 29433, 29433,
   29433, 29433, 29433, 29433, 29433, -4469, 36111,   330,  2901,  2909,
     647,   501, 68896, 27193,  2906, 21899, -4469,   300,  2906, -4469,
   -4469, -4469, 71051,  2788, -4469, -4469,  2697, -4469, -4469, -4469,
   -4469, -4469,   291, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
    2619, -4469, -4469, -4469, -4469,  2619, -4469,  2625,  2885, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469,  2904,  2905,   743, 71051,   203,
   62431, -4469, 27641, -4469,  1668, -4469,  2629, -4469,  2887, -4469,
    2628, -4469,  6580,  2887, -4469, -4469, 34355,  2742,  2883,  2830,
   -4469, -4469, -4469,  2638, 12626, 30329, 30329, -4469,  1792, 12626,
    1987, -4469, -4469, -4469, -4469, -4469, -4469,  1142, -4469, 71051,
     888,  2680,  1322,  2694,   802,  3058, 71051, -4469, 40444,  2829,
   -4469,  3044, -4469, 91643, -4469,  2651, -4469, 91224, 87860, -4469,
   -4469,   883, -4469,   841,  2724,  2725,  2776, 53380, 71051, 71051,
   -4469, 49932, 53380, 71051, 71051, -4469, 53380, 71051, 71051, -4469,
   -4469, -4469, -4469, -4469, 48639,  1049, 60707,  2780, 59845, -4469,
   -4469,  2653, 71051,  2709,  2903,  2908,  1273, -4469, -4469, 84843,
   -4469,  2858, 53380, 71051, 71051, 29433,  2860, 71051, 71051, -4469,
     335,  2737,  2743, -4469, 71051,  2745, 57259,  2665, 71051, 71051,
   90805,  2741,   750, 57259,  2712, 44338, 71051, 71051, 71051, 71051,
    2796,  2968, 90805, 71051,  2917,  1222, 65448,   194,  2056,  2451,
    2877, -4469,   262, -4469, 53380, 71051,  2870, -4469, -4469, -4469,
   69327,  3089,  2789, -4469, -4469, 85274, -4469, -4469, -4469,  1669,
   -4469, 53380, 53380, 71051,  9630, 71051,  1387, -4469, -4469, 90805,
   -4469, 71051, 71051, 71051,  2918, 71051, 62862, 85705, 86136,   536,
    1186,  2924, 71051, 63293,  2925, -4469,  2821, 71051, -4469, -4469,
   50363, 53380, 71051,   796, 49932, -4469, -4469, 71051, -4469,  2886,
     959, -4469, 71051,  6966, -4469, -4469,  2769,  2781, 71051,   249,
    2193,  2451, 71051, 71051,  2690,  1685,  2777,  2823, -4469,  2897,
    1238, 71051, 78378, -4469, 53380,   937, -4469,  2845, 53380, 71051,
   12215, -4469, -4469,   322, -4469, -4469, -4469, -4469, -4469, 71051,
   71051,   322, 71051,   322,   783, -4469, 53380, 71051, -4469, -4469,
   -4469, 71051, 10248, 71051, 71051, 71051, 71051, 53380, 71051, -4469,
   -4469,  1148,  1225,  1495,  1589,  2850, 71051,  2975, 71051, 86567,
   53380, 71051, 71051, 71051,  1530, -4469, -4469,  2824, -4469, 53380,
     937, -4469, 10467, 71051, 71051,  2790,  2794,   233,  2869, -4469,
   -4469, -4469, -4469, -4469, -4469,  2961,  3126, 86998,   811, -4469,
    2964,  2967,  2773,  2783,  2969, 71051,   811, 71051, -4469, -4469,
   -4469, -4469,  2965, 71051,   811,  2972,   811,  2920,   649, -4469,
   -4469,  1513, -4469,  2744,  1687, -4469, -4469, 29433, 90805, -4469,
    1721, -4469,  2746,   973, -4469, -4469, 49932, 71051,   709,  1013,
    3039, 58983,  1579,  3029, 71051,  2778, 71051,  3031,  1579, 71051,
   -4469,  1470, 60707, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469,  3032, -4469,   405,  2195,  2195,  2195,  2195, -4469,
   -4469, -4469, -4469,  2934,  1704, -4469,  2739,  2195, 71051,  2865,
    1579,  2756,  3052, -4469,  1728,  3066,   104, 71051, 58983,  1941,
    2799,  2971,  3174,  1703,   405,  2976,  2952, -4469, 24982,  5988,
    2953,  3006, 56397,  3045,  3048,  3069, -4469,  1942, -4469,  3188,
   -4469, 29433,  1729,  2782,   196, -4469, -4469,  2784,  2569,  2802,
    2805,  2793,  2800, -4469,  2109,   220, 71051,  2801,   170,   175,
    2900,  2109,  2991,  2803, -4469,  3087,   743,  1975, -4469,  2254,
   -4469, 71051, -4469, 71051, 71051, 71051, 71051,  1991, -4469, -4469,
    2982,   743,  2254,  2983,   743,   743, -4469,  3022,  2984,   743,
     196,  2254,  2910,  3077, 56397, -4469,   198, -4469, -4469, 29433,
    2987,  1703, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
    1744, -4469, 71051, -4469,  3065,  3067,  3068,  2806,  2807,  2831,
   71051,  2808, -4469,  2806,   322,  2806,  2372,  2372,  2806,  2807,
   52949,  3223,  3091, -4469,  2880,  2809,  3099,   195, -4469,   200,
      57,  3037, -4469, -4469, -4469, -4469, 90805, -4469, -4469, -4469,
   -4469, -4469, 53380,  2849, 71051, 71051, -4469,   152,  3007,  2818,
   52949,  3221,   743, -4469, 57259, -4469, -4469, 90805,  2896,  2913,
   57259,  3023,  2871, -4469, -4469, -4469, -4469, -4469, 90805, -4469,
    3070, 71051,  1754, -4469, -4469,  1565, -4469,  1575, 29433,   157,
   -4469, 10376,  1755, 29433,  2832,  2836, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469,  2837,  3120, -4469,  1764,  1769,  1778,  2838,
    2840,  2867,  2841, 10720,  2842,  2844, 33465, 33465, 25849,  1723,
   -4469, 33465,  2851,  3011,  1780,  9806,  2846,  2852, 11018, 28537,
   29433, 28537, 28537, 11230,  2846,  2864,  1782, 49932,  3038, 11728,
    1806, -4469, 29433, 49932,  3343, 29433, -4469, 29433,  2874, -4469,
   -4469,  2758,  2758,  2758,  5144, -4469,  2899, -4469, 33465, 33465,
   -4469,  1701, 25849, -4469, -4469,  3159, -4469, -4469,  1531, -4469,
    2868, -4469, -4469,  3083, 43906,  5618, 29433,   237, 29433,  2609,
   29433,  2947,  2758,  2758,  2758,   398,   398,   221,   221,   221,
    1781,   501, -4469, -4469, -4469,  2888,  2895,  2907,  3071,  2912,
   29433, -4469,  1818,  2002, 71051,  2339,  2415,  2723, -4469, -4469,
   -4469, 36978,  2921, 29433, 29433, 29433,  2890, -4469,  2135, 12626,
      97, -4469,   295,  2921, -4469,  1324,  2109,  1031, 48208, -4469,
   -4469, 29433, -4469, -4469, -4469,  1890, -4469, -4469, -4469, -4469,
   -4469, 71051,  1505, 29433, -4469, -4469,   527,  2911,   609,  3076,
    2023,  2023,  1792,  3078, -4469, -4469,  2942, -4469, 29433,  2051,
   -4469,  2078, -4469, -4469, -4469, -4469,  2372, -4469,  3117, -4469,
   -4469, -4469, 36978,  2932,  2945, 39577,  3090, -4469, 71051, -4469,
   71051,   162, -4469, -4469, -4469,  2916, -4469, -4469, 87860,  1358,
   -4469, 91224, -4469, 91224, -4469,  1358,  3297, -4469, 87860,  1588,
   53380, 71051, 71051, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, 53380, 53380,  3092, 71051,
    3102,  3094, 29433,   947, 71051,  2915,  2919,  1404,  3183, 71051,
   -4469,  3226,   743, -4469, -4469,  2995, -4469, 12626, -4469, -4469,
   -4469, -4469, -4469, 53380, 71051, -4469, 56397, -4469,  1942, 90805,
   -4469, -4469, -4469, 71051,  2951, 71051, -4469, 71051, 71051, 71051,
    1991, -4469, -4469, -4469, -4469,  1079, 90805, -4469, -4469, 71051,
   71051,   763,  2998,  2999, 71051, -4469,  1201,  2659, 11781, 71051,
   71051, 71051,  3182, -4469, -4469, -4469, -4469,  3125, -4469, -4469,
   87860, -4469,  2254,   114,  3003,  2451, -4469,  3115, -4469,   980,
   -4469,  3050, -4469, -4469, -4469, -4469,  3238,   743,  3239,   743,
   71051, 71051, 71051, 71051,  3053, -4469, -4469, -4469, -4469,  3054,
    3170, -4469, 49932, 49932, 49932,  1812, -4469, -4469,   405, -4469,
   -4469, -4469, -4469, -4469, -4469,  3203, -4469,  1816, -4469,   -27,
   -4469, -4469, -4469, -4469, -4469, -4469, 53380, 71051, 12075, 71051,
   71051, 71051,  1552, -4469,   884, 90805, -4469, 89548, 53380, 71051,
   71051,  3015, 53380,  2994, -4469, -4469, -4469,  3175,  3114, -4469,
     821,  3116, 53380,  3002, -4469,  3024, -4469, -4469,  3025,  2296,
    2451,  1728, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
    1057,   247,  2300,  2451,  3026, -4469,  3027, -4469, -4469, -4469,
    3169,  3176,  3177,  3028,  3034,  3081,  3035,  3036,  3086, -4469,
    3055,  3088,  3056,  3093,  3057,   743, 90805,  3158,   405,  3075,
    3284,   743, -4469,  3063, -4469, -4469,  3386, -4469, 71051, -4469,
    3064,  2420,  2451, -4469, -4469, 53380, 71051, -4469, -4469, -4469,
     811, 90805, 71051,  3230, -4469, -4469, -4469,   811,   811, 71051,
   71051,   811,  3237, -4469,  3240, 71051,  3241, -4469,   811, -4469,
   -4469, -4469, -4469,  2307,  2989, 41746, -4469,  3437,  3878,  2992,
   -4469, 49932, 41746,  1788,  1242,   338,  1513, 56397, 71051, 56397,
   -4469,  1013,  3115, 71051, 71051,  2993,  2996, -4469, -4469, -4469,
   -4469, 53380,  1016, 53380,  2109, -4469, -4469,  3073, -4469, 71051,
    1703,   329,  3084,  3404,  2632,   714,  3140,  1457,  3347,  2799,
   -4469, -4469, -4469, -4469, 71051, 71051,   973,   405, -4469,  3010,
    3000, -4469, 71051, 71051, 71051, 71051, 71051,  2849,  3012,  3014,
   90805,   593,  3209,  3210,  2448,  3432,  3328,  1505,  2799,  3098,
    3334, 71051, -4469,  1824,   116, -4469,   405, 56397, 88279,  3323,
   -4469,  5448, -4469, -4469,   224, 71051,  3309, -4469, -4469,  1505,
     743, 90805,  1843, -4469, -4469, -4469,  2109, -4469, -4469,  1456,
    1456,  3033, -4469,  3040, -4469,  3419, -4469, -4469, -4469, -4469,
   -4469, -4469,  3042, -4469, -4469, 71051, -4469,   743,   198,  3100,
     743,  3101,   743,   743, 71051, -4469, 71051, -4469, -4469, 71051,
   71051, -4469, -4469, 71051, 52518,   743, -4469, 12626,  3342, -4469,
   -4469,  3161,  3162,  3163, 71051,  2806, 57259, -4469,  3041, 53380,
     813, -4469, -4469,  3227, -4469, -4469, 65448,  3157, -4469, -4469,
   -4469, -4469,  3355,  3360, -4469, -4469, -4469,   228, -4469, -4469,
   -4469, 53380, 61138,   258, 53380, -4469,  1942,  3300, -4469, -4469,
    1975,   322, -4469,  3301, 71051,  3303, -4469, -4469, -4469,  3082,
   11858, 29433, -4469,  3374, 90805, -4469,  4243, -4469, -4469, -4469,
   29433, -4469, -4469, -4469, -4469, -4469, 29433, -4469, 29433,  3353,
   -4469, 23246,  3502,  3502,  3061, 90805, 33465, 33465, 33465, 33465,
    1156,  2333, 33465, 33465, 33465, 33465, 33465, 33465, 33465, 33465,
   33465, 34803,   550, -4469,  3247, 29433, 29433,  3368,  3353, -4469,
   90805,  3080,  2846,  3085,  3095, 29433, -4469, -4469,  1845, 35678,
    3097, 49932, -4469, 29433,  9843,  1855,  3127, 12531,  1214,  4293,
     405, 29433,  2585,  2977, 29433,  1861, 29433,  3375, -4469, -4469,
   -4469,  3103, -4469, -4469, 90805, 29433,  3104,  3497, 33465, 33465,
    3567, -4469,  4171, 29433, 25849, -4469,  3268,  3123, 40877, -4469,
   23695,  3096,   781,   781,   781,   781, -4469, 71051, 71051, 71051,
   37411,  3380, 36544, 69758,  3106,  1307, -4469, 69758, 70189, -4469,
    3105, -4469,  3107,  1214, 29433,  3373,   661,   661,  3268, -4469,
   29433, 29433, 28985,  3110, -4469,  3373,   617,  3111, -4469, -4469,
    9462, -4469, -4469,  3112, -4469,  3108, -4469,  2911,  1442, -4469,
   -4469, -4469,  3281, -4469, -4469, -4469, -4469,  3106, 30777,  3229,
   -4469,  1868, -4469, -4469,  3470,  3229, -4469, -4469,  1880, 40444,
    2932, 27641,  1214,  1891,  1610, -4469, -4469, 87860, -4469,  3171,
   -4469, -4469, -4469,  2254,  2254,   757,  2806,  3399,   757,  5095,
   -4469, -4469, 37844, 71051, 71051, -4469, 71051,  1895,  1382, 71051,
   -4469, 71051, -4469, -4469, -4469, -4469,  3521, -4469, 71051, -4469,
   -4469,  3172,  3173, -4469, 71051, 71051, 71051, 71051,  3363, -4469,
   -4469,  1934, -4469, -4469, 53380, 71051, -4469, -4469, -4469,   260,
    2512,  2451, -4469,  3198, -4469, -4469,  3381, -4469,  3522,  3208,
   71051,  3129, -4469,  1382,   692,  2448,   235, -4469, -4469,  3193,
   -4469, 71051, -4469, 71051, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469,  3249, -4469, -4469, -4469, -4469, 50363, -4469, -4469, 71051,
   -4469, 49932, 41746, 49932, -4469,  1282,   356,  2532,  2451, -4469,
    3207, -4469,  3211,  3212,  3257,   154,   925,  3213,  3214,  3258,
    3132,  3137,  3138, -4469, -4469,  3285, 71051,  2254,  3142,  3178,
     187,   405, -4469, -4469,   405,  2254,   405, 71051, 71051, 71051,
    3542,  3231, 71051, 71051, 71051, 71051, 71051, 71051,  3442,   176,
    1820, 53380, 71051, 71051, 53380, 71051, 71051, 71051, 71051, 71051,
   71051, 71051, -4469,  3528,  3459,   376,  3499,  3219, 71051, -4469,
   71051,  2659, 71051, 71051, -4469, -4469, -4469,  3153,  3409,   811,
   -4469, -4469,  3410,  3411, -4469,   811,   811,  3414,   811, -4469,
     244, 49932, -4469,  2384,  3108,   407,  1936, -4469, -4469, -4469,
   -4469, -4469, -4469,  2744, -4469, -4469,  2020, -4469, -4469, 71051,
    3155, 71051, 71051, 33465, -4469,  1651,   240, -4469,  3413, 71051,
    3201, -4469, -4469, -4469,  3333, 71051, -4469, -4469, -4469, -4469,
   -4469,  3179, -4469,  3440, 58983,  2254, 53380, 53380,  2254, -4469,
   90805,  3180,  2799, -4469, -4469, -4469, -4469, -4469, -4469, 53380,
    2994, 53380,   714,  1110, 87429,  3215, -4469,  3184,  3480, -4469,
    3185,  3187, -4469, -4469, 71051,  3115,  1897,  1728,  3604,   549,
    1681, -4469, 60276,  1941,  3440, -4469, -4469, -4469,  3569,  3277,
   -4469,  1505, 71051,  2849,  3277,   405, 71051,  2709, -4469, 87860,
   29433, 29433, -4469,  3191, -4469,  3196,  6213, -4469,  3265,  3195,
    2195, -4469, -4469, -4469, -4469, -4469, -4469,  3278,  3200, 71051,
   -4469, -4469,  3202, -4469,  3205, -4469, -4469, -4469, -4469, -4469,
   -4469,   743, -4469, -4469, 71051, -4469, 71051, -4469, -4469,   743,
     743,   743,   743, -4469,  3324, -4469, 71051, 71051, 71051, 71051,
    2806, -4469,   322, -4469,  3493, 52949, -4469, -4469,  1901, 71051,
   -4469, -4469, -4469,  3556,   317,  3501, -4469, -4469,  3460,   880,
    3461,  3465,   880,  3466,   880, -4469, 29433, 12626, -4469,  3217,
   -4469, 12626,  5482, 12626,  3368, -4469,  1903, 29433, -4469,   515,
     515,   515,  4648,  3511, -4469,  1344,  3220,   515,   515,   515,
     388,   388,   202,   202,   202,  3502,   550, 12626, 12626, -4469,
   -4469,  3222, -4469, -4469, -4469,  2846, -4469, 31225,  3371,  3608,
   -4469, -4469, -4469,  3261,  3262,  3228, -4469, 29433, 31673,  3224,
   91643,  3416, -4469,  1624, 29433, 29433,  2012, -4469,  7896, 29433,
   90805,  1911,  2012,   443, 29433,  4468,  4621, 29433, 29433,  4536,
    5534,  3243, 29433, 88698, -4469, -4469, -4469,  1913, 29433, 71051,
   71051, 71051, 71051, -4469, -4469, -4469, 69758, 70189,  3232, 24129,
    1307,  3245, 71051, -4469, -4469,  3253, 36978,  3476,  3424, -4469,
   36978,  3424,  1441,  3424,  3500,  3345, 41310, -4469, -4469,  3264,
    3446, -4469, 21899,  1619, 12626,  3645,  3538, 29433,  3267,  3269,
    3270, 12626, 12626, 29433, -4469,   405,  3538,   405, -4469, -4469,
   43906, -4469, -4469, -4469, -4469,  3462, 12626, 27193, -4469,  1505,
   71051,  1214,    87, -4469,  3276, 71051, -4469,  3229, -4469, -4469,
    3336,  1925, -4469, -4469, -4469, -4469, -4469,  3349, 60707,  3565,
   -4469, 29433,  1927, -4469,  3310,  3657,   190,  1933,  1939,  1382,
   -4469,  3201, -4469,  1674,  3543,   191, -4469,   743, -4469, 90805,
   -4469, 71051, 71051, -4469, -4469, -4469, -4469, 71051,  2394, -4469,
   -4469, 71051, 71051, 71051, 71051, -4469, 53380, 71051, -4469, 49932,
    1242,  3482, -4469, -4469,  3484,   187, 71051, -4469, 90805,   743,
     743, -4469, -4469, -4469, -4469, -4469,  3296,  3687,  3378, 71051,
   71051, 71051, 71051, 53380, 71051, 71051,  2109,  2109, 90805,  3286,
   -4469,  2109,  2109,  3290, -4469, 53380, 71051, 71051, -4469, -4469,
   -4469,  3372, -4469, 29433,  3682, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, 53380, 71051,  3377, -4469,  3379, -4469, -4469,
   -4469, 71051, 71051, 71051, 71051,  3610, -4469, -4469, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, 71051, -4469, -4469,
     405,   405, 90805,   743,   743, -4469, -4469, -4469,  3553,   811,
   -4469,   811,   811, -4469, -4469,   811, -4469,   370,  1949, -4469,
   38277, -4469, -4469,  2583,   405,  2583,  1657, -4469, -4469,  2583,
   -4469,  2583, -4469,  1382,  1737,  3595,  3600, 29433, -4469,   753,
    4648, -4469, -4469, -4469, -4469,  3201,  1703,  3367, 57259,   342,
   -4469,  3579,   709, 58983,  1636,  3315,  3433, -4469,  2254,  2254,
    3376, 71051,  3734,  2254,  3178, -4469,  3526,   594, 71051,  3644,
    3362, -4469,   405, -4469, -4469,  2799, -4469,   158, 71051, 58983,
    2849,  1957, -4469, -4469, -4469,  3359,  3210,  1941,  1147, 71051,
   -4469,  3383,  3740, -4469, -4469,  3620,  3532,  3344, -4469, 12626,
   12626,   405, 92062,  5448, 90805,  3639, -4469, 71051,   664,  3605,
     743, -4469, -4469,   743,   743, -4469, -4469, -4469, -4469, 71051,
    2806,  2806,  2806, -4469,  3535, -4469, -4469,  3601, -4469,   743,
   52949,   880, -4469, -4469, -4469,   880,   880, -4469,   880, -4469,
   12626, -4469, -4469, -4469, -4469,  5820, 33465,  3641, -4469,  3351,
   90805, -4469,  3352,  1958,  1959, 35245,  3503, -4469, -4469, -4469,
    5950,  3403, 12626,  3456,  3358,  3364,  2012,  2012,  7896,  1963,
   -4469,  2012, 29433, 29433,  2012,  2012, 29433, -4469, -4469,  6297,
    3531, -4469, -4469,  6632, -4469, -4469, -4469, -4469, -4469, -4469,
   50794, 69758,  3361, 71051,  1307, 36978, -4469, -4469,  2000, -4469,
   36978,  3606, -4469, 36978, 57259, -4469, 71051,  3366, 71051, -4469,
      97, 32121, 29433,  3400, -4469, -4469, -4469,  3268, -4469,  3400,
   -4469,  3369, 71051,  2371, -4469, -4469,  3732, 37844,  3695,  3384,
   -4469, -4469, -4469, -4469, 52949,  3560, 52949,  1382,  7302,  3201,
   37844, 44770, 71051, 70620, 70620,  3523,  3201,  3367, -4469, -4469,
   -4469, -4469, -4469, -4469,  3382, -4469, -4469, -4469, -4469,  3449,
   -4469, -4469,   886,  2798,  1969, -4469, -4469, -4469, -4469, -4469,
    3528, -4469, -4469, 41746, 53380, 71051, -4469,  3450, -4469, -4469,
   -4469, -4469, -4469, 39144, 43906, -4469,   154,  3385,  3387,   925,
   -4469, -4469, -4469, 71051,  7613,  3389,   911,  2798, 71051, 71051,
     -10,  1184,  1564,  2806,  3672, -4469, -4469, -4469,  3528, -4469,
   -4469,   811, -4469, -4469, -4469, -4469, -4469,  1513,  3710, -4469,
   49932, -4469, 51225, -4469, -4469, -4469,   405, -4469,   405,  3580,
   71051, 46915,   405,   405, 57259,  3793,  3793, 71051, -4469,  8195,
    3582, -4469,  3367,  3612,  3653, -4469,  3391, 71051,  3551,  3394,
    3395,   828,   828, 71051, 71051, 71051,  2008,  1505, -4469,   714,
    3704, 58983,  3115, -4469,  1360,  3397,  3708, -4469,  3814, 71051,
    2849,  3012,  3405, -4469, -4469, 60276,  3596,  3277,  3210,  3539,
   -4469,  3541, -4469,  1202, -4469,  1505, 71051, 71051, 37844, -4469,
   91224, -4469,  2015, -4469, -4469, -4469,  3481,  2921,  3518,  3520,
    3418, 71051,    85, -4469, -4469, -4469, -4469, -4469, 71051, -4469,
     258, -4469, -4469, -4469, -4469, -4469,  4796, 33465, 90805,  2016,
   29433, -4469, 29433, -4469,  3819, -4469, -4469, -4469,   741, -4469,
   -4469, -4469,  2012,  2012,  2012, -4469,  3821,  3268, -4469, -4469,
    2025,  3839, -4469, 71051,  2026, -4469, 29433,  3426, -4469, -4469,
   36978,  2000,  3427,  2037, 71051,  2039, 90805,  3429,  3428,    33,
    3434, 22348,  3431, -4469, -4469, -4469, -4469, -4469, 12626, 12626,
   71051, -4469,  3436, -4469, -4469, -4469, 71051,  2058, -4469,   101,
   25401, -4469, -4469,   813,   757,   258,  3657,  3367, -4469,  3438,
   -4469, -4469, 71051, -4469,  1488,  1488, 71051,  3367, -4469, -4469,
   71051,  3517, -4469, -4469, 49932,  3487, -4469,  1096,  2798, 71051,
   90805,  1975,   320, -4469, 90805, 90805, -4469, -4469, -4469, 29433,
    3525, -4469, -4469, -4469, -4469, -4469, 71051, 71051, 71051, 71051,
   71051,   743, -4469,  2989,   405, -4469, -4469,  2065, -4469, -4469,
   -4469, 71051,  3184, -4469,  3184, -4469, -4469,  3793,  1045, -4469,
   -4469, -4469,  1746,  3649, -4469,   156,  3634,  3533,  3448, -4469,
   57259,  3892,  3440, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469,  2073,  3115,  3753,  2799,  3383, 71051, -4469, -4469, -4469,
   -4469, 29433,  3611,  1505,  1681, -4469,  1941,  3440, -4469, -4469,
   -4469,  3277, -4469, -4469,  3840,  3642,  3841,  2849, -4469,  2709,
    2074, -4469,  6213, 92062, 90805,  3784,  3492,  3496, -4469, -4469,
    3512, 71051, -4469, -4469,  3115, -4469,  4796,  2091, -4469,  2092,
    2093,  3613,  3513, -4469, 29433,   890,  3105, 50794,  3467, -4469,
    2099, -4469, 12626, 71051, -4469, -4469, 29433, -4469,  2115, -4469,
   -4469, 29433,  3469, 29433, -4469, 32121,  3471, -4469,  3880, -4469,
   -4469,  2921, 37844, -4469,  3584, -4469,  3758, -4469, 70620,  3509,
   43906, -4469,  2911,  2911,  1703, -4469,  1382, -4469, 71051, -4469,
   29433, -4469,  3561, -4469, -4469,  2125, -4469,   716,  3629,  3775,
    2132,  2136,  8348, 71051,  2807,  1564,  2807, -4469,  2806, -4469,
   -4469, -4469, -4469, 51225,  3184, -4469, -4469, -4469,  3803,  3747,
   -4469, -4469, -4469, -4469,   379, -4469,  3675,  3676, 71051, -4469,
    3485, -4469,  2160,  3603, -4469, -4469, 71051,  3909,  3911, -4469,
     653,  8368, 57259,  3383,  2849,  3210,  1941,  1242, -4469,  3686,
   -4469,  3688, -4469,  3505,  2799,  5448, -4469, -4469,   297,  3790,
    3791, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,  2846,
   32569, 32569,  3506, -4469, -4469, 71051, -4469,  2162,  2174, -4469,
    2175, 32121,  2176, -4469, 71051,  3508, -4469, -4469, 40444, 52949,
    1488,  3510, -4469,  3514, -4469, -4469,  3612,  1382,  2798, 12626,
   71051, 57259,  3900, -4469, -4469, -4469,  3629, -4469, -4469, -4469,
    2798, 71051, -4469,  3633, -4469,   736,   736,  3842, -4469,  3568,
   -4469, -4469,  3519, -4469,  3954, 71051, -4469,   154,  1505, 58983,
   -4469,  3527, -4469, -4469,  3277,  3210, -4469, -4469, 37844,  3277,
   -4469, -4469, -4469,  1607, 57259, 57259, 33913,  3643,   217, 10103,
   -4469, -4469, -4469, -4469,  2180, -4469,  3654, -4469,  2196, -4469,
   -4469, -4469,   -15,   258,  2911, 29433,  1382, -4469,  3634, -4469,
    2798,  1975, 71051, -4469, -4469, -4469,  3362, -4469,  3943, -4469,
    1169, -4469, -4469, -4469, -4469,  3115,  3286,  3383, 49501, -4469,
    3277,  2208,  2921, -4469,  2045, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469,  3515,  3524,  3941, -4469, -4469, -4469, -4469, -4469,
   -4469,  3529, -4469, -4469, -4469, -4469, -4469,  9243, -4469, -4469,
   -4469, -4469,  3836, -4469, -4469, -4469, -4469, -4469, -4469,  2209,
   -4469, -4469, -4469, -4469, -4469,  2799, -4469,  1872, -4469, -4469,
    1998,  1912,  3607,  3829, 33017, 29433, -4469,  1382,  3697, -4469,
   49501,  3277, -4469,  2045,  3646,  3648, -4469,  9351, 57259, -4469,
    2921, -4469,  3575,  3576, -4469,  3546, -4469,  3837,  3843, 49501,
   57259, 57259,  2213, -4469, -4469, -4469
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1479,  1264,   565,  1348,  1347,  1264,   252,     0,  1350,     0,
    1264,   385,  1009,     0,     0,     0,     0,   565,  1264,     0,
    1479,     0,     0,     0,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1264,     0,     0,  1499,
       0,     0,     0,     0,  1492,     0,  1352,     0,     0,     0,
       0,     0,     2,     4,    64,    65,    27,    26,    32,    31,
      89,    90,    50,    17,    78,    57,   124,   123,   125,    38,
      34,    72,    23,    25,    35,    39,    59,    40,    51,   102,
      58,    21,    56,    83,    60,    86,    45,    11,    12,    46,
      76,    13,    47,    77,    14,    48,    15,    98,    66,    91,
      30,    55,    20,    82,    62,    88,    63,     5,    41,    74,
      70,    10,    52,    53,    54,    79,    80,    81,   107,    85,
     119,    37,   116,    95,    96,   113,    97,   114,     8,    99,
      49,    16,   110,   109,   111,    73,    42,    75,    61,    87,
     108,    24,   112,    18,    19,   115,    84,   105,   101,   120,
     118,   126,   103,    67,     6,     7,    92,    22,    44,     9,
      29,    28,    43,    36,   122,    33,  1350,    94,   106,    93,
      68,   100,    71,   104,   121,    69,   117,  1452,  1451,  1501,
    1455,  1478,     0,  1467,  1263,  1262,  1248,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   564,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1274,  2060,
    2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,   356,  2083,
    2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2343,
    2344,  2345,  2346,  2093,  2094,  2095,  2096,  2097,  2098,  2099,
    2347,  2348,  2100,  2101,  2102,  2103,  2104,  2349,  2105,  2106,
    2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,
    2350,  2351,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2352,  2152,  2153,
    2154,  2353,  2155,  2156,  2157,  2354,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2355,  2356,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2357,  2182,  2183,  2184,  2185,  2358,  2359,  2360,
    2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2361,  2194,
    2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,
    2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2362,  2363,
    2213,  2214,  2364,  2215,  2216,  2217,  2365,  2218,  2366,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,  2367,  2227,  2368,
    2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,  2369,
    2237,  2370,  2240,  2238,  2239,  2241,  2242,  2243,  2244,  2245,
    2246,  2247,  2248,  2371,  2249,  2250,  2251,  2252,  2253,  2254,
    2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,
    2265,  2266,  2267,  2268,  2372,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2373,  2284,  2285,  2286,  2287,  2374,  2288,  2289,  2290,  2291,
    2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2375,  2300,
    2301,  2302,  2303,  2304,  2305,  2306,  2307,  2376,  2377,  2308,
    2309,  2378,  2310,  2379,  2311,  2312,  2313,  2314,  2315,  2316,
    2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,
    2327,  2380,  2381,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2382,  2383,  2384,  2385,  2386,
    2387,  2388,  2389,  2390,  2340,  2341,  2342,   355,  1442,  2028,
    2061,  2062,  1349,  1330,   565,     0,  1251,   384,     0,     0,
       0,     0,     0,     0,     0,     0,   778,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,     0,
       0,   408,   407,     0,     0,     0,   981,   413,     0,     0,
       0,     0,     0,   553,  1392,  2238,  1390,  1443,   253,   256,
     257,   254,   255,  2050,     0,  1091,  1092,  1094,     0,     0,
    1104,   815,   816,     0,     0,     0,   818,     0,     0,     0,
     812,     0,     0,     0,     0,     0,     0,   817,   809,     0,
     808,     0,     0,  1104,     0,     0,     0,   810,     0,     0,
    1252,  1389,   414,  1479,     0,  1366,  1367,  1368,  1350,  1357,
    1369,  1362,  1364,  1363,  1365,  1361,  2049,  2076,   919,   919,
     919,   919,   916,   917,   919,   919,   919,  2255,     0,     0,
     898,     0,   900,  2051,   919,   924,   469,   469,   469,     0,
     923,   928,   469,     0,  1245,  1283,  2033,  1491,     0,   899,
    1244,  2308,  1380,     0,     0,  1119,  1115,  1117,  1118,  1116,
       0,     0,     0,  2271,  1256,   237,  2281,  2376,  2308,   236,
     231,   232,   205,  2080,     0,     0,   923,     0,  1253,  1254,
     884,  1498,  1496,     0,  2015,  2098,  2112,  2197,   228,  2266,
    2272,  2281,  2376,  2308,  2339,   184,   194,   189,     0,   246,
    2281,  2376,  2308,   242,  1274,     0,  1468,  1598,  2024,     0,
    1247,  1246,  1351,     0,  1354,     0,  1559,  2251,  1472,  1475,
    1356,  1473,  1464,     0,     0,     1,  1479,  1345,  1495,  1495,
       0,  1495,     0,  1456,  1464,  1459,  1463,     0,     0,     0,
       0,  2060,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
    2409,  2410,  2411,  2412,  2413,     0,     0,  2034,  2061,  2065,
       0,   825,     0,  1286,  2029,   968,     0,     0,     0,     0,
    2028,     0,     0,     0,     0,  2066,  2056,  2057,     0,  2054,
    2055,  2067,  2068,  2069,     0,  2170,     0,     0,     0,  1923,
    1934,  1935,  1936,  2102,  2155,  1931,  1932,  1933,  1925,  1926,
    1927,  1928,  1929,  1930,     0,  1089,  1924,     0,  2170,     0,
     153,     0,   131,     0,     0,  2170,     0,     0,     0,     0,
       0,  2170,     0,     0,     0,     0,     0,   153,  2202,     0,
     131,  2170,     0,     0,  1268,     0,     0,     0,  1270,  1273,
    1249,  1333,     0,  2024,     0,     0,   861,   853,     0,   862,
     854,     0,     0,   864,     0,     0,   856,     0,     0,     0,
       0,   865,     0,   855,   857,   867,   858,   863,     0,     0,
       0,     0,   859,     0,     0,  1260,   469,   362,     0,     0,
       0,     0,     0,   131,  1318,     0,  2170,   131,     0,     0,
     412,   411,   131,  2054,   410,   409,  2102,  2155,     0,  1008,
       0,   131,  2170,     0,   177,   636,   568,     0,     0,   737,
    2202,   131,     0,     0,     0,     0,     0,     0,   984,     0,
       0,     0,   552,   565,  1393,  1391,     0,  1095,   230,   229,
    1093,  2170,     0,   330,     0,     0,  2170,  1305,  2063,  1656,
    1685,  1663,  1685,  1685,  1652,  1652,  2139,  1665,  2170,  1653,
    1654,  1692,     0,  1685,  1652,  1657,     0,  1655,  1695,  1695,
    1680,   330,   829,  1637,  1638,  1639,  1640,  1666,  1667,  1641,
    1672,  1673,  1687,  1642,  1709,  1652,  2064,   814,     0,   813,
    2170,     0,  2170,  2058,   168,     0,   811,  2102,  2155,  2170,
       0,     0,  2170,     0,  2170,   160,  2170,     0,  2170,   330,
    2170,   569,     0,     0,  2170,     0,  2170,   330,  2170,  2202,
     162,     0,  2170,   330,   823,     0,  1385,     0,  1359,  2380,
    1374,     0,  1370,  1377,  1373,  1479,   919,   918,     0,   919,
       0,   919,     0,   919,     0,   919,     0,     0,     0,   919,
    2052,  2053,   901,     0,   925,     0,     0,   932,   931,   930,
       0,     0,     0,   933,     0,  1602,  1416,     0,  1242,  1259,
       0,     0,     0,   984,  1122,     0,  1120,  1111,  1112,  1255,
     235,   233,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,  2037,  2039,  2040,  1937,  2005,     0,  2344,
    2345,  2346,  1996,     0,  2347,  2348,  2349,  2393,  1839,  1826,
    1835,  1840,  1827,  1829,  1836,  2350,  2351,  2352,  2353,  2047,
    2354,  2355,  2356,  2358,  2359,  2360,  2361,  1831,  1833,  2362,
    2363,     0,  2048,  2365,  2366,  2223,  2368,  2369,  2371,  2372,
    1837,  2374,  2375,  2376,  2377,  2378,  2379,  2046,     0,  1838,
    2381,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,     0,
       0,     0,  2021,     0,  1806,     0,  1645,  1646,  1668,  1669,
    1647,  1674,  1675,  1648,     0,  2020,  1712,  1888,  1805,  1822,
       0,  1811,  1812,     0,  1804,  1800,  1481,  2016,     0,  1801,
    2036,  2038,  1997,  1481,  2014,   197,   248,     0,   249,  2022,
    2281,   185,   227,   199,   226,   200,   198,     0,  2100,   186,
       0,     0,   187,     0,     0,     0,     0,   245,   243,     0,
    1250,     0,  1600,  1599,     0,     0,  2003,  2025,   834,  1343,
    1344,  1342,     0,  1339,  1341,  1353,  1350,  2010,  2009,  2011,
       0,  1474,     0,     0,     0,  1454,  1453,     3,  1356,  1493,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,  1549,
    1509,  1510,  1512,  1546,  1550,  1558,     0,  1460,     0,     0,
    1604,     0,  1560,     0,     0,  2035,     0,     0,     0,     0,
     826,     0,     0,     0,  1292,     0,  1294,  1295,  1296,     0,
       0,  1297,  1298,  1286,   239,  1304,  1302,  1285,  1287,  1300,
       0,     0,     0,     0,     0,     0,     0,  1310,     0,     0,
     166,   167,   580,   565,     0,  2170,     0,     0,     0,     0,
    1048,  1055,     0,     0,     0,     0,     0,     0,     0,  1049,
    1047,  1050,   241,  1059,  1075,  1078,     0,   958,     0,     0,
       0,     0,     0,  1174,     0,     0,  1174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     262,   274,   325,   544,     0,     0,     0,   547,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   129,   130,   135,     0,     0,     0,     0,     0,     0,
     531,   543,     0,     0,     0,     0,     0,   540,     0,   131,
     266,   524,   528,     0,     0,     0,   645,   644,  1308,  1307,
       0,     0,     0,  1174,     0,   258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   348,   349,     0,     0,     0,   135,     0,     0,     0,
       0,   268,     0,     0,  1269,  1266,  1267,     0,  1272,     0,
    1329,     0,     0,     0,     0,     0,   869,     0,   866,     0,
       0,   860,  2102,  2155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   387,   361,     0,     0,   734,     0,     0,
       0,     0,     0,   745,     0,  1286,  1317,     0,     0,     0,
     574,     0,  2170,     0,   133,   779,     0,   735,   413,     0,
       0,   133,     0,     0,   171,     0,   640,     0,     0,     0,
       0,     0,     0,   683,   682,     0,     0,     0,   736,     0,
     133,     0,  2170,   527,  2170,     0,   469,   469,     0,     0,
     983,   986,     0,     0,     0,     0,  1446,  1448,  1447,     0,
    1445,     0,   330,   328,   329,   732,  1103,     0,     0,  1684,
    1671,  1679,  1678,     0,  1661,  1660,  1659,     0,  1658,     0,
    1685,  1685,  1683,  1662,  1637,     0,     0,     0,  1691,     0,
    1689,     0,   804,  1633,  1629,     0,     0,  1677,  1698,  1699,
    1700,  1697,  1710,  1696,     0,  1643,  1701,  1652,  1649,     0,
       0,   330,     0,     0,  2170,   330,  2170,     0,  2170,     0,
       0,   330,   330,     0,     0,     0,     0,     0,     0,   641,
       0,   822,   820,   819,   821,     0,     0,     0,     0,   802,
       0,     0,     0,  2170,   330,     0,     0,   801,  1947,     0,
       0,  1479,     0,   216,   217,   215,  1375,   218,  1376,  1372,
    1358,     0,   909,     0,   913,     0,   904,     0,   910,     0,
     905,   902,   903,     0,   908,     0,     0,   470,   472,     0,
       0,  2124,  2138,     0,  2161,  2190,  2191,  2272,  2277,     0,
    2303,  2313,     0,   934,   963,   929,   654,     0,     0,  1426,
    1243,  1954,     0,  1479,     0,     0,     0,     0,   234,   206,
       0,     0,     0,   965,  2271,  1258,   883,   565,     0,  1802,
       0,  1809,  1810,  1995,     0,     0,     0,     0,     0,     0,
    1808,  1962,     0,     0,     0,     0,     0,  1735,     0,     0,
       0,  1975,     0,  1981,     0,     0,  1772,     0,     0,     0,
       0,     0,     0,     0,     0,  1736,  1716,  1717,  1806,  1947,
       0,  1807,  2043,     0,  1709,  2019,  1937,     0,  1934,  1935,
    1936,     0,     0,     0,  2008,     0,  1945,     0,     0,  1750,
    1943,  1752,     0,     0,     0,     0,  1931,  1932,  1933,  1925,
    1926,  1927,  1928,  1929,  1930,  1941,  1732,     0,     0,  1890,
       0,  1731,     0,     0,  1562,     0,  2041,  1998,  1562,   250,
     251,   247,     0,     0,   202,   201,     0,   220,   224,   225,
     196,   223,     0,   219,   204,  1879,  1878,   203,   195,   192,
     190,   207,   209,   210,   193,   191,   244,     0,     0,  2070,
    2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2000,  1999,  2031,
    2071,  2072,  2073,  2074,  2004,     0,     0,   330,  1337,     0,
    1334,  2013,     0,  1476,     0,  2026,     0,  1346,  1471,  1470,
    1502,  1503,  1001,  1469,  1529,  1530,     0,     0,     0,     0,
    1555,  1553,  1520,  1513,  1519,     0,     0,  1517,     0,  1521,
    1712,  1548,  1458,  1507,  1508,  1511,  1457,     0,  1551,     0,
    1429,  1549,  1512,  1413,     0,  1395,     0,  1605,     0,  1023,
    1025,     0,  1024,     0,  1027,     0,  1036,     0,     0,  1022,
    1041,     0,  1030,  1028,     0,     0,     0,     0,     0,     0,
     827,     0,     0,     0,     0,  1293,     0,     0,  2303,   238,
    1296,  1301,  1288,  1299,     0,     0,     0,     0,     0,   967,
     966,     0,     0,   988,     0,     0,     0,  1313,   458,     0,
     327,     0,     0,     0,     0,     0,     0,     0,     0,   730,
     727,     0,     0,   726,     0,   578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   615,     0,  1174,     0,   648,
       0,  1057,     0,  1056,     0,     0,     0,  1058,  1053,  1054,
    2272,  2281,  2308,   240,  1077,     0,  1076,  1074,  1011,     0,
    1012,     0,     0,     0,     0,     0,  2148,   276,   289,     0,
    1173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   312,     0,     0,   315,   314,
       0,     0,     0,     0,     0,   319,   298,     0,   299,     0,
       0,   318,     0,     0,   545,   546,     0,     0,     0,  1174,
       0,   270,     0,     0,     0,     0,     0,     0,  1090,     0,
     672,     0,     0,   156,     0,   152,   155,     0,     0,     0,
       0,   530,   542,     0,   534,   535,   532,   536,   537,     0,
       0,     0,     0,     0,     0,   529,     0,     0,   638,   637,
     643,     0,     0,     0,     0,     0,     0,     0,     0,  1124,
    1123,     0,     0,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,   159,   657,     0,   656,     0,
     157,   158,     0,     0,     0,     0,     0,     0,     0,   214,
    1265,  1271,  1332,  2032,  1331,     0,     0,     0,     0,   868,
       0,     0,     0,     0,     0,     0,     0,     0,   870,   871,
     872,   873,     0,     0,     0,     0,     0,     0,     0,   364,
     365,   131,   363,  2063,     0,   758,   733,     0,     0,   746,
       0,   748,   751,     0,  1284,   431,     0,     0,   571,   615,
       0,   416,   164,     0,     0,     0,     0,   674,   128,   175,
     177,   414,     0,   176,   178,   180,   181,   182,   179,   183,
     635,   639,     0,   567,     0,     0,     0,     0,     0,   684,
     688,   687,   691,   689,     0,   685,     0,     0,  1625,     0,
     151,     0,     0,   522,   526,     0,     0,     0,   416,   500,
     341,  2170,     0,   469,     0,  2170,     0,   985,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  1081,     0,
    1306,     0,     0,     0,   330,  1682,  1681,  1634,  1630,     0,
       0,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1650,  2170,   330,     0,  1079,   169,
    2059,     0,   806,     0,     0,     0,     0,     0,  1083,   798,
       0,   330,   161,     0,   330,   330,   570,     0,     0,   330,
     330,   163,     0,     0,     0,   562,   330,   824,  1388,     0,
    2170,   469,  1360,  1371,   906,   915,   914,   912,   911,   907,
       0,   926,     0,   468,     0,     0,     0,   940,   941,     0,
       0,   939,   956,   942,     0,   944,   936,   935,   945,   946,
       0,     0,   965,   652,     0,     0,     0,     0,  1423,     0,
    1421,     0,  1603,  1425,  1414,  1379,     0,  1378,  1382,  1384,
    1383,  1381,     0,   515,     0,     0,  1121,     0,     0,   923,
       0,     0,   330,  1257,     0,   885,   886,     0,     0,     0,
       0,     0,     0,   892,   889,   890,   891,   893,     0,   894,
       0,     0,     0,  2006,  1958,     0,  1959,     0,     0,  1994,
    1990,     0,     0,     0,     0,     0,  1963,  1966,  1967,  1968,
    1965,  1969,  1964,     0,     0,  1970,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2372,     0,     0,     0,     0,
    1775,     0,     0,  1918,     0,  1947,  1980,     0,     0,     0,
       0,     0,     0,  1947,  1986,     0,     0,     0,     0,  1877,
       0,  1874,     0,     0,     0,     0,  2005,     0,     0,  2044,
    1713,  1727,  1728,  1729,  1733,  2018,     0,  2007,     0,     0,
    1714,  1741,     0,  1987,  1768,     0,  1773,  1756,     0,  1749,
       0,  1754,  1758,  1737,     0,  1734,     0,  2008,  1946,     0,
    1944,     0,  1724,  1725,  1726,  1718,  1719,  1720,  1721,  1722,
    1723,  1730,  1922,  1920,  1921,     0,     0,     0,  1898,     0,
       0,  1753,  2163,  2197,     0,  1492,  1492,  1492,  1480,  1490,
    2017,     0,  1620,     0,     0,     0,     0,  1814,     0,  1951,
    1501,  1949,  1028,  1620,  2023,     0,     0,  1709,     0,  1601,
    2001,     0,   832,   833,   831,  1356,  1340,  1336,  1335,  2012,
    1355,     0,  1479,     0,   999,  1000,     0,  1004,  2372,  2269,
       0,     0,     0,     0,  1522,  1556,     0,  1547,     0,  2037,
    1523,  2036,  1524,  1527,  1528,  1518,  1557,  1427,     0,  1552,
    1462,  1461,     0,  1623,     0,     0,  1405,  1397,     0,  1606,
       0,  1562,  1431,  1433,  1434,     0,  2005,  1026,     0,  1652,
    1037,     0,  1021,     0,  1020,  1652,     0,  1038,     0,  1652,
       0,     0,     0,  1202,  1126,  1178,   828,  1203,  1127,  1179,
    1204,  1128,  1303,  1291,  1290,  1289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     709,  2170,   330,  1311,  1205,     0,  1129,   326,  1312,  1180,
    1316,   729,   728,     0,     0,  1181,     0,   579,     0,     0,
     584,   585,   586,     0,     0,     0,   587,     0,  2102,  2155,
       0,   592,   599,   604,   594,     0,     0,   606,   600,     0,
       0,     0,     0,     0,     0,   612,   619,     0,     0,     0,
       0,     0,     0,  1051,  1052,  1206,  1132,     0,  1182,  1010,
       0,  1133,   165,     0,     0,   263,   277,   621,   709,  1176,
     296,     0,   311,   306,   307,   305,  2170,   330,  2170,   330,
       0,     0,     0,     0,     0,   308,   303,   304,   300,     0,
       0,   313,  2079,  2140,  2282,     0,   625,   627,     0,   632,
     316,  1149,   337,   336,   335,     0,   320,     0,   342,   345,
     317,   294,   297,   295,   291,   275,     0,     0,     0,     0,
       0,     0,     0,  2030,     0,     0,  1085,     0,     0,     0,
       0,     0,     0,   666,   154,  1164,   144,     0,     0,   140,
       0,     0,     0,     0,   134,     0,  1212,  1139,     0,     0,
     267,   525,   533,   538,  1143,   541,  1192,   539,  1218,  1140,
       0,  1174,     0,   259,     0,  1141,     0,  1186,  1214,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1319,
       0,     0,     0,     0,     0,   330,     0,     0,     0,  1176,
    2170,   330,  1213,     0,  1171,  1200,     0,   350,     0,  1165,
       0,     0,   269,  1145,  1194,     0,     0,   212,   211,   213,
       0,     0,  2138,     0,   875,   837,   874,     0,     0,     0,
       0,     0,     0,   845,     0,     0,     0,   836,     0,   835,
     386,   359,   360,   362,   369,     0,   757,     0,     0,     0,
     747,     0,     0,     0,  1309,     0,   131,     0,     0,     0,
     573,   614,   621,     0,     0,     0,   415,   419,   423,   424,
     425,     0,     0,     0,     0,   145,   132,     0,   787,     0,
     469,     0,   670,     0,   177,   170,     0,     0,     0,   341,
     744,   742,   741,   743,     0,     0,     0,   762,   740,     0,
    1624,  1626,     0,     0,     0,     0,     0,   515,   418,     0,
     472,     0,     0,   504,     0,     0,     0,     0,   341,     0,
       0,     0,  1015,     0,  1033,  1016,     0,     0,     0,     0,
    1063,  1070,  1064,  1043,     0,     0,   550,  1449,  1450,     0,
     330,     0,     0,  1651,  1664,   805,     0,  1694,  1693,  1695,
    1695,     0,  1635,     0,  1686,  1687,  1703,  1704,  1705,  1706,
    1707,  1708,     0,  1702,  1644,     0,   616,   330,   330,     0,
     330,     0,   330,   330,     0,   663,     0,  1240,   642,     0,
       0,   717,   803,     0,     0,   330,   800,  1948,     0,   927,
     471,     0,     0,     0,     0,   938,     0,   548,   943,     0,
     955,   950,   952,     0,   959,   651,     0,     0,  1424,  1417,
    1419,  1418,     0,     0,  1415,  1955,   799,     0,   521,  1113,
    1114,     0,     0,   330,     0,   960,     0,     0,   887,   888,
       0,     0,   895,     0,     0,     0,  1497,  1956,  1957,     0,
       0,     0,  1991,     0,     0,  1852,     0,  1828,  1830,  1842,
       0,  1853,  1813,  1854,  1832,  1834,     0,  1938,     0,     0,
    1843,     0,  1777,  1778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1793,  1792,  1844,  1917,     0,     0,  1978,  1979,  1845,
       0,     0,  1985,     0,     0,     0,  1850,  1855,     0,     0,
       0,     0,  1861,     0,  1882,     0,     0,     0,  1803,  1948,
       0,     0,     0,     0,     0,     0,     0,     0,  1774,  1757,
    1751,     0,  1755,  1759,     0,     0,     0,  1745,     0,     0,
    1743,  1769,  1739,     0,     0,  1770,     0,     0,     0,  1821,
       0,     0,  1492,  1492,  1492,  1492,  1489,     0,     0,     0,
       0,  2269,     0,  1584,  1561,  1563,  1571,  1584,  1589,  1823,
    1618,  1824,     0,  2024,     0,  1532,  1501,  1501,  1501,  1820,
       0,     0,     0,     0,  1500,  1532,   188,     0,   221,   208,
       0,  1338,  2027,     0,  1504,     0,  1939,  1004,     0,  1506,
    1526,  1525,     0,  1516,  1554,  1514,  1428,  1412,     0,  1410,
    1399,     0,  1400,  2005,     0,  1410,  1396,  1439,     0,     0,
    1623,     0,  1438,     0,  1652,  1018,  1019,     0,  1042,     0,
    1201,  1125,  1177,   970,   971,     0,   969,     0,     0,     0,
     457,   987,     0,     0,     0,   709,     0,     0,   461,     0,
    1314,     0,  1219,  1163,   581,   582,     0,   593,     0,   602,
     601,     0,     0,   589,     0,     0,     0,     0,     0,   588,
     608,   554,   609,   611,     0,     0,   610,   613,   618,  1174,
       0,   649,  1151,     0,  1198,  1045,     0,  1013,     0,     0,
       0,     0,   431,   290,     0,     0,     0,   278,   288,     0,
     322,     0,   293,     0,   286,   309,   301,   310,   302,   321,
     323,     0,   629,   630,   628,   624,     0,   631,   633,     0,
     339,     0,     0,     0,  1208,     0,  1174,     0,   271,  1147,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1209,  1183,     0,     0,   671,     0,   668,
       0,     0,   137,   136,     0,   143,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   351,   332,     0,   765,     0,     0,     0,   353,
       0,     0,     0,     0,  1207,  1134,   838,     0,     0,     0,
     839,   850,     0,     0,   840,     0,     0,     0,     0,   852,
       0,     0,   358,   366,  2223,  1925,  1926,   755,   760,   752,
     754,   756,   753,     0,   759,   709,     0,   749,   750,     0,
       0,     0,     0,     0,   443,     0,     0,   437,     0,     0,
    1070,   430,   433,   434,     0,     0,   574,   577,   575,   576,
     607,     0,   450,   496,     0,   147,     0,     0,   148,   146,
       0,     0,   341,   675,   679,   677,   676,   678,   673,     0,
     666,     0,   173,   414,     0,     0,   566,   690,   693,   686,
       0,   761,   763,   738,     0,   621,     0,   527,     0,   469,
    1389,   510,     0,   500,   496,   498,   497,   499,     0,   506,
     340,     0,     0,   515,   506,     0,     0,   988,  1014,     0,
       0,     0,  1060,  1065,  1061,     0,     0,  1029,     0,  1062,
       0,  1044,  1007,  1235,  1236,  1233,  1234,     0,     0,     0,
    1441,  1082,     0,  1670,     0,  1690,  1688,  1631,  1636,  1676,
    1711,   330,  1080,   807,     0,   794,     0,   796,  1084,   330,
     330,   330,   330,   658,     0,   563,     0,     0,     0,     0,
     937,   957,     0,   953,     0,     0,   920,   962,     0,     0,
    1422,  1420,   513,     0,   965,     0,   921,   964,     0,     0,
       0,     0,     0,     0,     0,  1960,     0,  1993,  1989,     0,
    1825,  1961,     0,  1973,  1972,  1918,     0,     0,  1776,  1788,
    1789,  1790,  1974,     0,  1798,     0,     0,  1785,  1786,  1787,
    1779,  1780,  1781,  1782,  1783,  1784,  1791,  1983,  1982,  1976,
    1977,     0,  1847,  1848,  1849,  1984,  1856,     0,  2093,  1883,
    1860,  1876,  1875,     0,     0,     0,  1863,     0,     0,  1872,
       0,  1919,  2045,  1715,     0,     0,  1742,  1988,  1760,     0,
       0,     0,  1738,  1938,     0,     0,     0,     0,     0,  1747,
       0,     0,     0,  1901,  1896,  1897,  1915,     0,     0,     0,
       0,     0,     0,  1483,  1482,  1488,  1584,  1589,     0,  1464,
       0,  1571,     0,  1583,  1569,  1582,     0,     0,  1595,  1593,
       0,  1595,     0,  1595,     0,  1565,     0,  1585,  1567,  1582,
       0,  1610,     0,  2025,  1619,     0,  1545,     0,     0,     0,
       0,  1952,  1953,     0,  1950,  1815,  1545,     0,  2002,  1477,
       0,  1505,  1002,  1003,  1515,  2120,  1621,     0,  1411,     0,
       0,  1402,  1408,  1394,     0,     0,  1432,  1410,  1435,  1039,
       0,     0,  1031,   976,   977,   975,   978,     0,     0,     0,
     709,     0,     0,   477,     0,   995,   995,     0,     0,   463,
     509,  1070,   712,     0,     0,     0,   710,   330,  1130,     0,
     603,     0,     0,   598,   596,   595,   597,     0,   555,  1217,
    1131,     0,     0,     0,     0,  1046,     0,     0,  1150,     0,
     428,     0,   283,  1175,     0,     0,     0,   282,     0,   330,
     330,   324,   626,   338,   343,   344,   347,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   788,
     771,     0,     0,   789,   790,     0,     0,     0,  1087,  1088,
    1086,     0,  1137,     0,     0,   662,   141,   138,   139,   142,
    1161,  1144,  1193,     0,     0,     0,  1142,     0,  1187,  1157,
    1153,     0,     0,     0,     0,     0,  1216,  1170,  1191,  1215,
    1168,  1189,  1167,  1188,  1169,  1190,  1162,     0,  1628,   768,
       0,     0,     0,   330,   330,   660,  1146,  1195,     0,     0,
     841,     0,     0,   843,   844,     0,   847,   389,     0,   392,
     399,   370,   375,  1318,     0,  1318,     0,   372,   376,  1318,
     371,  1318,   368,   731,     0,     0,   708,     0,   435,     0,
     441,   445,   446,   444,   436,  1070,   469,   508,     0,     0,
     721,     0,   572,   416,   447,     0,     0,   420,   150,   149,
       0,     0,     0,   669,   668,   177,  2170,     0,     0,   695,
     699,   739,     0,  1627,   655,   341,   523,     0,     0,   416,
     515,     0,   421,   426,   427,     0,   504,   500,     0,     0,
     512,  1282,     0,   516,   518,     0,     0,     0,  1017,  1034,
    1035,     0,     0,  1070,     0,     0,  1069,     0,     0,   557,
     330,  1632,   617,   330,   330,   664,  1241,  1110,   718,     0,
     949,   948,   947,   549,     0,   951,   653,     0,   514,   330,
       0,     0,   897,   878,   896,     0,     0,   877,     0,   876,
    1992,  1841,  1851,  1971,  1917,  1948,     0,     0,  1799,     0,
       0,  1846,  2382,     0,     0,     0,     0,  1880,  1881,  1862,
       0,  2214,  1867,     0,     0,     0,  1766,  1764,  1761,     0,
    1762,  1746,     0,     0,  1744,  1740,     0,  1771,  1887,     0,
    1903,  1900,  1914,  1948,  1487,  1486,  1485,  1484,  1570,  1568,
       0,  1573,  1580,     0,  1564,     0,  1594,  1590,     0,  1591,
       0,     0,  1592,     0,     0,  1566,     0,  1580,     0,  1617,
    1501,     0,     0,  1892,  1818,  1819,  1816,  1501,  2042,  1892,
     222,     0,     0,  1409,  1398,  1401,     0,     0,     0,     0,
    1440,  1430,  1032,  1040,     0,     0,     0,   459,     0,  1070,
       0,     0,     0,   998,   998,     0,  1070,   508,   714,   713,
     716,   711,   715,  1315,     0,   590,   591,   605,  1152,     0,
    1199,  1159,     0,  1426,     0,   622,   279,   280,   281,   284,
     332,   292,   285,     0,     0,     0,  1148,     0,  1197,  1155,
    1210,  1135,  1184,     0,     0,   777,     0,     0,     0,     0,
    1211,  1136,  1185,     0,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,  1324,     0,   331,   767,   766,   332,   352,
    1172,     0,   842,   848,   849,   846,   390,   131,     0,   367,
       0,   397,     0,   395,   394,   396,     0,   383,     0,     0,
       0,     0,     0,     0,     0,  1101,  1101,     0,   709,     0,
       0,   432,   508,   476,     0,   438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   661,   172,
       0,   416,   621,   694,     0,     0,     0,   764,     0,     0,
     515,   418,     0,  1386,   417,     0,     0,   506,   504,     0,
     501,     0,   505,     0,  1275,     0,     0,     0,     0,  1066,
       0,  1072,     0,  1028,  1005,  1067,     0,  1620,     0,     0,
       0,     0,   561,  1102,   795,   797,   659,   954,     0,   961,
     330,   879,   880,   881,   882,  1919,  1794,     0,     0,     0,
       0,  1857,     0,  1858,  1885,  1884,  1864,  1868,     0,  1865,
    1866,  1763,  1767,  1765,  1748,  1889,     0,  1501,  1916,  1613,
       0,  1616,  1572,     0,     0,  1574,     0,     0,  1576,  1578,
       0,     0,     0,     0,     0,     0,  2028,     0,  2119,  2356,
    2268,     0,  1531,  1533,  1536,  1538,  1537,  1539,  1535,  1544,
       0,  1466,     0,  1465,  1940,  1622,     0,     0,   989,     0,
       0,  1437,  1436,   955,     0,   330,   995,   508,   478,  2223,
     479,   994,     0,   996,  1001,  1001,     0,   508,   709,   583,
       0,     0,   264,   620,     0,   334,   346,     0,  1426,     0,
       0,     0,   784,   772,     0,     0,   791,  1138,   665,     0,
       0,   260,  1158,  1154,  1326,  1327,     0,     0,     0,     0,
       0,   330,   851,   369,     0,   393,   402,     0,   400,   373,
     378,     0,   382,   380,   379,   374,   377,  1101,     0,  1098,
    1097,   707,     0,   467,   439,     0,   487,     0,     0,   722,
       0,     0,   496,   456,   455,   452,   451,   453,   454,   449,
     448,     0,   621,   781,   341,  1282,     0,   634,   696,   697,
     692,     0,     0,     0,  1389,   511,   500,   496,   422,   431,
     405,   506,   502,   503,     0,     0,     0,   515,  1328,   988,
       0,  1071,     0,     0,     0,     0,     0,     0,  1105,   556,
       0,     0,   560,   551,   621,   922,  1795,     0,  1796,     0,
       0,     0,  1870,  1869,     0,  1906,  1618,     0,     0,  1612,
       0,  1581,  1597,     0,  1577,  1575,     0,  1586,     0,  1588,
    1815,     0,     0,     0,  1540,     0,  1891,  1893,     0,  1817,
    1407,  1620,     0,  1404,     0,   972,     0,   973,   998,   482,
       0,   997,  1004,  1004,   469,   709,   460,  1160,     0,   623,
       0,   287,     0,   272,  1156,     0,   775,     0,   786,   784,
       0,     0,     0,     0,  1320,     0,  1321,  1322,  1325,   354,
     357,   388,   398,     0,   381,  1096,  1100,  1099,     0,     0,
     440,   473,   474,   475,     0,   442,   483,   484,     0,   719,
       0,   724,     0,     0,   495,   646,     0,     0,     0,  1276,
       0,     0,     0,  1282,   515,   504,   500,   429,   403,     0,
    1279,     0,   517,     0,   341,  1070,  1073,  1068,  1239,     0,
       0,   559,   558,   650,  1797,  1873,  1859,  1886,  1871,  1902,
       0,     0,     0,  1611,  1614,     0,  1579,     0,     0,  1587,
       0,     0,     0,  1534,     0,     0,  1406,   990,     0,     0,
    1001,     0,   709,     0,   992,   991,   476,   462,  1426,   333,
       0,     0,     0,   782,   785,   773,   786,   793,   792,   667,
    1426,     0,   401,     0,   466,     0,     0,     0,   485,     0,
     486,   507,     0,   723,     0,     0,   780,     0,     0,   416,
     698,     0,  1277,  1387,   506,   504,  1280,  1281,     0,   506,
    1006,  1238,  1237,  1479,     0,     0,  2343,  2120,  2315,     0,
    1904,  1907,  1905,  1899,     0,  1596,  1609,  1542,     0,  1541,
    1894,  1895,  1620,   330,  1004,     0,   464,   480,   487,   265,
    1426,     0,     0,   774,   261,  1323,   699,   492,     0,   491,
       0,   489,   488,   720,   725,   621,   770,  1282,   702,   406,
     506,     0,  1620,  1221,  1479,  1220,  1222,  1230,  1227,  1229,
    1228,  1226,  1108,  1109,     0,  1911,  1910,  1909,  1913,  1912,
    1615,     0,  1607,  1543,  1403,   974,   993,     0,   709,   273,
     776,   783,     0,   490,   494,   493,   647,  1278,   704,     0,
     700,   703,   705,   706,   404,   341,   979,     0,  1231,  1225,
    1464,  1451,     0,     0,     0,     0,   481,   465,     0,   680,
       0,   506,  1223,  1479,     0,     0,  1908,     0,     0,   701,
    1620,  1224,     0,     0,  1608,     0,   980,     0,     0,   702,
       0,     0,     0,  1106,  1107,   681
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4469, -4469, -4469,  3244, -4469,  -834,   404,  2538,  -846, -4469,
   -4469, -4469,  1137, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
    3197, -4469, -4469,  1710, -2208, -4469, -4469,   142,  3143, -1180,
     128,  2771,  1369, -4469, -1043, -4469, -4469,  -544,   100, -4469,
    3148,   452, -4469, -4469, -4469, -4469, -4469, -4469, -4469, -4469,
    -747,  1871,  1206,  4850, -3867, -4469, -4469, -1290, -2927, -4469,
     577, -4469, -4469,  1805, -4469, -4469, -4469,  1047,   492,  -500,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469,  -286, -4469, -4469,
    -658,   160,    52, -2237,  -335, -4469, -4469,   453,  -337, -1201,
   -4469, -3277, -4469,     7, -4469, -4469, -4469,  -313, -1291,  1297,
   -4469,  -649, -1053,  1609,  -734, -4469,  -197, -4469,  -804,  -660,
    -657,  -745, -3466, -3475, -3896, -3448, -3100,  1305,   161, -2846,
   -2926,   164,   422, -4469,   165,   166, -4469,   438,  -742, -1326,
   -4469,  -792, -4469, -4469, -4469, -2710, -4469, -4469, -4469, -4469,
      66, -4469, -4469, -4469, -4469,   481, -4469, -4469, -4469, -4469,
   -4469, -4469, -2463,  1770,  1771, -4469, -4469, -2904, -4469,  -812,
   -4469,   612, -2716,  1218, -4469, -4469, -4469,  2516, -4469, -4469,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -1481, -4469, -4469,
   -4469, -4469, -4469,   464,     9, -4469, -4469, -4469, -4469,   167,
   -4469,  1783,  1029, -4469, -4469, -4469,  -789,  -880,  -860, -4469,
   -2718, -4469, -4469, -4469, -4469,  -276, -4469, -4469, -4469, -4469,
   -4469, -4469,  -891, -4469,  1083, -2856, -4469, -4469,  1088, -4469,
   -4469, -4469, -4469, -4469,  -731,  -209,  2552, -4469,  -598,  -704,
   -4469, -4469, -4469,  -206, -4469, -4469, -4469, -4469, -4469, -4469,
    -996,    48,  -969,  -481, -4469, -4469, -4469, -4469, -2122, -4469,
   -4469, -4469, -3345, -4469,  4049,   386,   504,   168, -4469,   -25,
      64,  2986, -1056, -2422,   397,  -390, -4469, -1655, -4469, -4469,
   -4469, -2315, -4469, -4469, -4469, -4469, -3239,   172, -4469,  2981,
   -4469, -3480, -4159, -3240, -3686, -4014, -3939, -3213, -4469, -4469,
   -1009, -4469, -4469, -4469, -1312,  2087, -1754, -4469, -1919,   458,
    1381,  -842, -2510, -3485,  -622, -2965, -4469, -4469, -3421,  -503,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -1004,  -550, -4469,
   -4469,  3498, -4469, -4001, -4469,  3468, -4469, -4469, -4469, -4469,
    2376,  2381, -4469,  2378, -4469, -4469, -1289,  1167, -4469, -4469,
   -4469, -4469, -4469,  -715,  -824, -4469, -4469, -4469,   173, -4469,
   -4469, -4469, -4469,  1908,  -838,  -651,  3370,   174, -4292, -4469,
   -4469,  -341, -4469,  2775, -4469, -4469, -4469, -4469, -4469, -4469,
   -4469, -4469, -1928, -4469, -4469, -4064, -4469, -4469, -4469, -4469,
   -4469,  2164,  2166,    82,   -26, -4469, -4469, -1168, -4469,  -484,
   -4469,  2439, -4469, -4469, -4469, -4469,  1459,   177, -3464, -4469,
       3, -4469, -4469, -4469,   257, -4469, -4469, -3132,     5, -4469,
   -4469, -4469, -4469, -4061, -4469,     6,  -650,   774, -4469, -4469,
   -2559, -4469,   179,    49, -4469, -4469,     1,     2,   -43,   -45,
     -36,     4,   136,  2847, -4469,  2914, -4469,    23,  1772, -4469,
   -4469,  -737,  -141, -4469,  1462,  -565,  2139,  2826,  2828, -4469,
    1446,  2167, -1785, -1784, -4469,   817,  -627,  -509, -4469, -4469,
   -4469, -4469,   292,  -564,  2146, -4469,  2853, -4469, -4469, -4469,
   -1663,  1448, -3140,   847, -3151, -3088,   334,   321, -1329,  -309,
       0,  -686,  2854, -4469, -4469,   855,  -477, -4469, -4469,  -480,
   -2564,   803, -4469, -4003, -2100,  1003,  2574,  -954, -4469, -4469,
    -900, 13649, -4469, -4469, -4469, 14438, 15002, -4469, -4469, 15186,
   15814, -4469,  -781,  1060, 16118,  7656,  -924, -1621,  -439, 13160,
   -2310,  -955, -2488, -4469, -3254, -2435, -4469, -4469, -4469,  -268,
     916,   427, -4469, -4469, -4469, -4469,   -59, -4469,  -603, -4469,
    -602, -4469, -4469, -4469,  -587, -4468,  2346, -4469, -4469, -4469,
    -193, -4469, 17044,  1501, -4469, -1006, -2495, -2502, -3049, -1639,
   -4469, -4469, -4469, -4469, -4469, -4469, -4469, -1539, -3003,  -526,
    1572, -4469, -4469,  1670, -4469, -4469, -4469, -1202,  -759, -2399,
    1583, -1862, -4469,  -740, -4469,  -681,  2361,  -691,  5124, -1239,
    6984,  -460, -2080, -1146, -1409, -4469,   -46, -4469,    30,   -16,
      -6,  -103,  -138,  -599,  3665, 13197,  -563, -1244,  9554, 11393,
   12649, -2862
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1413,  2282,  2165,  3005,  3006,
      55,    56,  1409,    57,    58,    59,    60,    61,    62,    63,
    1343,    64,    65,   943,  1534,  2293,    66,  2019,   726,   727,
     728,  1840,  1841,  2230,  1842,  1830,  1233,  1667,  1362,   700,
     701,  1325,  1363,    68,    69,  1227,  1821,    70,    71,    72,
    1390,  1391,  1337,  1575,  3988,  4661,  2846,  2141,  3045,  2847,
    2848,    73,  1461,  1462,    74,    75,  2973,  1505,  2261,  3532,
    3533,  4022,   548,  2258,  4307,  4308,  4008,  4009,  4314,  4527,
    4528,  2294,  1529,  3039,  3613,  2996,  4071,  2997,  4072,  2998,
    4073,  2984,  3561,  3562,  3563,  2999,  4044,  4559,  3000,  2038,
    4690,  2329,  1689,  1687,  4546,  3872,  3873,  4762,  4695,  4696,
    4697,  4851,  4046,  3043,  3619,  4080,  4335,  2740,   635,  1555,
    3148,   636,  2332,   580,   637,  2295,    81,  2323,  2324,  1432,
    2173,  3537,  3128,    82,   963,  3390,  4392,  4602,  4603,    83,
     217,    84,  1538,    85,    86,  2278,  2990,    87,  2055,  2757,
      88,    89,  2785,  2786,  2787,    90,    91,  3412,  4254,  1392,
    2835,  2836,  2837,  2838,  3437,    92,  1536,  1437,  2302,    93,
      94,    95,    96,    97,  2445,  2446,    98,  2217,    99,   100,
     101,   102,   103,  3469,  3955,  3590,  2873,  3012,  3588,  2296,
    1546,  2314,  2315,  4060,  4354,  4570,  4356,  4899,  4900,  4328,
    3368,  3886,   105,   106,  4039,  4040,  4702,   107,  2053,   108,
     109,   110,  1513,  2270,  2271,  3538,  1507,  2264,  2265,  3600,
    3601,   111,  2928,   112,  3939,  3940,   581,  4707,  4668,  4775,
     113,   114,  3943,  3944,   115,   116,   117,   118,   119,   629,
    1053,  1054,  1310,  1001,   120,  1937,   121,   914,  2955,   122,
    1121,  2491,  4123,   123,   660,  1067,  1068,  2297,   125,   669,
    2469,   671,  1702,  3130,  3131,  3686,  2431,   813,   126,   127,
    2442,  2472,   128,  1330,  2029,  2030,  3867,  2298,   582,  1561,
    2336,  2735,  4467,  4468,  4233,  4484,  2657,  3319,   130,   583,
    1367,  2099,  2339,  3053,  1996,  1997,  1998,  3636,  1999,  3055,
    2000,  1304,  2001,  3061,  3062,  3063,  3632,  3639,  3642,  4381,
    4382,   131,  1365,  2097,   132,   133,   134,  1404,   844,   135,
     595,   596,   136,  4539,   137,   975,   138,  4390,   139,   140,
     691,   692,  1105,  1106,   141,   142,  2112,  3419,   143,   144,
     145,  4865,  4907,  4908,  4909,  3647,  4813,   146,  4867,  1098,
     148,   149,   150,   186,   878,   879,   880,  2299,  4374,   152,
     153,  1326,  1327,  1328,  1329,  2024,   154,   155,   156,   157,
     158,   159,  1517,   160,   161,  4516,   162,   163,  1480,   164,
    1262,  1263,   165,   166,   543,   744,  1266,  1274,   167,   639,
    1061,  1062,  1063,  1669,   168,  1101,  2457,   640,  1056,   170,
     641,  1984,  2686,  3331,  3332,  3335,  4218,  3848,   642,  2683,
     173,  1709,  2451,  2454,  2679,   643,  2691,  2692,  2693,  2694,
    2695,  3338,   644,   662,   966,  2345,   645,  1194,   178,   179,
     180,   754,   748,   749,   182,  1814,  2618,   678,  1281,   713,
     714,   762,  3304,  1950,  1951,  1975,  1976,  1290,  1291,  1963,
    1967,  1968,  2670,  2663,  1956,  3826,  4452,  4453,  4454,  4455,
    4456,  4457,  4203,  1971,  1972,  1293,  1294,  1295,  1980,   183,
    2622,  3284,  3285,  3286,  3803,  3804,  3818,  3814,  4187,  4438,
    3287,  1096,  1301,  4195,  4882,  3288,  4429,  4430,  4619,  3821,
    3295,  3329,  3029,  3030,  3031,  2002,  1604,  1003,  1195,  1004,
    1618,  1196,  1588,  1006,  1197,  1198,  1199,  1009,  1200,  1201,
    1202,  1012,  1580,  1607,  1203,  1204,  1598,  1615,  1616,  1658,
    2529,  1206,  1207,  1208,  3290,  1209,  3759,  4154,  4143,  2550,
    2551,  1837,  3755,  3230,  1809,  2608,  4461,  4636,  4637,  3269,
    3784,  4170,  4427,  4742,  4820,  4821,  1210,  1211,  1212,  2605,
    1805,   846,  1213,  3540,  1807,  2544,  2630,  2631,  1712,  1732,
    2497,  2513,  2514,  2524,  3189,  2532,  2537,  3217,  3218,  2545,
    2574,  1214,  2499,  2500,  3173,  1734,  1215,  1256,  1257,  1729,
    2569,  1269,  1270,   746,  1223,  1216,  1217,  1703,   737,  4434,
     538,   803,  2862,  1928,   882,   675,  1218,  1219,  1220,  1221,
    1397,   818,  1023,  1024,   539,   797,   820,  2839,   540,   541,
     799,  1933
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     597,   176,   177,   171,   181,   172,   174,   753,   845,   676,
     705,  1929,  1621,   549,   938,   664,  1035,  1087,  1088,  1089,
    1666,   664,   177,  1093,   181,  1228,  1631,  1050,  1296,  1625,
    1302,   969,  1686,  1224,  1944,  1396,  1466,  1305,   763,  2432,
    2037,  1478,  1594,   736,  2995,  1436,  1617,  1527,  3153,  1659,
     967,   663,   752,  1258,  2100,  1934,   537,   663,  1548,   819,
    1722,  2628,  1030,   587,   579,  1929,   852,   739,  2319,  3305,
    2232,  1064,  1242,  2864,  3396,  1600,  1508,   870,  2702,  2704,
    2649,  2108,  3015,   628,  1584,  1585,   670,  2118,  3570,  1515,
    3413,  2496,  3596,  1520,  1593,   923,  3641,  2135,  1524,   706,
      67,   851,   638,  1934,  3841,  2185,  2925,  1531,  3875,  1430,
    1947,  3611,   869,  3542,  1431,  1445,  3432,  1550,  3434,  3869,
    3542,  3624,  3874,  3298,  2963,  1471,  3548,  3134,  3296,  3297,
    1572,  3337,  2967,  3289,  2969,  3910,   765,  3817,  4076,  4037,
     757,   795,  3800,   977,  1047,   766,  4070,  4087,  4077,  1058,
     814,  4093,  2337,  2559,  2195,  2633,   969,  3238,  2199,  2200,
      76,    77,   699,  2010,    78,    79,    80,   104,   124,   733,
    2402,  2107,   129,   147,   151,  1235,  4084,   169,  2093,   175,
    4367,  2672,   725,   764,  2675,   751,  3291,  1770,  3343,  3608,
    4234,  1364,  4492,  4443,  3289,  4445,   646,  1289,  1292,  3815,
    1605,  1581,  1582,  3853,  3008,  3771,  1547, -2157, -2192, -2213,
     862,   547,  1592,  3195,  3739, -2090,  3192,  3193, -2241,  4590,
    4485,  3212, -2160,  2206,   646,  3630,  4511,  4518,  4519,   646,
    1935,   646,  1777,     3,     4, -1680,   800,   802,  2567,   593,
     806,  1069,   808,  2701,  3036,  1584,  1585,  3291,  1073,   593,
    1600,  1573,  2211,  1573,  1340, -1652,   685,  2316,  3242,  3243,
    4232,  1783,   866,  2447,  1593, -1923,  2110,  1503,  2272, -2063,
   -1665,  1668, -1923,  4709,  2043, -2064,  2567, -2063, -2063,  1117,
    1511, -1692, -1695, -2064, -2064,  3171,  2429,   811,   593,   593,
   -1685,  1785, -1680,  1573,  1812, -1685,   593,  3342,  4359, -2396,
   -2034,  2045,  4241,  2110,  3100, -2035,  3102, -2396, -2396,  2947,
    3151, -2032,  2193,  1573,  3936,  4691,  1827,  1393,   593,  2110,
    2621,  2110,   646,  3397,  4811,  4540,  1393,  4600,  3482,  3972,
    3692,   646,  2110,  1970,  3138,  1084,   686,  3913,  3643,  3140,
    2285, -1695,  3086,  1232,  2045,  4216,  4643, -1685,  4874,  1494,
      39,  4033,  2327,  1581,  1582,  3583,  2602,  4127,  1341,  4129,
    1259,   760,  1260,  2603,  2751,   652,   652,   652,  2088,  4876,
    4632,   845,   711,   652,  4337,  2793,   652,  3142,  -825,  1592,
     652,  1306,  2448,    43,  1091,  3408,  -131,   653,   653,   653,
    2246,  -131, -2212,  4495,  1835,   653,  2126,  3294,   653,  3195,
    3990,  3087,   653,  2441,  1478,  4514,  3089,   661,  2766,  1777,
     593,  2144,  3442,   661,  3937,  1307,   646,  3644,  2317,   845,
    3991,  4802,  1828,    47,   933,  3443,  4515,  2127,  2110,   933,
    4692,  4521,  1632,    39,  1836,  1771,  2046,  4663,  1783,  3339,
     933,  4628,  1623,  3584,  2651,  1308,  4926,  2247,  1831,  2286,
    3409,  3143,  2427,  1843,  1843,  2089,  2433,  1936,  2435,   932,
    4237,  2438,  2794,  1817,   941,  1092,    43,   712,  1785, -1942,
    3693,    50,  4581,  4667,   742,   951, -1942,   687,  3564,  3914,
    2240,  2471,  4338,  1743,  3973,  4601,  -391,    39,   969,  4034,
    2244,  4812,  1704,  4785,  1309,  4644,  1085,  1612,  4693,  4877,
     969,  1254,  1612,  1714,   918,  1255,    47,  1654,  1574,  3938,
    1574,   991,  1777,   767,   688,   689,  2047,  2430,  1723,    48,
      43,  1707,  3585,  1126,   588,   928,  3195,  2493,  3397,   915,
   -2397, -2397, -2397,  1829,  3139,   829,  4685,  4217,  2565,  3141,
      49,  1783,   830,   831,   832,  4652,  4653,   812,  2328,  1813,
    1574,  3302,   972,  3645,    50,  3631,  2081,   969,  2568,  1244,
      47,  3195,  1021,  2449,  2087,  4897,  2044,  2789,  2498,  1934,
    1574,  1785,  1512,    48,  2318,  1092,  1726,  2352,   968,   597,
    3542,  1670,  2450,  2207,  2212, -1923,  3925,  3915,  1606,  4242,
    3916,   753,   768,  2181,    49,  2183,  3258,  2259,  2260,  2079,
    1708,   921,  4368,   690,  2194,   924,  1092, -2212,    50,  1261,
     913,  4781,  1065,    50,  4332,  1934,  3339,  2266,  3646,  2948,
    3483,  1512,  2859,   949,  1297,  2190,  1342,  2171,   658,   659,
    2174,  2175,  2420,  3901,  4760,   177,   752,   181,  1254,  2231,
    2235,  1066,  1255,  1071,  2752,  1075,  3817,  3879,  3210,  4861,
    1601,  1079,  1656,  2151,  3361,  4052,   658,   659,  3586,  2406,
   -2157, -2192, -2213,   658,   659,  1099,  4184,  1804, -2090,  3082,
    4188, -2241,  4384, -2212,   969, -2160,  2604,   663,  1095,   663,
   -1680,   663,   969,   969,  1057,  2134, -2212,   663,  1080,  1081,
    1579,  1118,  1623,  1825,  1595,  1579,  2428,  4083,  2241,  1225,
    1583,  4064,  1234,   968,  1236,  2439,   845,  4839,  4178,   765,
    1082,  4133,  3685,  1596, -2063,  1587,  1060,  2374,   766,  4844,
   -2064,  4159,  2492,  3587,  2495,  4221, -1692,  1597,   874,  3929,
    2502,  1981,  1982,  1773,  1815, -1685,  2516,  2517,  2518,  1095,
   -1685,  2636,  4824,  2096, -2396, -2034,  2534,  2536,  1254,  3565,
   -2035,  2546,  1255,  1595,  1394,  1395,   764,   176,   177,   171,
     181,   172,   174,  1394,  1395,   743,  4306,  1929,  1331,  1300,
    1403,  1623,  1596,  4786,  1245,  3201,  4401,   589,  1018,  4889,
    4402,  4403,  3345,  4404,  3346,   929,  1599,  3315,  2790, -1942,
    4648,  4847,  3289,   769,  3289,  1708,  2530,  1411,  1573,  2119,
    3834,  2040,  2291,  4068,  2548,  1487,  3592,  2971,  4477,  2355,
    2356,  1450,  1346,   593,  1475,  4487,   593,  3550,  1412,  4804,
     875,  4834,  4388,  -131,  -131,  1264,   593,  4023,  3516,   590,
    3608,  3207,  3208,  3209,  3210,  3520,  3521,  3861,  1482,  3524,
    1246,  1801,  1802,  1803,  1804,  3291,  3529,  3291,  2327,  1489,
    3615,  1451,  2764,  1113,  4553,  2158,    67,   663,  2820,  1231,
    2860,   876,  3553,  1239,   591,  2716,   592,  2987, -1527,  2628,
    2628,  2628,  1332,  1608,  3289, -1652,  2672,  2292,  3322,  3522,
    3523,  1401,  1402,  1271,  2176,   593,  3719,  3720,  3721,  3722,
    2849,  2587,  3727,  3728,  3729,  3730,  3731,  3732,  3733,  3734,
    3735,  3736,  4554,  1324,  2806,  2842,  3455,  4068,  2330,  4860,
    4555,  2684,   877,  1562,  2821,  2093,    76,    77,  3863,  4580,
      78,    79,    80,   104,   124,   760,  4431,  3291,   129,   147,
     151,  3392,   593,   169,  3851,   175,  3911,   542,  4556,  4099,
    2876,  1609,  1799,  1800,  1801,  1802,  1803,  1804,  3775,  3776,
   -1652,   685, -2397, -2397, -2397,  2843,  3205,  3206,  3207,  3208,
    3209,  3210,  1502,  3875,   835,   836,   837,  2609,   838,   839,
     840,   841,   842,   843,  1539,  1476,  3875,  2506,  4848,   593,
    4772,  2724,  2021,  4612,  1525,  1526,   699,  1440,     3,     4,
    3874,  3205,  3206,  3207,  3208,  3209,  3210,  4330,  2185,  4069,
    1610,  2664,  3557,  1611,  2031,  1559,  1452,  2436,  2437,  1771,
    3456,  2031,  4557,  2177,  1540,  2178,  3308,  2877,  1333,   544,
    2588,  2032,  2972,  2379,  2424,  2589,  3054,  2852,  3340,  1565,
    4432,   686,  2985,  2988,  2709,   968,  2392,  4389,  1019,  1594,
    3558,  2844,  4773,  2134,  4351,  4435,   632,   968,  4849,  1641,
    4439,  2401,  1334,  4441,  3559,  1574,  3539,  2188,  1455,  3191,
    2954,  2590,  1566,  3539,  1456,  1488,    14,   177,  2878,   181,
    3472,  1477,  4850,  2248,  1314,  1627,  1629,  2033,  2507,  2120,
    2387,  1710,  1335,  4686,  2033,  3941,  4703,  2310,  3864,  1642,
    2121,  4409,  2122,   663,   673,  2034,  1612,  2610,    19,  1064,
    1453,  4715,  2034,  4799,   968, -1652,  3414,  4725,  2354,  4723,
    4714,  4716,  2765,  2249,  1567,  3827,  2989,  1672,  2350,  1674,
    3865,  1676,  2879,  1678,  3875,  1680,  1681,  1682,  3641,  4122,
    1731,    39,  1684,  4718,   594,  1608,  2677,  4488,  4358,  3637,
     561,  3866,  3560,   677,  4363,  1336,  2508,  2706,  2123,  1740,
     753,  1315,  4227,  1070,  1072,  1074,  3457,  3384,  1076,  1077,
    1078,  2049,  1457,  3393,    43,   545,  2311,  2400,  1083,  1541,
    2910,  2050,   687,  4613,  2274,   707,  2911,  2412,  1954,  1772,
    1756,  2780,  3576,  4558,  4740,  3942,  2591,  2039,  1774,   758,
    3458,  3125,  2845,  4255,  2425,  1768,   684,  3385,   563,  2522,
    1613,  1316,  1816,  1609,    47,  2509,  1568,  -520,  2510,   688,
     689,  4741,   845,  1285,  2880,  2040,  2853,    48,  1279,  1614,
    3459,   968,  4491,  4687,  1833,  1834,  2426,  2035,  3684,   968,
     968,  2678,  4544,   632,  2035,  4646,  1948,  1949,    49,  1953,
    1940,  4805,  1383,  4030,  1643,   766,   766,  4510,   766,   874,
     759,  1543,  2685,    14,   184,  2781,  1569,   683,  4584,   652,
      31,  4369,  1610,  1542,   184,  1611,  4585,  3685,  2250,  1955,
     663,  1544,   561,  4370,  2912,   663,   663,  3723,  4894,  3724,
   -1652,   653,  1287,   764,   764,    19,   764,    39,  2676, -1652,
    3415,  1583, -1652,  1309,  1317, -1652,  4220,   185,  1300,  2443,
    4624,  2511,  4717,  3228,  4810,  1383,  3550,   185,  1458,  3235,
     959,  2919,  3551,  1280,  2051,  1433,  3416,   760,  3289,  2884,
      43,  2136,  3289,  3552,  2881,  3834,  2218,  4200,  3480,  2036,
     563,  4207,  2882,  3577,  2707,  2883,  2036,  2708,  1644,  1570,
    1623,   875,  1459,  2020,   571,  3072,   572,  1957,  2052,  1434,
    2041,  3553,  3386,  3554,  2312,  1340,  4859,  2805,  1612,  4607,
      47,  4862,  2251,  4431,   633,  1623,  2726,  2313,  3097,  2780,
     577,  3291,  1460,    48,  2884,  3291,   710,  4649,   663,  4119,
    2444,  2892,   876,  3103,  1958,  3098,   663,  4655,  3875,  2895,
    2780,  2897,   734,  3481,    49,  2290,  3807,  4000,   745,  2303,
    3725,  3542,  4757,  4003,  4004,  2512,  4006,  4496,   634,  2074,
    3726,  2218,  4904,  2784,  3020,  3021,  3022,  3023,  4895,  2189,
    2913,  1545,  4586,  2890,  1080,  1081,  3028,  2974,  2891,  3555,
    2129,  4371,  4662,   877,  4575,   874,  1321,   845,  1322,  4764,
    4765,   761,  2192,  2781,  2727,  2903,  3387,    31,  4567,   663,
    1435,  4665,   663,   663,  2914,  4670,  4671,  2462,  1314,  1341,
    2137,   969,  1613,  -614,  2781,  4137,  3808,  4138,   755,   858,
    1285,  3681,   960,  4930,    39,  2942,   571,  3311,   572,  3858,
     930,  1960,   931,  1241,  2915,  2380,  3556,  2138,  3407,  2262,
    3356,  3557,  4517,  3882,  2782,   859,  3809,  2916,  2201,  2202,
    2203,  2204,  1528,  2802,  4063,  3070,  2025,    43,  2822,  1324,
    2139,  3810,  2140,  2218,  1324,  2770,  2026,  1408,   770,  2300,
     663,  3811,  3194,  3539,  2654,  2347,   961,   875,  2783,  3558,
    3705,  2917,   962,  2027,  3222,  1315,  1961,  1245,  1623,  1287,
    2242,  2243,   756,  3559,  2871,  2134,  3812,    47,  2628,  2255,
    1623,   554,  2936,  3927,  3875,   805,   845,  2721,  1456,  2269,
      48,  2918,  2176,  1324,  2823,  2185,  3245,  1324,   876,  3883,
    1671,  2530,  2530,  1673,  2377,  1675,  2530,  1677,  1288,  1679,
     827,    49,  2876,  1683,  4103,  1316,  4104,  2305,  2306,  2307,
    2308,  1285,  3842,   807,   952,    50,  1286,   828,  4139,  4514,
    3808,  2784,  3001,  1246,  3271,  2655,  1311,  1002,  1819,   561,
    4542,  2872,  3484,  2530,  2530,  2126,  1113,  2353,  3928,   877,
    4515,  4886,  2784,  3813,  3884,   953,  3885,  2361,  1002,  2362,
    3809,  3560,   561,  3674,   873,  1777,  2367,  4708,  2651,  2575,
    1312,  2576,  3127, -2054,  2373,  4190,  2127,  -153,   814,  1446,
    3714,  3843,  3247,  -982,  3248,  3811,  1457,   954,  4705,  2877,
    1287,  4722,  1254,   177,  2577,   181,  1255,   563,  2028,  2738,
    1313,  2156,  1820,  -153,   934,  1512,   935,  3249,  1317,  3740,
    4568,  4599,  2391,  1447,  3048,  2394,  3367,  1448,  1595,   864,
     563,  2177,  3289,  2178,  1785,  2399,  2468,  3289,  4400,  1288,
    4733,  2874,  3289,   955,  2407,  3289,   184,  1596,  2452,  1776,
    2878,  4569,  1777,  1449,  2461,   177,  2458,   181,  2459,  2460,
    2414,  1597,  2415,  2739,  2416,  2515,  2417,  1318,  2418,  3289,
    3344,  1126,  2419,  3016,  3195,  2157,  2709,  2272,  3196,  3197,
    3198,  1783,  3289,  2004,  1060,  3291,  -414, -2397,   917,   185,
    3291,  3616,  1411,  1957,  3620,  3291,   952,  3813,  3291,  3002,
    3641,  1319,  2578,  4031,  2879,    34,  3383,  2579,  2504,  2505,
    4656,  1785,  2580,  1412,  4341,  2519,  2520,  2005,  4659,   969,
    3250,  1419,  3291,  2734,  2467,  3251,  4238,   953,  4803,  2573,
    1958,  1320,  1777,  2490, -1500,  3291,  1416,  4809,  3066, -1500,
    2738,  2920,  4473,  2558,  4475,  2110,  4340,  2006,  1583,  2374,
    1309,  4245,  4246,   571,  2111,   572,  2637,  4342,   920,  3594,
    1321,  1783,  1322,  4595,  3452,   939,  4406,  4032, -1464,  1420,
    1417,  2921,  4362,  2570,    39,  3244,   571,  -988,   572,  1528,
   -1464,   969,  2114,  1959,  2115, -1464,  1843,  4349,   574,  1595,
    4239,  1785,  4863,    28,  3364,  -414,  2880,  3882,  3453,   576,
    3115,  2163,  1528, -1500,   922,   955,  2166,    43,  1596,  2713,
    1323,  2225,   845,  1595,  2717,  2110, -2397,  4302,  2720,  4303,
    4304, -2397,  1599,  4305,  2117,  3680,    34,  1960,  3454, -1464,
    3289,  4732,  1596,  3303,  1485,  2922,  3003,  4324,  2581,  4688,
    2116,  4319, -1500,  3199,  2744,  2226,  4320,    47,  2582, -1464,
    1421,  3252,  2162,   218,  1500,  2215,  3375, -2397,   546,  2221,
      48,  3253,  2227,  1510,  3200,  2923,   630,  4325,  1411,  3088,
    3090,  3091,  1651,  3883,  2228,  2288,    39,  4767,   925,  3004,
    2145,    49,  1961,  3291,   708,   646,  2795,  1237, -1464,  1412,
    4321,  4896,  3289,  1652,  2320,    50, -1464,  3880,  1422,  2229,
    1423,  1792,  3025,   933, -1464,   947,  2881,  3026,  1823,    43,
    2184,  3597,  -519,  3974,  2882,  3398, -1464,  2883,  4921,  4514,
    3606, -1464,   956,  3201,  3306,  2687,   177,  3751,  3884,  1414,
    3885,  1590,  1591,  2840,  3975,  2671,  2671,  3418,  2801,  1425,
    4515,  2728,   958,  2731,  1463,  3291,   957,  1467,   968,    47,
    2758,  2136,   974,  3221,  3167,  3223,  3224,   814,  2725,  2409,
    1776,  1264,    48,  1777,  3168, -1464,   933,  3320,  1661,  3169,
    2886,  1662,   646,  3349,  3256,  2136,  2493,  1017,  1583,  1427,
    2011,  3401, -2397,    49,  4836, -1464,  3549,  1716,  2898,  1025,
    1717,  3026,  1783, -1463,   663,  3860,  1031,  4864, -2397,  2908,
    1583,  2875,  2011,  1938,  1026, -1463,  1939,  1254,  2628, -2035,
   -1463,  1255,  2932,  2628,  1236,   969,  2788,  4756,  1429,  2628,
   -1464,   933,  1785,  1941, -1464,  4316,  1942,  4318,  1730,  3807,
      50,  4322, -1464,  4323,  1042,  2408,  3695,  4606,  2409,  2421,
    1051,  2423,  2422,  1711,  2422,  2455,  2760,  2761,  2456,  2182,
    3902,  3448,  2673,  2674, -1463,  2772,  2939,  2774,   646,  2650,
    2799,  2778,  2651,  2800,  1090,  3912,  3917,  3353,  3354,  3289,
    2343,  1055,  2344,  2196, -1463, -2397,  2866,  1094,  2976,  2867,
    2493,  2977,  1799,  1800,  1801,  1802,  1803,  1804,  3300,  3301,
    2137,  3700,  3566,  1086,  3289,  3655,  3656,  3930,  1100,  3808,
    3202,  3203,  3204,  1097,  3205,  3206,  3207,  3208,  3209,  3210,
    4917,  1102,  2980, -1463,  2137,  2981,  1583,  2138,  2011,  4522,
    3073, -1463,  3291,  2409,  3272,  3716,  3273, -2397,  2552,  3809,
    1104,  2555, -2397,   969,  2136,  3119,  1110,  2849,  2422,  3926,
    2139,  2138,  2140,   663,  3810,  3166,  3175,  3291,  2409,  2409,
    1103,   663,  3374,   663,  3811,  3181, -1464,  4086,  2409,  3745,
    3182,  1112,  2956,  2409,  2139,  1113,  2140,  2893, -2397,  3183,
    2956,  3214,  2409,  3227,  2409,  2134,  2409,  1111,  2956,  3812,
    2956,  2530,  2530,  2530,  2530,  1114,  1115,  2530,  2530,  2530,
    2530,  2530,  2530,  2530,  2530,  2530,  2530,  3232,  4436,  2134,
    3233,  1116,  1119,  3435,  3787,  4563,  3436,  3440,  4884,   758,
    3441,  1120,  1792,  3467,  3749,  3628,  1254,  1122,  3629,  1275,
    1255, -1501,  2136,  3475,  1240,  2953, -1501,  4010,  3019,  1243,
    1247,    28,  2224,  2962,  3653,  2964,  3746,  2409,  4906,  3747,
    1248,  2966,  3132,  2530,  2530, -1463,  3756, -1522, -1522,  3757,
    3877,  3878,  3767,  1249,  3698,  2409,  3813,  3054,  3049,  3849,
    3289,  4074,  3850,  4922,  3146,  4923,   968,  3037,   177,  1253,
     759,  3854,  3132,  2137,  3855,  1265,  1272,  4833,  4380, -2304,
    1273,  1283,  3859,  3017,  3539,  2708,  3881,  1275,  4065,  2422,
   -1501,  2422,  4116, -2397,  4134,  1708,  3041,  2409,  3042,  1298,
    2138,  3582,  4160,  1276,  4172,  2456,  4936,  2409,  3274,  3701,
    3275, -1526, -1526,  3291,    39,  3038,  4223,  1339,  4229,  2708,
    2791,  4230,  1299,  2139,  4235,  2140,  1309,  2422,   968, -1501,
    4236,   845,  1303,  2422,  3081,  3083,  4437,   760, -1525, -1525,
    4309,  3092,  3575,  4310,  3578,  2474,  2155,    43,  4364,  4411,
    4413,  4365,  4412,  2409,  4421, -2306,  1344,  2456,  2134,  2136,
    4493,  2137,  3898,  4494,   969,  1366,   969, -2304,  3156,  1368,
    1370,  3099,  4011,  3101,  3160,  4024,  1371,  4025,  4110,  4111,
    4112,  1403,  1405,  3567,  2374,  3569, -2397,    47,  2138,  1275,
    3688, -1452,  2475,  1799,  1800,  1801,  1802,  1803,  1804,  4564,
      48,  4591,  2422,  3316,   663,  1406,  4592,  4608,  1478,  4593,
    2456,  2139,  1407,  2140,  4012, -2304,  4616,  4621,  1408,  4617,
    2651,    49,  4189,  2476,  4192,   753,  2236, -2304,  4627,  1415,
    4629,  3604, -2304,  3604,   969,    50, -1232, -2304, -1232,  4013,
    1410,  2252, -2304, -2306,  2477, -2304,  2134,  1418, -2304,  4641,
    1441,  1442,  4642,  3634,  4014,  2478,  4682,  2861,  4015,  4683,
    2275,   761,  2136,  1454,  4704,  4724,  2136,  1822,  4642,   753,
    1768,  1282,  1464,  1284,  3823,  2479, -2304,  1468,  4016,  3165,
    2480,  4017,  4734,  4735,  4736,  2456,  3233,  2409,  1465,  1473,
    4746, -2306,  3694,  2651,  4018,  1474, -2304,  1479,  2137,  3828,
    3829,  3830,  4362, -2306,  1481,  1486,  4749,  2341, -2306,  3604,
    1483,  1490,  3350, -2306,  1768,  3292,  4771,  1491, -2306,  2456,
    2349, -2306,  1497,  4777, -2306,  2138,  2456,  4778,  2481,  1498,
    2456,  2573,  1002,  1126,  1501, -2304,  3195, -2304,  2530,  1504,
    3196,  3197,  3198, -2304,  2363,  1506,  1509,  3265,  2139,  2482,
    2140,  4793, -2306,  4825,  4794,  3372,  2651,  3764,  1516,  1519,
    3479,  1934,   968,  3283,  3485,  4826,  4827,  4829,  2409,  2409,
    2409,  4880, -2306,  4019,  3604,  1521,  3292,  1532,  3277,  3278,
    3279,  4020,   753,  2134,  1530,  1512,  2136,  4883,  2397,  2493,
    4635,  1002, -2304,  2461,   177,  2458,   181,  2459,  2460,  4905,
    4919,  2137,  4642,  4920,  4945,  2137,  3307,  4920,   663,  4537,
     203, -2306,  1533, -2306,  -174,  1535,  1537,  4021,  1549, -2306,
    1551,  1558,  1560,  1564,  3283,   203,  1571,   752,  2138,  1576,
    3321,  3321,  2138,  1577,  1578,  1579,  1583,  2483,  1589,  3995,
    1586,   677,  1587,  1603,  2484,  1619,  1620,  1622,  1623,  1630,
    2485,  2139,  1633,  2140,  1634,  2139,  1635,  2140,  3444,  1636,
    1637,  1638,  1640, -2320,  1647,  1645,  1660, -2304, -2306,  1646,
    3463,  1648,  4290,  4291,  1650,  4293,  1655,  1685,  2136,  1713,
     968,  4144,  2486,  1718,  3513,  2487,  2134,  1720,  1727,  4096,
    2134, -2304,  1721, -2304, -2304,  1728, -1656, -1663,  2136,  1735,
    1736,  1737,  1738,  2488,  1739,    50,  1776,  1741, -1653,  1777,
    1742,  1743, -1654, -2397, -2397, -2397,  1744,   677,  1745,  1746,
    2560,  1748,  3316,  1749, -1657,  2137,  3200, -2304,  2489,  3316,
   -2304, -2304, -2304,  1750,  1751,  1752, -1655,  1753,  1783,  1754,
    1755,  1757,  1758, -2306,  1784,  1759,  4155,  3514,  1760,  1761,
    1762, -2320,  2138,  3379,  1808,  3380,  3381,  3382,  1763,  1764,
    1810,  1812,  3438,  1826,  1838,  1813,  1822, -2306,  1785, -2306,
   -2306,  1846,  1946,  1286,  1977,  2139,  3903,  2140,  1288,  4380,
    1979,  1988,  2007,  2008,  2009,  3201,  2011,  2012,  2013,  2016,
    2014,  2015,  2017,  2023,  2042,  2048,  3931,  2054,  2076, -2320,
    2080,  2083,  2082, -2306,  3473,  2084, -2306, -2306, -2306,  2085,
    2134, -2320,  2086,  2101,  2103,  1776, -2320,  2137,  1777,  2102,
    2124, -2320,  1778,  1779,  1780,  2113, -2320,  2128,  2130, -2320,
    4113,  2131, -2320,  1776,  2132,  2133,  1777,  2137,  2134,  1781,
    1778,  1779,  1780,  2142,  2138,  2143,  2147,  1783,  2146,  2148,
    2152,  2153,  3505,  1784,  2161,  2172,  2164,  1781,  2179,  2168,
   -2320,  1383,  2169,  2180,  2138,  1783,  2191,  2139,  2186,  2140,
    2208,  1784,  2187,  1786,  2956,  2197,  2198,  1785,  1787,  2209,
   -2320,  2956,  2956,  2210,  2213,  2956,  2219,  2139,  2214,  2140,
    2223,  2237,  2956,  2245,  2238,  1785,  2239,  2253,  2254,  3541,
    2256,  2267,  2134,  2268,  2273,  2276,  3541,  4313,  2277,  2257,
     556,   968,  2280,   968,  1790,  2284,  2218,  4048,  4049, -2320,
    2289, -2320,  2134,  1435,  2304,  1126,  2281, -2320,  3195,  2309,
    4053,  3683,  3196,  3197,  3198,  2326,  2334,  2338,  4346,  2322,
    3518,  2340,  2342,  2346,  2325,   663,  2351,  2357,  2359,  3765,
    2360,  3602,   663,  2366,  2368,  2364,  3697,  2365,  1792,  2369,
    2370,  2372,  3202,  3203,  3204,  2381,  3205,  3206,  3207,  3208,
    3209,  3210,  2383,  2385,  3579,  2403, -2320,  2371,  2384,  2386,
    3633,   968,  1786,  2404,  2440,  2434,  2453,  1787,  3623,   177,
    2503,  2470,  2547,  2553,  1777,  2498,  2566,  2557,  2607,  2572,
    1786,  2584,  2586,  2762,  2621,  1787,  4010,  2606,  1788,  1789,
    3650,   177,  2635,  2638,  4074,  2777,  2639,  2642,  2643,  2652,
     814,  2665,  2653,  1790,   759,   677,  1788,  1789,  2666,  2667,
    2682,  1776,  2668,  2688,  1777,  2697,  2698,  2710,  2711,  1794,
    2712,  1790,  2700,  2732,  2729,  2734,  3654,  2743,  2736,  2748,
    2753, -2320,  2807,  2737,  1791,  2759,  2754,  1305,  2756,  2763,
    2767,  2776,  2775,  1783,  2779,  3781,  2792,  1792,  2797, -2397,
    1793,  1237,  1791,  2811,  1241, -2320,  1095, -2320, -2320,  2824,
    2829,  2830,  2856,  2851,  2865,  1792,  2857,  2869,  1793,  2927,
    2868,  2885,  3669,  1785,  3670,  2870,  2924,  2938,  3672,  4872,
    4873,  2951,  2950,  2945,  2949,  2957,  4213,  2946,  2958,  2959,
    2961, -2320,  2965,  2968, -2320, -2320, -2320,  2970,  3200,  2960,
    2993,  2530,  3007,  2975,  3011,  2982,  3009,  3018,  3024,  3027,
    4414,   663,  1795,  3034,  4620, -2397, -2397, -2397,  3032,  1799,
    1800,  1801,  1802,  1803,  1804,  4620,  3033,  3035,  1794,  3047,
    3051,  3064,  3703,  3065,  3044,  3046,  3067,  3255,  4315,  3068,
    3050,   753,  3069,  3071,  3762,  3093,  1794,  1612,  3095,  3109,
    3114,  3118,  3076,  3074,  3292,  3077,  3292,  3201,  3078,   753,
    3104,  3106,  3110,  3113,  3079,  3121,  3133,  3122,  3123,  3316,
    3124,  3080,  3085,  3135,  3094,  2471,  3899,  3137, -2397,  3136,
    2651,  1656,  3126, -2397,  3147,  3152,  1768,  4532,  4534,  4526,
    3144,  2979,  1092,  3154,  3158,  3159,  3161,  3164,  3180,  3162,
   -1915,  4678,  3796,  3177,  3799,  4943,  4944,  3178,  3179,  3184,
    4211,  3185,  3187,  3190,  3191,  3789,  3790,  3791,  3792, -2397,
    2409,  1795,  3213,  3219,  1796,  1797,  1798,  4252,  1799,  1800,
    1801,  1802,  1803,  1804,  3229,  3226,  3292,  3246,  3254,  1795,
    3263,  3186,  1796,  1797,  1798,  3240,  1799,  1800,  1801,  1802,
    1803,  1804,  3241,  3294,  2640, -1528,  3324,  3323,  3264,  3268,
    2641,  3299,  3326,  1792,  3328,  3266,  3318,  3330,  3334,  3347,
    3355,  1776,  3358,  3976,  1777,  3341,  3979,  3267,  1778,  1779,
    1780,  1347,  3270,  3357,  4286,  3362,  3366,  3369,  3371,  3363,
    3378,  3394,  3395,  3405,  3406,  1781,  3410,  3411,  3420,  3421,
    3423,  3429,  3430,  1783,  4747,  3431,  3439,  4333,  3466,  1784,
    3468,  3471,  3470,  3474,  1348,  3476,  3488,  3477,  3478,  3486,
    3487,  3491,  3504,  3489,  3490,  3493,  4610,  3492,  3494,  3495,
    3496,  3506,  3498,  1785,  3202,  3203,  3204,  3500,  3205,  3206,
    3207,  3208,  3209,  3210, -2397,  3508,  3541,  2206,  3497,  3499,
    3501,  3519,  3893,  3894,  3895,  3896,  3510,  3512,  3525,  3531,
    3543,  3526,  3528,  3546,  3573,  1770,  3591,   969,  3593,  3595,
    3574,  1349,  2530,  4055,  3604,  3957,  3580,  3589,  3958,  3145,
    3959,  3603,  3612,  4447,  3956,  3614,  3617,  3621,  3618,  3622,
    4462,  3625,   663,  4523,  1347,  3626,  3638,  3649,  4684,  4472,
    3157,  1605,  3657,  3676,  1350,  3677,  3678,  3679,  3687,  3658,
    3689,  3163,  4666,  3660,  3690,  3682,  3664,  3666,  4669,  3691,
     663,  3699,  3702,  2956,  3704,  1776,  3708,  1348,  1777,  2956,
    2956,  3216,  2956,  3195,  2262,  3717, -1914, -2397,  1786,  1351,
    4674,  3215,  4676,  1787,  1799,  1800,  1801,  1802,  1803,  1804,
    1730,  3742,   760,  3769,  3758,  3782,  3743,  1783,  3798,  3825,
    3844,  3820,  3847, -2397,  1788,  1789,  3744,  3132,  3750,  3852,
    3788,  1352,  3868,  3770,  3862,  3773,  3889,  3822,  3840,  1790,
    3806,  3835,  3837,  3839,  1349,  1080,  1081,  1785,  3891,  3892,
    3897,  3904,  3905,  3907,  3906,  1776,  3918,  3921,  1777,  3909,
    3932,  3935,  3947,  3948,  3933,  3934,  3945,  3946,  3949,  3950,
    1791,  3951,  3953,  3954,  3963,  3971,  3964,  1350,  3987,  4028,
    3989,  3913,  3992,  1792,  3998,  4027,  1793,  1783,  4739,  4085,
    3999,  4001,  4002, -2397,  4903,  4005,  3640,    34,  4035,  2094,
    4748,  1355,  4081,   177,  4038,  4750,  4045,  4752,  1356,  4043,
    4051,  3774,  1351,  4059,  4058,  1357,  4061,  1785,  2422,  4067,
    4526,  4062,  4079,  2095,  4078,  4091,  4092,   845,  4094,  4095,
    4098,  4097,  4561,  4100,  4101,  1359,  4114,  4109,  4118,  4120,
    4146,  4121,  4125,  1360,  1352,  4497,  4126,  4128,  4131,  4136,
    4140,  4145, -2397,  4141,  4147,  4148,  4903, -2397,  4153,  4149,
    4185,  4480,  4180,  4124,  1794, -1916,  4124,   672,  4124,   674,
    4615,  4186,  1353,   680,  4168,  4903,  4181,  4201,   694,   702,
     672,  3777,   709,  4183,  4193,   702,   702,  4202,   738,  4194,
     741,  4199,   663, -2397,  4198,  4219,  4212,  1361,  4204,  4222,
    4205,  4206,  4224,  4226,  4502,  4231,  1354,  4232,  4240,  1776,
      34,  4256,  1777,  4257,  1355,  4263,  1778,  1779,  1780,  4264,
    4276,  1356, -2397,  4265,  4279,  4283,  4285, -2397,  1357,   969,
    4288,  4294,  4289,  1781,  4301,  4326,  1358,  1792,  4327,  4339,
    3292,  1783,  3376,  4334,  3292,  4343,  4344,  1784,  1359,  4347,
    4350,  4353,  4345,  4355,  4366,  4375,  1360,  1795,  4376,  3388,
    1796,  1797,  1798, -2397,  1799,  1800,  1801,  1802,  1803,  1804,
    4377,  1785,  4386,  4391,  4378,  4270,  4397,  3236,  4373,  4407,
    4398,  4408,  4410,  4415,  4417,  4418,  4426,  4280,  3283,  4419,
    4440,  4433,  3283,  4466,  4460,  4420,  4444,  4469,  4474,  4208,
    4464,  4210,  4490,  4499,  4486,  4520,  4524,  1792,  4538,  4531,
    1361,  4034,  4890,  4489,  4470,  4504,  4547,  4505, -2397,  4509,
    4545,  4548,  4550,  4225,  4551,  4566,  4552,  4571,  4572,  4573,
    4214,   177,   796,   801,   801,   804,  4577,   801,  4579,   810,
    4582,   796,  4583,   738,  4594,  4596,   847,  4597,  3460,  4598,
    3462,  4611,   738,  4614,  4618,   738,  4623,  4626,  4631,   801,
    4630,   738,  4658,  4660,  4633,  4635,  1776,  4639,  4650,  1777,
    4673,  4689,  4694,  1778,  1779,  1780,  1786,  4701,  4698,  4699,
    4706,  1787,  4712,  4720,  4719,  4721,  4728,  4729, -2397,  4258,
    1781,  4730,  4731,  4737,  4738,  4755,  4759,  4745,  1783,  4751,
    4758,  4761,  1788,  1789,  1784,  4754,  4770,  4774,  4667,  3503,
    4783, -2397,  4784,  4787,  4789,  4792,  4795,  1790,  1799,  1800,
    1801,  1802,  1803,  1804,  4797,   663,  4798,  4806,  1785,  4807,
    4814,  4815,  4842,  4846,  3517,  4808,  4785,  4823,  3783,  4854,
    4835,  4881,  4786,  4875,  4893,  4837,  4273,  4274,  1791,  4912,
    4853,  4277,  4278,  4914,  4296,  4297,  4918,  4858,  4913,  4915,
    4924,  1792,  3132,  2956,  1793,  2956,  2956,  4925,  4928,  2956,
    4937,  4938,  4336,  4932,   968,  4933,  4939,  4940,  4317,  3013,
    1277, -2397,  1439,  4941,  2220,  4766,  1438,  3309,  1799,  1800,
    1801,  1802,  1803,  1804,  2855,  3417,  1369,  1845,  3924,  2937,
    3530,  4292,  4007,  4680,  4525,  4782,  4576,  4047,  4578,  4560,
    3360,  3120,  4838,  4478,  4888,  4295,  4331,  4790,   845,  4788,
     663,  4852,  3365,  2807,  4082,  4066,  4357,  4042,  3922,  2991,
    2992,  3433,  2301,  1786,  4054,  3599,  2983,  4892,  1787,  4942,
    4929,  4549,  1794,  4348,  3547,  3544,  4856,  4503,  4360,   177,
    3316,  4776,  4843,  4506,  3652,  4379,   679,  2283,  1705,  1788,
    1789,   845,  4115,  4645,  1715,  2703,  3132,  4088,  3132,  3348,
    4726,  1043,  2464,   970,  1790,  2466,  3507,  2465,  4866,  4931,
    4763,  2413,  2022,  2646,  1250,  4124,  2647,  4215,  4832,  4124,
    4124,  3313,  4124,  3856,  3325,  3314,  4361,  1974,  1973,  1943,
     969,  2681,  3836,  2662,  4828,  1791,  4753,  2680,  4209,  3801,
    3327,  4179,  4625,  4191,  3292,  3797,  4743,  1818,  1792,  3292,
    4744,  1793,  4609,  3857,  3292,  3659,  1978,  3292,  4442,  3752,
    4463,  4830,  1983,  4831,  4822,  1795,  2611,  3317,  1796,  1797,
    1798,  3261,  1799,  1800,  1801,  1802,  1803,  1804,  2358,  3172,
    3259,  3292,  2556,     0,  2620,     0,     0,  3709,     0,  1776,
       0,     0,  1777,     0,  3292,     0,     0,  3283,     0,     0,
       0,     0,  3283,     0,     0,  3283,     0,     0,  3718,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   883,     0,
       0,  1783,     0,   738,     0,   796,     0, -2397,   801,  1794,
     804,  4471,   801,  3741,     0,     0,     0,  4501,     0,   847,
       0,     0,     0,   944,     0,     0,     0,     0,     0,     0,
     801,  1785,     0,     0,     0,     0,     0,  3541,     0,     0,
       0,  1776,     0,     0,  1777,     0,     0,  1711,  1778,  1779,
    1780,  4465,     0,   796,     0,     0,     0,     0,   804,     0,
       0,     0,     0,   796,     0,  1781,     0,   847,   814,     0,
    4481,  4483,  4483,  1783,     0,  2956,     0,     0,     0,  1784,
       0,     0,     0,   663,   801,     0,   968,     0,     0,     0,
    4529,  1776,  4530,     0,  1777,  3778,  4535,  4536,  1778,  1779,
    1780,     0,  1795,  1785,     0,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,  1781,     0,     0,     0,  3545,
       0,     0,  3292,  1783,     0,     0,     0,     0,     0,  1784,
       0,     0,     0,   738,     0,     0, -2397,     0,  4565,   177,
       0, -2397,     0,     0,     0,     0,   738,     0,  1109,     0,
       0,     0,     0,  1785,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4587,   177,  1222,  1222,
       0,   738,   702,     0,     0,     0,   702, -2397,     0,     0,
       0,     0,     0,     0,  3292,     0,     0,     0,     0,     0,
     738,     0,     0,     0,   738,     0,     0,     0,   753,     0,
    1222,     0,     0,     0,     0,     0,     0,     0,  1786,     0,
       0,     0,   738,  1787,  4588,     0,     0,   753,     0,     0,
       0,  1792,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,  3283,     0,  1788,  1789,     0,     0,     0,     0,
       0,     0,     0,  1768,     0,     0,     0,   845,     0,  1790,
       0,     0,     0,     0,     0,     0,     0,     0,  1786,     0,
       0,     0,  1768,  1787,     0,     0,  1126,   738,     0,  3195,
       0,     0,     0,  3196,  3197,  3198,     0,     0,     0,     0,
    1791,     0,     0,   738,  1788,  1789,     0,     0,   801,   801,
    4162,     0,     0,  1792,  4700,     0,  1793,     0,  4681,  1790,
       0,     0, -2397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   702,     0,     0,     0,     0,     0,
    4651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,     0,  1776,     0,     0,  1777,     0,   796,
       0,     0,     0,  1792,     0,     0,  1793,     0,     0,     0,
     796,     0,     0,     0,   847,  4675,     0,  4677,     0,     0,
       0,  3292,     0,     0,  4713,   177,  1783,     0,     0,   801,
       0,     0, -2397,  4050,  1794,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,  3292,     0,     0,     0,
       0,   801,   801,     0,     0, -2397,  1785,     0,     0,     0,
       0,     0,  1799,  1800,  1801,  1802,  1803,  1804,   738,   738,
     738,  3132,   801,     0,   796,     0,     0,     0,     0,  1126,
       0,     0,  3195,     0,  1794,     0,  3196,  3197,  3198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4163,     0,     0,  1126,     0,     0,  3195,
       0,     0,     0,  3196,  3197,  3198,  4801,   968,     0,  3200,
    4166,     0,     0,     0,     0,     0,     0,  1795,     0,     0,
    1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,
     801,     0,   801,   801,  3710,     0,  4483,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2397,     0,     0,     0,     0, -2397,     0,     0,     0,
    1222,     0,     0,     0,     0,  4841,     0,  1795,  3201,     0,
    1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,
       0,     0,     0,     0,  3761,     0,     0,     0,     0,     0,
    1688,  1688, -2397,     0,  4796,   738,     0,   672,  1775,     0,
       0,     0,  3292,  1776,     0,     0,  1777,     0,   814,   814,
    1778,  1779,  1780,  1711,     0,     0,     0,     0,  1719,     0,
       0,   738,     0,     0,  1725,     0,     0,  1781,     0,     0,
    1782,     0,     0,     0,     0,  1783,  1792,  1222,     0,  4857,
     177,  1784,     0,     0,  1126,     0,     0,  3195,     0,     0,
       0,  3196,  3197,  3198,  4871,   177,  4868,   181,  4869,  4870,
       0,  4911,  3200,     0,     0,  1785,  1222,     0,     0,  4845,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4902,     0,     0,     0,     0,     0,     0,  3200,
       0,     0,     0,     0,  1222,  1222,  1222,     0,  1222,     0,
       0,     0,     0,     0,     0,  4871,  4910,  4868,   181,  4869,
    4870,     0,     0,     0,     0,     0,     0, -2397,  1222,     0,
       0,  3201,  4935,     0,     0,     0,     0,     0,  4901,     0,
    4891,     0,  4244,     0,   814,   814,     0,     0,     0,     0,
       0,     0,     0,     0,  4902,  3202,  3203,  3204,  3201,  3205,
    3206,  3207,  3208,  3209,  3210,     0,   738,     0,     0,  1222,
       0,  4260,     0,  4902,  4871,   177,  4868,   181,  4869,  4870,
    1786,     0,     0,     0,     0,  1787,     0,     0,     0,     0,
       0,  4275,     0,     0,     0,     0,     0,     0,  1222,     0,
    4901,     0,  1222,  1222,     0,     0,  1788,  1789,     0,     0,
       0,     0,     0,   738,   738,  1987,     0,     0,     0,  4901,
   -2397,  1790,     0,     0,     0,     0,     0,  1799,  1800,  1801,
    1802,  1803,  1804,     0,     0,   702,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4298,     0, -2397,     0,     0,
       0,     0,  1791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1792,     0,     0,  1793,     0,
       0,     0,     0,   702,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,  2109,     0,     0,
       0,     0,     0,     0,   738,     0,     0,   801,     0,     0,
       0,     0,     0,     0,     0,     0,  3201,     0,  3202,  3203,
    3204,     0,  3205,  3206,  3207,  3208,  3209,  3210,     0,     0,
     847,     0,   738,     0,     0,     0,     0,     0,     0,     0,
     738,     0,     0,   738,     0,  3202,  3203,  3204,     0,  3205,
    3206,  3207,  3208,  3209,  3210,     0,  1794,  4385,     0,     0,
       0,     0,     0,  1776,     0,     0,  1777,   738,     0,     0,
    1778,  1779,  1780,     0,     0,   801,   801,   801,   801,   738,
       0,     0,     0,     0,     0,     0,     0,  1781,     0,     0,
       0,     0,     0,   738,     0,  1783,     0,     0,     0,     0,
       0,  1784,     0,  1711,  2233,     0,   738,     0,     0,     0,
       0,     0,  1776,     0,     0,  1777,     0,   801,   801,  1778,
    1779,  1780,     0,     0,     0,  1785,   801,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   801,     0,     0,     0,
       0,     0,     0,     0,  1783,     0,     0,     0,     0,  1795,
    1784,     0,  1796,  1797,  1798,   738,  1799,  1800,  1801,  1802,
    1803,  1804,     0,     0,   801,   801,   801,   801,     0,     0,
       0,     0,     0,     0,  1785,     0,   738,     0,     0,  2056,
       0,     0,     0,   738,     0,     0,  2233,     0,     0,     0,
       0,     0,     0,  3202,  3203,  3204,   796,  3205,  3206,  3207,
    3208,  3209,  3210,   804,     0,     0,     0,     0,  1222,     0,
       0,     0,  2057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2058,     0,     0,     0,     0,
    1786,     0,     0,     0,     0,  1787,     0,     0,     0,  2059,
       0,     0,     0,     0,     0,   796,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   847,  1788,  1789,     0,   801,
       0,     0,   801,     0,     0,     0,     0,     0,     0,     0,
       0,  1790,   801,     0,     0,     0,     0,     0,  2060,  1786,
     801,   801,   826,     0,  1787,   738,     0,     0,     0,  2061,
       0,   856,     0,     0,     0,     0,     0,     0,     0,     0,
     872,     0,  1791,     0,     0,  1788,  1789,     0,     0,  2062,
    1688,     0,     0,     0,  2063,  1792,     0,   801,  1793,   796,
    1790,     0,     0,   738,   738,     0,   801,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,     0,
     738,     0,     0,     0,     0,   672,   672,     0,     0,  2473,
       0,  1791,     0,  1222,     0,  1222,     0,     0,     0,     0,
    1222,  1222,     0,     0,  1792,     0,     0,  1222,  1222,  1222,
       0,  1711,     0,  1222,   847,  1222,  1222,  1222,  1222,  1222,
    1222,     0,  1222,  2064,  1222,  1222,     0,     0,  1222,     0,
       0,     0,     0,     0,     0,     0,  1794,     0,     0,     0,
       0,     0,     0,  1222,  1222,  1222,  1222,     0,     0,  3503,
     801,  1222,     0,     0,  2065,  1222,     0,     0,  1222,     0,
       0,  1222,  1222,  1222,  1222,  1222,  1222,  1222,  1222,  1222,
       0,  1222,     0,     0,     0,     0,     0,   738,  1222,     0,
    1222,     0,     0,  3056,   203,  1794,     0,   738,     0,     0,
    1776,     0,     0,  1777,     0,     0,     0,  1778,  1779,  1780,
       0,     0,  1347,  1711,     0,     0,     0,  1711,  1711,     0,
       0,     0,     0,     0,  1781,     0,     0,     0,  2066,     0,
       0,     0,  1783,     0,  2067,     0,     0,  2068,  1784,  1795,
       0,     0,  1796,  1797,  1798,  1348,  1799,  1800,  1801,  1802,
    1803,  1804,  1776,     0,     0,  1777,  3870,     0,     0,  1778,
    1779,  1780,  1785,     0,     0,     0,  2069,     0,     0,     0,
       0,     0,     0,  2070,     0,     0,  1781,     0,     0,     0,
    2071,     0,     0,     0,  1783,     0,     0,  2072,  1795,     0,
    1784,  1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,
    1804,     0,  1349,     0,     0,     0,     0,  4727,     0,     0,
       0,     0,  2073,   738,  1785,   738,     0,  1222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,  1350,  1776,     0,     0,  1777,
    1222,  1222,     0,  1778,  1779,  1780,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
    1781,  2689,     0,  2696,     0,  3057,     0,  1786,  1783,     0,
    1351,     0,  1787,     0,  1784,     0,     0,   881,     0,     0,
       0,     0,   916,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   804,  1788,  1789,     0,     0,     0,  1785,     0,
       0,   672,  1352,   672,     0,     0,     0,     0,  1790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1786,
    1222,     0,     0,     0,  1787,     0,     0,     0,     0,     0,
       0,   796,     0,   801,   801,     0,     0,     0,   796,  1791,
     847,     0,   801,     0,   801,  1788,  1789,     0,   801,     0,
       0,   738,  1792,     0,     0,  1793,     0,     0,     0,     0,
    1790,     0,     0,     0,     0,     0,     0,     0,    34,     0,
     702,     0,  1355,     0,     0,     0,     0,     0,     0,  1356,
    2109,     0,     0,     0,     0,     0,  1357,  2809,     0,     0,
       0,  1791,     0,  2819,  2095,     0,     0,     0,     0,     0,
       0,     0,   738,  1786,  1792,     0,  1359,  1793,  1787,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,  1107,     0,  2863,  2863,  1788,
    1789,     0,     0,  1794,  3059,     0,   804,   702,  1776,     0,
       0,  1777,     0,     0,  1790,  1778,  1779,  1780,     0,     0,
    1229,     0,     0,     0,   801,     0,     0,     0,     0,     0,
       0,  1602,  1781,     0,     0,     0,     0,     0,  1361,  1252,
    1783,     0,  3060,  3640,     0,  1791,  1784,     0,     0,     0,
       0,  2926,     0,  2929,  2931,  1794,     0,     0,  1792,     0,
       0,  1278,     0,     0,     0,     0,     0,     0,     0,  1639,
    1785,     0,     0,     0,     0,     0,     0,  1649,     0,     0,
       0,     0,   801,  1657,     0,     0,     0,     0,     0,     0,
     801,     0,   801,     0,     0,     0,  1795,     0,   801,  1796,
    1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,     0,
       0,     0,  1222,  4132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2109,     0,     0,  2863,
       0,   738,  1400,     0,  3014,     0,     0,   672,  1776,  1794,
       0,  1777,     0,     0,     0,  1778,  1779,  1780,  1795,     0,
       0,  1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,
    1804,     0,  1781,  2926,     0,  4167,     0,     0,     0,     0,
    1783,     0,   801,  3040,     0,  1786,  1784,     0,     0,     0,
    1787,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1222,     0,     0,     0,
    1785,  1788,  1789,  3056,     0,     0,     0,     0,     0,     0,
       0,  3084,     0,     0,     0,     0,  1790,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,   801,     0,   801,  2863,
     801,  2863,  1795,  1523,     0,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,     0,     0,  1791,     0,     0,
       0,     0,     0,     0,  1222,  1348,     0,  1553,  1556,  1557,
    1792,     0,     0,  1793,     0,     0,     0,  1688,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1786,     0,     0,     0,   738,
    1787,     0,  1349,     0,     0,     0,     0,     0,     0,   796,
       0,     0,     0,     0,     0,   796,     0,     0,     0,     0,
       0,  1788,  1789,     0,     0,     0,   801,     0,     0,     0,
       0,  1794,     0,  1222,     0,  1350,  1790,     0,  1222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,  1222,  1222,     0,  3057,  1222,  1791,     0,     0,
    1351,     0,     0,     0,  1222,  1222,  1222,  1222,     0,     0,
    1792,     0,     0,  1793,  1229,     0,     0,  1222,     0,     0,
    1222,     0,  1222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1352,  1222,  1222,     0,     0,  1222,     0,     0,
    1229,     0,     0,     0,     0,     0,     0,     0,  3056,   847,
       0,  1222,     0,  1222,  1795,  1222,     0,  1796,  1797,  1798,
       0,  1799,  1800,  1801,  1802,  1803,  1804,  1347,     0,     0,
       0,  4405,     0,     0,     0,  1222,     0,     0,     0,   738,
       0,     0,     0,     0,     0,     0,  3293,     0,  1222,  1222,
    1222,  1794,     0,     0,     0,     0,     0,     0,    34,     0,
    1348,     0,  3058,     0,     0,  1776,  1222,     0,  1777,  1356,
       0,     0,  1778,  1779,  1780,     0,  1357,     0,  1222,     0,
       0,     0,     0,     0,  2095,     0,     0,     0,     0,  1781,
       0,     0,     0,  1222,     0,     0,  1359,  1783,     0,     0,
       0,     0,     0,  1784,  1360,     0,     0,  3293,     0,     0,
    3333,     0,     0,  3336,     0,  2696,     0,  1349,     0,     0,
       0,     0,     0,     0,  3059,     0,     0,  1785,     0,     0,
       0,     0,     0,     0,     0,  1847,     0,     0,     0,     0,
       0,     0,     0,     0,  1795,     0,     0,  1796,  1797,  1798,
    1350,  1799,  1800,  1801,  1802,  1803,  1804,  1222,  1361,  2863,
       0,  4416,  3060,     0,  1688,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,  2348,  1985,     0,  1351,     0,     0,     0,     0,
     801,     0,   801,   801,   801,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2378,  1786,     0,     0,  2382,     0,  1787,     0,     0,
       0,  2388,  2389,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2104,     0,     0,  1788,  1789,
       0,     0,     0,  2125,  2405,     0,     0,     0,     0,     0,
       0,     0,     0,  1790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    34,     0,     0,     0,  1355,     0,     0,
       0,  2160,     0,     0,  1356,   738,     0,     0,     0,  2167,
       0,  1357,  2170,     0,  1791,     0,     0,     0,     0,  2095,
       0,     0,     0,     0,     0,     0,     0,  1792,     0,     0,
    1793,  1359,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,  2205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1776,  3059,
       0,  1777,  2222,     0,     0,  1778,  1779,  1780,     0,     0,
       0,     0,     0,     0,     0,  2234,     0,     0,     0,     0,
       0,     0,  1781,     0,     0,     0,  2654,   801,     0,     0,
    1783,     0,     0,  1361,  2863,  2863,  1784,  3060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1794,     0,
    1776,     0,     0,  1777,     0,     0,     0,  1778,  1779,  1780,
    1785,     0,     0,     0,  2287,     0,     0,     0,   738,   738,
       0,     0,     0,     0,  1781,     0,     0,     0,     0,     0,
       0,     0,  1783,     0,   738,  2321,     0,     0,  1784,     0,
       0,     0,  2333,     0,     0,     0,     0,     0,     0,  1688,
     738,     0,     0,     0,     0,     0,     0,  2655,  1688,   738,
     738,     0,  1785,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1795,     0,     0,  1796,  1797,  1798,     0,  1799,  1800,
    1801,  1802,  1803,  1804,     0,     0,     0,     0,  4425,     0,
       0,     0,     0,     0,     0,  1786,     0,     0,     0,     0,
    1787,     0,     0,     0,     0,     0,     0,     0,     0,   801,
       0,   801,     0,     0,     0,   801,     0,     0,     0,     0,
       0,  1788,  1789,     0,  2411,     0,     0,  2644,     0,     0,
       0,   796,     0,     0,     0,     0,  1790,     0,     0,     0,
       0,   738,     0,     0,     0,     0,     0,  1786,     0,     0,
       0,     0,  1787,     0,     0,     0,     0,   738,     0,     0,
       0,     0,  1229,  1229,     0,     0,     0,  1791,     0,   801,
       0,     0,     0,  1788,  1789,     0,  1222,     0,     0,  2463,
    1792,     0,     0,  1793,     0,  1222,     0,     0,  1790,     0,
       0,  1222,     0,  1222,     0,     0,  1222,     0,     0,     0,
       0,  1222,  1222,  1222,  1222,     0,     0,  1222,  1222,  1222,
    1222,  1222,  1222,  1222,  1222,  1222,  1222,     0,     0,  1791,
    1222,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,  1792,     0,  1222,  1793,     0,     0,  1222,     0,
       0,     0,     0,     0,     0,     0,  1222,     0,     0,  1222,
       0,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,  1794,     0,  1222,  1222,     0,     0,     0,  1222,  1222,
       0,     0,     0,  3785,     0,  1222,  2619,     0,     0,     0,
       0,     0,   738,   738,   738,   796,  2634,  3293,  3805,     0,
       0,     0,  3805,  3819,     0,     0,     0,     0,     0,  1222,
       0,     0,     0,     0,     0,  1222,  1222,  1222,     0,     0,
       0,     0,     0,  1794,     0,     0,  2656,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1372,     0,
       0,     0,     0,  1222,  1373,     0,     0,   586,     0,     0,
       0,     0,     0,   631,  2696,     0,  1222,     0,     0,     0,
       0,     0,     0,   682,  1795,     0,     0,  1796,  1797,  1798,
       0,  1799,  1800,  1801,  1802,  1803,  1804,  3876,  1688,  1688,
       0,  2233,   750,   750,  1374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   801,
     801,   801,   801,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2645,     0,  2648,     0,  1795,     0,     0,  1796,
    1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,     0,
       0,     0,     0,  4428,     0,  1375,     0,     0,  3920,     0,
       0,     0,  1376,     0,     0,  1377,     0,     0,     0,     0,
       0,     0,     0,  1229,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1378,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1372,     0,     0,     0,     0,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1379,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3993,     0,     0,  1374,     0,   809,     0,
       0,     0,     0,     0,     0,     0,   849,     0,     0,   853,
     854,     0,   857,     0,     0,   863,     0,   865,     0,     0,
       0,     0,     0,     0,  3075,     0,     0,     0,  1380,  1420,
    1381,     0,     0,     0,   738,     0,   801,     0,  1222,     0,
    1382,     0,     0,     0,   738,     0,  3096,  1375,  1383,     0,
    4041,     0,     0,     0,  1376,     0,     0,  1377,  1384,  2109,
       0,  3105,     0,     0,  3107,  3108,     0,     0,     0,  3111,
    3112,  2831,     0,     0,     0,     0,  3116,     0,     0,   738,
       0,     0,  1378,     0,     0,     0,     0,     0,     0,  2926,
       0,     0,  2858,     0,     0,  1386,  1387,  4075,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   738,     0,     0,
    1421,  2233,     0,  1379,     0,  1222,  1222,     0,     0,     0,
       0,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
    1776,     0,     0,  1777,     0,     0,     0,  1778,  1779,  1780,
       0,     0,  3155,     0,     0,     0,     0,     0,     0,  2863,
       0,  2863,     0,     0,  1781,     0,     0,     0,  1422,     0,
    1423,   738,  1783,     0,     0,     0,     0,     0,  1784,     0,
    1424,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1382,     0,     0,  1389,     0,     0,     0,     0,
    1383,  1222,  1785,     0,     0,     0,     0,     0,     0,  1425,
    1384,     0,  1222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3010,     0,  1222,     0,  1426,     0,     0,  1386,  1387,  1427,
       0,     0,  1222,  1222,     0,     0,     0,     0,     0,  1222,
    1222,     0,     0,     0,  1222,     0,     0,     0,     0,  1222,
       0,     0,  1222,  1222,  1428,     0,     0,  1222,  4171,     0,
       0,     0,     0,  1222,   738,   738,   738,   738,  1429,     0,
       0,  3805,  3819,     0,  3805,     0,     0,  4182,     0,     0,
       0,  3293,     0,     0,     0,  3293,     0,  1786,     0,     0,
       0,  4197,  1787,     0,     0,     0,     0,  1222,     0,     0,
       0,     0,  1222,     0,     0,     0,     0,     0,  1222,     0,
       0,     0,     0,  1788,  1789,   847,     0,  1389,     0,     0,
       0,     0,  1222,     0,     0,  3333,     0,     0,  1790,     0,
    2696,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,   919,  1222,     0,     0,     0,
       0,     0,     0,   927,     0,     0,     0,     0,     0,  1791,
     940,     0,     0,   945,   946,     0,  2863,  2863,   948,     0,
       0,     0,  1792,     0,     0,  1793,     0,     0,     0,   965,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4259,     0,   973,     0,     0,     0,     0,  3149,     0,
       0,     0,  3370,     0,     0,     0,     0,     0,  1033,     0,
    1037,     0,     0,  1039,     0,  1041,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1222,     0,
       0,  1776,     0,     0,  1777,     0,     0,     0,  1778,  1779,
    1780,     0,     0,     0,     0,     0,     0,     0,   801,     0,
       0,     0,     0,  1794,     0,  1781,     0,     0,     0,     0,
       0,     0,   801,  1783,     0,     0,     0,     0,     0,  1784,
       0,     0,     0,     0,     0,     0,     0,  3422,     0,  3424,
       0,     0,     0,     0,     0,     0,  1108,     0,     0,     0,
       0,     0,     0,  1785,     0,     0,     0,     0,     0,     0,
       0,     0,  1222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   796,     0,     0,     0,     0,  2109,     0,
       0,     0,     0,     0,     0,     0,  1688,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,     0,   801,  3040,     0,  1795,     0,  3276,  1796,
    1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,     0,
       0,     0,     0,  4476,     0,     0,     0,     0,     0,     0,
       0,     0,   738,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3502,     0,     0,     0,     0,
       0,  3509,     0,     0,     0,     0,     0,     0,  1786,     0,
       0,  1338,     0,  1787,     0,     0,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,     0,     0,  1788,  1789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1222,  1222,  1790,
       0,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   796,  3805,     0,     0,     0,
    3293,     0,     0,     0,     0,  3293,     0,  1472,  3293,   796,
    1791,  2926,     0,  4446,     0,     0,  1222,  1222,     0,     0,
       0,     0,  1484,  1792,     0,     0,  1793,     0,     0,     0,
       0,     0,  3876,     0,  1495,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,  1499,  3876,   847,   801,   801,   801,
       0,     0,     0,     0,  1776,     0,  1514,  1777,     0,  1518,
       0,  1778,  1779,  1780,     0,     0,     0,     0,     0,     0,
    3651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1783,     0,   796,   847,
       0,     0,  1784,     0,  1563,     0,     0,  3662,  3663,     0,
    3665,     0,  3667,  3668,  1794,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3675,  1785,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1688,  1688,     0,     0,   796,
       0,     0,   738,     0,  3465,     0,     0,     0,     0,     0,
       0,     0,  4041,  3696,     0,     0,     0,     0,   738,     0,
    2863,     0,     0,     0,     0,     0,  2109,     0,     0,     0,
       0,     0,  1372,     0,     0,     0,     0,     0,  1373,     0,
    4075,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   801,   738,  3876,     0,     0,     0,  1795,     0,     0,
    1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,
       0,     0,     0,     0,  4508,     0,     0,     0,  1374,     0,
       0,  1786,  1222,     0,     0,  1222,  1787,  1222,  1706,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2397, -2397,     0,
       0,  1222,     0,     0,     0,  3293,     0,     0,     0,  4446,
       0,     0,  1790,     0,     0,     0,  1222,  3571,  3572,  1375,
       0,     0,     0,     0,     0,  4638,  1376,     0,     0,  1377,
       0,     0,     0,  3581,     0,  1222,     0,     0,     0,     0,
       0,     0,     0, -2397,     0,     0,     0,   801,     0,  3598,
       0,   738,     0,     0,  1378,     0,  1792,     0,  3607,  3609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1222,  3627,     0,     0,     0,     0,
       0,   801,   801,   801,   801,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1688,     0,     0,     0,
       0,     0,     0,  1776,     0,     0,  1777,     0,     0,     0,
    1778,  1779,  1780,     0,     0,   796,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1781,     0,     0,
       0,   738,     0,     0,     0,  1783,  1222,  1794,     0,     0,
       0,  1784,  1380,     0,  1381,     0,  1372,     0,     0,     0,
       0,     0,  1373,     0,  1382,     0,   750,  1945,     0,     0,
    1014,     0,  1383,     0,     0,  1785,     0,     0,     0,     0,
       0,     0,  1384,     0,     0,     0,  1229,     0,     0,  1222,
       0,  1014,   796,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,  1374,     0,     0,     0,  1222,     0,  1222,     0,
    1222,     0,     0,     0,     0,     0,  1385,  3876,     0,  1386,
    1387,     0,     0,   801,     0,   847,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1222,     0,     0,  2075,     0,
    1795,     0,     0,  1796,  1797,  1798,  1388,  1799,  1800,  1801,
    1802,  1803,  1804,  1375,     0,     0,     0,     0,     0,     0,
    1376,     0,     0,  1377,     0,     0,  1776,     0,     0,  1777,
       0,     0,     0,  1778,  1779,  1780,     0,     0,     0,     0,
    1786,   801,     0,     0,     0,  1787,  1776,   796,  1378,  1777,
    1781,     0,     0,  1778,  1779,  1780,     0,     0,  1783,     0,
    2159,     0,     0,     0,  1784,     0,  1788,  1789,     0,  1389,
    1781,  3793,  3794,  3795,     0,  1222,  1222,     0,  1783,  1379,
    2926,  1790,     0,     0,  1784,     0,  1222,     0,  1785,  4638,
       0,     0,     0,  2696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   796,     0,  1785,     0,
       0,     0,  1791,     0,     0,     0,   801,     0,     0,     0,
       0,     0,     0,     0,     0,  1792,     0,     0,  1793,     0,
       0,     0,     0,     0,  2109,     0,  1380,     0,  1381,     0,
       0,     0,     0,  3876,     0,     0,     0,     0,  1382,   796,
     796,  1222,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1384,     0,     0,     0,
    1222,     0,     0,     0,     0,  2279,     0,   801,     0,     0,
       0,  4102,     0,     0,     0,     0,     0,     0,     0,  4105,
    4106,  4107,  4108,  1786,     0,     0,     0,     0,  1787,     0,
    1443,     0,     0,  1386,  1387,     0,  1794,     0,     0,     0,
       0,     0,     0,  1786,     0,     0,     0,  1014,  1787,  1788,
    1789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,  1790,     0,     0,  1014,     0,  1788,
    1789,     0,     0,     0,     0,     0,  1014,     0,     0,  1222,
    1222,     0,     0,     0,  1790,     0,     0,     0,     0,     0,
       0,     0,     0,   796,     0,  1791,  1372,     0,     0,     0,
       0,     0,  1373,  2376,     0,   796,   796,     0,  1792,     0,
    1372,  1793,     0,     0,     0,  1791,  1373,  2390,     0,     0,
    2393,     0,  2395,  1389,  2396,     0,     0,     0,  1792,  1795,
    2398,  1793,  1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,
    1803,  1804,  1374,     0,     0,     0,  4543,     0,     0,     0,
       0,     0,  1014,     0,     0,     0,  1374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   884,     0,     0,     0,
       0,     0,     0,  4026,     0,  1945,     0,     0,     0,  1945,
       0,  1945,     0,  4036,  1945,     0,     0,     0,     0,  1794,
       0,     0,     0,  1375,     0,     0,     0,     0,     0,   885,
    1376,     0,     0,  1377,     0,     0,     0,  1375,     0,  1794,
       0,     0,   886,   887,  1376,     0,     0,  1377,  4057,     0,
       0,     0,   888,     0,     0,     0,   889,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,  4243,     0,     0,
       0,     0,  1378,     0,   890,     0,  2333,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,  1379,
       0,     0,     0,     0,     0,   891,     0,     0,     0,  4261,
    4262,     0,     0,  1379,     0,     0,   892,     0,     0,     0,
       0,     0,  1795,     0,   893,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,     0,   894,     0,     0,  4779,
    2411,   895,  1795,     0,     0,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,     0,  1380,     0,  1381,  4800,
       0,     0,     0,     0,   896,     0,     0,     0,  1382,     0,
    1380,     0,  1381,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,  1382,  4299,  4300,     0,  1384,     0,     0,   897,
    1383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1384,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     898,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1469,     0,     0,  1386,  1387,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2077,     0,  1832,  1386,  1387,     0,
       0,   899,     0,     0,     0,     0,     0,     0,     0,     0,
    1470,     0,     0,  4174,  4175,  4176,  4177,     0,     0,     0,
       0,   900,     0,     0,  2078,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4393,     0,     0,  4394,  4395,     0,     0,     0,   901,  1014,
       0,     0,     0,   902,     0,   903,     0,     0,     0,  4399,
       0,   904,     0,  1389,   905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1389,     0,     0,
       0,     0,  2714,  2715,     0,     0,     0,  2718,  2719,     0,
       0,     0,  2722,   906,     0,     0,   907,     0,     0,     0,
     908,     0,     0,     0,     0,     0,  2733,   909,     0,   910,
       0,     0,  1014,  2742,   911,     0,     0,  2745,  2746,     0,
       0,  2749,  2750,     0,     0,     0,     0,     0,  2755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
    2771,     0,  2773,     0,     0,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2796,
       0,     0,     0,     0,  2798,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -127,     0,     0,  2803,     0,     0,
       0,     0,     0,     0,     0,  2808,     0,  2810,     0,  2812,
    2815,  2817,     1,     0,     0,     0,  2825,  2828,     0,     0,
       0,     0,     2,     0,     3,     4,  2841,     0,     0,     0,
       0,  2850,     0,     0,     0,     0,  2854,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       0,     7,     8,  2887,  1014,     0,     0,     9,     0,    10,
       0,     0,  1014,     0,  2894,     0,  2896,     0,     0,     0,
      11,  2899,    12,  1014,     0,  2900,     0,  2904,  2905,  2906,
    2907,     0,  2909,     0,     0,     0,     0,     0,     0,    13,
       0,     0,    14,     0,     0,  2933,  2934,  2935,     0,     0,
       0,     0,     0,     0,    15,     0,    16,  2943,  2944,     0,
      17,     0,     0,     0,     0,     0,    18,     0,     0,     0,
    1014,  4387,     0,     0,    19,     0,    20,     0,     0,     0,
       0,     0,    21,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1014,     0,    22,     0,     0,
    4605,  1776,     0,     0,  1777,     0,     0,  1014,  1778,  1779,
    1780,  2986,     0,    23,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1781,     0,     0,  1372,     0,
       0,     0,     0,  1783,  1373,     0,     0,     0,     0,  1784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1014,    24,    25,  1014,     0,     0,     0,    26,     0,
       0,     0,     0,  1785,     0,     0,     0,     0,     0,    27,
       0,     0,     0,     0,  1374,  4647,     0,     0,     0,     0,
      28,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1776,
       0,     0,  1777,     0,     0,     0,  1778,  1779,  1780,    29,
       0,  4679,     0,     0,     0,  1375,     0,     0,     0,     0,
       0,    30,  1376,  1781,     0,  1377,    31,    32,     0,    33,
       0,  1783,     0,     0,    34,     0,     0,  1784,     0,    35,
       0,     0,    36,     0,     0,     0,     0,    37,     0,     0,
    1378,     0,    38,    39,  1945,     0,     0,     0,  1786,     0,
      40,  1785,     0,  1787,    41,     0,     0,     0,     0,     0,
       0,     0,     0,  1014,    42,     0,     0,     0,     0,     0,
       0,  1379,     0,     0,  1788,  1789,    43,     0,     0,  3150,
       0,  4541,     0,     0,     0,     0,     0,     0,     0,  1790,
       0,     0,     0,     0,     0,    44,     0,  1229,     0,     0,
    1776,     0,     0,  1777,     0,    45,     0,  1778,  1779,  1780,
       0,    46,     0,     0,     0,     0,    47,     0,     0,     0,
    1791,     0,     0,     0,  1781,     0,     0,     0,  1380,    48,
    1381,  4589,  1783,  1792,     0,     0,  1793,     0,  1784,     0,
    1382,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
      49,     0,     0,     0,     0,     0,  1786,     0,  1384,     0,
       0,  1787,  1785,     0,    50,     0,     0,  -127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1788,  1789,     0,     0,     0,     0,     0,     0,
       0,     0,  2149,     0,     0,  1386,  1387,  1790,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1794,     0,     0,     0,     0,     0,
       0,     0,  2150,     0,     0,     0,     0,     0,  1791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4654,  1792,     0,     0,  1793,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3312,     0,  1786,     0,     0,
       0,     0,  1787,     0,     0,     0,     0,     0,     0,  1014,
       0,     0,  1372,  1014,  1014,  1389,     0,     0,  1373,     0,
       0,     0,     0,  1788,  1789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1795,  1790,     0,
    1796,  1797,  1798,  4885,  1799,  1800,  1801,  1802,  1803,  1804,
    4710,     0,  1794,     0,  4916,  3351,  3352,     0,  1374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1791,
       0,     0,     0,  1945,     0,     0,  1014,     0,     0,     0,
       0,     0,  1792,     0,     0,  1793,     0,     0,  1014,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3373,     0,
       0,   798,     0,     0,     0,     0,     0,  3377,     0,  1375,
     798,   821,     0,     0,     0,     0,  1376,     0,   821,  1377,
       0,     0,     0,  3389,  3391,  1014,     0,     0,  3391,   821,
       0,     0,     0,  3402,  3403,  3404,     0,     0,     0,     0,
       0,     0,     0,     0,  1378,  1795,     0,     0,  1796,  1797,
    1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,     0,     0,
       0,     0,  4934,  1794,  3425,  3426,  3427,  3428,     0,     0,
       0,     0,     0,     0,  1776,  1379,     0,  1777,     0,     0,
       0,  1778,  1779,  1780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1781,     0,
       0,  3445,     0,  3449,  3450,  3451,  1783,     0,     0,     0,
       0,  1776,  1784,  3464,  1777,     0,     0,     0,  1778,  1779,
    1780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1380,     0,  1381,  1781,  1785,     0,     0,     0,
       0,     0,     0,  1783,  1382,     0,     0,     0,     0,  1784,
       0,     0,  1383,     0,     0,     0,  1795,     0,     0,  1796,
    1797,  1798,  1384,  1799,  1800,  1801,  1802,  1803,  1804,     0,
       0,  3838,     0,  1785,     0,     0,     0,     0,     0,     0,
       0,     0,  3511,     0,  1014,     0,     0,     0,     0,     0,
    3515,     0,     0,     0,     0,     0,  2804,     0,     0,  1386,
    1387,     0,     0,     0,     0,     0,     0,     0,     0,  3527,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3215,
       0,     0,     0,     0,  3216,     0,  1388,     0,     0,     0,
       0,     0,  3568,     0,     0,     0,     0,     0,     0,     0,
       0,  1786,     0,     0,     0,     0,  1787,     0,     0,     0,
       0,     0,     0,     0,  1014,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1788,  1789,     0,
       0,     0,     0,     0,     0,     0,  3605,     0,  1786,     0,
    3610,     0,  1790,  1787,     0,     0,     0,     0,     0,  1389,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1788,  1789,     0,     0,     0,  3648,
       0,     0,     0,  1791,     0,     0,     0,     0,     0,  1790,
       0,     0,     0,     0,     0,     0,  1792,     0,     0,  1793,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  3671,     0,     0,     0,  3673,     0,     0,
       0,     0,     0,  1792,   798,     0,  1793,     0,  1945,     0,
       0,  1776,  1014,     0,  1777,     0,   821,     0,  1778,  1779,
    1780,   821,     0,     0,     0,     0,     0,  3753,     0,     0,
       0,     0,   821,  1014,     0,  1781,     0,     0,     0,     0,
       0,     0,     0,  1783,  1014,     0,     0,  1794,   821,  1784,
       0,     0,   798,     0,     0,     0,     0,     0,  1016,     0,
       0,     0,   798,   821,     0,     0,     0,     0,     0,   821,
       0,     0,     0,  1785,     0,     0,     0,     0,     0,  1016,
     821,     0,     0,     0,  1794,     0,     0,     0,   821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3754,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1795,     0,     0,  1796,  1797,  1798,     0,  1799,  1800,  1801,
    1802,  1803,  1804,     0,     0,  4878,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   798,   798,     0,
    1372,     0,     0,   821,     0,     0,  1373,  1795,  1786,     0,
    1796,  1797,  1798,  1787,  1799,  1800,  1801,  1802,  1803,  1804,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   798,
       0,     0,     0,     0,  1788,  1789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1374,     0,     0,  1790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,  3887,  1014,  3888,     0,  1014,     0,  1014,
       0,     0,  3890,  1792,  1014,     0,  1793,  1375,     0,     0,
       0,     0,     0,     0,  1376,     0,     0,  1377,     0,  3900,
       0,     0,     0,     0,  1776,  4879,     0,  1777,     0,     0,
       0,  1778,  1779,  1780,  3908,     0,     0,     0,     0,     0,
       0,     0,  1378,     0,     0,  3919,     0,     0,  1781,     0,
       0,  3174,     0,     0,     0,  1014,  1783,     0,     0,     0,
       0,     0,  1784,  3923,     0,     0,     0,     0,     0,     0,
       0,     0,  1014,  1379,     0,     0,     0,     0,   798,     0,
       0,     0,     0,     0,  1794,  1016,  1785,     0,     0,   798,
    3952,     0,     0,     0,     0,     0,  1014,     0,     0,     0,
       0,  3960,  3961,  3962,     0,  1016,  3965,  3966,  3967,  3968,
    3969,  3970,     0,     0,  1016,     0,  3977,  3978,     0,  3980,
    3981,  3982,  3983,  3984,  3985,  3986,     0,     0,     0,  1372,
    1380,     0,  1381,     0,  3994,  1373,  3996,  3997,     0,     0,
       0,     0,  1382,     0,     0,     0,     0,     0,     0,     0,
    1383,     0,     0,   798,     0,     0,     0,     0,     0,     0,
    1384,  1014,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1374,  4029,  1795,     0,     0,
    1796,  1797,  1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,
    1016,  1786,     0,     0,  2901,     0,  1787,  1386,  1387,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1788,  1789,     0,
       0,     0,  1014,     0,  2902,   821,  1375,     0,     0,     0,
       0,     0,  1790,  1376,     0,     0,  1377,     0,     0,     0,
       0,     0,     0,     0,     0,   821,     0,  1014,     0,   798,
       0,     0,     0,     0,     0,     0,     0,   821,     0,     0,
       0,  1378,     0,  1791,     0,     0,     0,     0,     0,     0,
       0,  1014,     0,  3391,     0,     0,  1792,     0,  1014,  1793,
       0,     0,     0,     0,     0,   821,     0,  1389,     0,     0,
       0,     0,  1379,     0,  1016,     0,   821,     0,     0,     0,
       0,  1945,  1945,  1945,     0,     0,     0,     0,     0,     0,
       0,   821,     0,  4117,   821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1380,
       0,  1381,     0,     0,  1014,   798,     0,  1794,     0,     0,
       0,  1382,     0,     0,     0,     0,     0,  1014,  1776,  1383,
       0,  1777,     0,     0,     0,  1778,  1779,  1780,     0,  1384,
       0,     0,     0,   798,   798,   798,     0,   798,     0,     0,
       0,     0,  1781,     0,     0,     0,     0,     0,     0,     0,
    1783,     0,     0,     0,     0,     0,  1784,   798,     0,     0,
       0,     0,     0,  2940,     0,     0,  1386,  1387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1785,   821,     0,     0,     0,     0,     0,     0,     0,   821,
     821,     0,     0,  2941,     0,     0,     0,     0,   798,  1930,
    1795,     0,     0,  1796,  1797,  1798,     0,  1799,  1800,  1801,
    1802,  1803,  1804,     0,     0,     0,     0,     0,     0,     0,
    1014,     0,     0,     0,     0,     0,     0,   798,     0,     0,
       0,   798,   798,     0,     0,     0,     0,     0,     0,     0,
       0,  1014,     0,     0,     0,     0,     0,  1016,     0,     0,
       0,     0,     0,  1930,     0,     0,  1389,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,     0,
       0,  4247,     0,     0,     0,  4248,  4249,  4250,  4251,     0,
       0,  4253,     0,     0,     0,  1786,     0,     0,     0,     0,
    1787,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1014,     0,     0,  4266,  4267,  4268,  4269,     0,  4271,  4272,
    1016,  1788,  1789,     0,     0,     0,     0,     0,     0,     0,
    4281,  4282,     0,     0,     0,     0,  1790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4287,     0,
       0,     0,     0,     0,     0,  1945,  1945,  1016,  1945,     0,
       0,     0,     0,     0,     0,     0,     0,  1791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1792,     0,     0,  1793,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3188,     0,
       0,     0,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   821,     0,
       0,     0,     0,     0,     0,     0,  1776,     0,     0,  1777,
       0,     0,     0,  1778,  1779,  1780,     0,  1016,     0,     0,
       0,     0,  4352,     0,     0,     0,     0,     0,     0,     0,
    1781,     0,  1016,  3220,     0,     0,     0,     0,  1783,     0,
    1016,  1794,     0,  4372,  1784,     0,  1930,     0,     0,     0,
       0,  1016,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,  1785,     0,
       0,   821,     0,  4396,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,   821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1016,     0,
       0,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,  1016,     0,     0,     0,     0,     0,   798,     0,     0,
       0,     0,     0,  1016,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1795,  1016,     0,  1796,  1797,  1798,
       0,  1799,  1800,  1801,  1802,  1803,  1804,  1945,     0,     0,
       0,     0,     0,     0,   798,     0,   821,   821,     0,     0,
       0,     0,  1945,     0,     0,     0,     0,     0,     0,   821,
       0,     0,     0,  1786,     0,     0,     0,     0,  1787,  1016,
       0,     0,  1016,     0,   821,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   821,     0,     0,  1788,
    1789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1790,     0,  1014,     0,  1776,     0,
       0,  1777,     0,     0,     0,  1778,  1779,  1780,   798,  4498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1781,     0,     0,  1791,     0,  4507,     0,     0,
    1783,     0,  4512,  4513,     0,     0,  1784,     0,  1792,     0,
       0,  1793,   798,     0,   798,  1014,     0,     0,     0,   798,
     798,     0,     0,     0,     0,     0,   798,   798,   798,     0,
    1785,     0,   798,     0,   798,   798,   798,   798,   798,   798,
       0,   798,     0,   798,   798,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4562,     0,
       0,  1016,   798,   798,   798,   798,  1930,     0,     0,     0,
     798,     0,     0,  4574,   798,     0,     0,   798,     0,     0,
     798,   798,   798,   798,   798,   798,   798,   798,   798,  1794,
     798,     0,     0,     0,     0,     0,     0,   798,     0,   798,
       0,     0,     0,     0,     0,  3391,     0,     0,     0,     0,
       0,     0,  4604,     0,     0,     0,     0,     0,  3225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1786,     0,     0,     0,     0,
    1787,     0,     0,     0,     0,     0,  1014,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,  1945,     0,
       0,  1788,  1789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1790,     0,     0,     0,
    4640,     0,  1795,     0,     0,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4657,     0,     0,  1791,     0,     0,
       0,     0,     0,  4664,     0,     0,     0,     0,     0,     0,
    1792,     0,     0,  1793,     0,     0,   798,     0,     0,     0,
       0,     0,   598,     0,  1945,     0,     0,     0,     0,     0,
     798,     0,     0,     0,   599,     0,     0,     0,     0,   798,
     798,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1014,     0,  1016,   601,     0,
       0,  1016,  1016,     0,     0,     0,     0,     0,     0,     0,
       0,   821,   602,     0,     0,  1930,   821,     0,     0,     0,
     821,  1794,     0,     0,  1014,     0,     0,     0,   821,     0,
     603,     0,     0,     0,     0,  3391,     0,     0,     0,     0,
     822,     0,     0,     0,  1014,     0,   821,   822,     0,   798,
       0,   604,     0,     0,     0,     0,     0,  1945,   822,     0,
     798,     0,   605,     0,  1016,     0,     0,   798,     0,     0,
     606,     0,     0,     0,     0,     0,  1016,     0,     0,     0,
       0,     0,   607,     0,     0,     0,     0,   608,   821,     0,
       0,     0,  4768,   609,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,     0,     0,   821,   821,  4780,     0,     0,
     610,     0,     0,  1016,  1795,     0,     0,  1796,  1797,  1798,
       0,  1799,  1800,  1801,  1802,  1803,  1804,     0,     0,     0,
       0,     0,  4791,     0,  1930,   821,     0,     0,  1930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   611,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   821,     0,
       0,     0,   821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1776,   612,     0,  1777,
     821,     0,     0,  1778,  1779,  1780,     0,     0,   613,     0,
    1014,   821,     0,     0,  4840,     0,     0,   614,     0,     0,
    1781,     0,     0,  3231,   821,     0,     0,   203,  1783,     0,
       0,     0,     0,   821,  1784,     0,     0,     0,     0,  4855,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   615,     0,  1014,     0,  1785,   616,
       0,   617,     0,  1372,     0,     0,     0,   618,     0,  1373,
     619,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   798,  1016,     0,     0,     0,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,   620,
       0,     0,   621,     0,     0,     0,   622,     0,     0,  1374,
       0,     0,     0,   623,     0,   624,     0,     0,     0,     0,
     625,     0,     0,     0,     0,     0,  1776,     0,     0,  1777,
       0,     0,   626,  1778,  1779,  1780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,     0,     0,     0,     0,
    1781,     0,  1016,     0,     0,     0,   821,     0,  1783,     0,
    1375,     0,     0,  1786,  1784,   798,     0,  1376,  1787,     0,
    1377,     0,     0,     0,     0,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,     0,     0,  1785,  1788,
    1789,     0,     0,     0,     0,  1378,     0,     0,     0,     0,
       0,     0,     0,     0,  1790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   822,     0,     0,   821,     0,
     822,     0,     0,   798,     0,     0,  1379,     0,     0,     0,
       0,   822,     0,     0,     0,  1791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   822,  1792,     0,
       0,  1793,     0,     0,   821,     0,     0,     0,     0,     0,
       0,     0,   822,     0,     0,     0,     0,     0,   822,     0,
    1016,     0,     0,     0,     0,     0,   821,     0,     0,   822,
       0,     0,     0,  1380,   821,  1381,     0,   822,   798,     0,
       0,  1016,     0,  1786,   798,  1382,  1014,     0,  1787,     0,
       0,     0,  1016,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,   798,  1384,     0,     0,     0,   798,     0,  1788,
    1789,     0,     0,     0,  1014,     0,     0,     0,     0,  1794,
       0,     0,     0,     0,  1790,     0,     0,     0,     0,     0,
     798,   798,   798,     0,     0,   798,     0,  3399,     0,     0,
    1386,  1387,     0,   798,   798,   798,   798,  1372,     0,     0,
       0,  1930,  1014,  1373,     0,  1791,   798,  1930,     0,   798,
       0,   798,   822,     0,     0,     0,     0,  3400,  1792,     0,
       0,  1793,   798,   798,     0,     0,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     798,     0,   798,  1374,   798,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,     0,     0,
    1014,  1014,  1795,     0,   798,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,   798,     0,   798,   798,   798,
    1389,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   821,     0,  1375,   798,     0,     0,     0,  1794,
       0,  1376,     0,     0,  1377,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,  3706,  1378,
       0,     0,     0,     0,     0,     0,   798,  1372,     0,     0,
       0,     0,     0,  1373,     0,     0,     0,     0,     0,     0,
    1014,     0,  1016,     0,     0,  1016,     0,  1016,     0,     0,
    1379,     0,  1016,     0,   821,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,   821,     0,  1374,     0,     0,   798,     0,     0,     0,
       0,     0,  1795,     0,     0,  1796,  1797,  1798,     0,  1799,
    1800,  1801,  1802,  1803,  1804,     0,     0,   821,     0,     0,
     821,     0,     0,  1016,     0,     0,  1420,  1380,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1382,
    1016,     0,     0,     0,  1375,     0,     0,  1383,     0,     0,
       0,  1376,     0,     0,  1377,     0,     0,  1384,     0,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1378,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3446,     0,     0,  1386,  1387,  1930,  1930,  1930,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
    1379,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,  3447,     0,     0,     0,     0,     0,     0,     0,  1016,
       0,  1016,   821,     0,   822,     0,   821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   821,     0,     0,     0,
       0,     0,     0,     0,   822,  1422,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,   822,  1424,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1382,
       0,     0,     0,     0,  1389,     0,     0,  1383,     0,     0,
    1016,     0,     0,     0,   822,     0,  1425,  1384,     0,     0,
       0,     0,     0,     0,     0,   822,     0,     0,     0,   821,
       0,     0,     0,     0,     0,  1016,     0,     0,     0,     0,
     822,     0,     0,   822,     0,     0,     0,     0,     0,     0,
       0,  2888,     0,     0,  1386,  1387,  1427,     0,     0,  1016,
       0,     0,     0,     0,     0,  1930,  1016,     0,     0,  1776,
       0,   821,  1777,   821,     0,     0,  1778,  1779,  1780,     0,
       0,  2889,     0,     0,     0,   821,     0,   821,     0,     0,
       0,     0,     0,  1781,     0,  1429,  3760,     0,     0,     0,
       0,  1783,     0,     0,     0,     0,     0,  1784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,     0,     0,
       0,  1785,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   821,  1016,     0,  1389,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1016,     0,     0,     0,     0,
     822,     0,     0,     0,  1776,     0,     0,  1777,   822,   822,
       0,  1778,  1779,  1780,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1781,     0,
       0,     0,     0,     0,     0,     0,  1783,     0,   821,     0,
       0,     0,  1784,     0,     0,     0,     0,     0,     0,     0,
     798,     0,     0,   821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1785,     0,     0,     0,
       0,     0,  1931,     0,     0,   821,  1786,     0,   821,     0,
       0,  1787,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   798,     0,     0,  1016,     0,
       0,     0,  1788,  1789,   798,     0,     0,     0,     0,     0,
     798,     0,   798,     0,     0,   798,     0,  1790,     0,  1016,
     798,   798,   798,   798,     0,     0,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,     0,     0,     0,   798,
     798,     0,     0,     0,  1016,     0,     0,     0,  1791,   798,
       0,     0,     0,   798,     0,  1930,     0,   798,     0,     0,
       0,  1792,     0,     0,  1793,   798,     0,     0,   798,     0,
     798,  1786,     0,     0,     0,     0,  1787,     0,  1016,   798,
       0,     0,   798,   798,     0,     0,     0,   798,   798,     0,
       0,     0,     0,     0,   798,     0,     0,  1788,  1789,     0,
       0,     0,     0,     0,   798,     0,   798,     0,     0,     0,
       0,     0,  1790,     0,     0,     0,   823,     0,   798,     0,
       0,     0,     0,   823,   798,   798,   798,   822,     0,     0,
       0,     0,     0,     0,   823,     0,     0,     0,     0,     0,
       0,     0,  1794,  1791,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,  1792,     0,     0,  1793,
       0,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,  1016,     0,     0,     0,  1931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,     0,
     822,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   822,     0,     0,     0,     0,     0,   821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1795,     0,  1794,  1796,  1797,
    1798,     0,  1799,  1800,  1801,  1802,  1803,  1804,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,  1930,  1016,  1930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   822,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
       0,     0,     0,   822,   822,   821,     0,     0,   821,     0,
       0,     0,     0,     0,     0,   822,     0,     0,     0,     0,
    1795,     0,     0,  1796,  1797,  1798,     0,  1799,  1800,  1801,
    1802,  1803,  1804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,  1930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,   190,     0,     0,     0,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
     821,   821,     0,     0,  1016,     0,     0,   192,     0,     0,
       0,     0,     0,   821,     0,   821,     0,     0,   193,     0,
       0,     0,     0,     0,     0,     0,   194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   195,     0,
       0,     0,     0,   196,     0,  1931,     0,     0,     0,   197,
       0,     0,     0,  1016,   798,   798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,     0,   823,     0,     0,     0,
       0,   199,     0,     0,     0,     0,     0,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   821,
       0,     0,   200,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   823,     0,
     798,     0,     0,     0,   823,     0,     0,     0,     0,     0,
       0,   798,     0,   201,     0,   823,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   202,     0,     0,     0,     0,     0,     0,
       0,   798,     0,   203,     0,     0,     0,     0,     0,     0,
       0,   798,   798,     0,  1016,     0,     0,     0,   798,   798,
       0,     0,     0,   798,  1016,     0,     0,     0,   798,     0,
     204,   798,   798,     0,     0,   205,   798,   206,     0,     0,
       0,     0,   798,   207,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     798,     0,     0,     0,   798,     0,     0,     0,   823,     0,
       0,     0,     0,     0,   209,   210,   798,     0,   211,     0,
       0,   798,   212,     0,     0,     0,     0,   798,     0,     0,
       0,   213,     0,     0,     0,     0,   214,     0,     0,     0,
     822,   798,     0,     0,  1931,   822,     0,     0,   215,   822,
       0,     0,     0,     0,     0,     0,     0,   822,     0,     0,
       0,   216,     0,     0,     0,   798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   822,     0,     0,     0,     0,
       0,     0,     0,  1016,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,  1016,     0,     0,     0,     0,   822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,     0,     0,
       0,     0,  1016,     0,   822,   822,     0,     0,     0,   821,
       0,     0,     0,     0,     0,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,     0,     0,
       0,     0,     0,  1931,   822,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1016,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   822,     0,     0,
       0,   822,     0,     0,   821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   822,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
     822,     0,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   822,     0,     0,     0,     0,     0,     0,
       0,     0,   822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1016,     0,  1016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,   821,     0,     0,     0,     0,     0,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     798,     0,     0,     0,  1016,     0,     0,     0,     0,   798,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   823,     0,     0,     0,   798,   798,     0,     0,
     798,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   798,   822,     0,     0,     0,   798,
     823,     0,     0,     0,   798,     0,     0,   798,   798,     0,
       0,   823,     0,     0,     0,   798,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   823,     0,     0,   823,
       0,   798,     0,     0,     0,     0,     0,     0,   821,     0,
     821,     0,     0,     0,   798,     0,     0,     0,     0,     0,
       0,     0,   550,     0,     0,     0,     0,   822,     0,     0,
       0,  1015,     0,     0,   551,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1016,   821,     0,
       0,     0,  1015,     0,     0,   552,     0,   798,     0,     0,
       0,     0,     0,   822,     0,     0,     0,     0,   553,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   554,     0,
       0,     0,  -779,     0,     0,   822,     0,     0,     0,     0,
       0,     0,     0,   822,  1930,     0,   821,     0,     0,     0,
     555,     0,     0,  1205,  1205,     0,   556,     0,   798,     0,
       0,     0,     0,     0,     0,     0,   823,     0,     0,     0,
       0,   557,     0,     0,   823,   823,     0,     0,     0,     0,
       0,     0,   558,     0,  1932,  1268,     0,     0,     0,     0,
     559,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   560,     0,     0,     0,     0,     0,     0,   561,
       0,     0,   798,   562,  1016,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,  1931,     0,     0,     0,
    -982,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
       0,   798,  1016,     0,   798,     0,   798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   563,     0,     0,
     798,     0,     0,     0,   798,     0,  -520,     0,     0,     0,
    1016,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   798,     0,     0,   564,     0,     0,
     565,   822,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   566,  1930,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,  1016,  1016,
       0,     0,     0,   798,     0,     0,  -414,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   567,     0,     0,     0,  1015,     0,
       0,   568,     0,     0,     0,     0,     0,  -414,     0,     0,
     569,     0,     0,   822,   798,     0,     0,     0,  1015,     0,
       0,     0,     0,   823,     0,     0,     0,  1015,     0,   822,
     822,     0,     0,     0,     0,   798,     0,     0,     0,  -414,
       0,     0,   570,   571,     0,   572,   573,     0,     0,     0,
       0,     0,     0,     0,     0,   574,   822,  1016,  1016,   822,
     575,     0,     0,     0,     0,     0,   576,     0,     0,   577,
       0,  1932,   578,     0,     0,     0,     0,     0,   798,     0,
       0,   798,     0,     0,     0,  -414,     0,     0,     0,     0,
     798,     0,   823,     0,     0,   798,   823,   798,     0,   798,
       0,     0,     0,  1015,     0,     0,   798,     0,   823,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   798,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1931,  1931,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   822,
       0,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,   822,     0,     0,     0,   822,   798,     0,     0,     0,
       0,   823,   823,     0,  1005,   822,     0,     0,     0,     0,
       0,     0,     0,     0,   823,     0,     0,     0,     0,     0,
       0,     0,  1733,     0,   798,   798,     0,  1015,     0,   823,
     823,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,   823,     0,   821,     0,     0,     0,     0,     0,     0,
       0,  1747,     0,     0,     0,   798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1765,
    1766,  1767,     0,  1769,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,   798,   798,
     798,     0,     0,  1811,  1931,     0,     0,     0,     0,     0,
     822,     0,   822,     0,     0,     0,     0,     0,     0,   798,
       0,     0,     0,     0,   822,     0,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,  1848,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,  1964,  1969,     0,
     822,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   798,   798,
       0,     0,     0,     0,  1930,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1930,   798,   798,     0,     0,     0,     0,
    2003,     0,     0,     0,     0,     0,     0,   822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,   822,     0,     0,   822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,  2003,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1015,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   823,     0,     0,     0,
    1932,   823,     0,     0,     0,   823,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
    1015,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,  1015,     0,     0,     0,     0,
       0,     0,     0,  2003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1015,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
     823,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1015,     0,     0,     0,     0,  1932,
     823,     0,     0,  1932,     0,     0,  1015,   822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,  1931,   823,  1931,     0,     0,     0,
       0,     0,  1015,     0,     0,  1015,   823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,     0,     0,   823,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   822,     0,     0,   822,     0,     0,
       0,     0,     0,     0,     0,  2501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2521,     0,
    2523,     0,     0,  2535,  2538,  2543,     0,     0,     0,     0,
    2549,     0,     0,  2554,  1931,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2561,  2562,
    2563,  2564,     0,     0,     0,     0,  2571,     0,     0,     0,
    2583,     0,  1005,  2585,     0,     0,  2592,  2593,  2594,  2595,
    2596,  2597,  2598,  2599,  2600,     0,  2601,     0,     0,   822,
     822,     0,     0,  1205,  1015,  2629,     0,     0,     0,     0,
       0,     0,   822,     0,   822,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1007,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1268,     0,     0,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,  1766,  1767,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2699,     0,     0,     0,  2003,  2705,  1932,     0,     0,     0,
       0,     0,  1932,     0,     0,  2747,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,     0,  1015,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1015,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   823,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,  1005,     0,   822,
       0,     0,  1931,     0,     0,     0,  1015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,  1007,
       0,     0,     0,     0,     0,     0,     0,     0,   822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1007,
       0,     0,     0,     0,     0,     0,   822,     0,  1007,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   823,   823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   823,   822,     0,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,  2978,     0,     0,
       0,     0,     0,     0,  1007,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1015,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,  1932,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   823,     0,     0,     0,     0,
       0,     0,     0,   822,     0,     0,     0,   823,     0,     0,
       0,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   823,     0,     0,     0,  2003,     0,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3117,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   823,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1008,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   822,     0,   822,
       0,     0,     0,     0,     0,     0,     0,  1008,     0,     0,
    1932,     0,     0,     0,     0,     0,   823,     0,   823,     0,
       0,     0,  1005,     0,     0,     0,  1005,  1005,     0,     0,
     823,     0,   823,  1015,     0,     0,     0,   822,  3170,     0,
       0,     0,     0,  3176,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1015,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1015,     0,     0,  1769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2543,
       0,  2543,  2543,  1931,     0,   822,   823,     0,     0,  1005,
       0,     0,  3234,     0,     0,  3237,     0,  3239,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,     0,     0,     0,     0,  3257,     0,  3260,     0,
    3262,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   823,     0,
       0,     0,     0,  2629,  2629,  2629,     0,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     823,  3310,     0,   823,  1007,     0,     0,     0,     0,     0,
       0,  1010,     0,  1952,     0,     0,     0,     0,     0,     0,
    2632,  2632,  2632,     0,     0,     0,     0,     0,  1969,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,  3359,  1008,     0,  2003,     0,     0,  2705,     0,
    2705,     0,     0,     0,     0,  2003,     0,     0,     0,     0,
       0,     0,     0,  1008,     0,     0,     0,  1005,     0,     0,
       0,  1007,  1008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1007,     0,     0,     0,
       0,     0,     0,     0,  1007,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1007,  1015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2003,  1008,     0,
       0,     0,  1007,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1007,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1007,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1015,     0,  1015,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,  1010,     0,     0,
       0,     0,     0,  1007,     0,  1932,  1007,     0,     0,     0,
    1932,     0,  1932,     0,     0,     0,     0,  1010,     0,     0,
       0,     0,  1008,     0,     0,  1005,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1015,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
     823,     0,     0,   823,     0,     0,     0,     0,  1015,     0,
       0,     0,   822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2705,     0,     0,     0,     0,     0,     0,  2705,
    1932,     0,  1010,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1007,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   823,   823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1015,   823,     0,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,  2705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1008,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3707,  1931,     0,   823,     0,     0,     0,     0,     0,
    3711,     0,     0,     0,     0,     0,  3712,  1005,  3713,     0,
    1005,     0,  1005,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1008,     0,
       0,  1015,     0,     0,     0,  3737,  3738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1015,  2549,     0,     0,     0,     0,     0,     0,
       0,  3763,     0,     0,  3766,  1008,  3768,     0,  1005,     0,
       0,     0,     0,     0,     0,  3772,     0,  1015,  1011,     0,
       0,     0,     0,  3779,  3780,  1005,     0,     0,     0,     0,
       0,  1007,     0,     0,     0,  1007,  1007,     0,     0,  1011,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,  1015,     0,     0,  3824,     0,     0,     0,     0,     0,
    3831,  3832,  2629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1008,     0,     0,  3846,  1010,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  2632,
    1008,  1268,     0,     0,     0,     0,     0,     0,  1008,     0,
    1007,     0,     0,     0,  1005,     0,  1005,     0,     0,  1008,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2003,     0,     0,  1007,     0,     0,
       0,     0,  1010,     0,     0,   823,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,  1008,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,  1008,
       0,     0,   823,     0,     0,     0,     0,     0,     0,  1010,
       0,  1008,     0,     0,   823,     0,     0,     0,     0,     0,
    1005,     0,     0,  1008,     0,     0,     0,     0,     0,     0,
       0,     0,   823,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,  2705,
       0,     0,     0,     0,     0,     0,     0,  1008,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1010,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1010,     0,     0,     0,     0,  1005,
       0,     0,  1010,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1010,     0,  1011,  1007,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,  1013,     0,     0,  1011,     0,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,     0,     0,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1010,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,  1010,  1007,  1015,     0,  1008,
       0,     0,     0,     0,     0,     0,     0,  1010,     0,     0,
    4089,  4090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,  2003,     0,     0,     0,
       0,  1010,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4130,     0,     0,  1005,
       0,     0,     0,   823,     0,   823,     0,  4135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   823,  1011,  1007,     0,  4150,  4152,     0,
       0,     0,     0,     0,  4156,  4157,  1007,     0,     0,  4158,
       0,     0,     0,     0,  4161,     0,     0,  4164,  4165,     0,
       0,     0,  4169,     0,     0,     0,     0,     0,  4173,     0,
       0,     0,     0,     0,     0,     0,     0,  1015,     0,  1932,
       0,   823,     0,  1010,     0,     0,     0,  1015,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2629,     0,     0,     0,     0,  2629,     0,     0,
       0,     0,     0,  2629,     0,  1008,  1005,     0,     0,  1008,
    1008,     0,     0,     0,     0,     0,     0,  1205,     0,  1013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2632,
       0,     0,     0,     0,  2632,     0,     0,     0,     0,  1013,
    2632,  4228,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1015,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1008,     0,  4284,  1013,  1015,     0,  1011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1015,  1007,     0,     0,  1007,
       0,  1007,     0,  1932,     0,     0,  1007,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1010,
    1011,     0,     0,  1010,  1010,     0,     0,  4329,     0,  1015,
       0,     0,     0,     0,     0,     0,     0,  1007,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,     0,     0,  1011,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1010,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4383,
       0,  1015,     0,     0,     0,  1010,     0,  1011,     0,     0,
       0,     0,     0,  1007,     0,  1007,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,  4422,  4423,     0,     0,  4424,     0,     0,     0,
       0,  1011,   823,     0,     0,     0,     0,  1015,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4458,  4459,     0,  1007,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1007,
       0,  1011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1011,     0,     0,     0,     0,   823,  1005,
       0,     0,     0,  1007,     0,  1011,     0,     0,     0,  1005,
    1007,  1013,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1010,     0,     0,     0,  1008,  1011,
    2705,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
       0,     0,     0,     0,  1013,     0,     0,     0,     0,     0,
    1008,     0,     0,     0,     0,     0,  1007,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1932,     0,  1007,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1013,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,  1932,
    2549,     0,     0,     0,     0,     0,     0,  2705,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,  1932,     0,
       0,  1011,     0,     0,     0,     0,  4622,     0,     0,     0,
       0,  1013,     0,     0,     0,  1015,     0,     0,     0,     0,
       0,  1769,  1007,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,  1013,     0,     0,     0,     0,     0,
    1268,     0,     0,  1007,     0,  1013,     0,     0,     0,     0,
       0,  1005,  1010,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,     0,
       0,     0,     0,  1010,     0,     0,     0,     0,     0,  4672,
       0,     0,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,  1013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,     0,     0,  1013,     0,  1015,     0,     0,
    1008,  1015,  1015,  1008,     0,  1008,     0,  1013,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,  1013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1008,     0,  1013,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1008,     0,
       0,     0,     0,     0,     0,  1007,     0,     0,     0,  1005,
    4383,  1015,     0,     0,     0,  4458,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,  1011,     0,     0,
       0,  1011,  1011,     0,     0,     0,     0,     0,     0,     0,
    4769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1008,     0,  1008,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
    1007,     0,     0,     0,  1010,     0,  1011,  1010,     0,  1010,
       0,     0,     0,     0,  1010,  1013,     0,     0,     0,     0,
    4819,  4819,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4458,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1011,     0,     0,     0,     0,  1008,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1010,     0,     0,     0,     0,
       0,     0,     0,  1008,     0,     0,     0,     0,     0,     0,
       0,     0,  1010,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4819,  1008,     0,     0,
       0,     0,     0,     0,  1008,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,  4887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,     0,     0,     0,
       0,  1010,     0,  1010,     0,     0,     0,  1005,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,  1007,     0,     0,
       0,     0,     0,  1008,  4819,  4927,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1013,  1010,     0,     0,  1013,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1010,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,  1011,  1005,  1005,     0,     0,     0,     0,     0,
       0,  1010,     0,     0,     0,     0,     0,     0,  1010,     0,
       0,     0,     0,     0,     0,     0,  1008,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1013,     0,     0,     0,     0,     0,     0,  1008,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,  1010,  1013,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,  1010,     0,     0,     0,     0,  1806,
       0,     0,     0,     0,     0,     0,  1008,  1010,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1008,
       0,     0,     0,     0,     0,     0,  1007,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1007,     0,     0,     0,
       0,  1010,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1010,     0,     0,     0,  1008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,  1011,     0,  1011,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1010,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1011,  1013,     0,     0,     0,  1007,     0,
       0,     0,  1008,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,     0,     0,     0,  1013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1010,     0,
       0,  1008,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1011,
       0,  1011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,  1806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1011,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,  1011,  1010,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,  1806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1011,
       0,  1806,     0,     0,     0,  2531,  1011,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1806,
    1806,  1806,     0,  1806,     0,  1010,  1013,     0,  1007,  1013,
       0,  1013,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1007,     0,     0,     0,
       0,     0,     0,     0,  1011,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,  1013,     0,     0,
       0,     0,     0,     0,  1007,  1011,     0,     0,     0,     0,
       0,  1008,  1806,     0,  1013,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,     0,
    1008,     0,  1007,  1007,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,  1013,     0,     0,  1011,     0,
       0,     0,     0,     0,  1008,     0,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,  1011,
       0,     0,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1013,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1011,  1013,
       0,     0,     0,     0,     0,  1010,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,     0,  1008,     0,     0,     0,
    1013,     0,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,  1011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,  1010,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1011,     0,     0,     0,
       0,     0,     0,     0,     0,  1008,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1008,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1011,     0,     0,     0,     0,  1008,  1010,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1008,     0,     0,     0,  1008,  1008,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1013,     0,     0,     0,     0,  1806,  1010,  1806,     0,     0,
    2531,  2531,     0,  3211,  1011,  2531,     0,     0,     0,  1806,
       0,     0,  1806,     0,  1011,     0,     0,  1806,     0,     0,
       0,     0,     0,  1806,  1010,     0,  1008,     0,  1806,     0,
       0,     0,     0,     0,     0,  1806,  1806,  1806,  1806,     0,
       0,     0,  2531,  2531,     0,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1806,     0,  1806,
       0,     0,  1010,     0,     0,     0,  1806,  1806,  1806,  1806,
    1806,  1806,  1806,  1806,  1806,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
    1010,  1010,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,  1011,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1013,     0,     0,
       0,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1011,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1013,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1013,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1013,     0,  1806,     0,     0,     0,     0,     0,
    1806,     0,  1011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3211,  3211,     0,     0,
    2531,  2531,  2531,  2531,     0,     0,  2531,  2531,  2531,  2531,
    2531,  2531,  2531,  2531,  2531,  2531,  3211,     0,  1013,     0,
    1011,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,     0,
       0,  1806,     0,  1806,     0,     0,  3211,  3211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1806,  2531,  2531,  1806,     0,  1806,     0,     0,     0,
       0,     0,     0,     0,  1011,     0,     0,     0,  1011,  1011,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1013,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,     0,  1011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1013,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2531,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,     0,  1013,  1013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1806,     0,     0,     0,  1806,  1806,  1806,     0,     0,
       0,     0,     0,  3211,  3211,  3211,  3211,     0,     0,     0,
       0,  3211,  3211,  3211,  3211,  3211,  3211,  3211,  3211,  3211,
    3211,  1806,  1806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1806,     0,     0,
    1806,     0,  1806,     0,     0,     0,  1806,     0,     0,  3211,
    3211,     0,     0,  1806,  1806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,     0,
       0,     0,     0,     0,     0,  1806,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,  1806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,     0,     0,     0,  1806,
    2531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,  1806,     0,     0,     0,
    1806,  1806,  1806,     0,     0,  1806,     0,     0,  1806,  1806,
       0,     0,     0,  1806,     0,     0,     0,  1806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3211,  2531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1806,  1806,  1806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   771,  1123,   593,  1124,  1125,  1126,   646,  1127,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,  2623,   229,   230,   231,     0,
       0,  1806,     0,  1128,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,  1129,   773,  1130,  1131,
       0,   243,   244,   245,   246,   247,  1132,  1133,   248,   249,
    1134,  1135,   252,     0,   253,   254,   255,   256,  1136,     0,
    1137,  1806,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,
     275,   276,   277,   278,   279,  1145,  1146,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
    2624,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
    1147,   308,   309,   310,  1148,  1149,   312,     0,   313,   314,
    1150,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,  1151,     0,  1152,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,  1153,  1154,     0,  1155,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,  1156,   785,   359,   786,     0,   360,   361,   362,
    1157,  1158,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,  1159,   787,  1160,
     380,   381,   382,  1161,   383,   384,   788,   385,  1162,  1163,
     387,  1164,   389,   390,   391,     0,   392,     0,     0,  1165,
     394,   395,     0,     0,   396,   397,   789,   398,   790,  1166,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
    1167,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,  1168,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,  1169,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,  1170,   458,   459,   460,   461,   462,
     792,   463,   464,  1171,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1172,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
    1173,  1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,
     494,   495,   496,   497,   498,   499,   500,     0,  1178,   501,
     502,   503,   504,   505,  1179,     0,   506,   507,   508,   509,
     510,   511,  1180,  2625,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
     534,   535,   536,  1189,     0,     0,     0,     0,     0,     0,
    1190,  1191,  2626,     0,     0,     0,     0,     0,     0,  1193,
    2627,   771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,  1128,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,  1129,   773,  1130,  1131,     0,
     243,   244,   245,   246,   247,  1132,  1133,   248,   249,  1134,
    1135,   252,     0,   253,   254,   255,   256,  1136,     0,  1137,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,
     276,   277,   278,   279,  1145,  1146,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   986,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,  1147,
     308,   309,   310,  1148,  1149,   312,     0,   313,   314,  1150,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,  1151,     0,  1152,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,  1153,  1154,     0,  1155,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,  1156,   785,   359,   786,     0,   360,   361,   362,  1157,
    1158,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,  1159,   787,  1160,   380,
     381,   382,  1161,   383,   384,   788,   385,  1162,  1163,   387,
    1164,   389,   390,   391,     0,   392,     0,     0,  1165,   394,
     395,     0,     0,   396,   397,   789,   398,   790,  1166,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,  1167,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,  1168,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,  1169,   445,
     446,   447,   448,   449,   450,   451,   452,    39,   453,   454,
     455,   456,   457,  1170,   458,   459,   460,   461,   462,   792,
     463,   464,  1171,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,  1172,     0,   479,   480,
      43,   481,   793,   482,   483,   484,   485,   486,     0,  1173,
    1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,   494,
     495,   496,   497,   498,   499,   500,     0,  1178,   501,   502,
     503,   504,   505,  1179,     0,   506,   507,   508,   509,   510,
    1059,  1180,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,    48,   519,   520,   521,   522,   523,   524,
     525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,
     535,   536,  1189,     0,    49,     0,     0,     0,     0,  1190,
    1191,     0,     0,     0,     0,     0,     0,     0,  1193,  4634,
     771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,  1128,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,  1129,   773,  1130,  1131,     0,   243,
     244,   245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,
     252,     0,   253,   254,   255,   256,  1136,     0,  1137,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
    1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,
     277,   278,   279,  1145,  1146,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,  1147,   308,
     309,   310,  1148,  1149,   312,     0,   313,   314,  1150,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,  1151,     0,  1152,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,  1153,  1154,     0,  1155,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
    1156,   785,   359,   786,     0,   360,   361,   362,  1157,  1158,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,  1159,   787,  1160,   380,   381,
     382,  1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,
     389,   390,   391,     0,   392,     0,     0,  1165,   394,   395,
       0,     0,   396,   397,   789,   398,   790,  1166,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1167,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,  1168,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,  1169,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,  1170,   458,   459,   460,   461,   462,   792,   463,
     464,  1171,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,  1172,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,  1173,  1174,
       0,     0,   489,   490,  1175,   492,  1176,  1177,   494,   495,
     496,   497,   498,   499,   500,     0,  1178,   501,   502,   503,
     504,   505,  1179,     0,   506,   507,   508,   509,   510,   511,
    1180,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,
     536,  1189,     0,     0,     0,     0,     0,     0,  1190,  1191,
       0,     0,     0,     0,     0,     0,     0,  1193,  2533,   771,
    1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
    1128,     0,     0,   232,   233,     0,   234,   235,   772,   236,
     237,   238,   239,  1129,   773,  1130,  1131,     0,   243,   244,
     245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,
       0,   253,   254,   255,   256,  1136,     0,  1137,     0,   258,
     259,   260,   261,   775,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,   776,   271,   272,   273,  1138,
    1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,
     278,   279,  1145,  1146,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   986,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,  1147,   308,   309,
     310,  1148,  1149,   312,     0,   313,   314,  1150,   316,     0,
     317,     0,   318,   778,     0,   779,   319,   320,   321,     0,
     322,  1151,     0,  1152,   325,     0,   326,   327,   328,   329,
     330,   780,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,   781,   342,   343,   344,   345,
     346,  1153,  1154,     0,  1155,     0,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,     0,     0,   357,  1156,
     785,   359,   786,     0,   360,   361,   362,  1157,  1158,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,  1159,   787,  1160,   380,   381,   382,
    1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,   389,
     390,   391,     0,   392,     0,     0,  1165,   394,   395,     0,
       0,   396,   397,   789,   398,   790,  1166,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,  1167,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,  1168,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   791,   441,   442,   443,  1169,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,  1170,   458,   459,   460,   461,   462,   792,   463,   464,
    1171,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,  1172,     0,   479,   480,     0,   481,
     793,   482,   483,   484,   485,   486,     0,  1173,  1174,     0,
       0,   489,   490,  1175,   492,  1176,  1177,   494,   495,   496,
     497,   498,   499,   500,     0,  1178,   501,   502,   503,   504,
     505,  1179,     0,   506,   507,   508,   509,   510,   511,  1180,
       0,   513,   794,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,  1181,
    1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,
    1189,     0,     0,     0,     0,     0,     0,  1190,  1191,     0,
       0,     0,     0,     0,     0,     0,  1193,  3715,   771,  1123,
     593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,  1161,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,  1165,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  1169,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,  1178,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,  1189,
       0,     0,   219,     0,     0,     0,  1190,  1191,     0,     0,
       0,     0,     0,     0,     0,  1193,  3786,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,  3802,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0, -1584,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0, -1584,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   330,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341, -1584,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351, -1584,   352,   353,   354,   355,   356,     0,
       0,   357,   358, -1584,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378, -1584,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440, -1584,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,     0,     0,   978,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1275,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,     0,
     979,   773,   980,   981,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   982,   983,   252,     0,   253,   254,
     255,   256,     0,     0,   774,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,     0,     0,     0,   777,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   984,
     985,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,     0,   308,   309,   310,     0,     0,
     312,     0,   313,   314,   987,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,     0,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,  1989,   335,   336,   337,   338,   339,   340,
       0,   341,   781,  1990,   343,   344,   345,   346,   989,   990,
       0,   991,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,     0,   785,   359,   786,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   992,   787,   993,   380,   381,     0,     0,   383,   384,
     788,   385,     0,     0,   387,   994,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,  1992,
     789,   398,   790,     0,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   995,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,  1993,   461,   462,   792,   463,   464,   997,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,   998,   999,     0,     0,   489,   490,
       0,   492,     0,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,     0,  1000,  1994,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   978,     0,     0,     0,     0,
       0,     0,     0,     0,   534,   535,   536,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,  2098,     0,     0,     0,     0,   232,
     233,     0,   234,   235,   772,   236,   237,   238,     0,   979,
     773,   980,   981,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   982,   983,   252,     0,   253,   254,   255,
     256,     0,     0,   774,     0,   258,   259,   260,   261,   775,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,   776,   271,   272,   273,     0,     0,     0,   777,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   984,   985,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   986,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,     0,   308,   309,   310,     0,     0,   312,
       0,   313,   314,   987,   316,     0,   317,     0,   318,   778,
       0,   779,   319,   320,   321,     0,   322,     0,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   780,   331,   332,
     333,   334,  1989,   335,   336,   337,   338,   339,   340,     0,
     341,   781,  1990,   343,   344,   345,   346,   989,   990,     0,
     991,     0,   350,   782,   783,   351,   784,   352,   353,   354,
     355,   356,     0,     0,   357,     0,   785,   359,   786,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     992,   787,   993,   380,   381,     0,     0,   383,   384,   788,
     385,     0,     0,   387,   994,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,  1992,   789,
     398,   790,     0,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   995,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   791,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
    1993,   461,   462,   792,   463,   464,   997,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,     0,   479,   480,     0,   481,   793,   482,   483,   484,
     485,   486,     0,   998,   999,     0,     0,   489,   490,     0,
     492,     0,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,     0,  1000,  1994,   513,   794,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   771,  1123,   593,  1124,  1125,  1126,
     646,  1127,     0,   534,   535,   536,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,  3052,     0,  1128,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,  1129,   773,
    1130,  1131,     0,   243,   244,   245,   246,   247,  1132,  1133,
     248,   249,  1134,  1135,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,  1145,  1146,   282,
    1267,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   986,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,  1147,   308,   309,   310,  1148,  1149,   312,     0,
     313,   314,  1150,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,  1152,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,  1153,  1154,     0,  1155,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,   786,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,  1159,
     787,  1160,   380,   381,   382,  1161,   383,   384,   788,   385,
    1162,  1163,   387,  1164,   389,   390,   391,     0,   392,     0,
       0,  1165,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,  1168,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,  1169,   445,   446,   447,   448,   449,   450,   451,   452,
      39,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,   792,   463,   464,  1171,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,    43,   481,   793,   482,   483,   484,   485,
     486,     0,  1173,  1174,     0,     0,   489,   490,  1175,   492,
    1176,  1177,   494,   495,   496,   497,   498,   499,   500,     0,
    1178,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,  1059,  1180,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,    48,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,  1189,     0,    49,     0,     0,
       0,     0,  1190,  1191,     0,     0,     0,     0,     0,     0,
       0,  1193,   771,  1123,   593,  1124,  1125,  1126,   646,  1127,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,  1128,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,  1129,   773,  1130,  1131,
       0,   243,   244,   245,   246,   247,  1132,  1133,   248,   249,
    1134,  1135,   252,     0,   253,   254,   255,   256,  1136,     0,
    1137,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,
     275,   276,   277,   278,   279,  1145,  1146,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
    1147,   308,   309,   310,  1148,  1149,   312,     0,   313,   314,
    1150,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,  1151,     0,  1152,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,  1153,  1154,     0,  1155,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,  1156,   785,   359,   786,     0,   360,   361,   362,
    1157,  1158,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,  1159,   787,  1160,
     380,   381,   382,  1161,   383,   384,   788,   385,  1162,  1163,
     387,  1164,   389,   390,   391,     0,   392,     0,     0,  1165,
     394,   395,     0,     0,   396,   397,   789,   398,   790,  1166,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
    1167,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,  1168,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,  1169,
     445,   446,   447,   448,   449,   450,   451,   452,    39,   453,
     454,   455,   456,   457,  1170,   458,   459,   460,   461,   462,
     792,   463,   464,  1171,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1172,     0,   479,
     480,    43,   481,   793,   482,   483,   484,   485,   486,     0,
    1173,  1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,
     494,   495,   496,   497,   498,   499,   500,     0,  1178,   501,
     502,   503,   504,   505,  1179,     0,   506,   507,   508,   509,
     510,  1059,  1180,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,    48,   519,   520,   521,   522,   523,
     524,   525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
     534,   535,   536,  1189,     0,    49,     0,     0,     0,     0,
    1190,  1191,     0,     0,     0,     0,     0,     0,     0,  1193,
     771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,  1128,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,  1129,   773,  1130,  1131,  2539,   243,
     244,   245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,
     252,     0,   253,   254,   255,   256,  1136,     0,  1137,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
    1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,
     277,   278,   279,  1145,  1146,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,  1147,   308,
     309,   310,  1148,  1149,   312,     0,   313,   314,  1150,   316,
       0,   317,     0,   318,   778,  2540,   779,   319,   320,   321,
       0,   322,  1151,     0,  1152,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,  1153,  1154,     0,  1155,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,  2541,   357,
    1156,   785,   359,   786,     0,   360,   361,   362,  1157,  1158,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,  1159,   787,  1160,   380,   381,
     382,  1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,
     389,   390,   391,     0,   392,     0,     0,  1165,   394,   395,
       0,     0,   396,   397,   789,   398,   790,  1166,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1167,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,  1168,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,  1169,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,  1170,   458,   459,   460,   461,   462,   792,   463,
     464,  1171,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,  1172,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,  1173,  1174,
       0,  2542,   489,   490,  1175,   492,  1176,  1177,   494,   495,
     496,   497,   498,   499,   500,     0,  1178,   501,   502,   503,
     504,   505,  1179,     0,   506,   507,   508,   509,   510,   511,
    1180,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,
     536,  1189,     0,     0,     0,     0,     0,     0,  1190,  1191,
       0,     0,     0,     0,     0,     0,     0,  1193,   771,  1123,
     593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,  1161,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,  1165,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  1169,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,  1178,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,  1189,
       0,     0,     0,     0,     0,     0,  1190,  1191,     0,     0,
       0,     0,     0,  1730,  2494,  1193,   771,  1123,   593,  1124,
    1125,  1126,   646,  1127,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,  1128,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,   239,
    1129,   773,  1130,  1131,     0,   243,   244,   245,   246,   247,
    1132,  1133,   248,   249,  1134,  1135,   252,     0,   253,   254,
     255,   256,  1136,     0,  1137,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,  1138,  1139,  1140,  1141,
    1142,  1143,  1144,   274,   275,   276,   277,   278,   279,  1145,
    1146,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,  1147,   308,   309,   310,  1148,  1149,
     312,     0,   313,   314,  1150,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,  1151,     0,
    1152,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,  1153,  1154,
       0,  1155,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,  1156,   785,   359,   786,
       0,   360,   361,   362,  1157,  1158,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,  1159,   787,  1160,   380,   381,   382,  1161,   383,   384,
     788,   385,  1162,  1163,   387,  1164,   389,   390,   391,     0,
     392,     0,     0,  1165,   394,   395,     0,     0,   396,   397,
     789,   398,   790,  1166,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1167,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,  1168,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,  1169,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,  1170,   458,
     459,   460,   461,   462,   792,   463,   464,  1171,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,  1172,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,  1173,  1174,     0,     0,   489,   490,
    1175,   492,  1176,  1177,   494,   495,   496,   497,   498,   499,
     500,     0,  1178,   501,   502,   503,   504,   505,  1179,     0,
     506,   507,   508,   509,   510,   511,  1180,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,   534,   535,   536,  1189,     0,     0,
       0,     0,     0,     0,  1190,  1191,  1192,     0,     0,     0,
       0,     0,     0,  1193,   771,  1123,   593,  1124,  1125,  1126,
     646,  1127,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,  1128,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,  1129,   773,
    1130,  1131,     0,   243,   244,   245,   246,   247,  1132,  1133,
     248,   249,  1134,  1135,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,  1145,  1146,   282,
    1267,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   986,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,  1147,   308,   309,   310,  1148,  1149,   312,     0,
     313,   314,  1150,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,  1152,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,  1153,  1154,     0,  1155,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,   786,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,  1159,
     787,  1160,   380,   381,   382,  1161,   383,   384,   788,   385,
    1162,  1163,   387,  1164,   389,   390,   391,     0,   392,     0,
       0,  1165,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,  1168,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,  1169,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,   792,   463,   464,  1171,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,  1173,  1174,     0,     0,   489,   490,  1175,   492,
    1176,  1177,   494,   495,   496,   497,   498,   499,   500,     0,
    1178,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,   511,  1180,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,  1189,     0,     0,     0,     0,
       0,     0,  1190,  1191,     0,     0,     0,     0,     0,     0,
       0,  1193,   771,  1123,   593,  1124,  1125,  1126,   646,  1127,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,  1962,   229,   230,   231,     0,
       0,     0,     0,  1128,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,  1129,   773,  1130,  1131,
       0,   243,   244,   245,   246,   247,  1132,  1133,   248,   249,
    1134,  1135,   252,     0,   253,   254,   255,   256,  1136,     0,
    1137,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,
     275,   276,   277,   278,   279,  1145,  1146,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
    1147,   308,   309,   310,  1148,  1149,   312,     0,   313,   314,
    1150,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,  1151,     0,  1152,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,  1153,  1154,     0,  1155,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,  1156,   785,   359,   786,     0,   360,   361,   362,
    1157,  1158,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,  1159,   787,  1160,
     380,   381,   382,  1161,   383,   384,   788,   385,  1162,  1163,
     387,  1164,   389,   390,   391,     0,   392,     0,     0,  1165,
     394,   395,     0,     0,   396,   397,   789,   398,   790,  1166,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
    1167,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,  1168,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,  1169,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,  1170,   458,   459,   460,   461,   462,
     792,   463,   464,  1171,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1172,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
    1173,  1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,
     494,   495,   496,   497,   498,   499,   500,     0,  1178,   501,
     502,   503,   504,   505,  1179,     0,   506,   507,   508,   509,
     510,   511,  1180,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
     534,   535,   536,  1189,     0,     0,     0,     0,     0,     0,
    1190,  1191,     0,     0,     0,     0,     0,     0,     0,  1193,
     771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,  1128,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,  1129,   773,  1130,  1131,     0,   243,
     244,   245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,
     252,     0,   253,   254,   255,   256,  1136,     0,  1137,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
    1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,
     277,   278,   279,  1145,  1146,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,  1147,   308,
     309,   310,  1148,  1149,   312,     0,   313,   314,  1150,   316,
       0,   317,     0,   318,   778,  2540,   779,   319,   320,   321,
       0,   322,  1151,     0,  1152,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,  1153,  1154,     0,  1155,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
    1156,   785,   359,   786,     0,   360,   361,   362,  1157,  1158,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,  1159,   787,  1160,   380,   381,
     382,  1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,
     389,   390,   391,     0,   392,     0,     0,  1165,   394,   395,
       0,     0,   396,   397,   789,   398,   790,  1166,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1167,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,  1168,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,  1169,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,  1170,   458,   459,   460,   461,   462,   792,   463,
     464,  1171,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,  1172,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,  1173,  1174,
       0,     0,   489,   490,  1175,   492,  1176,  1177,   494,   495,
     496,   497,   498,   499,   500,     0,  1178,   501,   502,   503,
     504,   505,  1179,     0,   506,   507,   508,   509,   510,   511,
    1180,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,
     536,  1189,     0,     0,     0,     0,     0,     0,  1190,  1191,
       0,     0,     0,     0,     0,     0,     0,  1193,   771,  1123,
     593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,  1161,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,  1165,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  1169,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,  1178,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,  3833,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,  1189,
       0,     0,     0,     0,     0,     0,  1190,  1191,     0,     0,
       0,     0,     0,     0,     0,  1193,   771,  1123,   593,  1124,
    1125,  1126,   646,  1127,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,  1128,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,   239,
    1129,   773,  1130,  1131,     0,   243,   244,   245,   246,   247,
    1132,  1133,   248,   249,  1134,  1135,   252,     0,   253,   254,
     255,   256,  1136,     0,  1137,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,  1138,  1139,  1140,  1141,
    1142,  1143,  1144,   274,   275,   276,   277,   278,   279,  1145,
    1146,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,  1147,   308,   309,   310,  1148,  1149,
     312,     0,   313,   314,  1150,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,  1151,     0,
    1152,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,  1153,  1154,
       0,  1155,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,  1156,   785,   359,   786,
       0,   360,   361,   362,  1157,  1158,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,  1159,   787,  1160,   380,   381,   382,  1161,   383,   384,
     788,   385,  1162,  1163,   387,  1164,   389,   390,   391,     0,
     392,     0,     0,  1165,   394,   395,     0,     0,   396,   397,
     789,   398,   790,  1166,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1167,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,  1168,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,  1169,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,  1170,   458,
     459,   460,   461,   462,   792,   463,   464,  1171,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,  1172,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,  1173,  1174,     0,     0,   489,   490,
    1175,   492,  1176,  1177,   494,   495,   496,   497,   498,   499,
     500,     0,  1178,   501,   502,   503,   504,   505,  1179,     0,
     506,   507,   508,   509,   510,   511,  1180,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,   534,   535,   536,  1189,     0,     0,
       0,     0,     0,     0,  1190,  1191,     0,     0,     0,     0,
       0,     0,     0,  1193,   771,  1123,   593,  1124,  1125,  1126,
     646,  1127,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,  1128,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,  1129,   773,
    1130,  1131,     0,   243,   244,   245,   246,   247,  1132,  1133,
     248,   249,  1134,  1135,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,  1145,  1146,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   986,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,  1147,   308,   309,   310,  1148,  1149,   312,     0,
     313,   314,  1150,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,  1152,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,  1153,  1154,     0,  1155,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,   786,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,  1159,
     787,  1160,   380,   381,   382,  1161,   383,   384,   788,   385,
    1162,  1163,   387,  1164,   389,   390,   391,     0,   392,     0,
       0,  1165,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,  1168,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,  1169,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,   792,   463,   464,  1171,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,  1173,  1174,     0,     0,   489,   490,  1175,   492,
    1176,  1177,   494,   495,   496,   497,   498,   499,   500,     0,
    1178,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,   511,  1180,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,  1189,     0,     0,     0,     0,
       0,     0,  1965,  1966,     0,     0,     0,     0,     0,     0,
       0,  1193,   771,  2669,   593,  1124,  1125,  1126,   646,  1127,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,  1128,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,  1129,   773,  1130,  1131,
       0,   243,   244,   245,   246,   247,  1132,  1133,   248,   249,
    1134,  1135,   252,     0,   253,   254,   255,   256,  1136,     0,
    1137,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,
     275,   276,   277,   278,   279,  1145,  1146,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
    1147,   308,   309,   310,  1148,  1149,   312,     0,   313,   314,
    1150,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,  1151,     0,  1152,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,  1153,  1154,     0,  1155,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,  1156,   785,   359,   786,     0,   360,   361,   362,
    1157,  1158,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,  1159,   787,  1160,
     380,   381,   382,  1161,   383,   384,   788,   385,  1162,  1163,
     387,  1164,   389,   390,   391,     0,   392,     0,     0,  1165,
     394,   395,     0,     0,   396,   397,   789,   398,   790,  1166,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
    1167,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,  1168,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,  1169,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,  1170,   458,   459,   460,   461,   462,
     792,   463,   464,  1171,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1172,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
    1173,  1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,
     494,   495,   496,   497,   498,   499,   500,     0,  1178,   501,
     502,   503,   504,   505,  1179,     0,   506,   507,   508,   509,
     510,   511,  1180,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
     534,   535,   536,  1189,     0,     0,     0,     0,     0,     0,
    1190,  1191,     0,     0,     0,     0,     0,     0,     0,  1193,
     771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,  1128,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,  1129,   773,  1130,  1131,     0,   243,
     244,   245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,
     252,     0,   253,   254,   255,   256,  1136,     0,  1137,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,  3845,
    1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,
     277,   278,   279,  1145,  1146,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,  1147,   308,
     309,   310,  1148,  1149,   312,     0,   313,   314,  1150,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,  1151,     0,  1152,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,  1153,  1154,     0,  1155,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
    1156,   785,   359,   786,     0,   360,   361,   362,  1157,  1158,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,  1159,   787,  1160,   380,   381,
     382,  1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,
     389,   390,   391,     0,   392,     0,     0,  1165,   394,   395,
       0,     0,   396,   397,   789,   398,   790,  1166,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1167,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,  1168,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,  1169,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,  1170,   458,   459,   460,   461,   462,   792,   463,
     464,  1171,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,  1172,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,  1173,  1174,
       0,     0,   489,   490,  1175,   492,  1176,  1177,   494,   495,
     496,   497,   498,   499,   500,     0,  1178,   501,   502,   503,
     504,   505,  1179,     0,   506,   507,   508,   509,   510,   511,
    1180,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,
     536,  1189,     0,     0,     0,     0,     0,     0,  1190,  1191,
       0,     0,     0,     0,     0,     0,     0,  1193,   771,  1123,
     593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,  1161,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,  1165,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  1169,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,  1178,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,  4142,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,  1189,
       0,     0,     0,     0,     0,     0,  1190,  1191,     0,     0,
       0,     0,     0,     0,     0,  1193,   771,  1123,   593,  1124,
    1125,  1126,   646,  1127,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,  1128,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,   239,
    1129,   773,  1130,  1131,     0,   243,   244,   245,   246,   247,
    1132,  1133,   248,   249,  1134,  1135,   252,     0,   253,   254,
     255,   256,  1136,     0,  1137,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,  1138,  1139,  1140,  1141,
    1142,  1143,  1144,   274,   275,   276,   277,   278,   279,  1145,
    1146,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,  1147,   308,   309,   310,  1148,  1149,
     312,     0,   313,   314,  1150,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,  1151,     0,
    1152,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,  1153,  1154,
       0,  1155,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,  1156,   785,   359,   786,
       0,   360,   361,   362,  1157,  1158,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,  1159,   787,  1160,   380,  4151,   382,  1161,   383,   384,
     788,   385,  1162,  1163,   387,  1164,   389,   390,   391,     0,
     392,     0,     0,  1165,   394,   395,     0,     0,   396,   397,
     789,   398,   790,  1166,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1167,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,  1168,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,  1169,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,  1170,   458,
     459,   460,   461,   462,   792,   463,   464,  1171,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,  1172,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,  1173,  1174,     0,     0,   489,   490,
    1175,   492,  1176,  1177,   494,   495,   496,   497,   498,   499,
     500,     0,  1178,   501,   502,   503,   504,   505,  1179,     0,
     506,   507,   508,   509,   510,   511,  1180,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,   534,   535,   536,  1189,     0,     0,
       0,     0,     0,     0,  1190,  1191,     0,     0,     0,     0,
       0,     0,     0,  1193,   771,  1123,   593,  1124,  1125,  1126,
     646,  1127,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,  1128,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,  1129,   773,
    1130,  1131,     0,   243,   244,   245,   246,   247,  1132,  1133,
     248,   249,  1134,  1135,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,  4448,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,  1145,  1146,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   986,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,  1147,   308,   309,   310,  1148,  1149,   312,     0,
     313,   314,  1150,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,  4449,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,  1153,  1154,     0,  1155,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,   786,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,  1159,
     787,  1160,   380,   381,   382,  1161,   383,   384,   788,   385,
    1162,  1163,   387,  1164,   389,   390,   391,     0,   392,     0,
       0,  1165,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,  1168,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
    4450,  1169,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,   792,   463,   464,  1171,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,  1173,  1174,     0,     0,   489,   490,  1175,   492,
    1176,  1177,   494,   495,   496,   497,   498,   499,   500,     0,
    1178,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,   511,  1180,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,  1189,     0,     0,     0,     0,
       0,     0,  1190,  1191,     0,     0,     0,     0,     0,     0,
       0,  4451,   771,  1123,   593,  1124,  1125,  1126,   646,  1127,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,  1128,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,  4816,  1129,   773,  1130,  1131,
       0,   243,   244,   245,   246,   247,  1132,  1133,   248,   249,
    1134,  1135,   252,     0,   253,   254,   255,   256,  1136,     0,
    1137,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,  4817,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,
     275,   276,   277,   278,   279,  1145,  1146,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
    1147,   308,   309,   310,  1148,  1149,   312,     0,   313,   314,
    1150,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,  1151,     0,  1152,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,  1153,  1154,     0,  1155,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,  1156,   785,   359,   786,     0,   360,   361,   362,
    1157,  1158,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,  1159,   787,  1160,
     380,   381,   382,  1161,   383,   384,   788,   385,  1162,  1163,
     387,  1164,   389,   390,   391,     0,   392,     0,     0,  1165,
     394,   395,     0,     0,   396,   397,   789,   398,   790,  1166,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
    1167,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,  1168,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,  1169,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,  1170,   458,   459,   460,   461,   462,
     792,   463,   464,  1171,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1172,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
    1173,  1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,
     494,   495,   496,   497,  4818,   499,   500,     0,  1178,   501,
     502,   503,   504,   505,  1179,     0,   506,   507,   508,   509,
     510,   511,  1180,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
     534,   535,   536,  1189,     0,     0,     0,     0,     0,     0,
    1190,  1191,     0,     0,     0,     0,     0,     0,     0,  1193,
     771,  1123,   593,  1124,  1125,  1126,   646,  1127,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,  1128,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,  1129,   773,  1130,  1131,     0,   243,
     244,   245,   246,   247,  1132,  1133,   248,   249,  1134,  1135,
     252,     0,   253,   254,   255,   256,  1136,     0,  1137,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,  4817,
    1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,   276,
     277,   278,   279,  1145,  1146,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,  1147,   308,
     309,   310,  1148,  1149,   312,     0,   313,   314,  1150,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,  1151,     0,  1152,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,  1153,  1154,     0,  1155,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
    1156,   785,   359,   786,     0,   360,   361,   362,  1157,  1158,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,  1159,   787,  1160,   380,   381,
     382,  1161,   383,   384,   788,   385,  1162,  1163,   387,  1164,
     389,   390,   391,     0,   392,     0,     0,  1165,   394,   395,
       0,     0,   396,   397,   789,   398,   790,  1166,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,  1167,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,  1168,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,  1169,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,  1170,   458,   459,   460,   461,   462,   792,   463,
     464,  1171,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,  1172,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,  1173,  1174,
       0,     0,   489,   490,  1175,   492,  1176,  1177,   494,   495,
     496,   497,  4818,   499,   500,     0,  1178,   501,   502,   503,
     504,   505,  1179,     0,   506,   507,   508,   509,   510,   511,
    1180,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
    1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,   535,
     536,  1189,     0,     0,     0,     0,     0,     0,  1190,  1191,
       0,     0,     0,     0,     0,     0,     0,  1193,   771,  1123,
     593,  1124,  1125,  1126,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,     0,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,  1165,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  2525,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,     0,
       0,     0,     0,     0,     0,     0,  2526,  2527,     0,     0,
       0,     0,     0,     0,     0,  2528,   771,  1123,   593,  1124,
    1125,  1126,   646,  1127,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,  1128,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238, -2397,
    1129,   773,  1130,  1131,     0,   243,   244,   245,   246,   247,
    1132,  1133,   248,   249,  1134,  1135,   252,     0,   253,   254,
     255,   256,  1136,     0,  1137,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,  4817,  1138,  1139,  1140,  1141,
    1142,  1143,  1144,   274,   275,   276,   277,   278,   279,  1145,
    1146,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,  1147,   308,   309,   310,  1148,  1149,
     312,     0,   313,   314,  1150,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,  1151,     0,
    1152,   325,     0,   326,   327,   328,   329,   330, -2397,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,  1153,  1154,
       0,  1155,     0,   350,     0,     0,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,  1156,   785,   359, -2397,
       0,   360,   361,   362,  1157,  1158,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,  1159,   787,  1160,   380,   381,   382,  1161,   383,   384,
       0,   385,  1162,  1163,   387,  1164,   389,   390,   391,     0,
     392,     0,     0,  1165,   394,   395,     0,     0,   396,   397,
     789,   398,   790,  1166,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1167,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,  1168,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,  1169,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,  1170,   458,
     459,   460,   461,   462, -2397,   463,   464,  1171,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,  1172,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,  1173,  1174,     0,     0,   489,   490,
    1175,   492,  1176,  1177,   494,   495,   496,   497,  4818,   499,
     500,     0,  1178,   501,   502,   503,   504,   505,  1179,     0,
     506,   507,   508,   509,   510,   511,  1180,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,   534,   535,   536, -2397,     0,     0,
       0,     0,     0,     0,  1190,  1191,     0,     0,   771,  1123,
     593,  1124,  1125,  1193,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,     0,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  2658,  2659,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,     0,
       0,     0,     0,     0,     0,     0,  2660,  2661,     0,     0,
       0,     0,     0,     0,     0,  2528,   771,  1123,   593,  1124,
    1125,  1126,   646,  1127,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,  1128,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,   239,
    1129,   773,  1130,  1131,     0,   243,   244,   245,   246,   247,
    1132,  1133,   248,   249,  1134,  1135,   252,     0,   253,   254,
     255,   256,  1136,     0,  1137,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,  1138,  1139,  1140,  1141,
    1142,  1143,  1144,   274,   275,   276,   277,   278,   279,  1145,
    1146,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,  1147,   308,   309,   310,  1148,  1149,
     312,     0,   313,   314,  1150,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,  1151,     0,
    1152,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,  1153,  1154,
       0,  1155,     0,   350,     0,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,  1156,   785,   359,   786,
       0,   360,   361,   362,  1157,  1158,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,  1159,   787,  1160,   380,   381,   382,     0,   383,   384,
     788,   385,  1162,  1163,   387,  1164,   389,   390,   391,     0,
     392,     0,     0,  1165,   394,   395,     0,     0,   396,   397,
     789,   398,   790,  1166,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,  1167,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,  1168,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,  2525,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,  1170,   458,
     459,   460,   461,   462,   792,   463,   464,  1171,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,  1172,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,  1173,  1174,     0,     0,   489,   490,
    1175,   492,  1176,  1177,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,  1179,     0,
     506,   507,   508,   509,   510,   511,  1180,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,   534,   535,   536,     0,     0,     0,
       0,     0,     0,     0,  2526,  2527,     0,     0,   771,  1123,
     593,  1124,  1125,  2528,   646,  1127,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,  1128,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,  1129,   773,  1130,  1131,     0,   243,   244,   245,
     246,   247,  1132,  1133,   248,   249,  1134,  1135,   252,     0,
     253,   254,   255,   256,  1136,     0,  1137,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,  1138,  1139,
    1140,  1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,
     279,  1145,  1146,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,  1147,   308,   309,   310,
    1148,  1149,   312,     0,   313,   314,  1150,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
    1151,     0,  1152,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
    1153,  1154,     0,  1155,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,  1156,   785,
     359,   786,     0,   360,   361,   362,  1157,  1158,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,  1159,   787,  1160,   380,   381,   382,     0,
     383,   384,   788,   385,  1162,  1163,   387,  1164,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,   789,   398,   790,  1166,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,  1167,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,  1168,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,  2525,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
    1170,   458,   459,   460,   461,   462,   792,   463,   464,  1171,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,  1172,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,  1173,  1174,     0,     0,
     489,   490,  1175,   492,  1176,  1177,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
    1179,     0,   506,   507,   508,   509,   510,   511,  1180,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,  1181,  1182,
    1183,  1184,  1185,  1186,  1187,  1188,   534,   535,   536,     0,
       0,   771,  1123,   593,  1124,  1125,     0,   646,  1127,     0,
       0,     0,     0,     0,     0,  2528,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,  1128,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,  1129,   773,  1130,  1131,     0,
    3748,   244,   245,   246,   247,  1132,  1133,   248,   249,  1134,
    1135,   252,     0,   253,   254,   255,   256,  1136,     0,  1137,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,
     276,   277,   278,   279,  1145,  1146,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   986,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,  1147,
     308,   309,   310,  1148,  1149,   312,     0,   313,   314,  1150,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,  1151,     0,  1152,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,  1153,  1154,     0,  1155,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,  1156,   785,   359,   786,     0,   360,   361,   362,  1157,
    1158,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,  1159,   787,  1160,   380,
     381,   382,     0,   383,   384,   788,   385,  1162,  1163,   387,
    1164,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,   789,   398,   790,  1166,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,  1167,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,  1168,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,  2525,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,  1170,   458,   459,   460,   461,   462,   792,
     463,   464,  1171,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,  1172,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,  1173,
    1174,     0,     0,   489,   490,  1175,   492,  1176,  1177,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,  1179,     0,   506,   507,   508,   509,   510,
     511,  1180,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,
     535,   536,     0,     0,   771,  1123,   593,  1124,  1125,  1126,
     646,  1127,     0,     0,     0,     0,     0,     0,  2528,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,  1128,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,     0,  1129,   773,
    1130,  1131,     0,   243,   244,   245,   246,   247,  1132,  1133,
     248,   249,  1134,  1135,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,  1145,  1146,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   986,   295,   296,     0,
     297,   298,   299,     0,   300,     0,   302,     0,   303,   304,
     305,   306,  1147,   308,   309,   310,  1148,  1149,   312,     0,
     313,   314,  1150,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,  1152,   325,
       0,   326,   327,   328,   329,   330,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,  1153,  1154,     0,  1155,
       0,   350,     0,     0,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,     0,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,  1159,
     787,  1160,   380,   381,   382,  1161,   383,   384,     0,   385,
    1162,  1163,   387,  1164,   389,   390,   391,     0,   392,     0,
       0,  1165,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,  1168,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,  1169,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,     0,   463,   464,  1171,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,  1173,  1174,     0,     0,   489,   490,  1175,   492,
    1176,  1177,   494,   495,   496,   497,   498,   499,   500,     0,
    1178,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,   511,  1180,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,     0,     0,   771,     0,     0,
       0,     0,  1190,  1191,     0,     0,     0,     0,     0,     0,
       0,  1193,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
     239,   240,   773,   241,   242,     0,   243,   244,   245,   246,
     247,     0,  1133,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,  1136,     0,  1137,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,  1138,  1139,  1140,
    1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,  1148,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,  1151,
       0,   324,   325,     0,   326,   327,   328,   329,   330,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,  3280,     0,   357,  1156,   785,   359,
     786,     0,   360,   361,   362,  1157,  1158,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   787,   379,   380,   381,   382,     0,   383,
     384,   788,   385,     0,  1163,   387,   388,   389,   390,   391,
       0,   392,     0,   735,   393,   394,   395,     0,     0,   396,
     397,   789,   398,   790,  1166,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,  1167,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,   444,  3281,   446,   447,   448,   449,
     450,   451,   452,    39,   453,   454,   455,   456,   457,  1170,
     458,   459,   460,   461,   462,   792,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,  1172,     0,   479,   480,    43,   481,   793,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,  1175,   492,  1176,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,  1179,
       0,   506,   507,   508,   509,   510,  1059,   512,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,    48,
     519,   520,   521,   522,   523,   524,   525,  1181,  1182,  1183,
    1184,  1185,  1186,  1187,  1188,   534,   535,   536,     0,     0,
      49,   771,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3282,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,   240,   773,   241,   242,     0,
     243,   244,   245,   246,   247,     0,  1133,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,  1136,     0,  1137,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,  1138,  1139,  1140,  1141,  1142,  1143,  1144,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,  1148,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,  1151,     0,   324,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,  3280,     0,
     357,  1156,   785,   359,   786,     0,   360,   361,   362,  1157,
    1158,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   787,   379,   380,
     381,   382,     0,   383,   384,   788,   385,     0,  1163,   387,
     388,   389,   390,   391,     0,   392,     0,   735,   393,   394,
     395,     0,     0,   396,   397,   789,   398,   790,  1166,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,  1167,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,   444,  3281,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,  1170,   458,   459,   460,   461,   462,   792,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,  1172,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,  1175,   492,  1176,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,  1179,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,   534,
     535,   536,     0,     0,   771,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3282,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,   240,   773,
     241,   242,     0,   243,   244,   245,   246,   247,     0,  1133,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
    1136,     0,  1137,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,  1138,  1139,  1140,  1141,  1142,  1143,
    1144,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,  1148,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,  1151,     0,   324,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,  1156,   785,   359,   786,     0,   360,
     361,   362,  1157,  1158,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     787,   379,   380,   381,   382,     0,   383,   384,   788,   385,
       0,  1163,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,   789,   398,
     790,  1166,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,  1167,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,   444,  3281,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,  1170,   458,   459,   460,
     461,   462,   792,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1172,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,  1175,   492,
    1176,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,  1179,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,  1181,  1182,  1183,  1184,  1185,  1186,
    1187,  1188,   534,   535,   536,     0,     0,   771,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
     239,   240,   773,   241,   242,     0,   243,   244,   245,   246,
     247,     0,  1133,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,  1136,     0,  1137,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,  1138,  1139,  1140,
    1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,  1148,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,  1151,
       0,   324,   325,     0,   326,   327,   328,   329,   330,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,     0,     0,   357,  1156,   785,   359,
     786,     0,   360,   361,   362,  1157,  1158,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   787,   379,   380,   381,   382,     0,   383,
     384,   788,   385,     0,  1163,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,   789,   398,   790,  1166,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,  1167,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,  1170,
     458,   459,   460,   461,   462,   792,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,  1172,     0,   479,   480,     0,   481,   793,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,  1175,   492,  1176,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,  1179,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,  1181,  1182,  1183,
    1184,  1185,  1186,  1187,  1188,   534,   535,   536,     0,     0,
     815,  1393,   593,     0,     0,     0,   646,     0,     0,     0,
       0,     0,     0,     0,  3871,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,   240,   773,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,   774,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
       0,     0,     0,   777,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  1663,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
     358,   785,   359,   786,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   787,   379,   380,   381,
     382,     0,   383,   384,   788,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,  1664,     0,   393,   394,   395,
       0,     0,   396,   397,   789,   398,   790,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,   792,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,  1665,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,     0,   815,     0,     0,     0,     0,  1394,  1395,
    4311,     0,     0,     0,     0,     0,     0,  4312,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       3,     4,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,   772,   236,   237,   238,   239,   240,   773,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,   774,     0,   258,   259,   260,   261,   775,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,   776,
     271,   272,   273,     0,     0,     0,   777,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,   778,     0,   779,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,   780,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,   781,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   782,   783,   351,   784,   352,   353,   354,   355,   356,
       0,     0,   357,   358,   785,   359,   786,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   787,
     379,   380,   381,   382,     0,   383,   384,   788,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,   789,   398,   790,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   791,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,    39,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,   792,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,    43,   481,   793,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,  1059,   512,     0,   513,   794,   514,   515,   516,
     517,     0,     0,   518,     0,    48,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,     0,    49,   771,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
     239,   240,   773,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,   774,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,     0,     0,     0,
     777,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,     0,     0,   357,   358,   785,   359,
     786,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   787,   379,   380,   381,   382,     0,   383,
     384,   788,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,   789,   398,   790,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,   792,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,   793,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,     0,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4500,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,    39,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,    43,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,  1059,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,    48,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,     0,    49,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   330,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1251,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,     0,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2690,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,     0,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3783,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,     0,     0,     0,     0,   978,
    1393,   593,     0,     0,   829,   646,     0,     0,     0,     0,
    4196,   830,   831,   832,   220,   221,   222,   223,   224,   225,
     226,   227,  1850,   229,   230,   231,  1851,  1852,  1853,  1854,
    1855,  1856,  1857,   232,   233,  1858,   234,   235,   772,   236,
     237,   238,     0,   979,   773,   980,   981,  1859,   243,   244,
     245,   246,   247,  1860,  1861,   248,   249,   982,   983,   252,
    1862,   253,   254,   255,   256,     0,  1863,   774,  1864,   258,
     259,   260,   261,   775,   262,   263,   264,  1865,   265,   266,
     267,   268,   269,   270,  1866,   776,   271,   272,   273,  1867,
    1868,  1869,   777,  1870,  1871,  1872,   274,   275,   276,   277,
     278,   279,   984,   985,   282,  1873,   283,  1874,   284,   285,
     286,   287,   288,  1875,   289,   290,   291,  1876,  1877,   292,
     293,   986,   295,   296,  1878,   297,   298,   299,  1879,   300,
     301,   302,  1880,   303,   304,   305,   306,     0,   308,   309,
     310,     0,  1881,   312,  1882,   313,   314,   987,   316,  1883,
     317,  1884,   318,   778,  1885,   779,   319,   320,   321,  1886,
     322,     0,  1887,     0,   325,  1888,   326,   327,   328,   329,
     330,   780,   331,   332,   333,   334,  1889,   335,   336,   337,
     338,   339,   340,  1890,   341,   781,     0,   343,   344,   345,
     346,   989,   990,  1891,   991,  1892,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,  1893,  1894,   357,     0,
     785,   359,   786,  1895,   360,   361,   362,  1896,  1897,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   992,   787,   993,   380,   381,     0,
    1898,   383,   384,   788,   385,  1899,     0,   387,   994,   389,
     390,   391,  1900,   392,  1901,  1902,  3534,   394,   395,  1903,
    1904,   396,     0,   789,   398,   790,     0,   400,   401,   402,
     403,   404,   405,   406,  1905,   407,   408,     0,   410,     0,
     412,   413,   414,  1906,   415,   416,   417,   418,   419,   420,
     421,   422,   995,   424,   425,   426,   427,  1907,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,  1908,
     439,   440,   791,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,  1909,   453,   454,   455,   456,
     457,  1910,   458,   459,  1993,   461,   462,   792,   463,   464,
     997,   466,  1911,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,  1912,   479,   480,  1913,   481,
     793,   482,   483,   484,   485,   486,  1914,   998,   999,  1915,
    1916,   489,   490,     0,   492,     0,  1917,   494,   495,   496,
     497,   498,   499,   500,  1918,  1919,   501,   502,   503,   504,
     505,  1920,  1921,   506,   507,   508,   509,   510,     0,  1000,
    1922,   513,   794,   514,   515,   516,   517,  1923,  1924,   518,
    1925,  1926,   519,   520,   521,   522,   523,   524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   534,   535,   536,
       0,   219,     0,   835,   836,   837,   829,  3535,  3536,   840,
     841,   842,   843,   830,   831,   832,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   833,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   834,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   219,     0,   835,   836,   837,   829,   838,
     839,   840,   841,   842,   843,   830,   831,   832,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   936,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   937,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   219,     0,   835,   836,   837,
     829,   838,   839,   840,   841,   842,   843,   830,   831,   832,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,  1027,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,  1028,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,  1029,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   219,     0,   835,
     836,   837,   829,   838,   839,   840,   841,   842,   843,   830,
     831,   832,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
    1492,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,  1493,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   219,
       0,   835,   836,   837,   829,   838,   839,   840,   841,   842,
     843,   830,   831,   832,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   219,     0,   835,   836,   837,   829,   838,   839,   840,
     841,   842,   843,   830,   831,   832,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,  2768,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,  2769,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   219,     0,   835,   836,   837,   829,   838,
     839,   840,   841,   842,   843,   830,   831,   832,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
    4479,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1849,     0,     0,   835,   836,   837,
       0,   838,   839,   840,   841,   842,   843,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,  1850,   229,   230,
     231,  1851,  1852,  1853,  1854,  1855,  1856,  1857,   232,   233,
    1858,   234,   235,   772,   236,   237,   238,   239,   240,   773,
     241,   242,  1859,   243,   244,   245,   246,   247,  1860,  1861,
     248,   249,   250,   251,   252,  1862,   253,   254,   255,   256,
     257,  1863,   774,  1864,   258,   259,   260,   261,   775,   262,
     263,   264,  1865,   265,   266,   267,   268,   269,   270,  1866,
     776,   271,   272,   273,  1867,  1868,  1869,   777,  1870,  1871,
    1872,   274,   275,   276,   277,   278,   279,   280,   281,   282,
    1873,   283,  1874,   284,   285,   286,   287,   288,  1875,   289,
     290,   291,  1876,  1877,   292,   293,   294,   295,   296,  1878,
     297,   298,   299,  1879,   300,   301,   302,  1880,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1881,   312,  1882,
     313,   314,   315,   316,  1883,   317,  1884,   318,   778,  1885,
     779,   319,   320,   321,  1886,   322,   323,  1887,   324,   325,
    1888,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,  1889,   335,   336,   337,   338,   339,   340,  1890,   341,
     781,   342,   343,   344,   345,   346,   347,   348,  1891,   349,
    1892,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,  1893,  1894,   357,   358,   785,   359,   786,  1895,   360,
     361,   362,  1896,  1897,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     787,   379,   380,   381,   382,  1898,   383,   384,   788,   385,
    1899,   386,   387,   388,   389,   390,   391,  1900,   392,  1901,
    1902,   393,   394,   395,  1903,  1904,   396,   397,   789,   398,
     790,   399,   400,   401,   402,   403,   404,   405,   406,  1905,
     407,   408,   409,   410,   411,   412,   413,   414,  1906,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,  1907,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,  1908,   439,   440,   791,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
    1909,   453,   454,   455,   456,   457,  1910,   458,   459,   460,
     461,   462,   792,   463,   464,   465,   466,  1911,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
    1912,   479,   480,  1913,   481,   793,   482,   483,   484,   485,
     486,  1914,   487,   488,  1915,  1916,   489,   490,   491,   492,
     493,  1917,   494,   495,   496,   497,   498,   499,   500,  1918,
    1919,   501,   502,   503,   504,   505,  1920,  1921,   506,   507,
     508,   509,   510,   511,   512,  1922,   513,   794,   514,   515,
     516,   517,  1923,  1924,   518,  1925,  1926,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,   330,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   978,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,     0,
     979,   773,   980,   981,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   982,   983,   252,     0,   253,   254,
     255,   256,     0,     0,   774,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,     0,     0,     0,   777,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   984,
     985,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,     0,   308,   309,   310,     0,     0,
     312,     0,   313,   314,   987,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,     0,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,  1989,   335,   336,   337,   338,   339,   340,
       0,   341,   781,  1990,   343,   344,   345,   346,   989,   990,
       0,   991,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,     0,   785,   359,   786,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   992,   787,   993,   380,   381,     0,     0,   383,   384,
     788,   385,     0,     0,   387,   994,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,  1991,   396,  1992,
     789,   398,   790,     0,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   995,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,  1993,   461,   462,   792,   463,   464,   997,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,   998,   999,     0,     0,   489,   490,
       0,   492,     0,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,     0,  1000,  1994,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,     0,     0,     0,     0,     0,
       0,     0,  2263,     0,   534,   535,   536,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1995,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,     0,   979,   773,   980,   981,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     982,   983,   252,     0,   253,   254,   255,   256,     0,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   984,   985,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
       0,   308,   309,   310,     0,     0,   312,     0,   313,   314,
     987,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,     0,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,  1989,
     335,   336,   337,   338,   339,   340,     0,   341,   781,  1990,
     343,   344,   345,   346,   989,   990,     0,   991,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,     0,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   992,   787,   993,
     380,   381,     0,     0,   383,   384,   788,   385,     0,     0,
     387,   994,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,  1991,   396,  1992,   789,   398,   790,     0,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   995,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,  1993,   461,   462,
     792,   463,   464,   997,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
     998,   999,     0,     0,   489,   490,     0,   492,     0,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,     0,  1000,  1994,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,     0,     0,     0,     0,     0,     0,     0,   219,     0,
     534,   535,   536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1995,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   815,
    1393,   593,     0,     0,     0,   646,     0,     0,  4533,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,   772,   236,
     237,   238,   239,   240,   773,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,   774,     0,   258,
     259,   260,   261,   775,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,   776,   271,   272,   273,     0,
       0,     0,   777,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,  1839,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  1663,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,   778,     0,   779,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,   780,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,   781,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,     0,     0,   357,   358,
     785,   359,   786,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   787,   379,   380,   381,   382,
       0,   383,   384,   788,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,  1664,     0,   393,   394,   395,     0,
       0,   396,   397,   789,   398,   790,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   791,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,   792,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
     793,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,  1665,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,   794,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     815,  1393,   593,     0,     0,     0,   646,  1394,  1395,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,   240,   773,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,   774,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
       0,     0,     0,   777,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,  1844,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  1663,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
     358,   785,   359,   786,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   787,   379,   380,   381,
     382,     0,   383,   384,   788,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,  1664,     0,   393,   394,   395,
       0,     0,   396,   397,   789,   398,   790,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,   792,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,  1665,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   815,  1393,   593,     0,     0,     0,   646,  1394,  1395,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,   240,   773,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,   774,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,     0,     0,     0,   777,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  1663,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,   358,   785,   359,   786,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   787,   379,   380,
     381,   382,     0,   383,   384,   788,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,  1664,     0,   393,   394,
     395,     0,     0,   396,   397,   789,   398,   790,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,   792,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,  1665,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   815,     0,   593,     0,     0,     0,   646,  1394,
    1395,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,   240,   773,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,  2723,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  1663,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,   358,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   787,   379,
     380,   381,   382,     0,   383,   384,   788,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,  1664,     0,   393,
     394,   395,     0,     0,   396,   397,   789,   398,   790,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
     792,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,  1665,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,   646,
     658,   659,     0,     0,     0,     0,     0,     0,   220,   647,
     222,   223,   224,   225,   226,   227,   648,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   649,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     650,   315,   316,     0,   317,     0,   651,     0,   652,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
     653,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   654,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   655,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   656,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   657,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1849,  4898,   593,     0,     0,     0,
     646,   658,   659,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,  1850,   229,   230,
     231,  1851,  1852,  1853,  1854,  1855,  1856,  1857,   232,   233,
    1858,   234,   235,   772,   236,   237,   238,   239,   240,   773,
     241,   242,  1859,   243,   244,   245,   246,   247,  1860,  1861,
     248,   249,   250,   251,   252,  1862,   253,   254,   255,   256,
     257,  1863,   774,  1864,   258,   259,   260,   261,   775,   262,
     263,   264,  1865,   265,   266,   267,   268,   269,   270,  1866,
     776,   271,   272,   273,  1867,  1868,  1869,   777,  1870,  1871,
    1872,   274,   275,   276,   277,   278,   279,   280,   281,   282,
    1873,   283,  1874,   284,   285,   286,   287,   288,  1875,   289,
     290,   291,  1876,  1877,   292,   293,   294,   295,   296,  1878,
     297,   298,   299,  1879,   300,   301,   302,  1880,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1881,   312,  1882,
     313,   314,   315,   316,  1883,   317,  1884,   318,   778,  1885,
     779,   319,   320,   321,  1886,   322,   323,  1887,   324,   325,
    1888,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,  1889,   335,   336,   337,   338,   339,   340,  1890,   341,
     781,   342,   343,   344,   345,   346,   347,   348,  1891,   349,
    1892,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,  1893,  1894,   357,   358,   785,   359,   786,  1895,   360,
     361,   362,  1896,  1897,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     787,   379,   380,   381,   382,  1898,   383,   384,   788,   385,
    1899,   386,   387,   388,   389,   390,   391,  1900,   392,  1901,
    1902,   393,   394,   395,  1903,  1904,   396,   397,   789,   398,
     790,   399,   400,   401,   402,   403,   404,   405,   406,  1905,
     407,   408,   409,   410,   411,   412,   413,   414,  1906,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,  1907,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,  1908,   439,   440,   791,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
    1909,   453,   454,   455,   456,   457,  1910,   458,   459,   460,
     461,   462,   792,   463,   464,   465,   466,  1911,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
    1912,   479,   480,  1913,   481,   793,   482,   483,   484,   485,
     486,  1914,   487,   488,  1915,  1916,   489,   490,   491,   492,
     493,  1917,   494,   495,   496,   497,   498,   499,   500,  1918,
    1919,   501,   502,   503,   504,   505,  1920,  1921,   506,   507,
     508,   509,   510,   511,   512,  1922,   513,   794,   514,   515,
     516,   517,  1923,  1924,   518,  1925,  1926,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1849,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,  1850,   229,
     230,   231,  1851,  1852,  1853,  1854,  1855,  1856,  1857,   232,
     233,  1858,   234,   235,   772,   236,   237,   238,   239,   240,
     773,   241,   242,  1859,   243,   244,   245,   246,   247,  1860,
    1861,   248,   249,   250,   251,   252,  1862,   253,   254,   255,
     256,   257,  1863,   774,  1864,   258,   259,   260,   261,   775,
     262,   263,   264,  1865,   265,   266,   267,   268,   269,   270,
    1866,   776,   271,   272,   273,  1867,  1868,  1869,   777,  1870,
    1871,  1872,   274,   275,   276,   277,   278,   279,   280,   281,
     282,  1873,   283,  1874,   284,   285,   286,   287,   288,  1875,
     289,   290,   291,  1876,  1877,   292,   293,   294,   295,   296,
    1878,   297,   298,   299,  1879,   300,   301,   302,  1880,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  1881,   312,
    1882,   313,   314,   315,   316,  1883,   317,  1884,   318,   778,
    1885,   779,   319,   320,   321,  1886,   322,   323,  1887,   324,
     325,  1888,   326,   327,   328,   329,   330,   780,   331,   332,
     333,   334,  1889,   335,   336,   337,   338,   339,   340,  1890,
     341,   781,   342,   343,   344,   345,   346,   347,   348,  1891,
     349,  1892,   350,   782,   783,   351,   784,   352,   353,   354,
     355,   356,  1893,  1894,   357,   358,   785,   359,   786,  1895,
     360,   361,   362,  1896,  1897,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   787,   379,   380,   381,   382,  1898,   383,   384,   788,
     385,  1899,   386,   387,   388,   389,   390,   391,  1900,   392,
    1901,  1902,   393,   394,   395,  1903,  1904,   396,   397,   789,
     398,   790,   399,   400,   401,   402,   403,   404,   405,   406,
    1905,   407,   408,   409,   410,   411,   412,   413,   414,  1906,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,  1907,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,  1908,   439,   440,   791,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,  1909,   453,   454,   455,   456,   457,  1910,   458,   459,
     460,   461,   462,   792,   463,   464,   465,   466,  1911,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,  1912,   479,   480,  1913,   481,   793,   482,   483,   484,
     485,   486,  1914,   487,   488,  1915,  1916,   489,   490,   491,
     492,   493,  1917,   494,   495,   496,   497,   498,   499,   500,
    1918,  1919,   501,   502,   503,   504,   505,  1920,  1921,   506,
     507,   508,   509,   510,   511,   512,  1922,   513,   794,   514,
     515,   516,   517,  1923,  1924,   518,  1925,  1926,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1849,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,  2832,   225,   226,   227,  1850,
     229,   230,   231,  1851,  1852,  1853,  1854,  1855,  1856,  1857,
     232,   233,  1858,   234,   235,   772,   236,   237,   238,   239,
     240,   773,   241,   242,  1859,   243,   244,   245,   246,   247,
    1860,  1861,   248,   249,   250,   251,   252,  1862,   253,   254,
     255,   256,   257,  1863,   774,  1864,   258,   259,   260,   261,
     775,   262,   263,   264,  1865,   265,   266,   267,   268,   269,
     270,  1866,   776,   271,   272,   273,  1867,  1868,  1869,   777,
    1870,  1871,  1872,   274,   275,   276,   277,   278,   279,   280,
     281,   282,  1873,   283,  1874,   284,   285,   286,   287,   288,
    1875,   289,   290,   291,  1876,  1877,   292,   293,   294,  2833,
     296,  1878,   297,   298,   299,  1879,   300,   301,   302,  1880,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  1881,
     312,  1882,   313,   314,   315,   316,  1883,   317,  1884,   318,
     778,  1885,   779,   319,   320,   321,  1886,   322,   323,  1887,
     324,   325,  1888,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,  1889,   335,   336,   337,   338,   339,   340,
    1890,   341,   781,   342,   343,   344,   345,   346,   347,   348,
    1891,   349,  1892,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,  1893,  1894,   357,   358,   785,   359,   786,
    1895,   360,   361,   362,  1896,  1897,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   787,   379,   380,   381,   382,  1898,   383,   384,
     788,   385,  1899,   386,   387,   388,   389,   390,   391,  1900,
     392,  1901,  1902,   393,   394,   395,  1903,  1904,   396,   397,
     789,   398,   790,   399,   400,   401,   402,   403,   404,   405,
     406,  1905,   407,   408,   409,   410,   411,   412,   413,   414,
    1906,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1907,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,  1908,   439,   440,   791,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,  1909,   453,   454,   455,   456,   457,  1910,  2834,
     459,   460,   461,   462,   792,   463,   464,   465,   466,  1911,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,  1912,   479,   480,  1913,   481,   793,   482,   483,
     484,   485,   486,  1914,   487,   488,  1915,  1916,   489,   490,
     491,   492,   493,  1917,   494,   495,   496,   497,   498,   499,
     500,  1918,  1919,   501,   502,   503,   504,   505,  1920,  1921,
     506,   507,   508,   509,   510,   511,   512,  1922,   513,   794,
     514,   515,   516,   517,  1923,  1924,   518,  1925,  1926,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   771,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
     239,   240,   773,   241,   242,     0,   243,   244,   245,   246,
     247,     0,  1133,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,  1136,     0,  1137,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,  1138,  1139,  1140,
    1141,  1142,  1143,  1144,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,  1148,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,  1151,
       0,   324,   325,     0,   326,   327,   328,   329,   330,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,     0,     0,   357,  1156,   785,   359,
     786,     0,   360,   361,   362,  1157,  1158,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   787,   379,   380,   381,   382,     0,   383,
     384,   788,   385,     0,  1163,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,   789,   398,   790,  1166,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,  1167,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,  1170,
     458,   459,   460,   461,   462,   792,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,  1172,     0,   479,   480,     0,   481,   793,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,  1175,   492,  1176,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,  1179,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,  1181,  1182,  1183,
    1184,  1185,  1186,  1187,  1188,   534,   535,   536,   815,     0,
     593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,   240,   773,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,   774,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,     0,     0,
       0,   777,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  1663,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,   358,   785,
     359,   786,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   787,   379,   380,   381,   382,     0,
     383,   384,   788,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,  1664,     0,   393,   394,   395,     0,     0,
     396,   397,   789,   398,   790,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,   792,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,  1665,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   815,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,   850,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,   772,   236,
     237,   238,   239,   240,   773,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,   774,     0,   258,
     259,   260,   261,   775,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,   776,   271,   272,   273,     0,
       0,     0,   777,     0,     0,   816,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,   778,     0,   779,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,   780,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,   781,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,     0,     0,   357,   358,
     785,   359,   786,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   787,   379,   380,   381,   382,
       0,   383,   384,   788,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,   789,   398,   790,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   791,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   817,   458,   459,   460,   461,   462,   792,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
     793,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,   794,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     815,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,   867,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,   240,   773,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,   774,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
       0,     0,     0,   777,     0,     0,   816,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
     358,   785,   359,   786,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   868,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   787,   379,   380,   381,
     382,     0,   383,   384,   788,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,   789,   398,   790,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   817,   458,   459,   460,   461,   462,   792,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,   240,   773,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,   774,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,     0,     0,     0,   777,     0,     0,   816,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,   358,   785,   359,   786,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   787,   379,   380,
     381,   382,     0,   383,   384,   788,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,   789,   398,   790,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   817,   458,   459,   460,   461,   462,   792,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,  2216,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   815,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,   240,   773,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,   816,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,   323,  3129,   324,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,   358,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   787,   379,
     380,   381,   382,     0,   383,   384,   788,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,   789,   398,   790,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   817,   458,   459,   460,   461,   462,
     792,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   815,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,   772,   236,   237,   238,   239,   240,   773,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,   774,     0,   258,   259,   260,   261,   775,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,   776,
     271,   272,   273,     0,     0,     0,   777,     0,     0,   816,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,   778,     0,   779,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,   780,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,   781,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   782,   783,   351,   784,   352,   353,   354,   355,   356,
       0,     0,   357,   358,   785,   359,   786,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   787,
     379,   380,   381,   382,     0,   383,   384,   788,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,   789,   398,   790,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   791,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   817,   458,   459,   460,   461,
     462,   792,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,   793,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,   794,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   815,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,   240,   773,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,   774,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,     0,     0,     0,   777,     0,     0,
     816,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   330,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,   358,   785,   359,   786,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   950,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     787,   379,   380,   381,   382,     0,   383,   384,   788,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,   789,   398,
     790,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   817,   458,   459,   460,
     461,   462,   792,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   815,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,   772,   236,   237,   238,   239,   240,
     773,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,   774,     0,   258,   259,   260,   261,   775,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,   776,   271,   272,   273,     0,     0,     0,   777,     0,
       0,   816,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,   778,
       0,   779,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,  1022,   780,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,   781,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,   782,   783,   351,   784,   352,   353,   354,
     355,   356,     0,     0,   357,   358,   785,   359,   786,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   787,   379,   380,   381,   382,     0,   383,   384,   788,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,   789,
     398,   790,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   791,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   817,   458,   459,
     460,   461,   462,   792,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,   793,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,   794,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   815,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,   239,
     240,   773,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,   774,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,     0,     0,     0,   777,
       0,     0,   816,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,  1034,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,   358,   785,   359,   786,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   787,   379,   380,   381,   382,     0,   383,   384,
     788,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
     789,   398,   790,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   817,   458,
     459,   460,   461,   462,   792,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   815,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
     239,   240,   773,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,   774,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,     0,     0,     0,
     777,     0,     0,   816,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,  1048,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,     0,     0,   357,   358,   785,   359,
     786,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,  1049,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   787,   379,   380,   381,   382,     0,   383,
     384,   788,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,   789,   398,   790,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   817,
     458,   459,   460,   461,   462,   792,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,   793,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   815,     0,
     593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,   239,   240,   773,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,   774,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,     0,     0,
       0,   777,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,  1824,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,   358,   785,
     359,   786,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   787,   379,   380,   381,   382,     0,
     383,   384,   788,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,   789,   398,   790,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,   792,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   815,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     3,     4,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,   772,   236,
     237,   238,   239,   240,   773,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,   774,     0,   258,
     259,   260,   261,   775,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,   776,   271,   272,   273,     0,
       0,     0,   777,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,   778,     0,   779,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,   780,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,   781,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,     0,     0,   357,   358,
     785,   359,   786,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   787,   379,   380,   381,   382,
       0,   383,   384,   788,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,   789,   398,   790,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   791,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,   792,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
     793,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,   794,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     815,     0,   593,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,   239,   240,   773,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,   774,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
       0,     0,     0,   777,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
     358,   785,   359,   786,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   787,   379,   380,   381,
     382,     0,   383,   384,   788,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,   789,   398,   790,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,   792,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   815,     0,   593,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,   239,   240,   773,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,   774,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,     0,     0,     0,   777,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,  1653,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,   358,   785,   359,   786,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   787,   379,   380,
     381,   382,     0,   383,   384,   788,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,   789,   398,   790,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,   792,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   771,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,   239,   240,   773,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,   358,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   787,   379,
     380,   381,   382,     0,   383,   384,   788,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,   789,   398,   790,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
     792,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   771,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,   772,   236,   237,   238,   239,   240,   773,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,   774,     0,   258,   259,   260,   261,   775,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,   776,
     271,   272,   273,     0,     0,     0,   777,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,   778,     0,   779,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   971,   780,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,   781,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,   782,   783,   351,   784,   352,   353,   354,   355,   356,
       0,     0,   357,   358,   785,   359,   786,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   787,
     379,   380,   381,   382,     0,   383,   384,   788,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,   789,   398,   790,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   791,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,   792,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,   793,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,   794,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   771,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,   772,   236,   237,   238,   239,   240,   773,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,   774,     0,   258,   259,   260,   261,   775,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
     776,   271,   272,   273,     0,     0,     0,   777,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,   778,     0,
     779,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,  1020,   780,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
     781,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,   782,   783,   351,   784,   352,   353,   354,   355,
     356,     0,     0,   357,   358,   785,   359,   786,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     787,   379,   380,   381,   382,     0,   383,   384,   788,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,   789,   398,
     790,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   791,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,   792,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,   793,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,   794,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,  2031,   253,   254,   255,
     256,   257,     0,     0,  2105,   258,   259,   260,   261,     0,
     262,   263,   264,  2032,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,  2106,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,  2034,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,   330,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,  2035,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,  2036,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,  2031,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,  2032,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
    2106,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,  2034,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,   330,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,  2994,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
    2035,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,  2036,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   703,   226,   227,
     665,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,   666,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,   704,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   667,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   668,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,   665,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,   666,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,  2730,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   667,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   668,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
    2031,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,  2032,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,  2106,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,  2034,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,  2035,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,  2036,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,   665,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,   666,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   667,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   668,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,  1690,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,  1691,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,  1692,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,  1693,   318,     0,     0,     0,  1694,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,  1695,  1696,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,  1697,   449,   450,   451,   452,     0,  1698,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
    1699,   481,     0,  1700,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,  1701,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,   666,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   330,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     667,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   668,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,   860,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   861,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,   735,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     3,     4,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   330,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,  2813,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,   330,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,  2814,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,  2826,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,   330,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,  2827,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,   584,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     585,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,   695,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     696,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   697,   488,     0,
       0,   698,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,   729,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   730,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   731,   488,
       0,     0,   732,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,   735,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,   824,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   825,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,   964,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,  1226,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   330,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,  1237,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   715,   249,   250,   251,  1238,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,   330,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   718,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   719,
     442,   443,   444,   445,   446,   447,   720,   449,   450,   451,
     452,     0,   453,   454,   455,   456,  1230,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   722,   488,     0,     0,   723,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   724,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,  1345,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,   735,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
    1398,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,  1399,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,   695,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,  2612,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,  2613,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,  2614,   481,
       0,   482,  2615,   484,  2616,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,  2617,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,   593,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,  3802,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,  3816,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   330,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   330,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,  4482,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   330,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,   330,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   681,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,   330,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   693,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   715,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   716,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   717,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   718,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   719,   442,   443,   444,   445,   446,   447,   720,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   721,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   722,   488,     0,     0,   723,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   724,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   747,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     848,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   855,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   871,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,   926,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,   942,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,   976,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,  1032,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,  1036,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,  1038,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,  1040,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
    1044,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,  1052,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   715,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   718,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   719,   442,   443,   444,   445,
     446,   447,   720,   449,   450,   451,   452,     0,   453,   454,
     455,   456,  1230,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   722,
     488,     0,     0,   723,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   724,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,  1522,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,  1552,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,  1554,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,  1624,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,  1626,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,  1628,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   487,   488,     0,     0,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,   330,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,  1724,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,  1986,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
     330,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   715,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,   330,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   718,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   719,   442,   443,   444,   445,   446,
     447,   720,   449,   450,   451,   452,     0,   453,   454,   455,
     456,  1230,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,  2018,   483,   484,   485,   486,     0,   722,   488,
       0,     0,   723,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   724,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   715,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   718,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   719,   442,   443,   444,   445,
     446,   447,  2090,   449,   450,   451,   452,     0,   453,   454,
     455,   456,  2091,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   722,
     488,     0,     0,  2092,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   724,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,  2331,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,     0,   236,   237,   238,   239,   240,     0,   241,
     242,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
       0,     0,     0,   258,   259,   260,   261,     0,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,     0,
     271,   272,   273,     0,     0,     0,     0,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   280,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   294,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,     0,   317,     0,   318,     0,     0,     0,
     319,   320,   321,     0,   322,   323,     0,   324,   325,     0,
     326,   327,   328,   329,  2335,     0,   331,   332,   333,   334,
       0,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,   343,   344,   345,   346,   347,   348,     0,   349,     0,
     350,     0,     0,   351,     0,   352,   353,   354,   355,   356,
       0,     0,   357,   358,     0,   359,     0,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,     0,
     379,   380,   381,   382,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,   397,     0,   398,     0,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,     0,
     479,   480,     0,   481,     0,   482,   483,   484,   485,   486,
       0,   487,   488,     0,     0,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,   511,   512,     0,   513,     0,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   226,   227,     0,   229,   230,
     231,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,   234,   235,     0,   236,   237,   238,   239,   240,     0,
     241,   242,     0,   243,   244,   245,   246,   247,     0,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,     0,     0,     0,   258,   259,   260,   261,     0,   262,
     263,   264,     0,   265,   266,   267,   268,   269,   270,     0,
       0,   271,   272,   273,     0,     0,     0,     0,     0,     0,
       0,   274,   275,   276,   277,   278,   279,   280,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,     0,   292,   293,   294,   295,   296,     0,
     297,   298,   299,     0,   300,   301,   302,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,     0,   317,     0,   318,     0,     0,
       0,   319,   320,   321,     0,   322,   323,     0,   324,   325,
       0,   326,   327,   328,   329,  2375,     0,   331,   332,   333,
     334,     0,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   343,   344,   345,   346,   347,   348,     0,   349,
       0,   350,     0,     0,   351,     0,   352,   353,   354,   355,
     356,     0,     0,   357,   358,     0,   359,     0,     0,   360,
     361,   362,     0,     0,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
       0,   379,   380,   381,   382,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,     0,   392,     0,
       0,   393,   394,   395,     0,     0,   396,   397,     0,   398,
       0,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,     0,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,     0,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
       0,   479,   480,     0,   481,     0,   482,   483,   484,   485,
     486,     0,   487,   488,     0,     0,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,     0,
       0,   501,   502,   503,   504,   505,     0,     0,   506,   507,
     508,   509,   510,   511,   512,     0,   513,     0,   514,   515,
     516,   517,     0,     0,   518,     0,     0,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,     0,   236,   237,   238,   239,   240,
       0,   241,   242,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,     0,     0,     0,   258,   259,   260,   261,     0,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,     0,   271,   272,   273,     0,     0,     0,     0,     0,
       0,     0,   274,   275,   276,   277,   278,   279,   280,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,     0,   317,     0,   318,     0,
       0,     0,   319,   320,   321,     0,   322,   323,     0,   324,
     325,     0,   326,   327,   328,   329,  2410,     0,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   343,   344,   345,   346,   347,   348,     0,
     349,     0,   350,     0,     0,   351,     0,   352,   353,   354,
     355,   356,     0,     0,   357,   358,     0,   359,     0,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,     0,   379,   380,   381,   382,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,   397,     0,
     398,     0,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,     0,   479,   480,     0,   481,     0,   482,   483,   484,
     485,   486,     0,   487,   488,     0,     0,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,   511,   512,     0,   513,     0,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,     0,   236,   237,   238,   239,
     240,     0,   241,   242,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,     0,     0,     0,   258,   259,   260,   261,
       0,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,     0,   271,   272,   273,     0,     0,     0,     0,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   280,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   294,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,     0,   317,     0,   318,
       0,     0,     0,   319,   320,   321,     0,   322,   323,     0,
     324,   325,     0,   326,   327,   328,   329,  2741,     0,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   343,   344,   345,   346,   347,   348,
       0,   349,     0,   350,     0,     0,   351,     0,   352,   353,
     354,   355,   356,     0,     0,   357,   358,     0,   359,     0,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,     0,   379,   380,   381,   382,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,   397,
       0,   398,     0,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,     0,   479,   480,     0,   481,     0,   482,   483,
     484,   485,   486,     0,   487,   488,     0,     0,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,   511,   512,     0,   513,     0,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,     0,   236,   237,   238,
     239,   240,     0,   241,   242,     0,   243,   244,   245,   246,
     247,     0,     0,   715,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,     0,     0,     0,   258,   259,   260,
     261,     0,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,     0,   271,   272,   273,     0,     0,     0,
       0,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     280,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   294,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,     0,   317,     0,
     318,     0,     0,     0,   319,   320,   321,     0,   322,   323,
       0,   324,   325,     0,   326,   327,   328,   329,   330,     0,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,   343,   344,   345,   346,   347,
     348,     0,   349,     0,   350,     0,     0,   351,     0,   352,
     353,   354,   355,   356,     0,     0,   357,   358,     0,   359,
       0,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   718,   378,     0,   379,   380,   381,   382,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
     397,     0,   398,     0,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
       0,   719,   442,   443,   444,   445,   446,   447,   720,   449,
     450,   451,   452,     0,   453,   454,   455,   456,  2091,     0,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,     0,   479,   480,     0,   481,     0,   482,
     483,   484,   485,   486,     0,   722,   488,     0,     0,  2092,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,   511,   512,     0,   513,
       0,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   724,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,     0,   236,   237,
     238,   239,   240,     0,   241,   242,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,     0,     0,     0,   258,   259,
     260,   261,     0,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,     0,   271,   272,   273,     0,     0,
       0,     0,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   280,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     294,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,     0,   317,
       0,   318,     0,     0,     0,   319,   320,   321,     0,   322,
     323,     0,   324,   325,     0,   326,   327,   328,   329,  2816,
       0,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   343,   344,   345,   346,
     347,   348,     0,   349,     0,   350,     0,     0,   351,     0,
     352,   353,   354,   355,   356,     0,     0,   357,   358,     0,
     359,     0,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,     0,   379,   380,   381,   382,     0,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,   397,     0,   398,     0,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,     0,   479,   480,     0,   481,     0,
     482,   483,   484,   485,   486,     0,   487,   488,     0,     0,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,   511,   512,     0,
     513,     0,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,     0,   236,
     237,   238,   239,   240,     0,   241,   242,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,     0,     0,     0,   258,
     259,   260,   261,     0,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,     0,   271,   272,   273,     0,
       0,     0,     0,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   280,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   294,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,     0,
     317,     0,   318,     0,     0,     0,   319,   320,   321,     0,
     322,   323,     0,   324,   325,     0,   326,   327,   328,   329,
    2818,     0,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   343,   344,   345,
     346,   347,   348,     0,   349,     0,   350,     0,     0,   351,
       0,   352,   353,   354,   355,   356,     0,     0,   357,   358,
       0,   359,     0,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,     0,   379,   380,   381,   382,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,   397,     0,   398,     0,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,     0,   479,   480,     0,   481,
       0,   482,   483,   484,   485,   486,     0,   487,   488,     0,
       0,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,   511,   512,
       0,   513,     0,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,     0,
     236,   237,   238,   239,   240,     0,   241,   242,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,     0,     0,     0,
     258,   259,   260,   261,     0,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,     0,   271,   272,   273,
       0,     0,     0,     0,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   280,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   294,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
       0,   317,     0,   318,     0,     0,     0,   319,   320,   321,
       0,   322,   323,     0,   324,   325,     0,   326,   327,   328,
     329,  2930,     0,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   343,   344,
     345,   346,   347,   348,     0,   349,     0,   350,     0,     0,
     351,     0,   352,   353,   354,   355,   356,     0,     0,   357,
     358,     0,   359,     0,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,     0,   379,   380,   381,
     382,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,   397,     0,   398,     0,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,     0,   479,   480,     0,
     481,     0,   482,   483,   484,   485,   486,     0,   487,   488,
       0,     0,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,   511,
     512,     0,   513,     0,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,  2952,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,     0,   236,   237,   238,   239,   240,     0,   241,   242,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,   256,   257,     0,
       0,     0,   258,   259,   260,   261,     0,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,     0,   271,
     272,   273,     0,     0,     0,     0,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   280,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   294,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,     0,   317,     0,   318,     0,     0,     0,   319,
     320,   321,     0,   322,   323,     0,   324,   325,     0,   326,
     327,   328,   329,  4056,     0,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
     343,   344,   345,   346,   347,   348,     0,   349,     0,   350,
       0,     0,   351,     0,   352,   353,   354,   355,   356,     0,
       0,   357,   358,     0,   359,     0,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,     0,   379,
     380,   381,   382,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,   397,     0,   398,     0,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,     0,   479,
     480,     0,   481,     0,   482,   483,   484,   485,   486,     0,
     487,   488,     0,     0,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,   511,   512,     0,   513,     0,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   978,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   226,   227,     0,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
     234,   235,   772,   236,   237,   238,     0,   979,   773,   980,
     981,     0,   243,   244,   245,   246,   247,     0,     0,   248,
     249,   982,   983,   252,     0,   253,   254,   255,   256,     0,
       0,   774,     0,   258,   259,   260,   261,   775,   262,   263,
     264,     0,   265,   266,   267,   268,   269,   270,     0,   776,
     271,   272,   273,     0,     0,     0,   777,     0,     0,     0,
     274,   275,   276,   277,   278,   279,   984,   985,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,     0,   292,   293,   986,   295,   296,     0,   297,
     298,   299,     0,   300,   301,   302,     0,   303,   304,   305,
     306,     0,   308,   309,   310,     0,     0,   312,     0,   313,
     314,   987,   316,     0,   317,     0,   318,   778,     0,   779,
     319,   320,   321,     0,   322,     0,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   780,   331,   332,   333,   334,
    1989,   335,   336,   337,   338,   339,   340,     0,   341,   781,
    1990,   343,   344,   345,   346,   989,   990,     0,   991,     0,
     350,   782,   783,   351,   784,   352,   353,   354,   355,   356,
       0,     0,   357,     0,   785,   359,   786,     0,   360,   361,
     362,     0,     0,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   992,   787,
     993,   380,   381,     0,     0,   383,   384,   788,   385,     0,
       0,   387,   994,   389,   390,   391,     0,   392,     0,     0,
     393,   394,   395,     0,     0,   396,  1992,   789,   398,   790,
       0,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   995,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   791,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,     0,   458,   459,  1993,   461,
     462,   792,   463,   464,   997,   466,     0,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,     0,
     479,   480,     0,   481,   793,   482,   483,   484,   485,   486,
       0,   998,   999,     0,     0,   489,   490,     0,   492,     0,
       0,   494,   495,   496,   497,   498,   499,   500,     0,     0,
     501,   502,   503,   504,   505,     0,     0,   506,   507,   508,
     509,   510,     0,  1000,  1994,   513,   794,   514,   515,   516,
     517,     0,     0,   518,     0,     0,   519,   520,   521,   522,
     523,   524,   978,     0,     0,     0,     0,     0,     0,     0,
       0,   534,   535,   536,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,     0,   979,   773,   980,   981,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     982,   983,   252,     0,   253,   254,   255,   256,     0,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   984,   985,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
       0,   308,   309,   310,     0,     0,   312,     0,   313,   314,
     987,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,     0,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,     0,
     343,   344,   345,   346,   989,   990,     0,   991,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,     0,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   992,   787,   993,
     380,   381,     0,     0,   383,   384,   788,   385,  2086,     0,
     387,   994,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,     0,   789,   398,   790,     0,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   995,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,  1993,   461,   462,
     792,   463,   464,   997,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   479,
     480,  3635,   481,   793,   482,   483,   484,   485,   486,     0,
     998,   999,     0,     0,   489,   490,     0,   492,     0,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,     0,  1000,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   219,     0,     0,     0,     0,     0,     0,     0,     0,
     534,   535,   536,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
       0,   236,   237,   238,   239,   240,     0,   241,   242,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,     0,     0,
       0,   258,   259,   260,   261,     0,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,     0,   271,   272,
     273,     0,     0,     0,     0,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   280,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   294,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,     0,   317,     0,   318,     0,     0,     0,   319,   320,
     321,     0,   322,   323,     0,   324,   325,     0,   326,   327,
     328,   329,   330,     0,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   343,
     344,   345,   346,   347,   348,     0,   349,     0,   350,     0,
       0,   351,     0,   352,   353,   354,   355,   356,     0,     0,
     357,   358,     0,   359,     0,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,     0,   379,   380,
     381,   382,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,   397,     0,   398,     0,   399,   400,
     401,   402,   403,     0,   405,   406,     0,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,     0,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,     0,   479,   480,
       0,   481,     0,   482,   483,   484,   485,   486,     0,   487,
     488,     0,     0,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
     511,   512,     0,   513,     0,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   978,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   226,   227,     0,   229,   230,   231,     0,
       0,     0,     0,     0,     0,     0,   232,   233,     0,   234,
     235,   772,   236,   237,   238,     0,   979,   773,   980,   981,
       0,   243,   244,   245,   246,   247,     0,     0,   248,   249,
     982,   983,   252,     0,   253,   254,   255,   256,     0,     0,
     774,     0,   258,   259,   260,   261,   775,   262,   263,   264,
       0,   265,   266,   267,   268,   269,   270,     0,   776,   271,
     272,   273,     0,     0,     0,   777,     0,     0,     0,   274,
     275,   276,   277,   278,   279,   984,   985,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,     0,   292,   293,   986,   295,   296,     0,   297,   298,
     299,     0,   300,   301,   302,     0,   303,   304,   305,   306,
       0,   308,   309,   310,     0,     0,   312,     0,   313,   314,
     987,   316,     0,   317,     0,   318,   778,     0,   779,   319,
     320,   321,     0,   322,     0,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   780,   331,   332,   333,   334,     0,
     335,   336,   337,   338,   339,   340,     0,   341,   781,     0,
     343,   344,   345,   346,   989,   990,     0,   991,     0,   350,
     782,   783,   351,   784,   352,   353,   354,   355,   356,     0,
       0,   357,     0,   785,   359,   786,     0,   360,   361,   362,
       0,     0,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   992,   787,   993,
     380,   381,  2154,     0,   383,   384,   788,   385,     0,     0,
     387,   994,   389,   390,   391,     0,   392,     0,     0,   393,
     394,   395,     0,     0,   396,     0,   789,   398,   790,     0,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   995,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   791,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,     0,   458,   459,   996,   461,   462,
     792,   463,   464,   997,   466,     0,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,     0,   479,
     480,     0,   481,   793,   482,   483,   484,   485,   486,     0,
     998,   999,     0,     0,   489,   490,     0,   492,     0,     0,
     494,   495,   496,   497,   498,   499,   500,     0,     0,   501,
     502,   503,   504,   505,     0,     0,   506,   507,   508,   509,
     510,     0,  1000,     0,   513,   794,   514,   515,   516,   517,
       0,     0,   518,     0,     0,   519,   520,   521,   522,   523,
     524,   978,     0,     0,     0,     0,     0,     0,     0,     0,
     534,   535,   536,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,     0,   229,   230,   231,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,   234,   235,
     772,   236,   237,   238,     0,   979,   773,   980,   981,     0,
     243,   244,   245,   246,   247,     0,     0,   248,   249,   982,
     983,   252,     0,   253,   254,   255,   256,     0,     0,   774,
       0,   258,   259,   260,   261,   775,   262,   263,   264,     0,
     265,   266,   267,   268,   269,   270,     0,   776,   271,   272,
     273,     0,     0,     0,   777,     0,     0,     0,   274,   275,
     276,   277,   278,   279,   984,   985,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
       0,   292,   293,   986,   295,   296,     0,   297,   298,   299,
       0,   300,   301,   302,     0,   303,   304,   305,   306,     0,
     308,   309,   310,     0,     0,   312,     0,   313,   314,   987,
     316,     0,   317,     0,   318,   778,     0,   779,   319,   320,
     321,     0,   322,     0,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   780,   331,   332,   333,   334,     0,   335,
     336,   337,   338,   339,   340,     0,   341,   781,     0,   343,
     344,   345,   346,   989,   990,     0,   991,     0,   350,   782,
     783,   351,   784,   352,   353,   354,   355,   356,     0,     0,
     357,     0,   785,   359,   786,     0,   360,   361,   362,     0,
       0,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   992,   787,   993,   380,
     381,  3461,     0,   383,   384,   788,   385,     0,     0,   387,
     994,   389,   390,   391,     0,   392,     0,     0,   393,   394,
     395,     0,     0,   396,     0,   789,   398,   790,     0,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     410,     0,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   995,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   791,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,     0,   458,   459,   996,   461,   462,   792,
     463,   464,   997,   466,     0,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,     0,   479,   480,
       0,   481,   793,   482,   483,   484,   485,   486,     0,   998,
     999,     0,     0,   489,   490,     0,   492,     0,     0,   494,
     495,   496,   497,   498,   499,   500,     0,     0,   501,   502,
     503,   504,   505,     0,     0,   506,   507,   508,   509,   510,
       0,  1000,     0,   513,   794,   514,   515,   516,   517,     0,
       0,   518,     0,     0,   519,   520,   521,   522,   523,   524,
     978,     0,     0,     0,     0,     0,     0,     0,     0,   534,
     535,   536,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   226,   227,     0,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,   234,   235,   772,
     236,   237,   238,     0,   979,   773,   980,   981,     0,   243,
     244,   245,   246,   247,     0,     0,   248,   249,   982,   983,
     252,     0,   253,   254,   255,   256,     0,     0,   774,     0,
     258,   259,   260,   261,   775,   262,   263,   264,     0,   265,
     266,   267,   268,   269,   270,     0,   776,   271,   272,   273,
       0,     0,     0,   777,     0,     0,     0,   274,   275,   276,
     277,   278,   279,   984,   985,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,     0,
     292,   293,   986,   295,   296,     0,   297,   298,   299,     0,
     300,   301,   302,     0,   303,   304,   305,   306,     0,   308,
     309,   310,     0,     0,   312,     0,   313,   314,   987,   316,
       0,   317,     0,   318,   778,     0,   779,   319,   320,   321,
       0,   322,     0,     0,     0,   325,     0,   326,   327,   328,
     329,   988,   780,   331,   332,   333,   334,     0,   335,   336,
     337,   338,   339,   340,     0,   341,   781,     0,   343,   344,
     345,   346,   989,   990,     0,   991,     0,   350,   782,   783,
     351,   784,   352,   353,   354,   355,   356,     0,     0,   357,
       0,   785,   359,   786,     0,   360,   361,   362,     0,     0,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   992,   787,   993,   380,   381,
       0,     0,   383,   384,   788,   385,     0,     0,   387,   994,
     389,   390,   391,     0,   392,     0,     0,   393,   394,   395,
       0,     0,   396,     0,   789,   398,   790,     0,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   995,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   791,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,     0,   458,   459,   996,   461,   462,   792,   463,
     464,   997,   466,     0,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,     0,   479,   480,     0,
     481,   793,   482,   483,   484,   485,   486,     0,   998,   999,
       0,     0,   489,   490,     0,   492,     0,     0,   494,   495,
     496,   497,   498,   499,   500,     0,     0,   501,   502,   503,
     504,   505,     0,     0,   506,   507,   508,   509,   510,     0,
    1000,     0,   513,   794,   514,   515,   516,   517,     0,     0,
     518,     0,     0,   519,   520,   521,   522,   523,   524,   978,
       0,     0,     0,     0,     0,     0,     0,     0,   534,   535,
     536,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,     0,   229,   230,   231,     0,     0,     0,     0,
       0,     0,     0,   232,   233,     0,   234,   235,   772,   236,
     237,   238,     0,   979,   773,   980,   981,     0,   243,   244,
     245,   246,   247,     0,     0,   248,   249,   982,   983,   252,
       0,   253,   254,   255,   256,     0,     0,   774,     0,   258,
     259,   260,   261,   775,   262,   263,   264,     0,   265,   266,
     267,   268,   269,   270,     0,   776,   271,   272,   273,     0,
       0,     0,   777,     0,     0,     0,   274,   275,   276,   277,
     278,   279,   984,   985,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,     0,   292,
     293,   986,   295,   296,     0,   297,   298,   299,     0,   300,
     301,   302,     0,   303,   304,   305,   306,     0,   308,   309,
     310,     0,     0,   312,     0,   313,   314,   987,   316,     0,
     317,     0,   318,   778,     0,   779,   319,   320,   321,     0,
     322,     0,     0,     0,   325,     0,   326,   327,   328,   329,
    1046,   780,   331,   332,   333,   334,     0,   335,   336,   337,
     338,   339,   340,     0,   341,   781,     0,   343,   344,   345,
     346,   989,   990,     0,   991,     0,   350,   782,   783,   351,
     784,   352,   353,   354,   355,   356,     0,     0,   357,     0,
     785,   359,   786,     0,   360,   361,   362,     0,     0,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   992,   787,   993,   380,   381,     0,
       0,   383,   384,   788,   385,     0,     0,   387,   994,   389,
     390,   391,     0,   392,     0,     0,   393,   394,   395,     0,
       0,   396,     0,   789,   398,   790,     0,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   995,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   791,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,     0,   458,   459,   996,   461,   462,   792,   463,   464,
     997,   466,     0,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,     0,   479,   480,     0,   481,
     793,   482,   483,   484,   485,   486,     0,   998,   999,     0,
       0,   489,   490,     0,   492,     0,     0,   494,   495,   496,
     497,   498,   499,   500,     0,     0,   501,   502,   503,   504,
     505,     0,     0,   506,   507,   508,   509,   510,     0,  1000,
       0,   513,   794,   514,   515,   516,   517,     0,     0,   518,
       0,     0,   519,   520,   521,   522,   523,   524,   978,     0,
       0,     0,     0,     0,     0,     0,     0,   534,   535,   536,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,     0,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,   234,   235,   772,   236,   237,
     238,     0,   979,   773,   980,   981,     0,   243,   244,   245,
     246,   247,     0,     0,   248,   249,   982,   983,   252,     0,
     253,   254,   255,   256,     0,     0,   774,     0,   258,   259,
     260,   261,   775,   262,   263,   264,     0,   265,   266,   267,
     268,   269,   270,     0,   776,   271,   272,   273,     0,     0,
       0,   777,     0,     0,     0,   274,   275,   276,   277,   278,
     279,   984,   985,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,     0,   292,   293,
     986,   295,   296,     0,   297,   298,   299,     0,   300,   301,
     302,     0,   303,   304,   305,   306,     0,   308,   309,   310,
       0,     0,   312,     0,   313,   314,   987,   316,     0,   317,
       0,   318,   778,     0,   779,   319,   320,   321,     0,   322,
       0,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     780,   331,   332,   333,   334,     0,   335,   336,   337,   338,
     339,   340,     0,   341,   781,     0,   343,   344,   345,   346,
     989,   990,     0,   991,     0,   350,   782,   783,   351,   784,
     352,   353,   354,   355,   356,     0,     0,   357,     0,   785,
     359,   786,     0,   360,   361,   362,     0,     0,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   992,   787,   993,   380,   381,     0,     0,
     383,   384,   788,   385,     0,     0,   387,   994,   389,   390,
     391,     0,   392,     0,     0,   393,   394,   395,     0,     0,
     396,     0,   789,   398,   790,     0,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   995,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   791,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
       0,   458,   459,   996,   461,   462,   792,   463,   464,   997,
     466,     0,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,     0,   479,   480,     0,   481,   793,
     482,   483,   484,   485,   486,     0,   998,   999,     0,     0,
     489,   490,     0,   492,     0,     0,   494,   495,   496,   497,
     498,   499,   500,     0,     0,   501,   502,   503,   504,   505,
       0,     0,   506,   507,   508,   509,   510,     0,  1000,     0,
     513,   794,   514,   515,   516,   517,     0,     0,   518,     0,
       0,   519,   520,   521,   522,   523,   524,   978,     0,     0,
       0,     0,     0,     0,     0,     0,   534,   535,   536,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
       0,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,   234,   235,   772,   236,   237,   238,
       0,   979,   773,   980,   981,     0,   243,   244,   245,   246,
     247,     0,     0,   248,   249,   982,   983,   252,     0,   253,
     254,   255,   256,     0,     0,   774,     0,   258,   259,   260,
     261,   775,   262,   263,   264,     0,   265,   266,   267,   268,
     269,   270,     0,   776,   271,   272,   273,     0,     0,     0,
     777,     0,     0,     0,   274,   275,   276,   277,   278,   279,
     984,   985,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,     0,   292,   293,   986,
     295,   296,     0,   297,   298,   299,     0,   300,   301,   302,
       0,   303,   304,   305,   306,     0,   308,   309,   310,     0,
       0,   312,     0,   313,   314,   987,   316,     0,   317,     0,
     318,   778,     0,   779,   319,   320,   321,     0,   322,     0,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   780,
     331,   332,   333,   334,     0,   335,   336,   337,   338,   339,
     340,     0,   341,   781,     0,   343,   344,   345,   346,   989,
     990,     0,   991,     0,   350,   782,   783,   351,   784,   352,
     353,   354,   355,   356,     0,     0,   357,     0,   785,   359,
     786,     0,   360,   361,   362,     0,     0,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   992,   787,   993,   380,   381,     0,     0,   383,
     384,   788,   385,     0,     0,   387,   994,   389,   390,   391,
       0,   392,     0,     0,   393,   394,   395,     0,     0,   396,
       0,   789,   398,   790,     0,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   410,     0,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     995,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     791,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,     0,
     458,   459,  1993,   461,   462,   792,   463,   464,   997,   466,
       0,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,     0,   479,   480,     0,   481,   793,   482,
     483,   484,   485,   486,     0,   998,   999,     0,     0,   489,
     490,     0,   492,     0,     0,   494,   495,   496,   497,   498,
     499,   500,     0,     0,   501,   502,   503,   504,   505,     0,
       0,   506,   507,   508,   509,   510,     0,  1000,     0,   513,
     794,   514,   515,   516,   517,     0,     0,   518,     0,     0,
     519,   520,   521,   522,   523,   524,   978,     0,     0,     0,
       0,     0,     0,     0,     0,   534,   535,   536,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,     0,
     229,   230,   231,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,   234,   235,   772,   236,   237,   238,     0,
     979,   773,   980,   981,     0,   243,   244,   245,   246,   247,
       0,     0,   248,   249,   982,   983,   252,     0,   253,   254,
     255,   256,     0,     0,   774,     0,   258,   259,   260,   261,
     775,   262,   263,   264,     0,   265,   266,   267,   268,   269,
     270,     0,   776,   271,   272,   273,     0,     0,     0,   777,
       0,     0,     0,   274,   275,   276,   277,   278,   279,   984,
     985,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,     0,   292,   293,   986,   295,
     296,     0,   297,   298,   299,     0,   300,   301,   302,     0,
     303,   304,   305,   306,     0,   308,   309,   310,     0,     0,
     312,     0,   313,   314,   987,   316,     0,   317,     0,   318,
     778,     0,   779,   319,   320,   321,     0,   322,     0,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   780,   331,
     332,   333,   334,     0,   335,   336,   337,   338,   339,   340,
       0,   341,   781,     0,   343,   344,   345,   346,   989,   990,
       0,   991,     0,   350,   782,   783,   351,   784,   352,   353,
     354,   355,   356,     0,     0,   357,     0,   785,   359,   786,
       0,   360,   361,   362,     0,     0,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   992,   787,   993,   380,   381,     0,     0,   383,   384,
     788,   385,     0,     0,   387,   994,   389,   390,   391,     0,
     392,     0,     0,   393,   394,   395,     0,     0,   396,     0,
     789,   398,   790,     0,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   995,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   791,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,     0,   458,
     459,     0,   461,   462,   792,   463,   464,   997,   466,     0,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,     0,   479,   480,     0,   481,   793,   482,   483,
     484,   485,   486,     0,   998,   999,     0,     0,   489,   490,
       0,   492,     0,     0,   494,   495,   496,   497,   498,   499,
     500,     0,     0,   501,   502,   503,   504,   505,     0,     0,
     506,   507,   508,   509,   510,     0,  1000,     0,   513,   794,
     514,   515,   516,   517,     0,     0,   518,     0,     0,   519,
     520,   521,   522,   523,   524,   978,     0,     0,     0,     0,
       0,     0,     0,     0,   534,   535,   536,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,     0,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,   234,   235,   772,   236,   237,   238,     0,     0,
     773,     0,     0,     0,   243,   244,   245,   246,   247,     0,
       0,   248,   249,     0,     0,   252,     0,   253,   254,   255,
     256,     0,     0,   774,     0,   258,   259,   260,   261,   775,
     262,   263,   264,     0,   265,   266,   267,   268,   269,   270,
       0,   776,   271,   272,   273,     0,     0,     0,   777,     0,
       0,     0,   274,   275,   276,   277,   278,   279,     0,     0,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,     0,   292,   293,   294,   295,   296,
       0,   297,   298,   299,     0,   300,   301,   302,     0,   303,
     304,   305,   306,     0,   308,   309,   310,     0,     0,   312,
       0,   313,   314,     0,   316,     0,   317,     0,   318,   778,
       0,   779,   319,   320,   321,     0,   322,     0,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   780,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   339,   340,     0,
     341,   781,     0,   343,   344,   345,   346,     0,     0,     0,
       0,     0,   350,   782,   783,   351,   784,   352,   353,   354,
     355,   356,     0,     0,   357,     0,   785,   359,   786,     0,
     360,   361,   362,     0,     0,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   787,     0,   380,   381,     0,     0,   383,   384,   788,
     385,     0,     0,   387,     0,   389,   390,   391,     0,   392,
       0,     0,   393,   394,   395,     0,     0,   396,     0,   789,
     398,   790,     0,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,     0,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   791,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,     0,   458,   459,
       0,   461,   462,   792,   463,   464,     0,   466,     0,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,     0,   479,   480,     0,   481,   793,   482,   483,   484,
     485,   486,     0,     0,     0,     0,     0,   489,   490,     0,
     492,     0,     0,   494,   495,   496,   497,   498,   499,   500,
       0,     0,   501,   502,   503,   504,   505,     0,     0,   506,
     507,   508,   509,   510,     0,     0,     0,   513,   794,   514,
     515,   516,   517,     0,     0,   518,     0,     0,   519,   520,
     521,   522,   523,   524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   534,   535,   536
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,     0,     0,     0,    50,   201,    25,
      35,  1255,  1021,    11,   564,    21,   615,   666,   667,   668,
    1063,    27,    20,   672,    20,   716,  1030,   626,   765,  1025,
     770,   594,  1085,   714,  1273,   827,   870,   796,   179,  1694,
    1331,   879,   996,    43,  2281,   857,  1015,   938,  2470,  1055,
     594,    21,    50,   739,  1366,  1257,     7,    27,   949,   197,
    1116,  1815,   612,    14,    12,  1309,   204,    44,  1549,  2633,
    1479,   634,   723,  2153,  2784,   999,   918,   215,  1997,  1998,
    1942,  1372,  2290,    17,   984,   985,    22,  1376,  2992,   923,
    2808,  1730,  3019,   927,   994,   555,  3061,  1387,   932,    35,
       0,   204,    20,  1305,  3317,  1431,  2206,   941,  3362,   856,
    1278,  3037,   215,  2975,   856,   862,  2832,   951,  2834,  3358,
    2982,  3048,  3362,  2625,  2246,   872,  2982,  2442,  2623,  2624,
     972,  2690,  2254,  2621,  2256,  3412,   181,  3288,  3613,  3560,
     166,   187,  3282,   603,   625,   181,  3610,  3627,  3614,   633,
     196,  3636,  1561,  1774,  1443,  1818,   719,  2556,  1448,  1449,
       0,     0,    34,  1309,     0,     0,     0,     0,     0,    41,
    1651,  1372,     0,     0,     0,   719,  3624,     0,  1358,     0,
    4076,  1966,    40,   181,  1968,    49,  2621,  1193,  2698,  3035,
    3876,   813,  4253,  4196,  2682,  4198,     9,   762,   762,  3287,
      62,   982,   983,  3335,  2284,  3254,    35,     0,     0,     0,
     210,    48,   993,    11,  3217,     0,  2526,  2527,     0,  4378,
    4234,  2531,     0,    41,     9,   109,  4287,  4291,  4292,     9,
      84,     9,    11,    30,    31,     5,   188,   189,    39,     5,
     192,    26,   194,  1997,   140,  1145,  1146,  2682,    26,     5,
    1174,    55,    41,    55,    22,     5,   103,   133,  2568,  2569,
      70,    40,   214,    20,  1164,    26,    72,   916,  1512,     5,
       5,  1063,    33,  4565,    81,     5,    39,    13,    14,   158,
     158,     5,     5,    13,    14,   128,   102,   102,     5,     5,
       5,    70,    62,    55,   199,     5,     5,  2696,   140,     5,
       5,   109,   111,    72,  2384,     5,  2386,    13,    14,    76,
     158,   258,    81,    55,   160,   159,     3,     4,     5,    72,
     158,    72,     9,  2786,    27,  4326,     4,   242,    81,   153,
     102,     9,    72,  1288,   139,   289,   183,   102,   114,   139,
     299,     5,   172,   109,   109,   258,   245,    62,  4816,   899,
     329,   111,   254,  1134,  1135,    26,    26,  3702,   126,  3704,
     157,   264,   159,    33,    29,   158,   158,   158,   113,   152,
     337,   564,    26,   158,    32,   113,   158,   320,   336,  1160,
     158,   272,   139,   362,   373,   271,     4,   180,   180,   180,
     201,     9,   158,  4260,    83,   180,   154,   412,   180,    11,
      24,   231,   180,   415,  1242,   415,   231,    21,  2063,    11,
       5,     4,   439,    27,   260,   306,     9,   193,   294,   612,
      44,  4713,   109,   402,   562,   452,   436,   185,    72,   567,
     274,  4298,  1031,   329,   123,  1194,   244,  4498,    40,   454,
     578,  4444,   454,   114,   454,   336,  4914,   258,  1240,   408,
     336,   394,  1691,  1245,  1246,   200,  1695,   311,  1697,   562,
    3881,  1700,   200,  1222,   567,   454,   362,   121,    70,    26,
     242,   450,  4368,   153,   159,   578,    33,   324,   140,   244,
    1489,   164,   140,   450,   308,   400,   116,   329,  1051,   249,
    1494,   194,  1091,   114,   452,   394,   450,   327,   342,   282,
    1063,   448,   327,  1102,   550,   452,   402,  1051,   312,   355,
     312,   198,    11,   114,   361,   362,   324,   333,  1117,   415,
     362,   180,   193,     8,    26,   102,    11,  1729,  2991,   545,
      15,    16,    17,   220,   339,     8,  4537,   450,  1782,   339,
     436,    40,    15,    16,    17,  4484,  4485,   362,   450,   454,
     312,   454,   598,   329,   450,   439,  1348,  1120,   359,   158,
     402,    11,   608,   320,  1356,  4857,   373,   373,   411,  1771,
     312,    70,   450,   415,   450,   454,  1120,  1583,   594,   595,
    3442,  1065,   339,   401,   373,   346,  3442,   352,   450,   398,
     355,   634,   193,  1427,   436,  1429,   359,   353,   354,  1346,
     454,   553,  4077,   450,   373,   557,   454,   373,   450,   406,
     544,  4675,   638,   450,  4035,  1817,   454,  1508,   394,   386,
     373,   450,   373,   575,   765,  1437,   394,  1419,   441,   442,
    1422,  1423,  1685,   373,  4648,   633,   634,   633,   448,  1477,
    1482,   647,   452,   649,   309,   651,  3797,  3365,   446,  4808,
     454,   657,   454,  1400,  2734,  3582,   441,   442,   329,  1655,
     453,   453,   453,   441,   442,   681,  3806,   446,   453,   449,
    3810,   453,  4093,   439,  1237,   453,   346,   647,   678,   649,
     450,   651,  1245,  1246,   632,   450,   452,   657,   658,   659,
     405,   707,   454,  1237,   417,   405,  1692,  3623,  1490,   715,
     450,  3605,   718,   719,   720,  1701,   899,  4768,  3796,   754,
     661,  3714,   454,   436,   450,   450,   634,  1617,   754,  4780,
     450,  3770,  1728,   394,  1730,  3857,   450,   450,   111,   373,
    1736,  1296,  1296,   450,   450,   450,  1742,  1743,  1744,   739,
     450,   450,  4745,  1365,   450,   450,  1752,  1753,   448,   411,
     450,  1757,   452,   417,   441,   442,   754,   756,   756,   756,
     756,   756,   756,   441,   442,   450,   396,  2011,    22,   769,
     450,   454,   436,   394,   373,   260,  4121,   279,   102,  4840,
    4125,  4126,  2701,  4128,  2703,   362,   450,   260,  2077,   346,
    4476,    55,  3280,   394,  3282,   454,  1751,   415,    55,    29,
    3302,   109,    88,   254,  1759,   102,  3014,   158,  4229,  1590,
    1591,    78,   812,     5,   259,  4236,     5,    64,   436,  4715,
     203,  4760,   158,   441,   442,   743,     5,  3545,  2950,   331,
    3676,   443,   444,   445,   446,  2957,  2958,  3347,   884,  2961,
     439,   443,   444,   445,   446,  3280,  2968,  3282,   254,   895,
     257,   118,   102,   452,    26,  1405,   756,   827,   322,   717,
    2149,   244,   109,   721,   366,  2011,   368,   158,   259,  2623,
    2624,  2625,   126,   104,  3362,    34,  2661,   163,  2662,  2959,
    2960,   833,   834,   747,   101,     5,  3196,  3197,  3198,  3199,
    2134,    46,  3202,  3203,  3204,  3205,  3206,  3207,  3208,  3209,
    3210,  3211,    74,   803,  2105,   109,    22,   254,  1557,  4805,
      82,   109,   295,   959,   378,  2095,   756,   756,   161,  4367,
     756,   756,   756,   756,   756,   264,  4180,  3362,   756,   756,
     756,   168,     5,   756,  3333,   756,   244,   406,   110,  3649,
       3,   172,   441,   442,   443,   444,   445,   446,  3258,  3259,
     109,   103,   437,   438,   439,   159,   441,   442,   443,   444,
     445,   446,   914,  4217,   437,   438,   439,   320,   441,   442,
     443,   444,   445,   446,    78,   420,  4230,     3,   242,     5,
     264,  2024,  1323,   242,   936,   937,   858,   859,    30,    31,
    4230,   441,   442,   443,   444,   445,   446,   244,  2324,   450,
     231,  1956,   249,   234,    64,   957,   273,  1698,  1699,  1768,
     126,    64,   184,   230,   118,   232,  2637,    80,   272,   258,
     175,    81,   373,  1622,   161,   180,  2338,    68,  2691,   963,
    4181,   183,  2276,   324,  2003,  1051,  1635,   373,   362,  1993,
     287,   245,   326,   450,   450,  4185,    88,  1063,   312,    78,
    4190,  1650,   306,  4193,   301,   312,  2975,   249,    22,   450,
     249,   216,    48,  2982,    28,   362,   108,  1065,   131,  1065,
     249,   454,   336,    78,     3,  1027,  1028,   137,   104,   309,
    1630,  1097,   336,    38,   137,   160,  4552,   114,   331,   118,
     320,  4140,   322,  1063,   155,   155,   327,   450,   140,  1662,
     367,  4576,   155,   450,  1120,   264,   126,  4592,  1589,  4589,
    4574,  4577,   362,   118,   100,   454,   407,  1068,  1578,  1070,
     363,  1072,   185,  1074,  4378,  1076,  1077,  1078,  4093,   249,
    1128,   329,  1083,  4581,   207,   104,   248,  4237,  4065,  3058,
     162,   384,   389,   362,  4070,   399,   172,   264,   378,  1147,
    1193,    80,  3870,   649,   650,   651,   272,    78,   654,   655,
     656,   119,   126,   400,   362,   286,   193,  1648,   664,   273,
      22,   129,   324,   432,  1515,   286,    28,  1661,   150,  1195,
    1178,   168,   166,   355,   294,   260,   341,    81,  1204,   136,
     306,  2430,   396,  3909,   331,  1193,   229,   118,   220,  1749,
     431,   130,  1218,   172,   402,   231,   192,   229,   234,   361,
     362,   321,  1405,   148,   277,   109,   257,   415,    26,   450,
     336,  1237,   336,   178,  1240,  1241,   363,   287,   415,  1245,
    1246,   343,  4332,    88,   287,  4474,  1281,  1282,   436,  1284,
    1266,  4716,   262,  3553,   273,  1281,  1282,   336,  1284,   111,
     197,    24,   450,   108,   375,   242,   242,   271,    56,   158,
     302,   114,   231,   367,   375,   234,    64,   454,   273,   241,
    1240,    44,   162,   126,   126,  1245,  1246,   121,   109,   123,
     439,   180,   217,  1281,  1282,   140,  1284,   329,  1979,   448,
     310,   450,   451,   452,   223,   454,  3855,   418,  1298,   136,
    4440,   327,  4579,  2547,  4725,   262,    64,   418,   272,  2553,
     160,  2202,    70,   121,   272,   272,   336,   264,  3806,  2165,
     362,   226,  3810,    81,   387,  3827,  1464,  3822,   271,   389,
     220,  3833,   395,   317,   451,   398,   389,   454,   367,   325,
     454,   203,   306,   272,   366,  2351,   368,   205,   306,   306,
     244,   109,   273,   111,   381,    22,  4804,  2104,   327,  4408,
     402,  4809,   367,  4617,   406,   454,   317,   394,  2377,   168,
     392,  3806,   336,   415,  2220,  3810,   206,  4477,  1348,  3694,
     217,  2173,   244,  2387,   242,  2381,  1356,  4487,  4642,  2181,
     168,  2183,   375,   336,   436,  1533,    89,  3519,   450,  1537,
     244,  4263,  4642,  3525,  3526,   431,  3528,  4263,   450,  1343,
     254,  1549,  4860,   400,  2305,  2306,  2307,  2308,   249,  1435,
     272,   194,   220,  2170,  1394,  1395,  2317,  2261,  2170,   187,
    1382,   284,   336,   295,  4360,   111,   365,  1630,   367,  4652,
    4653,   388,  1442,   242,   395,  2192,   367,   302,  4352,  1419,
     407,  4500,  1422,  1423,   306,  4504,  4505,   373,     3,   126,
     365,  2024,   431,   262,   242,   121,   159,   123,     0,   310,
     148,  3126,   322,  4921,   329,  2222,   366,  2645,   368,  3341,
     366,   339,   368,   345,   336,  1623,   244,   392,  2800,  1505,
    2729,   249,   308,   111,   272,   336,   189,   272,  1450,  1451,
    1452,  1453,   392,  2102,  3604,  2347,   153,   362,   322,  1409,
     415,   204,   417,  1651,  1414,  2065,   163,   180,   454,  1535,
    1490,   214,  2528,  3442,    36,  1571,   376,   203,   306,   287,
    3169,   306,   382,   180,  2540,    80,   394,   373,   454,   217,
    1492,  1493,   453,   301,   306,   450,   239,   402,  3302,  1501,
     454,    81,    22,   271,  4808,   289,  1749,  2017,    28,  1511,
     415,   336,   101,  1463,   378,  2891,  2572,  1467,   244,   187,
    1066,  2526,  2527,  1069,  1620,  1071,  2531,  1073,   256,  1075,
     253,   436,     3,  1079,  3664,   130,  3666,  1539,  1540,  1541,
    1542,   148,   150,   378,   299,   450,   153,   408,   254,   415,
     159,   400,    23,   439,  2610,   117,   272,   604,   112,   162,
    4328,   373,  2901,  2568,  2569,   154,   452,  1587,   336,   295,
     436,  4834,   400,   316,   242,   330,   244,  1597,   625,  1599,
     189,   389,   162,  3114,   207,    11,  1606,  4564,   454,   121,
     306,   123,  2434,   306,  1614,   204,   185,   310,  1694,   272,
    3189,   209,   121,   183,   123,   214,   126,   362,  4562,    80,
     217,  4587,   448,  1661,   146,  1661,   452,   220,   315,   396,
     336,   272,   176,   336,   366,   450,   368,   146,   223,  3218,
     320,  4391,  1634,   306,  2333,  1637,  2739,   310,   417,   326,
     220,   230,  4180,   232,    70,  1647,  1721,  4185,  4120,   256,
    4604,  2161,  4190,   408,  1656,  4193,   375,   436,  1708,     8,
     131,   351,    11,   336,  1713,  1713,  1713,  1713,  1713,  1713,
    1671,   450,  1673,   450,  1675,  1741,  1677,   272,  1679,  4217,
    2699,     8,  1683,   263,    11,   336,  2705,  2981,    15,    16,
      17,    40,  4230,   272,  1662,  4180,   299,    46,   373,   418,
    4185,  3041,   415,   205,  3044,  4190,   299,   316,  4193,   180,
    4725,   306,   244,   112,   185,   310,  2770,   249,  1738,  1739,
    4488,    70,   254,   436,   138,  1745,  1746,   306,  4494,  2342,
     249,    53,  4217,   396,  1720,   254,   112,   330,  4714,  1787,
     242,   336,    11,  1727,   148,  4230,   272,  4724,  2342,   153,
     396,   306,  4224,  1773,  4226,    72,  4043,   336,   450,  2709,
     452,  3891,  3892,   366,    81,   368,  1832,   181,   450,   362,
     365,    40,   367,  4387,   272,   308,  4136,   176,   136,   101,
     306,   336,  4069,  1785,   329,   134,   366,   450,   368,   392,
     148,  2404,   320,   295,   322,   153,  2638,  4055,   378,   417,
     176,    70,   245,   246,   450,   408,   277,   111,   306,   389,
    2404,  1409,   392,   217,   378,   408,  1414,   362,   436,  2007,
     415,   272,  2065,   417,  2012,    72,   175,  3999,  2016,  4001,
    4002,   180,   450,  4005,    81,  3124,   310,   339,   336,   197,
    4378,  4601,   436,  2630,   891,   306,   317,   160,   380,   153,
     378,   244,   256,   180,  2042,   306,   249,   402,   390,   217,
     182,   380,   336,     5,   911,  1463,  2758,   216,    10,  1467,
     415,   390,   295,   920,   201,   336,    18,   190,   415,  2368,
    2369,  2370,   153,   187,   307,  1531,   329,  4655,   378,   360,
       4,   436,   394,  4378,    36,     9,  2084,    42,   256,   436,
     293,  4855,  4440,   174,  1550,   450,   264,  3366,   230,   332,
     232,   260,   258,  2101,   136,   326,   387,   263,    63,   362,
     242,  3024,   229,   153,   395,  2787,   148,   398,  4905,   415,
    3033,   153,   229,   260,  2635,  1984,  1984,  3231,   242,   852,
     244,    61,    62,  2131,   174,  1965,  1966,  2809,  2101,   271,
     436,  2026,   183,  2028,   867,  4440,    85,   870,  2024,   402,
    2056,   226,   174,  2539,   449,  2541,  2542,  2063,  2024,   454,
       8,  1939,   415,    11,   449,   197,  2164,     4,   451,   454,
    2168,   454,     9,   445,  2584,   226,  3238,   378,   450,   311,
     452,  2788,   341,   436,  4762,   217,   258,   451,  2186,    77,
     454,   263,    40,   136,  2024,   445,    52,   450,    46,  2197,
     450,  2164,   452,   451,   408,   148,   454,   448,  3822,   450,
     153,   452,  2210,  3827,  2090,  2638,  2076,  4641,   350,  3833,
     388,  2219,    70,   451,   256,  4013,   454,  4015,   448,    89,
     450,  4019,   264,  4021,   326,   451,  3152,  4407,   454,   451,
     207,   451,   454,  1100,   454,   451,  2058,  2059,   454,   324,
    3399,  2858,   320,   321,   197,  2067,  2219,  2069,     9,   451,
     451,  2073,   454,   454,   258,  3415,  3416,  2726,  2727,  4617,
     415,   450,   417,   324,   217,   434,   451,   324,   451,   454,
    3342,   454,   441,   442,   443,   444,   445,   446,    13,    14,
     365,  3160,  2986,   450,  4642,  3079,  3080,  3446,   450,   159,
     437,   438,   439,   454,   441,   442,   443,   444,   445,   446,
    4888,    52,   451,   256,   365,   454,   450,   392,   452,  4301,
     451,   264,  4617,   454,   366,  3191,   368,   175,  1761,   189,
     406,  1764,   180,  2756,   226,   451,    42,  3441,   454,  3443,
     415,   392,   417,  2173,   204,   451,   451,  4642,   454,   454,
     408,  2181,  2756,  2183,   214,   451,   388,  3626,   454,  3225,
     451,   203,  2238,   454,   415,   452,   417,  2179,   216,   451,
    2246,   451,   454,   451,   454,   450,   454,   433,  2254,   239,
    2256,  3196,  3197,  3198,  3199,   261,   261,  3202,  3203,  3204,
    3205,  3206,  3207,  3208,  3209,  3210,  3211,   451,   258,   450,
     454,   258,   373,   451,  3270,  4345,   454,   451,  4832,   136,
     454,   153,   260,  2872,  3229,   451,   448,   258,   454,   451,
     452,   148,   226,  2882,   433,  2237,   153,  3531,  2304,   261,
      42,   246,   324,  2245,   451,  2247,   451,   454,  4862,   454,
     433,  2253,  2440,  3258,  3259,   388,   451,   320,   321,   454,
    3363,  3364,   451,   203,  3156,   454,   316,  3629,  2334,   451,
    4808,  3612,   454,   451,  2462,   453,  2342,  2326,  2326,   443,
     197,   451,  2470,   365,   454,   157,   454,  4759,  4092,     0,
     450,    52,   451,  2291,  4263,   454,   451,   451,   451,   454,
     217,   454,   451,   341,   451,   454,   415,   454,   417,   158,
     392,  3010,   451,   451,   451,   454,  4930,   454,   366,  3161,
     368,   320,   321,  4808,   329,  2327,   451,   336,   451,   454,
     324,   454,   199,   415,   451,   417,   452,   454,  2404,   256,
     451,  2584,   450,   454,  2364,  2365,   396,   264,   320,   321,
     451,  2371,  3001,   454,  3003,    25,  1403,   362,   451,   451,
     451,   454,   454,   454,   451,     0,   419,   454,   450,   226,
     451,   365,  3391,   454,  2987,   450,  2989,    88,  2474,   306,
     180,  2383,    48,  2385,  2480,   415,   141,   417,  3677,  3678,
    3679,   450,   452,  2987,  3344,  2989,   434,   402,   392,   451,
    3136,   453,    72,   441,   442,   443,   444,   445,   446,   451,
     415,  4380,   454,  2656,  2434,   141,   451,   451,  3306,   454,
     454,   415,   258,   417,    90,   136,   451,   451,   180,   454,
     454,   436,  3811,   103,  3813,  2528,  1483,   148,   451,   258,
     451,   454,   153,   454,  3057,   450,   451,   158,   453,   115,
     306,  1498,   163,    88,   124,   166,   450,   141,   169,   451,
     180,   141,   454,  3057,   130,   135,   451,   324,   134,   454,
    1517,   388,   226,   258,   451,   451,   226,   454,   454,  2572,
    2528,   759,   153,   761,  3293,   155,   197,   141,   154,  2491,
     160,   157,   451,   451,   451,   454,   454,   454,   306,   215,
     451,   136,  3151,   454,   170,   111,   217,   396,   365,  3296,
    3297,  3298,  4799,   148,   258,   378,   451,  1564,   153,   454,
     450,   253,  2710,   158,  2572,  2621,   451,   408,   163,   454,
    1577,   166,   326,   451,   169,   392,   454,   451,   208,   153,
     454,  2589,  1589,     8,   207,   256,    11,   258,  3553,   292,
      15,    16,    17,   264,  1601,   450,    64,  2605,   415,   229,
     417,   451,   197,   451,   454,  2753,   454,    32,    35,   244,
     324,  3823,  2638,  2621,   324,   451,   451,   451,   454,   454,
     454,   451,   217,   249,   454,   419,  2682,   244,  2615,  2616,
    2617,   257,  2685,   450,   258,   450,   226,   451,  1645,  3851,
     454,  1648,   313,  2652,  2652,  2652,  2652,  2652,  2652,   451,
     451,   365,   454,   454,   451,   365,  2636,   454,  2638,  4324,
     290,   256,    42,   258,    42,   383,   272,   293,   153,   264,
     408,   408,    77,   153,  2682,   290,   141,  2685,   392,   141,
    2660,  2661,   392,   450,   141,   405,   450,   317,   141,  3511,
     283,   362,   450,    34,   324,   419,   141,   141,   454,   141,
     330,   415,   141,   417,   258,   415,   141,   417,  2856,   141,
     258,   141,   141,     0,   258,   153,   362,   388,   313,   141,
    2868,   141,  3971,  3972,   141,  3974,   141,   450,   226,    35,
    2756,  3747,   362,   215,   324,   365,   450,   153,   258,  3640,
     450,   412,   153,   414,   415,   450,     5,     5,   226,   450,
     450,   153,   450,   383,   450,   450,     8,   450,     5,    11,
     450,   450,     5,    15,    16,    17,   450,   362,   450,   450,
    1777,   450,  2975,   450,     5,   365,   201,   448,   408,  2982,
     451,   452,   453,   450,   450,   450,     5,   450,    40,   450,
     450,   450,   450,   388,    46,   450,  3760,  2945,   450,   450,
     450,    88,   392,  2765,   416,  2767,  2768,  2769,   450,   450,
     269,   199,  2838,    35,    92,   454,   454,   412,    70,   414,
     415,   215,    35,   153,   153,   415,   324,   417,   256,  4593,
     254,   336,   373,   373,   324,   260,   452,   373,   373,   373,
     324,   217,   373,   439,   373,    81,   324,   324,   141,   136,
     258,   212,   328,   448,  2880,   373,   451,   452,   453,   373,
     450,   148,   249,   373,   365,     8,   153,   365,    11,   395,
     320,   158,    15,    16,    17,   258,   163,   254,   450,   166,
    3682,   373,   169,     8,   373,   173,    11,   365,   450,    32,
      15,    16,    17,    81,   392,   454,   180,    40,   272,   141,
     396,   396,  2928,    46,   103,    52,   373,    32,    52,   373,
     197,   262,   373,   373,   392,    40,   365,   415,   373,   417,
      41,    46,   373,   175,  2950,   373,   373,    70,   180,    41,
     217,  2957,  2958,   373,   324,  2961,   373,   415,   454,   417,
     373,   258,  2968,   258,   201,    70,   419,   258,   201,  2975,
     201,   450,   450,    35,    24,   258,  2982,  4010,   141,   415,
     109,  2987,   244,  2989,   216,   396,  3114,  3576,  3577,   256,
     141,   258,   450,   407,   223,     8,   450,   264,    11,   254,
    3589,  3129,    15,    16,    17,    35,   153,   450,  4051,   244,
    2952,    35,   207,   325,   244,  2975,   450,    34,   371,    32,
     371,  3027,  2982,   336,   373,   448,  3154,   448,   260,   373,
     373,   373,   437,   438,   439,   141,   441,   442,   443,   444,
     445,   446,   141,   141,  3004,   141,   313,   450,   396,   396,
    3056,  3057,   175,   141,   373,   253,   248,   180,  3047,  3047,
     450,   158,   236,   236,    11,   411,   371,   454,   149,   450,
     175,   450,   373,  2060,   158,   180,  4310,   166,   201,   202,
    3069,  3069,   375,   454,  4365,  2072,   451,   173,   173,   450,
    3126,   339,   454,   216,   197,   362,   201,   202,   205,   259,
     396,     8,   454,    35,    11,   266,    52,   373,   373,   341,
     324,   216,   451,   450,   324,   396,  3076,   249,   205,   249,
     373,   388,  2109,   205,   247,   450,   373,  3876,   373,   378,
     408,   153,   326,    40,   207,  3266,   249,   260,   258,    46,
     263,    42,   247,   215,   345,   412,  3136,   414,   415,   215,
     215,   320,   373,   257,   454,   260,   365,   324,   263,   174,
     373,   306,  3104,    70,  3106,   258,   306,   333,  3110,  4814,
    4815,    35,   201,   373,   295,   201,  3847,   373,   201,   396,
     201,   448,   207,   201,   451,   452,   453,   257,   201,   396,
     141,  4136,   153,   439,   153,   439,   408,   155,   254,   450,
    4145,  3161,   434,   141,  4433,   437,   438,   439,   333,   441,
     442,   443,   444,   445,   446,  4444,   450,   141,   341,    35,
     258,   258,  3164,   207,   415,   244,   171,   134,  4010,   171,
     244,  3264,   153,    35,  3240,   234,   341,   327,   141,   207,
     153,   244,   448,   451,  3280,   433,  3282,   260,   433,  3282,
     258,   258,   258,   333,   451,   180,    23,   180,   180,  3442,
     419,   451,   451,   373,   451,   164,  3394,   158,   175,   450,
     454,   454,   454,   180,   415,   258,  3264,  4320,  4321,  4312,
     233,  2268,   454,    52,   378,   362,   253,   207,   158,   408,
     269,  4520,  3280,   451,  3282,  4940,  4941,   451,   451,   451,
    3840,   451,   451,   451,   450,  3272,  3273,  3274,  3275,   216,
     454,   434,   451,   451,   437,   438,   439,  3906,   441,   442,
     443,   444,   445,   446,   276,   451,  3362,   158,   450,   434,
     373,   454,   437,   438,   439,   451,   441,   442,   443,   444,
     445,   446,   433,   412,   449,   259,   394,   259,   450,   268,
     455,   451,   225,   260,   412,   450,   435,   402,   258,    52,
     258,     8,   258,  3491,    11,   439,  3494,   450,    15,    16,
      17,    54,   450,   261,  3963,   450,   183,   141,   373,   450,
     419,   373,   373,   191,   249,    32,   373,   262,   328,   141,
     141,   328,   328,    40,  4623,   215,   183,  4036,   373,    46,
     396,   277,   217,   277,    87,   393,   227,   373,   373,   373,
     373,   373,   244,   227,   227,   324,  4412,   373,   373,   373,
     324,   336,   324,    70,   437,   438,   439,   324,   441,   442,
     443,   444,   445,   446,   341,   141,  3442,    41,   373,   373,
     373,   201,  3384,  3385,  3386,  3387,   373,   373,   201,   450,
       3,   201,   201,   451,   451,  4451,    42,  4010,   308,   102,
     454,   144,  4407,  3591,   454,  3471,   383,   373,  3474,  2456,
    3476,   451,   450,  4200,  3470,   451,   257,    35,   258,   141,
    4207,   373,  3442,  4307,    54,   141,   153,   168,  4531,  4219,
    2477,    62,   449,   141,   177,   324,   324,   324,   261,   449,
     333,  2488,  4501,   451,   139,   454,   396,   396,  4502,   139,
    3470,   201,   201,  3519,   201,     8,   132,    87,    11,  3525,
    3526,   158,  3528,    11,  3530,   454,   269,   434,   175,   212,
    4516,   153,  4518,   180,   441,   442,   443,   444,   445,   446,
     448,   451,   264,   158,   407,   412,   451,    40,   158,   166,
     259,   436,   313,    46,   201,   202,   451,  3685,   451,    79,
     454,   244,   153,   450,   383,   451,    35,   450,   450,   216,
     454,   451,   451,   451,   144,  3535,  3536,    70,   396,   396,
     207,   373,   191,   365,    52,     8,   383,   328,    11,   450,
     373,   324,   324,   451,   373,   373,   373,   373,   451,   451,
     247,   306,   450,   415,    52,   153,   365,   177,    70,  3551,
     141,   102,   383,   260,   451,   450,   263,    40,  4614,  3625,
     201,   201,   201,    46,  4858,   201,   415,   310,   205,   312,
    4626,   314,  3621,  3621,   291,  4631,   186,  4633,   321,   450,
     450,   134,   212,   153,   419,   328,   451,    70,   454,    35,
    4683,   454,   365,   336,    75,   454,   450,  3840,   383,   454,
     450,   373,  4343,   451,   449,   348,   163,   333,   102,   158,
      52,   201,   201,   356,   244,  4264,   201,   201,   451,   158,
     450,   300,   175,   451,   413,   413,  4920,   180,   454,   451,
     204,  4231,   450,  3699,   341,   269,  3702,    22,  3704,    24,
    4427,   267,   272,    28,   451,  4939,   451,    52,    33,    34,
      35,   134,    37,   450,   204,    40,    41,   169,    43,   364,
      45,   265,  3682,   216,   450,   439,   254,   410,   451,   383,
     451,   451,   373,   158,  4274,   415,   306,    70,   185,     8,
     310,   249,    11,   249,   314,   439,    15,    16,    17,    52,
     454,   321,   175,   365,   454,   373,    64,   180,   328,  4312,
     373,   141,   373,    32,   201,   160,   336,   260,   158,   180,
    3806,    40,  2759,   396,  3810,   450,   333,    46,   348,    35,
     244,   127,   396,   411,   415,    35,   356,   434,   158,  2776,
     437,   438,   439,   216,   441,   442,   443,   444,   445,   446,
     258,    70,   153,   188,   450,  3933,   261,   454,   415,   158,
     199,   450,   450,   300,   401,   349,   275,  3945,  3806,   451,
     204,   450,  3810,    81,   414,   451,   450,   122,   258,  3835,
     451,  3837,   373,   373,   301,   153,   116,   260,    35,   249,
     410,   249,  4841,   451,   450,   450,   183,   450,   341,   450,
     228,   450,   291,  3868,   450,   141,   451,   450,   140,    35,
    3849,  3849,   187,   188,   189,   190,   451,   192,   262,   194,
     321,   196,   321,   198,   383,   347,   201,   347,  2865,   451,
    2867,    52,   207,    52,    35,   210,   450,   450,   450,   214,
     451,   216,   365,   396,   450,   454,     8,   451,   450,    11,
     365,   242,   258,    15,    16,    17,   175,     5,   365,   451,
     147,   180,   291,   261,    64,    64,   122,   415,   341,  3915,
      32,   415,   400,   300,   401,    35,   158,   450,    40,   450,
     336,   412,   201,   202,    46,   454,   365,   298,   153,  2926,
     127,   434,   185,   258,   258,   450,   333,   216,   441,   442,
     443,   444,   445,   446,    35,  3915,    35,   261,    70,   261,
     160,   160,    52,   320,  2951,   450,   114,   451,   450,     5,
     450,   307,   394,   320,    21,   451,  3936,  3937,   247,   454,
     451,  3941,  3942,    32,  3990,  3991,   140,   450,   454,   450,
     373,   260,  4120,  3999,   263,  4001,  4002,   158,   291,  4005,
     415,   415,  4038,   347,  4010,   347,   450,   160,  4014,  2289,
     756,   434,   859,   160,  1466,  4654,   858,  2638,   441,   442,
     443,   444,   445,   446,  2143,  2809,   819,  1246,  3441,  2214,
    2973,  3973,  3530,  4523,  4310,  4683,  4361,  3574,  4365,  4342,
    2733,  2422,  4766,  4230,  4838,  3987,  4029,  4697,  4231,  4696,
    4010,  4786,  2737,  3040,  3622,  3607,  4062,  3566,  3436,  2279,
    2279,  2833,  1536,   175,  3590,  3026,  2273,  4846,   180,  4939,
    4920,  4337,   341,  4054,  2981,  2977,  4797,  4276,  4067,  4067,
    4263,  4669,  4776,  4279,  3071,  4091,    27,  1525,  1092,   201,
     202,  4274,  3685,  4473,  1103,  1998,  4224,  3629,  4226,  2708,
    4593,   623,  1716,   595,   216,  1717,  2929,  1716,  4813,  4923,
    4650,  1662,  1327,  1939,   734,  4121,  1940,  3850,  4758,  4125,
    4126,  2652,  4128,  3339,  2668,  2653,  4068,  1291,  1290,  1272,
    4683,  1982,  3305,  1956,  4751,   247,  4635,  1981,  3836,  3282,
    2682,  3797,  4441,  3812,  4180,  3280,  4616,  1223,   260,  4185,
    4617,   263,  4410,  3340,  4190,  3085,  1293,  4193,  4194,  3233,
    4209,  4754,  1298,  4755,  4741,   434,  1810,  2656,   437,   438,
     439,  2589,   441,   442,   443,   444,   445,   446,  1594,  2499,
    2587,  4217,   451,    -1,  1813,    -1,    -1,  3174,    -1,     8,
      -1,    -1,    11,    -1,  4230,    -1,    -1,  4185,    -1,    -1,
      -1,    -1,  4190,    -1,    -1,  4193,    -1,    -1,  3195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   543,    -1,
      -1,    40,    -1,   548,    -1,   550,    -1,    46,   553,   341,
     555,  4219,   557,  3220,    -1,    -1,    -1,  4273,    -1,   564,
      -1,    -1,    -1,   568,    -1,    -1,    -1,    -1,    -1,    -1,
     575,    70,    -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,  3254,    15,    16,
      17,  4212,    -1,   598,    -1,    -1,    -1,    -1,   603,    -1,
      -1,    -1,    -1,   608,    -1,    32,    -1,   612,  4324,    -1,
    4232,  4233,  4234,    40,    -1,  4301,    -1,    -1,    -1,    46,
      -1,    -1,    -1,  4263,   629,    -1,  4312,    -1,    -1,    -1,
    4316,     8,  4318,    -1,    11,   134,  4322,  4323,    15,    16,
      17,    -1,   434,    70,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    32,    -1,    -1,    -1,   451,
      -1,    -1,  4378,    40,    -1,    -1,    -1,    -1,    -1,    46,
      -1,    -1,    -1,   678,    -1,    -1,   175,    -1,  4347,  4347,
      -1,   180,    -1,    -1,    -1,    -1,   691,    -1,   693,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4375,  4375,   713,   714,
      -1,   716,   717,    -1,    -1,    -1,   721,   216,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
     735,    -1,    -1,    -1,   739,    -1,    -1,    -1,  4451,    -1,
     745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,   757,   180,  4376,    -1,    -1,  4470,    -1,    -1,
      -1,   260,    -1,    -1,   769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,   201,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4451,    -1,    -1,    -1,  4650,    -1,   216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,  4470,   180,    -1,    -1,     8,   812,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
     247,    -1,    -1,   828,   201,   202,    -1,    -1,   833,   834,
      32,    -1,    -1,   260,  4550,    -1,   263,    -1,  4524,   216,
      -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   858,   859,    -1,    -1,    -1,    -1,    -1,
    4482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,   884,
      -1,    -1,    -1,   260,    -1,    -1,   263,    -1,    -1,    -1,
     895,    -1,    -1,    -1,   899,  4517,    -1,  4519,    -1,    -1,
      -1,  4617,    -1,    -1,  4573,  4573,    40,    -1,    -1,   914,
      -1,    -1,    46,  3580,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   929,    -1,  4642,    -1,    -1,    -1,
      -1,   936,   937,    -1,    -1,   434,    70,    -1,    -1,    -1,
      -1,    -1,   441,   442,   443,   444,   445,   446,   953,   954,
     955,  4759,   957,    -1,   959,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,   341,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,  4712,  4683,    -1,   201,
     134,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
    1025,    -1,  1027,  1028,   451,    -1,  4648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
    1055,    -1,    -1,    -1,    -1,  4771,    -1,   434,   260,    -1,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
      -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,
    1085,  1086,   216,    -1,  4706,  1090,    -1,  1092,     3,    -1,
      -1,    -1,  4808,     8,    -1,    -1,    11,    -1,  4814,  4815,
      15,    16,    17,  3770,    -1,    -1,    -1,    -1,  1113,    -1,
      -1,  1116,    -1,    -1,  1119,    -1,    -1,    32,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    40,   260,  1132,    -1,  4798,
    4798,    46,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,  4813,  4813,  4813,  4813,  4813,  4813,
      -1,  4864,   201,    -1,    -1,    70,  1161,    -1,    -1,  4781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4858,    -1,    -1,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,  1189,  1190,  1191,    -1,  1193,    -1,
      -1,    -1,    -1,    -1,    -1,  4864,  4864,  4864,  4864,  4864,
    4864,    -1,    -1,    -1,    -1,    -1,    -1,   341,  1213,    -1,
      -1,   260,  4928,    -1,    -1,    -1,    -1,    -1,  4858,    -1,
    4842,    -1,  3889,    -1,  4940,  4941,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4920,   437,   438,   439,   260,   441,
     442,   443,   444,   445,   446,    -1,  1251,    -1,    -1,  1254,
      -1,  3918,    -1,  4939,  4923,  4923,  4923,  4923,  4923,  4923,
     175,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,  1283,    -1,
    4920,    -1,  1287,  1288,    -1,    -1,   201,   202,    -1,    -1,
      -1,    -1,    -1,  1298,  1299,  1300,    -1,    -1,    -1,  4939,
     434,   216,    -1,    -1,    -1,    -1,    -1,   441,   442,   443,
     444,   445,   446,    -1,    -1,  1320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3992,    -1,   201,    -1,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,   263,    -1,
      -1,    -1,    -1,  1358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1371,  1372,    -1,    -1,
      -1,    -1,    -1,    -1,  1379,    -1,    -1,  1382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   260,    -1,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,    -1,    -1,
    1405,    -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1415,    -1,    -1,  1418,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,   341,  4094,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,  1442,    -1,    -1,
      15,    16,    17,    -1,    -1,  1450,  1451,  1452,  1453,  1454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,  1468,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    46,    -1,  4140,  1479,    -1,  1481,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,  1492,  1493,    15,
      16,    17,    -1,    -1,    -1,    70,  1501,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,   434,
      46,    -1,   437,   438,   439,  1530,   441,   442,   443,   444,
     445,   446,    -1,    -1,  1539,  1540,  1541,  1542,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,  1551,    -1,    -1,    25,
      -1,    -1,    -1,  1558,    -1,    -1,  1561,    -1,    -1,    -1,
      -1,    -1,    -1,   437,   438,   439,  1571,   441,   442,   443,
     444,   445,   446,  1578,    -1,    -1,    -1,    -1,  1583,    -1,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,  1620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1630,   201,   202,    -1,  1634,
      -1,    -1,  1637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   216,  1647,    -1,    -1,    -1,    -1,    -1,   124,   175,
    1655,  1656,   198,    -1,   180,  1660,    -1,    -1,    -1,   135,
      -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     216,    -1,   247,    -1,    -1,   201,   202,    -1,    -1,   155,
    1685,    -1,    -1,    -1,   160,   260,    -1,  1692,   263,  1694,
     216,    -1,    -1,  1698,  1699,    -1,  1701,    -1,    -1,    -1,
      -1,    -1,    -1,  1708,    -1,    -1,    -1,    -1,    -1,    -1,
    1715,    -1,    -1,    -1,    -1,  1720,  1721,    -1,    -1,  1724,
      -1,   247,    -1,  1728,    -1,  1730,    -1,    -1,    -1,    -1,
    1735,  1736,    -1,    -1,   260,    -1,    -1,  1742,  1743,  1744,
      -1,  4408,    -1,  1748,  1749,  1750,  1751,  1752,  1753,  1754,
    1755,    -1,  1757,   229,  1759,  1760,    -1,    -1,  1763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,  1778,  1779,  1780,  1781,    -1,    -1,  4446,
    1785,  1786,    -1,    -1,   260,  1790,    -1,    -1,  1793,    -1,
      -1,  1796,  1797,  1798,  1799,  1800,  1801,  1802,  1803,  1804,
      -1,  1806,    -1,    -1,    -1,    -1,    -1,  1812,  1813,    -1,
    1815,    -1,    -1,    35,   290,   341,    -1,  1822,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    54,  4500,    -1,    -1,    -1,  4504,  4505,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,   324,    -1,
      -1,    -1,    40,    -1,   330,    -1,    -1,   333,    46,   434,
      -1,    -1,   437,   438,   439,    87,   441,   442,   443,   444,
     445,   446,     8,    -1,    -1,    11,   451,    -1,    -1,    15,
      16,    17,    70,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,   369,    -1,    -1,    32,    -1,    -1,    -1,
     376,    -1,    -1,    -1,    40,    -1,    -1,   383,   434,    -1,
      46,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,    -1,   144,    -1,    -1,    -1,    -1,  4594,    -1,    -1,
      -1,    -1,   408,  1938,    70,  1940,    -1,  1942,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1956,    -1,    -1,    -1,   177,     8,    -1,    -1,    11,
    1965,  1966,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1979,    -1,    -1,    -1,    -1,    -1,
      32,  1986,    -1,  1988,    -1,   207,    -1,   175,    40,    -1,
     212,    -1,   180,    -1,    46,    -1,    -1,   543,    -1,    -1,
      -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2017,   201,   202,    -1,    -1,    -1,    70,    -1,
      -1,  2026,   244,  2028,    -1,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
    2045,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,
      -1,  2056,    -1,  2058,  2059,    -1,    -1,    -1,  2063,   247,
    2065,    -1,  2067,    -1,  2069,   201,   202,    -1,  2073,    -1,
      -1,  2076,   260,    -1,    -1,   263,    -1,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
    2095,    -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,   321,
    2105,    -1,    -1,    -1,    -1,    -1,   328,  2112,    -1,    -1,
      -1,   247,    -1,  2118,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2127,   175,   260,    -1,   348,   263,   180,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2148,    -1,   691,    -1,  2152,  2153,   201,
     202,    -1,    -1,   341,   376,    -1,  2161,  2162,     8,    -1,
      -1,    11,    -1,    -1,   216,    15,    16,    17,    -1,    -1,
     716,    -1,    -1,    -1,  2179,    -1,    -1,    -1,    -1,    -1,
      -1,  1001,    32,    -1,    -1,    -1,    -1,    -1,   410,   735,
      40,    -1,   414,   415,    -1,   247,    46,    -1,    -1,    -1,
      -1,  2206,    -1,  2208,  2209,   341,    -1,    -1,   260,    -1,
      -1,   757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1039,
      70,    -1,    -1,    -1,    -1,    -1,    -1,  1047,    -1,    -1,
      -1,    -1,  2237,  1053,    -1,    -1,    -1,    -1,    -1,    -1,
    2245,    -1,  2247,    -1,    -1,    -1,   434,    -1,  2253,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,    -1,
      -1,    -1,  2267,   451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,  2284,
      -1,  2286,   828,    -1,  2289,    -1,    -1,  2292,     8,   341,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,   434,    -1,
      -1,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,    -1,    32,  2318,    -1,   451,    -1,    -1,    -1,    -1,
      40,    -1,  2327,  2328,    -1,   175,    46,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2351,    -1,    -1,    -1,
      70,   201,   202,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2366,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,  2381,    -1,  2383,  2384,
    2385,  2386,   434,   929,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,  2409,    87,    -1,   953,   954,   955,
     260,    -1,    -1,   263,    -1,    -1,    -1,  2422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,  2464,
     180,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,  2474,
      -1,    -1,    -1,    -1,    -1,  2480,    -1,    -1,    -1,    -1,
      -1,   201,   202,    -1,    -1,    -1,  2491,    -1,    -1,    -1,
      -1,   341,    -1,  2498,    -1,   177,   216,    -1,  2503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2526,  2527,  2528,    -1,   207,  2531,   247,    -1,    -1,
     212,    -1,    -1,    -1,  2539,  2540,  2541,  2542,    -1,    -1,
     260,    -1,    -1,   263,  1090,    -1,    -1,  2552,    -1,    -1,
    2555,    -1,  2557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,  2568,  2569,    -1,    -1,  2572,    -1,    -1,
    1116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,  2584,
      -1,  2586,    -1,  2588,   434,  2590,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,    54,    -1,    -1,
      -1,   451,    -1,    -1,    -1,  2610,    -1,    -1,    -1,  2614,
      -1,    -1,    -1,    -1,    -1,    -1,  2621,    -1,  2623,  2624,
    2625,   341,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      87,    -1,   314,    -1,    -1,     8,  2641,    -1,    11,   321,
      -1,    -1,    15,    16,    17,    -1,   328,    -1,  2653,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,  2668,    -1,    -1,   348,    40,    -1,    -1,
      -1,    -1,    -1,    46,   356,    -1,    -1,  2682,    -1,    -1,
    2685,    -1,    -1,  2688,    -1,  2690,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,   437,   438,   439,
     177,   441,   442,   443,   444,   445,   446,  2732,   410,  2734,
      -1,   451,   414,    -1,  2739,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     207,    -1,  1572,  1299,    -1,   212,    -1,    -1,    -1,    -1,
    2765,    -1,  2767,  2768,  2769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1621,   175,    -1,    -1,  1625,    -1,   180,    -1,    -1,
      -1,  1631,  1632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1371,    -1,    -1,   201,   202,
      -1,    -1,    -1,  1379,  1654,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,    -1,   314,    -1,    -1,
      -1,  1407,    -1,    -1,   321,  2870,    -1,    -1,    -1,  1415,
      -1,   328,  1418,    -1,   247,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,
     263,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,   376,
      -1,    11,  1468,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1481,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    36,  2952,    -1,    -1,
      40,    -1,    -1,   410,  2959,  2960,    46,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      70,    -1,    -1,    -1,  1530,    -1,    -1,    -1,  2993,  2994,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,  3009,  1551,    -1,    -1,    46,    -1,
      -1,    -1,  1558,    -1,    -1,    -1,    -1,    -1,    -1,  3024,
    3025,    -1,    -1,    -1,    -1,    -1,    -1,   117,  3033,  3034,
    3035,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,    -1,    -1,    -1,    -1,   451,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,
      -1,  3106,    -1,    -1,    -1,  3110,    -1,    -1,    -1,    -1,
      -1,   201,   202,    -1,  1660,    -1,    -1,  1937,    -1,    -1,
      -1,  3126,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,  3136,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,  3152,    -1,    -1,
      -1,    -1,  1698,  1699,    -1,    -1,    -1,   247,    -1,  3164,
      -1,    -1,    -1,   201,   202,    -1,  3171,    -1,    -1,  1715,
     260,    -1,    -1,   263,    -1,  3180,    -1,    -1,   216,    -1,
      -1,  3186,    -1,  3188,    -1,    -1,  3191,    -1,    -1,    -1,
      -1,  3196,  3197,  3198,  3199,    -1,    -1,  3202,  3203,  3204,
    3205,  3206,  3207,  3208,  3209,  3210,  3211,    -1,    -1,   247,
    3215,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,   260,    -1,  3229,   263,    -1,    -1,  3233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3241,    -1,    -1,  3244,
      -1,  3246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3255,   341,    -1,  3258,  3259,    -1,    -1,    -1,  3263,  3264,
      -1,    -1,    -1,  3268,    -1,  3270,  1812,    -1,    -1,    -1,
      -1,    -1,  3277,  3278,  3279,  3280,  1822,  3282,  3283,    -1,
      -1,    -1,  3287,  3288,    -1,    -1,    -1,    -1,    -1,  3294,
      -1,    -1,    -1,    -1,    -1,  3300,  3301,  3302,    -1,    -1,
      -1,    -1,    -1,   341,    -1,    -1,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,    -1,  3328,    28,    -1,    -1,    13,    -1,    -1,
      -1,    -1,    -1,    19,  3339,    -1,  3341,    -1,    -1,    -1,
      -1,    -1,    -1,    29,   434,    -1,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,  3362,  3363,  3364,
      -1,  3366,    48,    49,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3384,
    3385,  3386,  3387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1938,    -1,  1940,    -1,   434,    -1,    -1,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,    -1,
      -1,    -1,    -1,   451,    -1,   119,    -1,    -1,  3423,    -1,
      -1,    -1,   126,    -1,    -1,   129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3508,    -1,    -1,    68,    -1,   194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,  2354,    -1,    -1,    -1,   242,   101,
     244,    -1,    -1,    -1,  3549,    -1,  3551,    -1,  3553,    -1,
     254,    -1,    -1,    -1,  3559,    -1,  2376,   119,   262,    -1,
    3565,    -1,    -1,    -1,   126,    -1,    -1,   129,   272,  3574,
      -1,  2391,    -1,    -1,  2394,  2395,    -1,    -1,    -1,  2399,
    2400,  2127,    -1,    -1,    -1,    -1,  2406,    -1,    -1,  3594,
      -1,    -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,  3604,
      -1,    -1,  2148,    -1,    -1,   309,   310,  3612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,    -1,
     182,  3626,    -1,   185,    -1,  3630,  3631,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,    -1,  3664,
      -1,  3666,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,
     232,  3676,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
     242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,   399,    -1,    -1,    -1,    -1,
     262,  3706,    70,    -1,    -1,    -1,    -1,    -1,    -1,   271,
     272,    -1,  3717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2286,    -1,  3747,    -1,   306,    -1,    -1,   309,   310,   311,
      -1,    -1,  3757,  3758,    -1,    -1,    -1,    -1,    -1,  3764,
    3765,    -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,  3774,
      -1,    -1,  3777,  3778,   336,    -1,    -1,  3782,  3783,    -1,
      -1,    -1,    -1,  3788,  3789,  3790,  3791,  3792,   350,    -1,
      -1,  3796,  3797,    -1,  3799,    -1,    -1,  3802,    -1,    -1,
      -1,  3806,    -1,    -1,    -1,  3810,    -1,   175,    -1,    -1,
      -1,  3816,   180,    -1,    -1,    -1,    -1,  3822,    -1,    -1,
      -1,    -1,  3827,    -1,    -1,    -1,    -1,    -1,  3833,    -1,
      -1,    -1,    -1,   201,   202,  3840,    -1,   399,    -1,    -1,
      -1,    -1,  3847,    -1,    -1,  3850,    -1,    -1,   216,    -1,
    3855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3868,    -1,   551,  3871,    -1,    -1,    -1,
      -1,    -1,    -1,   559,    -1,    -1,    -1,    -1,    -1,   247,
     566,    -1,    -1,   569,   570,    -1,  3891,  3892,   574,    -1,
      -1,    -1,   260,    -1,    -1,   263,    -1,    -1,    -1,   585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3916,    -1,   599,    -1,    -1,    -1,    -1,  2464,    -1,
      -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,   614,    -1,
     616,    -1,    -1,   619,    -1,   621,    -1,    -1,   624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3973,    -1,
      -1,    -1,    -1,   341,    -1,    32,    -1,    -1,    -1,    -1,
      -1,    -1,  3987,    40,    -1,    -1,    -1,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2817,    -1,  2819,
      -1,    -1,    -1,    -1,    -1,    -1,   692,    -1,    -1,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4038,    -1,    -1,    -1,    -1,  4043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   747,    -1,  4068,  4069,    -1,   434,    -1,  2614,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,    -1,
      -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2925,    -1,    -1,    -1,    -1,
      -1,  2931,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,   807,    -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4145,    -1,    -1,    -1,   201,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,  4163,   216,
      -1,  4166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4180,  4181,    -1,    -1,    -1,
    4185,    -1,    -1,    -1,    -1,  4190,    -1,   873,  4193,  4194,
     247,  4196,    -1,  4198,    -1,    -1,  4201,  4202,    -1,    -1,
      -1,    -1,   888,   260,    -1,    -1,   263,    -1,    -1,    -1,
      -1,    -1,  4217,    -1,   900,    -1,   902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   910,  4230,  4231,  4232,  4233,  4234,
      -1,    -1,    -1,    -1,     8,    -1,   922,    11,    -1,   925,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    3070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,  4273,  4274,
      -1,    -1,    46,    -1,   960,    -1,    -1,  3097,  3098,    -1,
    3100,    -1,  3102,  3103,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3115,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4320,  4321,    -1,    -1,  4324,
      -1,    -1,  4327,    -1,  2870,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4337,  3153,    -1,    -1,    -1,    -1,  4343,    -1,
    4345,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,
    4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4376,  4377,  4378,    -1,    -1,    -1,   434,    -1,    -1,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
      -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,    68,    -1,
      -1,   175,  4407,    -1,    -1,  4410,   180,  4412,  1094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,   202,    -1,
      -1,  4436,    -1,    -1,    -1,  4440,    -1,    -1,    -1,  4444,
      -1,    -1,   216,    -1,    -1,    -1,  4451,  2993,  2994,   119,
      -1,    -1,    -1,    -1,    -1,  4460,   126,    -1,    -1,   129,
      -1,    -1,    -1,  3009,    -1,  4470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   247,    -1,    -1,    -1,  4482,    -1,  3025,
      -1,  4486,    -1,    -1,   154,    -1,   260,    -1,  3034,  3035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4509,  3051,    -1,    -1,    -1,    -1,
      -1,  4516,  4517,  4518,  4519,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4531,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,  4550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,  4566,    -1,    -1,    -1,    40,  4571,   341,    -1,    -1,
      -1,    46,   242,    -1,   244,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    28,    -1,   254,    -1,  1272,  1273,    -1,    -1,
     604,    -1,   262,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,    -1,  3152,    -1,    -1,  4614,
      -1,   625,  4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4626,    68,    -1,    -1,    -1,  4631,    -1,  4633,    -1,
    4635,    -1,    -1,    -1,    -1,    -1,   306,  4642,    -1,   309,
     310,    -1,    -1,  4648,    -1,  4650,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4660,    -1,    -1,  1344,    -1,
     434,    -1,    -1,   437,   438,   439,   336,   441,   442,   443,
     444,   445,   446,   119,    -1,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,   129,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
     175,  4706,    -1,    -1,    -1,   180,     8,  4712,   154,    11,
      32,    -1,    -1,    15,    16,    17,    -1,    -1,    40,    -1,
    1406,    -1,    -1,    -1,    46,    -1,   201,   202,    -1,   399,
      32,  3277,  3278,  3279,    -1,  4740,  4741,    -1,    40,   185,
    4745,   216,    -1,    -1,    46,    -1,  4751,    -1,    70,  4754,
      -1,    -1,    -1,  4758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,    70,    -1,
      -1,    -1,   247,    -1,    -1,    -1,  4781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,   263,    -1,
      -1,    -1,    -1,    -1,  4799,    -1,   242,    -1,   244,    -1,
      -1,    -1,    -1,  4808,    -1,    -1,    -1,    -1,   254,  4814,
    4815,  4816,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,    -1,
    4835,    -1,    -1,    -1,    -1,  1521,    -1,  4842,    -1,    -1,
      -1,  3661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,
    3670,  3671,  3672,   175,    -1,    -1,    -1,    -1,   180,    -1,
     306,    -1,    -1,   309,   310,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,   175,    -1,    -1,    -1,   891,   180,   201,
     202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,    -1,   216,    -1,    -1,   911,    -1,   201,
     202,    -1,    -1,    -1,    -1,    -1,   920,    -1,    -1,  4914,
    4915,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4928,    -1,   247,    22,    -1,    -1,    -1,
      -1,    -1,    28,  1619,    -1,  4940,  4941,    -1,   260,    -1,
      22,   263,    -1,    -1,    -1,   247,    28,  1633,    -1,    -1,
    1636,    -1,  1638,   399,  1640,    -1,    -1,    -1,   260,   434,
    1646,   263,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,    68,    -1,    -1,    -1,   451,    -1,    -1,    -1,
      -1,    -1,   996,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,  3549,    -1,  1691,    -1,    -1,    -1,  1695,
      -1,  1697,    -1,  3559,  1700,    -1,    -1,    -1,    -1,   341,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    58,
     126,    -1,    -1,   129,    -1,    -1,    -1,   119,    -1,   341,
      -1,    -1,    71,    72,   126,    -1,    -1,   129,  3594,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    85,    -1,   154,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3887,    -1,    -1,
      -1,    -1,   154,    -1,   103,    -1,  3622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1100,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,    -1,  3919,
    3920,    -1,    -1,   185,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,   434,    -1,   143,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,   155,    -1,    -1,   451,
    3676,   160,   434,    -1,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,   242,    -1,   244,   451,
      -1,    -1,    -1,    -1,   183,    -1,    -1,    -1,   254,    -1,
     242,    -1,   244,    -1,    -1,    -1,   262,    -1,    -1,    -1,
      -1,    -1,   254,  3993,  3994,    -1,   272,    -1,    -1,   208,
     262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     306,    -1,    -1,   309,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,    -1,  1240,   309,   310,    -1,
      -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,  3789,  3790,  3791,  3792,    -1,    -1,    -1,
      -1,   280,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,
      -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4100,    -1,    -1,  4103,  4104,    -1,    -1,    -1,   317,  1303,
      -1,    -1,    -1,   322,    -1,   324,    -1,    -1,    -1,  4119,
      -1,   330,    -1,   399,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,  2008,  2009,    -1,    -1,    -1,  2013,  2014,    -1,
      -1,    -1,  2018,   362,    -1,    -1,   365,    -1,    -1,    -1,
     369,    -1,    -1,    -1,    -1,    -1,  2032,   376,    -1,   378,
      -1,    -1,  1366,  2039,   383,    -1,    -1,  2043,  2044,    -1,
      -1,  2047,  2048,    -1,    -1,    -1,    -1,    -1,  2054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,
    2066,    -1,  2068,    -1,    -1,    -1,    -1,    -1,    -1,  1403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2085,
      -1,    -1,    -1,    -1,  2090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     0,    -1,    -1,  2103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2111,    -1,  2113,    -1,  2115,
    2116,  2117,    18,    -1,    -1,    -1,  2122,  2123,    -1,    -1,
      -1,    -1,    28,    -1,    30,    31,  2132,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,    -1,    -1,  2142,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    68,  2169,  1498,    -1,    -1,    73,    -1,    75,
      -1,    -1,  1506,    -1,  2180,    -1,  2182,    -1,    -1,    -1,
      86,  2187,    88,  1517,    -1,  2191,    -1,  2193,  2194,  2195,
    2196,    -1,  2198,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   108,    -1,    -1,  2211,  2212,  2213,    -1,    -1,
      -1,    -1,    -1,    -1,   120,    -1,   122,  2223,  2224,    -1,
     126,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,
    1564,  4097,    -1,    -1,   140,    -1,   142,    -1,    -1,    -1,
      -1,    -1,   148,  1577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1589,    -1,   163,    -1,    -1,
    4400,     8,    -1,    -1,    11,    -1,    -1,  1601,    15,    16,
      17,  2277,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    22,    -1,
      -1,    -1,    -1,    40,    28,    -1,    -1,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1645,   218,   219,  1648,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    68,  4475,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,   285,
      -1,  4521,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,   297,   126,    32,    -1,   129,   302,   303,    -1,   305,
      -1,    40,    -1,    -1,   310,    -1,    -1,    46,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,   323,    -1,    -1,
     154,    -1,   328,   329,  2430,    -1,    -1,    -1,   175,    -1,
     336,    70,    -1,   180,   340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1777,   350,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    -1,    -1,   201,   202,   362,    -1,    -1,  2465,
      -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,   381,    -1,  4343,    -1,    -1,
       8,    -1,    -1,    11,    -1,   391,    -1,    15,    16,    17,
      -1,   397,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    32,    -1,    -1,    -1,   242,   415,
     244,  4377,    40,   260,    -1,    -1,   263,    -1,    46,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
     436,    -1,    -1,    -1,    -1,    -1,   175,    -1,   272,    -1,
      -1,   180,    70,    -1,   450,    -1,    -1,   453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   201,   202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,    -1,    -1,   309,   310,   216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4486,   260,    -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2651,    -1,   175,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,  1993,
      -1,    -1,    22,  1997,  1998,   399,    -1,    -1,    28,    -1,
      -1,    -1,    -1,   201,   202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   216,    -1,
     437,   438,   439,  4833,   441,   442,   443,   444,   445,   446,
    4566,    -1,   341,    -1,   451,  2711,  2712,    -1,    68,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,
      -1,    -1,    -1,  2729,    -1,    -1,  2060,    -1,    -1,    -1,
      -1,    -1,   260,    -1,    -1,   263,    -1,    -1,  2072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2754,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,  2763,    -1,   119,
     196,   197,    -1,    -1,    -1,    -1,   126,    -1,   204,   129,
      -1,    -1,    -1,  2779,  2780,  2109,    -1,    -1,  2784,   215,
      -1,    -1,    -1,  2789,  2790,  2791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   154,   434,    -1,    -1,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,    -1,    -1,
      -1,    -1,   451,   341,  2820,  2821,  2822,  2823,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   185,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,  2857,    -1,  2859,  2860,  2861,    40,    -1,    -1,    -1,
      -1,     8,    46,  2869,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,    -1,   244,    32,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    40,   254,    -1,    -1,    -1,    -1,    46,
      -1,    -1,   262,    -1,    -1,    -1,   434,    -1,    -1,   437,
     438,   439,   272,   441,   442,   443,   444,   445,   446,    -1,
      -1,   449,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2938,    -1,  2268,    -1,    -1,    -1,    -1,    -1,
    2946,    -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,   309,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2965,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,   158,    -1,   336,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,   202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3032,    -1,   175,    -1,
    3036,    -1,   216,   180,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   201,   202,    -1,    -1,    -1,  3065,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3095,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,  3109,    -1,    -1,    -1,  3113,    -1,    -1,
      -1,    -1,    -1,   260,   550,    -1,   263,    -1,  3124,    -1,
      -1,     8,  2456,    -1,    11,    -1,   562,    -1,    15,    16,
      17,   567,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,   578,  2477,    -1,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,  2488,    -1,    -1,   341,   594,    46,
      -1,    -1,   598,    -1,    -1,    -1,    -1,    -1,   604,    -1,
      -1,    -1,   608,   609,    -1,    -1,    -1,    -1,    -1,   615,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,   625,
     626,    -1,    -1,    -1,   341,    -1,    -1,    -1,   634,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,    -1,    -1,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,    -1,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   713,   714,    -1,
      22,    -1,    -1,   719,    -1,    -1,    28,   434,   175,    -1,
     437,   438,   439,   180,   441,   442,   443,   444,   445,   446,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   745,
      -1,    -1,    -1,    -1,   201,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,  3369,  2698,  3371,    -1,  2701,    -1,  2703,
      -1,    -1,  3378,   260,  2708,    -1,   263,   119,    -1,    -1,
      -1,    -1,    -1,    -1,   126,    -1,    -1,   129,    -1,  3395,
      -1,    -1,    -1,    -1,     8,   282,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,  3410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   154,    -1,    -1,  3421,    -1,    -1,    32,    -1,
      -1,    35,    -1,    -1,    -1,  2759,    40,    -1,    -1,    -1,
      -1,    -1,    46,  3439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2776,   185,    -1,    -1,    -1,    -1,   884,    -1,
      -1,    -1,    -1,    -1,   341,   891,    70,    -1,    -1,   895,
    3466,    -1,    -1,    -1,    -1,    -1,  2800,    -1,    -1,    -1,
      -1,  3477,  3478,  3479,    -1,   911,  3482,  3483,  3484,  3485,
    3486,  3487,    -1,    -1,   920,    -1,  3492,  3493,    -1,  3495,
    3496,  3497,  3498,  3499,  3500,  3501,    -1,    -1,    -1,    22,
     242,    -1,   244,    -1,  3510,    28,  3512,  3513,    -1,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,
     272,  2865,    -1,  2867,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,  3552,   434,    -1,    -1,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     996,   175,    -1,    -1,   306,    -1,   180,   309,   310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,   202,    -1,
      -1,    -1,  2926,    -1,   336,  1031,   119,    -1,    -1,    -1,
      -1,    -1,   216,   126,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1051,    -1,  2951,    -1,  1055,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1063,    -1,    -1,
      -1,   154,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2975,    -1,  3649,    -1,    -1,   260,    -1,  2982,   263,
      -1,    -1,    -1,    -1,    -1,  1091,    -1,   399,    -1,    -1,
      -1,    -1,   185,    -1,  1100,    -1,  1102,    -1,    -1,    -1,
      -1,  3677,  3678,  3679,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1117,    -1,  3689,  1120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3040,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,   244,    -1,    -1,  3058,  1161,    -1,   341,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,  3071,     8,   262,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,   272,
      -1,    -1,    -1,  1189,  1190,  1191,    -1,  1193,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    46,  1213,    -1,    -1,
      -1,    -1,    -1,   306,    -1,    -1,   309,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,  1237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1245,
    1246,    -1,    -1,   336,    -1,    -1,    -1,    -1,  1254,  1255,
     434,    -1,    -1,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3174,    -1,    -1,    -1,    -1,    -1,    -1,  1283,    -1,    -1,
      -1,  1287,  1288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3195,    -1,    -1,    -1,    -1,    -1,  1303,    -1,    -1,
      -1,    -1,    -1,  1309,    -1,    -1,   399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,    -1,    -1,
      -1,  3897,    -1,    -1,    -1,  3901,  3902,  3903,  3904,    -1,
      -1,  3907,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3254,    -1,    -1,  3929,  3930,  3931,  3932,    -1,  3934,  3935,
    1366,   201,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3946,  3947,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3964,    -1,
      -1,    -1,    -1,    -1,    -1,  3971,  3972,  1403,  3974,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     260,    -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,    -1,  3347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,  1483,    -1,    -1,
      -1,    -1,  4058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,  1498,    35,    -1,    -1,    -1,    -1,    40,    -1,
    1506,   341,    -1,  4079,    46,    -1,  1512,    -1,    -1,    -1,
      -1,  1517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1533,    70,    -1,
      -1,  1537,    -1,  4109,    -1,    -1,    -1,    -1,  3442,    -1,
      -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1564,    -1,
      -1,    -1,    -1,    -1,    -1,  1571,    -1,    -1,    -1,    -1,
      -1,  1577,    -1,    -1,    -1,    -1,    -1,  1583,    -1,    -1,
      -1,    -1,    -1,  1589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,  1601,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,  4183,    -1,    -1,
      -1,    -1,    -1,    -1,  1620,    -1,  1622,  1623,    -1,    -1,
      -1,    -1,  4198,    -1,    -1,    -1,    -1,    -1,    -1,  1635,
      -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,   180,  1645,
      -1,    -1,  1648,    -1,  1650,  1651,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1662,    -1,    -1,   201,
     202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,  3580,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,  1694,  4265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,   247,    -1,  4283,    -1,    -1,
      40,    -1,  4288,  4289,    -1,    -1,    46,    -1,   260,    -1,
      -1,   263,  1728,    -1,  1730,  3629,    -1,    -1,    -1,  1735,
    1736,    -1,    -1,    -1,    -1,    -1,  1742,  1743,  1744,    -1,
      70,    -1,  1748,    -1,  1750,  1751,  1752,  1753,  1754,  1755,
      -1,  1757,    -1,  1759,  1760,    -1,    -1,  1763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4344,    -1,
      -1,  1777,  1778,  1779,  1780,  1781,  1782,    -1,    -1,    -1,
    1786,    -1,    -1,  4359,  1790,    -1,    -1,  1793,    -1,    -1,
    1796,  1797,  1798,  1799,  1800,  1801,  1802,  1803,  1804,   341,
    1806,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,  1815,
      -1,    -1,    -1,    -1,    -1,  4391,    -1,    -1,    -1,    -1,
      -1,    -1,  4398,    -1,    -1,    -1,    -1,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,  3760,  4433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,  4444,    -1,
      -1,   201,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
    4466,    -1,   434,    -1,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,    -1,
     260,    -1,    -1,   263,    -1,    -1,  1942,    -1,    -1,    -1,
      -1,    -1,    25,    -1,  4520,    -1,    -1,    -1,    -1,    -1,
    1956,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,  1965,
    1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3889,    -1,  1993,    71,    -1,
      -1,  1997,  1998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2007,    85,    -1,    -1,  2011,  2012,    -1,    -1,    -1,
    2016,   341,    -1,    -1,  3918,    -1,    -1,    -1,  2024,    -1,
     103,    -1,    -1,    -1,    -1,  4601,    -1,    -1,    -1,    -1,
     197,    -1,    -1,    -1,  3938,    -1,  2042,   204,    -1,  2045,
      -1,   124,    -1,    -1,    -1,    -1,    -1,  4623,   215,    -1,
    2056,    -1,   135,    -1,  2060,    -1,    -1,  2063,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,  2072,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,   160,  2084,    -1,
      -1,    -1,  4658,   166,    -1,    -1,    -1,    -1,  3992,    -1,
      -1,    -1,    -1,    -1,    -1,  2101,  2102,  4673,    -1,    -1,
     183,    -1,    -1,  2109,   434,    -1,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,    -1,    -1,    -1,
      -1,    -1,  4698,    -1,  2130,  2131,    -1,    -1,  2134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,
      -1,    -1,  2168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   260,    -1,    11,
    2186,    -1,    -1,    15,    16,    17,    -1,    -1,   271,    -1,
    4094,  2197,    -1,    -1,  4770,    -1,    -1,   280,    -1,    -1,
      32,    -1,    -1,    35,  2210,    -1,    -1,   290,    40,    -1,
      -1,    -1,    -1,  2219,    46,    -1,    -1,    -1,    -1,  4795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,    -1,  4140,    -1,    70,   322,
      -1,   324,    -1,    22,    -1,    -1,    -1,   330,    -1,    28,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2267,  2268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,   365,    -1,    -1,    -1,   369,    -1,    -1,    68,
      -1,    -1,    -1,   376,    -1,   378,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,   395,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      32,    -1,  2338,    -1,    -1,    -1,  2342,    -1,    40,    -1,
     119,    -1,    -1,   175,    46,  2351,    -1,   126,   180,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,   201,
     202,    -1,    -1,    -1,    -1,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   562,    -1,    -1,  2404,    -1,
     567,    -1,    -1,  2409,    -1,    -1,   185,    -1,    -1,    -1,
      -1,   578,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   260,    -1,
      -1,   263,    -1,    -1,  2440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   609,    -1,    -1,    -1,    -1,    -1,   615,    -1,
    2456,    -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,   626,
      -1,    -1,    -1,   242,  2470,   244,    -1,   634,  2474,    -1,
      -1,  2477,    -1,   175,  2480,   254,  4380,    -1,   180,    -1,
      -1,    -1,  2488,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,   272,    -1,    -1,    -1,  2503,    -1,   201,
     202,    -1,    -1,    -1,  4408,    -1,    -1,    -1,    -1,   341,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
    2526,  2527,  2528,    -1,    -1,  2531,    -1,   306,    -1,    -1,
     309,   310,    -1,  2539,  2540,  2541,  2542,    22,    -1,    -1,
      -1,  2547,  4446,    28,    -1,   247,  2552,  2553,    -1,  2555,
      -1,  2557,   719,    -1,    -1,    -1,    -1,   336,   260,    -1,
      -1,   263,  2568,  2569,    -1,    -1,  2572,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2586,    -1,  2588,    68,  2590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,
    4504,  4505,   434,    -1,  2610,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,  2621,    -1,  2623,  2624,  2625,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2638,    -1,   119,  2641,    -1,    -1,    -1,   341,
      -1,   126,    -1,    -1,   129,    -1,    -1,  2653,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2668,    -1,    -1,    -1,    -1,    -1,   370,   154,
      -1,    -1,    -1,    -1,    -1,    -1,  2682,    22,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
    4594,    -1,  2698,    -1,    -1,  2701,    -1,  2703,    -1,    -1,
     185,    -1,  2708,    -1,  2710,    -1,    -1,    -1,    53,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2726,  2727,    -1,    68,    -1,    -1,  2732,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,    -1,    -1,  2753,    -1,    -1,
    2756,    -1,    -1,  2759,    -1,    -1,   101,   242,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
    2776,    -1,    -1,    -1,   119,    -1,    -1,   262,    -1,    -1,
      -1,   126,    -1,    -1,   129,    -1,    -1,   272,    -1,    -1,
      -1,    -1,    -1,    -1,  2800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,    -1,    -1,   309,   310,  2832,  2833,  2834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2856,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2865,
      -1,  2867,  2868,    -1,  1031,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1051,   230,    -1,   232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1063,   242,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,   399,    -1,    -1,   262,    -1,    -1,
    2926,    -1,    -1,    -1,  1091,    -1,   271,   272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1102,    -1,    -1,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,
    1117,    -1,    -1,  1120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,    -1,    -1,   309,   310,   311,    -1,    -1,  2975,
      -1,    -1,    -1,    -1,    -1,  2981,  2982,    -1,    -1,     8,
      -1,  2987,    11,  2989,    -1,    -1,    15,    16,    17,    -1,
      -1,   336,    -1,    -1,    -1,  3001,    -1,  3003,    -1,    -1,
      -1,    -1,    -1,    32,    -1,   350,    35,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3040,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3057,  3058,    -1,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3071,    -1,    -1,    -1,    -1,
    1237,    -1,    -1,    -1,     8,    -1,    -1,    11,  1245,  1246,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,  1255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,  3114,    -1,
      -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3126,    -1,    -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,  1309,    -1,    -1,  3151,   175,    -1,  3154,    -1,
      -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3171,    -1,    -1,  3174,    -1,
      -1,    -1,   201,   202,  3180,    -1,    -1,    -1,    -1,    -1,
    3186,    -1,  3188,    -1,    -1,  3191,    -1,   216,    -1,  3195,
    3196,  3197,  3198,  3199,    -1,    -1,  3202,  3203,  3204,  3205,
    3206,  3207,  3208,  3209,  3210,  3211,    -1,    -1,    -1,  3215,
    3216,    -1,    -1,    -1,  3220,    -1,    -1,    -1,   247,  3225,
      -1,    -1,    -1,  3229,    -1,  3231,    -1,  3233,    -1,    -1,
      -1,   260,    -1,    -1,   263,  3241,    -1,    -1,  3244,    -1,
    3246,   175,    -1,    -1,    -1,    -1,   180,    -1,  3254,  3255,
      -1,    -1,  3258,  3259,    -1,    -1,    -1,  3263,  3264,    -1,
      -1,    -1,    -1,    -1,  3270,    -1,    -1,   201,   202,    -1,
      -1,    -1,    -1,    -1,  3280,    -1,  3282,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,    -1,   197,    -1,  3294,    -1,
      -1,    -1,    -1,   204,  3300,  3301,  3302,  1464,    -1,    -1,
      -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3328,    -1,    -1,    -1,   260,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,
      -1,  3347,    -1,    -1,    -1,  1512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,    -1,
    1537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1549,    -1,    -1,    -1,    -1,    -1,  3394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,   341,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3436,    -1,    -1,    -1,    -1,  3441,  3442,  3443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1622,  1623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1635,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,  1650,  1651,  3491,    -1,    -1,  3494,    -1,
      -1,    -1,    -1,    -1,    -1,  1662,    -1,    -1,    -1,    -1,
     434,    -1,    -1,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,  3531,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,    -1,   109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3576,  3577,    -1,    -1,  3580,    -1,    -1,   124,    -1,    -1,
      -1,    -1,    -1,  3589,    -1,  3591,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,   160,    -1,  1782,    -1,    -1,    -1,   166,
      -1,    -1,    -1,  3629,  3630,  3631,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   562,    -1,    -1,    -1,    -1,   567,    -1,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,   578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3685,
      -1,    -1,   229,   594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   609,    -1,
    3706,    -1,    -1,    -1,   615,    -1,    -1,    -1,    -1,    -1,
      -1,  3717,    -1,   260,    -1,   626,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   634,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3747,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3757,  3758,    -1,  3760,    -1,    -1,    -1,  3764,  3765,
      -1,    -1,    -1,  3769,  3770,    -1,    -1,    -1,  3774,    -1,
     317,  3777,  3778,    -1,    -1,   322,  3782,   324,    -1,    -1,
      -1,    -1,  3788,   330,    -1,    -1,   333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3806,    -1,    -1,    -1,  3810,    -1,    -1,    -1,   719,    -1,
      -1,    -1,    -1,    -1,   361,   362,  3822,    -1,   365,    -1,
      -1,  3827,   369,    -1,    -1,    -1,    -1,  3833,    -1,    -1,
      -1,   378,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,
    2007,  3847,    -1,    -1,  2011,  2012,    -1,    -1,   395,  2016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,    -1,    -1,
      -1,   408,    -1,    -1,    -1,  3871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2042,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3906,    -1,    -1,  3909,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3918,    -1,    -1,    -1,    -1,  2084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,
      -1,    -1,  3938,    -1,  2101,  2102,    -1,    -1,    -1,  3945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
      -1,    -1,    -1,  2130,  2131,    -1,    -1,  2134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,
      -1,  2168,    -1,    -1,  4010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2186,
      -1,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2197,    -1,  4038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4092,    -1,  4094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2276,
      -1,    -1,    -1,    -1,  4120,    -1,    -1,    -1,    -1,    -1,
    1031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4136,    -1,    -1,    -1,  4140,    -1,    -1,    -1,    -1,  4145,
    1051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1063,    -1,    -1,    -1,  4162,  4163,    -1,    -1,
    4166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4180,  2342,    -1,    -1,    -1,  4185,
    1091,    -1,    -1,    -1,  4190,    -1,    -1,  4193,  4194,    -1,
      -1,  1102,    -1,    -1,    -1,  4201,  4202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1117,    -1,    -1,  1120,
      -1,  4217,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,
    4226,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,  2404,    -1,    -1,
      -1,   604,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4263,  4264,    -1,
      -1,    -1,   625,    -1,    -1,    58,    -1,  4273,    -1,    -1,
      -1,    -1,    -1,  2440,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,  2462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2470,  4310,    -1,  4312,    -1,    -1,    -1,
     103,    -1,    -1,   713,   714,    -1,   109,    -1,  4324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1237,    -1,    -1,    -1,
      -1,   124,    -1,    -1,  1245,  1246,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,  1255,   745,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,    -1,  4378,   166,  4380,    -1,    -1,    -1,    -1,    -1,
    2547,    -1,    -1,    -1,    -1,    -1,  2553,    -1,    -1,    -1,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1309,    -1,
      -1,  4407,  4408,    -1,  4410,    -1,  4412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,
    4436,    -1,    -1,    -1,  4440,    -1,   229,    -1,    -1,    -1,
    4446,    -1,    -1,    -1,    -1,  4451,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4470,    -1,    -1,   260,    -1,    -1,
     263,  2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,  4494,    -1,
      -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,  4504,  4505,
      -1,    -1,    -1,  4509,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,   891,    -1,
      -1,   324,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,    -1,  2710,  4550,    -1,    -1,    -1,   911,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,    -1,   920,    -1,  2726,
    2727,    -1,    -1,    -1,    -1,  4571,    -1,    -1,    -1,   362,
      -1,    -1,   365,   366,    -1,   368,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   378,  2753,  4593,  4594,  2756,
     383,    -1,    -1,    -1,    -1,    -1,   389,    -1,    -1,   392,
      -1,  1512,   395,    -1,    -1,    -1,    -1,    -1,  4614,    -1,
      -1,  4617,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
    4626,    -1,  1533,    -1,    -1,  4631,  1537,  4633,    -1,  4635,
      -1,    -1,    -1,   996,    -1,    -1,  4642,    -1,  1549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4660,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2832,  2833,  2834,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2856,
      -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2868,    -1,    -1,    -1,  2872,  4712,    -1,    -1,    -1,
      -1,  1622,  1623,    -1,   625,  2882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1635,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1132,    -1,  4740,  4741,    -1,  1100,    -1,  1650,
    1651,    -1,    -1,    -1,    -1,  4751,    -1,    -1,    -1,    -1,
      -1,  1662,    -1,  4759,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1161,    -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1189,
    1190,  1191,    -1,  1193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4808,    -1,    -1,    -1,    -1,    -1,  4814,  4815,
    4816,    -1,    -1,  1213,  2981,    -1,    -1,    -1,    -1,    -1,
    2987,    -1,  2989,    -1,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,    -1,    -1,  3001,    -1,  3003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4858,    -1,  1254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1283,    -1,    -1,    -1,  1287,  1288,    -1,
    3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4914,  4915,
      -1,    -1,    -1,    -1,  4920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4939,  4940,  4941,    -1,    -1,    -1,    -1,
    1303,    -1,    -1,    -1,    -1,    -1,    -1,  3114,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     891,    -1,    -1,    -1,  3151,    -1,    -1,  3154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     911,    -1,    -1,  1366,    -1,    -1,    -1,    -1,    -1,   920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
    2011,  2012,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2024,    -1,    -1,    -1,    -1,    -1,    -1,
    1483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2042,    -1,    -1,    -1,  1498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1100,
    2101,  2102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1577,    -1,    -1,    -1,    -1,  2130,
    2131,    -1,    -1,  2134,    -1,    -1,  1589,  3394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2164,    -1,    -1,    -1,  2168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3436,
      -1,    -1,    -1,    -1,  3441,  2186,  3443,    -1,    -1,    -1,
      -1,    -1,  1645,    -1,    -1,  1648,  2197,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3491,    -1,    -1,  3494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,    -1,
    1750,    -1,    -1,  1753,  1754,  1755,    -1,    -1,    -1,    -1,
    1760,    -1,    -1,  1763,  3531,  2276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1778,  1779,
    1780,  1781,    -1,    -1,    -1,    -1,  1786,    -1,    -1,    -1,
    1790,    -1,  1303,  1793,    -1,    -1,  1796,  1797,  1798,  1799,
    1800,  1801,  1802,  1803,  1804,    -1,  1806,    -1,    -1,  3576,
    3577,    -1,    -1,  1813,  1777,  1815,    -1,    -1,    -1,    -1,
      -1,    -1,  3589,    -1,  3591,    -1,    -1,    -1,    -1,    -1,
      -1,  2342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1815,    -1,    -1,  1366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1403,  2404,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2470,
      -1,    -1,    -1,    -1,    -1,  1965,  1966,    -1,    -1,    -1,
      -1,    -1,  1483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1993,    -1,    -1,    -1,  1997,  1998,  2547,    -1,    -1,    -1,
      -1,    -1,  2553,    -1,    -1,  2045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1577,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1601,    -1,    -1,    -1,    -1,    -1,    -1,  2060,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2638,    -1,    -1,
      -1,    -1,    -1,    -1,  1645,    -1,    -1,  1648,    -1,  3906,
      -1,    -1,  3909,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,   891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   911,
      -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,   920,  2710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2726,  2727,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2753,  4010,    -1,  2756,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1777,  2267,    -1,    -1,
      -1,    -1,    -1,    -1,   996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2832,  2833,  2834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2856,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4120,    -1,    -1,    -1,  2868,    -1,    -1,
      -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2882,    -1,    -1,    -1,  2338,    -1,    -1,  1100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2945,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,  4226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   625,    -1,    -1,
    2981,    -1,    -1,    -1,    -1,    -1,  2987,    -1,  2989,    -1,
      -1,    -1,  1993,    -1,    -1,    -1,  1997,  1998,    -1,    -1,
    3001,    -1,  3003,  2456,    -1,    -1,    -1,  4264,  2498,    -1,
      -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2488,    -1,    -1,  2528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2539,
      -1,  2541,  2542,  4310,    -1,  4312,  3057,    -1,    -1,  2060,
      -1,    -1,  2552,    -1,    -1,  2555,    -1,  2557,    -1,    -1,
      -1,  2072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1303,    -1,    -1,    -1,    -1,  2586,    -1,  2588,    -1,
    2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,
      -1,    -1,    -1,  2623,  2624,  2625,    -1,    -1,    -1,    -1,
     604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3151,  2641,    -1,  3154,  1366,    -1,    -1,    -1,    -1,    -1,
      -1,   625,    -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,
    2623,  2624,  2625,    -1,    -1,    -1,    -1,    -1,  2668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,  4494,    -1,    -1,
      -1,    -1,  2732,   891,    -1,  2698,    -1,    -1,  2701,    -1,
    2703,    -1,    -1,    -1,    -1,  2708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   911,    -1,    -1,    -1,  2268,    -1,    -1,
      -1,  1483,   920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1517,  2759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2776,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,   996,    -1,
      -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,
      -1,    -1,    -1,  3394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2865,    -1,  2867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4683,   891,    -1,    -1,
      -1,    -1,    -1,  1645,    -1,  3436,  1648,    -1,    -1,    -1,
    3441,    -1,  3443,    -1,    -1,    -1,    -1,   911,    -1,    -1,
      -1,    -1,  1100,    -1,    -1,  2456,   920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2926,    -1,    -1,  2477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2488,    -1,    -1,
    3491,    -1,    -1,  3494,    -1,    -1,    -1,    -1,  2951,    -1,
      -1,    -1,  4759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2975,    -1,    -1,    -1,    -1,    -1,    -1,  2982,
    3531,    -1,   996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3576,  3577,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,  3589,    -1,
    3591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4858,    -1,    -1,    -1,  3058,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3071,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4920,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3171,  4939,    -1,  3685,    -1,    -1,    -1,    -1,    -1,
    3180,    -1,    -1,    -1,    -1,    -1,  3186,  2698,  3188,    -1,
    2701,    -1,  2703,    -1,    -1,    -1,    -1,  2708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1366,    -1,
      -1,  3174,    -1,    -1,    -1,  3215,  3216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3195,  3233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3241,    -1,    -1,  3244,  1403,  3246,    -1,  2759,    -1,
      -1,    -1,    -1,    -1,    -1,  3255,    -1,  3220,   604,    -1,
      -1,    -1,    -1,  3263,  3264,  2776,    -1,    -1,    -1,    -1,
      -1,  1993,    -1,    -1,    -1,  1997,  1998,    -1,    -1,   625,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,
      -1,  3254,    -1,    -1,  3294,    -1,    -1,    -1,    -1,    -1,
    3300,  3301,  3302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1483,    -1,    -1,  3328,  1303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2060,  3302,
    1498,  3341,    -1,    -1,    -1,    -1,    -1,    -1,  1506,    -1,
    2072,    -1,    -1,    -1,  2865,    -1,  2867,    -1,    -1,  1517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3347,    -1,    -1,  2109,    -1,    -1,
      -1,    -1,  1366,    -1,    -1,  3906,    -1,    -1,  3909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1564,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2926,    -1,    -1,    -1,  1577,
      -1,    -1,  3933,    -1,    -1,    -1,    -1,    -1,    -1,  1403,
      -1,  1589,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,
    2951,    -1,    -1,  1601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2975,    -1,    -1,    -1,    -1,    -1,
      -1,  2982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1645,    -1,    -1,
    1648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1498,    -1,    -1,    -1,    -1,  3040,
      -1,    -1,  1506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1517,    -1,   891,  2268,  3058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3071,    -1,   604,    -1,    -1,   911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   625,    -1,    -1,    -1,    -1,    -1,    -1,
    1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1577,    -1,    -1,    -1,    -1,    -1,  4120,
      -1,    -1,    -1,    -1,    -1,  1589,  2338,  3580,    -1,  1777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,    -1,    -1,
    3630,  3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3174,    -1,    -1,  3629,    -1,    -1,    -1,
      -1,  1645,    -1,    -1,  1648,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,  3220,
      -1,    -1,    -1,  4224,    -1,  4226,    -1,  3717,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4264,  1100,  2477,    -1,  3757,  3758,    -1,
      -1,    -1,    -1,    -1,  3764,  3765,  2488,    -1,    -1,  3769,
      -1,    -1,    -1,    -1,  3774,    -1,    -1,  3777,  3778,    -1,
      -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,  4310,
      -1,  4312,    -1,  1777,    -1,    -1,    -1,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3822,    -1,    -1,    -1,    -1,  3827,    -1,    -1,
      -1,    -1,    -1,  3833,    -1,  1993,  3347,    -1,    -1,  1997,
    1998,    -1,    -1,    -1,    -1,    -1,    -1,  3847,    -1,   891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3822,
      -1,    -1,    -1,    -1,  3827,    -1,    -1,    -1,    -1,   911,
    3833,  3871,    -1,    -1,    -1,    -1,    -1,    -1,   920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,    -1,
      -1,  3442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2109,    -1,  3953,   996,  3918,    -1,  1303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3938,  2698,    -1,    -1,  2701,
      -1,  2703,    -1,  4494,    -1,    -1,  2708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1993,
    1366,    -1,    -1,  1997,  1998,    -1,    -1,  4027,    -1,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2776,    -1,    -1,  1403,  1100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4092,
      -1,  4094,    -1,    -1,    -1,  2109,    -1,  1483,    -1,    -1,
      -1,    -1,    -1,  2865,    -1,  2867,    -1,    -1,    -1,    -1,
      -1,    -1,  1498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1506,    -1,  4162,  4163,    -1,    -1,  4166,    -1,    -1,    -1,
      -1,  1517,  4683,    -1,    -1,    -1,    -1,  4140,    -1,    -1,
    2338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4201,  4202,    -1,  2926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,  1577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1589,    -1,    -1,    -1,    -1,  4759,  3760,
      -1,    -1,    -1,  2975,    -1,  1601,    -1,    -1,    -1,  3770,
    2982,  1303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2268,    -1,    -1,    -1,  2456,  1645,
    4263,    -1,  1648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,  2477,
      -1,    -1,    -1,    -1,  1366,    -1,    -1,    -1,    -1,    -1,
    2488,    -1,    -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4858,    -1,  3071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1403,    -1,    -1,  2338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,  4920,
    4410,    -1,    -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3938,  4939,    -1,
      -1,  1777,    -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,
      -1,  1483,    -1,    -1,    -1,  4408,    -1,    -1,    -1,    -1,
      -1,  4451,  3174,    -1,    -1,    -1,  1498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1506,    -1,    -1,    -1,    -1,    -1,
    4470,    -1,    -1,  3195,    -1,  1517,    -1,    -1,    -1,    -1,
      -1,  3992,  2456,  4446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,
      -1,    -1,    -1,  2477,    -1,    -1,    -1,    -1,    -1,  4509,
      -1,    -1,    -1,    -1,  2488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3254,    -1,    -1,  1577,    -1,  4500,    -1,    -1,
    2698,  4504,  4505,  2701,    -1,  2703,    -1,  1589,    -1,    -1,
    2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2759,    -1,  1645,    -1,    -1,  1648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2776,    -1,
      -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,  4140,
    4593,  4594,    -1,    -1,    -1,  4635,    -1,    -1,    -1,    -1,
      -1,    -1,  2800,    -1,    -1,    -1,    -1,  1993,    -1,    -1,
      -1,  1997,  1998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2865,    -1,  2867,
      -1,    -1,    -1,    -1,  2060,    -1,    -1,    -1,    -1,    -1,
    3442,    -1,    -1,    -1,  2698,    -1,  2072,  2701,    -1,  2703,
      -1,    -1,    -1,    -1,  2708,  1777,    -1,    -1,    -1,    -1,
    4740,  4741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4751,  4263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,  2926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4816,  2975,    -1,    -1,
      -1,    -1,    -1,    -1,  2982,    -1,  2800,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2865,    -1,  2867,    -1,    -1,    -1,  4408,    -1,    -1,
    3058,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,
      -1,    -1,    -1,  3071,  4914,  4915,    -1,    -1,    -1,    -1,
      -1,    -1,  2268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1993,  2926,    -1,    -1,  1997,  1998,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,
      -1,    -1,  2338,  4504,  4505,    -1,    -1,    -1,    -1,    -1,
      -1,  2975,    -1,    -1,    -1,    -1,    -1,    -1,  2982,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,  2060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2072,    -1,    -1,    -1,    -1,    -1,    -1,  3195,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3220,    -1,    -1,    -1,  3040,  2109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4594,  3058,    -1,    -1,    -1,    -1,  1205,
      -1,    -1,    -1,    -1,    -1,    -1,  3254,  3071,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,
      -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,
    3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,
      -1,  3195,    -1,    -1,    -1,    -1,  2268,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3254,    -1,    -1,    -1,  3442,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2338,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2698,    -1,    -1,  2701,    -1,  2703,    -1,    -1,
      -1,    -1,  2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4094,  3347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2759,  2456,    -1,    -1,    -1,  4140,    -1,
      -1,    -1,  3580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2776,    -1,    -1,    -1,    -1,  2477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2488,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,
      -1,  3629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2865,
      -1,  2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4263,  1658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3760,    -1,    -1,  2951,  3580,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,    -1,  1733,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2975,
      -1,  1747,    -1,    -1,    -1,  1751,  2982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1765,
    1766,  1767,    -1,  1769,    -1,  3629,  2698,    -1,  4380,  2701,
      -1,  2703,    -1,    -1,    -1,    -1,  2708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3040,  1811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3058,    -1,    -1,    -1,    -1,  2759,    -1,    -1,
      -1,    -1,    -1,    -1,  4446,  3071,    -1,    -1,    -1,    -1,
      -1,  3889,  1848,    -1,  2776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,    -1,
    3918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,
    3938,    -1,  4504,  4505,    -1,    -1,  3760,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2865,    -1,  2867,    -1,    -1,  3174,    -1,
      -1,    -1,    -1,    -1,  3992,    -1,  1952,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1964,  3195,
      -1,    -1,    -1,  1969,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4594,    -1,  3220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,  2951,
      -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2975,    -1,    -1,  4094,    -1,    -1,    -1,
    2982,    -1,    -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,    -1,
      -1,  3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3058,    -1,  3992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,  4446,  4263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4500,    -1,    -1,    -1,  4504,  4505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3442,    -1,    -1,    -1,    -1,  2521,  4380,  2523,    -1,    -1,
    2526,  2527,    -1,  2529,  3760,  2531,    -1,    -1,    -1,  2535,
      -1,    -1,  2538,    -1,  3770,    -1,    -1,  2543,    -1,    -1,
      -1,    -1,    -1,  2549,  4408,    -1,  4594,    -1,  2554,    -1,
      -1,    -1,    -1,    -1,    -1,  2561,  2562,  2563,  2564,    -1,
      -1,    -1,  2568,  2569,    -1,  2571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2583,    -1,  2585,
      -1,    -1,  4446,    -1,    -1,    -1,  2592,  2593,  2594,  2595,
    2596,  2597,  2598,  2599,  2600,  2601,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,
    4504,  4505,    -1,    -1,    -1,    -1,    -1,    -1,  3580,    -1,
      -1,    -1,    -1,  3889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,
      -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4094,    -1,  3170,    -1,    -1,    -1,    -1,    -1,
    3176,    -1,  4408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3192,  3193,    -1,    -1,
    3196,  3197,  3198,  3199,    -1,    -1,  3202,  3203,  3204,  3205,
    3206,  3207,  3208,  3209,  3210,  3211,  3212,    -1,  4140,    -1,
    4446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
      -1,  3237,    -1,  3239,    -1,    -1,  3242,  3243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3257,  3258,  3259,  3260,    -1,  3262,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,  4504,  4505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3359,    -1,    -1,    -1,    -1,  4594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,
      -1,    -1,  4504,  4505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3707,    -1,    -1,    -1,  3711,  3712,  3713,    -1,    -1,
      -1,    -1,    -1,  3719,  3720,  3721,  3722,    -1,    -1,    -1,
      -1,  3727,  3728,  3729,  3730,  3731,  3732,  3733,  3734,  3735,
    3736,  3737,  3738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,
    3766,    -1,  3768,    -1,    -1,    -1,  3772,    -1,    -1,  3775,
    3776,    -1,    -1,  3779,  3780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3824,    -1,
      -1,    -1,    -1,    -1,    -1,  3831,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4089,  4090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,  4135,
    4136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4150,    -1,  4152,    -1,    -1,    -1,
    4156,  4157,  4158,    -1,    -1,  4161,    -1,    -1,  4164,  4165,
      -1,    -1,    -1,  4169,    -1,    -1,    -1,  4173,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4406,  4407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4422,  4423,  4424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4458,  4459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,  4887,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,  4927,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,
     441,   442,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,
     451,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,    -1,    -1,    -1,    -1,   441,
     442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,   157,    -1,   159,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,   451,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,    -1,     3,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,   451,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     451,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,    -1,    -1,
      -1,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,    -1,   214,   215,   216,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,    -1,   245,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
      -1,   378,    -1,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,   432,   433,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,   451,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,   157,
      -1,   159,   160,   161,   162,    -1,   164,    -1,    -1,    -1,
     168,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,    -1,   212,    -1,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,    -1,    -1,   245,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,    -1,
     378,    -1,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,   431,   432,   433,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,   451,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,    -1,    -1,
      -1,    -1,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,    -1,    -1,    -1,    -1,
     441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,   448,   449,   450,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,   443,    -1,    -1,    -1,
      -1,    -1,    -1,   450,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,    -1,    -1,    -1,
      -1,    -1,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,
     441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,    -1,    -1,    -1,
      -1,    -1,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,
     441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,    -1,    -1,    -1,
      -1,    -1,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,
     441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,    -1,    -1,     3,     4,
       5,     6,     7,   450,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   441,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,    -1,    -1,     3,     4,
       5,     6,     7,   450,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,     3,     4,     5,     6,     7,    -1,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   450,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,    -1,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,     3,    -1,    -1,
      -1,    -1,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,   260,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,     3,    -1,    -1,    -1,    -1,   441,   442,
     443,    -1,    -1,    -1,    -1,    -1,    -1,   450,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,   157,    -1,   159,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,    -1,    -1,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,    -1,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,    -1,
     450,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,    -1,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,   432,   433,
      -1,     3,    -1,   437,   438,   439,     8,   441,   442,   443,
     444,   445,   446,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,     3,    -1,   437,   438,   439,     8,   441,
     442,   443,   444,   445,   446,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,     3,    -1,   437,   438,   439,
       8,   441,   442,   443,   444,   445,   446,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,     3,    -1,   437,
     438,   439,     8,   441,   442,   443,   444,   445,   446,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,     3,
      -1,   437,   438,   439,     8,   441,   442,   443,   444,   445,
     446,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,     3,    -1,   437,   438,   439,     8,   441,   442,   443,
     444,   445,   446,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,     3,    -1,   437,   438,   439,     8,   441,
     442,   443,   444,   445,   446,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,    -1,    -1,
      -1,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,    -1,   214,   215,   216,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,    -1,   245,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
      -1,   378,    -1,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,   431,   432,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    -1,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,    -1,    -1,    -1,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,    -1,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,    -1,    -1,   245,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,    -1,   378,    -1,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
     431,   432,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   443,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,   157,    -1,   159,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,    -1,   260,   261,   262,    -1,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,     4,     5,    -1,    -1,    -1,     9,   441,   442,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,     4,     5,    -1,    -1,    -1,     9,   441,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,     5,    -1,    -1,    -1,     9,   441,
     442,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,     9,
     441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,   158,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,     4,     5,    -1,    -1,    -1,
       9,   441,   442,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    -1,    -1,
      -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,   157,    -1,   159,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,   157,    -1,   159,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,   157,
      -1,   159,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    -1,    -1,
      -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,   157,    -1,   159,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,   157,    -1,   159,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,   157,    -1,
     159,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    -1,    -1,    72,    73,    74,    75,    76,    -1,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,   216,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    88,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,    -1,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,    -1,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,    -1,    -1,   203,    -1,   205,   206,   207,   208,   209,
      -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,    -1,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,    -1,    -1,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,    -1,   154,    -1,   156,    -1,    -1,
      -1,   160,   161,   162,    -1,   164,   165,    -1,   167,   168,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,   208,
     209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
      -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,    -1,   407,   408,
     409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,    -1,   154,    -1,   156,    -1,
      -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,   167,
     168,    -1,   170,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,   207,
     208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,    -1,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,    -1,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
      -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,    -1,
     167,   168,    -1,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,   206,
     207,   208,   209,    -1,    -1,   212,   213,    -1,   215,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,   266,
      -1,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,    -1,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,   165,
      -1,   167,   168,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,   205,
     206,   207,   208,   209,    -1,    -1,   212,   213,    -1,   215,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
      -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,    -1,
     205,   206,   207,   208,   209,    -1,    -1,   212,   213,    -1,
     215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,    -1,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,    -1,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,   203,
      -1,   205,   206,   207,   208,   209,    -1,    -1,   212,   213,
      -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,    -1,   170,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,    -1,    -1,
     203,    -1,   205,   206,   207,   208,   209,    -1,    -1,   212,
     213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,    -1,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,
     161,   162,    -1,   164,   165,    -1,   167,   168,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
      -1,    -1,   203,    -1,   205,   206,   207,   208,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,    -1,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,    -1,   118,   119,
     120,    -1,    -1,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,    -1,   154,    -1,   156,   157,    -1,   159,
     160,   161,   162,    -1,   164,    -1,    -1,    -1,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,    -1,   212,    -1,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,    -1,    -1,   245,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,    -1,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,    -1,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,    -1,   375,   376,    -1,   378,    -1,
      -1,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,
     420,   421,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,   432,   433,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    -1,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,    -1,    -1,    -1,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,    -1,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,    -1,    -1,   245,   246,   247,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,    -1,   378,    -1,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,   432,   433,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,    -1,    -1,    -1,   160,   161,
     162,    -1,   164,   165,    -1,   167,   168,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,    -1,
      -1,   203,    -1,   205,   206,   207,   208,   209,    -1,    -1,
     212,   213,    -1,   215,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,   266,    -1,   268,    -1,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,    -1,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    -1,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,    -1,   118,   119,   120,
      -1,    -1,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,    -1,   154,    -1,   156,   157,    -1,   159,   160,
     161,   162,    -1,   164,    -1,    -1,    -1,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
      -1,   212,    -1,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,    -1,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,   265,    -1,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,    -1,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,    -1,    -1,   375,   376,    -1,   378,    -1,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,    -1,   413,    -1,    -1,   416,   417,   418,   419,   420,
     421,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,   432,   433,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,    -1,   118,   119,   120,    -1,
      -1,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,    -1,   154,    -1,   156,   157,    -1,   159,   160,   161,
     162,    -1,   164,    -1,    -1,    -1,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,    -1,
     212,    -1,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,    -1,   257,    -1,    -1,   260,   261,
     262,    -1,    -1,   265,    -1,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,    -1,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,    -1,   375,   376,    -1,   378,    -1,    -1,   381,
     382,   383,   384,   385,   386,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,    -1,   405,   406,   407,   408,   409,   410,    -1,
      -1,   413,    -1,    -1,   416,   417,   418,   419,   420,   421,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
     432,   433,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,    -1,   118,   119,   120,    -1,    -1,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
      -1,   154,    -1,   156,   157,    -1,   159,   160,   161,   162,
      -1,   164,    -1,    -1,    -1,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,    -1,   212,
      -1,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
      -1,    -1,   245,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,    -1,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,   265,    -1,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,    -1,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,    -1,   375,   376,    -1,   378,    -1,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,    -1,
     413,    -1,    -1,   416,   417,   418,   419,   420,   421,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,   432,
     433,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,    -1,   118,   119,   120,    -1,    -1,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,    -1,
     154,    -1,   156,   157,    -1,   159,   160,   161,   162,    -1,
     164,    -1,    -1,    -1,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,    -1,   212,    -1,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
      -1,   245,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,
      -1,   265,    -1,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,    -1,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,    -1,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
      -1,   375,   376,    -1,   378,    -1,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
      -1,   405,   406,   407,   408,   409,   410,    -1,    -1,   413,
      -1,    -1,   416,   417,   418,   419,   420,   421,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,   432,   433,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    -1,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    -1,    -1,
      -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,    -1,   118,   119,   120,    -1,    -1,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,    -1,   154,
      -1,   156,   157,    -1,   159,   160,   161,   162,    -1,   164,
      -1,    -1,    -1,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,    -1,   212,    -1,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,    -1,
     245,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,    -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,
     265,    -1,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
      -1,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,    -1,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,    -1,
     375,   376,    -1,   378,    -1,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,    -1,
     405,   406,   407,   408,   409,   410,    -1,    -1,   413,    -1,
      -1,   416,   417,   418,   419,   420,   421,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,   432,   433,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,    -1,   118,   119,   120,    -1,    -1,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,    -1,   154,    -1,
     156,   157,    -1,   159,   160,   161,   162,    -1,   164,    -1,
      -1,    -1,   168,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,    -1,   212,    -1,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,    -1,   245,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
      -1,   257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,
      -1,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,    -1,   375,
     376,    -1,   378,    -1,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,    -1,   405,
     406,   407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,   419,   420,   421,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,   432,   433,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
      -1,   118,   119,   120,    -1,    -1,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,    -1,   154,    -1,   156,
     157,    -1,   159,   160,   161,   162,    -1,   164,    -1,    -1,
      -1,   168,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
      -1,   198,    -1,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,    -1,   212,    -1,   214,   215,   216,
      -1,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,    -1,   245,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,    -1,
     257,    -1,    -1,   260,   261,   262,    -1,    -1,   265,    -1,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,    -1,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,    -1,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,    -1,   375,   376,
      -1,   378,    -1,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,
     417,   418,   419,   420,   421,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,   432,   433,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    -1,
      48,    -1,    -1,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    -1,    -1,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,    -1,    -1,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,    -1,
     118,   119,   120,    -1,    -1,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,    -1,   152,    -1,   154,    -1,   156,   157,
      -1,   159,   160,   161,   162,    -1,   164,    -1,    -1,    -1,
     168,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,    -1,   191,   192,   193,   194,    -1,    -1,    -1,
      -1,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,    -1,   212,    -1,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,   239,    -1,   241,   242,    -1,    -1,   245,   246,   247,
     248,    -1,    -1,   251,    -1,   253,   254,   255,    -1,   257,
      -1,    -1,   260,   261,   262,    -1,    -1,   265,    -1,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,    -1,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,    -1,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,    -1,    -1,    -1,    -1,    -1,   375,   376,    -1,
     378,    -1,    -1,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,    -1,    -1,   405,   406,   407,
     408,   409,   410,    -1,    -1,   413,    -1,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,   432,   433
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    45,    65,    67,    68,    73,
      75,    86,    88,   105,   108,   120,   122,   126,   132,   140,
     142,   148,   163,   179,   218,   219,   224,   235,   246,   285,
     297,   302,   303,   305,   310,   315,   318,   323,   328,   329,
     336,   340,   350,   362,   381,   391,   397,   402,   415,   436,
     450,   457,   458,   459,   460,   466,   467,   469,   470,   471,
     472,   473,   474,   475,   477,   478,   482,   494,   499,   500,
     503,   504,   505,   517,   520,   521,   537,   574,   577,   580,
     581,   582,   589,   595,   597,   599,   600,   603,   606,   607,
     611,   612,   621,   625,   626,   627,   628,   629,   632,   634,
     635,   636,   637,   638,   645,   658,   659,   663,   665,   666,
     667,   677,   679,   686,   687,   690,   691,   692,   693,   694,
     700,   702,   705,   709,   713,   714,   724,   725,   728,   733,
     744,   767,   770,   771,   772,   775,   778,   780,   782,   784,
     785,   790,   791,   794,   795,   796,   803,   804,   806,   807,
     808,   813,   815,   816,   822,   823,   824,   825,   826,   827,
     829,   830,   832,   833,   835,   838,   839,   844,   850,   853,
     855,   856,   864,   866,   871,   878,   882,   883,   884,   885,
     886,   887,   890,   925,   375,   418,   809,    25,    71,    85,
     103,   109,   124,   135,   143,   155,   160,   166,   183,   208,
     229,   260,   280,   290,   317,   322,   324,   330,   333,   361,
     362,   365,   369,   378,   383,   395,   408,   596,   809,     3,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    37,    38,    40,    41,    43,    44,    45,    46,
      47,    49,    50,    52,    53,    54,    55,    56,    59,    60,
      61,    62,    63,    65,    66,    67,    68,    69,    73,    74,
      75,    76,    78,    79,    80,    82,    83,    84,    85,    86,
      87,    90,    91,    92,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   110,   112,   113,   114,   115,   116,   118,
     119,   120,   123,   124,   125,   126,   127,   129,   130,   131,
     133,   134,   135,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   147,   149,   150,   151,   152,   154,   156,   160,
     161,   162,   164,   165,   167,   168,   170,   171,   172,   173,
     174,   176,   177,   178,   179,   181,   182,   183,   184,   185,
     186,   188,   190,   191,   192,   193,   194,   195,   196,   198,
     200,   203,   205,   206,   207,   208,   209,   212,   213,   215,
     218,   219,   220,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   240,
     241,   242,   243,   245,   246,   248,   250,   251,   252,   253,
     254,   255,   257,   260,   261,   262,   265,   266,   268,   270,
     271,   272,   273,   274,   275,   276,   277,   279,   280,   281,
     282,   283,   284,   285,   286,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   314,
     315,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   330,   331,   332,   333,   334,   336,   337,
     338,   339,   340,   342,   343,   344,   345,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   360,
     361,   363,   365,   366,   367,   368,   369,   371,   372,   375,
     376,   377,   378,   379,   381,   382,   383,   384,   385,   386,
     387,   390,   391,   392,   393,   394,   397,   398,   399,   400,
     401,   402,   403,   405,   407,   408,   409,   410,   413,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   879,  1046,  1060,
    1064,  1065,   406,   840,   258,   286,   809,    48,   528,   883,
      25,    37,    58,    71,    81,   103,   109,   124,   135,   143,
     155,   162,   166,   220,   260,   263,   280,   317,   324,   333,
     365,   366,   368,   369,   378,   383,   389,   392,   395,   538,
     579,   682,   734,   745,    26,   285,  1046,   879,    26,   279,
     331,   366,   368,     5,   207,   776,   777,  1055,    25,    37,
      58,    71,    85,   103,   124,   135,   143,   155,   160,   166,
     183,   229,   260,   271,   280,   317,   322,   324,   330,   333,
     362,   365,   369,   376,   378,   383,   395,   408,   596,   695,
     809,  1046,    88,   406,   450,   574,   577,   580,   839,   845,
     853,   856,   864,   871,   878,   882,     9,    19,    26,    43,
     150,   156,   158,   180,   209,   241,   288,   304,   441,   442,
     710,   711,   879,  1054,  1056,    26,    88,   301,   329,   715,
     716,   717,  1060,   155,  1060,  1051,  1055,   362,   893,   710,
    1060,   375,  1046,   271,   229,   103,   183,   324,   361,   362,
     450,   786,   787,   323,  1060,    26,   334,   371,   375,   486,
     495,   496,  1060,    23,   163,   715,   716,   286,   809,  1060,
     206,    26,   121,   895,   896,    59,    82,   220,   237,   317,
     324,   334,   371,   375,   421,   483,   484,   485,   486,    26,
     334,   371,   375,   486,   375,   259,   936,  1044,  1060,   893,
     443,  1060,   159,   450,   841,   450,  1039,   299,   888,   889,
    1046,   888,   883,   884,   887,     0,   453,   840,   136,   197,
     264,   388,   897,   898,   883,   885,   886,   114,   193,   394,
     454,     3,    42,    48,    71,    77,    89,    96,   157,   159,
     175,   189,   201,   202,   204,   214,   216,   239,   247,   267,
     269,   316,   341,   364,   406,  1052,  1060,  1061,  1064,  1066,
     697,  1060,   697,  1047,  1060,   289,   697,   378,   697,  1046,
    1060,   102,   362,   723,  1052,     3,    99,   335,  1057,  1058,
    1062,  1064,  1065,  1066,    26,   174,  1044,   253,   408,     8,
      15,    16,    17,    66,   147,   437,   438,   439,   441,   442,
     443,   444,   445,   446,   774,  1006,  1007,  1060,   174,  1046,
      26,  1057,  1058,  1046,  1046,   174,  1044,  1046,   310,   336,
      26,   174,   936,  1046,   326,  1046,   697,    26,   227,  1057,
    1058,   174,  1044,   207,   111,   203,   244,   295,   810,   811,
     812,  1044,  1050,  1060,    25,    58,    71,    72,    81,    85,
     103,   124,   135,   143,   155,   160,   183,   208,   229,   260,
     280,   317,   322,   324,   330,   333,   362,   365,   369,   376,
     378,   383,   408,   596,   703,  1055,  1044,   373,  1052,  1046,
     450,   697,   378,  1047,   697,   378,   174,  1046,   102,   362,
     366,   368,  1057,  1058,   366,   368,    66,   147,   774,   308,
    1046,  1057,   174,   479,  1060,  1046,  1046,   326,  1046,   697,
     227,  1057,   299,   330,   362,   408,   229,    85,   183,   160,
     322,   376,   382,   590,    26,  1046,   880,   493,  1055,  1062,
     777,   174,  1052,  1046,   174,   781,   174,  1047,     3,    47,
      49,    50,    61,    62,   106,   107,   125,   151,   174,   195,
     196,   198,   238,   240,   252,   296,   338,   344,   371,   372,
     403,   699,   951,   953,   955,   957,   959,   961,   962,   963,
     965,   966,   967,   970,   971,  1061,  1064,   378,   102,   362,
     174,  1052,   174,  1058,  1059,    77,   408,    66,   147,   174,
     774,    52,   174,  1046,   174,  1059,   174,  1046,   174,  1046,
     174,  1046,   326,   781,   174,  1046,   174,   699,   174,   227,
    1059,   207,   174,   696,   697,   450,   854,   538,   845,   402,
     839,   846,   847,   848,  1062,   840,  1056,   711,   712,    26,
     712,  1056,   712,    26,   712,  1056,   712,   712,   712,  1056,
    1054,  1054,   879,   712,   289,   450,   450,   557,   557,   557,
     258,   373,   454,   557,   324,   936,   937,   454,   805,  1055,
     450,   851,    52,   408,   406,   788,   789,  1044,  1046,  1060,
      42,   433,   203,   452,   261,   261,   258,   158,  1055,   373,
     153,   706,   258,     4,     6,     7,     8,    10,    34,    47,
      49,    50,    57,    58,    61,    62,    69,    71,    93,    94,
      95,    96,    97,    98,    99,   106,   107,   141,   145,   146,
     151,   165,   167,   195,   196,   198,   213,   221,   222,   238,
     240,   244,   249,   250,   252,   260,   270,   281,   296,   320,
     335,   344,   358,   371,   372,   377,   379,   380,   389,   395,
     403,   423,   424,   425,   426,   427,   428,   429,   430,   434,
     441,   442,   443,   450,   883,   954,   957,   960,   961,   962,
     964,   965,   966,   970,   971,   975,   977,   978,   979,   981,
    1002,  1003,  1004,  1008,  1027,  1032,  1041,  1042,  1052,  1053,
    1054,  1055,  1060,  1040,  1041,  1055,    26,   501,  1043,  1044,
     334,   483,   109,   492,  1055,   493,  1055,    42,    63,   483,
     433,   345,   811,   261,   158,   373,   439,    42,   433,   203,
     812,   450,  1044,   443,   448,   452,  1033,  1034,   937,   157,
     159,   406,   836,   837,   839,   157,   842,   109,   975,  1037,
    1038,   888,   454,   450,   843,   451,   451,   459,  1044,    26,
     121,   894,   894,    52,   894,   148,   153,   217,   256,   901,
     903,   904,   919,   921,   922,   923,   897,   898,   158,   199,
     936,   938,  1039,   450,   757,  1034,   272,   306,   336,   452,
     698,   272,   306,   336,     3,    80,   130,   223,   272,   306,
     336,   365,   367,   415,   494,   497,   817,   818,   819,   820,
     729,    22,   126,   272,   306,   336,   399,   508,  1046,   336,
      22,   126,   394,   476,   419,   174,   936,    54,    87,   144,
     177,   212,   244,   272,   306,   314,   321,   328,   336,   348,
     356,   410,   494,   498,   760,   768,   450,   746,   306,   476,
     180,   141,    22,    28,    68,   119,   126,   129,   154,   185,
     242,   244,   254,   262,   272,   306,   309,   310,   336,   399,
     506,   507,   615,     4,   441,   442,   587,  1056,    26,   174,
    1044,   697,   697,   450,   773,   452,   141,   258,   180,   468,
     306,   415,   436,   461,   468,   258,   272,   306,   141,    53,
     101,   182,   230,   232,   242,   271,   306,   311,   336,   350,
     506,   584,   585,   272,   306,   407,   615,   623,   496,   484,
     486,   180,   141,   306,   336,   506,   272,   306,   310,   336,
      78,   118,   273,   367,   258,    22,    28,   126,   272,   306,
     336,   518,   519,   468,   153,   306,   461,   468,   141,   306,
     336,   506,  1046,   215,   111,   259,   420,   454,   810,   396,
     834,   258,  1052,   450,  1046,   951,   378,   102,   362,  1052,
     253,   408,    66,   147,   774,  1046,  1046,   326,   153,  1046,
     951,   207,   697,   557,   292,   523,   450,   672,   757,    64,
     951,   158,   450,   668,  1046,   461,    35,   828,  1046,   244,
     461,   419,   174,  1044,   461,   697,   697,   668,   392,   538,
     258,   461,   244,    42,   480,   383,   622,   272,   598,    78,
     118,   273,   367,    24,    44,   194,   646,    35,   668,   153,
     461,   408,   174,  1044,   174,   575,  1044,  1044,   408,   697,
      77,   735,  1052,  1046,   153,   596,    48,   100,   192,   242,
     325,   141,   757,    55,   312,   509,   141,   450,   141,   405,
     968,   968,   968,   450,   956,   956,   283,   450,   958,   141,
      61,    62,   968,   956,   953,   417,   436,   450,   972,   450,
     972,   454,   509,    34,   952,    62,   450,   969,   104,   172,
     231,   234,   327,   431,   450,   973,   974,   698,   956,   419,
     141,   746,   141,   454,   174,   696,   174,   697,   174,   697,
     141,   773,  1059,   141,   258,   141,   141,   258,   141,   509,
     141,    78,   118,   273,   367,   153,   141,   258,   141,   509,
     141,   153,   174,   174,   493,   141,   454,   509,   975,  1011,
     362,   451,   454,   146,   258,   380,   490,   493,   587,   849,
     845,   712,   879,   712,   879,   712,   879,   712,   879,   712,
     879,   879,   879,   712,   879,   450,   558,   559,  1060,   558,
      26,   103,   124,   155,   160,   207,   208,   324,   330,   362,
     365,   383,   718,  1043,  1059,   717,  1046,   180,   454,   867,
    1055,   951,  1014,    35,  1059,   735,   451,   454,   215,  1060,
     153,   153,   718,  1059,   323,  1060,   493,   258,   450,  1035,
     448,   883,  1015,   975,  1031,   450,   450,   153,   450,   450,
     883,   450,   450,   450,   450,   450,   450,   975,   450,   450,
     450,   450,   450,   450,   450,   450,   883,   450,   450,   450,
     450,   450,   450,   450,   450,   975,   975,   975,   883,   975,
    1011,  1034,  1055,   450,  1055,     3,     8,    11,    15,    16,
      17,    32,    35,    40,    46,    70,   175,   180,   201,   202,
     216,   247,   260,   263,   341,   434,   437,   438,   439,   441,
     442,   443,   444,   445,   446,  1006,  1008,  1010,   416,   990,
     269,   975,   199,   454,   891,   450,  1055,  1034,   891,   112,
     176,   502,   454,    63,   109,   493,    35,     3,   109,   220,
     491,   587,   971,  1055,  1055,    83,   123,   987,    92,   109,
     487,   488,   490,   587,   109,   487,   215,  1044,   975,     3,
      26,    30,    31,    32,    33,    34,    35,    36,    39,    51,
      57,    58,    64,    70,    72,    81,    88,    93,    94,    95,
      97,    98,    99,   109,   111,   117,   121,   122,   128,   132,
     136,   146,   148,   153,   155,   158,   163,   166,   169,   180,
     187,   197,   199,   210,   211,   217,   221,   222,   244,   249,
     256,   258,   259,   263,   264,   278,   287,   301,   313,   329,
     335,   346,   359,   362,   370,   373,   374,   380,   388,   389,
     395,   396,   404,   411,   412,   414,   415,   443,  1049,  1063,
    1064,  1065,  1066,  1067,  1033,    84,   311,   701,   451,   454,
     840,   451,   454,   889,  1045,  1046,    35,   843,   885,   885,
     899,   900,   975,   885,   150,   241,   910,   205,   242,   295,
     339,   394,    26,   905,   975,   441,   442,   906,   907,   975,
     977,   919,   920,   904,   903,   901,   902,   153,   922,   254,
     924,   901,   919,   938,   857,  1044,    35,  1060,   336,   180,
     190,   264,   266,   338,   404,   443,   750,   751,   752,   754,
     756,   758,   951,  1061,   272,   306,   336,   373,   373,   324,
    1049,   452,   373,   373,   324,   217,   373,   373,   365,   483,
     272,   817,   819,   439,   821,   153,   163,   180,   315,   730,
     731,    64,    81,   137,   155,   287,   389,   554,   555,    81,
     109,   244,   373,    81,   373,   109,   244,   324,    81,   119,
     129,   272,   306,   664,   324,   604,    25,    58,    71,    85,
     124,   135,   155,   160,   229,   260,   324,   330,   333,   362,
     369,   376,   383,   408,   596,  1046,   141,   306,   336,   506,
     258,   587,   328,   212,   373,   373,   249,   587,   113,   200,
     324,   334,   375,   485,   312,   336,   760,   769,   451,   747,
     750,   373,   395,   365,  1044,    72,   137,   545,   554,  1060,
      72,    81,   792,   258,   320,   322,   378,    81,   792,    29,
     309,   320,   322,   378,   320,  1044,   154,   185,   254,   697,
     450,   373,   373,   173,   450,   513,   226,   365,   392,   415,
     417,   513,    81,   454,     4,     4,   272,   180,   141,   306,
     336,   506,   396,   396,   243,   951,   272,   336,   774,  1046,
    1044,   103,   336,   497,   373,   463,   497,  1044,   373,   373,
    1044,   587,    52,   586,   587,   587,   101,   230,   232,    52,
     373,   461,   324,   461,   242,   585,   373,   373,   249,  1055,
     615,   365,   936,    81,   373,   792,   324,   373,   373,   513,
     513,   697,   697,   697,   697,  1044,    41,   401,    41,    41,
     373,    41,   373,   324,   454,   497,   395,   633,  1058,   373,
     463,   497,  1044,   373,   324,   272,   306,   295,   307,   332,
     489,   810,  1050,  1060,  1044,   757,   951,   258,   201,   419,
     746,   587,   697,   697,   773,   258,   201,   258,    78,   118,
     273,   367,   951,   258,   201,   697,   201,   415,   529,   353,
     354,   524,  1055,     3,   673,   674,   668,   450,    35,   697,
     669,   670,  1063,    24,   817,   951,   258,   141,   601,  1046,
     244,   450,   462,   682,   396,   299,   408,  1044,   462,   141,
    1058,    88,   163,   481,   537,   581,   645,   713,   733,   813,
    1055,   623,   624,  1058,   223,   697,   697,   697,   697,   254,
     114,   193,   381,   394,   647,   648,   133,   294,   450,   633,
     462,  1044,   244,   583,   584,   244,    35,   254,   450,   557,
     557,   174,   578,  1044,   153,   174,   736,  1050,   450,   748,
      35,   951,   207,   415,   417,   881,   325,  1052,   509,   951,
    1047,   450,  1011,  1054,   699,   968,   968,    34,   952,   371,
     371,  1054,  1054,   951,   448,   448,   336,  1054,   373,   373,
     373,   450,   373,  1054,   956,   174,  1046,  1052,   509,  1059,
    1058,   141,   509,   141,   396,   141,   396,   774,   509,   509,
    1046,   697,  1059,  1046,   697,  1046,  1046,   951,  1046,   697,
     699,  1059,   633,   141,   141,   509,   696,   697,   451,   454,
     174,  1044,   845,   847,   879,   879,   879,   879,   879,   879,
     558,   451,   454,   451,   161,   331,   363,  1045,   696,   102,
     333,   722,   723,  1045,   253,  1045,  1043,  1043,  1045,   696,
     373,   415,   726,   136,   217,   630,   631,    20,   139,   320,
     339,   868,   936,   248,   869,   451,   454,   852,   856,   864,
     871,   882,   373,  1044,   786,   787,   789,   716,   715,   716,
     158,   164,   727,  1060,    25,    72,   103,   124,   135,   155,
     160,   208,   229,   317,   324,   330,   362,   365,   383,   408,
     596,   707,  1011,  1033,   449,  1011,  1015,  1016,   411,  1028,
    1029,   975,  1011,   450,  1054,  1054,     3,   104,   172,   231,
     234,   327,   431,  1017,  1018,  1055,  1011,  1011,  1011,  1054,
    1054,   975,   774,   975,  1019,   320,   441,   442,   450,   976,
     977,  1008,  1021,   451,  1011,   975,  1011,  1022,   975,    51,
     158,   211,   374,   975,  1011,  1025,  1011,   236,   977,   975,
     985,   986,   987,   236,   975,   987,   451,   454,  1054,   973,
     951,   975,   975,   975,   975,  1063,   371,    39,   359,  1036,
     697,   975,   450,   883,  1026,   121,   123,   146,   244,   249,
     254,   380,   390,   975,   450,   975,   373,    46,   175,   180,
     216,   341,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,    26,    33,   346,  1005,   166,   149,   991,   320,
     450,  1002,   162,   220,   362,   366,   368,   392,   892,  1044,
    1042,   158,   926,    26,   121,   404,   443,   451,   752,   975,
    1012,  1013,  1061,   926,  1044,   375,   450,  1055,   454,   451,
     449,   455,   173,   173,   509,  1044,   837,   838,  1044,  1037,
     451,   454,   450,   454,    36,   117,   396,   742,   320,   321,
     441,   442,   907,   909,   977,   339,   205,   259,   454,     4,
     908,  1054,   908,   320,   321,   909,  1043,   248,   343,   870,
     920,   902,   396,   865,   109,   450,   858,   882,    35,  1060,
     450,   872,   873,   874,   875,   876,  1060,   266,    52,  1061,
     451,   752,   754,   751,   754,  1061,   264,   451,   454,   698,
     373,   373,   324,  1058,  1046,  1046,  1049,  1058,  1046,  1046,
    1058,  1047,  1046,   109,   490,  1056,   317,   395,   715,   324,
     163,   715,   450,  1046,   396,   737,   205,   205,   396,   450,
     573,   174,  1046,   249,  1058,  1046,  1046,   975,   249,  1046,
    1046,    29,   309,   373,   373,  1046,   373,   605,  1052,   450,
     697,   697,   951,   378,   102,   362,   723,   408,    66,   147,
     774,  1046,   697,  1046,   697,   326,   153,   951,   697,   207,
     168,   242,   272,   306,   400,   608,   609,   610,   936,   373,
     792,   324,   249,   113,   200,  1058,  1046,   258,  1046,   451,
     454,  1057,  1059,  1046,   306,   506,   545,   951,  1046,  1060,
    1046,   215,  1046,    26,   395,  1046,   174,  1046,   174,  1060,
     322,   378,   322,   378,   215,  1046,    26,   395,  1046,   215,
     320,  1044,    22,   126,   336,   616,   617,   618,   619,  1063,
    1058,  1046,   109,   159,   245,   396,   512,   515,   516,  1063,
    1046,   257,    68,   257,  1046,   507,   373,   365,  1044,   373,
     792,   324,  1048,  1060,  1048,   454,   451,   454,   373,   324,
     258,   306,   373,   642,  1047,  1057,     3,    80,   131,   185,
     277,   387,   395,   398,   464,   306,  1058,  1046,   306,   336,
     506,   584,   587,   697,  1046,   587,  1046,   587,  1058,  1046,
    1046,   306,   336,   506,  1046,  1046,  1046,  1046,  1058,  1046,
      22,    28,   126,   272,   306,   336,   272,   306,   336,   668,
     306,   336,   306,   336,   306,   950,  1060,   174,   678,  1060,
     174,  1060,  1058,  1046,  1046,  1046,    22,   519,   333,  1057,
     306,   336,   506,  1046,  1046,   373,   373,    76,   386,   295,
     201,    35,   124,   697,   249,   704,  1055,   201,   201,   396,
     396,   201,   697,   704,   697,   207,   697,   704,   201,   704,
     257,   158,   373,   522,   461,   439,   451,   454,   975,   951,
     451,   454,   439,   647,   547,  1063,  1046,   158,   324,   407,
     602,   609,   610,   141,   216,   539,   541,   543,   545,   551,
     554,    23,   180,   317,   360,   464,   465,   153,  1048,   408,
    1044,   153,   643,   479,  1060,   480,   263,   538,   155,  1055,
     668,   668,   668,   668,   254,   258,   263,   450,   668,   948,
     949,   950,   333,   450,   141,   141,   140,   882,   697,   539,
    1060,   415,   417,   569,   415,   514,   244,    35,   557,  1055,
     244,   258,   451,   749,   750,   755,    35,   207,   314,   376,
     414,   759,   760,   761,   258,   207,   493,   171,   171,   153,
     757,    35,  1011,   451,   451,   509,   448,   433,   433,   451,
     451,  1054,   449,  1054,  1060,   451,   172,   231,   974,   231,
     974,   974,  1054,   234,   451,   141,   509,   746,   696,   697,
    1048,   697,  1048,   773,   258,   509,   258,   509,   509,   207,
     258,   509,   509,   333,   153,   493,   509,   975,   244,   451,
     559,   180,   180,   180,   419,  1045,   454,   587,   588,   166,
     719,   720,  1058,    23,   727,   373,   450,   158,   139,   339,
     139,   339,   320,   394,   233,   951,  1058,   415,   576,  1044,
    1046,   158,   258,   719,    52,   509,  1052,   951,   378,   362,
    1052,   253,   408,   951,   207,   697,   451,   449,   449,   454,
     975,   128,  1029,  1030,    35,   451,   975,   451,   451,   451,
     158,   451,   451,   451,   451,   451,   454,   451,   278,  1020,
     451,   450,   976,   976,  1011,    11,    15,    16,    17,   180,
     201,   260,   437,   438,   439,   441,   442,   443,   444,   445,
     446,  1008,   976,   451,   451,   153,   158,  1023,  1024,   451,
      35,  1025,  1011,  1025,  1025,   158,   451,   451,  1063,   276,
     989,    35,   451,   454,   975,  1063,   454,   975,  1035,   975,
     451,   433,   976,   976,   134,  1011,   158,   121,   123,   146,
     249,   254,   380,   390,   450,   134,   774,   975,   359,  1036,
     975,  1026,   975,   373,   450,   883,   450,   450,   268,   995,
     450,  1011,   366,   368,   366,   368,  1044,   893,   893,   893,
     210,   321,   450,   883,   927,   928,   929,   936,   941,   978,
     980,   981,  1052,  1060,   412,   946,  1012,  1012,  1013,   451,
      13,    14,   454,   897,   898,   946,   811,  1054,   973,   488,
     975,   843,  1046,   852,   900,   260,  1006,  1009,   435,   743,
       4,  1054,   909,   259,   394,   906,   225,   927,   412,   947,
     402,   859,   860,  1060,   258,   861,  1060,   876,   877,   454,
     926,   439,  1035,   758,   698,   754,   754,    52,   756,   445,
    1058,  1046,  1046,  1059,  1059,   258,  1045,   261,   258,   975,
     555,  1048,   450,   450,   450,   573,   183,   558,   656,   141,
     509,   373,  1058,  1046,   493,   757,   951,  1046,   419,   697,
     697,   697,   697,   773,    78,   118,   273,   367,   951,  1046,
     591,  1046,   168,   400,   373,   373,   591,   608,   615,   306,
     336,   506,  1046,  1046,  1046,   191,   249,   750,   271,   336,
     373,   262,   613,   656,   126,   310,   336,   508,   615,   793,
     328,   141,   509,   141,   509,  1046,  1046,  1046,  1046,   328,
     328,   215,   618,   619,   618,   451,   454,   620,  1055,   183,
     451,   454,   439,   452,  1058,  1046,   306,   336,   506,  1046,
    1046,  1046,   272,   306,   336,    22,   126,   272,   306,   336,
     951,   243,   951,  1058,  1046,  1044,   373,  1059,   396,   639,
     217,   277,   249,  1055,   277,  1059,   393,   373,   373,   324,
     271,   336,    81,   373,   792,   324,   373,   373,   227,   227,
     227,   373,   373,   324,   373,   373,   324,   373,   324,   373,
     324,   373,   509,   951,   244,  1055,   336,   793,   141,   509,
     373,  1046,   373,   324,  1058,  1046,   704,   951,   697,   201,
     704,   704,  1048,  1048,   704,   201,   201,  1046,   201,   704,
     523,   450,   525,   526,   260,   441,   442,   587,   671,   754,
    1009,  1055,  1067,     3,   674,   451,   451,   670,   671,   258,
      64,    70,    81,   109,   111,   187,   244,   249,   287,   301,
     389,   548,   549,   550,   140,   411,   461,   493,  1046,   493,
     613,  1044,  1044,   451,   454,  1059,   166,   317,  1059,  1054,
     383,  1044,   557,    26,   114,   193,   329,   394,   644,   373,
     641,    42,   480,   308,   362,   102,   514,   558,  1044,   648,
     675,   676,  1055,   451,   454,  1046,   558,  1044,   575,  1044,
    1046,   576,   450,   540,   451,   257,   513,   257,   258,   570,
     513,    35,   141,   882,   514,   373,   141,  1044,   451,   454,
     109,   439,   762,  1055,   493,   362,   753,   754,   153,   763,
     415,   761,   764,   114,   193,   329,   394,   801,  1046,   168,
     882,   509,   951,   451,  1054,   972,   972,   449,   449,   969,
     451,  1046,   509,   509,   396,   509,   396,   509,   509,   697,
     697,  1046,   697,  1046,   633,   509,   141,   324,   324,   324,
    1045,   723,   454,  1058,   415,   454,   721,   261,   937,   333,
     139,   139,   102,   242,  1059,   718,   509,  1058,   757,   201,
     746,   587,   201,   697,   201,  1015,   370,   975,   132,   951,
     451,   975,   975,   975,  1023,   451,  1011,   454,   951,   976,
     976,   976,   976,   121,   123,   244,   254,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   975,   975,  1024,
    1023,   951,   451,   451,   451,  1011,   451,   454,    52,   977,
     451,  1063,   986,   284,   357,   988,   451,   454,   407,   982,
      35,   451,  1055,   975,    32,    32,   975,   451,   975,   158,
     450,  1014,   975,   451,   134,   976,   976,   134,   134,   975,
     975,   898,   412,   450,   996,  1060,   451,  1011,   454,   893,
     893,   893,   893,  1044,  1044,  1044,   883,   941,   158,   883,
     928,   929,    35,   930,   931,  1060,   454,    89,   159,   189,
     204,   214,   239,   316,   933,   931,    35,   930,   932,  1060,
     436,   945,   450,  1034,   975,   166,   911,   454,   897,   897,
     897,   975,   975,   404,  1013,   451,   911,   451,   449,   451,
     450,   743,   150,   209,   259,    92,   975,   313,   863,   451,
     454,  1035,    79,   863,   451,   454,   873,   947,  1037,   451,
     445,   758,   383,   161,   331,   363,   384,   732,   153,   732,
     451,   450,   561,   562,   739,   980,  1060,   558,   558,   656,
    1050,   451,   111,   187,   242,   244,   657,  1046,  1046,    35,
    1046,   396,   396,   697,   697,   697,   697,   207,   698,  1058,
    1046,   373,   792,   324,   373,   191,    52,   365,  1046,   450,
     547,   244,   513,   102,   244,   352,   355,   513,   383,  1046,
    1060,   328,   617,  1046,   516,   671,  1063,   271,   336,   373,
     792,   324,   373,   373,   373,   324,   160,   260,   355,   680,
     681,   160,   260,   688,   689,   373,   373,   324,   451,   451,
     451,   306,  1046,   450,   415,   640,  1056,  1055,  1055,  1055,
    1046,  1046,  1046,    52,   365,  1046,  1046,  1046,  1046,  1046,
    1046,   153,   153,   308,   153,   174,  1058,  1046,  1046,  1058,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,    70,   510,   141,
      24,    44,   383,  1060,  1046,   615,  1046,  1046,   451,   201,
     704,   201,   201,   704,   704,   201,   704,   524,   532,   533,
    1063,    48,    90,   115,   130,   134,   154,   157,   170,   249,
     257,   293,   527,   656,   415,   417,  1044,   450,   697,  1046,
     976,   112,   176,   111,   249,   205,  1044,   764,   291,   660,
     661,  1060,   601,   450,   552,   186,   568,   543,  1059,  1059,
     951,   450,   514,  1059,   639,  1058,   174,  1044,   419,   153,
     649,   451,   454,   950,   613,   451,   583,    35,   254,   450,
     854,   542,   544,   546,   554,  1060,   569,   568,    75,   365,
     571,   882,   578,   576,   571,  1055,  1050,   737,   755,   975,
     975,   454,   450,   759,   383,   454,   668,   373,   450,   591,
     451,   449,   509,  1048,  1048,   509,   509,   509,   509,   333,
    1045,  1045,  1045,   587,   163,   720,   451,  1046,   102,   727,
     158,   201,   249,   708,  1055,   201,   201,   708,   201,   708,
     975,   451,   451,  1024,   451,   975,   158,   121,   123,   254,
     450,   451,   422,   984,  1011,   300,    52,   413,   413,   451,
     975,   242,   975,   454,   983,   953,   975,   975,   975,  1014,
     451,   975,    32,    32,   975,   975,   134,   451,   451,   975,
     997,  1060,   451,   975,  1044,  1044,  1044,  1044,   931,   932,
     450,   451,  1060,   450,   928,   204,   267,   934,   928,   934,
     204,   933,   934,   204,   364,   939,   450,  1060,   450,   265,
    1012,    52,   169,   918,   451,   451,   451,  1013,  1055,   918,
    1055,   774,   254,  1041,   882,   860,   258,   450,   862,   439,
     876,   863,   383,   451,   373,   715,   158,   656,   975,   451,
     454,   415,    70,   740,   740,   451,   451,   764,   112,   176,
     185,   111,   398,   509,   951,  1048,  1048,  1046,  1046,  1046,
    1046,  1046,  1059,  1046,   614,   618,   249,   249,  1056,  1060,
     951,   509,   509,   439,    52,   365,  1046,  1046,  1046,  1046,
    1058,  1046,  1046,  1054,  1054,   951,   454,  1054,  1054,   454,
    1058,  1046,  1046,   373,   975,    64,  1059,  1046,   373,   373,
    1045,  1045,   697,  1045,   141,   697,  1055,  1055,   951,   509,
     509,   201,   704,   704,   704,   704,   396,   530,   531,   451,
     454,   443,   450,   490,   534,   587,   828,  1055,   828,   244,
     249,   293,   828,   828,   160,   190,   160,   158,   655,   975,
     244,   549,   764,   557,   396,   572,  1052,    32,   140,   180,
     539,   138,   181,   450,   333,   396,   558,    35,   640,   480,
     244,   450,  1046,   127,   650,   411,   652,  1055,   514,   140,
     882,   697,   539,   576,   451,   454,   415,   570,   569,   114,
     126,   284,  1046,   415,   814,    35,   158,   258,   450,  1055,
     752,   765,   766,  1061,   764,   951,   153,  1044,   158,   373,
     783,   188,   592,   509,   509,   509,  1046,   261,   199,   509,
     719,   708,   708,   708,   708,   451,   976,   158,   450,  1014,
     450,   451,   454,   451,   977,   300,   451,   401,   349,   451,
     451,   451,   975,   975,   975,   451,   275,   998,   451,   942,
     943,   980,   930,   450,  1045,   928,   258,   396,   935,   928,
     204,   928,  1052,   949,   450,   949,  1060,   897,    91,   167,
     319,   450,   912,   913,   914,   915,   916,   917,   975,   975,
     414,   992,   897,   992,   451,   879,    81,   738,   739,   122,
     450,   883,  1039,   719,   258,   719,   451,   764,   562,   260,
     774,   697,   396,   697,   741,   741,   301,   764,   572,   451,
     373,   336,   869,   451,   454,   510,   671,  1059,  1046,   373,
     450,  1052,   774,   681,   450,   450,   689,  1046,   451,   450,
     336,   869,  1046,  1046,   415,   436,   831,   308,   831,   831,
     153,   510,   704,   461,   116,   533,   490,   535,   536,  1055,
    1055,   249,   558,   443,   558,  1055,  1055,   723,    35,   779,
     779,  1044,   656,   451,   572,   228,   560,   183,   450,   661,
     291,   450,   451,    26,    74,    82,   110,   184,   355,   553,
     553,  1043,  1046,  1048,   451,   882,   141,   613,   320,   351,
     651,   450,   140,    35,  1046,   576,   540,   451,   544,   262,
     571,   570,   321,   321,    56,    64,   220,   882,   697,  1044,
     738,   754,   451,   454,   383,   946,   347,   347,   451,   591,
     242,   400,   593,   594,  1046,   509,   976,  1014,   451,   985,
    1011,    52,   242,   432,    52,   897,   451,   454,    35,   944,
    1045,   451,   975,   450,   928,   935,   450,   451,   949,   451,
     451,   450,   337,   450,   451,   454,   993,   994,  1060,   451,
    1046,   451,   454,   245,   394,   721,   732,   509,   740,   572,
     450,   697,   742,   742,  1044,   572,   656,  1046,   365,   618,
     396,   511,   336,   869,  1046,  1014,   746,   153,   684,   773,
    1014,  1014,   975,   365,   696,   697,   696,   697,  1045,   509,
     525,  1055,   451,   454,   558,   779,    38,   178,   153,   242,
     556,   159,   274,   342,   258,   564,   565,   566,   365,   451,
    1052,     5,   662,   568,   451,   613,   147,   683,   514,   814,
    1044,   975,   291,   882,   854,   569,   568,   547,   571,    64,
     261,    64,   576,   737,   451,   759,   765,   951,   122,   415,
     415,   400,   591,   613,   451,   451,   451,   300,   401,  1011,
     294,   321,   999,   945,   942,   450,   451,  1045,  1011,   451,
    1011,   450,  1011,   913,   454,    35,   946,   739,   336,   158,
     741,   412,   563,   774,   743,   743,   557,   656,  1046,   975,
     365,   451,   264,   326,   298,   685,   684,   451,   451,   451,
    1046,   831,   536,   127,   185,   114,   394,   258,   566,   258,
     565,  1046,   450,   451,   454,   333,   697,    35,    35,   450,
     451,  1052,   814,   576,   570,   569,   261,   261,   450,   514,
     764,    27,   194,   802,   160,   160,    46,    92,   385,   975,
    1000,  1001,  1000,   451,   949,   451,   451,   451,   912,   451,
     994,   996,   872,   719,   742,   450,   656,   451,   560,   869,
    1046,  1052,    52,   685,   869,   697,   320,    55,   242,   312,
     336,   567,   567,   451,     5,  1046,   680,   882,   450,   571,
     570,   738,   571,   245,   450,   797,   799,   804,   856,   864,
     871,   882,   723,   723,  1001,   320,   152,   282,   152,   282,
     451,   307,   940,   451,   946,   509,   743,   975,   564,   869,
     746,   697,   652,    21,   109,   249,   613,   814,     4,   653,
     654,  1054,  1055,  1063,   571,   451,   946,   798,   799,   800,
     883,   884,   454,   454,    32,   450,   451,   656,   140,   451,
     454,   514,   451,   453,   373,   158,  1001,   975,   291,   654,
     571,   800,   347,   347,   451,  1052,   946,   415,   415,   450,
     160,   160,   653,   723,   723,   451
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   456,   457,   458,   458,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   460,   461,
     461,   461,   462,   462,   463,   463,   464,   464,   464,   464,
     464,   464,   464,   464,   464,   465,   465,   465,   465,   465,
     465,   466,   467,   468,   468,   469,   469,   470,   471,   471,
     472,   472,   473,   473,   474,   475,   476,   476,   477,   477,
     478,   478,   478,   478,   479,   479,   480,   480,   481,   481,
     481,   481,   481,   481,   482,   482,   482,   483,   483,   483,
     484,   484,   484,   484,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   486,   486,   487,   487,   488,
     488,   489,   489,   489,   489,   490,   490,   490,   490,   491,
     491,   491,   491,   491,   491,   491,   492,   492,   492,   493,
     493,   494,   495,   495,   495,   495,   496,   496,   497,   497,
     498,   498,   499,   499,   499,   499,   499,   500,   501,   501,
     502,   502,   503,   504,   504,   504,   504,   504,   505,   505,
     505,   505,   505,   505,   505,   505,   505,   505,   505,   505,
     505,   505,   505,   505,   506,   506,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   508,   508,   509,   509,
     509,   510,   510,   511,   511,   512,   512,   512,   512,   513,
     514,   514,   515,   515,   516,   516,   516,   516,   517,   518,
     518,   519,   519,   519,   519,   520,   520,   521,   521,   522,
     522,   523,   523,   524,   524,   524,   525,   525,   526,   526,
     527,   527,   527,   527,   527,   527,   527,   527,   527,   527,
     527,   527,   527,   527,   528,   528,   529,   529,   530,   530,
     531,   531,   532,   532,   533,   534,   534,   534,   534,   534,
     535,   535,   536,   537,   537,   537,   537,   538,   538,   538,
     538,   538,   538,   538,   538,   539,   539,   540,   540,   541,
     541,   542,   542,   543,   543,   543,   544,   544,   545,   546,
     547,   547,   548,   548,   548,   548,   549,   549,   549,   549,
     549,   549,   549,   550,   550,   550,   550,   551,   552,   552,
     552,   553,   553,   553,   553,   553,   553,   554,   554,   555,
     555,   555,   555,   555,   555,   555,   556,   556,   557,   557,
     558,   558,   559,   560,   560,   560,   560,   561,   561,   562,
     562,   563,   563,   564,   564,   564,   564,   564,   565,   566,
     567,   567,   567,   567,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   570,   570,   571,   571,   572,   572,   573,
     574,   574,   575,   576,   576,   576,   577,   577,   578,   579,
     579,   580,   581,   581,   582,   582,   583,   583,   584,   584,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   586,   586,   587,   587,   587,   587,   588,   588,
     589,   589,   590,   590,   591,   591,   592,   592,   593,   593,
     594,   594,   595,   595,   596,   596,   597,   598,   598,   599,
     599,   600,   600,   601,   601,   602,   602,   602,   603,   604,
     604,   605,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   611,   611,   612,   612,
     613,   613,   614,   614,   615,   616,   616,   617,   617,   617,
     617,   618,   619,   620,   621,   622,   622,   623,   623,   624,
     624,   625,   625,   626,   626,   626,   627,   627,   628,   628,
     629,   630,   630,   631,   631,   632,   633,   633,   634,   634,
     635,   636,   637,   638,   638,   639,   639,   640,   640,   641,
     641,   642,   642,   643,   643,   644,   644,   644,   644,   644,
     645,   645,   646,   646,   646,   647,   647,   648,   648,   648,
     648,   648,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   653,   653,   654,   654,   654,   654,   655,   655,   656,
     656,   657,   657,   657,   657,   657,   657,   658,   658,   659,
     659,   660,   660,   661,   662,   662,   663,   664,   664,   664,
     664,   665,   666,   667,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   668,   669,   669,
     670,   670,   671,   671,   671,   671,   671,   672,   673,   673,
     674,   675,   675,   676,   676,   677,   677,   677,   678,   678,
     679,   680,   680,   681,   681,   681,   681,   681,   682,   682,
     683,   683,   684,   684,   684,   685,   685,   686,   687,   687,
     688,   688,   689,   689,   690,   690,   691,   691,   692,   693,
     694,   694,   694,   694,   694,   694,   694,   694,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   696,   696,   697,   697,   698,   698,   699,
     699,   700,   701,   701,   701,   702,   702,   702,   702,   702,
     702,   702,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   702,   702,   703,   703,   703,   703,   703,   703,   703,
     703,   703,   703,   703,   703,   703,   703,   703,   703,   703,
     703,   703,   703,   703,   704,   704,   705,   705,   705,   705,
     705,   705,   705,   706,   706,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   708,   708,   709,   709,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   711,   711,   712,   712,
     713,   714,   714,   715,   715,   715,   715,   715,   716,   716,
     717,   717,   717,   717,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     719,   719,   720,   720,   721,   721,   722,   722,   723,   724,
     725,   725,   726,   726,   727,   727,   728,   729,   729,   730,
     730,   730,   731,   731,   731,   732,   732,   732,   732,   733,
     733,   734,   734,   735,   735,   736,   736,   737,   737,   738,
     738,   739,   739,   739,   740,   740,   741,   741,   741,   742,
     742,   742,   743,   743,   743,   744,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   748,   749,   749,   750,   750,
     750,   750,   750,   751,   751,   751,   751,   751,   752,   753,
     754,   754,   754,   755,   755,   755,   756,   757,   757,   757,
     757,   758,   758,   759,   759,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     761,   761,   761,   761,   761,   762,   762,   763,   763,   764,
     764,   765,   766,   766,   767,   768,   768,   769,   769,   770,
     770,   771,   771,   772,   772,   773,   773,   773,   773,   774,
     774,   775,   776,   776,   777,   777,   778,   778,   778,   779,
     779,   779,   780,   781,   781,   782,   783,   783,   783,   783,
     784,   785,   785,   785,   785,   786,   786,   787,   787,   787,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   792,   792,   793,   793,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     796,   797,   797,   797,   798,   798,   799,   799,   799,   799,
     799,   800,   800,   801,   801,   801,   801,   802,   802,   802,
     803,   803,   804,   805,   805,   806,   807,   807,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   809,   809,   809,   810,   810,   810,   810,   810,
     811,   811,   811,   812,   812,   813,   813,   813,   813,   814,
     814,   814,   814,   815,   816,   817,   817,   818,   818,   819,
     819,   819,   820,   820,   820,   820,   820,   820,   820,   821,
     821,   822,   822,   822,   823,   824,   824,   825,   825,   826,
     827,   827,   827,   827,   827,   827,   827,   828,   828,   829,
     830,   830,   830,   830,   830,   830,   831,   831,   832,   833,
     833,   833,   834,   834,   835,   835,   835,   835,   835,   836,
     836,   837,   837,   837,   837,   838,   838,   839,   839,   840,
     840,   841,   841,   842,   842,   843,   843,   844,   844,   844,
     844,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     846,   846,   847,   848,   848,   849,   849,   849,   850,   851,
     851,   852,   852,   852,   852,   853,   853,   853,   854,   854,
     855,   855,   855,   855,   856,   857,   857,   858,   858,   858,
     859,   859,   860,   861,   861,   861,   862,   862,   862,   863,
     863,   864,   865,   865,   866,   867,   867,   868,   868,   868,
     868,   868,   868,   868,   868,   869,   869,   870,   870,   870,
     871,   872,   872,   873,   873,   874,   875,   875,   876,   877,
     877,   878,   879,   880,   880,   880,   880,   880,   881,   881,
     881,   882,   882,   883,   883,   884,   884,   884,   884,   884,
     884,   884,   884,   885,   885,   886,   886,   886,   886,   886,
     886,   886,   887,   887,   887,   888,   888,   889,   890,   890,
     891,   891,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   893,   893,   894,   894,   894,   895,   895,   896,   896,
     897,   897,   898,   899,   899,   900,   900,   901,   901,   901,
     901,   902,   902,   903,   903,   903,   903,   904,   904,   905,
     905,   906,   907,   907,   907,   908,   908,   909,   909,   910,
     910,   911,   911,   912,   912,   913,   913,   913,   913,   913,
     914,   915,   916,   917,   918,   918,   919,   919,   920,   920,
     921,   921,   922,   923,   923,   923,   923,   924,   924,   925,
     925,   926,   926,   927,   927,   928,   928,   928,   928,   928,
     928,   928,   928,   929,   929,   929,   929,   929,   929,   930,
     930,   930,   930,   931,   931,   932,   932,   932,   932,   932,
     933,   933,   933,   933,   934,   934,   935,   935,   936,   936,
     936,   936,   937,   937,   938,   938,   938,   939,   940,   940,
     941,   941,   942,   943,   943,   944,   944,   945,   945,   946,
     946,   947,   947,   947,   948,   948,   949,   949,   950,   951,
     951,   951,   951,   951,   951,   952,   952,   952,   953,   953,
     953,   953,   953,   953,   953,   954,   954,   954,   954,   955,
     955,   956,   956,   957,   957,   957,   957,   957,   957,   957,
     957,   957,   957,   957,   958,   958,   959,   959,   960,   960,
     961,   962,   963,   963,   964,   964,   965,   966,   967,   967,
     967,   967,   967,   967,   968,   968,   969,   969,   970,   970,
     970,   970,   971,   972,   972,   972,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     974,   974,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   978,   978,   978,   978,   978,   978,
     978,   979,   979,   980,   980,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   982,   982,   983,
     983,   983,   983,   984,   985,   985,   986,   986,   987,   987,
     988,   988,   988,   989,   989,   989,   989,   990,   990,   991,
     991,   992,   992,   993,   993,   994,   995,   995,   995,   996,
     997,   997,   998,   998,   999,   999,   999,  1000,  1000,  1001,
    1001,  1001,  1001,  1001,  1002,  1002,  1002,  1003,  1003,  1004,
    1005,  1005,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,
    1007,  1007,  1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,
    1009,  1010,  1010,  1010,  1010,  1010,  1010,  1011,  1011,  1012,
    1012,  1013,  1013,  1013,  1014,  1014,  1015,  1015,  1015,  1016,
    1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1019,  1019,  1020,  1021,  1021,  1022,  1022,  1022,  1022,
    1022,  1022,  1023,  1024,  1025,  1025,  1025,  1026,  1026,  1027,
    1028,  1028,  1029,  1030,  1030,  1031,  1031,  1032,  1032,  1033,
    1033,  1033,  1033,  1034,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1038,  1039,  1040,  1040,  1041,  1041,  1042,  1042,
    1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,  1052,  1053,  1053,  1053,  1053,
    1053,  1053,  1053,  1053,  1053,  1053,  1053,  1053,  1053,  1054,
    1055,  1056,  1056,  1056,  1057,  1058,  1058,  1058,  1059,  1059,
    1060,  1060,  1060,  1061,  1061,  1061,  1062,  1062,  1062,  1062,
    1063,  1063,  1063,  1063,  1063,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     3,     2,     2,
       3,     4,     4,     3,     3,     3,     3,     3,     3,     4,
       4,     3,     2,     3,     2,     2,     3,     3,     2,     2,
       3,     4,     4,     4,     5,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     1,     1,     1,     3,     3,
       2,     0,     1,     3,     3,     1,     5,     3,     4,     1,
       3,     4,     6,     4,     8,     2,     2,    11,     7,     1,
       1,     1,     0,     1,     1,     1,     1,     3,     2,     0,
       1,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     3,     2,     1,     0,     2,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     3,     0,
       1,     3,     1,    11,    14,    10,    13,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     4,
       2,     0,     3,     1,     1,     2,     2,     1,     3,     4,
       5,     2,     5,     1,     2,     2,     2,     3,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       7,     3,     8,     4,     9,    11,     2,     0,     3,     0,
       1,     3,     1,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     2,     2,     2,
       0,     3,     4,     4,     0,     2,     0,     4,     0,     3,
       7,    10,     5,     2,     3,     0,     8,    11,     4,     1,
       0,     6,     5,     8,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     9,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     6,     8,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,     2,     0,     2,     2,     1,
       0,     4,     6,     5,     4,     4,    11,    14,     5,     7,
      11,     2,     1,     4,     0,     8,     1,     1,     7,     9,
       8,     9,     8,     6,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     1,     1,     1,     1,     1,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     3,
       3,     3,     3,     1,     3,     1,     2,     2,     3,     1,
       3,     5,     2,     2,     0,     6,     6,     6,     7,     7,
       7,     8,     9,     8,     8,     6,     9,     8,     9,     9,
       7,    10,     7,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     8,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
      17,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     2,     0,     1,     2,     0,     1,
       1,     0,     2,     2,     0,     9,    12,     7,     2,     0,
       3,     2,     1,     3,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     1,     2,     4,     5,     1,     1,     1,
       1,     3,     3,     2,     2,     1,     2,     2,     2,     1,
       2,     2,     2,     1,     1,     1,     3,     3,     5,     2,
       0,     2,     1,     3,     5,     1,     2,     1,     0,     5,
       7,     5,     7,     5,     7,     3,     5,     5,     5,     1,
       3,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     3,     3,     6,     6,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     5,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     7,     9,     9,     6,     8,     8,     8,
       8,     8,     6,     8,     6,     8,     7,     9,     7,     9,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,     7,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     4,     3,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     3,
       0,     1,     1,     1,     1,     3,     9,    12,     3,     0,
       2,     3,     2,     3,     7,     1,     3,     1,     4,     2,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     2,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     1,     3,     1,     1,     3,     5,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     2,
       3,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 733 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 23160 "gram.c" /* yacc.c:1652  */
    break;

  case 3:
#line 740 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 23171 "gram.c" /* yacc.c:1652  */
    break;

  case 4:
#line 747 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 23182 "gram.c" /* yacc.c:1652  */
    break;

  case 127:
#line 879 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 23188 "gram.c" /* yacc.c:1652  */
    break;

  case 128:
#line 890 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23200 "gram.c" /* yacc.c:1652  */
    break;

  case 129:
#line 900 "gram.y" /* yacc.c:1652  */
    {}
#line 23206 "gram.c" /* yacc.c:1652  */
    break;

  case 130:
#line 901 "gram.y" /* yacc.c:1652  */
    {}
#line 23212 "gram.c" /* yacc.c:1652  */
    break;

  case 131:
#line 902 "gram.y" /* yacc.c:1652  */
    {}
#line 23218 "gram.c" /* yacc.c:1652  */
    break;

  case 132:
#line 911 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23224 "gram.c" /* yacc.c:1652  */
    break;

  case 133:
#line 912 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23230 "gram.c" /* yacc.c:1652  */
    break;

  case 134:
#line 916 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23236 "gram.c" /* yacc.c:1652  */
    break;

  case 135:
#line 917 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23242 "gram.c" /* yacc.c:1652  */
    break;

  case 136:
#line 922 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23251 "gram.c" /* yacc.c:1652  */
    break;

  case 137:
#line 927 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 23259 "gram.c" /* yacc.c:1652  */
    break;

  case 138:
#line 931 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23268 "gram.c" /* yacc.c:1652  */
    break;

  case 139:
#line 936 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23277 "gram.c" /* yacc.c:1652  */
    break;

  case 140:
#line 941 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 23285 "gram.c" /* yacc.c:1652  */
    break;

  case 141:
#line 945 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23293 "gram.c" /* yacc.c:1652  */
    break;

  case 142:
#line 949 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 23301 "gram.c" /* yacc.c:1652  */
    break;

  case 143:
#line 954 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23309 "gram.c" /* yacc.c:1652  */
    break;

  case 144:
#line 958 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 23368 "gram.c" /* yacc.c:1652  */
    break;

  case 145:
#line 1015 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 23374 "gram.c" /* yacc.c:1652  */
    break;

  case 146:
#line 1018 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23382 "gram.c" /* yacc.c:1652  */
    break;

  case 147:
#line 1022 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 23390 "gram.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1026 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23398 "gram.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1030 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23406 "gram.c" /* yacc.c:1652  */
    break;

  case 150:
#line 1034 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23414 "gram.c" /* yacc.c:1652  */
    break;

  case 151:
#line 1048 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23426 "gram.c" /* yacc.c:1652  */
    break;

  case 152:
#line 1066 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23438 "gram.c" /* yacc.c:1652  */
    break;

  case 153:
#line 1076 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 23444 "gram.c" /* yacc.c:1652  */
    break;

  case 154:
#line 1077 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23450 "gram.c" /* yacc.c:1652  */
    break;

  case 155:
#line 1082 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23462 "gram.c" /* yacc.c:1652  */
    break;

  case 156:
#line 1090 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23474 "gram.c" /* yacc.c:1652  */
    break;

  case 157:
#line 1108 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23486 "gram.c" /* yacc.c:1652  */
    break;

  case 158:
#line 1120 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23498 "gram.c" /* yacc.c:1652  */
    break;

  case 159:
#line 1128 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23510 "gram.c" /* yacc.c:1652  */
    break;

  case 160:
#line 1149 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23521 "gram.c" /* yacc.c:1652  */
    break;

  case 161:
#line 1156 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23532 "gram.c" /* yacc.c:1652  */
    break;

  case 162:
#line 1175 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23543 "gram.c" /* yacc.c:1652  */
    break;

  case 163:
#line 1182 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 23554 "gram.c" /* yacc.c:1652  */
    break;

  case 164:
#line 1199 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23566 "gram.c" /* yacc.c:1652  */
    break;

  case 165:
#line 1217 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].node);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 23579 "gram.c" /* yacc.c:1652  */
    break;

  case 166:
#line 1227 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = +1; }
#line 23585 "gram.c" /* yacc.c:1652  */
    break;

  case 167:
#line 1228 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = -1; }
#line 23591 "gram.c" /* yacc.c:1652  */
    break;

  case 168:
#line 1241 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23602 "gram.c" /* yacc.c:1652  */
    break;

  case 169:
#line 1248 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23613 "gram.c" /* yacc.c:1652  */
    break;

  case 170:
#line 1265 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23627 "gram.c" /* yacc.c:1652  */
    break;

  case 171:
#line 1275 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23641 "gram.c" /* yacc.c:1652  */
    break;

  case 172:
#line 1285 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23660 "gram.c" /* yacc.c:1652  */
    break;

  case 173:
#line 1300 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23679 "gram.c" /* yacc.c:1652  */
    break;

  case 174:
#line 1317 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23685 "gram.c" /* yacc.c:1652  */
    break;

  case 175:
#line 1318 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 23691 "gram.c" /* yacc.c:1652  */
    break;

  case 176:
#line 1323 "gram.y" /* yacc.c:1652  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 23701 "gram.c" /* yacc.c:1652  */
    break;

  case 177:
#line 1329 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 23707 "gram.c" /* yacc.c:1652  */
    break;

  case 184:
#line 1357 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23717 "gram.c" /* yacc.c:1652  */
    break;

  case 185:
#line 1363 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 23727 "gram.c" /* yacc.c:1652  */
    break;

  case 186:
#line 1369 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23737 "gram.c" /* yacc.c:1652  */
    break;

  case 187:
#line 1378 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23749 "gram.c" /* yacc.c:1652  */
    break;

  case 188:
#line 1386 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23761 "gram.c" /* yacc.c:1652  */
    break;

  case 190:
#line 1398 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23773 "gram.c" /* yacc.c:1652  */
    break;

  case 191:
#line 1406 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23785 "gram.c" /* yacc.c:1652  */
    break;

  case 192:
#line 1414 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23796 "gram.c" /* yacc.c:1652  */
    break;

  case 193:
#line 1421 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23807 "gram.c" /* yacc.c:1652  */
    break;

  case 194:
#line 1430 "gram.y" /* yacc.c:1652  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 23813 "gram.c" /* yacc.c:1652  */
    break;

  case 195:
#line 1432 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23824 "gram.c" /* yacc.c:1652  */
    break;

  case 196:
#line 1440 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23839 "gram.c" /* yacc.c:1652  */
    break;

  case 197:
#line 1451 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 23851 "gram.c" /* yacc.c:1652  */
    break;

  case 198:
#line 1459 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23863 "gram.c" /* yacc.c:1652  */
    break;

  case 199:
#line 1467 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23878 "gram.c" /* yacc.c:1652  */
    break;

  case 200:
#line 1478 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23890 "gram.c" /* yacc.c:1652  */
    break;

  case 201:
#line 1486 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23902 "gram.c" /* yacc.c:1652  */
    break;

  case 202:
#line 1494 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 23913 "gram.c" /* yacc.c:1652  */
    break;

  case 203:
#line 1501 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23925 "gram.c" /* yacc.c:1652  */
    break;

  case 204:
#line 1510 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23937 "gram.c" /* yacc.c:1652  */
    break;

  case 205:
#line 1519 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23943 "gram.c" /* yacc.c:1652  */
    break;

  case 206:
#line 1521 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 23949 "gram.c" /* yacc.c:1652  */
    break;

  case 207:
#line 1524 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23955 "gram.c" /* yacc.c:1652  */
    break;

  case 208:
#line 1525 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23961 "gram.c" /* yacc.c:1652  */
    break;

  case 209:
#line 1529 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 23967 "gram.c" /* yacc.c:1652  */
    break;

  case 210:
#line 1531 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 23973 "gram.c" /* yacc.c:1652  */
    break;

  case 211:
#line 1534 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read uncommitted"; }
#line 23979 "gram.c" /* yacc.c:1652  */
    break;

  case 212:
#line 1535 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read committed"; }
#line 23985 "gram.c" /* yacc.c:1652  */
    break;

  case 213:
#line 1536 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "repeatable read"; }
#line 23991 "gram.c" /* yacc.c:1652  */
    break;

  case 214:
#line 1537 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "serializable"; }
#line 23997 "gram.c" /* yacc.c:1652  */
    break;

  case 215:
#line 1541 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "true"; }
#line 24003 "gram.c" /* yacc.c:1652  */
    break;

  case 216:
#line 1542 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "false"; }
#line 24009 "gram.c" /* yacc.c:1652  */
    break;

  case 217:
#line 1543 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "on"; }
#line 24015 "gram.c" /* yacc.c:1652  */
    break;

  case 218:
#line 1549 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24021 "gram.c" /* yacc.c:1652  */
    break;

  case 219:
#line 1562 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24029 "gram.c" /* yacc.c:1652  */
    break;

  case 220:
#line 1566 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24037 "gram.c" /* yacc.c:1652  */
    break;

  case 221:
#line 1570 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 24056 "gram.c" /* yacc.c:1652  */
    break;

  case 222:
#line 1585 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 24067 "gram.c" /* yacc.c:1652  */
    break;

  case 223:
#line 1591 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24073 "gram.c" /* yacc.c:1652  */
    break;

  case 224:
#line 1592 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 24079 "gram.c" /* yacc.c:1652  */
    break;

  case 225:
#line 1593 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 24085 "gram.c" /* yacc.c:1652  */
    break;

  case 226:
#line 1597 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24091 "gram.c" /* yacc.c:1652  */
    break;

  case 227:
#line 1598 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 24097 "gram.c" /* yacc.c:1652  */
    break;

  case 228:
#line 1599 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 24103 "gram.c" /* yacc.c:1652  */
    break;

  case 229:
#line 1603 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24109 "gram.c" /* yacc.c:1652  */
    break;

  case 230:
#line 1604 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24115 "gram.c" /* yacc.c:1652  */
    break;

  case 231:
#line 1608 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 24121 "gram.c" /* yacc.c:1652  */
    break;

  case 232:
#line 1612 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24127 "gram.c" /* yacc.c:1652  */
    break;

  case 233:
#line 1614 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 24138 "gram.c" /* yacc.c:1652  */
    break;

  case 234:
#line 1621 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 24149 "gram.c" /* yacc.c:1652  */
    break;

  case 235:
#line 1628 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24160 "gram.c" /* yacc.c:1652  */
    break;

  case 236:
#line 1638 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 24171 "gram.c" /* yacc.c:1652  */
    break;

  case 237:
#line 1645 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 24181 "gram.c" /* yacc.c:1652  */
    break;

  case 238:
#line 1654 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24187 "gram.c" /* yacc.c:1652  */
    break;

  case 239:
#line 1655 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24193 "gram.c" /* yacc.c:1652  */
    break;

  case 240:
#line 1660 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24199 "gram.c" /* yacc.c:1652  */
    break;

  case 241:
#line 1661 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24205 "gram.c" /* yacc.c:1652  */
    break;

  case 242:
#line 1667 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24215 "gram.c" /* yacc.c:1652  */
    break;

  case 243:
#line 1673 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 24225 "gram.c" /* yacc.c:1652  */
    break;

  case 244:
#line 1679 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 24235 "gram.c" /* yacc.c:1652  */
    break;

  case 245:
#line 1685 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 24245 "gram.c" /* yacc.c:1652  */
    break;

  case 246:
#line 1691 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 24255 "gram.c" /* yacc.c:1652  */
    break;

  case 247:
#line 1701 "gram.y" /* yacc.c:1652  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 24266 "gram.c" /* yacc.c:1652  */
    break;

  case 248:
#line 1710 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 24272 "gram.c" /* yacc.c:1652  */
    break;

  case 249:
#line 1711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24278 "gram.c" /* yacc.c:1652  */
    break;

  case 250:
#line 1715 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 24284 "gram.c" /* yacc.c:1652  */
    break;

  case 251:
#line 1716 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 24290 "gram.c" /* yacc.c:1652  */
    break;

  case 252:
#line 1725 "gram.y" /* yacc.c:1652  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 24299 "gram.c" /* yacc.c:1652  */
    break;

  case 253:
#line 1740 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 24309 "gram.c" /* yacc.c:1652  */
    break;

  case 254:
#line 1746 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24319 "gram.c" /* yacc.c:1652  */
    break;

  case 255:
#line 1752 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24329 "gram.c" /* yacc.c:1652  */
    break;

  case 256:
#line 1758 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 24339 "gram.c" /* yacc.c:1652  */
    break;

  case 257:
#line 1764 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 24349 "gram.c" /* yacc.c:1652  */
    break;

  case 258:
#line 1783 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24362 "gram.c" /* yacc.c:1652  */
    break;

  case 259:
#line 1792 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24375 "gram.c" /* yacc.c:1652  */
    break;

  case 260:
#line 1801 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24390 "gram.c" /* yacc.c:1652  */
    break;

  case 261:
#line 1812 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24405 "gram.c" /* yacc.c:1652  */
    break;

  case 262:
#line 1823 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24418 "gram.c" /* yacc.c:1652  */
    break;

  case 263:
#line 1832 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24431 "gram.c" /* yacc.c:1652  */
    break;

  case 264:
#line 1841 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24446 "gram.c" /* yacc.c:1652  */
    break;

  case 265:
#line 1852 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24461 "gram.c" /* yacc.c:1652  */
    break;

  case 266:
#line 1863 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24474 "gram.c" /* yacc.c:1652  */
    break;

  case 267:
#line 1872 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24487 "gram.c" /* yacc.c:1652  */
    break;

  case 268:
#line 1881 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24500 "gram.c" /* yacc.c:1652  */
    break;

  case 269:
#line 1890 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24513 "gram.c" /* yacc.c:1652  */
    break;

  case 270:
#line 1899 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24526 "gram.c" /* yacc.c:1652  */
    break;

  case 271:
#line 1908 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24539 "gram.c" /* yacc.c:1652  */
    break;

  case 272:
#line 1917 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24554 "gram.c" /* yacc.c:1652  */
    break;

  case 273:
#line 1928 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24569 "gram.c" /* yacc.c:1652  */
    break;

  case 274:
#line 1941 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24575 "gram.c" /* yacc.c:1652  */
    break;

  case 275:
#line 1942 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24581 "gram.c" /* yacc.c:1652  */
    break;

  case 276:
#line 1948 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24592 "gram.c" /* yacc.c:1652  */
    break;

  case 277:
#line 1956 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24603 "gram.c" /* yacc.c:1652  */
    break;

  case 278:
#line 1964 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24615 "gram.c" /* yacc.c:1652  */
    break;

  case 279:
#line 1973 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24626 "gram.c" /* yacc.c:1652  */
    break;

  case 280:
#line 1981 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24637 "gram.c" /* yacc.c:1652  */
    break;

  case 281:
#line 1989 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 24649 "gram.c" /* yacc.c:1652  */
    break;

  case 282:
#line 1998 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24661 "gram.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2007 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24673 "gram.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2016 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 24685 "gram.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2025 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24698 "gram.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2035 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24711 "gram.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2048 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 24729 "gram.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2063 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24741 "gram.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2072 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24752 "gram.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2080 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 24770 "gram.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2095 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24781 "gram.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2103 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24794 "gram.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2113 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24807 "gram.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2123 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 24817 "gram.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2130 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 24827 "gram.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2137 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24838 "gram.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2145 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24849 "gram.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2153 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 24859 "gram.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2160 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 24869 "gram.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2167 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24880 "gram.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2175 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24891 "gram.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2183 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24902 "gram.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2191 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24912 "gram.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2198 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24922 "gram.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2205 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24933 "gram.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2213 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24943 "gram.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2220 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24953 "gram.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2227 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24964 "gram.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2235 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24975 "gram.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2243 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24986 "gram.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2251 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24997 "gram.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2259 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25008 "gram.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2267 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 25019 "gram.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2275 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 25032 "gram.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2285 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 25042 "gram.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2292 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25053 "gram.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2300 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25064 "gram.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2308 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25075 "gram.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2316 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25086 "gram.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2324 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25097 "gram.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2332 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25107 "gram.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2339 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25117 "gram.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2346 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25127 "gram.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2353 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25137 "gram.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2359 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25148 "gram.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2368 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25154 "gram.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2369 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25160 "gram.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2373 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 25166 "gram.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2374 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 25172 "gram.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2375 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 25178 "gram.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2380 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 25190 "gram.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2387 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25196 "gram.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2391 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25202 "gram.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2392 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25208 "gram.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2397 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25219 "gram.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2404 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25230 "gram.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2411 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25241 "gram.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2418 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25252 "gram.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2427 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25258 "gram.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2430 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25264 "gram.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2431 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25270 "gram.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2435 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25276 "gram.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2436 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25282 "gram.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2442 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25290 "gram.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2446 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25298 "gram.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2450 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 25307 "gram.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2455 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 25315 "gram.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2470 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 25329 "gram.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2482 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25335 "gram.c" /* yacc.c:1652  */
    break;

  case 350:
#line 2483 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25341 "gram.c" /* yacc.c:1652  */
    break;

  case 351:
#line 2489 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25353 "gram.c" /* yacc.c:1652  */
    break;

  case 352:
#line 2498 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25366 "gram.c" /* yacc.c:1652  */
    break;

  case 353:
#line 2508 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25379 "gram.c" /* yacc.c:1652  */
    break;

  case 354:
#line 2518 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25398 "gram.c" /* yacc.c:1652  */
    break;

  case 355:
#line 2544 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25408 "gram.c" /* yacc.c:1652  */
    break;

  case 356:
#line 2550 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25418 "gram.c" /* yacc.c:1652  */
    break;

  case 357:
#line 2581 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 25450 "gram.c" /* yacc.c:1652  */
    break;

  case 358:
#line 2609 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 25473 "gram.c" /* yacc.c:1652  */
    break;

  case 359:
#line 2630 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 25479 "gram.c" /* yacc.c:1652  */
    break;

  case 360:
#line 2631 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 25485 "gram.c" /* yacc.c:1652  */
    break;

  case 361:
#line 2635 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 25491 "gram.c" /* yacc.c:1652  */
    break;

  case 362:
#line 2636 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 25497 "gram.c" /* yacc.c:1652  */
    break;

  case 363:
#line 2645 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25503 "gram.c" /* yacc.c:1652  */
    break;

  case 364:
#line 2646 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 25509 "gram.c" /* yacc.c:1652  */
    break;

  case 365:
#line 2647 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 25515 "gram.c" /* yacc.c:1652  */
    break;

  case 366:
#line 2650 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25521 "gram.c" /* yacc.c:1652  */
    break;

  case 367:
#line 2651 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25527 "gram.c" /* yacc.c:1652  */
    break;

  case 368:
#line 2656 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25533 "gram.c" /* yacc.c:1652  */
    break;

  case 369:
#line 2657 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25539 "gram.c" /* yacc.c:1652  */
    break;

  case 370:
#line 2662 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25547 "gram.c" /* yacc.c:1652  */
    break;

  case 371:
#line 2666 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25555 "gram.c" /* yacc.c:1652  */
    break;

  case 372:
#line 2670 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 25563 "gram.c" /* yacc.c:1652  */
    break;

  case 373:
#line 2674 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25571 "gram.c" /* yacc.c:1652  */
    break;

  case 374:
#line 2678 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 25579 "gram.c" /* yacc.c:1652  */
    break;

  case 375:
#line 2682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 25587 "gram.c" /* yacc.c:1652  */
    break;

  case 376:
#line 2686 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 25595 "gram.c" /* yacc.c:1652  */
    break;

  case 377:
#line 2690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 25603 "gram.c" /* yacc.c:1652  */
    break;

  case 378:
#line 2694 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 25611 "gram.c" /* yacc.c:1652  */
    break;

  case 379:
#line 2698 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 25619 "gram.c" /* yacc.c:1652  */
    break;

  case 380:
#line 2702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 25627 "gram.c" /* yacc.c:1652  */
    break;

  case 381:
#line 2706 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 25635 "gram.c" /* yacc.c:1652  */
    break;

  case 382:
#line 2710 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 25643 "gram.c" /* yacc.c:1652  */
    break;

  case 383:
#line 2714 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 25651 "gram.c" /* yacc.c:1652  */
    break;

  case 384:
#line 2723 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25659 "gram.c" /* yacc.c:1652  */
    break;

  case 385:
#line 2726 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25665 "gram.c" /* yacc.c:1652  */
    break;

  case 386:
#line 2731 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25673 "gram.c" /* yacc.c:1652  */
    break;

  case 387:
#line 2734 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25679 "gram.c" /* yacc.c:1652  */
    break;

  case 388:
#line 2739 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25687 "gram.c" /* yacc.c:1652  */
    break;

  case 389:
#line 2742 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 25693 "gram.c" /* yacc.c:1652  */
    break;

  case 390:
#line 2746 "gram.y" /* yacc.c:1652  */
    {}
#line 25699 "gram.c" /* yacc.c:1652  */
    break;

  case 391:
#line 2747 "gram.y" /* yacc.c:1652  */
    {}
#line 25705 "gram.c" /* yacc.c:1652  */
    break;

  case 392:
#line 2753 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25713 "gram.c" /* yacc.c:1652  */
    break;

  case 393:
#line 2757 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25721 "gram.c" /* yacc.c:1652  */
    break;

  case 394:
#line 2764 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25729 "gram.c" /* yacc.c:1652  */
    break;

  case 395:
#line 2770 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25735 "gram.c" /* yacc.c:1652  */
    break;

  case 396:
#line 2771 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 25741 "gram.c" /* yacc.c:1652  */
    break;

  case 397:
#line 2772 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 25747 "gram.c" /* yacc.c:1652  */
    break;

  case 398:
#line 2773 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 25753 "gram.c" /* yacc.c:1652  */
    break;

  case 399:
#line 2774 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25759 "gram.c" /* yacc.c:1652  */
    break;

  case 400:
#line 2779 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25767 "gram.c" /* yacc.c:1652  */
    break;

  case 401:
#line 2783 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25775 "gram.c" /* yacc.c:1652  */
    break;

  case 402:
#line 2790 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25781 "gram.c" /* yacc.c:1652  */
    break;

  case 403:
#line 2803 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25800 "gram.c" /* yacc.c:1652  */
    break;

  case 404:
#line 2820 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25819 "gram.c" /* yacc.c:1652  */
    break;

  case 405:
#line 2836 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25839 "gram.c" /* yacc.c:1652  */
    break;

  case 406:
#line 2853 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25859 "gram.c" /* yacc.c:1652  */
    break;

  case 407:
#line 2881 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25865 "gram.c" /* yacc.c:1652  */
    break;

  case 408:
#line 2882 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25871 "gram.c" /* yacc.c:1652  */
    break;

  case 409:
#line 2883 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25877 "gram.c" /* yacc.c:1652  */
    break;

  case 410:
#line 2884 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25883 "gram.c" /* yacc.c:1652  */
    break;

  case 411:
#line 2886 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25894 "gram.c" /* yacc.c:1652  */
    break;

  case 412:
#line 2893 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25905 "gram.c" /* yacc.c:1652  */
    break;

  case 413:
#line 2899 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 25911 "gram.c" /* yacc.c:1652  */
    break;

  case 414:
#line 2900 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 25917 "gram.c" /* yacc.c:1652  */
    break;

  case 415:
#line 2904 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25923 "gram.c" /* yacc.c:1652  */
    break;

  case 416:
#line 2905 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25929 "gram.c" /* yacc.c:1652  */
    break;

  case 417:
#line 2909 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25935 "gram.c" /* yacc.c:1652  */
    break;

  case 418:
#line 2910 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25941 "gram.c" /* yacc.c:1652  */
    break;

  case 419:
#line 2915 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25949 "gram.c" /* yacc.c:1652  */
    break;

  case 420:
#line 2919 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25957 "gram.c" /* yacc.c:1652  */
    break;

  case 421:
#line 2926 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25965 "gram.c" /* yacc.c:1652  */
    break;

  case 422:
#line 2930 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25973 "gram.c" /* yacc.c:1652  */
    break;

  case 423:
#line 2936 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25979 "gram.c" /* yacc.c:1652  */
    break;

  case 424:
#line 2937 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25985 "gram.c" /* yacc.c:1652  */
    break;

  case 425:
#line 2938 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25991 "gram.c" /* yacc.c:1652  */
    break;

  case 426:
#line 2942 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25997 "gram.c" /* yacc.c:1652  */
    break;

  case 427:
#line 2943 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26003 "gram.c" /* yacc.c:1652  */
    break;

  case 428:
#line 2947 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26026 "gram.c" /* yacc.c:1652  */
    break;

  case 429:
#line 2968 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26048 "gram.c" /* yacc.c:1652  */
    break;

  case 430:
#line 2988 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 26054 "gram.c" /* yacc.c:1652  */
    break;

  case 431:
#line 2989 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26060 "gram.c" /* yacc.c:1652  */
    break;

  case 432:
#line 2994 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26072 "gram.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3001 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26078 "gram.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3002 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26084 "gram.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3004 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26101 "gram.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3035 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26112 "gram.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3042 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26123 "gram.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3049 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26138 "gram.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3060 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26153 "gram.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3071 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26167 "gram.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3081 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26180 "gram.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3090 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 26199 "gram.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3123 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26210 "gram.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3130 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26221 "gram.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3137 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26232 "gram.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3144 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26243 "gram.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3155 "gram.y" /* yacc.c:1652  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 26254 "gram.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3164 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 26260 "gram.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3165 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 26266 "gram.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3166 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 26272 "gram.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3170 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 26278 "gram.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3171 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 26284 "gram.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3172 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 26290 "gram.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3173 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 26296 "gram.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3174 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 26302 "gram.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3175 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 26308 "gram.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3185 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26320 "gram.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3192 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26326 "gram.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3197 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26343 "gram.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3211 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26361 "gram.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3225 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26379 "gram.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3240 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26397 "gram.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3254 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26415 "gram.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3270 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26435 "gram.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3287 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26457 "gram.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3306 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = TRUE; }
#line 26463 "gram.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3307 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = FALSE; }
#line 26469 "gram.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3311 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26475 "gram.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3312 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26481 "gram.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3316 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26487 "gram.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3317 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26493 "gram.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3321 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 26501 "gram.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3327 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 26509 "gram.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3331 "gram.y" /* yacc.c:1652  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 26521 "gram.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3339 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26529 "gram.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3343 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26537 "gram.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3349 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26543 "gram.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3351 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26549 "gram.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3355 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 26557 "gram.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3360 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 26565 "gram.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3366 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 26571 "gram.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3367 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26577 "gram.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3378 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26583 "gram.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3380 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26589 "gram.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3382 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26595 "gram.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3384 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 26601 "gram.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3386 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26607 "gram.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3389 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26613 "gram.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3392 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26619 "gram.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3396 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 26625 "gram.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3397 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 26631 "gram.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3398 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 26637 "gram.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3399 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 26643 "gram.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3400 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 26649 "gram.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3403 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26655 "gram.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3404 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26661 "gram.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3409 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26667 "gram.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3410 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 26673 "gram.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3411 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 26679 "gram.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3412 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26685 "gram.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3415 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 26691 "gram.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3416 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 26697 "gram.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3417 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 26703 "gram.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3418 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 26709 "gram.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3421 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26715 "gram.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3422 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26721 "gram.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3425 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26727 "gram.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3426 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26733 "gram.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3429 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26739 "gram.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3445 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26756 "gram.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3458 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26773 "gram.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3474 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26788 "gram.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3487 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 26794 "gram.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3488 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 26800 "gram.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3489 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 26806 "gram.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3502 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26823 "gram.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3515 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26840 "gram.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3531 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26855 "gram.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3543 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 26861 "gram.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3544 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 26867 "gram.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3557 "gram.y" /* yacc.c:1652  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 26879 "gram.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3577 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26893 "gram.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3587 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26907 "gram.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3600 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26919 "gram.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3608 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26931 "gram.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3618 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26937 "gram.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3619 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26943 "gram.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3622 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26949 "gram.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3623 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26955 "gram.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3627 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 26963 "gram.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3631 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 26971 "gram.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3635 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 26979 "gram.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3639 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 26987 "gram.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3643 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 26995 "gram.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3647 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 27003 "gram.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3651 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 27011 "gram.c" /* yacc.c:1652  */
    break;

  case 537:
#line 3655 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 27019 "gram.c" /* yacc.c:1652  */
    break;

  case 538:
#line 3659 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 27027 "gram.c" /* yacc.c:1652  */
    break;

  case 539:
#line 3663 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 27035 "gram.c" /* yacc.c:1652  */
    break;

  case 540:
#line 3667 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 27043 "gram.c" /* yacc.c:1652  */
    break;

  case 541:
#line 3671 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 27051 "gram.c" /* yacc.c:1652  */
    break;

  case 542:
#line 3676 "gram.y" /* yacc.c:1652  */
    {}
#line 27057 "gram.c" /* yacc.c:1652  */
    break;

  case 543:
#line 3677 "gram.y" /* yacc.c:1652  */
    {}
#line 27063 "gram.c" /* yacc.c:1652  */
    break;

  case 544:
#line 3681 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27069 "gram.c" /* yacc.c:1652  */
    break;

  case 545:
#line 3682 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27075 "gram.c" /* yacc.c:1652  */
    break;

  case 546:
#line 3684 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 27084 "gram.c" /* yacc.c:1652  */
    break;

  case 547:
#line 3688 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 27090 "gram.c" /* yacc.c:1652  */
    break;

  case 548:
#line 3691 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 27096 "gram.c" /* yacc.c:1652  */
    break;

  case 549:
#line 3692 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 27102 "gram.c" /* yacc.c:1652  */
    break;

  case 550:
#line 3705 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 27118 "gram.c" /* yacc.c:1652  */
    break;

  case 551:
#line 3718 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 27133 "gram.c" /* yacc.c:1652  */
    break;

  case 552:
#line 3731 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 27139 "gram.c" /* yacc.c:1652  */
    break;

  case 553:
#line 3732 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 27145 "gram.c" /* yacc.c:1652  */
    break;

  case 554:
#line 3740 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27151 "gram.c" /* yacc.c:1652  */
    break;

  case 555:
#line 3741 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 27157 "gram.c" /* yacc.c:1652  */
    break;

  case 556:
#line 3745 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27163 "gram.c" /* yacc.c:1652  */
    break;

  case 557:
#line 3746 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27169 "gram.c" /* yacc.c:1652  */
    break;

  case 558:
#line 3750 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27175 "gram.c" /* yacc.c:1652  */
    break;

  case 559:
#line 3751 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27181 "gram.c" /* yacc.c:1652  */
    break;

  case 560:
#line 3755 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27187 "gram.c" /* yacc.c:1652  */
    break;

  case 561:
#line 3756 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27193 "gram.c" /* yacc.c:1652  */
    break;

  case 562:
#line 3761 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27208 "gram.c" /* yacc.c:1652  */
    break;

  case 563:
#line 3772 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27222 "gram.c" /* yacc.c:1652  */
    break;

  case 564:
#line 3784 "gram.y" /* yacc.c:1652  */
    {}
#line 27228 "gram.c" /* yacc.c:1652  */
    break;

  case 565:
#line 3785 "gram.y" /* yacc.c:1652  */
    {}
#line 27234 "gram.c" /* yacc.c:1652  */
    break;

  case 566:
#line 3796 "gram.y" /* yacc.c:1652  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].node);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27247 "gram.c" /* yacc.c:1652  */
    break;

  case 567:
#line 3806 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27253 "gram.c" /* yacc.c:1652  */
    break;

  case 568:
#line 3807 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27259 "gram.c" /* yacc.c:1652  */
    break;

  case 569:
#line 3821 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 27270 "gram.c" /* yacc.c:1652  */
    break;

  case 570:
#line 3828 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 27281 "gram.c" /* yacc.c:1652  */
    break;

  case 571:
#line 3845 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27293 "gram.c" /* yacc.c:1652  */
    break;

  case 572:
#line 3853 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27305 "gram.c" /* yacc.c:1652  */
    break;

  case 573:
#line 3864 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27311 "gram.c" /* yacc.c:1652  */
    break;

  case 574:
#line 3866 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27317 "gram.c" /* yacc.c:1652  */
    break;

  case 575:
#line 3871 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 27325 "gram.c" /* yacc.c:1652  */
    break;

  case 576:
#line 3875 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27333 "gram.c" /* yacc.c:1652  */
    break;

  case 577:
#line 3879 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27341 "gram.c" /* yacc.c:1652  */
    break;

  case 578:
#line 3891 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27352 "gram.c" /* yacc.c:1652  */
    break;

  case 579:
#line 3901 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27358 "gram.c" /* yacc.c:1652  */
    break;

  case 580:
#line 3903 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27364 "gram.c" /* yacc.c:1652  */
    break;

  case 581:
#line 3908 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27372 "gram.c" /* yacc.c:1652  */
    break;

  case 582:
#line 3921 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 27386 "gram.c" /* yacc.c:1652  */
    break;

  case 583:
#line 3931 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 27400 "gram.c" /* yacc.c:1652  */
    break;

  case 584:
#line 3941 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27413 "gram.c" /* yacc.c:1652  */
    break;

  case 585:
#line 3950 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27426 "gram.c" /* yacc.c:1652  */
    break;

  case 586:
#line 3959 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27439 "gram.c" /* yacc.c:1652  */
    break;

  case 587:
#line 3968 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 27453 "gram.c" /* yacc.c:1652  */
    break;

  case 588:
#line 3978 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27466 "gram.c" /* yacc.c:1652  */
    break;

  case 589:
#line 3987 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27480 "gram.c" /* yacc.c:1652  */
    break;

  case 590:
#line 3997 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27493 "gram.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4006 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27506 "gram.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4015 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27519 "gram.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4024 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27532 "gram.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4033 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27545 "gram.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4042 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27558 "gram.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4051 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27571 "gram.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4060 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27584 "gram.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4069 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27597 "gram.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4078 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27610 "gram.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4087 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27623 "gram.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4096 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27636 "gram.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4105 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27649 "gram.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4114 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27662 "gram.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4123 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27675 "gram.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4132 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27689 "gram.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4142 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27702 "gram.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4160 "gram.y" /* yacc.c:1652  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27714 "gram.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4170 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 27720 "gram.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4171 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 27726 "gram.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4172 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 27732 "gram.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4173 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 27738 "gram.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4177 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27744 "gram.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4178 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27750 "gram.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4182 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27756 "gram.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4183 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27762 "gram.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4194 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27777 "gram.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4205 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27792 "gram.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4225 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27804 "gram.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4233 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 27816 "gram.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27822 "gram.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4245 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27828 "gram.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4250 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27836 "gram.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4254 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27844 "gram.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4261 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27850 "gram.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4266 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27858 "gram.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4270 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27866 "gram.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4277 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27874 "gram.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4281 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 27883 "gram.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4286 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 27892 "gram.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4291 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 27900 "gram.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4298 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 27908 "gram.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4304 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27914 "gram.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4309 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27920 "gram.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4321 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27934 "gram.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4333 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27940 "gram.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4334 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27946 "gram.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4339 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27952 "gram.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4340 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27958 "gram.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4344 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27964 "gram.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4345 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27970 "gram.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4356 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27985 "gram.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4367 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28000 "gram.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4387 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28013 "gram.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4396 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 28025 "gram.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4404 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28036 "gram.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4423 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28058 "gram.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4443 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28080 "gram.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4471 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28093 "gram.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4480 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28106 "gram.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4502 "gram.y" /* yacc.c:1652  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 28121 "gram.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4515 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 28127 "gram.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4516 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 28133 "gram.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4521 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 28144 "gram.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4528 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 28155 "gram.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4544 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28167 "gram.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4554 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28173 "gram.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4555 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 28179 "gram.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4566 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28191 "gram.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4574 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28203 "gram.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4591 "gram.y" /* yacc.c:1652  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28215 "gram.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4615 "gram.y" /* yacc.c:1652  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-6].str);
					n->table = (yyvsp[-4].range);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28230 "gram.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4630 "gram.y" /* yacc.c:1652  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28244 "gram.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4643 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28259 "gram.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4654 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28274 "gram.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4667 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28280 "gram.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4668 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28286 "gram.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4672 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28292 "gram.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4673 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28298 "gram.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4677 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28304 "gram.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4678 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 28310 "gram.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4682 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28316 "gram.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4683 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NULL; }
#line 28322 "gram.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4687 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28328 "gram.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4688 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 28334 "gram.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4692 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 28340 "gram.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4693 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "select"; }
#line 28346 "gram.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4694 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "insert"; }
#line 28352 "gram.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4695 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "update"; }
#line 28358 "gram.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4696 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "delete"; }
#line 28364 "gram.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4711 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28386 "gram.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4732 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 28409 "gram.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4753 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 28415 "gram.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4754 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 28421 "gram.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4755 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 28427 "gram.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4760 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28433 "gram.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4762 "gram.y" /* yacc.c:1652  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 28456 "gram.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4784 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 28462 "gram.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4786 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 28468 "gram.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4788 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 28474 "gram.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4790 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 28480 "gram.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4792 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 28486 "gram.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4797 "gram.y" /* yacc.c:1652  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 28494 "gram.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4801 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 28506 "gram.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4811 "gram.y" /* yacc.c:1652  */
    {}
#line 28512 "gram.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4812 "gram.y" /* yacc.c:1652  */
    {}
#line 28518 "gram.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4816 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 28524 "gram.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4817 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 28530 "gram.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4821 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28536 "gram.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4822 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28542 "gram.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4826 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28548 "gram.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4827 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28554 "gram.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4828 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28560 "gram.c" /* yacc.c:1652  */
    break;

  case 703:
#line 4833 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 28568 "gram.c" /* yacc.c:1652  */
    break;

  case 704:
#line 4836 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28574 "gram.c" /* yacc.c:1652  */
    break;

  case 705:
#line 4837 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28580 "gram.c" /* yacc.c:1652  */
    break;

  case 706:
#line 4838 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28586 "gram.c" /* yacc.c:1652  */
    break;

  case 707:
#line 4842 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = (yyvsp[0].range); }
#line 28592 "gram.c" /* yacc.c:1652  */
    break;

  case 708:
#line 4843 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = NULL; }
#line 28598 "gram.c" /* yacc.c:1652  */
    break;

  case 709:
#line 4848 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 28604 "gram.c" /* yacc.c:1652  */
    break;

  case 710:
#line 4850 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 28632 "gram.c" /* yacc.c:1652  */
    break;

  case 711:
#line 4876 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 28638 "gram.c" /* yacc.c:1652  */
    break;

  case 712:
#line 4877 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 28644 "gram.c" /* yacc.c:1652  */
    break;

  case 713:
#line 4878 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 28650 "gram.c" /* yacc.c:1652  */
    break;

  case 714:
#line 4879 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 28656 "gram.c" /* yacc.c:1652  */
    break;

  case 715:
#line 4880 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 28662 "gram.c" /* yacc.c:1652  */
    break;

  case 716:
#line 4881 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 28668 "gram.c" /* yacc.c:1652  */
    break;

  case 717:
#line 4887 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28683 "gram.c" /* yacc.c:1652  */
    break;

  case 718:
#line 4898 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28698 "gram.c" /* yacc.c:1652  */
    break;

  case 719:
#line 4922 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28711 "gram.c" /* yacc.c:1652  */
    break;

  case 720:
#line 4933 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28724 "gram.c" /* yacc.c:1652  */
    break;

  case 721:
#line 4945 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28730 "gram.c" /* yacc.c:1652  */
    break;

  case 722:
#line 4947 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28736 "gram.c" /* yacc.c:1652  */
    break;

  case 723:
#line 4952 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 28742 "gram.c" /* yacc.c:1652  */
    break;

  case 724:
#line 4957 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28748 "gram.c" /* yacc.c:1652  */
    break;

  case 725:
#line 4959 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 28754 "gram.c" /* yacc.c:1652  */
    break;

  case 726:
#line 4964 "gram.y" /* yacc.c:1652  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 28765 "gram.c" /* yacc.c:1652  */
    break;

  case 727:
#line 4973 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 28771 "gram.c" /* yacc.c:1652  */
    break;

  case 728:
#line 4974 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 28777 "gram.c" /* yacc.c:1652  */
    break;

  case 729:
#line 4975 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 28783 "gram.c" /* yacc.c:1652  */
    break;

  case 730:
#line 4976 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 28789 "gram.c" /* yacc.c:1652  */
    break;

  case 731:
#line 4990 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 28809 "gram.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5009 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 28825 "gram.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5032 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28839 "gram.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5042 "gram.y" /* yacc.c:1652  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28854 "gram.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5053 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28868 "gram.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5063 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28882 "gram.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5073 "gram.y" /* yacc.c:1652  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28897 "gram.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5084 "gram.y" /* yacc.c:1652  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28910 "gram.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5093 "gram.y" /* yacc.c:1652  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28921 "gram.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5100 "gram.y" /* yacc.c:1652  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28932 "gram.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5107 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28945 "gram.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5116 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28958 "gram.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5125 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5134 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28984 "gram.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5143 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28997 "gram.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5152 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 29010 "gram.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5162 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29016 "gram.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5165 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29022 "gram.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5166 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29028 "gram.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5170 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 29036 "gram.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5174 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 29044 "gram.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5180 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 29050 "gram.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5181 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 29056 "gram.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5182 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 29062 "gram.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5183 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 29068 "gram.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5184 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 29074 "gram.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5187 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29080 "gram.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5190 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29086 "gram.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5191 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29092 "gram.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5200 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 29100 "gram.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5206 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29106 "gram.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5207 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29112 "gram.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5211 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29118 "gram.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5213 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29124 "gram.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5224 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29138 "gram.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5234 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29152 "gram.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5244 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29166 "gram.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5255 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29172 "gram.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5256 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29178 "gram.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5274 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29193 "gram.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5287 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29199 "gram.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5288 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29205 "gram.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5293 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29219 "gram.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5304 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29233 "gram.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5314 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 29246 "gram.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5323 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29260 "gram.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5333 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 29271 "gram.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5341 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 29277 "gram.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5342 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 29283 "gram.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5345 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29289 "gram.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5346 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29295 "gram.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5349 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29301 "gram.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5350 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29307 "gram.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5351 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29313 "gram.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5355 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 29331 "gram.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5368 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 29337 "gram.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5374 "gram.y" /* yacc.c:1652  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29348 "gram.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5384 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29361 "gram.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5393 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29374 "gram.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5404 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29380 "gram.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5405 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29386 "gram.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5410 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29398 "gram.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5418 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29410 "gram.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5430 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29424 "gram.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5440 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29438 "gram.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5453 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29452 "gram.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5463 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29466 "gram.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5485 "gram.y" /* yacc.c:1652  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29477 "gram.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5495 "gram.y" /* yacc.c:1652  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29488 "gram.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5513 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29503 "gram.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5524 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29518 "gram.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5535 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29532 "gram.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5545 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29546 "gram.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5555 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29560 "gram.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5565 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29574 "gram.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5575 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29589 "gram.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5586 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29604 "gram.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5599 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29610 "gram.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5600 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 29616 "gram.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5601 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 29622 "gram.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5602 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 29628 "gram.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5603 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29634 "gram.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5604 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 29640 "gram.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5605 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 29646 "gram.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5606 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 29652 "gram.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5607 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 29658 "gram.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5608 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 29664 "gram.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5609 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 29670 "gram.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5610 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 29676 "gram.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5611 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 29682 "gram.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5612 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 29688 "gram.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5613 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 29694 "gram.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5617 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29700 "gram.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5618 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29706 "gram.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5621 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29712 "gram.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5622 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 29718 "gram.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5626 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29724 "gram.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5628 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29730 "gram.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5632 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(list_make1((yyvsp[0].typnam))); }
#line 29736 "gram.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5633 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), list_make1((yyvsp[0].typnam))); }
#line 29742 "gram.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5645 "gram.y" /* yacc.c:1652  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29754 "gram.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5655 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29760 "gram.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5656 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29766 "gram.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5657 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29772 "gram.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5691 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29785 "gram.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5700 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29798 "gram.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5709 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29811 "gram.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5718 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29824 "gram.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5727 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29837 "gram.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5736 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29850 "gram.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5745 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29863 "gram.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5754 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->objname = list_make1(makeTypeNameFromNameList((yyvsp[-2].list)));
					n->objargs = list_make1(makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29881 "gram.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5768 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29894 "gram.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5777 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29907 "gram.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5786 "gram.y" /* yacc.c:1652  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29921 "gram.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5796 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-4].typnam));
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29934 "gram.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5805 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29947 "gram.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5814 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29959 "gram.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5822 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29972 "gram.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5831 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29985 "gram.c" /* yacc.c:1652  */
    break;

  case 851:
#line 5840 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29998 "gram.c" /* yacc.c:1652  */
    break;

  case 852:
#line 5849 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30011 "gram.c" /* yacc.c:1652  */
    break;

  case 853:
#line 5860 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30017 "gram.c" /* yacc.c:1652  */
    break;

  case 854:
#line 5861 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30023 "gram.c" /* yacc.c:1652  */
    break;

  case 855:
#line 5862 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30029 "gram.c" /* yacc.c:1652  */
    break;

  case 856:
#line 5863 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 30035 "gram.c" /* yacc.c:1652  */
    break;

  case 857:
#line 5864 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30041 "gram.c" /* yacc.c:1652  */
    break;

  case 858:
#line 5865 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30047 "gram.c" /* yacc.c:1652  */
    break;

  case 859:
#line 5866 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30053 "gram.c" /* yacc.c:1652  */
    break;

  case 860:
#line 5867 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30059 "gram.c" /* yacc.c:1652  */
    break;

  case 861:
#line 5868 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 30065 "gram.c" /* yacc.c:1652  */
    break;

  case 862:
#line 5869 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 30071 "gram.c" /* yacc.c:1652  */
    break;

  case 863:
#line 5870 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30077 "gram.c" /* yacc.c:1652  */
    break;

  case 864:
#line 5871 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 30083 "gram.c" /* yacc.c:1652  */
    break;

  case 865:
#line 5872 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30089 "gram.c" /* yacc.c:1652  */
    break;

  case 866:
#line 5873 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30095 "gram.c" /* yacc.c:1652  */
    break;

  case 867:
#line 5874 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 30101 "gram.c" /* yacc.c:1652  */
    break;

  case 868:
#line 5875 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 30107 "gram.c" /* yacc.c:1652  */
    break;

  case 869:
#line 5876 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30113 "gram.c" /* yacc.c:1652  */
    break;

  case 870:
#line 5877 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 30119 "gram.c" /* yacc.c:1652  */
    break;

  case 871:
#line 5878 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 30125 "gram.c" /* yacc.c:1652  */
    break;

  case 872:
#line 5879 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 30131 "gram.c" /* yacc.c:1652  */
    break;

  case 873:
#line 5880 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 30137 "gram.c" /* yacc.c:1652  */
    break;

  case 874:
#line 5884 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30143 "gram.c" /* yacc.c:1652  */
    break;

  case 875:
#line 5885 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30149 "gram.c" /* yacc.c:1652  */
    break;

  case 876:
#line 5901 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30163 "gram.c" /* yacc.c:1652  */
    break;

  case 877:
#line 5912 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30177 "gram.c" /* yacc.c:1652  */
    break;

  case 878:
#line 5923 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30191 "gram.c" /* yacc.c:1652  */
    break;

  case 879:
#line 5934 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30205 "gram.c" /* yacc.c:1652  */
    break;

  case 880:
#line 5945 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30219 "gram.c" /* yacc.c:1652  */
    break;

  case 881:
#line 5956 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30233 "gram.c" /* yacc.c:1652  */
    break;

  case 882:
#line 5967 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30247 "gram.c" /* yacc.c:1652  */
    break;

  case 883:
#line 5978 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30253 "gram.c" /* yacc.c:1652  */
    break;

  case 884:
#line 5979 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30259 "gram.c" /* yacc.c:1652  */
    break;

  case 885:
#line 5983 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30265 "gram.c" /* yacc.c:1652  */
    break;

  case 886:
#line 5984 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30271 "gram.c" /* yacc.c:1652  */
    break;

  case 887:
#line 5985 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30277 "gram.c" /* yacc.c:1652  */
    break;

  case 888:
#line 5986 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30283 "gram.c" /* yacc.c:1652  */
    break;

  case 889:
#line 5987 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30289 "gram.c" /* yacc.c:1652  */
    break;

  case 890:
#line 5988 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30295 "gram.c" /* yacc.c:1652  */
    break;

  case 891:
#line 5989 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30301 "gram.c" /* yacc.c:1652  */
    break;

  case 892:
#line 5990 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30307 "gram.c" /* yacc.c:1652  */
    break;

  case 893:
#line 5991 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30313 "gram.c" /* yacc.c:1652  */
    break;

  case 894:
#line 5992 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30319 "gram.c" /* yacc.c:1652  */
    break;

  case 895:
#line 5993 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30325 "gram.c" /* yacc.c:1652  */
    break;

  case 896:
#line 5996 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30331 "gram.c" /* yacc.c:1652  */
    break;

  case 897:
#line 5997 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30337 "gram.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6008 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30347 "gram.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6014 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30357 "gram.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6022 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30369 "gram.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6030 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30381 "gram.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6038 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30393 "gram.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6046 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30405 "gram.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6054 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30417 "gram.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6062 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 30429 "gram.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6070 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30441 "gram.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6078 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30453 "gram.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6086 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30465 "gram.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6094 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30477 "gram.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6102 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30489 "gram.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6110 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30501 "gram.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6118 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30513 "gram.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6126 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30525 "gram.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6134 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30537 "gram.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6142 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30549 "gram.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6151 "gram.y" /* yacc.c:1652  */
    {}
#line 30555 "gram.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6152 "gram.y" /* yacc.c:1652  */
    {}
#line 30561 "gram.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6155 "gram.y" /* yacc.c:1652  */
    {}
#line 30567 "gram.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6156 "gram.y" /* yacc.c:1652  */
    {}
#line 30573 "gram.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6168 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30589 "gram.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6184 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30606 "gram.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6198 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30623 "gram.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6223 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30629 "gram.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6225 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30635 "gram.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6227 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30641 "gram.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6229 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30652 "gram.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6236 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30663 "gram.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 30669 "gram.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6245 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 30675 "gram.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6249 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30686 "gram.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6256 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30697 "gram.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6263 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30708 "gram.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6270 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30719 "gram.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6284 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30731 "gram.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6292 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30743 "gram.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6300 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30755 "gram.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6308 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30767 "gram.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6316 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30779 "gram.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6324 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30791 "gram.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6332 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30803 "gram.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6340 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30815 "gram.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6348 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30827 "gram.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6356 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30839 "gram.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6364 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30851 "gram.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6372 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30863 "gram.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6380 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30875 "gram.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6388 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30887 "gram.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6396 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30899 "gram.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6404 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30911 "gram.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6415 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30917 "gram.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6416 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30923 "gram.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6420 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30929 "gram.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6421 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30935 "gram.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6426 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 30941 "gram.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6427 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 30947 "gram.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6431 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 30953 "gram.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6433 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 30959 "gram.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6438 "gram.y" /* yacc.c:1652  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 30970 "gram.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6454 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 30984 "gram.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6467 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 30998 "gram.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6477 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31012 "gram.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6488 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31018 "gram.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6489 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31024 "gram.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6492 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31030 "gram.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6493 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31036 "gram.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6504 "gram.y" /* yacc.c:1652  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31047 "gram.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6513 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31053 "gram.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6514 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31059 "gram.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6519 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 31067 "gram.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6523 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31075 "gram.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6527 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31083 "gram.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6539 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31099 "gram.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6552 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31116 "gram.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6566 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31133 "gram.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6581 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 31139 "gram.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6582 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 31145 "gram.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6583 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 31151 "gram.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6584 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 31157 "gram.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6599 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31185 "gram.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6625 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31213 "gram.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6651 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31219 "gram.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6652 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31225 "gram.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6656 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31231 "gram.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6657 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31237 "gram.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6661 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31243 "gram.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6662 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31249 "gram.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6666 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31255 "gram.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6667 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 31261 "gram.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6670 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 31267 "gram.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6671 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 31273 "gram.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6680 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31288 "gram.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6691 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31303 "gram.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31318 "gram.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6714 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31324 "gram.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6715 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31330 "gram.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6718 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31336 "gram.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6719 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31342 "gram.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6720 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31348 "gram.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6723 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_ASC; }
#line 31354 "gram.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6724 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DESC; }
#line 31360 "gram.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 6725 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 31366 "gram.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 6728 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 31372 "gram.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 6729 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 31378 "gram.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 6730 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 31384 "gram.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 6748 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31399 "gram.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 6760 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31415 "gram.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 6773 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31430 "gram.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 6786 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 31436 "gram.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 6787 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 31442 "gram.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 6790 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31448 "gram.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 6791 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31454 "gram.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 6795 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31460 "gram.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 6796 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31466 "gram.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 6804 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31472 "gram.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 6805 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31478 "gram.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 6809 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31484 "gram.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 6811 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31490 "gram.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 6826 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31503 "gram.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 6835 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31516 "gram.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 6844 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31529 "gram.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 6853 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31542 "gram.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 6862 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31555 "gram.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 6873 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 31561 "gram.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 6874 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 31567 "gram.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 6875 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31573 "gram.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 6876 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31579 "gram.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 6877 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 31585 "gram.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 6888 "gram.y" /* yacc.c:1652  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31597 "gram.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 6902 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31603 "gram.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 6904 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31613 "gram.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 6910 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31624 "gram.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 6920 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31632 "gram.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 6924 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31641 "gram.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 6929 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31650 "gram.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 6937 "gram.y" /* yacc.c:1652  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31664 "gram.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 6978 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 31672 "gram.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 6982 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 31680 "gram.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 6986 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 31688 "gram.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 6990 "gram.y" /* yacc.c:1652  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 31697 "gram.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 6997 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31703 "gram.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 6998 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31709 "gram.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 7003 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31715 "gram.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 7004 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31721 "gram.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 7012 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 31729 "gram.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 7016 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31737 "gram.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 7020 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31745 "gram.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 7024 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 31753 "gram.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 7028 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 31761 "gram.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 7032 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 31769 "gram.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 7036 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31777 "gram.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 7040 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31785 "gram.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 7044 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31793 "gram.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 7048 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31801 "gram.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 7052 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 31809 "gram.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 7056 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 31817 "gram.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 7060 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 31825 "gram.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 7064 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 31833 "gram.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 7068 "gram.y" /* yacc.c:1652  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 31842 "gram.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 7076 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 31850 "gram.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 7080 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 31858 "gram.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 7084 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list));
				}
#line 31866 "gram.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 7088 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 31874 "gram.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 7092 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31882 "gram.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7097 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31888 "gram.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7099 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 31896 "gram.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7105 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31902 "gram.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7106 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 31908 "gram.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7110 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31914 "gram.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7111 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31920 "gram.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7115 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31933 "gram.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7127 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 31941 "gram.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7131 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 31949 "gram.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7146 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31960 "gram.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7156 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31966 "gram.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7157 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31972 "gram.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7179 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31987 "gram.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7190 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32002 "gram.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7204 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32017 "gram.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7215 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32032 "gram.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7229 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32047 "gram.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7240 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32062 "gram.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7254 "gram.y" /* yacc.c:1652  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 32074 "gram.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7262 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 32080 "gram.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7264 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 32086 "gram.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7266 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 32092 "gram.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7271 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32098 "gram.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7273 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 32104 "gram.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7286 "gram.y" /* yacc.c:1652  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32114 "gram.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7294 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32120 "gram.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7295 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32126 "gram.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7300 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 32134 "gram.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7304 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 32142 "gram.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7317 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32156 "gram.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7328 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32170 "gram.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7339 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 32184 "gram.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7350 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 32190 "gram.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7351 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 32196 "gram.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7352 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 32202 "gram.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7357 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32217 "gram.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7369 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 32223 "gram.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7370 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 32229 "gram.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7381 "gram.y" /* yacc.c:1652  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 32243 "gram.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7393 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-6].funwithargs), (yyvsp[0].funwithargs));
				}
#line 32251 "gram.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7397 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), (yyvsp[-6].funwithargs));
				}
#line 32259 "gram.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7401 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), NULL);
				}
#line 32267 "gram.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7405 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].funwithargs));
				}
#line 32275 "gram.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7412 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make1((yyvsp[-3].typnam)));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32289 "gram.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7433 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32302 "gram.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7442 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32315 "gram.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7451 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32328 "gram.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7460 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32341 "gram.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7470 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 32347 "gram.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7471 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 32353 "gram.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7474 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 32359 "gram.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7475 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 32365 "gram.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7476 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 32371 "gram.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7479 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 32377 "gram.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7480 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32383 "gram.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7483 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 32389 "gram.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7494 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32402 "gram.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7503 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32415 "gram.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7520 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32429 "gram.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7530 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32442 "gram.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7539 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32455 "gram.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7548 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32468 "gram.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7557 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32481 "gram.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7566 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32494 "gram.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7575 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32507 "gram.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7584 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32521 "gram.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7594 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32534 "gram.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7603 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32547 "gram.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7612 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32560 "gram.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7621 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32573 "gram.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7630 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32587 "gram.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7640 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32601 "gram.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7650 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32614 "gram.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7659 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32627 "gram.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7668 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32641 "gram.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7678 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32655 "gram.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7688 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32669 "gram.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7698 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32683 "gram.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7708 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32697 "gram.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7718 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32711 "gram.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7728 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32725 "gram.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7738 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32739 "gram.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7748 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32753 "gram.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7758 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32767 "gram.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7768 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32781 "gram.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7778 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32795 "gram.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7788 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32810 "gram.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7799 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32825 "gram.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7810 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32840 "gram.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7821 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32855 "gram.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7832 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32869 "gram.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7842 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32883 "gram.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7852 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32898 "gram.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7863 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32913 "gram.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7874 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32927 "gram.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7884 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32941 "gram.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7894 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32953 "gram.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 7902 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32966 "gram.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 7911 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32979 "gram.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 7920 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32992 "gram.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 7929 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33005 "gram.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 7938 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33018 "gram.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 7947 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33031 "gram.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 7956 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33044 "gram.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 7965 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33057 "gram.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 7974 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33073 "gram.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 7987 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COLUMN; }
#line 33079 "gram.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 7988 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 33085 "gram.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 7991 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 1; }
#line 33091 "gram.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 7992 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 33097 "gram.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 8003 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33111 "gram.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 8013 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33124 "gram.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 8022 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33137 "gram.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 8031 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33150 "gram.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 8040 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33163 "gram.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 8049 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33177 "gram.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 8059 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33191 "gram.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 8069 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33204 "gram.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 8078 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33217 "gram.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 8087 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33230 "gram.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 8096 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33243 "gram.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 8105 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33256 "gram.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 8114 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33269 "gram.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 8123 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33282 "gram.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 8132 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33295 "gram.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 8141 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33308 "gram.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 8150 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33321 "gram.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 8159 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33334 "gram.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 8168 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33347 "gram.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 8177 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33360 "gram.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 8186 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33373 "gram.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 8195 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33386 "gram.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 8204 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33399 "gram.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 8213 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33412 "gram.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 8230 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33425 "gram.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 8239 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33437 "gram.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 8247 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33449 "gram.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 8255 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33461 "gram.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 8263 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33473 "gram.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 8271 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33486 "gram.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 8280 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33498 "gram.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 8288 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33510 "gram.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 8296 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33523 "gram.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 8305 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33535 "gram.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 8313 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33547 "gram.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 8321 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33559 "gram.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 8329 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33571 "gram.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 8337 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33583 "gram.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 8345 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33595 "gram.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 8353 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33607 "gram.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 8361 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33619 "gram.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 8369 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33631 "gram.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 8377 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33643 "gram.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 8396 "gram.y" /* yacc.c:1652  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33659 "gram.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 8410 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33665 "gram.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 8411 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33671 "gram.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 8412 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33677 "gram.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 8418 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 33687 "gram.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 8424 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 33697 "gram.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 8440 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33703 "gram.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 8441 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 33709 "gram.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 8444 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_SELECT; }
#line 33715 "gram.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 8445 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_UPDATE; }
#line 33721 "gram.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 8446 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_DELETE; }
#line 33727 "gram.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 8447 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_INSERT; }
#line 33733 "gram.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 8451 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 33739 "gram.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 8452 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 33745 "gram.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 8453 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 33751 "gram.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 8459 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33766 "gram.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 8470 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33781 "gram.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 8492 "gram.y" /* yacc.c:1652  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33792 "gram.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 8501 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33798 "gram.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 8502 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33804 "gram.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 8506 "gram.y" /* yacc.c:1652  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33814 "gram.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 8515 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33824 "gram.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 8521 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 33834 "gram.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 8540 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33845 "gram.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 8547 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33856 "gram.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 8554 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33867 "gram.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 8561 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33878 "gram.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 8568 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33889 "gram.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 8575 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33900 "gram.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 8582 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33912 "gram.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 8590 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33924 "gram.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 8598 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33936 "gram.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8606 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33948 "gram.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8614 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33960 "gram.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8622 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33971 "gram.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8629 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33982 "gram.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8636 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33993 "gram.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8644 "gram.y" /* yacc.c:1652  */
    {}
#line 33999 "gram.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8645 "gram.y" /* yacc.c:1652  */
    {}
#line 34005 "gram.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8646 "gram.y" /* yacc.c:1652  */
    {}
#line 34011 "gram.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8651 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 34018 "gram.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8654 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 34025 "gram.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8657 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34032 "gram.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8660 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 34039 "gram.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8663 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34046 "gram.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8670 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34052 "gram.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8672 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 34058 "gram.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8674 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34064 "gram.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8680 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34070 "gram.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8694 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34086 "gram.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8707 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34102 "gram.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8720 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34123 "gram.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8738 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34144 "gram.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8757 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34150 "gram.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8758 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34156 "gram.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 8759 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 34162 "gram.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 8760 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 34168 "gram.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 8771 "gram.y" /* yacc.c:1652  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34178 "gram.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 8787 "gram.y" /* yacc.c:1652  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34189 "gram.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 8796 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34195 "gram.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 8797 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34201 "gram.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 8801 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34207 "gram.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 8802 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34213 "gram.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 8807 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 34221 "gram.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 8811 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)));
				}
#line 34229 "gram.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 8815 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL);
				}
#line 34237 "gram.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 8832 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34243 "gram.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 8833 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 34249 "gram.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 8834 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34255 "gram.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 8835 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34261 "gram.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 8836 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34267 "gram.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 8837 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34273 "gram.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 8838 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34279 "gram.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 8845 "gram.y" /* yacc.c:1652  */
    {}
#line 34285 "gram.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 8846 "gram.y" /* yacc.c:1652  */
    {}
#line 34291 "gram.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 8858 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34302 "gram.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 8865 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34313 "gram.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 8872 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 34325 "gram.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 8883 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34336 "gram.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 8900 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34347 "gram.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 8907 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34358 "gram.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 8925 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34368 "gram.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 8931 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34378 "gram.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 8947 "gram.y" /* yacc.c:1652  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 34391 "gram.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 8960 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34403 "gram.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 8969 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34414 "gram.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 8977 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34425 "gram.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 8985 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34437 "gram.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 8994 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34451 "gram.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 9005 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34465 "gram.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 9016 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34477 "gram.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 9025 "gram.y" /* yacc.c:1652  */
    {}
#line 34483 "gram.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 9026 "gram.y" /* yacc.c:1652  */
    {}
#line 34489 "gram.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 9038 "gram.y" /* yacc.c:1652  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34500 "gram.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 9048 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34515 "gram.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 9059 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34530 "gram.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 9070 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34545 "gram.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 9081 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34560 "gram.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 9092 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 34573 "gram.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 9101 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 34586 "gram.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 9112 "gram.y" /* yacc.c:1652  */
    {}
#line 34592 "gram.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 9113 "gram.y" /* yacc.c:1652  */
    {}
#line 34598 "gram.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 9129 "gram.y" /* yacc.c:1652  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 34612 "gram.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 9151 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34624 "gram.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 9159 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34636 "gram.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 9168 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34648 "gram.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 9178 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34654 "gram.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 9179 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34660 "gram.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 9192 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34678 "gram.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 9206 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34696 "gram.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 9220 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 34712 "gram.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 9232 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34724 "gram.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 9240 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 34738 "gram.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 9252 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34744 "gram.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 9253 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34750 "gram.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 9257 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 34756 "gram.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 9258 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 34762 "gram.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 9259 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 34768 "gram.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 9260 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = VACOPT_FULL; }
#line 34774 "gram.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 9265 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34788 "gram.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 9275 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34802 "gram.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 9287 "gram.y" /* yacc.c:1652  */
    {}
#line 34808 "gram.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 9288 "gram.y" /* yacc.c:1652  */
    {}
#line 34814 "gram.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 9292 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 34820 "gram.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 9293 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 34826 "gram.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 9296 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 34832 "gram.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 9297 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 34838 "gram.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 9300 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 34844 "gram.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 9301 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 34850 "gram.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 9305 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34856 "gram.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 9306 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34862 "gram.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 9320 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34873 "gram.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 9327 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 34887 "gram.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 9337 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 34898 "gram.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 9344 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 34909 "gram.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 9366 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34917 "gram.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 9370 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34925 "gram.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 9377 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 34933 "gram.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 9383 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34939 "gram.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 9384 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 34945 "gram.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 9388 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34951 "gram.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 9389 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 34957 "gram.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 9390 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 34963 "gram.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 9401 "gram.y" /* yacc.c:1652  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34975 "gram.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 9410 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34981 "gram.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 9411 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34987 "gram.c" /* yacc.c:1652  */
    break;

  case 1385:
#line 9429 "gram.y" /* yacc.c:1652  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34998 "gram.c" /* yacc.c:1652  */
    break;

  case 1386:
#line 9437 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35018 "gram.c" /* yacc.c:1652  */
    break;

  case 1387:
#line 9454 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35038 "gram.c" /* yacc.c:1652  */
    break;

  case 1388:
#line 9471 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35044 "gram.c" /* yacc.c:1652  */
    break;

  case 1389:
#line 9472 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35050 "gram.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 9483 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35060 "gram.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 9489 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35070 "gram.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 9495 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35080 "gram.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 9501 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35090 "gram.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 9518 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 35102 "gram.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 9535 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 35110 "gram.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 9539 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 35119 "gram.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 9547 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35129 "gram.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 9553 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35139 "gram.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 9559 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 35149 "gram.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 9568 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35155 "gram.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 9570 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35161 "gram.c" /* yacc.c:1652  */
    break;

  case 1402:
#line 9575 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35173 "gram.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 9586 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 35186 "gram.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 9596 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 35199 "gram.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 9605 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = NULL;
				}
#line 35207 "gram.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 9612 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 35219 "gram.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 9621 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 35231 "gram.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 9629 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = NULL;
				}
#line 35239 "gram.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 9635 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35245 "gram.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 9636 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35251 "gram.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 9649 "gram.y" /* yacc.c:1652  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 35265 "gram.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 9661 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35271 "gram.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 9662 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35277 "gram.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 9674 "gram.y" /* yacc.c:1652  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35290 "gram.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 9684 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 35296 "gram.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 9685 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35302 "gram.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 9688 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessShareLock; }
#line 35308 "gram.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 9689 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowShareLock; }
#line 35314 "gram.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 9690 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowExclusiveLock; }
#line 35320 "gram.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 9691 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 35326 "gram.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 9692 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareLock; }
#line 35332 "gram.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 9693 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 35338 "gram.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 9694 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ExclusiveLock; }
#line 35344 "gram.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 9695 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35350 "gram.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 9698 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35356 "gram.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 9699 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35362 "gram.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 9703 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitError; }
#line 35368 "gram.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 9704 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitSkip; }
#line 35374 "gram.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 9705 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitBlock; }
#line 35380 "gram.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 9721 "gram.y" /* yacc.c:1652  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 35395 "gram.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 9734 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35401 "gram.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 9735 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 35407 "gram.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 9739 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35413 "gram.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 9740 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35419 "gram.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 9745 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 35428 "gram.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 9761 "gram.y" /* yacc.c:1652  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  This is semantically
					 * equivalent to, and much cheaper to process than, the
					 * general case.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[0]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35458 "gram.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 9787 "gram.y" /* yacc.c:1652  */
    {
					SubLink *sl = makeNode(SubLink);
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* First, convert bare SelectStmt into a SubLink */
					sl->subLinkType = MULTIEXPR_SUBLINK;
					sl->subLinkId = 0;		/* will be assigned later */
					sl->testexpr = NULL;
					sl->operName = NIL;
					sl->subselect = (yyvsp[0].node);
					sl->location = (yylsp[0]);

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) sl;
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35492 "gram.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 9820 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35504 "gram.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 9830 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35510 "gram.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 9831 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 35516 "gram.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 9842 "gram.y" /* yacc.c:1652  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35529 "gram.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 9852 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35535 "gram.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 9855 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35541 "gram.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 9856 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 35547 "gram.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 9857 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 35553 "gram.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 9858 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 35559 "gram.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 9859 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 35565 "gram.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 9862 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35571 "gram.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 9863 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 35577 "gram.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 9864 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 35583 "gram.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 9917 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35589 "gram.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 9918 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35595 "gram.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 9933 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35601 "gram.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 9935 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35612 "gram.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 9942 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35624 "gram.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 9950 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35636 "gram.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 9958 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 35648 "gram.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 9966 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35660 "gram.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 9974 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35672 "gram.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 9982 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35684 "gram.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 9992 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35690 "gram.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 9993 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35696 "gram.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 10023 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35712 "gram.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 10037 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35729 "gram.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 10049 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35735 "gram.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 10051 "gram.y" /* yacc.c:1652  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 35758 "gram.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 10070 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35766 "gram.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 10074 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35774 "gram.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 10078 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35782 "gram.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 10095 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35793 "gram.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 10102 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35804 "gram.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 10109 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 35815 "gram.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 10118 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35821 "gram.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 10119 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35827 "gram.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 10123 "gram.y" /* yacc.c:1652  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 35840 "gram.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 10134 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = (yyvsp[0].with); }
#line 35846 "gram.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 10135 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = NULL; }
#line 35852 "gram.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 10140 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 35867 "gram.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 10151 "gram.y" /* yacc.c:1652  */
    { (yyval.into) = NULL; }
#line 35873 "gram.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 10160 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35882 "gram.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 10165 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35891 "gram.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 10170 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35900 "gram.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 10175 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35909 "gram.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 10180 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35921 "gram.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 10188 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35933 "gram.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 10196 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 35942 "gram.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 10201 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 35951 "gram.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 10206 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 35960 "gram.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 10212 "gram.y" /* yacc.c:1652  */
    {}
#line 35966 "gram.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 10213 "gram.y" /* yacc.c:1652  */
    {}
#line 35972 "gram.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 10217 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 35978 "gram.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 10218 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35984 "gram.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 10219 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 35990 "gram.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 10226 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(NIL); }
#line 35996 "gram.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 10227 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36002 "gram.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 10231 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL;}
#line 36008 "gram.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 10232 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36014 "gram.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 10236 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list);}
#line 36020 "gram.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 10237 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36026 "gram.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 10241 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36032 "gram.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 10245 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 36038 "gram.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 10246 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 36044 "gram.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 10250 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 36057 "gram.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 10259 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 36070 "gram.c" /* yacc.c:1652  */
    break;

  case 1507:
#line 10271 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 36076 "gram.c" /* yacc.c:1652  */
    break;

  case 1508:
#line 10272 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 36082 "gram.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 10273 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 36088 "gram.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 10274 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 36094 "gram.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 10278 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36100 "gram.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 10279 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 36106 "gram.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 10284 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36112 "gram.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 10286 "gram.y" /* yacc.c:1652  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 36125 "gram.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 10302 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 36131 "gram.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 10304 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 36137 "gram.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 10309 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36143 "gram.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 10312 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36149 "gram.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 10316 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36155 "gram.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 10318 "gram.y" /* yacc.c:1652  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36164 "gram.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 10325 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36170 "gram.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 10345 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36176 "gram.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 10347 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 36182 "gram.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 10349 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 36188 "gram.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 10353 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 36194 "gram.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 10354 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 36200 "gram.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 10358 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36206 "gram.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 10359 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36212 "gram.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 10362 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36218 "gram.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 10363 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36224 "gram.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 10388 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36230 "gram.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 10389 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36236 "gram.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 10393 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36242 "gram.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 10394 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 36248 "gram.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 10398 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36254 "gram.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 10399 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36260 "gram.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 10400 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36266 "gram.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 10401 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36272 "gram.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 10402 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36278 "gram.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 10407 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 36286 "gram.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 10420 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36294 "gram.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 10427 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36302 "gram.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 10434 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 36310 "gram.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 10440 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36316 "gram.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 10441 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 36322 "gram.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 10445 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36328 "gram.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 10446 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36334 "gram.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 10450 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36340 "gram.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 10451 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36346 "gram.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 10455 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36352 "gram.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 10456 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36358 "gram.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 10461 "gram.y" /* yacc.c:1652  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36370 "gram.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 10471 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 36376 "gram.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 10472 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 36382 "gram.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 10473 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 36388 "gram.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 10474 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 36394 "gram.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 10478 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36400 "gram.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 10479 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36406 "gram.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 10485 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36416 "gram.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 10491 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36426 "gram.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 10508 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36432 "gram.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 10509 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36438 "gram.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 10513 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36444 "gram.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 10514 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36450 "gram.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 10521 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 36459 "gram.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 10526 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 36471 "gram.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 10534 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36482 "gram.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 10541 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36494 "gram.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 10549 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36533 "gram.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 10584 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36562 "gram.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 10609 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 36570 "gram.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 10613 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 36579 "gram.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 10639 "gram.y" /* yacc.c:1652  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 36587 "gram.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 10643 "gram.y" /* yacc.c:1652  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 36603 "gram.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 10655 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36620 "gram.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 10668 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36638 "gram.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 10682 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36653 "gram.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 10693 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36669 "gram.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 10708 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36679 "gram.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 10714 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36688 "gram.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 10719 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36698 "gram.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 10725 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36707 "gram.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 10731 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 36713 "gram.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 10732 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 36719 "gram.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 10741 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 36727 "gram.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 10745 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 36735 "gram.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 10749 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36745 "gram.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 10755 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36755 "gram.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 10761 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 36763 "gram.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 10766 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_FULL; }
#line 36769 "gram.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 10767 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 36775 "gram.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 10768 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 36781 "gram.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 10769 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_INNER; }
#line 36787 "gram.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 10773 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 36793 "gram.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 10774 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 36799 "gram.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 10786 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 36805 "gram.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 10787 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36811 "gram.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 10793 "gram.y" /* yacc.c:1652  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 36822 "gram.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 10800 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 36833 "gram.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 10807 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36844 "gram.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 10814 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36855 "gram.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 10824 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36861 "gram.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 10825 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36867 "gram.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 10839 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 36875 "gram.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 10843 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 36886 "gram.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 10850 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 36897 "gram.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 10863 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 36911 "gram.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 10875 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 36917 "gram.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 10876 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 36923 "gram.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 10892 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 36937 "gram.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 10902 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 36951 "gram.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 10914 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 36957 "gram.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 10918 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 36963 "gram.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 10919 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 36969 "gram.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 10922 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36975 "gram.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 10923 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36981 "gram.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 10926 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 36987 "gram.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 10927 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 36993 "gram.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 10932 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36999 "gram.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 10933 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37005 "gram.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 10938 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37011 "gram.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 10940 "gram.y" /* yacc.c:1652  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 37023 "gram.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 10947 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37029 "gram.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 10952 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37035 "gram.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 10953 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37041 "gram.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 10958 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 37049 "gram.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 10962 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 37057 "gram.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 10968 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 37079 "gram.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 10998 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 37088 "gram.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 11003 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 37098 "gram.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 11010 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 37107 "gram.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 11015 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 37117 "gram.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 11021 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 37126 "gram.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 11026 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 37136 "gram.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 11035 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 37142 "gram.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 11037 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 37148 "gram.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 11039 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = NIL; }
#line 37154 "gram.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 11043 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37160 "gram.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 11044 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37166 "gram.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 11045 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37172 "gram.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 11046 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37178 "gram.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 11047 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37184 "gram.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 11049 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 37193 "gram.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 11054 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37203 "gram.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 11073 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37209 "gram.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 11074 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37215 "gram.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 11075 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37221 "gram.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 11076 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37227 "gram.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 11088 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37237 "gram.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 11094 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 37247 "gram.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 11101 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37253 "gram.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 11102 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37259 "gram.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 11109 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37268 "gram.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 11114 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37277 "gram.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 11119 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37286 "gram.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 11124 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37295 "gram.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 11129 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37304 "gram.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 11134 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37313 "gram.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 11139 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37322 "gram.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 11144 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37332 "gram.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 11150 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37342 "gram.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 11156 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37352 "gram.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 11162 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37361 "gram.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 11169 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 37386 "gram.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 11190 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 37394 "gram.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 11200 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37402 "gram.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 11204 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37410 "gram.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 11212 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37418 "gram.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 11216 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37427 "gram.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 11224 "gram.y" /* yacc.c:1652  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37440 "gram.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 11236 "gram.y" /* yacc.c:1652  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37458 "gram.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 11257 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37466 "gram.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 11261 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37474 "gram.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 11267 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37482 "gram.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 11271 "gram.y" /* yacc.c:1652  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37497 "gram.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 11284 "gram.y" /* yacc.c:1652  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37510 "gram.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 11295 "gram.y" /* yacc.c:1652  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37527 "gram.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 11310 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37533 "gram.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 11312 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37539 "gram.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 11314 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "varchar"; }
#line 37545 "gram.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 11316 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37551 "gram.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 11318 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37557 "gram.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 11320 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37563 "gram.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 11324 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 37569 "gram.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 11325 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37575 "gram.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 11329 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37581 "gram.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 11330 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 37587 "gram.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 11338 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37600 "gram.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 11347 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37612 "gram.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 11355 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37625 "gram.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 11364 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37637 "gram.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 11375 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37646 "gram.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 11382 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 37652 "gram.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 11383 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37658 "gram.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 11384 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 37664 "gram.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 11389 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 37670 "gram.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 11391 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 37676 "gram.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 11393 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 37682 "gram.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 11395 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 37688 "gram.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 11397 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 37694 "gram.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 11399 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37700 "gram.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 11401 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 37709 "gram.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 11406 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 37718 "gram.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 11411 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37728 "gram.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 11417 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37740 "gram.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 11425 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37749 "gram.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 11430 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37760 "gram.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 11437 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37770 "gram.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 11443 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37776 "gram.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 11448 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 37784 "gram.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 11452 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37793 "gram.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 11487 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37799 "gram.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 11489 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 37805 "gram.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 11491 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 37817 "gram.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 11499 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 37827 "gram.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 11514 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 37833 "gram.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 11516 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 37839 "gram.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 11518 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37845 "gram.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 11520 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37851 "gram.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 11522 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37857 "gram.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 11524 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37863 "gram.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 11526 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37869 "gram.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 11528 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37875 "gram.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 11530 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37881 "gram.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 11532 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37887 "gram.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 11534 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37893 "gram.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 11536 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37899 "gram.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 11538 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37905 "gram.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 11540 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37911 "gram.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 11543 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37917 "gram.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 11545 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 37923 "gram.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 11547 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 37929 "gram.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 11550 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37935 "gram.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 11552 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37941 "gram.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 11554 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 37947 "gram.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 11556 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 37953 "gram.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 11559 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37962 "gram.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 11564 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 37974 "gram.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 11572 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 37983 "gram.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 11577 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 37995 "gram.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 11585 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38004 "gram.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 11590 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38016 "gram.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 11598 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38025 "gram.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 11603 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38037 "gram.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 11612 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 38049 "gram.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 11620 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38061 "gram.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 11628 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38073 "gram.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 11636 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 38085 "gram.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 11654 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38097 "gram.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 11662 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38109 "gram.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 11670 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38121 "gram.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 11678 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38133 "gram.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 11686 "gram.y" /* yacc.c:1652  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 38153 "gram.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 11702 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38165 "gram.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 11710 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38177 "gram.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 11718 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38189 "gram.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 11726 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38201 "gram.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 11734 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38213 "gram.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 11742 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38225 "gram.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 11750 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38233 "gram.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 11754 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															   "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
									 (yylsp[-4]));
				}
#line 38243 "gram.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 11760 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38251 "gram.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 11764 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38259 "gram.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 11768 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38271 "gram.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 11776 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38283 "gram.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 11784 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38295 "gram.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 11792 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38307 "gram.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 11800 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 38331 "gram.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 11820 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 38357 "gram.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 11842 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38372 "gram.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 11853 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 38383 "gram.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 11860 "gram.y" /* yacc.c:1652  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 38403 "gram.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 11876 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38412 "gram.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 11881 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38422 "gram.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 11898 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38428 "gram.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 11900 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 38434 "gram.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 11902 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38440 "gram.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 11904 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38446 "gram.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 11906 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38452 "gram.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 11908 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38458 "gram.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 11910 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38464 "gram.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 11912 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38470 "gram.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 11914 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38476 "gram.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 11916 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38482 "gram.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 11918 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38488 "gram.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 11920 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38494 "gram.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 11922 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38500 "gram.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 11924 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38506 "gram.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 11926 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38512 "gram.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 11928 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38518 "gram.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 11930 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38524 "gram.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 11932 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38530 "gram.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 11934 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38536 "gram.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 11936 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38544 "gram.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 11940 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															   "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
									 (yylsp[-4]));
				}
#line 38554 "gram.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 11946 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38562 "gram.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 11950 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38570 "gram.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 11954 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38579 "gram.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 11959 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38589 "gram.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 11974 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38595 "gram.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 11975 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38601 "gram.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 11977 "gram.y" /* yacc.c:1652  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 38620 "gram.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 11992 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 38658 "gram.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 12026 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38664 "gram.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 12028 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38670 "gram.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 12030 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38685 "gram.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 12041 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 38713 "gram.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 12065 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38728 "gram.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 12076 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38743 "gram.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 12087 "gram.y" /* yacc.c:1652  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38755 "gram.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 12095 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38769 "gram.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 12105 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38783 "gram.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 12115 "gram.y" /* yacc.c:1652  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 38794 "gram.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 12124 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 38802 "gram.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 12128 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38812 "gram.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 12134 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38823 "gram.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 12141 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38834 "gram.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 12148 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 38848 "gram.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 12158 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38859 "gram.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 12165 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38879 "gram.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 12193 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 38918 "gram.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 12228 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38924 "gram.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 12238 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38930 "gram.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 12239 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38936 "gram.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 12247 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 38946 "gram.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 12253 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 38976 "gram.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 12279 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 38990 "gram.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 12289 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39007 "gram.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 12302 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 39019 "gram.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 12310 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39036 "gram.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 12323 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 39050 "gram.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 12333 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 39067 "gram.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 12346 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 39081 "gram.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 12356 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39098 "gram.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 12369 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39106 "gram.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 12373 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39114 "gram.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 12377 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 39122 "gram.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 12381 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39130 "gram.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 12385 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 39138 "gram.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 12389 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 39146 "gram.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 12393 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 39152 "gram.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 12395 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39160 "gram.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 12399 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39173 "gram.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 12408 "gram.y" /* yacc.c:1652  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39182 "gram.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 12413 "gram.y" /* yacc.c:1652  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39193 "gram.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 12420 "gram.y" /* yacc.c:1652  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 39212 "gram.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 12435 "gram.y" /* yacc.c:1652  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39223 "gram.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 12442 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39231 "gram.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 12446 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39239 "gram.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 12450 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39247 "gram.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 12454 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 39255 "gram.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 12458 "gram.y" /* yacc.c:1652  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 39266 "gram.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 12465 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39278 "gram.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 12473 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39290 "gram.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 12481 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39298 "gram.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 12485 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 39306 "gram.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 12489 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 39314 "gram.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 12493 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 39322 "gram.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 12497 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 39330 "gram.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 12501 "gram.y" /* yacc.c:1652  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 39340 "gram.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 12507 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 39348 "gram.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 12511 "gram.y" /* yacc.c:1652  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 39361 "gram.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 12520 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 39369 "gram.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 12524 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39377 "gram.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 12528 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39386 "gram.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 12533 "gram.y" /* yacc.c:1652  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39399 "gram.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 12547 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39405 "gram.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 12549 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNullAConst(-1); }
#line 39411 "gram.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 12553 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 39417 "gram.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 12555 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 39423 "gram.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 12557 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 39429 "gram.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 12559 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 39435 "gram.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 12562 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39441 "gram.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 12565 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39447 "gram.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 12566 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39453 "gram.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 12570 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39465 "gram.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 12578 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 39477 "gram.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 12587 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 39483 "gram.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 12588 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 39489 "gram.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 12591 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = TRUE; }
#line 39495 "gram.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 12592 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 39501 "gram.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 12593 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = FALSE; }
#line 39507 "gram.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 12599 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39515 "gram.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 12603 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39523 "gram.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 12607 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39531 "gram.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 12611 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39539 "gram.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 12621 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39545 "gram.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 12622 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39551 "gram.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 12626 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39557 "gram.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 12627 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 39563 "gram.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 12635 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39569 "gram.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 12636 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39575 "gram.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 12640 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 39581 "gram.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 12642 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 39587 "gram.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 12647 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 39597 "gram.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 12655 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 39603 "gram.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 12657 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 39620 "gram.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 12670 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = NULL; }
#line 39626 "gram.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 12675 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 39644 "gram.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 12700 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39650 "gram.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 12701 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 39656 "gram.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 12704 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39662 "gram.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 12705 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39668 "gram.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 12717 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 39690 "gram.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 12735 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 39700 "gram.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 12741 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39712 "gram.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 12751 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 39733 "gram.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 12768 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 39774 "gram.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 12813 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39786 "gram.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 12821 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39798 "gram.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 12829 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39810 "gram.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 12837 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39822 "gram.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 12845 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39834 "gram.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 12865 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39840 "gram.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 12866 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39846 "gram.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 12867 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39852 "gram.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 12870 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39858 "gram.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 12871 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39864 "gram.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 12874 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39870 "gram.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 12877 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 39876 "gram.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 12878 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 39882 "gram.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 12879 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 39888 "gram.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 12882 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39894 "gram.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 12883 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39900 "gram.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 12886 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "+"; }
#line 39906 "gram.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 12887 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "-"; }
#line 39912 "gram.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 12888 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "*"; }
#line 39918 "gram.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 12889 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "/"; }
#line 39924 "gram.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 12890 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "%"; }
#line 39930 "gram.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 12891 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "^"; }
#line 39936 "gram.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 12892 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<"; }
#line 39942 "gram.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 12893 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">"; }
#line 39948 "gram.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 12894 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "="; }
#line 39954 "gram.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 12895 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<="; }
#line 39960 "gram.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 12896 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">="; }
#line 39966 "gram.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 12897 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<>"; }
#line 39972 "gram.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 12901 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39978 "gram.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 12903 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39984 "gram.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 12908 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39990 "gram.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 12910 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39996 "gram.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 12915 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40002 "gram.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 12917 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40008 "gram.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 12919 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 40014 "gram.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 12921 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 40020 "gram.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 12923 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 40026 "gram.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 12925 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 40032 "gram.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 12937 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40040 "gram.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 12941 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40048 "gram.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 12948 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40056 "gram.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 12952 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40064 "gram.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 12958 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40072 "gram.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 12962 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40085 "gram.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 12971 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40098 "gram.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 12981 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40104 "gram.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 12982 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 40110 "gram.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 12986 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40118 "gram.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 12990 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40126 "gram.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 12994 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 40134 "gram.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 12999 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40140 "gram.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 13000 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40146 "gram.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 13006 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 40154 "gram.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 13009 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40160 "gram.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 13016 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40166 "gram.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 13017 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "year"; }
#line 40172 "gram.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 13018 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "month"; }
#line 40178 "gram.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 13019 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "day"; }
#line 40184 "gram.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 13020 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "hour"; }
#line 40190 "gram.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 13021 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "minute"; }
#line 40196 "gram.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 13022 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "second"; }
#line 40202 "gram.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 13023 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40208 "gram.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 13034 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40216 "gram.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 13038 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40224 "gram.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 13045 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40230 "gram.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 13051 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 40236 "gram.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 13052 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40242 "gram.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 13069 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40250 "gram.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 13073 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 40259 "gram.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 13078 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40267 "gram.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 13082 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 40286 "gram.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 13097 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 40294 "gram.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 13101 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40300 "gram.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 13105 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40306 "gram.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 13108 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40312 "gram.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 13111 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 40318 "gram.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 13112 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40324 "gram.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 13113 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40330 "gram.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 13117 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 40341 "gram.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 13123 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 40347 "gram.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 13134 "gram.y" /* yacc.c:1652  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 40361 "gram.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 13147 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40367 "gram.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 13148 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40373 "gram.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 13153 "gram.y" /* yacc.c:1652  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 40385 "gram.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 13163 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40391 "gram.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 13164 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40397 "gram.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 13167 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40403 "gram.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 13168 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40409 "gram.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 13172 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 40417 "gram.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 13176 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 40425 "gram.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 13183 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 40433 "gram.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 13187 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 40441 "gram.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 13191 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40452 "gram.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 13198 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40463 "gram.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 13207 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40469 "gram.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 13208 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40475 "gram.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 13212 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40481 "gram.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 13213 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40487 "gram.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 13228 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 40493 "gram.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 13230 "gram.y" /* yacc.c:1652  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 40503 "gram.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 13238 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40509 "gram.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 13239 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40515 "gram.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 13247 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40521 "gram.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 13257 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40527 "gram.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 13258 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40533 "gram.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 13262 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40539 "gram.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 13263 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40545 "gram.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 13267 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 40557 "gram.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 13283 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40569 "gram.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 13291 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 40581 "gram.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 13299 "gram.y" /* yacc.c:1652  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 40597 "gram.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 13320 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40603 "gram.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 13321 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40609 "gram.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 13333 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 40617 "gram.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 13337 "gram.y" /* yacc.c:1652  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 40646 "gram.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 13364 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40652 "gram.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 13366 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 40658 "gram.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 13370 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40664 "gram.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 13373 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40670 "gram.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 13376 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40676 "gram.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 13378 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40682 "gram.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 13380 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40688 "gram.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 13382 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40694 "gram.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 13393 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40700 "gram.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 13395 "gram.y" /* yacc.c:1652  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 40709 "gram.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 13406 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 40717 "gram.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 13410 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40725 "gram.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 13414 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40733 "gram.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 13418 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40741 "gram.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 13422 "gram.y" /* yacc.c:1652  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40754 "gram.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 13431 "gram.y" /* yacc.c:1652  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40765 "gram.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 13438 "gram.y" /* yacc.c:1652  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40801 "gram.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 13470 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 40809 "gram.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 13474 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 40819 "gram.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 13480 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40830 "gram.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 13487 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 40838 "gram.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 13491 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 40846 "gram.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 13495 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40854 "gram.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 13500 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 40860 "gram.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 13501 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40866 "gram.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 13503 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 40872 "gram.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 13504 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 40878 "gram.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 13505 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 40884 "gram.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 13510 "gram.y" /* yacc.c:1652  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].node);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 40916 "gram.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 13540 "gram.y" /* yacc.c:1652  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.node) = (Node *) n;
					}
#line 40947 "gram.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 13567 "gram.y" /* yacc.c:1652  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 40955 "gram.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 13571 "gram.y" /* yacc.c:1652  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 40963 "gram.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 13577 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40969 "gram.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 13579 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40975 "gram.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 13595 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40981 "gram.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 13596 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 40987 "gram.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 13597 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 40993 "gram.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 13602 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40999 "gram.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 13603 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41005 "gram.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 13604 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41011 "gram.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 13609 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41017 "gram.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 13610 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41023 "gram.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 13611 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41029 "gram.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 13612 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41035 "gram.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 13618 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41041 "gram.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 13619 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41047 "gram.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 13620 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41053 "gram.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 13621 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41059 "gram.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 13622 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41065 "gram.c" /* yacc.c:1652  */
    break;


#line 41069 "gram.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14095 "gram.y" /* yacc.c:1918  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static Node *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return (Node *) spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
