/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* First part of user prologue.  */
#line 5 "preproc.y" /* yacc.c:337  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 651 "preproc.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DESC = 448,
    DICTIONARY = 449,
    DISABLE_P = 450,
    DISCARD = 451,
    DISTINCT = 452,
    DO = 453,
    DOCUMENT_P = 454,
    DOMAIN_P = 455,
    DOUBLE_P = 456,
    DROP = 457,
    EACH = 458,
    ELSE = 459,
    ENABLE_P = 460,
    ENCODING = 461,
    ENCRYPTED = 462,
    END_P = 463,
    ENUM_P = 464,
    ESCAPE = 465,
    EVENT = 466,
    EXCEPT = 467,
    EXCLUDE = 468,
    EXCLUDING = 469,
    EXCLUSIVE = 470,
    EXECUTE = 471,
    EXISTS = 472,
    EXPLAIN = 473,
    EXTENSION = 474,
    EXTERNAL = 475,
    EXTRACT = 476,
    FALSE_P = 477,
    FAMILY = 478,
    FETCH = 479,
    FILTER = 480,
    FIRST_P = 481,
    FLOAT_P = 482,
    FOLLOWING = 483,
    FOR = 484,
    FORCE = 485,
    FOREIGN = 486,
    FORWARD = 487,
    FREEZE = 488,
    FROM = 489,
    FULL = 490,
    FUNCTION = 491,
    FUNCTIONS = 492,
    GLOBAL = 493,
    GRANT = 494,
    GRANTED = 495,
    GREATEST = 496,
    GROUP_P = 497,
    GROUPING = 498,
    HANDLER = 499,
    HAVING = 500,
    HEADER_P = 501,
    HOLD = 502,
    HOUR_P = 503,
    IDENTITY_P = 504,
    IF_P = 505,
    ILIKE = 506,
    IMMEDIATE = 507,
    IMMUTABLE = 508,
    IMPLICIT_P = 509,
    IMPORT_P = 510,
    IN_P = 511,
    INCLUDING = 512,
    INCREMENT = 513,
    INDEX = 514,
    INDEXES = 515,
    INHERIT = 516,
    INHERITS = 517,
    INITIALLY = 518,
    INLINE_P = 519,
    INNER_P = 520,
    INOUT = 521,
    INPUT_P = 522,
    INSENSITIVE = 523,
    INSERT = 524,
    INSTEAD = 525,
    INT_P = 526,
    INTEGER = 527,
    INTERSECT = 528,
    INTERVAL = 529,
    INTO = 530,
    INVOKER = 531,
    IS = 532,
    ISNULL = 533,
    ISOLATION = 534,
    JOIN = 535,
    KEY = 536,
    LABEL = 537,
    LANGUAGE = 538,
    LARGE_P = 539,
    LAST_P = 540,
    LATERAL_P = 541,
    LEADING = 542,
    LEAKPROOF = 543,
    LEAST = 544,
    LEFT = 545,
    LEVEL = 546,
    LIKE = 547,
    LIMIT = 548,
    LISTEN = 549,
    LOAD = 550,
    LOCAL = 551,
    LOCALTIME = 552,
    LOCALTIMESTAMP = 553,
    LOCATION = 554,
    LOCK_P = 555,
    LOCKED = 556,
    LOGGED = 557,
    MAPPING = 558,
    MATCH = 559,
    MATERIALIZED = 560,
    MAXVALUE = 561,
    MINUTE_P = 562,
    MINVALUE = 563,
    MODE = 564,
    MONTH_P = 565,
    MOVE = 566,
    NAME_P = 567,
    NAMES = 568,
    NATIONAL = 569,
    NATURAL = 570,
    NCHAR = 571,
    NEXT = 572,
    NO = 573,
    NONE = 574,
    NOT = 575,
    NOTHING = 576,
    NOTIFY = 577,
    NOTNULL = 578,
    NOWAIT = 579,
    NULL_P = 580,
    NULLIF = 581,
    NULLS_P = 582,
    NUMERIC = 583,
    OBJECT_P = 584,
    OF = 585,
    OFF = 586,
    OFFSET = 587,
    OIDS = 588,
    ON = 589,
    ONLY = 590,
    OPERATOR = 591,
    OPTION = 592,
    OPTIONS = 593,
    OR = 594,
    ORDER = 595,
    ORDINALITY = 596,
    OUT_P = 597,
    OUTER_P = 598,
    OVER = 599,
    OVERLAPS = 600,
    OVERLAY = 601,
    OWNED = 602,
    OWNER = 603,
    PARSER = 604,
    PARTIAL = 605,
    PARTITION = 606,
    PASSING = 607,
    PASSWORD = 608,
    PLACING = 609,
    PLANS = 610,
    POLICY = 611,
    POSITION = 612,
    PRECEDING = 613,
    PRECISION = 614,
    PRESERVE = 615,
    PREPARE = 616,
    PREPARED = 617,
    PRIMARY = 618,
    PRIOR = 619,
    PRIVILEGES = 620,
    PROCEDURAL = 621,
    PROCEDURE = 622,
    PROGRAM = 623,
    QUOTE = 624,
    RANGE = 625,
    READ = 626,
    REAL = 627,
    REASSIGN = 628,
    RECHECK = 629,
    RECURSIVE = 630,
    REF = 631,
    REFERENCES = 632,
    REFRESH = 633,
    REINDEX = 634,
    RELATIVE_P = 635,
    RELEASE = 636,
    RENAME = 637,
    REPEATABLE = 638,
    REPLACE = 639,
    REPLICA = 640,
    RESET = 641,
    RESTART = 642,
    RESTRICT = 643,
    RETURNING = 644,
    RETURNS = 645,
    REVOKE = 646,
    RIGHT = 647,
    ROLE = 648,
    ROLLBACK = 649,
    ROLLUP = 650,
    ROW = 651,
    ROWS = 652,
    RULE = 653,
    SAVEPOINT = 654,
    SCHEMA = 655,
    SCROLL = 656,
    SEARCH = 657,
    SECOND_P = 658,
    SECURITY = 659,
    SELECT = 660,
    SEQUENCE = 661,
    SEQUENCES = 662,
    SERIALIZABLE = 663,
    SERVER = 664,
    SESSION = 665,
    SESSION_USER = 666,
    SET = 667,
    SETS = 668,
    SETOF = 669,
    SHARE = 670,
    SHOW = 671,
    SIMILAR = 672,
    SIMPLE = 673,
    SKIP = 674,
    SMALLINT = 675,
    SNAPSHOT = 676,
    SOME = 677,
    SQL_P = 678,
    STABLE = 679,
    STANDALONE_P = 680,
    START = 681,
    STATEMENT = 682,
    STATISTICS = 683,
    STDIN = 684,
    STDOUT = 685,
    STORAGE = 686,
    STRICT_P = 687,
    STRIP_P = 688,
    SUBSTRING = 689,
    SYMMETRIC = 690,
    SYSID = 691,
    SYSTEM_P = 692,
    TABLE = 693,
    TABLES = 694,
    TABLESAMPLE = 695,
    TABLESPACE = 696,
    TEMP = 697,
    TEMPLATE = 698,
    TEMPORARY = 699,
    TEXT_P = 700,
    THEN = 701,
    TIME = 702,
    TIMESTAMP = 703,
    TO = 704,
    TRAILING = 705,
    TRANSACTION = 706,
    TRANSFORM = 707,
    TREAT = 708,
    TRIGGER = 709,
    TRIM = 710,
    TRUE_P = 711,
    TRUNCATE = 712,
    TRUSTED = 713,
    TYPE_P = 714,
    TYPES_P = 715,
    UNBOUNDED = 716,
    UNCOMMITTED = 717,
    UNENCRYPTED = 718,
    UNION = 719,
    UNIQUE = 720,
    UNKNOWN = 721,
    UNLISTEN = 722,
    UNLOGGED = 723,
    UNTIL = 724,
    UPDATE = 725,
    USER = 726,
    USING = 727,
    VACUUM = 728,
    VALID = 729,
    VALIDATE = 730,
    VALIDATOR = 731,
    VALUE_P = 732,
    VALUES = 733,
    VARCHAR = 734,
    VARIADIC = 735,
    VARYING = 736,
    VERBOSE = 737,
    VERSION_P = 738,
    VIEW = 739,
    VIEWS = 740,
    VOLATILE = 741,
    WHEN = 742,
    WHERE = 743,
    WHITESPACE_P = 744,
    WINDOW = 745,
    WITH = 746,
    WITHIN = 747,
    WITHOUT = 748,
    WORK = 749,
    WRAPPER = 750,
    WRITE = 751,
    XML_P = 752,
    XMLATTRIBUTES = 753,
    XMLCONCAT = 754,
    XMLELEMENT = 755,
    XMLEXISTS = 756,
    XMLFOREST = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    YEAR_P = 762,
    YES_P = 763,
    ZONE = 764,
    NOT_LA = 765,
    NULLS_LA = 766,
    WITH_LA = 767,
    POSTFIXOP = 768,
    UMINUS = 769
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:352  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1224 "preproc.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   126859

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  756
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2967
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5603

#define YYUNDEFTOK  2
#define YYMAXUTOK   769

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1555,  1555,  1558,  1560,  1562,  1564,  1566,  1568,  1570,
    1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,  1590,
    1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,  1610,
    1612,  1614,  1616,  1618,  1636,  1638,  1640,  1642,  1644,  1646,
    1648,  1650,  1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,
    1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,  1686,
    1688,  1690,  1692,  1694,  1696,  1698,  1700,  1704,  1706,  1708,
    1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,
    1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,
    1750,  1752,  1754,  1756,  1758,  1760,  1762,  1764,  1766,  1768,
    1770,  1772,  1774,  1776,  1778,  1785,  1787,  1789,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1805,  1807,  1813,  1815,  1817,
    1819,  1821,  1823,  1825,  1827,  1829,  1835,  1845,  1849,  1855,
    1859,  1869,  1879,  1880,  1894,  1901,  1907,  1918,  1924,  1933,
    1940,  1946,  1955,  1962,  1970,  1975,  1983,  1987,  1992,  1998,
    2003,  2009,  2014,  2020,  2024,  2028,  2032,  2036,  2040,  2044,
    2048,  2052,  2060,  2064,  2068,  2072,  2076,  2080,  2088,  2096,
    2105,  2107,  2115,  2119,  2127,  2135,  2139,  2147,  2151,  2159,
    2163,  2171,  2179,  2187,  2191,  2199,  2203,  2211,  2215,  2219,
    2224,  2233,  2238,  2244,  2249,  2255,  2259,  2263,  2267,  2271,
    2275,  2283,  2287,  2291,  2299,  2303,  2307,  2315,  2319,  2323,
    2327,  2335,  2339,  2343,  2347,  2352,  2356,  2360,  2364,  2368,
    2372,  2376,  2384,  2388,  2396,  2400,  2408,  2412,  2426,  2430,
    2434,  2438,  2446,  2450,  2454,  2458,  2466,  2470,  2474,  2478,
    2482,  2486,  2490,  2498,  2502,  2507,  2513,  2517,  2525,  2533,
    2537,  2541,  2545,  2553,  2557,  2565,  2569,  2577,  2581,  2589,
    2593,  2597,  2601,  2605,  2614,  2622,  2626,  2634,  2638,  2646,
    2654,  2658,  2662,  2666,  2670,  2678,  2682,  2686,  2690,  2694,
    2698,  2702,  2706,  2710,  2714,  2718,  2722,  2726,  2730,  2734,
    2738,  2746,  2750,  2758,  2762,  2766,  2770,  2774,  2778,  2782,
    2786,  2790,  2794,  2798,  2802,  2806,  2810,  2814,  2818,  2822,
    2826,  2830,  2834,  2838,  2842,  2846,  2850,  2854,  2858,  2862,
    2866,  2870,  2874,  2878,  2882,  2886,  2890,  2894,  2898,  2902,
    2906,  2910,  2914,  2918,  2922,  2926,  2930,  2934,  2938,  2942,
    2946,  2950,  2954,  2962,  2966,  2974,  2978,  2983,  2989,  2994,
    3000,  3005,  3011,  3015,  3019,  3023,  3031,  3039,  3044,  3050,
    3054,  3062,  3066,  3070,  3074,  3082,  3090,  3094,  3102,  3106,
    3110,  3114,  3122,  3127,  3135,  3143,  3151,  3155,  3163,  3168,
    3174,  3178,  3182,  3190,  3194,  3202,  3207,  3213,  3217,  3221,
    3225,  3229,  3233,  3237,  3241,  3245,  3249,  3253,  3257,  3261,
    3265,  3273,  3278,  3284,  3289,  3295,  3300,  3306,  3311,  3317,
    3321,  3329,  3337,  3341,  3345,  3349,  3354,  3360,  3364,  3372,
    3380,  3384,  3388,  3392,  3400,  3404,  3408,  3412,  3416,  3420,
    3424,  3429,  3435,  3440,  3446,  3451,  3457,  3461,  3469,  3473,
    3481,  3485,  3489,  3497,  3501,  3509,  3517,  3525,  3530,  3536,
    3540,  3544,  3548,  3556,  3560,  3564,  3568,  3572,  3576,  3580,
    3588,  3592,  3596,  3600,  3608,  3616,  3620,  3625,  3631,  3635,
    3639,  3643,  3647,  3651,  3659,  3663,  3671,  3675,  3679,  3683,
    3687,  3691,  3695,  3703,  3708,  3714,  3719,  3725,  3729,  3737,
    3745,  3749,  3754,  3759,  3765,  3769,  3777,  3781,  3789,  3794,
    3800,  3804,  3808,  3812,  3817,  3823,  3831,  3839,  3843,  3847,
    3851,  3855,  3863,  3868,  3874,  3878,  3882,  3887,  3893,  3897,
    3901,  3906,  3912,  3917,  3923,  3928,  3934,  3942,  3950,  3954,
    3959,  3965,  3969,  3977,  3985,  3990,  3996,  4004,  4008,  4016,
    4020,  4028,  4033,  4039,  4043,  4051,  4055,  4059,  4063,  4067,
    4071,  4075,  4079,  4083,  4087,  4091,  4095,  4103,  4108,  4114,
    4118,  4122,  4126,  4134,  4138,  4146,  4150,  4158,  4163,  4169,
    4173,  4181,  4186,  4192,  4196,  4204,  4209,  4215,  4219,  4227,
    4232,  4238,  4246,  4251,  4257,  4261,  4269,  4273,  4281,  4286,
    4292,  4296,  4300,  4308,  4316,  4321,  4327,  4335,  4339,  4343,
    4347,  4351,  4355,  4359,  4363,  4367,  4371,  4375,  4379,  4383,
    4387,  4391,  4395,  4399,  4403,  4407,  4411,  4415,  4419,  4423,
    4427,  4431,  4439,  4447,  4451,  4455,  4459,  4467,  4471,  4479,
    4484,  4490,  4494,  4502,  4506,  4514,  4519,  4525,  4529,  4537,
    4545,  4549,  4557,  4561,  4565,  4569,  4577,  4585,  4593,  4601,
    4609,  4614,  4620,  4624,  4632,  4637,  4643,  4647,  4655,  4659,
    4663,  4671,  4675,  4683,  4687,  4695,  4703,  4707,  4715,  4720,
    4726,  4734,  4738,  4746,  4750,  4758,  4766,  4774,  4782,  4786,
    4794,  4799,  4805,  4810,  4816,  4821,  4827,  4832,  4838,  4843,
    4849,  4853,  4857,  4861,  4865,  4873,  4877,  4885,  4889,  4893,
    4901,  4905,  4913,  4917,  4921,  4925,  4929,  4937,  4942,  4948,
    4953,  4959,  4963,  4971,  4976,  4982,  4986,  4991,  4997,  5001,
    5005,  5009,  5017,  5022,  5029,  5031,  5039,  5043,  5047,  5051,
    5055,  5059,  5067,  5071,  5079,  5083,  5091,  5095,  5103,  5111,
    5115,  5123,  5131,  5135,  5139,  5143,  5151,  5160,  5169,  5173,
    5177,  5181,  5185,  5189,  5193,  5197,  5201,  5205,  5209,  5213,
    5217,  5221,  5229,  5237,  5241,  5249,  5253,  5261,  5265,  5269,
    5273,  5277,  5285,  5293,  5297,  5305,  5313,  5318,  5324,  5328,
    5336,  5340,  5344,  5352,  5357,  5363,  5371,  5375,  5383,  5387,
    5391,  5395,  5399,  5407,  5412,  5418,  5423,  5429,  5433,  5438,
    5444,  5450,  5456,  5464,  5468,  5476,  5480,  5488,  5492,  5500,
    5504,  5512,  5516,  5524,  5532,  5540,  5544,  5548,  5552,  5556,
    5560,  5564,  5568,  5576,  5580,  5584,  5588,  5592,  5596,  5600,
    5604,  5608,  5612,  5616,  5620,  5624,  5628,  5632,  5640,  5644,
    5652,  5656,  5664,  5668,  5676,  5680,  5688,  5696,  5700,  5705,
    5711,  5715,  5719,  5723,  5727,  5731,  5735,  5739,  5743,  5747,
    5751,  5755,  5759,  5763,  5767,  5771,  5775,  5779,  5787,  5791,
    5795,  5799,  5803,  5807,  5811,  5815,  5819,  5823,  5827,  5831,
    5835,  5839,  5843,  5847,  5851,  5855,  5859,  5863,  5867,  5875,
    5879,  5887,  5891,  5895,  5899,  5903,  5907,  5911,  5919,  5924,
    5930,  5934,  5938,  5942,  5946,  5950,  5954,  5958,  5962,  5966,
    5970,  5978,  5982,  5990,  5994,  5998,  6002,  6008,  6014,  6020,
    6026,  6032,  6038,  6044,  6054,  6065,  6076,  6087,  6098,  6109,
    6120,  6136,  6152,  6168,  6179,  6195,  6206,  6222,  6237,  6241,
    6249,  6254,  6260,  6268,  6272,  6280,  6284,  6288,  6292,  6296,
    6304,  6308,  6316,  6320,  6324,  6328,  6336,  6340,  6344,  6348,
    6352,  6356,  6360,  6364,  6368,  6372,  6376,  6380,  6384,  6388,
    6392,  6396,  6404,  6408,  6416,  6420,  6428,  6433,  6439,  6443,
    6451,  6459,  6467,  6471,  6479,  6484,  6490,  6495,  6501,  6509,
    6514,  6520,  6524,  6528,  6536,  6540,  6544,  6552,  6556,  6560,
    6564,  6572,  6576,  6584,  6589,  6595,  6600,  6606,  6611,  6617,
    6622,  6628,  6632,  6640,  6644,  6648,  6656,  6661,  6667,  6671,
    6676,  6682,  6686,  6691,  6697,  6701,  6706,  6712,  6716,  6720,
    6728,  6733,  6739,  6743,  6751,  6755,  6763,  6767,  6775,  6779,
    6787,  6791,  6795,  6799,  6803,  6811,  6815,  6819,  6823,  6827,
    6835,  6843,  6851,  6855,  6859,  6867,  6871,  6875,  6883,  6892,
    6896,  6900,  6904,  6912,  6916,  6924,  6928,  6936,  6940,  6944,
    6948,  6952,  6956,  6960,  6964,  6968,  6972,  6976,  6980,  6984,
    6988,  6992,  7000,  7004,  7008,  7012,  7016,  7024,  7028,  7036,
    7040,  7048,  7053,  7059,  7067,  7071,  7079,  7087,  7091,  7099,
    7104,  7110,  7114,  7122,  7126,  7134,  7138,  7146,  7150,  7154,
    7158,  7166,  7170,  7178,  7186,  7190,  7198,  7202,  7210,  7214,
    7218,  7226,  7230,  7235,  7241,  7249,  7254,  7260,  7268,  7272,
    7276,  7280,  7288,  7296,  7300,  7304,  7308,  7316,  7320,  7328,
    7332,  7336,  7344,  7348,  7356,  7364,  7368,  7376,  7380,  7384,
    7388,  7392,  7396,  7400,  7404,  7408,  7412,  7416,  7420,  7424,
    7428,  7432,  7436,  7440,  7444,  7448,  7452,  7456,  7460,  7464,
    7468,  7472,  7476,  7480,  7484,  7488,  7492,  7496,  7500,  7504,
    7508,  7512,  7516,  7520,  7524,  7528,  7532,  7536,  7540,  7544,
    7548,  7552,  7556,  7560,  7564,  7572,  7577,  7583,  7588,  7594,
    7598,  7602,  7606,  7610,  7614,  7618,  7622,  7626,  7630,  7634,
    7638,  7642,  7646,  7650,  7654,  7658,  7662,  7666,  7670,  7674,
    7678,  7682,  7686,  7694,  7698,  7702,  7706,  7710,  7714,  7718,
    7722,  7726,  7730,  7734,  7738,  7742,  7746,  7750,  7754,  7758,
    7762,  7766,  7774,  7782,  7786,  7790,  7798,  7802,  7810,  7814,
    7818,  7822,  7826,  7834,  7839,  7845,  7849,  7853,  7857,  7865,
    7869,  7874,  7880,  7884,  7892,  7900,  7905,  7911,  7919,  7923,
    7931,  7935,  7939,  7943,  7947,  7951,  7955,  7959,  7963,  7967,
    7971,  7975,  7979,  7983,  7991,  7995,  8000,  8006,  8010,  8014,
    8018,  8022,  8030,  8034,  8038,  8046,  8051,  8057,  8061,  8065,
    8070,  8079,  8083,  8087,  8092,  8098,  8106,  8114,  8119,  8125,
    8129,  8137,  8141,  8145,  8153,  8157,  8161,  8165,  8169,  8173,
    8177,  8185,  8190,  8196,  8200,  8204,  8212,  8220,  8224,  8232,
    8236,  8244,  8252,  8256,  8260,  8264,  8268,  8272,  8276,  8284,
    8289,  8295,  8303,  8307,  8311,  8315,  8319,  8323,  8331,  8335,
    8343,  8351,  8355,  8359,  8367,  8372,  8378,  8382,  8386,  8390,
    8394,  8402,  8406,  8414,  8418,  8422,  8426,  8434,  8438,  8446,
    8450,  8458,  8463,  8469,  8474,  8480,  8485,  8491,  8496,  8502,
    8506,  8510,  8514,  8522,  8526,  8530,  8534,  8538,  8542,  8546,
    8550,  8554,  8562,  8566,  8574,  8582,  8586,  8594,  8598,  8603,
    8609,  8615,  8625,  8630,  8636,  8640,  8644,  8648,  8656,  8658,
    8662,  8670,  8675,  8681,  8689,  8693,  8701,  8705,  8709,  8717,
    8721,  8729,  8737,  8741,  8746,  8752,  8756,  8761,  8767,  8772,
    8778,  8786,  8791,  8797,  8805,  8810,  8816,  8820,  8824,  8828,
    8832,  8836,  8840,  8844,  8852,  8857,  8863,  8867,  8872,  8878,
    8886,  8890,  8898,  8902,  8910,  8918,  8922,  8930,  8938,  8942,
    8950,  9003,  9007,  9020,  9022,  9026,  9030,  9034,  9043,  9049,
    9053,  9061,  9065,  9073,  9077,  9085,  9089,  9093,  9097,  9101,
    9105,  9109,  9113,  9121,  9125,  9133,  9137,  9141,  9145,  9149,
    9153,  9157,  9165,  9169,  9173,  9181,  9185,  9193,  9201,  9206,
    9212,  9217,  9219,  9225,  9229,  9233,  9237,  9241,  9245,  9249,
    9253,  9257,  9265,  9270,  9276,  9280,  9285,  9291,  9295,  9303,
    9308,  9314,  9319,  9325,  9333,  9337,  9345,  9349,  9357,  9361,
    9365,  9369,  9377,  9382,  9388,  9392,  9397,  9401,  9409,  9413,
    9421,  9425,  9433,  9441,  9445,  9449,  9457,  9461,  9469,  9473,
    9481,  9485,  9493,  9498,  9504,  9508,  9516,  9520,  9524,  9528,
    9532,  9540,  9548,  9556,  9564,  9572,  9577,  9583,  9587,  9595,
    9600,  9606,  9610,  9618,  9626,  9630,  9634,  9638,  9646,  9651,
    9657,  9661,  9669,  9674,  9680,  9684,  9692,  9696,  9700,  9704,
    9708,  9715,  9722,  9726,  9734,  9738,  9742,  9746,  9750,  9754,
    9762,  9766,  9770,  9774,  9782,  9787,  9793,  9797,  9801,  9805,
    9810,  9816,  9820,  9824,  9828,  9836,  9841,  9847,  9851,  9859,
    9863,  9867,  9871,  9879,  9883,  9891,  9895,  9899,  9907,  9915,
    9920,  9926,  9930,  9938,  9946,  9950,  9958,  9963,  9969,  9974,
    9980,  9985,  9991,  9995, 10001, 10007, 10012, 10018, 10022, 10030,
   10038, 10040, 10042, 10046, 10050, 10054, 10062, 10072, 10083, 10092,
   10096, 10100, 10104, 10108, 10112, 10116, 10124, 10128, 10132, 10136,
   10144, 10148, 10156, 10161, 10167, 10171, 10175, 10179, 10183, 10187,
   10191, 10195, 10199, 10203, 10207, 10215, 10220, 10226, 10230, 10238,
   10242, 10250, 10258, 10266, 10270, 10278, 10282, 10290, 10298, 10306,
   10310, 10314, 10318, 10322, 10326, 10334, 10339, 10345, 10350, 10356,
   10360, 10364, 10368, 10376, 10384, 10388, 10393, 10399, 10403, 10407,
   10411, 10415, 10419, 10423, 10427, 10431, 10435, 10439, 10443, 10447,
   10452, 10458, 10462, 10470, 10474, 10478, 10482, 10486, 10490, 10494,
   10498, 10502, 10506, 10510, 10514, 10518, 10522, 10526, 10530, 10534,
   10538, 10542, 10546, 10550, 10554, 10558, 10562, 10566, 10570, 10574,
   10578, 10582, 10586, 10590, 10594, 10598, 10602, 10606, 10610, 10614,
   10618, 10622, 10626, 10630, 10634, 10638, 10642, 10646, 10650, 10654,
   10658, 10662, 10666, 10670, 10674, 10678, 10682, 10686, 10690, 10694,
   10698, 10702, 10706, 10710, 10715, 10719, 10727, 10731, 10735, 10739,
   10743, 10747, 10751, 10755, 10759, 10763, 10767, 10771, 10775, 10779,
   10783, 10787, 10791, 10795, 10799, 10803, 10807, 10811, 10815, 10819,
   10823, 10831, 10835, 10839, 10843, 10847, 10851, 10855, 10859, 10863,
   10867, 10871, 10875, 10879, 10883, 10891, 10895, 10899, 10903, 10907,
   10911, 10915, 10923, 10927, 10935, 10939, 10947, 10951, 10955, 10959,
   10963, 10967, 10971, 10975, 10979, 10983, 10987, 10991, 10995, 10999,
   11003, 11007, 11011, 11015, 11019, 11023, 11027, 11031, 11035, 11039,
   11043, 11047, 11051, 11055, 11059, 11063, 11067, 11071, 11075, 11079,
   11083, 11087, 11091, 11095, 11099, 11103, 11107, 11111, 11119, 11123,
   11131, 11135, 11139, 11144, 11150, 11158, 11162, 11170, 11174, 11182,
   11186, 11194, 11198, 11203, 11209, 11213, 11217, 11221, 11229, 11234,
   11240, 11245, 11251, 11256, 11262, 11266, 11274, 11282, 11286, 11291,
   11297, 11305, 11309, 11316, 11321, 11327, 11332, 11337, 11343, 11347,
   11355, 11359, 11363, 11367, 11371, 11379, 11383, 11387, 11395, 11399,
   11407, 11415, 11419, 11423, 11431, 11435, 11443, 11447, 11451, 11455,
   11459, 11463, 11467, 11471, 11475, 11479, 11483, 11487, 11495, 11499,
   11507, 11511, 11519, 11523, 11527, 11531, 11535, 11539, 11547, 11551,
   11559, 11563, 11571, 11575, 11579, 11587, 11591, 11599, 11603, 11607,
   11615, 11619, 11627, 11632, 11638, 11642, 11646, 11650, 11654, 11658,
   11662, 11666, 11674, 11678, 11686, 11694, 11699, 11705, 11709, 11713,
   11717, 11721, 11726, 11732, 11740, 11748, 11752, 11756, 11764, 11768,
   11776, 11784, 11788, 11796, 11804, 11809, 11815, 11820, 11826, 11830,
   11838, 11842, 11846, 11850, 11858, 11862, 11871, 11873, 11881, 11886,
   11892, 11896, 11904, 11908, 11916, 11924, 11929, 11935, 11939, 11947,
   11951, 11955, 11959, 11967, 11971, 11979, 11983, 11991, 11995, 12003,
   12011, 12019, 12027, 12035, 12043, 12051, 12055, 12063, 12067, 12071,
   12075, 12079, 12083, 12087, 12091, 12095, 12099, 12103, 12107, 12111,
   12115, 12116, 12121, 12127, 12131, 12132, 12136, 12144, 12152, 12156,
   12160, 12168, 12172, 12180, 12184, 12188, 12192, 12200, 12204, 12208,
   12212, 12216, 12220, 12224, 12228, 12232, 12236, 12240, 12244, 12248,
   12252, 12256, 12260, 12264, 12268, 12272, 12276, 12280, 12284, 12288,
   12292, 12296, 12300, 12304, 12308, 12312, 12316, 12320, 12324, 12328,
   12332, 12336, 12340, 12344, 12348, 12352, 12356, 12360, 12364, 12368,
   12372, 12376, 12380, 12384, 12388, 12392, 12396, 12400, 12404, 12408,
   12412, 12416, 12420, 12424, 12428, 12432, 12436, 12440, 12444, 12448,
   12452, 12456, 12460, 12464, 12468, 12472, 12476, 12480, 12484, 12488,
   12492, 12496, 12500, 12504, 12508, 12512, 12516, 12520, 12524, 12528,
   12532, 12536, 12540, 12544, 12548, 12552, 12556, 12560, 12564, 12568,
   12572, 12576, 12580, 12584, 12588, 12592, 12596, 12600, 12604, 12608,
   12612, 12616, 12620, 12624, 12628, 12632, 12636, 12640, 12644, 12648,
   12652, 12656, 12660, 12664, 12668, 12672, 12676, 12680, 12684, 12688,
   12692, 12696, 12700, 12704, 12708, 12712, 12716, 12720, 12724, 12728,
   12732, 12736, 12740, 12744, 12748, 12752, 12756, 12760, 12764, 12768,
   12772, 12776, 12780, 12784, 12788, 12792, 12796, 12800, 12804, 12808,
   12812, 12816, 12820, 12824, 12828, 12832, 12836, 12840, 12844, 12848,
   12852, 12856, 12860, 12864, 12868, 12872, 12876, 12880, 12884, 12888,
   12892, 12896, 12900, 12904, 12908, 12912, 12916, 12920, 12924, 12928,
   12932, 12936, 12940, 12944, 12948, 12952, 12956, 12960, 12964, 12968,
   12972, 12976, 12980, 12984, 12988, 12992, 12996, 13000, 13004, 13008,
   13012, 13016, 13020, 13024, 13028, 13032, 13036, 13040, 13044, 13048,
   13052, 13056, 13060, 13064, 13068, 13072, 13076, 13080, 13084, 13088,
   13092, 13096, 13100, 13104, 13108, 13112, 13116, 13120, 13124, 13128,
   13132, 13136, 13140, 13144, 13148, 13152, 13156, 13160, 13164, 13168,
   13172, 13176, 13180, 13184, 13188, 13192, 13196, 13200, 13204, 13208,
   13212, 13216, 13220, 13224, 13228, 13232, 13240, 13244, 13248, 13252,
   13256, 13260, 13264, 13268, 13272, 13276, 13280, 13284, 13288, 13292,
   13296, 13300, 13304, 13308, 13312, 13316, 13320, 13324, 13328, 13332,
   13336, 13340, 13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372,
   13376, 13380, 13384, 13388, 13392, 13396, 13400, 13404, 13408, 13412,
   13416, 13424, 13428, 13432, 13436, 13440, 13444, 13448, 13452, 13456,
   13460, 13464, 13468, 13472, 13476, 13480, 13484, 13488, 13492, 13496,
   13500, 13504, 13508, 13512, 13520, 13524, 13528, 13532, 13536, 13540,
   13544, 13548, 13552, 13556, 13560, 13564, 13568, 13572, 13576, 13580,
   13584, 13588, 13592, 13596, 13600, 13604, 13608, 13612, 13616, 13620,
   13624, 13628, 13632, 13636, 13640, 13644, 13648, 13652, 13656, 13660,
   13664, 13668, 13672, 13676, 13680, 13684, 13688, 13692, 13696, 13700,
   13704, 13708, 13712, 13716, 13720, 13724, 13728, 13732, 13736, 13740,
   13744, 13748, 13752, 13756, 13760, 13764, 13768, 13772, 13776, 13780,
   13784, 13788, 13792, 13796, 13800, 13804, 13808, 13812, 13816, 13826,
   13827, 13830, 13831, 13832, 13838, 13839, 13840, 13841, 13842, 13855,
   13855, 13862, 13862, 13871, 13886, 13888, 13891, 13893, 13897, 13909,
   13925, 13929, 13940, 13941, 13944, 13956, 13965, 13966, 13969, 13970,
   13971, 13974, 13975, 13978, 13979, 13982, 13983, 13986, 13988, 13990,
   13992, 13996, 14003, 14010, 14026, 14060, 14070, 14073, 14077, 14090,
   14091, 14093, 14095, 14099, 14113, 14120, 14181, 14190, 14192, 14193,
   14196, 14198, 14199, 14202, 14203, 14204, 14205, 14206, 14213, 14212,
   14222, 14224, 14226, 14227, 14230, 14231, 14232, 14233, 14236, 14237,
   14241, 14240, 14257, 14255, 14271, 14270, 14284, 14290, 14291, 14294,
   14296, 14297, 14300, 14301, 14302, 14303, 14306, 14307, 14310, 14318,
   14335, 14343, 14366, 14472, 14506, 14508, 14510, 14514, 14518, 14517,
   14568, 14570, 14569, 14584, 14590, 14597, 14602, 14608, 14609, 14612,
   14613, 14614, 14615, 14616, 14617, 14618, 14626, 14634, 14637, 14638,
   14639, 14640, 14641, 14642, 14650, 14658, 14659, 14660, 14663, 14664,
   14667, 14669, 14678, 14766, 14767, 14774, 14775, 14776, 14782, 14791,
   14794, 14795, 14796, 14797, 14800, 14801, 14802, 14805, 14807, 14815,
   14816, 14822, 14830, 14831, 14834, 14835, 14838, 14843, 14850, 14855,
   14862, 14869, 14869, 14871, 14878, 14879, 14882, 14883, 14884, 14885,
   14886, 14887, 14888, 14889, 14890, 14896, 14903, 14915, 14921, 14928,
   14936, 14937, 14949, 14960, 14971, 14975, 14976, 14979, 14984, 14988,
   14989, 14992, 14998, 15006, 15012, 15019, 15023, 15024, 15027, 15030,
   15034, 15035, 15038, 15044, 15053, 15058, 15068, 15078, 15090, 15091,
   15092, 15093, 15094, 15095, 15096, 15097, 15098, 15099, 15100, 15101,
   15102, 15103, 15104, 15111, 15112, 15115, 15116, 15123, 15124, 15125,
   15132, 15131, 15148, 15149, 15156, 15155, 15225, 15231, 15237, 15245,
   15251, 15257, 15263, 15269, 15275, 15281, 15287, 15293, 15304, 15305,
   15308, 15309, 15310, 15311, 15312, 15313, 15314, 15315, 15316, 15317,
   15318, 15319, 15320, 15321, 15322, 15323, 15324, 15325, 15326, 15327,
   15328, 15329, 15330, 15333, 15334, 15335, 15336, 15337, 15338, 15342,
   15343, 15344, 15345, 15346, 15347, 15348, 15351, 15354, 15355, 15356,
   15357, 15358, 15359, 15360, 15361, 15374, 15375, 15376, 15377, 15378,
   15379, 15380, 15385, 15386, 15387, 15388, 15389, 15390, 15396, 15397,
   15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406, 15409,
   15410, 15411, 15412, 15413, 15416, 15417, 15418, 15419, 15422, 15423,
   15424, 15425, 15426, 15427, 15428, 15445, 15446, 15447, 15450, 15451,
   15452, 15453, 15454, 15455, 15459, 15459, 15462, 15468, 15469, 15472,
   15474, 15479, 15489, 15500, 15507, 15508, 15509, 15512, 15545, 15547,
   15549, 15552, 15562, 15572, 15582, 15583, 15586, 15588, 15589, 15590,
   15593, 15595, 15603, 15604, 15605, 15609, 15610, 15614, 15615, 15618,
   15619, 15622, 15623, 15624, 15625, 15626, 15629, 15630, 15631, 15632,
   15633, 15634, 15635, 15636, 15637, 15638, 15639, 15640, 15641, 15642,
   15643, 15644, 15645, 15646, 15647, 15648, 15649, 15650, 15651, 15652,
   15653, 15654, 15655, 15656, 15657, 15658, 15659, 15660, 15661, 15662,
   15663, 15664, 15665, 15666, 15667, 15668, 15669, 15670, 15671, 15672,
   15673, 15674, 15675, 15676, 15677, 15678, 15679, 15680, 15681, 15682,
   15683, 15684, 15687, 15688, 15689, 15690, 15693, 15694, 15695, 15696,
   15697, 15698, 15699, 15700, 15701, 15702, 15709, 15710, 15711, 15712,
   15715, 15716, 15719, 15720, 15723, 15724, 15735, 15736
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "$@2", "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@3", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@4", "var_declaration",
  "$@5", "$@6", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5052

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5052)))

#define YYTABLE_NINF -2807

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2807)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5052,  1012, 11233, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, 32302, -5052,
   -5052, -5052, -5052, -5052,115195,   971, -5052, -5052, -5052,119792,
   -5052, -5052, -5052,   800, 78907, -5052, 81931,  1700, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, 85963, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, 66292,  1090, -5052,   529,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052,   564, 18270, -5052,
   -5052, 82435, -5052,    97, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, 82939,  1243, -5052, -5052,  1449,  1238, -5052,   119, 17210,
   -5052, -5052, 75379, 79915, -5052, -5052, 86467,   434,  2461, 17665,
     564, 31795, 86971, -5052,  2910, -5052, 62720, -5052, -5052, -5052,
   79411, -5052, -5052, -5052,  1527, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, 93019,  2662,  1642, 63233, -5052,
   -5052, -5052, -5052, 93019, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, 87475, -5052,  1750,  1821,   738, 93523, 94027,
   76891, -5052,  1442, -5052, 93019,  1882,  1247, 65282, -5052, 94531,
   -5052, -5052,  1786, -5052, 87979, -5052, -5052, -5052, -5052, -5052,
    1642, -5052, 66292, 61710,    69,  1744, -5052, -5052, 95035, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, 93019,  2090,
    1778, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052,  1243, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052,  1101, -5052,   978,  1105,     2,   654,  1803, -5052,
   -5052, -5052, 15884, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   29477,   404, -5052, -5052, -5052,  1839, -5052,  1899, -5052, -5052,
   -5052,  1895, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  1338,
   -5052, -5052, -5052, -5052,  2406,115696, 85963, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, 74875, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052,   203, -5052, -5052,
   -5052, -5052, -5052, 85963, 85963, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, 85963,  1982, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052,   907,  2211, -5052, -5052, 66292,  2115,  2115,
    2470, 29477, -5052, -5052, -5052, 67807, 93019, 93019, 93019,  2126,
   93019,  2040, 93019,   377, 67807,124165, 88483,  2176,  2026, 57080,
   95539, -5052,122417, 93019, 93019, 96043, 93019,    47, 83443, 93019,
    2113, 93019, 93019,122854, 96547,  2237, -5052,  2499,  1404, -5052,
   -5052, -5052, 93019, 12840,  2662, -5052, -5052, 93019,  2103, 67807,
   93019,  2013, 93019,  2107, 93019, -5052, 93019,  2128, 97051,   393,
    1426,124165,  1746, 57597,  2204, 93019,124165, 97555, 93019, 93019,
   -5052, -5052,  2165, 93019, 93019, -5052,  2288,124602,  1622,  2312,
    2453,  2363,  1562, -5052, -5052,  2542,  2101, -5052, -5052,  2582,
   85963, -5052, 83947, -5052, -5052, -5052,  2300, -5052, -5052, -5052,
   -5052, -5052, -5052,121543,  2461, -5052, -5052, 68312, 93019,  2388,
   -5052, -5052, 98059, 71342,  2208, -5052,   616, 68817,125039,  2520,
    2202, 58114,  2570, 98563,125476, 99067, -5052, -5052, 99571, -5052,
  100075,  2305,  2388,100579, 71847,125913, -5052,  2433,101083, -5052,
   10519, -5052,  2190,   386,  2206,  1528, 85963, 85963,  1597,117572,
   -5052, -5052,  1243, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052,   173,  1949, 63746,   746, 64259, -5052, -5052,  1007,  1514,
    1534,   173,  2648,  2648,   193, 85963, -5052, -5052,  1949, -5052,
     851,   623,  2219,  2219,  2219,  2416,   -35, -5052,  2219,  2368,
   -5052, -5052, -5052, -5052, 87979, 63746, 64259, -5052,  2244,  2662,
     122,  2651,  2296, -5052, -5052, -5052, -5052, -5052,  2307, 93019,
   93019, 93019, -5052, -5052, -5052,  2704,  2281,  2522, -5052,  2270,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  2488,
    2489,  2498,   150,  2662,  2387, -5052,  2608, -5052,  2509, 39038,
   39038,  1200, 85963,  2662, 64772, 88987,112171,   186,121543,  2662,
  101587,  2341,  1046,  2526, -5052, -5052, -5052,   752, -5052,  2738,
    2358,  2589,   191,  1404, 54531, -5052,  2354,  1706, 87979,116698,
   -5052, -5052, -5052, -5052,   218,  2639, 39560, -5052, 93019,  2347,
   -5052,  2361,  2347,  2352,  2357,     2, -5052, 93019,  1372,  1372,
    2764,  1372,  1883,  1955, -5052,  2216, -5052,  2654,  2618, 87979,
    1744,   564,  2367, -5052, -5052, -5052,  2403, -5052,  2395,  2405,
   -5052,   958,  2669, -5052, -5052, -5052, -5052,  2497,  2504,  2512,
    2531,  2432,  2534,   211, -5052, -5052, -5052, -5052,  2754, -5052,
   -5052, -5052, -5052, -5052, -5052,  2876,  2860,120232,120232,   562,
     685,   170,   287, -5052, -5052, -5052,  2720, -5052, -5052,  2722,
   93019,  2546, 93019, -5052, -5052, -5052,102091, -5052, -5052,  2115,
    2403,  2476, -5052,   254, -5052,  1706, -5052,   304,   388,   408,
    1686,  2477,  1688,  2591, -5052,   303, 93019,  2597,   305,   948,
    2518, 89491,  5646,  2495,  2644,  1492,  2774,  2814,  2586,   211,
   89995, -5052, -5052, -5052, -5052, 93019, 93019, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052,  2511, -5052, -5052,  2510,
    2824,  2723,  2807,  2707,  1305,  2761,    99,  2885, 12238,  1669,
  102595,112675,  2853,  2893,  4664,  2018,   899,  2780,   985,  2807,
    2889,  2742,  1305,  2902,  6401, 93019,  2595, -5052,  2842,  2952,
     917, -5052,   717, -5052,  2681,  2818,   860, 67807,  2634, -5052,
   -5052, 93019, -5052, -5052, 72352,  2709, -5052,   678, 67807, -5052,
    2850,  2699, 58631, 93019, -5052, 93019, -5052, -5052, -5052, -5052,
   -5052,  2784,  2953, 93019, 72352, -5052,  2907, 93019, -5052,  2219,
    2834,  2668,  3063, 72352,   141, 93019,   918,  3104, 93019,  2891,
     918,  2724,103099, -5052, -5052,   918, -5052, -5052, 93019, 93019,
    2700,  1039,  2899,   918,  2915,  3124,  3125,  2787,  2905,  1019,
    1311,   138,  3018,   918,  2781,103603,104107, 93019,  2796, 93019,
    3111, 67807, 93019,  3037, -5052,  2920, 90499, -5052,  2783,  2542,
   -5052, -5052, -5052, -5052, -5052,  1417, -5052, -5052, -5052, -5052,
    3082,  2476,   336,  3095,  2799,  3112, -5052, -5052,  2855, -5052,
    2855,  2855,  2811,  2811,  2991,  2831,  3142, -5052, -5052, -5052,
    2322,  2855,  2811, -5052, 73362, -5052,  1766,  1845, -5052,   125,
   -5052,  3250, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
     133, -5052,  1419, -5052,  1678, -5052, -5052, -5052, -5052,  2868,
   -5052,  3148,  2495,  3151, -5052,  2841,104611, -5052,105115,105619,
    3155,  2511,124165,  3156,  3040,  3159,  2841,  3160,  3044,  3162,
     336,  3163, -5052,  1020,  3153,  3166,  3051,  3169,   125,  3170,
    1826,  2841,121980,  3172,   134, -5052, 12790, 10519, -5052, 16769,
    1887, -5052, -5052, -5052, -5052, -5052, -5052, 43214,   691,  2956,
   -5052, -5052, -5052,  1872, -5052,118902, -5052,  1597,  1949, -5052,
   85963,  1949, 85963,   193,  1949, 85963,  1949, 85963,   193,  1949,
   85963, 85963, 85963,  1949, -5052, -5052,   288,   226, -5052, -5052,
   -5052, -5052, -5052, 85963,  2865, 93019, 93019, -5052, -5052, -5052,
   80419,124165, 80923, -5052, 93019, -5052,   263, 85963, -5052, 85963,
   -5052,  2662, -5052, -5052,   386, 72352,  3284,124165,  3111, -5052,
    1881, -5052, -5052, -5052, -5052, -5052, -5052,  3106, 93019,  3173,
    3174, 80419,124165, -5052,106123,121543,  3072,  2884, -5052, -5052,
   -5052, -5052,  1900,  2785,   335,  3100, 43214,  2890,   171,   171,
    2894,  3190, -5052, -5052, -5052,   488,  2895,  2897, -5052,   362,
     362,  2898,  2900, -5052,   523,  2901,  2903,  3147,   581,  2904,
    2906,  2908,  2322,   171, 43214, -5052,  2909,   362,  2912,  2913,
    2918,  3186,  2919, -5052,  3194,  2923,   550,   607,  2924,  2928,
   -5052,  2898, -5052,   468,  2929,  2931,  2932,  2934,  2935,  2936,
    2937,  2938, 43214, 43214, 43214, -5052, 37472,  1706,  2662, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052,   597,  5586, -5052,
    2933, -5052, -5052,  3070, -5052, -5052, 43214, -5052, -5052,    31,
   -5052,   632, -5052, -5052,  1706, -5052, -5052,  2007, -5052, -5052,
   -5052, -5052,  3171,  2940,  2124,  2124,   219, -5052, 82435, 82435,
   -5052, -5052,  1615,  2942, -5052,  2129, -5052, -5052, -5052, -5052,
   -5052, -5052,121106,  3317, -5052,  1145,  2662,   717,  1652,  3273,
  118012,118457,  3191,  3191,  3176, -5052, -5052, 93019, -5052, -5052,
   43214, 60700, -5052,  1706,   117,  3188, -5052, -5052, -5052,  2024,
   -5052, -5052, -5052,  1243, -5052, 16917, -5052,  2043,  2347, 93019,
   93019,  3366, -5052, -5052,  2361, -5052, -5052,     2,     2, 43214,
       2,  1371,    84, 40082, 43736,  3249,  3149,  1302,  1318,  3253,
   -5052,  3154,  1883,  1955, 87979, 93019,106627,  3067, -5052, -5052,
    2403,  2966,  1851, -5052, 74371,116197,116197,  3215, -5052, -5052,
    1339,   114,  3084,  3180,  2648,  1094,  2045,  2045, -5052, -5052,
    2962, -5052,  3308, 82435,  3022,120232, -5052, -5052, 93019, -5052,
   -5052, 91003, -5052, -5052, -5052,   951,  2965, -5052,  2980, 93019,
   -5052,  3483,  2045,  2045, -5052, -5052,  2969, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, 29477,  2973, 93019, -5052,  2976,
    2977, -5052,116698, 61205,  1853,  1706,  3055,  3058,  3108, 66292,
    2981,  3061,  3062,  3113,  3219, -5052, -5052,  3068,  3069,113179,
   -5052, -5052,  1032, -5052, -5052, -5052,  1032, -5052,  3004, -5052,
    1374,  1503,   247,  3073,   194,   153,  3364, -5052,  1471,  3123,
   -5052, -5052, -5052,  3237, 93019,  3311,  7334,  3197,   211,  3128,
   -5052, -5052,  3245,  3085,  3086,  3211,   211,   200,113683, -5052,
   -5052, -5052, -5052, -5052, -5052,  3475, 35932, -5052,  3088,  3075,
    3097, 93019, 75883,  2088,  3206,  1831,  2123,   633,  3145, 93019,
    1626,  3213, 93019,  3021,  3099,  3101,  3295,  3023,  2567,  3396,
    3025, -5052, -5052,  3210,  3303,  3343,  7339,  3089,  3091, 70332,
    1537, 59148, 93019, 93019,  3386,   644,  3117, -5052, -5052, -5052,
     644, 93019,  3118,  3119, 93019,   211, -5052,  3441,   211,   211,
    2241,  3442,  3122,   430,  2066,   918,  3025,  2097, -5052,  3126,
    3134,  1908, -5052,  3234, -5052, -5052,  1643,  3133, 87979,   192,
    2183,  3025,  3138,  3141,  3023,  3023, 93019, 93019, 93019, 93019,
   93019,   142,  3472,  3474,  3143,   158,  3193,  3065, -5052,   644,
  123291,  3150, -5052,   644, 93019,  3157,  2293,  3025,   663, -5052,
    1513, -5052, -5052, -5052,  1404, -5052, 93019, -5052, 93019,  2476,
   72352,  3262,  3320, -5052,  3103, -5052,  2495,   211, -5052, 93019,
   93019,  2511,  3266,   157,  1078, 72352,  3268,  3332, 93019,  3334,
    3121, -5052,   534, 61205, -5052,  2700,  3090,  3507, 93019, 66292,
   -5052,  3519,  1032, -5052, 72352,  3286,  3404, -5052, 93019,  3302,
    3098, -5052,  3440,  3158, -5052, -5052,   926, 93019, -5052,  3409,
  124165,  1445,  2662,  3144,124165,  3329, 93019, 93019, 93019, 93019,
   -5052, -5052,  3299,   612,    55, -5052,123291, -5052, 93019,  3314,
    2097,  3315,  3520,   494,  2219,107131,  3407, -5052,107635,  3114,
    3531, 72352,  3356, -5052, -5052,  3116,  2648, -5052,  2783, -5052,
    2084, -5052,  3244, -5052, 67807,   336, -5052, -5052, -5052, -5052,
   72352, 93019, -5052,  3131, -5052, -5052, 43214, -5052, -5052, -5052,
    2648, -5052, 72352,  2855,  2855, -5052, -5052,  3537,  3202,  3203,
    2648, -5052,  2648, -5052, 72352, -5052,  3127,  3135,  3240,  2648,
   -5052,  3209, -5052,  3212,  2648, -5052,  2052, -5052,108139, 67807,
     336,124165,124165,  3443,   134,  3448,  3198,  3449,  3199, 59148,
     336,   245, 93019, 93019,124165, 93019, 93019, 93019, -5052, 93019,
   -5052, -5052, -5052, -5052, 72352, 93019, 93019, 72352, -5052,124165,
  123291,  3455,  3457,   336, 93019, 93019, -5052, -5052, 13293,  1896,
   -5052, 10519, -5052, 16917,  2072,  3191, -5052,  1982,108643,  1640,
    1597,126350, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   85963, -5052, 85963,   193, -5052, -5052, 85963, -5052, 85963,   193,
   -5052, 85963, -5052, -5052, -5052, 85963, 93019,  3662,  3161, -5052,
    2007, -5052, 93019,  2094, -5052, -5052,  2098,   876, 93019, 93019,
     324, 67807, 93019,  3349, 93019, 93019, 93019, 93019, 93019,  3230,
    2942,  1595, -5052,  1403,   832, 87979,  3359, -5052, -5052, -5052,
   -5052, -5052,  2104,  2090,  1118, 93019,  1179,  2307, -5052, -5052,
   80923, 79411,  3446,   269, 93019, -5052, -5052,  3756, 43214, 38516,
   -5052, -5052, 16917,  3204, 43214, 43214,  3177,  2648,  2648, -5052,
    1065, 43214, 43214, 43214,  2648,  2648,  4371, 43214, 59148, 43214,
   46346, 34363, 43214, 43214, 37994, -5052, 43214,  3372, 47912, 43214,
    1652,  3373, 43214,  1652,  4371,  3605,  3605,  1744,  3140,  6367,
    3168,  1706, -5052,  2648,  1391,   196, 72352, 43214, 43214, 43214,
   43214, 66292,  3251,   185, 93019, 43214,  3178,  2047, -5052, 43214,
   -5052,  3183, 43214,  3264,   897, 43214, 43214, 43214, 43214, 43214,
   43214, 43214, 43214, 43214, -5052, 48928,   206, -5052,  3458,  3486,
     960,  1152, 81427, 39038,  3480, -5052, 33317, -5052,   271, 85963,
   -5052, -5052,  1706,  3480, -5052, -5052, -5052, -5052, -5052,   951,
    3195, -5052,  3200, -5052, -5052, -5052, -5052, -5052, 93019,  3317,
   -5052, -5052,  3269, -5052, -5052, -5052, -5052,   771, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052,  3196, -5052, -5052, -5052,
   -5052,  3196, -5052, -5052,  3191,  3205,  4853, -5052, -5052, -5052,
   -5052,  3473,  3477,   336, 29477, 93019,   218, 84451, -5052, 39560,
   -5052,  2118, -5052,  3207, -5052,  3450, -5052,  3208, -5052, 13438,
    3450, -5052, -5052, 46868,  3316,  3453,  3394, -5052, -5052, -5052,
    3216, 16917, 43214, 43214, -5052,  2073, 16917,  2133, -5052, -5052,
   -5052, -5052, -5052, -5052,  1076, -5052, 93019,  1133,  3249,  1318,
    3263,   861,  3625, 93019, -5052, 55039,  2014, -5052,  2403, -5052,
   -5052, 30935, -5052, 32814, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052,  3214, -5052, -5052, -5052, -5052, -5052,   211,
    3221,  3704, -5052,120232, -5052, -5052, -5052,  3662, -5052,  2582,
   -5052,  2582,  3732, -5052, 85963, -5052, -5052, -5052, -5052,  1483,
   -5052, 10519, -5052, 10519, -5052,  3410, -5052,  3626, -5052, 73362,
   -5052,  3226, -5052, 72857, 69322, -5052, -5052,   896, -5052,  1438,
    3306,  3309,  3357,124165, 93019, 93019, -5052, 66292,124165, 93019,
   93019, -5052,124165, 93019, 93019, -5052, -5052, -5052, -5052, -5052,
  119347,   613, 79411,  3360, 77395, -5052, -5052,  3233, 93019,  3289,
    3485,  3487,  1362, -5052, -5052,109147, -5052,  3444,124165, 93019,
   93019, 43214,  3451, 93019, 93019, -5052,   442,  3328,  3339, -5052,
   93019,  3341, 67807,  3267, 93019, 93019, 72352,  3340,   742, 67807,
    3313, 59665, 93019, 93019, 93019, 93019,  3398,  3569, 72352, 93019,
    3521,  1052, 87979,   137,  2355,  3025,  3481, -5052,  1113, -5052,
  124165, 93019,  3468, -5052, -5052, -5052, 77899,  3690,  3389, -5052,
   -5052,114187, -5052, -5052, -5052,  2121, -5052,124165,124165, 93019,
    7768, 93019,  1504, -5052, -5052, 72352, -5052, 93019, 93019, 93019,
    3522, 93019, 84955,109651,110155,    20,  1556,  3523, 93019, 85459,
    3524, -5052,  3415, 93019, -5052, -5052, 66797,124165, 93019,   815,
   66292, -5052, -5052, 93019, -5052,  3488,   957, -5052, 93019,  9686,
    3367,  3377, 93019,   139,  2464,  3025, 93019, 93019,  3290,  2154,
    3375,  3425, -5052,  3492,   966, 93019,112171, -5052,124165,  1249,
   -5052,  3445,124165, 93019, 13279, -5052, -5052,   211, -5052, -5052,
   -5052, -5052, -5052, 93019, 93019,   211, 93019,   211,  1553, -5052,
  124165, 93019, -5052, -5052, -5052, 93019,  8021, 93019, 93019, 93019,
   93019,124165, 93019, -5052, -5052,  1561,  1398,  1761,  1775,  3454,
   93019,  3578, 93019,110659,124165, 93019, 93019, 93019,  1917, -5052,
   -5052,  3423, -5052,124165,  1249, -5052,  8070, 93019, 93019,  3384,
    3388,   132,  3467, -5052, -5052, -5052, -5052, -5052, -5052,  3564,
    3731,111163,  1971, -5052,  3566,  3568,  3376,  3378,  3574, 93019,
    1971, 93019, -5052, -5052, -5052, -5052,  3570, 93019,  1971,  3575,
    1971,  3526,   126, -5052, -5052,   918, -5052,  2175, -5052,  3345,
   -5052, 43214, 72352, -5052,  2194, -5052,  3347,   612, -5052, -5052,
   66292, 93019,   578,   715,  3637, 76387,  2485,  3635, 93019,  3382,
   93019,  3638,  2485, 93019, -5052,  1448, 79411, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052,  3640, -5052,  2662,  2700,
    2700,  2700,  2700, -5052, -5052, -5052, -5052,  3538,  1996, -5052,
    3354,  2700, 93019,  3464,  2485,  3358,  3658, -5052,  2097,  3665,
    3667, 93019, 76387,  2151,  3399,  3565,  3778,  2219,  2662,  3572,
    3559, -5052, 36441,  7895,  3571,  3615,121543, 90499, -5052,  3380,
    3659,  3661,  3680, -5052,  2476, -5052,  3799, -5052, 43214,  2227,
    3385,   125, -5052, -5052,  3387,  3135,  3406,  3412,  3392,  3395,
   -5052,  2648, 52499, 93019,  3397,  1346,  3603,  3400, -5052,  3709,
     336,  2495, -5052,  2841, -5052, 93019, -5052, 93019, 93019, 93019,
   93019,  2511, -5052, -5052,  3594,   336,  2841,  3595,   336,   336,
   -5052,  3647,  3597,   336,   125,  2841,  3525,  3703,121543, -5052,
     134, -5052, -5052, -5052, -5052, -5052, 43214, -5052, -5052, -5052,
    3613,  2219,  2084, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, 85963,  2582, -5052,  2231, -5052, 93019,
   -5052,  3681,  3683,  3684,  3413,  3414,  3452, 93019,  3416, -5052,
    3413,   211,  3413,  2942,  2942,  3413,  3414,123728,  3837,  3701,
   -5052,  3495,  3422,  3716,   159, -5052,   642,  1261,  3648, -5052,
   -5052, -5052, -5052, 72352, -5052, -5052, -5052, -5052, -5052,124165,
    3469, 93019, 93019, -5052,   165,  3624,  3430,123728,  3834,   336,
   -5052, 67807, -5052, -5052, 72352,  3509,  3527, 67807,  3639,  3482,
   -5052, -5052, -5052, -5052, -5052, 72352, -5052,  3687, 93019,  2240,
   -5052,  1914, -5052,  1924, 43214,    86, -5052, 14495,  2243, 43214,
    3437,  3447, -5052, -5052, -5052, -5052, -5052, -5052,  3461,  3737,
   -5052, -5052,  2249,  2256,  2275,  3462,  3463,  5469,  3466, 15033,
    3470,  3459, 46346, 46346, 37472,  2381, -5052, 46346,  3471,  3627,
    2278, 13897,  3465,  3476, 15283, 40604, 43214, 40604, 40604, 15156,
    3465,  3478,  2304, 66292,  3621, 16130,  2313, -5052, 43214, 66292,
    5923, 43214, -5052, 43214,  3489, -5052, -5052,  6070,  6070,  6070,
    4371, -5052,  3490, -5052, 46346, 46346, -5052,  2719, 37472, -5052,
   -5052,  3742, -5052, -5052,  1603, -5052,  3494, -5052, -5052,  4605,
   59148, 17069, 43214,   195, 43214,  3178, 43214,  3529,  6070,  6070,
    6070,   424,   424,   220,   220,   220,  1995,  1152, -5052, -5052,
   -5052,  3496,  3498,  3499,  3633,  3500, 43214, -5052,  2268,  2407,
   93019,  8520, 15613, 17331, -5052, -5052, -5052, 49958,  3503, 43214,
   43214, 43214,  3491, -5052,  2577, 16917,   780, -5052,  2588, -5052,
   -5052, -5052,  3503,  1262,  3732,   951, -5052,  1404,  2648,  1391,
  118902, -5052, -5052, -5052, 43214, -5052, -5052, -5052, -5052,  2361,
   -5052, -5052, -5052, -5052, -5052, 93019,  2090, 43214, -5052, -5052,
    1736,  3508,    15,  3646,  2045,  2045,  2073,  3649, -5052, -5052,
    3530, -5052, 43214, -5052,  2207,  2331, -5052, -5052, -5052, -5052,
    2942, -5052,  3708, -5052, -5052, -5052, 49958,  3514,  3543, 54023,
    3670, -5052, 93019, -5052, 93019,   236, -5052, -5052, -5052,  3512,
   -5052, -5052, -5052,  1532, -5052, -5052, -5052, -5052, -5052, -5052,
    3501, -5052,  3505, -5052,  3513, -5052, -5052, -5052, -5052,   202,
    3502,  3510,  3511,  1832, -5052, 69322,  1678, -5052, 72857, -5052,
   72857, -5052,  1678,  3902, -5052, 69322,  1813,124165, 93019, 93019,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052,124165,124165,  3698, 93019,  3699,  3710, 43214,
    1376, 93019,  3516,  3532,  1547,  3786, 93019, -5052,  3820,   336,
   -5052, -5052,  3598, -5052, 16917, -5052, -5052, -5052, -5052, -5052,
  124165, 93019, -5052,121543, -5052,  2476, 72352, -5052, -5052, -5052,
   93019,  3551, 93019, -5052, 93019, 93019, 93019,  2511, -5052, -5052,
   -5052, -5052,  1191, 72352, -5052, -5052, 93019, 93019,    83,  3602,
    3607, 93019, -5052,   556,  3234,  8823, 93019, 93019, 93019,  3785,
   -5052, -5052, -5052, -5052,  3729, -5052, -5052, 69322, -5052,  2841,
    1290,  3608,  3025, -5052,  3721, -5052,  1000, -5052,  3656, -5052,
   -5052, -5052, -5052,  3845,   336,  3846,   336, 93019, 93019, 93019,
   93019,  3660, -5052, -5052, -5052, -5052,  3663,  3777, -5052, 66292,
   66292, 66292,  2328, -5052, -5052,  2662, -5052, -5052, -5052, -5052,
   -5052, -5052,  3812, -5052,  2353, -5052,  1665, -5052, -5052, -5052,
   -5052, -5052, -5052,124165, 93019,  9016, 93019, 93019, 93019,  1904,
   -5052,   910, 72352, -5052, 70837,124165, 93019, 93019,  3620,124165,
    3600, -5052, -5052,  3780,  3722, -5052,  2309,  3723,124165,  3609,
   -5052, -5052,  3628, -5052, -5052,  3630,  2513,  3025,  2097, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052,  1321,   238,  2624,
    3025,  3631, -5052,  3632, -5052, -5052, -5052,  3771,  3779,  3783,
    3634,  3641,  3691,  3650,  3651,  3695, -5052,  3653,  3696,  3654,
    3697,  3655,   336, 72352,  3787,  2662,  3693,  3891,   336, -5052,
    3664, -5052, -5052,  3994, -5052, 93019, -5052,  3669,  2636,  3025,
   -5052, -5052,124165, 93019, -5052, -5052, -5052,  1971, 72352, 93019,
    3835, -5052, -5052, -5052,  1971,  1971, 93019, 93019,  1971,  3839,
   -5052,  3842, 93019,  3843, -5052,  1971, -5052, -5052, -5052, -5052,
    2834,  3588, -5052,  2300, 56563,  6642,  3596, -5052, 66292, 56563,
    2054,  2514,   181,   918,121543, 93019,121543, -5052,   715,  3721,
   93019, 93019,  3599,  3601, -5052, -5052, -5052, -5052,124165,   140,
  124165,  2648, -5052, -5052,  3668, -5052, 93019,  2219,   313,  3675,
    4010,  3125,  1445,  3745,  1647,  3953,  3399, -5052, -5052, -5052,
   -5052, 93019, 93019,   612,  2662, -5052,  3606,  3610, -5052, 93019,
   93019, 93019, 93019, 93019,  2090,  3611,  3614, 72352,   731,  3801,
    3798,  3023,  4024,  3919,  2090,  3399,  3694,  3923, 93019, -5052,
    2356,    72, -5052,  2662,121543, 69827,  3913, -5052,  6552, -5052,
   -5052,   660, 93019,  3900, -5052, 93019, -5052, -5052, 53515,   336,
   72352,  2380, -5052, -5052, -5052,  2648, -5052, -5052,  1791,  1791,
    3622, -5052, 53007, -5052,  3619, -5052,  2292, -5052,  4013, -5052,
   93019, -5052,   336,   134,  3676,   336,  3682,   336,   336, 93019,
   -5052, 93019, -5052, -5052, 93019, 93019, -5052, -5052, 93019,123291,
     336, -5052, 16917,  3935,  3924, -5052, -5052, -5052, -5052,  3763,
    3764,  3765, 93019,  3413, 67807, -5052,  3629,124165,  1619, -5052,
   -5052,  3829, -5052, -5052, 87979,  3759, -5052, -5052, -5052, -5052,
    3952,  3955, -5052, -5052, -5052,   748, -5052, -5052, -5052,124165,
   80419,   256,124165, -5052,  2476,  3894, -5052, -5052,  2495,   211,
   -5052,  3895, 93019,  3896, -5052, -5052, -5052,  3652, 16222, 43214,
   -5052,  3966, 72352, -5052,  7100, -5052, -5052, -5052, 43214, -5052,
   -5052, -5052, -5052, -5052, 43214, -5052, 43214,  3944, -5052, 34886,
    4093,  4093,  3657, 72352, 46346, 46346, 46346, 46346,  1764,  2912,
   46346, 46346, 46346, 46346, 46346, 46346, 46346, 46346, 46346, 47390,
     650, -5052,  3836, 43214, 43214,  3956,  3944, -5052, 72352,  3666,
    3465,  3672,  3674, 43214, -5052, -5052,  2390, 48420,  3677, 66292,
   -5052, 43214, 13968,  2391,  3705, 16424,  1706,  7435,  2662, 43214,
    2737,  3493, 43214,  2396, 43214,  3948, -5052, -5052, -5052,  3685,
   -5052, -5052, 72352, 43214,  3679,  6136, 46346, 46346,  7125, -5052,
    7175, 43214, 37472, -5052,  3849,  3702, 55547, -5052, 35409,  3673,
    1642,  1642,  1642,  1642, -5052, 93019, 93019, 93019, 50466,  3957,
   49450, 91507,  3678,  2177, -5052, 91507, 92011, -5052,  3700, -5052,
    3688,  1706, 43214,  3950,   824,   824,  3849, -5052, 43214, 43214,
   41126,  3686, -5052,  3950, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  3689,
   -5052,  3706, -5052, -5052,   717,  3692, -5052, -5052,  7795,   202,
   -5052, -5052,  3707, -5052,  3713, -5052,  3508,  1510, -5052, -5052,
   -5052,  3860, -5052, -5052, -5052, -5052,  3678, 41648,  3814, -5052,
    2404, -5052, -5052,  4053,  3814, -5052, -5052,  2418, 55039,  3514,
   39560,  1706,  2648,  3712, -5052,  2582,  1262, -5052, -5052, -5052,
   -5052, -5052,  2422,  1866, -5052, -5052, 69322, -5052,  3750, -5052,
   -5052, -5052,  2841,  2841,  1564,  3413,  3981,  1564,  7843, -5052,
   -5052, 50974, 93019, 93019, -5052, 93019,  2447,  1675, 93019, -5052,
   93019, -5052, -5052, -5052, -5052,  4106, -5052, 93019, -5052, -5052,
    3748,  3752, -5052, 93019, 93019, 93019, 93019,  3945, -5052, -5052,
    2477, -5052, -5052,124165, 93019, -5052, -5052, -5052,   144,  2680,
    3025, -5052,  3792, -5052, -5052,  3962, -5052,  4107,  3802, 93019,
    3718, -5052,  1675,  1210,  3023,   825, -5052, -5052,  3790, -5052,
   93019, -5052, 93019, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
    3847, -5052, -5052, -5052, -5052, 66797, -5052, -5052, 93019, -5052,
   66292, 56563, 66292, -5052,  1424,   243,  2687,  3025, -5052,  3797,
   -5052,  3803,  3804,  3854,   919,  1093,  3806,  3807,  3857,  3733,
    3734,  3735, -5052, -5052,  3876, 93019,  2841,  3738,  3768,   173,
    2662, -5052, -5052,  2662,  2841,  2662, 93019, 93019, 93019,  4135,
    3824, 93019, 93019, 93019, 93019, 93019, 93019,  4037,   657,  2031,
  124165, 93019, 93019,124165, 93019, 93019, 93019, 93019, 93019, 93019,
   93019, -5052,  4121,  4052,  1878,  4092,  3813, 93019, -5052, 93019,
    3234, 93019, 93019, -5052, -5052, -5052,  3744,  3996,  1971, -5052,
   -5052,  3997,  3998, -5052,  1971,  1971,  3999,  1971, -5052,   534,
   66292, -5052,  2449, -5052,  3345,  3713,  2045,  2045, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052,  2417, -5052, -5052, 93019,  3753,
   93019, 93019, 46346, -5052,  1677,   868, -5052,  4000, 93019,  3789,
   -5052, -5052, -5052,  3916, 93019, -5052, -5052, -5052, -5052, -5052,
    3760, -5052,  4023, 76387,  2841,124165,124165,  2841, -5052, 72352,
    3761,  3399, -5052, -5052, -5052, -5052, -5052, -5052,124165,  3600,
  124165,  1445,  1659,111667,  3793, -5052,  3762,  4060, -5052,  3766,
    3767, -5052, -5052, 93019,  3721,  2457,  2097,  4181,   659,  2206,
    3469, 78403,  2151,  4023, -5052, -5052, -5052,  4144,  3856, -5052,
    2090, 93019,  3469,  3856,  2662, 93019,  3289, -5052, 69322, 43214,
   43214, -5052,  3769, -5052,  3773,  8266, -5052,  3841,  3775,  2700,
   -5052, -5052, -5052, -5052, -5052, -5052,  3853,  3781, 93019,  4221,
   -5052, -5052, -5052,  3782, -5052,  3788, -5052, -5052, -5052,  2532,
   29477, 53007, 53007, 53007, 53007, 53007, -5052, -5052,   336, -5052,
   -5052, 93019, -5052, 93019, -5052, -5052,   336,   336,   336,   336,
   -5052,  3899, -5052, 93019,  2090, 93019, 93019, 93019,  3413, -5052,
     211, -5052,  4076,123728, -5052, -5052,  2483, 93019, -5052, -5052,
   -5052,  4141,   269,  4083, -5052, -5052,  4043,  2423,  4044,  4049,
    2423,  4057,  2423, -5052, 43214, 16917, -5052,  3809, -5052, 16917,
    8519, 16917,  3956, -5052,  2491, 43214, -5052,  1361,  1361,  1361,
    4139,  4104, -5052,  1199,  3815,  1361,  1361,  1361,   431,   431,
     164,   164,   164,  4093,   650, 16917, 16917, -5052, -5052,  3817,
   -5052, -5052, -5052,  3465, -5052, 44258,  3963,  4212, -5052, -5052,
   -5052,  3859,  3867,  3819, -5052, 43214, 44780,  3828, 73362,  4014,
   -5052,  1666, 43214, 43214,  3833, -5052,  6582, 43214, 72352,  2516,
    3833,   281, 43214,  3810,  4001, 43214, 43214,  7340,  8618,  3831,
   43214,114691, -5052, -5052, -5052,  2519, 43214, 93019, 93019, 93019,
   93019, -5052, -5052, -5052, 91507, 92011,  3838, 51990,  2177,  3840,
   93019, -5052, -5052,  3844, 49958,  4080,  4018, -5052, 49958,  4018,
    2029,  4018,  4082,  3925, 56055, -5052, -5052,  3851,  4025, -5052,
   33317,  2063, 16917,  4240,  4124, 43214,  3855,  3861,  3862, 16917,
   16917, 43214, -5052,  2662,  4124,  1262,   450,  2662, -5052, -5052,
   -5052, 59148, -5052, -5052, -5052, -5052,  4041, 16917, 39038, -5052,
    2090, 93019,  1706,   653, -5052,  3868, 93019, -5052,  3814, -5052,
   -5052, 10519, -5052, -5052, -5052, -5052,  3928,  2527, -5052, -5052,
   -5052, -5052, -5052,  3942, 79411,  4138, -5052, 43214,  2535, -5052,
    3893,  4246,   282,  2539,  2540,  1675, -5052,  3789, -5052,  1722,
    4134,   292, -5052,   336, -5052, 72352, -5052, 93019, 93019, -5052,
   -5052, -5052, -5052, 93019,  2981, -5052, -5052, 93019, 93019, 93019,
   93019, -5052,124165, 93019, -5052, 66292,  2514,  4071, -5052, -5052,
    4072,   173, 93019, -5052, 72352,   336,   336, -5052, -5052, -5052,
   -5052, -5052,  3884,  4272,  3961, 93019, 93019, 93019, 93019,124165,
   93019, 93019,  2648,  2648, 72352,  3874, -5052,  2648,  2648,  3877,
   -5052,124165, 93019, 93019, -5052, -5052, -5052,  3958, -5052, 43214,
    4268, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,124165,
   93019,  3960, -5052,  3964, -5052, -5052, -5052, 93019, 93019, 93019,
   93019,  4194, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, 93019, -5052, -5052,  2662,  2662, 72352,   336,
     336, -5052, -5052, -5052,  4137,  1971, -5052,  1971,  1971, -5052,
   -5052,  1971, -5052,   646,  2549, -5052,117135, -5052, -5052,  3104,
    2662,  3104,  1718, -5052, -5052,  3104, -5052,  3104, -5052,  1675,
    1501,  4176,  4183, 43214, -5052,  1614,  4139, -5052, -5052, -5052,
   -5052,  3789,  2219,  3943, 67807,   883, -5052,  4162,   578, 76387,
    1169,  3897,  4011, -5052,  2841,  2841,  3947, 93019,  4310,  2841,
    3768, -5052,  4105,   709, 93019,  4224,  3937, -5052,  2662, -5052,
   -5052,  3399, -5052,  4213, 93019, 76387,  3469, -5052,  2552, -5052,
   -5052, -5052,  3939,  3798,  2151,  1144, 93019, -5052,  3940,  4322,
   -5052, -5052,  4198,  4100,  3909, -5052, 16917, 16917,  2662, 73867,
    6552, 72352,  4210, -5052, 93019,   183,  4177, 93019, -5052,   336,
   -5052, -5052,  3915,  1802,  1802, -5052, -5052, -5052, -5052,   336,
     336, -5052, -5052, -5052, -5052, 93019,  3413,  3413,  3413, -5052,
    4103, -5052, -5052,  4170, -5052,   336,123728,  2423, -5052, -5052,
   -5052,  2423,  2423, -5052,  2423, -5052, 16917, -5052, -5052, -5052,
   -5052,  9160, 46346,  4214, -5052,  3921, 72352, -5052,  3926,  2561,
    2571, 47912,  4075, -5052, -5052, -5052,  9179,  3976, 16917,  4029,
    3929,  3930,  3833,  3833,  6582,  2576, -5052,  3833, 43214, 43214,
    3833,  3833, 43214, -5052, -5052,  9297,  4108, -5052, -5052,  9626,
   -5052, -5052, -5052, -5052, -5052, -5052, 67302, 91507,  3934, 93019,
    2177, 49958, -5052, -5052,  1848, -5052, 49958,  4187, -5052, 49958,
   67807, -5052, 93019,  3946, 93019, -5052,   780, 45302, 43214,  3971,
   -5052, -5052, -5052,  3849, -5052,  3971, -5052,  2045, -5052, -5052,
   -5052, -5052, -5052,  3941, 85963,    51, -5052, -5052,  4313, 50974,
    4273,  3951, -5052, -5052, -5052, -5052, -5052,123728,  4140,123728,
    1675,  9752,  3789, 50974, 60182, 93019, 92515, 92515,  4096,  3789,
    3943, -5052, -5052, -5052, -5052, -5052, -5052,  3949, -5052, -5052,
   -5052, -5052,  4031, -5052, -5052,   565,  3359,  2579, -5052, -5052,
   -5052, -5052, -5052,  4121, -5052, -5052, 56563,124165, 93019, -5052,
    4032, -5052, -5052, -5052, -5052, -5052, 51482, 59148, -5052,   919,
    3959,  3965,  1093, -5052, -5052, -5052, 93019,  9771,  3972,   863,
    3359, 93019, 93019,  1542,  1423,  1840,  3413,  4249, -5052, -5052,
   -5052,  4121, -5052, -5052,  1971, -5052, -5052, -5052, -5052, -5052,
     918,  4290, -5052, 66292, -5052,120669, -5052, -5052, -5052,  2662,
   -5052,  2662,  4158, 93019, 62215,  2662,  2662, 67807,  4373,  4373,
   93019, -5052,  9899,  4161, -5052,  3943,  4184,  4230, -5052,  3973,
   93019,  4123,  3974,  3970,  1205,  1205, 93019, 93019, 93019,  2593,
    2090, -5052,  1445,  4275, 76387,  3721, -5052,  1585,  3975,  4287,
   -5052,  4393, 93019,  2090,  3611,  3978, -5052, -5052, 78403,  4168,
    3856,  3798,  4110, -5052,  4111, -5052,  1708, -5052,  2090, 93019,
   93019, 50974, -5052, 72857, -5052,  2620, -5052, -5052, -5052,  4050,
    3503,  4088,  4102,  4002, 93019,   572, -5052,  4012, -5052, -5052,
   -5052, -5052, -5052, -5052, 93019, -5052,   256, -5052, -5052, -5052,
   -5052, -5052,  4219, 46346, 72352,  2630, 43214, -5052, 43214, -5052,
    4398, -5052, -5052, -5052,   803, -5052, -5052, -5052,  3833,  3833,
    3833, -5052,  4403,  3849, -5052, -5052,  2643,  4423, -5052, 93019,
    2660, -5052, 43214,  4009, -5052, -5052, 49958,  1848,  4015,  2666,
   93019,  2672, 72352,  4016,  4019,   577,  4020, 33840,  4007, -5052,
   -5052, -5052, -5052, -5052, 16917, 16917, 93019, -5052,  4017, -5052,
   -5052, -5052, -5052, -5052, -5052, 93019,  2683, -5052,   950, 36950,
   -5052, -5052,  1619,  1564,   256,  4246,  3943, -5052,  4021, -5052,
   -5052, 93019, -5052,  1517,  1517, 93019,  3943, -5052, -5052, 93019,
    4097, -5052, -5052, 66292,  4065, -5052,   914,  3359, 93019, 72352,
    2495,   103, -5052, 72352, 72352, -5052, -5052, -5052, 43214,  4098,
   -5052, -5052, -5052, -5052, -5052, 93019, 93019, 93019, 93019, 93019,
     336, -5052,  3588,  2662, -5052, -5052,  2698, -5052, -5052, -5052,
   93019,  3762, -5052,  3762, -5052, -5052,  4373,  1148, -5052, -5052,
   -5052,  1628,  4222, -5052,  1082,  4216,  4113,  4036, -5052, 67807,
    4467,  4023, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
    2745,  3721,  4329,  3399,  3940, 93019, -5052, -5052, -5052, -5052,
   43214,  4189,  2090,  2206,  3469,  2151,  4023, -5052, -5052, -5052,
    3856, -5052, -5052,  4424,  4228,  4426,  3469, -5052,  3289,  2750,
   -5052,  8266, 73867, 72352,  4369,  4077,  4079, -5052, -5052,  4095,
   93019, -5052, -5052,  2635,  4488,  3721, -5052,  4219,  2760, -5052,
    2765,  2768,  4197,  4099, -5052, 43214,    78,  3700, 67302,  4048,
   -5052,  2769, -5052, 16917, 93019, -5052, -5052, 43214, -5052,  2776,
   -5052, -5052, 43214,  4054, 43214, -5052, 45302,  4046, -5052,  4468,
   -5052, -5052,  3503, 50974, -5052,  4166, -5052,  4347, -5052, 92515,
    4094, 59148, -5052,  3508,  3508,  2219, -5052,  1675, -5052, 93019,
   -5052, 43214, -5052,  4145, -5052, -5052,  2779, -5052,  1293,  4211,
    4359,  2782,  2790, 10574, 93019,  3414,  1840,  3414, -5052,  3413,
   -5052, -5052, -5052, -5052,120669,  3762, -5052, -5052, -5052,  4386,
    4330, -5052, -5052, -5052, -5052,   652, -5052,  4256,  4258, 93019,
   -5052,  4067, -5052,  2791,  4186, -5052, -5052, 93019,  4485,  4487,
   -5052,   714, 11075, 67807,  3940,  3469, -5052,  3798,  2151,  2514,
   -5052,  4264, -5052,  4265, -5052,  4078,  3399,  6552, -5052, -5052,
    1151,  4370,  4372, -5052, -5052, -5052, -5052, -5052, 93019, -5052,
   -5052, -5052, -5052, -5052, -5052,  3465, 42170, 42170,  4084, -5052,
   -5052, 93019, -5052,  2794,  2795, -5052,  2803, 45302,  2806, -5052,
   93019,  4081, -5052, -5052, 55039,123728,  1517,  4086, -5052,  4087,
   -5052, -5052,  4184,  1675,  3359, 16917, 93019, 67807,  4477, -5052,
   -5052, -5052,  4211, -5052, -5052, -5052,  3359, 93019, -5052,  4217,
   -5052,   683,   683,  4419, -5052,  4147, -5052, -5052,  4091, -5052,
    4529, 93019, -5052,   919,  2090, 76387, -5052,  4089, -5052, -5052,
    3856,  3798, -5052, -5052, 50974,  3856, -5052, -5052, -5052,  2706,
   67807, 67807, -5052, 45824,  4223,  1355, 14534, -5052, -5052, -5052,
   -5052,  2816, -5052,  4237, -5052,  2817, -5052, -5052, -5052,  1164,
     256,  3508, 43214,  1675, -5052,  4216, -5052,  3359,  2495, 93019,
   -5052, -5052, -5052,  3937, -5052,  4524, -5052,  1177, -5052, -5052,
   -5052, -5052,  3721,  3874,  3940, 65787, -5052,  3856,  2820,  3503,
   -5052,  2718, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  4101,
    4109,  4515, -5052, -5052, -5052, -5052, -5052, -5052,  4115, -5052,
   -5052, -5052, -5052, -5052, 11395, -5052, -5052, -5052, -5052,  4408,
   -5052, -5052, -5052, -5052, -5052,  2826, -5052, -5052, -5052, -5052,
   -5052, -5052,  3399, -5052,  1948, -5052, -5052,  1960,  2357,  4179,
    4391, 42692, 43214, -5052,  1675,  4259, -5052, 65787,  3856, -5052,
    2718,  4206,  4208, -5052, 12158, 67807, -5052,  3503, -5052,  4142,
    4146, -5052,  4116, -5052,  4396,  4399, 65787, 67807, 67807,  2827,
   -5052, -5052, -5052
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2489,     0,     2,     1,  2920,  2924,  2928,  2929,  2846,  2930,
    2931,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2909,  2908,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2919,  2918,  2868,  2496,  2865,  2862,  2863,
    2864,  2869,  2867,  2860,  2861,  2072,  2933,  2921,  2934,  2922,
    2923,  2925,  2926,  2895,  2927,  2935,  2936,  2937,  2932,  2940,
    2891,  2892,  2890,  2893,  2894,  2938,  2939,  2882,  2883,  2884,
    2885,  2941,  2497,  2498,  2887,  2490,  2494,  2558,  2629,  2888,
    2889,  2886,  2495,  2881,  2629,     0,  2750,  2751,  2752,     0,
    2753,  2754,  2755,  2681,  2643,  2756,     0,     0,  2757,  2758,
    2759,  2760,  2761,  2762,  2763,  2764,     0,  2765,  2766,  2767,
    2768,  2628,  2769,  2770,  2771,  2772,  2605,  2611,  2734,     0,
    2585,  2586,  2582,  2584,  2583,  2587,  2570,  1286,   580,  1370,
    1369,     0,  2391,  1286,  2346,  2347,  2392,  2348,  2349,  2350,
     269,     0,  1372,  2351,  2393,     0,  1286,  2394,   402,  1031,
    2395,  2396,  2513,     0,  2352,  2353,     0,     0,     0,   580,
    1286,     0,     0,  2354,  1499,  2355,     0,  2356,  2397,  2398,
       0,  2357,  2358,  2399,     0,  2400,  2359,  2360,  2361,  2401,
    2402,  2403,  2362,  2404,  2405,     0,     0,  1513,     0,  2363,
    2406,  2364,  2365,     0,  2407,  2366,  2367,  2368,  2408,  2409,
    2369,  2370,  2371,     0,  2372,     0,     0,     0,     0,     0,
       0,  2410,  1286,  2373,     0,     0,  1520,     0,  2374,     0,
    2411,  2375,     0,  2376,     0,  2412,  2377,  2378,  2379,  2380,
    1513,  2730,  2606,     0,  1374,     0,  2381,  2413,     0,  2382,
    2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1372,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1484,  1471,  1522,  1483,  1498,     0,  1487,  2825,
    2826,    38,  1499,   126,   127,   132,  2493,  2547,  2548,  2549,
    2629,  2580,  2581,  2574,  2590,  2600,  2589,  2593,  2601,  2588,
    2607,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2827,  1730,
    2824,    66,  2565,  2564,     0,  2629,     0,  2857,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,
    2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,
    2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,
    2129,  2130,  2079,  2131,  2132,  2133,  2134,  2135,  2136,  2137,
    2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,
    2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,
    2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,
    2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,
    2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,
    2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,
    2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,
    2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,  2237,
    2238,  2239,  2240,  2241,  2242,  2245,  2243,  2244,  2246,  2247,
    2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,
    2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2080,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2513,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2531,  2077,  2078,  2084,  2085,  2086,  2506,  2527,  2533,  2853,
    2532,  2083,  2680,     0,     0,  2773,  2774,  2775,  2776,  2777,
    2778,  2828,  2829,  2830,  2831,  2832,  2834,  2833,  2642,  2800,
    2837,  2641,  2838,  2645,  2839,  2840,  2841,  2842,  2801,  2843,
    2644,  2835,  2797,  2646,  2639,  2640,  2798,  2748,  2749,  2050,
    2799,  2796,  2836,  2534,  2795,  2650,  2649,  1461,  2852,  2049,
    1462,     0,  2652,  2779,  2780,  2781,  2782,  2784,  2783,  2785,
    2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2810,  2426,  2427,  2428,  2823,  2429,  2430,  2811,
    2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2812,  2813,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2814,  2479,  2480,  2815,  2481,  2482,  2483,  2816,  2484,  2485,
    2486,  2487,  2488,  2820,  2821,  2822,  2809,  2603,  2786,  2808,
    2819,  2817,  2818,  2613,  2609,  2617,  2612,     0,     0,     0,
       0,  2629,  1285,  1284,  1270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2503,     0,  1296,   373,
     372,  1371,  1352,   580,     0,  1273,   401,     0,     0,     0,
       0,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,     0,     0,
     425,   424,     0,     0,     0,  1003,   430,     0,     0,     0,
       0,     0,   568,  2512,  2507,  2517,     0,  2510,  2511,  2795,
       0,  2944,  2243,  2543,  2544,  2942,  2297,  1463,   270,   273,
     274,   271,   272,     0,  1113,  1114,  1116,     0,     0,  1126,
     830,   831,     0,     0,     0,   833,     0,     0,     0,   827,
       0,     0,     0,     0,     0,     0,   832,   824,     0,   823,
       0,     0,  1126,     0,     0,     0,   825,     0,     0,  1274,
       0,  2595,  2596,  2179,  1412,   431,     0,     0,  1499,     0,
    1389,  1390,  1372,  1379,  1391,  1384,  1386,  1385,  1387,  1383,
    1388,  2088,   941,  2102,   941,  2169,   938,   939,   941,   941,
     941,  2260,     0,     0,   913,     0,   924,  2073,   941,  2074,
    2853,   946,   486,   486,   486,     0,   945,   950,   486,     0,
    1267,  1305,  2054,  1512,     0,  2102,  2169,   914,  1266,  2312,
    1403,     0,     0,  1141,  1137,  1139,  1140,  1138,     0,     0,
       0,  2276,  1278,   254,  2793,  2285,  2377,  2312,  2794,   253,
     248,   249,  2788,  2789,  2791,   222,  2792,  2790,  2787,  2092,
       0,     0,   945,     0,  1275,  1276,   899,  1519,  1517,     0,
    2036,     0,     0,  2110,     0,  2123,  2204,   245,  2271,  2277,
    2285,  2377,  2312,  2343,   201,   211,   206,     0,   263,  2285,
    2377,  2312,     0,  1296,     0,  1488,  1619,  2045,     0,     0,
    2604,  1269,  1268,  1373,     0,  1376,     0,  1580,  2256,  1492,
    1495,  1378,  1493,  1484,     0,     0,  2492,  1367,  1516,  1516,
       0,  1516,     0,  1476,  1484,  1479,  1483,     0,     0,     0,
       0,  1286,     0,  2572,  2600,  2579,  2635,  2576,     0,     0,
    2625,  2621,  2618,  2626,  2627,  2620,  2608,  1719,  1720,  1721,
    1718,  1731,  1717,     0,  2553,  1722,  2592,  2559,     0,  2567,
    2566,  2870,  2871,  2682,  2505,  2524,     0,     0,     0,     0,
       0,     0,     0,  2651,  2653,  2655,  2615,  2614,  2610,     0,
       0,     0,     0,  2740,  2741,  2739,     0,  2736,  2738,     0,
    2635,     0,  2804,  2798,  2807,     0,  2055,  2799,  2796,  2795,
       0,   840,     0,  1308,   990,     0,     0,     0,     0,  2049,
       0,     0,     0,     0,     0,  2077,     0,  2178,     0,     0,
       0,  1944,  1955,  1956,  1957,  2114,  2164,  1952,  1953,  1954,
    1946,  1947,  1948,  1949,  1950,  1951,     0,  1111,  1945,     0,
    2178,     0,   170,     0,   148,     0,     0,  2178,     0,     0,
       0,     0,     0,  2178,     0,     0,     0,     0,     0,   170,
    2209,     0,   148,  2178,     0,     0,     0,  1290,     0,     0,
       0,  1292,  1295,  1271,  1355,     0,  2045,     0,     0,   876,
     868,     0,   877,   869,     0,     0,   879,     0,     0,   871,
       0,     0,     0,     0,   880,     0,   870,   872,   882,   873,
     878,     0,     0,     0,     0,   874,     0,     0,  1282,   486,
     379,     0,     0,     0,     0,     0,   148,  1340,     0,  2178,
     148,     0,     0,   429,   428,   148,   427,   426,  2114,  2164,
       0,  1030,     0,   148,  2178,     0,   194,   651,   583,     0,
       0,   752,  2209,   148,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,   567,   580,     0,  2516,  2522,     0,
    2514,  2683,  2945,  2943,  2638,     0,  1117,   246,   247,  1115,
    2178,     0,   347,     0,     0,  2178,  1327,  1677,  1706,  1684,
    1706,  1706,  1673,  1673,  2148,  1686,  2178,  1674,  1675,  1713,
       0,  1706,  1673,  1678,     0,  1676,  1716,  1716,  1701,   347,
     844,  1658,  1659,  1660,  1661,  1687,  1688,  1662,  1693,  1694,
    1708,  1663,  1730,  2805,  1673,  2806,  2803,  2802,   829,     0,
     828,  2178,     0,  2178,  2081,   185,     0,   826,  2114,  2164,
    2178,     0,     0,  2178,     0,  2178,   177,  2178,     0,  2178,
     347,  2178,   584,     0,     0,  2178,     0,  2178,   347,  2178,
    2209,   179,     0,  2178,   347,   838,     0,     0,  2875,  2879,
       0,  2877,  2872,  2594,  2648,  2647,  2546,     0,  2956,     0,
    1463,  1381,  1396,     0,  1392,  1399,  1395,  1499,   941,   940,
       0,   941,     0,  2966,   941,     0,   941,     0,  2966,   941,
       0,     0,     0,   941,  2075,  2076,     0,     0,  2965,  2961,
    2964,   915,   925,     0,   947,     0,     0,   954,   953,   952,
       0,     0,     0,   955,     0,  1623,  1435,     0,   922,     0,
     920,     0,  1264,  1281,     0,     0,     0,     0,  1006,  1144,
       0,  1142,  1133,  1134,  1277,   252,   250,     0,     0,     0,
       0,     0,     0,  1283,     0,     0,     0,     0,  2859,  2061,
    1958,  2858,     0,  2347,  2348,  2349,  2017,     0,  2800,  2350,
    2351,  2393,  1860,  1847,  1856,  1861,  1848,  1850,  1857,  2352,
    2353,  2354,  2355,  2068,  2356,  2357,  2358,  2360,  2361,  2362,
    1852,  1854,  2363,  2364,     0,  2069,  2366,  2367,  2228,  2369,
    2370,  2372,  2373,  1858,  2375,  2376,  2377,  2378,  2379,  2380,
    2067,     0,  1859,  2381,  2383,  2384,  2385,  2386,  2387,  2388,
    2389,  2390,     0,     0,     0,  2042,     0,  1827,     0,  1666,
    1667,  1689,  1690,  1668,  1695,  1696,  1669,     0,  2041,  1733,
    1909,  1826,  1843,     0,  1832,  1833,     0,  1825,  1821,  1502,
    2037,     0,  1822,  2057,  2018,  2071,  2070,  2853,  2026,  2060,
    2058,  2059,  1502,  2035,     0,     0,     0,   214,     0,     0,
    2729,   265,     0,   266,  2043,  2285,   202,   244,   216,   243,
     217,   215,     0,  2112,   203,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,   259,  1272,     0,  1621,  1620,
       0,     0,  2024,  2046,   849,     0,  1365,  1366,  1364,     0,
    1361,  1363,  1375,  1372,  2031,  2030,  2032,     0,  1494,     0,
       0,     0,  1474,  1473,  1378,  1514,  1515,     0,     0,     0,
       0,     0,     0,     0,     0,  1570,  1530,  1531,  1533,  1567,
    1571,  1579,     0,  1480,     0,     0,  1625,     0,  1581,  2491,
    2635,  2636,     0,  2630,     0,  2629,  2629,  2623,  2622,  2619,
       0,     0,     0,     0,     0,     0,     0,     0,  2550,   562,
    2552,   559,     0,     0,  2526,     0,  2530,  2528,     0,  2675,
    2678,     0,  2676,  2677,  2679,     0,  2684,  2685,     0,     0,
    2866,     0,     0,     0,  2666,  2654,  2661,  2663,  2665,  2664,
    2673,  2669,  2672,  2674,  2616,  2629,  2747,     0,  2742,  2745,
       0,  2737,     0,     0,     0,  2056,     0,     0,     0,     0,
     841,     0,     0,     0,     0,  1316,  1317,  1318,     0,     0,
    1319,  1320,  1308,   256,  1326,  1324,  1307,  1309,  1322,  1314,
       0,     0,     0,     0,     0,     0,     0,  1332,     0,     0,
     183,   184,   595,   580,     0,  2178,     0,     0,     0,     0,
    1070,  1077,     0,     0,     0,     0,     0,     0,     0,  1071,
    1069,  1072,   258,  1081,  1097,  1100,     0,   980,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     279,   291,   342,     0,     0,  2178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   146,   147,   152,
       0,     0,     0,     0,     0,     0,   546,   558,     0,     0,
       0,     0,     0,   555,     0,   148,   283,   539,   543,     0,
       0,     0,   660,   659,  1330,  1329,     0,     0,     0,  1196,
       0,   275,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   365,   366,     0,
       0,     0,   152,     0,     0,     0,     0,   285,     0,  2560,
       0,  1291,  1288,  1289,     0,  1294,     0,  1351,     0,     0,
       0,     0,     0,   884,     0,   881,     0,     0,   875,  2114,
    2164,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   378,     0,     0,   749,     0,     0,     0,     0,     0,
     760,     0,  1308,  1339,     0,     0,     0,   589,     0,  2178,
       0,   150,   794,     0,   750,   430,     0,     0,   150,     0,
       0,   188,     0,   655,     0,     0,     0,     0,     0,     0,
     698,   697,     0,     0,     0,   751,     0,   150,     0,  2178,
     542,  2178,     0,   486,   486,     0,     0,  1005,  1008,     0,
       0,     0,     0,  2520,  2515,  2518,     0,  2508,  2522,  1466,
    1468,  1467,     0,  1465,     0,   347,   345,   346,   747,  1125,
       0,     0,  1705,  1692,  1700,  1699,     0,  1682,  1681,  1680,
       0,  1679,     0,  1706,  1706,  1704,  1683,  1658,     0,     0,
       0,  1712,     0,  1710,     0,   819,  1654,  1650,     0,     0,
    1698,  1719,  1718,  1717,     0,  1664,  1673,  1670,     0,     0,
     347,     0,     0,  2178,   347,  2178,     0,  2178,     0,     0,
     347,   347,     0,     0,     0,     0,     0,     0,   656,     0,
     837,   835,   834,   836,     0,     0,     0,     0,   817,     0,
       0,     0,  2178,   347,     0,     0,   816,  2873,     0,     0,
    2876,     0,  2597,  1968,     0,  2962,  1408,  2959,     0,     0,
    1499,     0,   233,   234,   232,  1397,   235,  1398,  1394,  1380,
       0,   933,     0,  2966,  2967,   918,     0,   928,     0,  2966,
     916,     0,   929,   926,   927,     0,     0,     0,  2960,  2844,
    2850,   932,     0,     0,   487,   489,     0,     0,  2134,  2147,
       0,  2170,  2197,  2198,  2277,  2281,     0,  2307,  2317,     0,
     956,   985,   951,   669,     0,     0,  1445,   923,   921,  1265,
    1401,  1975,     0,  1499,     0,     0,     0,     0,   251,   223,
       0,     0,     0,   987,  2276,  1280,   898,   580,     0,     0,
    1830,  1831,  2016,     0,     0,     0,     0,     0,     0,  1829,
    1983,     0,     0,     0,     0,     0,  1756,     0,     0,     0,
    1996,     0,  2002,     0,     0,  1793,     0,     0,     0,     0,
       0,     0,     0,     0,  1757,  1737,  1738,  2801,  1827,  1968,
       0,  1828,  2064,     0,  1730,  1958,     0,  1955,  1956,  1957,
       0,     0,     0,  2029,     0,  1966,     0,     0,  1771,  1964,
    1773,     0,     0,     0,     0,  1952,  1953,  1954,  1946,  1947,
    1948,  1949,  1950,  1951,  1962,  1753,     0,  2040,     0,  1911,
       0,  1752,     0,     0,  1583,  1501,     0,  2062,  2019,     0,
    2851,  2854,  1823,  1583,  2726,  2725,  2724,  2723,  2694,     0,
    2688,  2689,     0,  2727,  2728,   267,   268,   264,     0,     0,
     219,   218,     0,   241,   242,   213,   240,     0,   236,   237,
     221,  1900,  1899,   220,   212,   209,   207,   224,   226,   227,
     210,   208,   262,   260,     0,     0,     0,  2021,  2020,  2052,
    2025,     0,     0,   347,  2629,  1359,     0,  1356,  2034,     0,
    1496,     0,  2047,     0,  1368,  1491,  1490,  1523,  1524,  1023,
    1489,  1550,  1551,     0,     0,     0,     0,  1576,  1574,  1541,
    1534,  1540,     0,     0,  1538,     0,  1542,  1733,  1569,  1478,
    1528,  1529,  1532,  1477,     0,  1572,     0,  1448,  1570,  1533,
    1432,     0,  1414,     0,  1626,     0,     0,  2637,  2635,  2575,
    1658,  2629,  2568,  2629,  2624,  2556,  1724,  1725,  1726,  1727,
    1728,  1729,  2557,     0,  2554,  1723,  2555,   560,   561,     0,
       0,     0,  2523,     0,  2504,  2529,  2660,  2293,  2692,     0,
    2693,     0,     0,  2657,     0,  2667,  2670,  2668,  2671,     0,
    1658,  2847,  2743,  2847,  1658,  1045,  1047,     0,  1046,     0,
    1049,     0,  1058,     0,     0,  1044,  1063,     0,  1052,  1050,
       0,     0,     0,     0,     0,     0,   842,     0,     0,     0,
       0,  1315,     0,     0,  2307,   255,  1318,  1323,  1310,  1321,
       0,     0,     0,     0,     0,   989,   988,     0,     0,  1010,
       0,     0,     0,  1335,   475,     0,   344,     0,     0,     0,
       0,     0,     0,     0,     0,   745,   742,     0,     0,   741,
       0,   593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   630,     0,  1196,     0,   663,     0,  1079,     0,  1078,
       0,     0,     0,  1080,  1075,  1076,  2277,  2285,  2312,   257,
    1099,     0,  1098,  1096,  1033,     0,  1034,     0,     0,     0,
       0,     0,  2157,   293,   306,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   329,     0,     0,   332,   331,     0,     0,     0,     0,
       0,   336,   315,     0,   316,     0,     0,   335,     0,     0,
       0,     0,     0,  1196,     0,   287,     0,     0,     0,     0,
       0,     0,  1112,     0,   687,     0,     0,   173,     0,   169,
     172,     0,     0,     0,     0,   545,   557,     0,   549,   550,
     547,   551,   552,     0,     0,     0,     0,     0,     0,   544,
       0,     0,   653,   652,   658,     0,     0,     0,     0,     0,
       0,     0,     0,  1146,  1145,     0,     0,     0,     0,     0,
       0,   784,     0,     0,     0,     0,     0,     0,     0,   176,
     672,     0,   671,     0,   174,   175,     0,     0,     0,     0,
       0,     0,     0,   231,  1287,  1293,  1354,  2053,  1353,     0,
       0,     0,     0,   883,     0,     0,     0,     0,     0,     0,
       0,     0,   885,   886,   887,   888,     0,     0,     0,     0,
       0,     0,     0,   381,   382,   148,   380,     0,   773,  2802,
     748,     0,     0,   761,     0,   763,   766,     0,  1306,   448,
       0,     0,   586,   630,     0,   433,   181,     0,     0,     0,
       0,   689,   145,   192,   194,   431,     0,   193,   195,   197,
     198,   199,   196,   200,   650,   654,     0,   582,     0,     0,
       0,     0,     0,   699,   703,   702,   706,   704,     0,   700,
       0,     0,  1646,     0,   168,     0,     0,   537,   541,     0,
    2499,     0,   433,   517,   358,  2178,     0,   486,     0,  2178,
       0,  1007,     0,     0,     0,     0,     0,     0,  2521,     0,
       0,     0,     0,  1464,     0,  1103,     0,  1328,     0,     0,
       0,   347,  1703,  1702,  1655,  1651,     0,     0,     0,     0,
     845,     0,     0,     0,     0,     0,     0,     0,  1671,  2178,
     347,     0,  1101,   186,  2082,     0,   821,     0,     0,     0,
       0,     0,  1105,   813,     0,   347,   178,     0,   347,   347,
     585,     0,     0,   347,   347,   180,     0,     0,     0,   577,
     347,   839,  2874,  2880,  2878,  1411,     0,  2963,  2957,  2958,
    2178,   486,  1468,  1382,  1393,   930,   937,   919,   936,   935,
     917,   934,   931,  2659,     0,     0,  2849,     0,   948,     0,
     485,     0,     0,     0,   962,   963,     0,     0,   961,   978,
     964,     0,   966,   958,   957,   967,   968,     0,     0,   987,
     667,     0,     0,     0,     0,  1442,     0,  1440,     0,  1624,
    1444,  1433,  1402,     0,  1400,  1405,  1407,  1406,  1404,     0,
     530,     0,     0,  1143,     0,     0,   945,     0,     0,   347,
    1279,     0,   900,   901,     0,     0,     0,     0,     0,     0,
     907,   904,   905,   906,   908,     0,   909,     0,     0,     0,
    1979,     0,  1980,     0,     0,  2015,  2011,     0,     0,     0,
       0,     0,  1987,  1988,  1989,  1986,  1990,  1985,     0,     0,
    1991,  1984,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2373,     0,     0,     0,     0,  1796,     0,     0,  1939,
       0,  1968,  2001,     0,     0,     0,     0,     0,     0,  1968,
    2007,     0,     0,     0,     0,  1898,     0,  1895,     0,     0,
       0,     0,  2026,     0,     0,  2065,  1734,  1748,  1749,  1750,
    1754,  2039,     0,  2028,     0,     0,  1735,  1762,     0,  2008,
    1789,     0,  1794,  1777,     0,  1770,     0,  1775,  1779,  1758,
       0,  1755,     0,  2029,  1967,     0,  1965,     0,  1745,  1746,
    1747,  1739,  1740,  1741,  1742,  1743,  1744,  1751,  1943,  1941,
    1942,     0,     0,     0,  1919,     0,     0,  1774,  2172,  2204,
       0,  1513,  1513,  1513,  1500,  1511,  2038,     0,  1641,     0,
       0,     0,     0,  1835,     0,  1972,  1522,  1970,  2055,  2856,
    2855,  2027,  1641,     0,     0,     0,  2044,     0,     0,  1730,
       0,   261,  1622,  2022,     0,   847,   848,   846,  1658,  1378,
    1362,  1358,  1357,  2033,  1377,     0,  1499,     0,  1021,  1022,
       0,  1026,  2373,  2274,     0,     0,     0,     0,  1543,  1577,
       0,  1568,     0,  1544,  2057,  2058,  1545,  1548,  1549,  1539,
    1578,  1446,     0,  1573,  1482,  1481,     0,  1644,     0,     0,
    1424,  1416,     0,  1627,     0,  1583,  1450,  1452,  1453,     0,
    2026,  2573,  2631,  2578,  2599,  2569,  2602,  1732,  2551,  2591,
       0,  2525,  2695,  2696,     0,  2686,  2687,  2656,  2662,  2733,
       0,  2848,     0,     0,  1048,     0,  1673,  1059,     0,  1043,
       0,  1042,  1673,     0,  1060,     0,  1673,     0,     0,     0,
    1224,  1148,  1200,   843,  1225,  1149,  1201,  1226,  1150,  1325,
    1313,  1312,  1311,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   724,  2178,   347,
    1333,  1227,     0,  1151,   343,  1334,  1202,  1338,   744,   743,
       0,     0,  1203,     0,   594,     0,     0,   599,   600,   601,
       0,     0,     0,   602,     0,  2114,  2164,     0,   607,   614,
     619,   609,     0,     0,   621,   615,     0,     0,     0,     0,
       0,     0,   627,   629,     0,     0,     0,     0,     0,     0,
    1073,  1074,  1228,  1154,     0,  1204,  1032,     0,  1155,   182,
       0,     0,   280,   294,   636,   724,  1198,   313,     0,   328,
     323,   324,   322,  2178,   347,  2178,   347,     0,     0,     0,
       0,     0,   325,   320,   321,   317,     0,     0,   330,  2091,
    2149,  2286,     0,   640,   642,     0,   647,   333,  1171,   354,
     353,   352,     0,   337,     0,   359,   362,   334,   311,   314,
     312,   308,   292,     0,     0,     0,     0,     0,     0,     0,
    2051,     0,     0,  1107,     0,     0,     0,     0,     0,     0,
     681,   171,  1186,     0,     0,   157,     0,     0,     0,     0,
     151,   161,     0,  1234,  1161,     0,     0,   284,   540,   548,
     553,  1165,   556,  1214,   554,  1240,  1162,     0,  1196,     0,
     276,     0,  1163,     0,  1208,  1236,  1188,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1341,     0,     0,     0,
       0,     0,   347,     0,     0,     0,  1198,  2178,   347,  1235,
       0,  1193,  1222,     0,   367,     0,  1187,     0,     0,   286,
    1167,  1216,     0,     0,   229,   228,   230,     0,     0,  2147,
       0,   890,   852,   889,     0,     0,     0,     0,     0,     0,
     860,     0,     0,     0,   851,     0,   850,   403,   376,   377,
     379,   386,   772,     0,     0,     0,     0,   762,     0,     0,
       0,  1331,     0,   148,     0,     0,     0,   588,   629,   636,
       0,     0,     0,   432,   436,   440,   441,   442,     0,     0,
       0,     0,   162,   149,     0,   802,     0,   486,     0,   685,
       0,   194,   187,     0,     0,     0,   358,   759,   757,   756,
     758,     0,     0,     0,   777,   755,     0,  1645,  1647,     0,
       0,     0,     0,     0,     0,   435,     0,   489,     0,     0,
     521,     0,     0,     0,     0,   358,     0,     0,     0,  1037,
       0,  1055,  1038,     0,     0,     0,     0,  1085,  1092,  1086,
    1065,     0,     0,   565,  2519,  2513,  1469,  1470,     0,   347,
       0,     0,  1672,  1685,   820,     0,  1715,  1714,  1716,  1716,
       0,  1656,     0,  2946,  2954,  2953,     0,  1707,  1708,  1665,
       0,   631,   347,   347,     0,   347,     0,   347,   347,     0,
     678,     0,  1262,   657,     0,     0,   732,   818,     0,     0,
     347,   815,  1969,     0,     0,  2658,  2845,   949,   488,     0,
       0,     0,     0,   960,     0,   563,   965,     0,   977,   972,
     974,     0,   981,   666,     0,     0,  1443,  1436,  1438,  1437,
       0,     0,  1434,  1976,   814,     0,   536,  1135,  1136,     0,
       0,   347,     0,   982,     0,     0,   902,   903,     0,     0,
     910,     0,     0,     0,  1518,  1977,  1978,     0,     0,     0,
    2012,     0,     0,  1873,     0,  1849,  1851,  1863,     0,  1874,
    1834,  1875,  1853,  1855,     0,  1959,     0,     0,  1864,     0,
    1798,  1799,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1814,
    1813,  1865,  1938,     0,     0,  1999,  2000,  1866,     0,     0,
    2006,     0,     0,     0,  1871,  1876,     0,     0,     0,     0,
    1882,     0,  1903,     0,     0,     0,  1824,  1969,     0,     0,
       0,     0,     0,     0,     0,     0,  1795,  1778,  1772,     0,
    1776,  1780,     0,     0,     0,  1766,     0,     0,  1764,  1790,
    1760,     0,     0,  1791,     0,     0,     0,  1842,     0,     0,
    1513,  1513,  1513,  1513,  1510,     0,     0,     0,     0,  2274,
       0,  1605,  1582,  1584,  1592,  1605,  1610,  1844,  1639,  1845,
       0,  2045,     0,  1553,  1522,  1522,  1522,  1841,     0,     0,
       0,     0,  1521,  1553,  2708,  2710,  2711,  2712,  2713,  2714,
    2716,  2717,  2719,  2720,  2721,  2709,  2715,  2718,  2722,  2699,
    2700,     0,  2690,  2691,   205,     0,   238,   225,     0,  2733,
    1360,  2048,     0,  1525,     0,  1960,  1026,     0,  1527,  1546,
    1547,     0,  1537,  1575,  1535,  1447,  1431,     0,  1429,  1418,
       0,  1419,  2026,     0,  1429,  1415,  1458,     0,     0,  1644,
       0,  1457,     0,  2633,  2561,     0,     0,  2732,  2735,  2746,
    2744,  2571,     0,  1673,  1040,  1041,     0,  1064,     0,  1223,
    1147,  1199,   992,   993,     0,   991,     0,     0,     0,   474,
    1009,     0,     0,     0,   724,     0,     0,   478,     0,  1336,
       0,  1241,  1185,   596,   597,     0,   608,     0,   617,   616,
       0,     0,   604,     0,     0,     0,     0,     0,   603,   623,
     569,   624,   626,     0,     0,   625,   628,   633,  1196,     0,
     664,  1173,     0,  1220,  1067,     0,  1035,     0,     0,     0,
       0,   448,   307,     0,     0,     0,   295,   305,     0,   339,
       0,   310,     0,   303,   326,   318,   327,   319,   338,   340,
       0,   644,   645,   643,   639,     0,   646,   648,     0,   356,
       0,     0,     0,  1230,     0,  1196,     0,   288,  1169,     0,
    1218,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1205,     0,     0,   686,     0,   683,     0,
       0,   154,   153,     0,   160,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   368,   349,     0,   780,     0,     0,     0,   370,     0,
       0,     0,     0,  1229,  1156,   853,     0,     0,     0,   854,
     865,     0,     0,   855,     0,     0,     0,     0,   867,     0,
       0,   375,   383,   774,     0,  2228,  1946,  1947,   770,   775,
     767,   769,   768,   771,   724,     0,   764,   765,     0,     0,
       0,     0,     0,   460,     0,     0,   454,     0,     0,  1092,
     447,   450,   451,     0,     0,   589,   592,   590,   591,   622,
       0,   467,   513,     0,   164,     0,     0,   165,   163,     0,
       0,   358,   690,   694,   692,   691,   693,   688,     0,   681,
       0,   190,   431,     0,     0,   581,   705,   708,   701,     0,
     776,   778,   753,     0,   636,     0,   542,     0,   486,  1412,
     530,     0,   517,   513,   515,   514,   516,     0,   523,   357,
       0,     0,   530,   523,     0,     0,  1010,  1036,     0,     0,
       0,  1082,  1087,  1083,     0,     0,  1051,     0,  1084,     0,
    1066,  1029,  1257,  1258,  1255,  1256,     0,     0,     0,  2536,
    1460,  2545,  1104,     0,  1691,     0,  1711,  1709,  1652,     0,
    2629,     0,     0,     0,     0,     0,  1657,  1697,   347,  1102,
     822,     0,   809,     0,   811,  1106,   347,   347,   347,   347,
     673,     0,   578,     0,     0,     0,     0,     0,   959,   979,
       0,   975,     0,     0,   942,   984,     0,     0,  1441,  1439,
     528,     0,   987,     0,   943,   986,     0,     0,     0,     0,
       0,     0,     0,  1981,     0,  2014,  2010,     0,  1846,  1982,
       0,  1994,  1993,  1939,     0,     0,  1797,  1809,  1810,  1811,
    1995,     0,  1819,     0,     0,  1806,  1807,  1808,  1800,  1801,
    1802,  1803,  1804,  1805,  1812,  2004,  2003,  1997,  1998,     0,
    1868,  1869,  1870,  2005,  1877,     0,  2105,  1904,  1881,  1897,
    1896,     0,     0,     0,  1884,     0,     0,  1893,     0,  1940,
    2066,  1736,     0,     0,  1763,  2009,  1781,     0,     0,     0,
    1759,  1959,     0,     0,     0,     0,     0,  1768,     0,     0,
       0,  1922,  1917,  1918,  1936,     0,     0,     0,     0,     0,
       0,  1504,  1503,  1509,  1605,  1610,     0,  1484,     0,  1592,
       0,  1604,  1590,  1603,     0,     0,  1616,  1614,     0,  1616,
       0,  1616,     0,  1586,     0,  1606,  1588,  1603,     0,  1631,
       0,  2046,  1640,     0,  1566,     0,     0,     0,     0,  1973,
    1974,     0,  1971,  1836,  1566,     0,     0,     0,  2023,  2731,
    1497,     0,  1526,  1024,  1025,  1536,     0,  1642,     0,  1430,
       0,     0,  1421,  1427,  1413,     0,     0,  1451,  1429,  1454,
    2577,     0,  2632,  2697,  2698,  1061,     0,     0,  1053,   998,
     999,   997,  1000,     0,     0,     0,   724,     0,     0,   494,
       0,  1017,  1017,     0,     0,   480,   526,  1092,   727,     0,
       0,     0,   725,   347,  1152,     0,   618,     0,     0,   613,
     611,   610,   612,     0,   570,  1239,  1153,     0,     0,     0,
       0,  1068,     0,     0,  1172,     0,   445,     0,   300,  1197,
       0,     0,     0,   299,     0,   347,   347,   341,   641,   355,
     360,   361,   364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   803,   786,     0,     0,   804,
     805,     0,     0,     0,  1109,  1110,  1108,     0,  1159,     0,
       0,   677,   158,   155,   156,   159,  1183,  1166,  1215,     0,
       0,     0,  1164,     0,  1209,  1179,  1175,     0,     0,     0,
       0,     0,  1238,  1192,  1213,  1237,  1190,  1211,  1189,  1210,
    1191,  1212,  1184,     0,  1649,   783,     0,     0,     0,   347,
     347,   675,  1168,  1217,     0,     0,   856,     0,     0,   858,
     859,     0,   862,   406,     0,   409,   416,   387,   392,  1340,
       0,  1340,     0,   389,   393,  1340,   388,  1340,   385,   746,
       0,     0,   723,     0,   452,     0,   458,   462,   463,   461,
     453,  1092,   486,   525,     0,     0,   736,     0,   587,   433,
     464,     0,     0,   437,   167,   166,     0,     0,     0,   684,
     683,   194,  2178,     0,     0,   710,   714,   754,     0,  1648,
     670,   358,   538,  2501,     0,   433,   530,  2500,     0,   438,
     443,   444,     0,   521,   517,     0,     0,   527,  1304,     0,
     531,   533,     0,     0,     0,  1039,  1056,  1057,     0,     0,
    1092,     0,     0,  1091,     0,     0,   572,     0,  2509,   347,
    1653,  2947,     0,  2948,  2949,  2950,  2951,  2952,   632,   347,
     347,   679,  1263,  1132,   733,     0,   971,   970,   969,   564,
       0,   973,   668,     0,   529,   347,     0,     0,   912,   893,
     911,     0,     0,   892,     0,   891,  2013,  1862,  1872,  1992,
    1938,  1969,     0,     0,  1820,     0,     0,  1867,  2382,     0,
       0,     0,     0,  1901,  1902,  1883,     0,  2219,  1888,     0,
       0,     0,  1787,  1785,  1782,     0,  1783,  1767,     0,     0,
    1765,  1761,     0,  1792,  1908,     0,  1924,  1921,  1935,  1969,
    1508,  1507,  1506,  1505,  1591,  1589,     0,  1594,  1601,     0,
    1585,     0,  1615,  1611,     0,  1612,     0,     0,  1613,     0,
       0,  1587,     0,  1601,     0,  1638,  1522,     0,     0,  1913,
    1839,  1840,  1837,  1522,  2063,  1913,  2701,     0,  2704,  2702,
    2703,  2707,   239,     0,     0,  2962,  1417,  1420,     0,     0,
       0,     0,  1459,  1449,  2634,  1054,  1062,     0,     0,     0,
     476,     0,  1092,     0,     0,     0,  1020,  1020,     0,  1092,
     525,   729,   728,   731,   726,   730,  1337,     0,   605,   606,
     620,  1174,     0,  1221,  1181,     0,  1445,     0,   637,   296,
     297,   298,   301,   349,   309,   302,     0,     0,     0,  1170,
       0,  1219,  1177,  1232,  1157,  1206,     0,     0,   792,     0,
       0,     0,     0,  1233,  1158,  1207,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,  1346,     0,   348,   782,
     781,   349,   369,  1194,     0,   857,   863,   864,   861,   407,
     148,     0,   384,     0,   414,     0,   412,   411,   413,     0,
     400,     0,     0,     0,     0,     0,     0,     0,  1123,  1123,
       0,   724,     0,     0,   449,   525,   493,     0,   455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   676,   189,     0,   433,   636,   709,     0,     0,     0,
     779,     0,     0,     0,   435,     0,  1409,   434,     0,     0,
     523,   521,     0,   518,     0,   522,     0,  1297,     0,     0,
       0,     0,  1088,     0,  1094,     0,  1050,  1027,  1089,     0,
    1641,     0,     0,     0,     0,   576,  2535,  2539,  1124,  2955,
     810,   812,   674,   976,     0,   983,   347,   894,   895,   896,
     897,  1940,  1815,     0,     0,     0,     0,  1878,     0,  1879,
    1906,  1905,  1885,  1889,     0,  1886,  1887,  1784,  1788,  1786,
    1769,  1910,     0,  1522,  1937,  1634,     0,  1637,  1593,     0,
       0,  1595,     0,     0,  1597,  1599,     0,     0,     0,     0,
       0,     0,  2049,     0,  2130,  2358,  2273,     0,  1552,  1554,
    1557,  1559,  1558,  1560,  1556,  1565,     0,  1486,     0,  1485,
    2706,  2705,  1961,  1643,  1428,     0,     0,  1011,     0,     0,
    1456,  1455,   977,     0,   347,  1017,   525,   495,  2228,   496,
    1016,     0,  1018,  1023,  1023,     0,   525,   724,   598,     0,
       0,   281,   635,     0,   351,   363,     0,  1445,     0,     0,
       0,   799,   787,     0,     0,   806,  1160,   680,     0,     0,
     277,  1180,  1176,  1348,  1349,     0,     0,     0,     0,     0,
     347,   866,   386,     0,   410,   419,     0,   417,   390,   395,
       0,   399,   397,   396,   391,   394,  1123,     0,  1120,  1119,
     722,     0,   484,   456,     0,   504,     0,     0,   737,     0,
       0,   513,   473,   472,   469,   468,   470,   471,   466,   465,
       0,   636,   796,   358,  1304,     0,   649,   711,   712,   707,
       0,     0,     0,  1412,   530,   517,   513,   439,   448,   422,
     523,   519,   520,     0,     0,     0,   530,  1350,  1010,     0,
    1093,     0,     0,     0,     0,     0,     0,  1127,   571,     0,
       0,   575,   566,     0,  2537,   636,   944,  1816,     0,  1817,
       0,     0,     0,  1891,  1890,     0,  1927,  1639,     0,     0,
    1633,     0,  1602,  1618,     0,  1598,  1596,     0,  1607,     0,
    1609,  1836,     0,     0,     0,  1561,     0,  1912,  1914,     0,
    1838,  1426,  1641,     0,  1423,     0,   994,     0,   995,  1020,
     499,     0,  1019,  1026,  1026,   486,   724,   477,  1182,     0,
     638,     0,   304,     0,   289,  1178,     0,   790,     0,   801,
     799,     0,     0,     0,     0,  1342,     0,  1343,  1344,  1347,
     371,   374,   405,   415,     0,   398,  1118,  1122,  1121,     0,
       0,   457,   490,   491,   492,     0,   459,   500,   501,     0,
     734,     0,   739,     0,     0,   512,   661,     0,     0,     0,
    1298,     0,     0,     0,  1304,   530,  2502,   521,   517,   446,
     420,     0,  1301,     0,   532,     0,   358,  1092,  1095,  1090,
    1261,     0,     0,   574,   573,  2540,  2542,  2541,     0,   665,
    1818,  1894,  1880,  1907,  1892,  1923,     0,     0,     0,  1632,
    1635,     0,  1600,     0,     0,  1608,     0,     0,     0,  1555,
       0,     0,  1425,  1012,     0,     0,  1023,     0,   724,     0,
    1014,  1013,   493,   479,  1445,   350,     0,     0,     0,   797,
     800,   788,   801,   808,   807,   682,  1445,     0,   418,     0,
     483,     0,     0,     0,   502,     0,   503,   524,     0,   738,
       0,     0,   795,     0,     0,   433,   713,     0,  1299,  1410,
     523,   521,  1302,  1303,     0,   523,  1028,  1260,  1259,  1499,
       0,     0,  2538,  2346,     0,  2319,     0,  1925,  1928,  1926,
    1920,     0,  1617,  1630,  1563,     0,  1562,  1915,  1916,  1641,
     347,  1026,     0,   481,   497,   504,   282,  1445,     0,     0,
     789,   278,  1345,   714,   509,     0,   508,     0,   506,   505,
     735,   740,   636,   785,  1304,   717,   423,   523,     0,  1641,
    1243,  1499,  1242,  1244,  1252,  1249,  1251,  1250,  1248,  1130,
    1131,     0,  1932,  1931,  1930,  1934,  1933,  1636,     0,  1628,
    1564,  1422,   996,  1015,     0,   724,   290,   791,   798,     0,
     507,   511,   510,   662,  1300,     0,   715,   718,   721,   719,
     720,   421,   358,  1001,     0,  1253,  1247,  1484,  1471,     0,
       0,     0,     0,   498,   482,     0,   695,     0,   523,  1245,
    1499,     0,     0,  1929,     0,     0,   716,  1641,  1246,     0,
       0,  1629,     0,  1002,     0,     0,   717,     0,     0,     0,
    1128,  1129,   696
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5052, -5052,  4254, -5052, -1251,   123,  2647,  -836, -5052, -5052,
   -5052,  1117, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  3401,
   -5052, -5052,  1820, -2724, -5052, -5052,   -32,  3363, -1693,   -37,
    2939,  1457, -5052, -1485, -5052, -5052,  -877,    16, -5052,  3390,
     274, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  -849,
    1976,  1278,  5895, -2787, -5052, -5052, -1783, -3457, -5052,   615,
   -5052, -5052,  1918, -5052, -5052, -5052,  1119,   528,  -504, -5052,
   -5052, -5052, -5052, -5052, -5052, -5052,  -282, -5052, -5052,  -662,
     208,  -106, -2764,  -331, -5052, -5052,   493,  -330, -1705, -5052,
   -3874, -5052,    22, -5052, -5052, -5052,  -306, -1823,  1370, -5052,
   -1021, -1511,  1712,  -740, -5052,  -190, -5052,  -811,  -663,  -660,
    -754, -4045, -4065, -4503, -4101, -3789,  1377, -3408, -4059,   221,
     459, -5052,   295,   348, -5052,   477, -1157, -1842, -5052, -1109,
   -5052, -5052, -5052, -3291, -5052, -5052, -5052, -5052,   -81, -5052,
   -5052, -5052, -5052,   520, -5052, -5052, -5052, -5052, -5052, -5052,
   -3029,  1884,  1885, -5052, -5052, -3473, -5052, -1231, -5052,   655,
   -3274,  1289, -5052, -5052, -5052,  2638, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -1978, -5052, -5052, -5052, -5052,
   -5052,   503,    23, -5052, -5052, -5052, -5052,   349, -5052,  1897,
    1102, -5052, -5052, -5052,  -797,  -888,  -868, -5052, -3279, -5052,
   -5052, -5052, -5052,  -270, -5052, -5052, -5052, -5052, -5052, -5052,
   -1308, -5052,  1154, -3434, -5052, -5052,  1160, -5052, -5052, -5052,
   -5052, -5052,  -739,  -203,  2663, -5052,  -602,  -712, -5052, -5052,
   -5052,  -200, -5052, -5052, -5052, -5052, -5052, -5052, -1416,  8282,
   -1387,  -841, -5052, -5052, -5052, -5052, -2510, -5052, -5052, -5052,
   -4001, -5052,  4535,    17,  -735,   363, -5052,  -204,   -68,  3182,
   -1502, -2968,   422,  -396, -5052, -2180, -5052, -5052, -5052, -2863,
   -5052, -5052, -5052, -5052, -3813,   364, -5052,  3184, -5052, -4056,
   -4784, -3835, -4299, -4638, -4780, -3792, -5052, -5052, -1433, -5052,
   -5052, -5052, -1821,  2195, -2300, -5052, -2469,   490,  1450, -1270,
   -3069, -4082, -1041, -3528, -5052, -5052, -3995,  -499, -5052, -5052,
   -5052, -5052, -5052, -5052, -5052, -1432,  -922, -5052, -5052,  3784,
   -5052, -4636, -5052,  3754, -5052, -5052, -5052, -5052,  2478,  2479,
   -5052,  2480, -5052, -5052, -1817,  1244, -5052, -5052, -5052, -5052,
   -5052,  -716,  -825, -5052, -5052, -5052,   366, -5052, -5052, -5052,
   -5052,  1865, -1255, -1027,  3636,   368, -4724, -5052, -5052,  -721,
   -5052,  2911, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -2133, -5052, -5052, -4666, -5052, -5052, -5052, -5052, -5052,  2330,
    2333,  -108,  -245, -5052, -5052, -1637, -5052,  -857, -5052,  2556,
   -5052, -5052, -5052, -5052,  1552,   371, -4061,   -66, -5052, -5052,
   -5052,   290, -5052, -5052, -3721,   -65, -5052, -5052, -5052, -5052,
   -4654, -5052,   -60,  -651,   826, -5052, -5052, -3099, -5052,   372,
     -51,  3265,  1814,   -69,   175,  -247,  -233,  -212,   -71,   -59,
    3032, -5052,  3096, -5052,  -197,  1801, -5052, -5052, -1150,  -348,
   -5052,  1565,  -934,  2314,  3016,  3026, -5052,  1559,  2342, -2266,
   -2259, -5052,   901,  -621,  -497, -5052, -5052, -5052, -5052,   333,
    -927,  2323, -5052,  3031, -5052, -5052, -5052, -2185,  1557, -3712,
     932, -3680, -3642,   379,   365, -1215,  -289,  -189, -1075,  3035,
   -5052, -5052,   943,  -466, -5052, -5052,  -463, -3124,   866, -5052,
   -4598, -2637,  3758, -1948, -1382, -5052, -5052, -1345, 18008, -5052,
   -5052, -5052, 23743, 24187, -5052, -5052, 24747, 25194, -5052, -1183,
    1138, 25775, 12539, -1344, -1329, -1605, 22662, -2577, -1564, -2879,
   -5052, -3860, -2333, -5052, -5052, -5052,  -246,   998,   252, -5052,
   -5052, -5052, -5052,   -33, -5052,  -599, -5052,  -598, -5052, -5052,
   -5052,  -581, -5051,  2458, -5052, -5052, -5052,  -851, -5052, 26304,
    1607, -5052, -1396, -3003, -3027, -3648, -2159, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052, -1923, -3573,  -563,  1685, -5052, -5052,
    1776, -5052, -5052, -5052, -1679, -1186, -2909,  1689, -2321, -5052,
   -1149, -5052, -1063,  2460, -1095, 10326, -1686, 18745,  -121, -2606,
   -1645, -1918, -5052,  3368, -5052,  3528,  -163,  -766,  4321,  -786,
    -959,  6912,  4691,  5928, -3413, -5052, -5052,   382, -5052, -5052,
   -5052, -5052,  4171,  1180, -5052,  3456, -5052,  1952,  2732, -5052,
   -5052,  2334,  -987,   -34, -5052,  -557, -5052,  -119, -5052, -5052,
   -5052,   189, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,
   -5052,  3057, -5052, -5052, -1556, -5052, -5052, -5052, -5052, -5052,
    4443,  -375, -5052,  3858,  -374, -5052, -5052, -5052, -5052, -5052,
   -5052, -5052, -5052, -5052,  3071,  2360, -5052,  3623, -5052, -5052,
   -5052,    -8,  3285, -5052, -5052, -5052, -1284,  -587,  3642,  3644,
    2321, -5052, -5052, -5052, -5052, -5052, -5052, -5052, -5052,  2336,
   -5052, -5052,  1664, -2287,  2337, -5052, -5052,   906, -5052, -5052,
     398, -5052,   909, -5052,  3179, -5052, -5052, -5052,   949, -5052,
   -5052, -5052,  -585, 15992,   -70,    65,   105,  1671, -5052,  9866,
   23144,   -99,  3094,   -48, 13356, 21577,   297, -5052,  4438,  2340,
    1905, -1073, -5052,  4508,  2645, 20000, -5052, -1064,  1795,  1656,
   -5052,    -2,  -671, -1273,  3391,  -765, -2118, -5052,  4871, -5052,
   -3454, -5052, -1090,    19,  3848, -1319
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1939,  2816,  2699,  3582,  3583,   252,
     253,  1935,   254,   255,   256,   257,   258,   259,   260,  1873,
     261,   262,  1365,  2061,  2827,   263,  2555,  1115,  1116,  1117,
    2406,  2407,  2764,  2408,  2395,  1698,  2206,  1892,  1080,  1081,
    1854,  1893,   265,   266,  1692,  2387,   267,   268,   269,  1920,
    1921,  1867,  2108,  4614,  5312,  3423,  2677,  3622,  3424,  3425,
     270,  1987,  1988,   271,   272,  3550,  2032,  2795,  4141,  4142,
    4648,   907,  2792,  4950,  4951,  4634,  4635,  4957,  5176,  5177,
    2828,  2056,  3616,  4222,  3573,  4698,  3574,  4699,  3575,  4700,
    3561,  4170,  4171,  4172,  3576,  4670,  5208,  3577,  2574,  5341,
    2863,  2236,  2234,  5195,  4498,  4499,  5418,  5346,  5347,  5348,
    5508,  4672,  3620,  4228,  4707,  4978,  3317,  2082,  3726,  1010,
    2866,   939,  1011,  2829,   277,  2857,  2858,  1958,  2707,  4148,
    3706,   278,  1385,  3999,  5035,  5251,  5252,   279,   895,   280,
    2065,   281,   282,  2812,  3567,   283,  2591,  3334,   284,   285,
    3362,  3363,  3364,   286,   287,  4021,  4897,  1922,  3412,  3413,
    3414,  3415,  4046,   288,  2063,  1963,  2836,   289,   290,   291,
     292,   293,  2992,  2993,   294,  2751,   295,   296,   297,   298,
     299,  4078,  4581,  4199,  3450,  3589,  4197,  2830,  2073,  2848,
    2849,  4686,  4997,  5219,  4999,  5555,  5556,  4971,  3977,  4512,
     301,   302,  4665,  4666,  5353,   303,  2589,   304,   305,   306,
    2040,  2804,  2805,  4149,  2034,  2797,  2798,  4209,  4210,   307,
    3505,   308,  4565,  4566,   940,  5358,  5319,  5431,   309,   310,
    4569,  4570,   311,   312,   313,   314,   315,   998,  1484,  1485,
    1840,  1429,   316,  2423,   317,  1337,  3532,   318,  1576,  3038,
    4759,   319,  1034,  1509,  1510,  2831,   321,  1045,  3016,  1047,
    2249,  3708,  3709,  4304,  2978,  1242,   322,   323,  2989,  3019,
     324,  1860,  2565,  2566,  4493,  2832,   941,  2088,  2870,  3312,
    5116,  5117,  4876,  5133,  3211,  3918,   326,   942,  1897,  2635,
    2873,  3630,  2532,  2533,  2534,  4245,  2535,  3632,  2536,  1834,
    2537,  3638,  3639,  3640,  4241,  4248,  4251,  5024,  5025,   327,
    1895,  2633,   328,   329,   330,  1930,  1266,   331,   964,   965,
     332,  5188,   333,  1404,   334,  5033,   335,   336,  1069,  1070,
    1560,  1561,   337,   338,  2648,  4028,   339,   340,   341,  5522,
    5564,  5565,  5566,  4256,  5469,   342,  5524,  1552,   344,   345,
     346,   898,  1301,  1302,  1303,  2833,  5017,   348,   349,  1855,
    1856,  1857,  1858,  2560,   350,   351,   352,   353,   354,   355,
    2044,   356,   357,  5165,   358,   359,  2007,   360,  1729,  1730,
     361,   362,   902,  1135,  1733,  1741,   363,  1013,  1503,  1504,
    1505,  2208,   364,  1556,  3004,  1014,  1498,  1015,  2471,  3240,
    3930,  3931,  3934,  4860,  4469,  1016,  3237,   368,  2256,  2998,
    3001,  3233,  1017,  3245,  3246,  3247,  3248,  3249,  3937,  1018,
    1036,  1395,  2882,  1019,  1647,   373,   374,   375,  1145,  1139,
    1140,   377,  2364,  3164,  1054,  1747,  1099,  1100,  1152,  3882,
    2437,  2438,  2462,  2463,  1756,  1757,  2450,  2454,  2455,  3223,
    3217,  2443,  4444,  5098,  5099,  5100,  5101,  5102,  5103,  4839,
    2458,  2459,  1759,  1760,  1761,  2467,   378,  3168,  3862,  3863,
    3864,  4421,  4422,  4436,  4432,  4823,  5084,  3865,  1546,  1767,
    4831,  5539,  3866,  5075,  5076,  5270,  4439,  3873,  3928,  3606,
    3607,  3608,  2538,  2137,  1431,  1648,  1432,  2147,  1649,  2121,
    1434,  1650,  1651,  1652,  1437,  1653,  1654,  1655,  1440,  2113,
    2140,  1656,  1657,  2131,  1184,  1185,  2193,  3075,  1659,  1660,
    1661,  3868,  1662,  4377,  4790,  4779,  3096,  3097,  2403,  4373,
    3808,  2359,  3154,  5107,  5287,  5288,  3847,  4402,  4806,  5073,
    5398,  5477,  5478,  1663,  1664,  1665,  3151,  2354,  1268,  1666,
    4151,  2356,  3090,  3176,  3177,  2262,  2281,  3043,  3058,  3059,
    3070,  3767,  3078,  3083,  3795,  3796,  3091,  3120,  1667,  3045,
    3046,  3751,  2283,  1668,  1722,  1723,  2372,  3115,  1736,  1737,
    1137,  1682,  1669,  1670,  2250,  1126,  5080,   747,   730,  3439,
    2418,  1305,  1051,  1671,  1672,  1673,  1789,   690,  1454,  1455,
     692,   731,   732,  1222,   844,     2,    75,  1020,  3614,  5003,
     382,   383,   944,   945,   946,  1387,  1388,  2094,  2097,  1794,
    2504,   696,   697,   748,  4728,  5036,  5254,  1004,   384,   385,
     386,   387,  1790,  2500,  1186,    76,    84,    77,  1187,   424,
     425,  2481,   388,   861,   389,  1770,  1166,  3943,   390,   391,
     392,   393,   394,  1001,   395,  1168,   396,  1169,   397,   398,
     399,   400,  1176,   401,  1772,  1773,  4482,  1774,   402,   403,
     734,   735,  1496,   404,   405,  1203,  1204,  1528,  1529,  1800,
    1815,  1816,  1817,   406,   704,   407,   408,   409,  1806,  1807,
     410,  2380,  2381,  2509,  2382,   411,  3262,  3263,   412,  3899,
    3900,  4849,  3901,   413,  2376,   414,   415,  1129,  3948,   416,
     857,   417,  1217,   736,   737,   738,  1224,   847,  1085,   749,
    1226,  3416,   849,   850,   740,   741,   742,  2228,    78,  3270,
    2229,  1675,   750,  1676,  2370,  1677,  1678,  1679,  1680,  1681,
    1823,   744,  1193,  1488,  1489,  3271,  1491,    82,  1492,   421,
    3666,  2196,  1530,  2948,  2214,  2215
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1360,  1144,  1038,  1397,  1762,  1091,   376,   418,   371,
    1693,  1768,   366,   367,   418,  1163,  1164,   848,   369,  2150,
    2205,  1537,  1538,  1539,  2233,  1038,  1153,  1543,  1267,  2160,
     419,   943,  1715,  1128,   955,  1125,   419,  1683,  2573,  1835,
    2154,  1992,  2127,   938,  2420,   746,   418,  2005,  1962,  3731,
    1506,  3572,  2054,  1724,  2431,   752,  1012,  2146,  3883,  1461,
     733,  2979,   848,  2075,  3279,  3281,  3174,  2117,  2118,  2272,
    4005,  2035,  1267,  2944,  1788,  2636,   420,  2126,   997,  2644,
    1201,  3441,   420,  2133,  1060,  1707,  1396,   701,  2766,  2654,
     900,   418,  3183,   376,   264,  2042,  4179,   733,  2853,  2047,
    3592,  2194,  1046,  3502,  2051,   957,  4022,  2434,  3203,  1244,
    4250,  4501,  2058,  2145,   420,  2719,  1273,  1147,   947,   954,
    3042,  1957,  2077,   896,  4462,  4157,  3712,  1291,   954,  1818,
    1267,  2105,  4711,   848,  2671,  4041,  4500,  4043,  1820,  4205,
    1923,  4152,  1092,  1155,  3876,  3936,  4152,  4536,  4418,  1397,
     949,  1501,  2729,  1478,  4495,  1355,  2420,  4703,  4696,   420,
    1363,  4697,   418,  4720,  1156,  1205,  3874,  3875,  4233,   954,
    2871,  1373,  1079,  4710,  4663,  2488,  2490,  2491,  4704,  2895,
    4714,   845,  1122,  1035,  4389,  1114,  4435,  3226,  3182,  1142,
    2457,  2733,  2734,  3816,  2546,  2629,  3229,  2643,  1466,  2220,
    5010,  1894,  2936,  4877,  4217,  1035,  3952,  1088,  4269,  1481,
    1796,  1797,  3585,  4474,  2195,  1088,  2190,  1088,  1755,  2482,
    2482,   846,  4357,  4433,  1196,  1758,   845,  2114,  2115,  2378,
     420,  1700,  3947,  3278,  5089,  1490,  5091,  5239,  2125,  5134,
    1809,   427,  5141,   906,   427, -1706, -1706, -1706, -1706,  2074,
    2320,  3773, -1706,   372,  2117,  2118,  2106,  4239,    45,  2740,
      37,    38,    39,    40,  2850,  2106,   846,    44,  5167,  5168,
    3540,  2138,  2126,   423,  1218,  2745,  5160,  2421,  3544,  1391,
    3546,   897,   427,  2133,  3524,  2646,   273,  2646,  3867,  1515,
    3749,    43,  2646,  1520,  1521,  1522,    45,   845, -1944,   274,
    3113,  1809,  2226,  1533,  1133, -1944,  2362,  2326,  3148, -1706,
    3113,   376,  3675,   371,  3677,  3149,   366,   367,  2030,  4763,
     418,  4765,   369,   908,   129,   130,  1526,  4001, -2805, -2805,
   -2805, -2805,  5318,  5189,  4006, -2805,  2332,   846,  2581,   372,
    2646,  3941,   419, -2805, -2805, -2056, -2056, -2056, -2056,  2727,
   -1548,  2579, -2056,  5303,  5304,   418,  1554,  3867,   427,   427,
    3548,    37,    38,    39,    40,  2444,  2334,    43,    44,  1578,
    1810,  1697,    45,   275,  3716,  2038,  2106,   419, -2806, -2806,
   -2806, -2806,  4185, -1963,  1572, -2806,  2646,  2106,   420,  2624,
   -1963,  2646,  1192, -2806, -2806,  4091,  2207,  4173,   264,  3729,
    2021,  1861,  2445,  1870,  2575,  2114,  2115,   216,  2197, -1706,
   -1706, -1706, -1706,   852,  1541,  4192, -1706,  5031,  3397,  3343,
   -2217,  2489,  5531,   420,  1143,  2851,   276,   300,  4875,  1956,
    2125,  1686,  2576,  1280,  2780,  1971, -1673, -1673, -1673, -1673,
     224,   320,   325, -1673,   343,  1997,   347,  1942,  5396,   365,
     370,  1726,  2005,  1727,   121,  2446,  1494,   427,   852,  1281,
     381,  2321, -2803, -2803, -2803, -2803,  1526,  2106,  1526, -2803,
    3167,  1267,   125,  2582,  3398,  5397,  2625, -2803, -2803,  4884,
     235,  1943, -2802, -2802, -2802, -2802,  1220,  1164,  2368, -2802,
    5360,  2781,  5279,  5314,  1542,  3770,  3771, -2802, -2802,  2447,
    3790,  -148,  2976,  4193,  2422,  1862,  1087,  1871,  5230,  3018,
    -148,  2326,  4880,  2107,  1087,  -148,  1087,  1181,  3773,  2254,
    5583,   427,  2107,  1397,    37,    38,    39,    40,   249,   852,
      43,    44,  3253,  4186,   943,    45,   958,  3820,  3821,  4006,
    2332,  3769, -1701, -1701, -1701, -1701,  1397,  3328,   862, -1701,
    5336,  1154,  2974,  2583,  2448,  1240,  2980,   372,  2982,  4002,
    2363,  2985, -2396, -2396, -2396, -2396,   858,  2577,   859, -2396,
    2334,  1351,  3269,  3044,  3717,  3549,  3273, -2396, -2396,  2365,
    2363,  2852,  4194,  2774,  1199,  1200,  3366,  4240,  3436,  2778,
     273,   863,  2365,  4527,  3525,  1134,  2396, -1686, -1686, -1686,
   -1686,  2409,  2409,   274, -1686,  2183, -1701,  2746,    37,    38,
      39,    40,  1799,  1802,  1190,    44,  1397,  4551, -1944,  2741,
    3114,   947,  2412,  2413, -1716, -1716, -1716, -1716,  3150,  1929,
    3836, -1716,  5032,  2107,  1831, -2217,  5491,  5006,  4152,  5011,
    5458,  2728,  2420,  2580,  2107,   249,  2255,  1805,  1555,  1811,
    2209,  1863,  2112,   949,  2134, -1713, -1713, -1713, -1713,  2139,
    5437,  5416, -1713,  2185,  2039,  1527,  4975,  2039,  4174,   954,
     954,    37,    38,    39,    40,  1197,  2161,   275,    44,  1542,
    5518, -1716, -1716, -1716, -1716,  1864,  3788,  4092, -1716,  2420,
    1032,  1033,  4555,  3181,  1542,  4505,  2379, -1706,  2276,  1284,
    1728, -2217,  2715, -1963,  2717,  3970,    37,    38,    39,    40,
    1811,  2227,  4820,    44, -2217,  1865,  4824,  1192,  4195,  1568,
    2889,  2967,  2189,  1198,  2107,  5027,  2902,  2800,  1786,  1787,
     276,   300,  2724,  2977,  4678,  4435,  3076,  3773,  2655,  2769,
    4795,  4690,  2353,  1397,  3094,   320,   325,  1233,   343,  2765,
     347,  1397,  1397,   365,   370,  2251,  5047,  4863,  1209,  4769,
    5048,  5049,  1144,  5050,   381,  3938,  4885,  1507,  2940,  2617,
    5496,  2264,  4814,  2210,  2152,  1872,  2212,  2623,  1866,  2216,
   -2805,  2218,  5501,  4196,  2221,  4303,  2273,   418,  2225,   959,
    5554,   418,  2255,  1346,  1449,  1720,  3367, -2056,  2152,  1721,
    3357,  2908,  2844,  5481,  1812,  1813,  1720,  1763,  2505,  3954,
    1721,  3955,  3564,   419,  5504,  1241,  2112,  4733,  4734,  4735,
    4736,  4737,  1336,  2975,  2861,  2391,  5299,  3329,  2468,   702,
   -2806,  1352,  2986,  1393,  3869,  2469,  2705,  1798,  -408,  2708,
    2709,   960,  5441,  5546,  1157,    37,    38,    39,    40,   860,
    4252,  1406,    44,  4452,  2632,   420,  2014,  3718,  1508,   420,
    1514, -1706,  1519,  1229,  5460,  1545,  3437,  4201,  1523,  3174,
    3174,  3174,  1229,   701,  3358,  4649,   961,  5126,   962,  3218,
     701,  2845,  3039,  3041,  5136,  4217,  4598,  4487,  2116,  3048,
    5249,   701,  1514,  1519,  2957,  3062,  3063,  3064,  3903,  1499,
    2960,  1502,  3293,  3869,  1297,  3080,  3082,  1229,  2775,  5229,
    3092,  1205,  1155,  2949, -2803,  2190,  1192,  1063,   954,   701,
    3341,  1937,   845,  1158,   701,  3255,  4310,  3255,  2994,  4253,
    4131,  4132,  1206,  1156, -2802,   701,  3383,   376,  2629,  1545,
    2892,  2893,  1938,  2350,  2351,  2352,  2353,  -148,  -148,  3226,
    3785,  3786,  3787,  3788,  1394,  1500,  5077,  3921,  5517,  3357,
    1801,   701,   846,  2793,  2794,  1229,  1526,  4726,  4847,  1495,
    1766,  1447,  1513,   954,  1518,  1229,   701,  5140,  3565,  3867,
    1026,  3867,   701,  1777,  1532,   426,  1709,  4858,  1534,  4694,
    5283,  4980,  1447,   701, -1701,  3105,  1298,  1064,    81,  4501,
    3419,  5505,  1027,  4539,  1548,  1550,  3303,   701,  4064,  2692,
    2581,  2759,     3,  4501, -2396,   862,  2719,  4125,  2656,  3133,
    2862, -2166,   427,  4472,  4129,  4130,  1731,  2615,  4133,  2657,
     209,  2658,  3361,  3358,  1527,  4138,    45,  1299,  4500,  2861,
    1512,  4599,  1517,  2128,  4694,  2760,  3238,  2995,  5250,  2120,
    3420,  3631,  1876,  1976,  1450,  4659,  2696,  3719,   863,   418,
    3939,  3566,  2129,  2864,  4224,  4254,  4311,   703,  1192,  2846,
     733,  5506,  1547,  1549,  1696,  3301,  2130,  2685,  1704,  1738,
    1267,  1725,  2847,  1981,  3304,  4150,  -634,  2659,  1300,  1982,
    4150,  5137,  3867,  1977,  2152,  5507,  1690,  1229,  1229,  4981,
    2128,  3429,    35,  2292,  1088,  2947,   701, -1713,  1088,  5081,
      41,    42,  4065,  2971,  5085,   853,  2015,  5087,  4949,  2129,
    1150,  5263,  5442,  2323,  1159,   854, -2534,   420,  5055,  5370,
    4255,  2557,  2321,  2132,  1229,    35,  3421,  5078,  1065,    37,
      38,    39,    40,    41,    42,  4540,    44,  2127,  3134,  1535,
    2983,  2984,  3286,  3135,   852,  4562,  5354,  1527,  2366,  5377,
    5367,  4501,  5365,  1202,  1150,  5366,  4246,  3783,  3784,  3785,
    3786,  3787,  3788,  2066,  2170,  1066,  1067,  5374,  1207,  4859,
    3342,  5368,  5375,   372,  1143,  4695,  5193,  1983,  1844,  3136,
    1148,  3361,  4250,  4660, -2053,   701,   701,  4337,  4338,  4339,
    4340,  1710,  4023,  4345,  4346,  4347,  4348,  4349,  4350,  4351,
    4352,  4353,  4354,  2067,  2171,    35,   427,  4870, -2166,    37,
      38,    39,    40,    41,    42,    43,    44,   855,  2996,  1778,
      45,  1859,  2782,  1297,  5001,  4994,  3283,  2921,  1845,  2326,
    5455,  1026,  1506,  1079,  1966,  3052,  2004,  2997,  1978,  1853,
    3909,  1149,  2002,  4541,  5467,  4563,  4542,  2670,  4066,  4393,
    4394,  4898,  5337,  1027,  1068, -1472,   216,  1711,  2332, -1475,
    3884,  5294,  2783,  3885,  3886,  5159, -2166,   920,  1088,  1088,
    1568,  2891, -2199,  2972,  3887,  3888,  3889,  3422,  3890,  3891,
    3430,  3703,  4067,  3892,  3893,  3894,  3357,  3188,  2334,   224,
    2488,  2819,  3370,  5461,  2092,  1229,  5459,  5202,  1267,  3880,
    5297,  5264,  1447,  3053,  3137,  2973,  1229,  5342,  1150,    35,
    1154,  2808,  4068, -2534,  3191,  1298,  5313,    41,    42,  4567,
    2393,  1846,  1447,  1984,  5012,   922,  2934,  5300,  1913,   235,
   -1472,  1447,  1979,  2953, -1475,  3993,  5013,  5306,  3448,  1097,
    4564,  2670,   238,  4445,  5369,  5203,  3155,  2444,  1063,  5516,
    -840,   856,  5551,  5204,  5519,  2913,  1299,  1985,  2068,  2172,
    3358,  3230,  3054,   248,  5275,  3055,  3068,  4862,  2926,  1229,
    2556, -2534,  5466,  4984,  1720,  3994,  4024,  3239,  1721,  3371,
    3258,  5205,  2152,  2935,  2445,  2576,  4773,  1986,  4774,  1144,
    3359,  2494,  5338,  1087,  2495,  3453,  5258,  1087,  5077,  1937,
    2820,  2070,  4025,  2003,  -431,  3449,  5561,  1300,  4452,  1419,
    5295,  5468,  1447,  3284,  4843,  3285,  4985,  2784,  3496,  4568,
    1938,  2071,  5343,  4501,  3360, -1472,   376,  4836,  1064, -1475,
    3895,  2394,  1151,  2152,  1098,  1580,  1818,  1267,  3773,  4755,
    2520,  1164, -2807, -2807, -2807,  1820,  3454,  3231,  5413,  2211,
     701,  2213,  2069,  2173,  2217,  5206,  2219,  1706,  3056,  2222,
    2223,  2224,  5145,  1850,  1745,  1851,  1839,  5587,  3672, -2199,
     701,   930,  2231,   931,    81,    81,  3156,    81,  2427,  3678,
   -1472,  2447,  3651,  4152, -1475,  1229,  2257,  2496,  2258,  3673,
    5344,  5316,  5552,   701,  5014,  5321,  5322,  2055,  3076,  3076,
    3455,  5420,  5421,  3076,  2435,  2436,  2567,  2440,  1177,  2485,
    1495,  2785,  5216,  -431,  4299,  3869,  1751,  3869,  3361,  4775,
    4537,  3597,  3598,  3599,  3600,  1156,  1156, -2199,  1156,   701,
    3995,  2099,  1751,  3605,  3551,  3867,  2448,  3468, -1673,  3867,
    3076,  3076,  3232,  1447,   427,   701,  4016,    37,    38,    39,
      40,  1934,  3910,    43,    44,  1578,  1810,  3009,    45,  1746,
     701,  2141,  3057,   701,  3896,  1766,  4689,  1087,  1087,  1065,
    3174,  2072,  4150,  5533,  1229,  4656,  1178,  2486,  4323,  2569,
    1870,  1297, -1472,  2100,  2486,  1753, -1475,  2441,  3469,  2141,
     904,  1397,  3456,  2561,  4501,   913,  3472,  2570,  3474,  2825,
    1205,  1753,  1229,  2562,  3649,  2990,  1066,  1067,  4626,  4479,
    3965,  3897,  2419, -1673,  4629,  4630,  2719,  4632, -1472,  3208,
    2563, -1472, -1475,  5428,  3996, -1475,  5207,  4017,  3869,  1178,
    1229,  1229,  1229,  2567,  1229,  1179,  2487,  2152,  1180,  1684,
    1754,   418,  3872,  2487,   733,   733,  2357,  3720,    80,  3487,
    2568,  4093,  1786,  1787,  1229,  3488,  2585,  1178,  4089,  2348,
    2349,  2350,  2351,  2352,  2353,  4739,  2586,  4740,  3772,  3347,
    2383,  2384,   372,  1298,  2826,  2101,   920, -2077,  2442,   862,
    3800,  -170,  5191,  3938,  1871,  5429,  2991,  3779,  1179,  5543,
     701,  2142,  4018,  2399,   418,   418,   418, -1004,   701,   701,
    3209,  4291,  3457,  5534,   751,  1685,  2569,  -170,  1229,   420,
    3458,  3898,  3823,  3459,  1299,   901,  1179,   419,   419,  2142,
    2710,  3721,   863,  4090,  2570,  2102,  4463,  4967,  5356,  2571,
    2419,  1181,  1181,  5248,   922,   700,  3493,  1229,  1026,  1181,
    1267,  1229,  1229,  2326,  4159,   418,  5359,  2280,  1049,   733,
    3849,  1005,   418,  3489,  2099,  2564,   920,  4968,  1026,   418,
    1027,  4553,   420,   420,   420,  1300,  2289,   419, -1673,  2726,
    3494,  1006,  5389,   903,  2524,  2502,   845,  3593,  5046, -2218,
    1027,  3382,  2610,   701,  1181,  4464,  1937,    79,  1381,  4162,
    3825,  4489,  3826,  2385,  1093,  3976,  2305,  5166,   948, -2246,
    3495,  2401,  2334,  1007,   966,  4508,  2952,  1938,  2103,  2587,
    1251,  2318,  1181,   420,   922,  3827,   846,  1252,  1253,  1254,
     420,  1447,  1002,  -535,  3315,  4225,  4554,   420,  4229,   845,
    5233,  2572,  1052,  3267,  4332,  1182,  3625,  1088,  5234,  4250,
    1859,  2402,  3379,  2588,  1859,  3467,  2662,  5339,  5307,  2711,
    3906,  2712,  4508,  3460,  1183,  4657,  2571,  2386,  1353,  5310,
    1354,  3378,  3705,  4358, -2807, -2807, -2807,  3480,  3783,  3784,
    3785,  3786,  3787,  3788,  2761,  2690,  1088,  2663,  3316,  3953,
     930,  4509,   931,   862,  1447,  3286,  2762,   920,  2143,  5122,
    1170,  5124,   933,  1130,   845,  4983,  5244,  3519,  2101,  3490,
    4881,  4888,  4889,   935,  5163,  3992,  2055,  1397,  3460,  5465,
    1171,  2763,  1154,  1154,  2039,  1154,  2143,  1447,  3828,  4658,
    1172,  5005,  3452,  3829,  4973,  5164,   863,  3867,  4509,  4166,
    2806,  2908,  3867,  3491,   846,  2144,  4510,  3867,  4511,  2691,
    3867,  1853,  3205, -1673,  3399,   922,  1853,  4992,  2102,  5384,
    1382,  4341, -1673,  4342,  2116, -1673,  1839, -1673,  2572,   418,
     930,  4490,   931,  3492,  4882,   206,  3311,  4167,  4616,  1397,
    3867,  5217,    37,    38,    39,    40, -2218,  3516,   701,    44,
    2887,  4168,   864,  4510,  3867,  4511,   936,  1374,  4617,  3643,
    1812,  1813,   216,  4491,  5235,  1853, -2246,  1913,  1447,  1853,
    3400,   905,  5218,  4425,  1383,  3513,  4298,  1959,   852,  3315,
    1384,  1982,  1374,  1447,  4492,   999,  3881,  5423,  1375,  2369,
   -1010,  2799,  1173,  5163,  1836,   224,  1841,   420,  4962,  5553,
    1859,  2103,  1447,  4963, -2218,    37,    38,    39,    40,  3198,
    1164,  1960,    44,  1375,  5164,  2180,  2902,  4506,   701,  3830,
    1376,  3690,   701,  3942, -2246,  3984,  2999,  3015,  1837,  3831,
    1842,  3205,  3914,  3973,   701,   235,  2181,  1094,   427,  4169,
    1053,  2409,  2326,  4426,  4343,  4203,  2988,  4964,   238,  1447,
    4206,  3869,  1710,  1502,  4344,  3869,  1174,  1061,  1838,  4215,
    1843,   930,  1229,   931,   845,  5578,  1377,  1751,  1447,   248,
    4302,  2332,  1752,  4427,  1229,  4945,  5144,  4946,  4947,  1983,
    1447,  4948,  1210,   249,  2152,    43,  1062,  2055,  4428,   376,
      45,  1377,  1447,  4007,  1211,  1212,   852,  3181,  4429,  5493,
    3174,  2334,  3867,  3497,   846,  3174,  1087,  1229,  4303,   701,
     701,  3174,  1961,  1213,  5170,  4027,  1214,  3499,  1711,  2955,
    3904,  2956,   701,  4430,  1096,  2958,  1175,  2959,  5412,  4848,
    2961,  1568,  1447,  3498,  2962,  1447,  1753,   701,   701, -1521,
    4051,  2822,  5082,  1026, -1521,  1087,    81,  3500,  1356,    81,
    1357,  4528,   376,  4052,  3008,  5052,  3037,  3005,  3006,   701,
    2854,  2540,  3014,  3007,  2116,  1027,  1839,  3867,  3834,  2697,
    3076,  3076,  3076,  3076,  2700,  1754,  3076,  3076,  3076,  3076,
    3076,  3076,  3076,  3076,  3076,  3076,  1945,  2650,  4313,  2651,
    1720,  1397,  3111,  2722,  1721,  2541,  2646,  1123,  4556,  1229,
    4431,  4538,  4543,  4367,  3121,  2647,  3122,  1702, -1521,  1257,
    1258,  1259,  4061,  1260,  1261,  1262,  1263,  1264,  1265,  2128,
    4600,   418,  3181,  2749,  4426,  2542,  5574,  2755,  2389,  3123,
    1136,  2646,  3076,  3076,  1946,  1215,  1229,  1229,  2129,  1267,
    2653,  4601,  1229,  1229,  2128,  2652,  4062, -1521,  3061,  1229,
    1229,  1229,  2130,  3695,  4427,  1229,  3531,  1229,  1229,  1229,
    1229,  1229,  1229,  2129,  1229,  4318,  1229,  1229,  1146,  4826,
    1229,   948,  4175,  1216,  4266,  4267,  4063,  4713,  1731,  4429,
    5083,  4273,  4274,  4275,  1447,  1229,  1229,  1229,  1229,   420,
    3602,  5163,  1160,  1229,  3958,  3603,   852,  1229,  2128,  2116,
    1229,  2547,  4425,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  5164,  1229,   418,  1947,  2902,  2129,  3305,  3915,
    3308,  1229,  3951,  4864,  1229,  5541,  1972,  3124,  2672,  1167,
      35,  2132,  3125,  4334,  1397,   372,   419,  3126,    41,    42,
    2478,  2479,  5212,    37,    38,    39,    40,  4486,  4158,  3867,
      44,  1940,  2116,  3603,  2547,  5563,   845,  3302,  4701,  2200,
    1973,  2201,  3241,  1948,  1974,  1949,  1989,  4363,  2266,  1993,
    2267,   418,  4426,   418,  3867,  2718,  2191,  3631,  2710,  5023,
    2192,  4431,   420,  3365,  2279,  2191,   249,  1229,  1148,  2943,
    1975, -2598,  3298,   419,  5171,   419,   846,  4150,   372,  3745,
   -1522,  1229,  4427,  2946,  1951, -1522,     8,  5490,  2419,  3746,
    1229,  1229,  4405,  3747,  1202,  2374,  3983,  4428,  2375,  2123,
    2124,  4503,  4504,  5593,  4316,  1580,  2716,  4429,  3773,  3227,
    3228,  2662,  3774,  3775,  3776,  5579,  5257,   418,  5580,   420,
    1192,   420,  1208,  3869,  1953,  2672,  1219,  1742,  3869,  1149,
   -1472,  1234,  4430,  3869,  1236,   216,  3869,    37,    38,    39,
      40,   701,  2663,  3127,    44,  1249,  4959,  2673,  4961, -1522,
    1250,  3119,  4965,  3128,  4966,  1286,  4010,  3962,  3963,    81,
    1295,    81,  3799,  1955,  3801,  3802,  3869,  1447,   224, -1543,
   -1543,  1447,  1447,  1296,  2674,    37,    38,    39,    40,  1343,
    3869,   701,    44,  2478,  3251,   420,   701,  2711, -1522,  2712,
     701,  2425,  1340,  2426,  5240,    35,  1150,  2675,   701,  2676,
    1338,  1345,  3098,    41,    42,  3101,  4191,  1369,   235,  4431,
    2428,  3426,  2429,  4637,  3451,  2880,   701,  2881,  2116,  1229,
    2547,   238,  1348,  2730,  3578,  3867,  4057,  1720,  1361, -2056,
    1229,  1721,  2670,  -534,  1447,  2672,   418,  1229,  3076,  2945,
     418,  2946,   248, -1546, -1546,  1397,  1447,  1397,  2908,  4746,
    4747,  4748,   845,  4524,  1379,  4638,   249,  1378,   701,  1398,
     966,  2968,  1380,  2969,  2673,  2970,  1386,  2969,   852,  1088,
    4319,  3002,  1389,  3003,  4081,   701,   701,  3777,  1403,  4306,
    4639,  3453,  3618,  1447,  3619,  3204,   372,  3205,  3376,  2005,
    3377,  2674,   846,   427,  4159,  4640,    80,  2672,  3778,  4641,
    4160,    35,  1448,  4076,   420,   701,  3878,  3879,   420,    41,
      42,  4161,  4084,  1456,  2675,  1397,  2676, -1050, -1050,  4642,
    1151,  3443,  4643,  3444,  1902,  4441,  1457,  4176,  3869,  4178,
    1903,  5005,  3454,  2758,  1088,  4644,   701,  3461,  1462,  4162,
     701,  4163,  3552,  3915,  3553,    35,   427,  1473,  3915,  2670,
    3850,  3562,  3851,    41,    42,  1553,  1482,  3779,   701,  3594,
      45,  3557,  1000,  3558,  4446,  4447,  4448, -1547, -1547,   701,
    1904,   845,  1497,    45,  2673,   845,    37,    38,    39,    40,
     418,  3579,   701,    44,   963,  1536,  3455,  1844,  4758,  1573,
    1540,   701,  3461,  3869,  3652,  3368,  2946,  4243,  3697,  1687,
    2969,  2674,  2420,  1699,  1398,  1701,  2672,  3744,  1544,  2946,
    3753,   846,  2946,  1551,  4645,   846,  3759,  4164,  2946,  1557,
    1558,  1905,  4646,  3760,  2675,  2946,  2676,  5186,  1906,  1559,
    1566,  1907,  4184,  3181,  4187,    79,  2673,  1845,  1568,  1229,
    1447,  1567,  3761,  2325,  2946,  3792,  2326,  2946,   420,  4271,
    4272,  4273,  4274,  4275,  3461,  2672,  1908,  4276,  4647,  2670,
    3461,  1580,  1565,  2674,  3773,  1569,  1570,  1144,  3774,  3775,
    3776,  3805,  1571,  2946,  4165,  2332,  1574,  1575,  3456,  4166,
    3810, -2807,  3811,  1577,   852,  4382,  2675,  1909,  2676,  3852,
    1705,  3853,  3461,   700,   700,  4044,  1712,  4045,  1822, -1677,
   -1677, -1677, -1677,  1708,  3438,  2334, -1677,  1713,  1714,  2672,
    1447,  1144,  1732,  1719,   701,   845,  1739,  4167,  3580,  1742,
    4049,  2670,  4050,  4237,  1743,  4238,  1229,  1740,  1764,  4621,
    1846,  4168,  1749,  1765,  3780,  3781,  3782,  1769,  3783,  3784,
    3785,  3786,  3787,  3788,  1910,  2673,  1911,  4264,  4650,  2946,
    4651,  4933,  4934,  4088,  4936,   846,  1912,  4364,  4374,  4365,
    4375,  3581,  1771,  4385,  1913,  2946,  2672,  1775,  1087,  3822,
    1192,  4470,  2674,  4471,  1914,  3869,   701,  1776,  2672,  1847,
    1779,  4723,  5023,  4312,  1229,  4475,  1780,  4476,  3457,  4485,
    1748,  3285,  1750,  1781,  2673,  2675,  3458,  2676,  1784,  3459,
    3869,  1782,  1792,   852,  3855,  3856,  3857,   852,  1915,  4780,
   -2807,  1916,  1917,  1848,  4507, -2807,  2969,   209,  1791,  4169,
    1783,  2674,  2672,  1785,  4691,   701,  2969,  1793,  1795,  2672,
    2670,  1824,  1144,  1087,  3806,  1827,  4791,  1821,  1918,  1825,
    3813,  1447,  1833,  1849,  2675,  1839,  2676,   701,  2673,  1869,
    4752, -2807,  2255,  1874,  3778,   701,   129,   130,  4770,  1229,
    2946,  1896,  1447,   418,  4094,  1229,  1898,  5520,   193,   418,
    1900,  1901,  1850,  1447,  1851,  2674,  4122,  1929,  1931,  2670,
     193,  1932,  1229,  4796,  1791,  3003,  4808,  1229,  2946,  4271,
    4272,  4273,  4274,  4275,  4866,  2341,  3285,  1933,  2675,  4731,
    2676,  1919,  4872,  1934,  4873,  2673,  4878,  4879,  2969,  2969,
    1229,  1229,  1229,  3779,  1005,  1229,  4952,  2673,  4953,  5007,
    4529,  5008,  1852,  1229,  1229,  1229,  1229,  4557,  5057,  1936,
    5058,   420,  2674,  2670,  1006,  1941,  1229,   420,  5059,  1229,
    2946,  1229,  1944,  5067,  2674,  3003,  5142,   852,  5143,  1967,
    1968,   216,  1229,  1229,  1980,  2675,  1229,  2676,  1990,  1994,
    5213,  2673,  2969,   216,  1991,  1999,  1007,  2675,  2673,  2676,
    1229,  3869,  1229,  2000,  1229,   376, -2807,  3008,  1398,  2001,
    3005,  3006,    80,    80,   224,    80,  3007,  5241,  2674,  5242,
    2670,  4956,  2008,  2006,  1229,  2674,   224,  5259,   845,  3003,
    2010,  1398,  2670,  2013,   845,  1229,  4989,  1229,  1229,  1229,
    5267,  2675,  5268,  2676, -1684, -1684, -1684, -1684,  2675,  2017,
    2676, -1684,  2025,  2018,   235,  4701,  2024,  5272,   701,  3205,
    2028,  4749,  1229,  5278,  2033,  4213,   235,   238,   846,  5280,
    3915,  4213,  2031,  2036,   846,  1229,  2670,  2259,  3076,   238,
    5292,  2046,  5293,  2670,  4825,  2043,  4828,  5060,   248,  2048,
    1229, -1675, -1675, -1675, -1675,  5333,  2039,  5334, -1675, -2807,
     248,  1398,  5521,  2057,  1229,  2059,  2348,  2349,  2350,  2351,
    2352,  2353,  2060,  -191,   249, -1254,  2062,  2076, -1254,  2318,
    3780,  3781,  3782,  2064,  3783,  3784,  3785,  3786,  3787,  3788,
   -1678, -1678, -1678, -1678,  2087,  2078,  2091, -1678, -1676, -1676,
   -1676, -1676,  5355,  1447,  2388, -1676,  1447,  5376,  1447,  5293,
    2085,    79,    79,  1447,    79,   701,   881,  5390,   206,  3003,
    5529,  5530,  5391,  2318,  3811,  5392,  5402,  2946,  3205,  2104,
    1791,   701,   701,  5405,  2322,  4213,  5427,  1229,  3003,  5433,
    3119,  3003,  2109,  2324,  2096,   216,  1835,  5434,  5449,  3003,
    5450,  5482,  5483,  3205,  2946,  2110,  3843,  2367,   701,  2111,
    5484,   701,  2946,  5486,  1447,  2946,  2112,  2116,  2592,   418,
     418,   418,  3861,  5537,  5540,  4213,  5286,  5562,   224,  5293,
    2119,  1447, -1484,  5576,  5602,  5577,  5577,  2120,  1398,  2122,
    2136,  2398,  2400,  2148, -1484,  2149,  1398,  1398,  2151, -1484,
    2152,  2593,  2159,  2162,  2163,  1447,  2164,  2165,  2166,  2167,
    2169,   372,  2174,  2175,  2594,  2176,  2177,  2179,   235,  2184,
     852,  2232,  1008,  5271,  2198,  2263,   852,  2268,  2595,  4674,
    4675,   238,  2270,  2271,  5271,  4855,  2277,   420,   420,   420,
    2278,  3861,  4679, -1484,  1143,  2360,  2284,  5600,  5601,  2286,
    2285,  2287,   248,  2288,   249,  2358,  2290,  2291,  2392,  2292,
    2293,   701,  2294, -1484,  2295,  2297,  1009,  2596,  2298,  2299,
    1447,  2404,  1447,   701,  2300,  2301,  2362,   701,  2597,  2302,
    2303,   700,  5181,  5183,  2304,  2306,   701,  2307,  2308,  2806,
    2309,  2310,  2311,  2312,  2313,  2424,  1526,  2414,  2598,  2363,
    5175,  2388, -1484,  2599,   845,   845,   845,  2433,  1752,  2475,
   -1484,  1754,  2464,  5329,  2466,  2477,  2484,  1181,   418,  3076,
    2492,  2499,  2501,  2503,  2511,  2512,  4399,  2514,  2519,  2521,
    1791,  1447, -2750,  2523,  2543,  1791,  1791,  2544,  2545,  2547,
    2548,  2549,  2551,  2550,   846,   846,   846,  2552,  2553,  2559,
     701,  2584,  2578,  2590,   943,  1545,  1447,  4958,  2612,  4261,
      74,  2616,  2618,  2619,  2620,  2621,  2622,  2637,  2639,  4853,
    2649,  2660,  2600,  2664,  2669,  4220,  2638,  2666,  2667,  2670,
    2668,  4144,  1447,  2678,  2679,  4232,   420,  1447,  2680,  2681,
    2682,  2686,   701,  2687,   701,  2695,  2698,  2702,  2703,  2706,
    2713,  2714,  1913,  2601,  2725,  2720,   701,  1580,   701,  4260,
    3773,  2497,  2498,  2721,  3774,  3775,  3776,  2731,  5403,  2742,
    2732,  2743,  2744,  2747,  2748,  1144,  2771,  2772,  2773,  2753,
    2779,  4383,  2787,   881, -1484,  1877,  2757,  2516,  2518,  2788,
    1267,  2790,  2791,  1144,   954,  1447,  2801,  2723,  2802,  2807,
    2810,  2811,  2814,   845,  2815,   915,  2823,  1961,  2838,  2843,
    2818,  2860,   701,  1447,  2856,  2859,  2868,  2602,  1878,  2876,
    2872,  4976,  2874,  2603,  2877,  2883,  2604,  2894,  1447,  2896,
    2897,  2901,  2903,  4407,  4408,  4409,  4410,  2888,  2905,  2902,
    2915,  2906,  5261,   846,  1720,  2917,  2919,  1742,  1721,  5335,
    2918,  2920,  2937,  1791,  2938,  2605,  2964,  1397,  2981,  2987,
    3017,  1791,  2606,  3000,  3093,  3099,  5093,   701,  2796,  2607,
    2965,  3044,  2326,  5108,  1037,  1879,  2608,  3103,  3112,  5172,
    3152,  2320,  1229,  3049,  3118,   701,   852,   852,   852,  3130,
    4369,  3153,  5121,  3132,  3167,  3185,  1037,  5317,  2834,  5320,
    3187,  2609,  3195,  1149,  3184,  3190,  3196,   701,  1880,  3221,
     701,  3219,  3192,  3206,  3220,  3236,  3242,  3207,  3260,   418,
    1791,  3257,  2378,  1791,  1791,  3222,  4895,  1229,  3259,  5325,
    1447,  5327,  3274,  3277,  3275,  3287,  1229,  3289,  3288,  3309,
    3306,  3311,  1229,  1881,  1229,  2947,  3313,  1229,  3314,  3320,
    3778,  1447,  1229,  1229,  1229,  1229,  3325,  3330,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  3331,   372,
    3333,  1229,  1229,  3336,  3340,  1882,  1447,  3344,  3353,   372,
    3352,  1229,  3374,  4929,  3356,  1229,  3369,   420,  1702,  1229,
    1706,  3407,  1791,  3388,  3401,  3406,  3433,  1229,  3434,  3442,
    1229,  3428,  1229,   372,  3445,  3446,  3447,  3462,  3504,  3779,
    1447,  1229,  3515,  3522,  1229,  1229,  3501,  3523,  3526,  1229,
    1229,  3527,  3528,  3534,    80,  3535,  1229,    80,  3536,  5175,
    3537,  3538,  3545,  3542,  3570,   852,  1229,  3021,  1229,  3547,
    3554,   209,  3559,  2630,  3584,  1885,  3586,  3588,  3601,  5395,
    1229,  3595,  1886,  3609,   845,  3611,  1229,  1229,  1229,  1887,
    3604,  5404,  3612,  3613,  3610,  3623,  5406,  2631,  5408,  3624,
    3621,  5210,  3627,  3628,  1580,  4732,  1164,  3773,  3642,  1889,
    3645,  3774,  3775,  3776,  3022,  3641,  3646,  1890,  3647,  3648,
    3650,  3655,  3653,  2495,   846,  3656,  4582,  2325,  4798,  3658,
    2326,  3657,  3659,  5266,  3668,  1229,  3670,  3669,  3679,  3681,
    3684,  3685,  3689,  3693,  3688,  3023,  3711,  3699,  1229,  3700,
    3701,  3018,  3205,  2185,  3713,  3704,  3060,  3702,  3714,  2332,
    3715,  3426,  5129,  4552,  1447, -2807,  3024,  3722,  3730,  1542,
    3725,  1891,  3732,  3736,  3755,  3737,  3740,  3025,  3739,  1229,
    3742,  3758, -1936,  3807,  3756,   418,  3824,  3846,  3841,  2334,
     418, -1549,   418,    79,  3922,  3769,    79,  3026,  3757,  3762,
    3763,  3872,  3027,  3765,  2946,  5151,  1397,  3768,  3791,  3819,
    3923,   701,  3927,  3797,  3933,  3804,  3780,  3781,  3782,  3925,
    3783,  3784,  3785,  3786,  3787,  3788,  3818,  2318,  3877,  3917,
    3832,  3929,  3842,  1267,  3844,  3845,  3848,  3940,  3946,  3949,
    3956,  3944,  3964,  4414,  3945,  4417,  3966,  3978,  3950,  2191,
    3028,  4636,  3971,   420,  3967,  3975,  3987,  3980,   420,  1447,
     420,  4003,  4014,  3189,  4015,  3915,  4004,  4019,  3972,  4020,
    4029,  3029,  4030,  4032,  4038,  5547,  1267,  4039,  4040,  4075,
     418,  4048,  4077,  4079,  4097,  4080,  4083,  4086,  4085,  4087,
    4095,  4096,  4098,  4100, -2807,  1580,  4099,  3778,  3773, -2807,
    4101,  4102,  3774,  3775,  3776,  4105,  4107,  4109,   701,  4103,
    4104,   701,  4106,  4108,  4110,  4115,   852,  4113,  4117,  4799,
     845,  2740,  4128,  4119,  4140,   845,  4134,   845,  4121,  4135,
    4137,  5146,   881,  4155,  4198, -2807,  4182,  4189,  4200,  4202,
    4183,  4204,  4227,  4212,  4226,  4230,  4231,  4221,   420,  4213,
    4235,  4223,  4247,  4234,  4258,  4270,  3779,  4268,  4281,  3030,
     846,  2138,  4293,  4294,  4283,   846,  3031,   846,  4300,   700,
    1229,  4708,  3032,  4295,  4296,  4297,  4305,  4308,  4307,  2341,
    4309,  4317,  4320,  4322,  4326,  1822,  2279,    80,  3794,    80,
    3773, -1935,  4387,   701,   701,  3793,  4335,  1447,  4376,  1150,
    4400,  4416,  4443,  4360,  3033,  4465,   701,  3034,   701,  4361,
     418,  4362,  4406,  4468,  4368,   845,  4391,  4424,  4473,  4488,
    4494,  4388,  4438,  4453,  4440,  3035,  1398,  4515,  4455,  4457,
    4517,  4456,   419,  1580,  4518,  4260,  3773,  4481,  4523,  4531,
    3774,  3775,  3776,  1221,  4460,  4532,  1447,  1229,  1229,  4461,
    3036,  4530,  1243,  4533,  4535,   846,  4558,  3225,  3225,  4544,
   -2807,  4547,  4559,  4560,  4561,  4571,  4572,  4573,  4577,  4580,
    4574,  4575,  4576,  4589,  4579,  4590,  4597,  4613,   420,  4615,
    4539,  4624,  4618,  4625,  4627,  4628,  4631,  1341,  3778,  4653,
    4249,  4661,  1701,  4664,  5422,  4671,  4669,  4677,  4684,  4685,
    4868,  2969,  4693,  4687,  1791,  4705,  4688,  4706,  4718,  4719,
    4721,   701,  4724,  1580,  4722,  4727,  3773,  4725,  4745,  4729,
    3774,  3775,  3776,  4730,  1821,  4750,    79,  4756,    79,  4754,
    4757,  4761,  1229,  3780,  3781,  3782,  4762,  3783,  3784,  3785,
    3786,  3787,  3788,  1229,  4764,  1401,  4767,  3779,  4772,  4781,
    4782,  4776,   852, -2807,  4777,  1452,  4785,   852,  4783,   852,
    2348,  2349,  2350,  2351,  2352,  2353,  4784,  4789,  4804, -1937,
    4821,  4822,  4829,  1229,  4816,  4830,  4835,  4817,  4837,  4838,
    4819,  4854,  4869,  1229,  1229,  1397,  1447,  4834,  4901,  5419,
    1229,  1229,  4840,  4861,  4874,  1229,  1447,  4865,  4841,  4842,
    1229,  4867,  4875,  1229,  1229,  4883,  4899,  4900,  1229,  4906,
    4907,  4856,  4908,  4919,  1229,   372,  4922,  4926,  4928,  4931,
     691,  4937,  4969,  4932,  4944,  4977,  3778,  4970,  4982,  4988,
    4987,  4990,  1229,  4986,  4998,  4993,  1229,  4996,  3533,  5002,
    5009,  5016,  5019,  5018,  5020,  5021,  3533,   852,  1229,  5029,
    5043,  5034,  5039,  1229,  3533,  5044,  3533,  5054,  5053,  1229,
    1267,  5061,  5056,  5063,  5064,  2325,  5065,  5066,  2326,  5072,
    5079,  5106,  2327,  2328,  2329,   418,  1229,  5086,  5112,   372,
    5115,  5118,  5090,  5135,  5123,  3779,  5138,  5119,  5169,    81,
    5139,  5148,  5173,  5180,  5187,  5153,  4660,  2332,  5194,  5196,
    5199,  5154,  5215,  2333,  3596,  1229, -2807,  5201,  5158,  5197,
    5200,  5220,  1791,  5221,  5222,  5226,  5228,  5231,  5232,  5243,
    1791,  5245,  1791,  1447,  3780,  3781,  3782,  2334,  3783,  3784,
    3785,  3786,  3787,  3788,  3626,  5246,  5262,  5253,    74,  5247,
     701,  5265,  1398,   420,  5269,  5274,  5286,  5311,  5309,  5324,
    5340,  5277,  1447,  5281,  5290,  5282,  5284,  5301,  5352,  1037,
    5345,  1037,  5357,  1037,  5349,  3779,  5363,   701,  3665,  1037,
    1524,  1525,  1447,  5350,  5371,  5372,  5373,  5380,  5381,   701,
    5382,  5383,  5388,  5393,  5401,  5410,  5394,  1229,  5414,  5411,
    5407,  5415,  5417,  1037,  1037,  5430,  5426,   701,  5318,  5439,
    5443,  5440,  5445,  5448,  1398,  5451,  5453,   698,  5454,  3861,
     845,  5462,  5463,  3861,  5464,  5499,  5470,  4401,  5471,  5441,
    5511,  5480,  5492,  5503,  5494,  5515,  1447,  5442,  5510,  5532,
    5538,  5550,  2335,  5571,  5575,  5582,  5585,  2336,  5581,  5589,
    5569,  5590,  5597,  5594,   701,  5598,  1162,  5595,  5570,  2754,
     846,  5572,  5596,  3590,  1965,   372,  1899,  3907,  2337,  2338,
    2411,  1229,  3780,  3781,  3782,  3432,  3783,  3784,  3785,  3786,
    3787,  3788,  1229,  2339,  4026,  4550,  3514,  4633,  5331,  4139,
    1964,  5174,  5438,  5225,  1039,  2009,  4673,  4974,  5227,  5209,
    3969,  3698,  5495,  5127,  5545,  5446,  2016,  5444,  5509,  2325,
    4709,  3974,  2326,  4692,  2340,  4668,  1039,  3568,  3569,  4042,
    4548,  2835,  4680,  4991,  3560,  4208,  5549,  2341,  5599,  5586,
    5198,  1037,  4156,  4143,  5513,  2817,  5152,  1447,  5432,  1447,
    5500,  2332,  5155,  1057,  2252,  4751,  5296, -2807,  4715,  3280,
    1814,  1430,  3780,  3781,  3782,  3957,  3783,  3784,  3785,  3786,
    3787,  3788,  2265,  5378,  3011,  3012,  1474,  3013,  1399,  2089,
    4116,  2334,  1430,  5523,   701,  5588,  3200,  2954,  3912,  1716,
    3201,  4857,  1902,  5489,  4477,  2199,  3694,  2558,  1903,   379,
    1229,  2430,  3913,  2461,  1447,   379,  1791,  1037,  2373,  1229,
     694,  3924,  2460,  3235,  4454,  3216,  5485,  4845,  2343,  5409,
    2465,  3234,  4419,  3926,  4815,  4827,  1229,  1229,  5276,  2470,
    1229,  4415,  5400,  5113,  5399,  4478,  4277,   379,  1904,  4370,
    5260,  5487,  5109,  5488,  1229,  3833,  5479,  3916,  3157,  1229,
    3839,  3750,  3837,  3166,  1229,  4259,  1195,  1229,  1229,  3644,
    2879,  5472,   852,  2483,  1165,  1229,  1229,  3261,  3252,  2260,
    3268,  2476,  1803,  1832,  1804,  2098,  1398,  3265,  3902,  3266,
    1144,  4483,   379,  4846,  4636,  4484, -2807,  1229,  4459,  1905,
    1493, -2807,  1188,  3272,  2377,   701,  1906,   701,  2480,  1907,
    3696,  1229,  1144,    83,  5114,  2966,     0,  2188,     0,     0,
       0,  2344,  1531,   418,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,  1908,     0,     0, -2807,     0,     0,
    1083,     0,     0,     0,  1447,   701,     0,     0,  1083,     0,
    1083,     0,     0,     0,  1229,     0,     0,     0,     0,     0,
       0,  5214,     0,   379,     0,  1909,     0,     0,     0,     0,
       0,     0,     0,     0,  5224,     0,     0,  2325,     0,     0,
    2326,  2341,     0,     0,  2327,  2328,  2329,     0,     0,  5236,
       0,   420,     0,   701,     0,     0,     0,     0,     0,     0,
       0,  2330,     0,     0,     0,  1229,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,  2333,     0,     0,     0,     0,
       0,     0,  1910,     0,  1911,  1791,     0,     0,     0,  1398,
       0,     0,     0,     0,  1912,     0,  3861,     0,     0,  2334,
       0,  3861,  1913,     0,  3861,     0,     0,     0,     0,  3920,
    3920,     0,  1914,     0,    74,    74,     0,    74,   845,  1229,
       0,  1447, -2807,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1037,     0,     0,  5120,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1969,     0,     0,  1916,
    1917,  1229,  1447,     0,  1229,     0,  1229,     0,   846,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4047,  2012,   418,     0,     0,  1970,     0,     0,     0,
    1229,   379,     0,     0,  1229,     0,     0,     0,     0,     0,
    1447,     0,  2027,     0,     0,  1229,     0,     0,     0,     0,
       0,  2037,     0,     0,  2335,     0,     0,     0,     0,  2336,
       0,     0,  4082,     0,     0, -2807,   379,  1229,     0,     0,
       0,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
    2337,  2338,     0,     0,     0,     0,     0,     0,     0,  1919,
       0,   420,     0,     0,     0,  2339,     0,  1447,     0,     0,
       0,  1447,  1447,  5364,     0,     0,  1229,     0,     0,     0,
       0,  4114,     0,     0,     0,   372,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2340,     0,   372,     0,
       0,     0,     0,  3533,     0,     0,     0,     0,     0,  2341,
    3533,  3533,  2342,   372,  3533,     0,  1245,  1229,     0,     0,
       0,  3533,     0,  1274,     0,     0,     0,     0,   845,     0,
    4153,     0,     0,     0,  1292,  4153,     0,     0,  1229,     0,
    1398,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1037,     0,     0,     0,     0,  1037,  1037,
    1447,  1447,   691,     0,     0,     0,     0,   691,   846,     0,
     852,  5387,     0,     0,     0,     0,     0,     0,   691,     0,
    4211,  3861,     0,  1229,     0,     0,  1229,     0,     0,     0,
    2343,     0,  2318,     0,  5568,  1229,     0,     0,     0,     0,
    1229,     0,  1229,     0,  1229,     0,     0,     0,     0,  4242,
    1398,  1229,     0,     0,  2318,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1229,
       0,     0,  2493,  2261,  1524,  1525,     0,     0,  3665,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   701,  2508,     0,     0,     0,     0,     0,     0,
    2515,  2517,     0,     0,     0,     0,     0,     0,     0,  1791,
       0,     0,     0,     0,  1791,     0,     0,     0,     0,     0,
       0,  1229,     0,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,  3193,     0,
       0,     0,     0,     0,  3194,  5514,     0,     0,     0,     0,
       0,     0,     0,     0,  1229,  1229,     0,   372,   376,     0,
    5528,     0,     0,  5525,  5526,  1229,  1037,     0,     0,  5527,
       0,     0,     0,   701,  1037,     0,  5558,     0,     0,     0,
       0,     0,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,   418,     0,     0,     0,     0,
     376,     0,  5528,     0,     0,  5525,  5526,     0,     0,     0,
       0,  5527,  1229,     0,     0,     0,     0,     0,  1229,  1229,
       0,  1229,  2884,  1037,  4380,     0,  1037,  1037,  5558,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1229,     0,     0,     0,     0,     0,     0,  5558,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,     0,   376,
       0,  5528,     0,   420,  5525,  5526,     0,  2911,   691,   691,
    5527,     0,     0,     0,     0,     0,   418,     0,     0,  1039,
       0,  1039,     0,  1039,  1791,     0,     0,     0,     0,  1039,
       0,     0,     0,     0,     0,  1037,     0,     0,   379,     0,
       0,     0,   379,  2325,     0,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,  1039,  1039,     0,   694,     0,     0,  1229,
    1229,     0,     0,   694,     0,   420,     0,  2330,     0,     0,
     845,     0,     0,  1229,   694,  2332,     0,     0,     0,     0,
       0,  2333,     0,     0,   420,  1229,  1229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1243,
       0,     0,   694,     0,     0,  2334,     0,   694,     0,     0,
     846,     0,     0,     0,  2878,     0,     0,     0,   694,   372,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   845,     0,   372,     0,     0,     0,  2890,     0,
       0,     0,     0,     0,   694,     0,    35,     0,  2898,     0,
    2899,   845,     0,     0,    41,    42,     0,  2904,     0,   694,
    2325,     0,  2907,  2326,     0,   694,     0,  2327,  2328,  2329,
       0,     0,   846,     0,     0,     0,   694,  2689,     0,     0,
       0,  1039,     0,     0,  2330,     0,  5567,  2331,     0,     0,
     694,   846,  2332,     0,     0,   698,   698,  4153,  2333,     0,
    1819,     0,     0,     0,     0,     0,    74,     0,     0,    74,
    2335,     0,     0,     0,     0,  2336,     0,     0,     0,     0,
       0,     0,  2334,     0,     0,     0,  4583,     0,     0,  4584,
       0,  4585,     0,     0,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,   372,     0,  1039,     0,     0,
       0,  2339,     0,     0,     0,     0,     0,     0,  2770,     0,
       0,     0,     0,     0,     0,     0,  1877,     0,     0,     0,
       0,     0,     0,  2786,  3533,     0,     0,     0,     0,     0,
    3533,  3533,  2340,  3533,     0,  2796,     0,  1083,     0,   694,
       0,  1083,  2809,     0,     0,  2341,     0,     0,  2342,  1878,
       0,     0,   852,     0,     0,  3050,  3051,     0,     0,     0,
     379,     0,  3065,  3066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2335,     0,     0,
       0,     0,  2336,     0,     0,     0,  1791,     0,     0,  2875,
       0,  3104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,  2338,     0,  1879,     0,  2886,     0,
       0,     0,     0,     0,   852,     0,     0,     0,  2339,     0,
    1430,     0,     0,     0,     0,     0,  2343,     0,   694,   694,
    4712,     0,  2900,   852,     0,     0,     0,     0,     0,  1880,
       0,     0,     0,     0,     0,     0,     0,  2508,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,     0,  3665,  3665,  3665,
    3665,  3665,  2931,     0,  1881,  1430,     0,     0,     0,     0,
       0,  2497,  2498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3335,     0,     0,     0,     0,     0,  1882,  1243,     0,     0,
       0,  1083,  1083,  4760,     0,     0,  4760,     0,  4760,  2344,
    3224,  3224,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,  1883,     0,     0,     0,  3764,     0,
       0,     0,     0,  2343,     0,     0,   380,  2325,     0,     0,
    2326,     0,   380,  1039,  2327,  2328,  2329,   695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1037,  1884,     0,
       0,  2330,   209,     0,     0,     0,  1885,     0,     0,  2332,
       0,     0,     0,  1886,   380,  2333,     0,  1814,     0,    74,
    1887,    74,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
    1889,     0,     0,     0,     0,     0,     0,     0,  1890,     0,
       0,     0,     0,     0,  3106,     0,     0,     0,  1037,   380,
       0,     0,     0,     0,     0,  1791,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,  4844,
       0,     0,  4851,  4852,     0,     0,   691,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,  2325,     0,     0,  2326,     0,     0,
     380, -2807, -2807, -2807,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,  2335,     0,     0,     0,     0,  2336,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,     0,  2333,     0,     0,     0,   694,     0,     0,     0,
    2337,  2338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1039,     0,  2339,  2334,     0,  1039,  1039,
    2325,     0,     0,  2326,     0,     0,     0,     0,     0,     0,
       0,     0,   694,     0,     0,  1037,     0,     0,     0,     0,
       0,     0,     0,  1037,     0,  1037,  2340,     0,   694,     0,
       0,  4850,  2332,     0,     0,     0,     0,     0, -2807,  2341,
       0,     0,  2342,   694,     0,     0,   694,     0,     0,     0,
       0,     0,  4939,  4940,     0,     0,    79,     0,     0,     0,
       0,  3533,  2334,  3533,  3533,     0,     0,  3533,     0,     0,
       0,     0,  1398,     0,     0,     0,  4960,     0,     0,     0,
       0,     0,     0,   698,     0,     0,     0,     0,     0,     0,
       0,  2752,     0,     0,     0,     0,     0,     0,   380,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2343,     0,     0,     0,  5000,     0,  4392,     0,     0,     0,
       0,     0,     0,   380,  3339,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,  3354,     0,     0,     0,
       0,     0,     0,     0,  5022,     0,     0,     0,     0,     0,
       0,  2824,     0,     0,     0,  2837,  1039, -2807,     0,  3734,
       0,     0, -2807,   694,  1039,  3738,     0,  2752,     0,     0,
       0,   694,   694,  3384,     0,     0,  2341,     0,     0,     0,
       0,     0,   379,  4760,     0,     0,     0,  4760,  4760,     0,
    4760,     0,     0,     0,     0,     0,     0,     0, -2807,  3660,
    3663,  1791,     0,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,
       0,  2325,  3814,  1039,  2326,     0,  1039,  1039,  2327,  2328,
    2329,     0,     0,     0,     0,   379,   379,   379,     0,     0,
       0,     0,  2341,  2914,     0,  2330,     0,     0,     0,     0,
       0,     0,     0,  2332,     0,     0,   694,  2343,     0,  2333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1902,
       0,  2752,     0,     0,     0,  1903,     0,     0,     0,  1037,
       0,     0,     0,  2334,     0,     0,   379,     0,     0,     0,
       0,     0,     0,   379,     0,  1039,     0,     0,     0,     0,
     379,     0,     0,     0,     0,  3870,     0,     0,     0,     0,
    1083,     0,     0,     0,     0,  1904,     0,     0,     0,     0,
       0,     0,     0, -2807,     0,     0,     0,     0,     0,     0,
    3556,     0,  4153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1083,
    2344,     0,     0, -2807, -2807, -2807,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,  1905,     0,     0,     0,
    3533,     0,     0,  1906,  3870,     0,  1907,     0,     0,     0,
       0,  1398,     0,     0,     0,  5178,     0,  5179,  2335,     0,
       0,  5184,  5185,  2336,     0,     0,     0,     0,     0,     0,
       0,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5111,     0,  2337,  2338, -2807,     0,     0,     0,
       0,     0,     0,  2348,  2349,  2350,  2351,  2352,  2353,  2339,
       0,     0,  1909,  3633,     0,     0,  2325,     0,     0,  2326,
       0,     0,     0,  2327,  2328,  2329,     0,     0,     0,     0,
       0,   694,  1877,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,  1791,     0,  2341,  2333,     0,  2342,     0,     0,     0,
       0,     0,     0,  2508,     0,  1878,  3905,     0,  1037,  1910,
       0,  1911,     0,     0,     0,     0,  2325,     0,  2334,  2326,
     379,  1912,     0,  2327,  2328,  2329,     0,     0,     0,  1913,
       0,     0,  3919,  3919,     0,     0,     0,     0,     0,  1914,
    2330,   694,     0,     0,     0,   694,     0,     0,  2332,     0,
       0,  3723,     0,     0,  2333,     0,     0,   694,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3735,  1995,  2343,   380,  1916,  1917,  2334,   380,
       0,     0,     0,  3741,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,  1880,     0,     0,     0,     0,
     695,     0,     0,  1996,     0,     0,     0,     0,     0,     0,
       0,   695,     0,     0,   691,     0,     0,     0,     0,  5332,
       0,     0,     0,  2335,     0,  3634,     0,     0,  2336,     0,
    1881,     0,   694,   694,     0,     0,     0,     0,     0,   695,
       0,     0,     0,     0,   695,   694,     0,     0,     0, -2807,
   -2807,     0,     0,     0,  3290,   695,     0,     0,     0,  3294,
     694,   694,  1882,  3297,  2339,     0,  1919,  2344,     0,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,   695,   694,  2335,  3102,     0,     0,     0,  2336,  3321,
       0,     0,     0,     0,     0, -2807,   695,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,  2341,  2337,
    2338,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,   695,   209,     0,
       0,  3372,  1885,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,  1887,     0,   691,     0,
       0,     0,     0,     0,  2631,  2340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1889,     0,  2341,     0,
       0,  2342,     0,     0,  1890,     0,     0,     0,  3417,     0,
    1398,     0,     0,     0,     0,     0,     0,     0,     0,  2343,
       0,   693,     0,     0,  3636,     0,     0,  1039,     0,     0,
       0,   698,     0,     0,     0,     0,     0,     0,     0,   691,
       0,     0,   379,  3463,     0,     0,     0,  1819,   843,     0,
       0,     0,     0,     0,     0,     0,   695,     0,  1891,     0,
       0,  3475,  3637,  4249,     0,     0,     0,     0,     0,     0,
       0,     0,  3485,     0,     0,     0,     0,   380,     0,  2343,
       0,     0,     0,     0,     0,  3509,     0,     0,  1039,     0,
       0,     0,  1243,   843,   691,     0,     0,     0,     0,     0,
       0,     0,  1037,     0,     0,     0,     0,  1037,     0,     0,
       0,     0,  2344,     0,  3985,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,  4188,
       0,  3997,     0,     0,     0,   379,     0,     0,     0,     0,
       0,  1082,     0,     0,     0,   695,   695,     0,     0,  1082,
       0,  1082,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   843,     0,     0,     0,     0,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,  4154,
       0,  5560,   379,     0,   379,     0,     0,     0,     0,     0,
       0,     0,     0,  4265,  2325,     0,     0,  2326,     0,     0,
    3663,  2327,  2328,  2329,   694,     0,     0,     0,     0,     0,
    4069,     0,  4071,     0,     0,     0,     0,     0,  2330,  2325,
       0,     0,  2326,     0,     0,  1039,  2332,     0,     0,     0,
       0,     0,  2333,  1039,     0,  1039,  3870,     0,  3870,     0,
       0,     0,     0,  5560,   694,     0,     0,     0,   379,   694,
       0,  2332,     0,   694,     0,     0,  2334, -2807,     0,     0,
       0,   694,  5560,     0,     0,     0,     0,     0,     0,  2325,
       0,  4112,  2326,     0,     0,     0,     0,  1037,     0,   694,
       0,  2334,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4126,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,     0, -2807,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3710,     0,
    5559,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2334,  1083,     0,  2135,     0,     0,     0,   694,   694,
    3724,     0,     0,     0,     0,  4395,     0,     0,  3710,  3870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2335,     0,     0,     0,     0,  2336,   379,   694,     0,
       0,   379,     0,     0,     0,  2168,     0,     0,     0,     0,
       0,     0,  5559,  2178,     0,  3384, -2807,  2337,  2338,  2186,
       0, -2807,     0,     0,     0,  4396,     0,  1083,     0,   694,
     695,  5559,  2339,   694,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4263,     0,
     695,   694,     0,     0,     0,     0,     0, -2807,     0,     0,
       0,     0,   694,  2340,  2325,     0, -2807,  2326,     0,     0,
       0, -2807,  1902,   695,     0,   694,  2341,  1902,  1903,  2342,
       0,     0,     0,  1903,   694,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,  2341, -2807,     0,     0,     0,     0, -2807,     0,   695,
    4480,     0,     0,     0,     0,     0,     0,     0,  1904,     0,
       0,     0,     0,  1904,     0,   695,  2334,     0,     0,  1039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     695,   379,     0,   695,     0,     0,     0,     0,     0,     0,
    4327,  2341,     0,     0,     0,     0,     0,  2343,     0,  2325,
       0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,  1905,
       0,  4336,     0,     0,  1905,     0,  1906,     0,     0,  1907,
       0,  1906, -2807,  2330,  1907,     0,     0,     0,     0,     0,
    4802,  2332,     0,     0,     0,     0,  4359,  2333,     0,     0,
       0,     0,     0,     0,  1908,     0,     0,   694,     0,  1908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1037,
       0,  2334,     0,     0,     0,     0,     0,     0,     0,     0,
    2261, -2807, -2807,     0,     0,  1909, -2807,     0,     0,     0,
    1909,     0,     0,     0,     0,     0,     0,  1037,  3959,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,     0,  4328,     0,   694,
     695,     0, -2807,     0,     0, -2807,     0,     0,   695,   695,
       0,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,   380,
       0,  3981,  1910,     0,  1911,     0,     0,  1910,     0,  1911,
       0,     0,     0,     0,  1912,     0,     0,     0,     0,  1912,
       0,     0,  1913,     0,  1524,  1525,  2341,  1913,   694,     0,
       0,     0,  1914,     0,     0, -2807,  2335,  1914,     0,     0,
       0,  2336,  2348,  2349,  2350,  2351,  2352,  2353,  1039,     0,
     694,     0,   380,   380,   380,     0,     0,     0,   694,     0,
       0,     0,  2337,  2338,     0,     0,  2613,     0,     0,  1916,
    1917,  2683,     0,   695,  1916,  1917,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2614,     0,     0,     0,
       0,  2684,     0,   380,  4053,     0,     0, -2807,  2340,     0,
     380,     0,     0,     0,     0,     0,  4072,   380,     0,   843,
       0,  2341,     0,     0,  2342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   379,     0,     0,   693,     0,     0,
     379,     0,  3870,     0,   693,     0,  3870,     0,     0,  3663,
    3663,  3663,  3663,  3663,     0,   693,     0,     0,     0,  1919,
       0,     0,     0,     0,  1919,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1037,     0,
       0,     0,     0,   693,     0,     0,     0,     0,   693,     0,
       0,     0,     0,  4123,     0,     0,     0,     0,     0,   693,
   -2807,     0,  2343,     0,     0,     0,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,  1903,     0,     0,   693,     0,     0,     0,  2325,
       0,   694,  2326,     0,     0,     0,  2327,  2328,  2329,     0,
     693,     0,     0,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,   693,     0,     0,
       0,  2332,  1904,     0,     0,     0,     0,  2333,   695,     0,
       0,   693,     0,     0,     0,     0,     0,  2325,     0,     0,
    2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,     0,
       0,  2334,     0,     0,     0,  2344,     0,  4676,  2345,  2346,
    2347,  2330,  2348,  2349,  2350,  2351,  2352,  2353,     0,  2332,
       0,     0,  4379,  1905,     0,  2333,     0,   380,     0,     0,
    1906,     0,     0,  1907,     0,     0,     0,     0,   694,     0,
       0,     0,     0,     0,  2508,     0,     0,     0,   695,  2334,
       0,     0,   695,     0,   694,   694,     0,     0,  1908,     0,
    2885,     0,     0,     0,   695,     0,  3633,     0,     0,    74,
    2752,     0,     0,     0,     0,     0,     0,     0,  1082,     0,
     693,   694,  1082,     0,   694,  1877,     0,     0,  4301,  1909,
       0,     0,  4979,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2912,  2335,     0,     0,  2916,
       0,  2336,     0,  4315,     0,  2922,  2923,     0,  1878,     0,
       0,     0,  1039,     0,     0,     0,     0,  1039,     0,  1037,
       0,     0,  2337,  2338,     0,     0,     0,     0,  2939,   695,
     695,     0,     0,     0,     0,     0,  1910,  2339,  1911,     0,
    4916,  4917,   695,     0,  2335,  4920,  4921,     0,  1912,  2336,
     379,   379,   379,     0,     0,     0,  1913,   695,   695,   693,
     693,     0,     0,     0,     0,  1879,  1914,     0,  2340,  1902,
    2337,  2338,     0,     0,   694,  1903,     0,     0,     0,   695,
       0,  2341,     0,     0,  2342,  2339,   694,     0,     0,     0,
     694,     0,     0,     0,     0,     0,  2261,     0,  1880,   694,
    3381,     0,     0,  1916,  1917,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1037,  1904,  2340,     0,  1902,     0,
       0,     0,     0,     0,  1903,     0,     0,     0,  3634,  2341,
    1918,     0,  2342,  1881,  3870,     0,     0,     0,     0,  3870,
       0,     0,  1082,  1082,  3870,     0,     0,  3870,  5088,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2343,   694,  1904,  1882,  1905,     0,     0,     0,
       0,     0,     0,  1906,     0,     0,  1907,  3870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3870,     0,  1919,     0,     0,     0,  1039,     0,   379,
       0,  1908,     0,     0,     0,   694,     0,   694,     0,   380,
    2343,     0,     0,     0,     0,  1905,     0,     0,     0,   694,
       0,   694,  1906,  4887,     0,  1907,     0,     0,     0,     0,
       0,   209,  1909,     0,  5150,  3635,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,  1887,
    1908,     0,  4903,     0,     0,  2344,     0,  2631,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,  3197,  1889,
    4458,     0,  4918,     0,  4525,   694,     0,  1890,     0,     0,
       0,  1909,     0,     0,     0,  1243,     0,     0,     0,  1910,
       0,  1911,     0,     0,     0,     0,     0,  3636,     0,     0,
       0,  1912,   380,  2344,     0,     0,  2345,  2346,  2347,  1913,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,  1914,
    4496,     0,     0,     0,   693,  5110,  4941,  3633,     0,     0,
     694,  1891,     0,     0,     0,  3637,     0,     0,  1910,  3870,
    1911,     0,     0,     0,   693,     0,  1877,     0,   694,     0,
    1912,     0,     0,  3478,     0,     0,  1916,  1917,  1913,   380,
       0,   380,     0,     0,     0,     0,     0,   693,  1914,     0,
     694,  4602,     0,   694,  4605,     0,     0,     0,     0,  1878,
       0,   695,     0,  3479,  1037,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3517,   693,  3870,  1916,  1917,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   695,     0,     0,     0,   380,   695,     0,     0,  5028,
     695,     0,  3518,     0,   693,     0,  1879,   693,   695,     0,
       0,     0,     0,     0,     0,     0,  1919,     0,     0,     0,
     379,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1880,
       0,  4681,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1919,     0,     0,   695,  3634,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,  1039,
       0,     0,     0,     0,     0,   695,   695,  5351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,  1039,     0,     0,
       0,     0,     0,     0,   380,   695,     0,     0,   380,     0,
       0,     0,     0,  2325,     0,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,   693,     0,     0,     0,     0,     0,
       0,     0,   693,   693,  3710,     0,   695,  2330,     0,     0,
     695,     0,     0,   843,     0,  2332,  3870,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,     0,     0,   695,     0,
       0,     0,   209,     0,     0,     0,  1885,     0,     0,   695,
       0,  3870,     0,  1886,     0,  2334,     0,     0,     0,     0,
    1887,     0,   695,     0,     0,     0,     0,     0,  2631,     0,
       0,   695,     0,     0, -2308,     0,   843,     0,     0,     0,
    1889,     0,     0,     0,   694,     0,     0,     0,  1890,     0,
       0,     0,  2325,     0,     0,  2326,     0,   693,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,     0,  3636,     0,
       0,     0,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,  5457, -2308,     0,  2332,     0,   379,     0,   380,     0,
    2333,   379,     0,   379, -2308,     0,     0,     0,     0, -2308,
       0,   843,  1891,     0, -2308,     0,  3637,     0,     0, -2308,
       0,  1082, -2308,     0,  2334, -2308,     0,     0,     0,     0,
    2335,     0,     0,     0,     0,  2336,     0,     0,     0,     0,
       0,  5385,     0,     0,     0,     0,  3654,     0,     0,     0,
       0,   694,     0, -2308,   694,  5498,  2337,  2338,     0,     0,
    1082,     0,     0,     0,   695,  3671,     0,     0,  1039,     0,
       0,  2339,  2261, -2308,     0,     0,     0,     0,     0,     0,
    3680,     0,     0,  3682,  3683,     0,     0,     0,  3686,  3687,
       0,   379,  3870,     0,     0,  3691,     0,     0,  1243,  1243,
       0,     0,  2340,     0,     0,     0,     0,     0,     0,     0,
    4112,     0, -2308,     0, -2308,  2341,     0,     0,  2342,     0,
   -2308,     0,     0,     0,     0,     0,   695,     0,     0,  2335,
       0,     0,     0,     0,  2336,     0,   694,   694,     0,     0,
    4913,     0,     0,     0,     0,     0,     0,     0,     0,   694,
       0,   694,  4923,     0,     0,  2337,  2338,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  2261,     0, -2308,
    2339,  2261,  2261,     0,  3733,   695,     0,     0,     0,     0,
       0,  1902,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,   695,     0,     0,
       0,  2340,     0,     0,     0,   695,     0,     0,     0,     0,
       0,   843,     0,  5592,  2341,     0,     0,  2342,  1053,     0,
       0,   379,     0,     0,     0,  1243,  1243,  1904,     0,     0,
       0,     0,   693,     0,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0, -2308,     0,     0,     0,   693,     0,
       0,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,  5379,     0,     0,     0,     0,     0,     0, -2308,     0,
   -2308, -2308,     0,     0,     0,     0,     0,     0,  1905,     0,
       0,   380,     0,     0,     0,  1906,     0,   380,  1907,  2344,
       0,     0,  2345,  2346,  2347,  2343,  2348,  2349,  2350,  2351,
    2352,  2353,     0,  5557, -2308,     0,  4768, -2308, -2308,  1039,
   -2308,     0,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   693,   693,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,  3710,     0,     0,
       0,     0,     0,     0,  1909,     0,     0,     0,     0,     0,
       0,   693,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5557,     0,     0,     0,     0,
       0,     0,     0,   693,  1902,     0,     0,     0,   695,     0,
    1903,     0,     0,     0,  5557,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,  1910,     0,  1911,  1039,  4803,     0,     0,  1230,  1232,
       0,     0,  1235,  1912,  1237,     0,     0,     0,     0,     0,
    1904,  1913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1914,     0,     0,  1288,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3710,     0,
    3710,     0,     0,     0,  1344,     0,     0,     0,  1347,     0,
       0,     0,     0,     0,     0,  4008,     0,     0,  1916,  1917,
       0,  1905,     0,     0,  3979,   695,  1371,     0,  1906,     0,
       0,  1907,     0,   694,     0,     0,   379,     0,     0,     0,
       0,   695,   695,     0,     0,  4009,     0,     0,     0,     0,
       0,     0,     0,   843,  2325,     0,  1908,  2326,     0,     0,
     694,  2327,  2328,  2329,     0,     0,     0,     0,   695,     0,
       0,   695,   694,  2325,     0,     0,  2326,     0,  2330,     0,
    2327,  2328,  2329,     0,     0,     0,  2332,  1909,     0,     0,
     694,     0,  2333,     0,     0,     0,     0,  2330,     0,  4031,
       0,  4033,     0,     0,     0,  2332,     0,     0,  1919,     0,
       0,  2333,     0,     0,     0,     0,  2334,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,     0,   694,     0,     0,
       0,     0,     0,     0,  1910,     0,  1911,   380,   380,   380,
       0,     0,     0,     0,     0,     0,  1912,     0,     0,     0,
       0,     0,     0,     0,  1913,     0,     0,     0,     0,     0,
       0,   695,     0,     0,  1914,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,     0,     0,   695,     0,     0,
       0,  2325,     0,     0,  2326,     0,   695,     0,  2327,  2328,
    2329,     0,     0,     0,     0,     0,     0,  4111,  4055,     0,
       0,  1916,  1917,  4118,     0,  2330,     0,     0,     0,     0,
       0,  2335,     0,  2332,  1039,   693,  2336,     0,     0,  2333,
       0,     0,     0,     0,     0,     0,     0,     0,  4056,     0,
    2335,     0,     0,     0,     0,  2336,     0,  2337,  2338,     0,
       0,     0,     0,  2334,     0,     0,     0,   694,     0,     0,
     695,     0,  2339,     0,     0,   693,  2337,  2338,     0,   843,
     693,     0,     0,     0,   693,     0,     0,     0,     0,     0,
       0,  2339,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2340,     0,     0,   380,     0,     0,     0,
     693,  1919,   695,     0,   695,     0,  2341,     0,     0,  2342,
       0,     0,  2340,     0,     0,     0,   695,     0,   695,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  1927,  1928,     0,
       0,     0,     0,  1082,  4262,     0,     0,     0,  2335,   693,
     693,     0,     0,  2336,     0,     0,     0,     0,   694,     0,
     694,     0,   695,     0,     0,     0,     0,  4279,  4280,     0,
    4282,     0,  4284,  4285,  2337,  2338,     0,  2343,   843,   693,
       0,     0,   843,     0,     0,  4292,     0,     0,     0,  2339,
       0,     0,     0,     0,     0,     0,  2343,     0,   694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1082,     0,
     693,     0,     0,     0,   693,     0,     0,   695,     0,  2029,
    2340,     0,     0,     0,     0,     0,  4314,     0,     0,     0,
       0,     0,   693,  2341,     0,   695,  2342,     0,     0,     0,
    2052,  2053,     0,   693,   379,     0,   694,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   695,     0,     0,
     695,  2086,     0,     0,     0,   693,     0,     0,     0,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,     0,  5051,     0,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,  5062,     0,     0,     0,
    2325,     0,     0,  2326,  2343,     0,     0,  2327,  2328,  2329,
       0,     0,   843,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2330,     0,  3710,   380,     0,     0,
    2156,  2158,  2332,     0,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1902,     0,     0,     0,   693,     0,
    1903,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2344,     0,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,     0,  5071,     0,     0,     0,     0,     0,
    1904,     0,     0,     0,   379,     0,  2325,     0,     0,  2326,
       0,     0,     0,  2327,  2328,  2329,     0,     0,     0,     0,
     693,     0,     0,     0,     0,  2325,     0,     0,  2326,     0,
    2330,     0,  2327,  2328,  2329,     0,     0,     0,  2332,     0,
       0,     0,     0,     0,  2333,     0,     0,  2335,     0,  2330,
       0,  1905,  2336,     0,     0,     0,     0,  2332,  1906,     0,
       0,  1907,     0,  2333,     0,     0,     0,     0,  2334,   693,
       0,     0,     0,  2337,  2338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1908,  2334,  2339,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1909,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,  2341,     0,     0,  2342,     0,     0,     0,     0,
       0,     0,     0,   380,     0,     0,     0,     0,   380,     0,
     380,     0,     0,  2325,     0,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,  2335,  1910,   843,  1911,  2330,  2336,     0,
       0,   843,     0,     0,     0,  2332,  1912,     0,   739,     0,
       0,  2333,  2335,     0,  1913,   694,     0,  2336,   695,  2337,
    2338,   695,     0,     0,  1914,     0,  1048,     0,     0,     0,
       0,     0,     0,  2343,  2339,  2334,     0,     0,  2337,  2338,
       0,  1050,     0,     0,     0,     0,     0,     0,     0,  1058,
       0,     0,     0,  2339,     0,     0,     0,     0,   380,     0,
       0,  1916,  1917,     0,  1072,  2340,  1048,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
    1127,  2342,     0,     0,  2340,     0,     0,     0,  1918,  1132,
       0,     0,   693,     0,     0,     0,   694,  2341,     0,     0,
    2342,     0,     0,   695,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,   695,     0,
       0,     0,     0,     0,     0,     0,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
    2335,     0,     0,  5074,     0,  2336,     0,     0,     0,     0,
       0,  1919,     0,     0,     0,     0,     0,     0,     0,  2343,
       0,     0,     0,  4738,     0,     0,  2337,  2338,     0,     0,
       0,  4741,  4742,  4743,  4744,     0,     0,     0,  2343,     0,
       0,  2339,     0,     0,  2665,     0,     0,     0,   380,   693,
       0,     0,     0,     0,     0,     0,   379,     0,     0,     0,
       0,     0,     0,     0,     0,   693,   693,     0,     0,     0,
       0,     0,  2340,     0,     0,     0,     0,     0,     0,     0,
       0,   695,     0,     0,     0,  2341,     0,     0,  2342,     0,
       0,     0,   693,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2735,  2736,
    2737,  2738,  2344,     0,     0,  2345,  2346,  2347,   379,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,  5125,
       0,  2344,     0,     0,  2345,  2346,  2347,   379,  2348,  2349,
    2350,  2351,  2352,  2353,     0,     0,     0,     0,  5157,     0,
       0,  2776,  2777,     0,     0,     0,     0,     0,     0,     0,
    2789,     0,     0,     0,     0,     0,  2343,     0,     0,     0,
    2803,   843,   843,   843,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,  2839,  2840,
    2841,  2842,     0,     0,     0,     0,     0,   693,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4886,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,  5192,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,     0,     0,     0,
    4904,  4905,     0,     0,     0,  2925,     0,     0,  2928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2933,     0,
     695,     0,     0,   380,     0,     0,     0,  2941,     0,     0,
     843,     0,     0,     0,     0,     0,   693,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,   695,     0,     0,
     693,     0,   693,     0,     0,     0,     0,     0,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4942,  4943,     0,   695,     0,     0,
       0,   739,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,   695,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,   693,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3116,     0,     0,   693,
       0,     0,     0,     0,  5038,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5040,  5041,     0,     0,     0,     0,
       0,   693,     0,     0,   693,     0,     0,     0,     0,     0,
    5045,     0,     0,     0,     0,     0,    46,     0,  2325,     0,
       0,  2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2330,     0,   695,     0,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,     0,  2333,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2334,   843,     0,     0,     0,     0,     0,     0,    47,     0,
       0,  1225,  1231,  1231,   739,     0,  1231,     0,  1239,     0,
    1225,     0,  1127,     0,     0,  1269,    48,     0,     0,     0,
       0,  1127,     0,     0,  1127,     0,     0,     0,  1231,     0,
    1127,     0,     0,     0,     0,     0,     0,    49,  1306,     0,
       0,     0,     0,  1127,     0,  1225,     0,     0,  1231,     0,
     739,     0,  1231,     0,     0,     0,     0,     0,     0,  1269,
      50,     0,     0,  1366,     0,   695,     0,   695,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2335,    51,     0,     0,    52,
    2336,     0,     0,  1225,     0,   695,     0,     0,   739,     0,
       0,     0,     0,  1225,    53,     0,     0,  1269,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,  2339,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3337,  3338,     0,     0,
       0,   380,     0,   695,     0,  3349,     0,  3351,     0,     0,
       0,  3355,     0,     0,     0,     0,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2341,     0,     0,  2342,     0,   693,     0,     0,     0,     0,
    1127,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1127,     0,  1564,     0,     0,
       0,  5256,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   843,     0,     0,
       0,     0,   843,     0,   843,  1674,  1674,     0,    55,     0,
     739,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
    1127,  2343,     0,     0,  1127,  3470,     0,     0,    57,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,  1127,     0,   693,     0,     0,     0,  5298,
       0,     0,     0,     0,     0,  1127,    58,     0,     0,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1486,     0,     0,     0,     0,
      71,  1487,   843,  3530,     0,     0,     0,     0,     0,     0,
       0,  3539,     0,  3541,     0,  5330,     0,     0,     0,  3543,
       0,   380,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,   693,   693,     0,
       0,  5435,     0,     0,     0,     0,     0,  1127,     0,     0,
     693,     0,   693,     0,     0,     0,  1127,     0,     0,     0,
       0,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2325,
       0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2330,  1225,     0,     0,     0,  1269,     0,
       0,  2332,     0,     0,     0,     0,     0,  2333,     0,  3674,
       0,  3676,  1248,  1231,     0,     0,     0,     0,     0,     0,
       0,  1278,     0,     0,     0,   693,     0,     0,  1127,     0,
    1294,  2334,     0,     0,  1231,  1231,     0,     0,  1304,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,     4,     0,
       0,  1127,  1127,  1127,     0,  1231,     0,  1225,     0,     0,
       0,     0,  2095,     0,     0,     0,     0,     0,     5,     0,
       0,     0,   695,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
    3743,     0,  1231,     0,  1231,  1231,  2335,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,  2339,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5542,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1562,     0,     0,  2340,     0,
       0,  2235,  2235,     0,     0,     0,  1127,     0,  1048,     0,
       0,  2341,     0,     0,  2342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1694,     0,     0,  2269,     0,     0,  1127,     0,     0,
    2275,     0,    47,   380,   693,     0,     0,   843,     0,     0,
    1718,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,  1744,     0,     0,     0,     0,     0,  2325,
    1674,    49,  2326,   693,     0,     0,  2327,  2328,  2329,     0,
       0,     0,  2343,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,  2330,    50,   380,     0,     0,  1674,  1674,
    1674,  2332,  1674,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,     0,     0,   380,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
      51,  2334,     0,    52,     0,     0,     0,     0,   693,     0,
       0,     0,     0,     0,   739,   739,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,     0,     0,
       0,     0,     0,  1127,     0,  2344,  1674,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,     0,  5456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,  1674,
    1674,     0,     0,     0,  3988,     0,  3989,  3990,  3991,     0,
    1127,  1127,  2474,     0,     0,     0,    54,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2335,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,  2337,  2338,     0,     0,     0,     0,  2050,     0,
       0,     0,    55,     0,     0,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,  2080,  2083,  2084,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,     0,  2342,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,     0,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,    67,
      68,     0,    69,    70,    71,    72,    73,  1127,  2645,     0,
       0,     0,     0,     0,     0,  1127,     0,     0,  1231,   693,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1269,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
    1127,  4127,  2343,     0,     0,     0,     0,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,  1231,  1231,  1127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,     0,     0,     0,     0,   843,  1694,   693,     0,     0,
       0,     0,  2767,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1231,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,  1694,     0,     0,
       0,     0,     0,     0,  1231,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,     0,  5573,  1127,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,  1231,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,  2767,     0,     0,     0,     0,     0,
       0,  4286,     0,  4287,     0,     0,     0,  4289,     0,     0,
    1225,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1225,     0,     0,     0,     0,
       0,     0,     0,     0,  4321,  1269,     0,     0,     0,  1231,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  2415,     0,     0,     0,     0,     0,     0,
    1231,  1231,     0,     0,     0,   843,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2472,     0,     0,     0,     0,     0,     0,  2235,     0,
       0,     0,     0,     0,     0,  1231,     0,  1225,     0,     0,
       0,  1127,  1127,     0,  1231,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,  1048,  1048,     0,     0,
    3020,     0,     0,     0,  1674,  1674,     0,     0,     0,     0,
    1674,  1674,     0,     0,     0,     0,     0,  1674,  1674,  1674,
       0,     0,     0,  1674,  1269,  1674,  1674,  1674,  1674,  1674,
    1674,     0,  1674,     0,  1674,  1674,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,  1674,  1674,  1674,     0,     0,     0,
    1231,  1674,     0,     0,     0,  1674,     0,     0,  1674,     0,
       0,  1674,  1674,  1674,  1674,  1674,  1674,  1674,  1674,  1674,
       0,  1674,     0,     0,     0,     0,     0,  2640,  1127,  1674,
       0,     0,  1674,     0,     0,  2661,     0,     0,     0,     0,
       0,     0,  2325,     0,     0,  2326,   693,     0,     0,  2327,
    2328,  2329,     0,     0,  1127,     0,     0,     0,     0,  2694,
       0,     0,     0,     0,     0,     0,  2330,  2701,     0,     0,
    2704,     0,     0,     0,  2332,  4519,  4520,  4521,  4522,     0,
    2333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,  1127,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,  2334,     0,  2739,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,  1674,
    2756,     0,     0,     0,     0,     0,     0,   693,     0,     0,
       0,     0,  1127,     0,  2768,     0,  1902,     0,     0,  3243,
       0,  3250,  1903,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1904,  2821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2855,     0,     0,     0,     0,  2335,
       0,  2867,     0,     0,  2336,  1946,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,   843,  1048,     0,
    1048,     0,     0,  1905,     0,  2337,  2338,     0,     0,     0,
    1906,     0,  4654,  1907,     0,     0,     0,  1674,     0,     0,
    2339,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
    1231,  1231,     0,     0,     0,  1225,     0,  1269,  1908,  1231,
       0,  1231,     0,     0,     0,  1231,     0,     0,  1127,     0,
       0,  2340,     0,     0,     0,     0,     0,     0,     0,   843,
       0,     0,     0,     0,  2341,     0,  1947,  2342,     0,  1909,
       0,     0,     0,     0,     0,     0,     0,  2645,   843,     0,
       0,     0,     0,     0,  3386,     0,     0,     0,     0,     0,
    3396,     0,     0,     0,  2951,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,  1949,     0,  1127,     0,
       0,     0,  3440,  3440,     0,     0,  1950,     0,  1911,     0,
       0,   739,     0,     0,     0,     0,     0,     0,  1912,     0,
       0,  1694,  1694,     0,     0,  2343,  1913,     0,     0,  1231,
       0,     0,     0,     0,     0,  1951,  1914,     0,     0,     0,
       0,  3010,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3503,     0,  3506,  3508,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,  1916,  1917,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,  1231,     0,     0,
    1954,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,  1674,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,  2645,     0,     0,  3440,  5591,  1127,     0,  3165,  3591,
       0,     0,  1048,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1919,  3186,     0,     0,     0,  3503,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  3617,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2095,     0,     0,     0,     0,     0,     0,
       0,  3199,     0,  3202,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3664,  3667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,  1231,  3440,  1231,  3440,     0,     0,     0,
       0,     0,  1694,     0,     0,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,  2235,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,  1127,     0,     0,
       0,  4935,     0,     0,     0,     0,     0,  1225,     0,     0,
       0,     0,     0,  1225,     0,  4938,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1674,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,  1674,
    1674,  1307,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,  1674,  1674,  1674,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1674,     0,  1674,
       0,     0,     0,     0,  1308,     0,  5004,     0,     0,     0,
    1674,  1674,     0,     0,  1674,     0,     0,  1309,  1310,  3408,
       0,     0,     0,     0,     0,     0,  1269,  1311,  1674,    47,
    1674,  1312,  1674,     0,     0,     0,     0,     0,  3435,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,  1313,
       0,     0,  1674,     0,     0,     0,  1127,     0,     0,     0,
       0,     0,     0,  3871,     0,  1674,  1674,  1674,    49,     0,
    1314,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1315,     0,     0,     0,     0,     0,     0,     0,  1316,
    1674,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1317,     0,  1674,     0,     0,  1318,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,  1319,
      52,     0,  3871,     0,     0,  3932,     0,     0,  3935,     0,
    3250,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,  1320,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1321,  3587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5130,  5132,  5132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,  1322,  3440,     0,     0,
       0,     0,  2235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,  1323,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   881,     0,  1231,     0,
    1231,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1324,     0,     0,     0,     0,  1325,    55,
    1326,     0,     0,     0,     0,     0,  1327,     0,     0,  1328,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,  1329,     0,
       0,  1330,     0,     0,     0,  1331,     0,     0,     0,     0,
       0,     0,  1332,     0,  1333,     0,     0,    58,     4,  1334,
       0,  5237,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,  1127,    65,    66,  1486,  2187,     5,     0,
       0,    71,     0,     0,  1335,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     9,    10,  3727,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1902,    45,     0,
       0,     0,     0,  1903,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,  3440,  3440,     0,     0,     0,     0,  1945,     0,
       0,     0,     0,  5302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1904,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,  1127,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5326,     0,
    5328,     0,  1127,     0,     0,     0,  1946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2235,  1127,     0,
       0,     0,   851,     0,  1905,     0,  2235,  1127,  1127,     0,
       0,  1906,     0,     0,  1907,     0,  3854,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,  1908,
       0,   739,  1442,     0,     0,     0,     0,   851,     0,     0,
      48,     0,  2325,     0,     0,  2326,     0,     0,  3664,  2327,
    2328,  2329,     0,  1442,     0,     0,     0,  1947,     0,     0,
    1909,    49,     0,     0,     0,  1231,  2330,  1231,     0,     0,
    3208,  1231,     0,     0,  2332,     0,     0,     0,     0,     0,
    2333,     0,     0,     0,    50,  1086,     0,     0,     0,     0,
    1225,     0,     0,  1086,     0,  1086,     0,     0,     0,     0,
    1127,  5132,     0,     0,  2334,  1948,     0,  1949,   851,     0,
       0,     0,     0,     0,     0,     0,  1127,  1950,     0,  1911,
      51,     0,     0,    52,     0,     0,     0,     0,  1231,  1912,
       0,     0,     0,     0,     0,  1674,     0,  1913,    53,     0,
       0,     0,     0,     0,  1674,     0,  1951,  1914,     0,     0,
    1674,  3209,  1674,     0,     0,  1674,     0,     0,     0,  5452,
    1674,  1674,  1674,  1674,     0,     0,  1674,  1674,  1674,  1674,
    1674,  1674,  1674,  1674,  1674,  1674,     0,     0,     0,  1674,
    1674,  3465,     0,     0,  1916,  1917,  1953,     0,     0,  1674,
       0,     0,     0,  1674,     0,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1674,  2335,
    1674,  3466,     0,     0,  2336,     0,    54,     0,     0,  1674,
       0,     0,  1674,  1674,     0,  1955,     0,  1674,  1674,     0,
       0,     0,  4403,     0,  1674,  2337,  2338,     0,     0,  5502,
       0,  1127,  1127,  1127,  1225,     0,  3871,  4423,     0,     0,
    2339,  4423,  4437,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,    55,     0,  1674,  1674,  1674,     0,     0,     0,
       0,     0,     0,     0,  1919,     0,     0,    56,     0,     0,
       0,  2340,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,  4074,  2341,     0,     0,  2342,     0,     0,
       0,  5548,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,  3250,     0,  1674,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1486,
    2942,     0,     0,     0,    71,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4502,  2235,  2235,
       0,  2767,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,  2343,     0,     0,     0,  1231,
    1231,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4180,  4181,  4546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3210,     0,  4190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4207,     0,
       0,     0,     0,     0,     0,     0,     0,  4216,  4218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,  4236,  2348,  2349,  2350,  2351,  2352,
    2353,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2325,     0,  4619,  2326,     0,     0,     0,  2327,  2328,
    2329,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2330,     0,     0,     0,     0,
       0,     0,     0,  2332,     0,     0,     0,     0,     0,  2333,
       0,     0,     0,     0,  1127,     0,  1231,     0,  1674,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
    4667,     0,     0,  2334,     0,     0,     0,     0,     0,  2645,
       0,     0,  2325,     0,     0,  2326,  1694,     0,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,  2330,     0,     0,  3503,
       0,     0,     0,     0,  2332,     0,     0,  4702,     0,     0,
    2333,     0,     0,     0,  1442,     0,     0,  1127,     0,     0,
       0,  2767,     0,     0,     0,  1674,  1674,     0,     0,     0,
       0,     0,     0,     0,  2334,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3793,     0,     0,     0,
       0,  3794,     0,     0,     0,     0,     0,  3664,  3664,  3664,
    3664,  3664,     0,     0,     0,     0,     0,  3440,  2335,  3440,
       0,     0,     0,  2336,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2337,  2338,     0,     0,     0,     0,
       0,  4411,  4412,  4413,     0,     0,     0,     0,     0,  2339,
    1674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,  2335,
    2340,  1227,     0,     0,  2336,     0,     0,     0,     0,     0,
    1227,  1674,     0,  2341,     0,     0,  2342,     0,     0,     0,
       0,  1674,  1674,     0,  2397,  2337,  2338,     0,  1674,  1674,
       0,     0,     0,  1674,     0,     0,     0,     0,  1674,     0,
    2339,  1674,  1674,     0,     0,  1227,  1674,  4807,     0,     0,
       0,     0,  1674,  1127,  1127,  1127,  1127,     0,     0,     0,
    4423,  4437,     0,  4423,     0,     0,  4818,     0,     0,     0,
    3871,  2340,     0,     0,  3871,     0,     0,     0,     0,     0,
    4833,     0,     0,     0,  2341,     0,  1674,  2342,     0,     0,
       0,  1674,     0,     0,  2343,     0,     0,  1674,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,  1269,  4371,  1445,
       0,     0,     0,  1227,  1674,     0,     0,  3932,     0,     0,
       0,     0,  3250,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1048,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3440,  3440,  2343,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4372,     0,     0,     0,     0,     0,  2344,  4902,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,  1227,     0,     0,     0,
       0,     0,  1086,     0,     0,  1231,  1086,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2344,  1231,
       0,  2345,  2346,  2347,  4652,  2348,  2349,  2350,  2351,  2352,
    2353,     0,  1227,     0,  4662,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4683,
    1225,     0,     0,     0,     0,  2645,     0,     0,     0,     0,
       0,     0,     0,  2235,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,  2867,     0,     0,
    1231,  3617,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,  2325,
       0,     0,  2326,  1442,     0,     0,  2327,  2328,  2329,     0,
    1127,     0,     0,  5037,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,  3752,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,     0,  2333,  2325,  2951,
       0,  2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,
    1442,     0,     0,     0,     0,     0,  1086,  1086,  1674,     0,
       0,  2334,  2330,     0,     0,     0,     0,  1674,     0,  1442,
    2332,     0,     0,     0,     0,     0,  2333,     0,     0,     0,
       0,  1442,     0,  1227,  1674,  1674,     0,     0,  1674,     0,
    1445,     0,     0,  1442,  1227,     0,     0,     0,     0,     0,
    2334,     0,  1225,  4423,     0,     0,     0,  3871,     0,     0,
    1445,     0,  3871,     0,     0,  3871,  1225,     0,  3503,  1445,
    5092,     0,     0,  1674,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,  4502,     0,     0,     0,     0,
       0,     0,     0,  4810,  4811,  4812,  4813,  1227,     0,  4502,
    1269,  1231,  1231,  1231,     0,     0,  2335,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5535,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,  2338,     0,     0,     0,     0,     0,     0,
    1445,     0,  1225,  1269,     0,  2335,     0,  2339,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,  2235,
    2235,  2341,     0,  1225,  2342,     0,  1127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4667,     0,     0,     0,
       0,     0,  1127,  1227,  3440,     0,     0,  2340,     0,     0,
    2645,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
    2341,     0,     0,  2342,  4702,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1127,  4502,     0,     0,
       0,     0,  5536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,  2343,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,  1674,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,     0,  1674,     0,
       0,  2343,  3871,     0,     0,     0,  5092,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
    1227,     0,  5289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1227,  1227,
    1227,  1127,  1227,     0,     0,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,     0,  1227,     0,  1674,     0,     0,     0,     0,     0,
       0,  1231,  1231,  1231,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2344,     0,  2235,  2345,  2346,  2347,
    5030,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,  1225,     0,     0,  1442,     0,
       0,     0,  1442,  1442,     0,     0,  1227,   851,     0,     0,
       0,  1127,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,  1227,
    1227,     0,     0,     0,     0,     0,     0,  2325,     0,     0,
    2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,     0,
       0,  1674,     0,     0,  1225,  1442,     0,     0,     0,     0,
       0,  2330,     0,  1674,     0,     0,     0,  1442,  1674,  2332,
    1674,     0,  1674,     0,     0,  2333,     0,     0,     0,  4502,
       0,     0,     0,     0,     0,  1231,     0,  1269,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,  2334,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2325,     0,     0,  2326,  1086,     0,     0,  2327,  2328,  2329,
       0,     0,  1445,     0,  5037,     0,     0,     0,     0,     0,
       0,     0,  1674,  1674,  2330,     0,     0,  3503,     0,     0,
       0,     0,  2332,  1674,     0,     0,  5289,     0,  2333,     0,
    3250,     0,     0,     0,  2335,  1445,     0,     0,     0,  2336,
       0,     0,     0,  1225,     0,     0,  5190,     0,     0,     0,
       0,     0,  2334,  1231,     0,     0,     0,     0,     0,     0,
    2337,  2338,  1694,     0,     0,     0,     0,     0,     0,     0,
       0,  2645,     0,     0,     0,  2339,     0,     0,     0,     0,
    4502,     0,     0,     0,     0,     0,  1225,  1225,     0,  1674,
       0,  1442,     0,     0,     0,     0,  5238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2340,     0,  1674,     0,
       0,     0,     0,     0,     0,  1231,  1445,  2325,     0,  2341,
    2326,     0,  2342,     0,  2327,  2328,  2329,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,  3766,     0,  1445,
    3803,  2330,     0,     0,  3798,   851,     0,     0,     0,  2332,
    1445,     0,     0,     0,     0,  2333,     0,  2335,     0,     0,
       0,  1442,  2336,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
       0,     0,     0,  2337,  2338,     0,     0,  1674,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,  2339,     0,
    2343,  1225,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  5305,     0,  1225,  1225,     0,  1445,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,     0,     0,  1445,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,  2341,     0,     0,  2342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,  1445,  2335,     0,     0,     0,     0,  2336,
       0,  5361,  1442,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,
    2337,  2338,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2343,  1442,  2339,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,  2340,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,     0,  2342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,  1227,     0,     0,     0,     0,
    1227,  1227,     0,     0,     0,     0,     0,  1227,  1227,  1227,
       0,     0,     0,  1227,     0,  1227,  1227,  1227,  1227,  1227,
    1227,     0,  1227,     0,  1227,  1227,  2344,     0,  1227,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,     0,  1445,  1227,  1227,  1227,  1227,   851,     0,     0,
       0,  1227,     0,     0,     0,  1227,     0,     0,  1227,     0,
    2343,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2310,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,  1227,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,  1227,  1227,
       0,     0,     0,     0,  1442,     0,     0,  1442,     0,  1442,
       0,     0,     0,     0,  1442, -2310,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2310,     0,     0,
       0,     0, -2310,     0,     0,     0,     0, -2310,     0,     0,
       0,     0, -2310,     0,     0, -2310,     0,     0, -2310,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445, -2310,    85,     0,  1445,
    1445,     0,  1442,    89,     0,     0,     0,    93,     0,    94,
       0,    96,    97,   851,     0,     0, -2310,     0,     0,     0,
       0,     0,   106,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   118,   119,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0, -2310,     0, -2310,  1227,     0,
       0,     0,  1445, -2310,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   127,     0,
       0,  1442,     0,  1442,     0,     0,     0,  1086,   128,     0,
     129,   130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445, -2310,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,   140,   851,   141,   142,     0,
       0,     0,     0,   145,     0,   146,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,   148,     0,   149,     0,
       0,  1053,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   152,     0,   153,     0,  1442,   156,     0,
       0,     0,     0,     0,     0,     0,     0, -2310,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,     0,     0,
       0,     0,   160,  1442,     0,     0,     0,     0,  1442,     0,
     162, -2310,   164, -2310, -2310,     0,     0,     0,   166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2310,     0,   174,
   -2310, -2310,     0, -2310,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,  1227,  1445,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,   185,   186,
       0,     0,     0,     0,   187,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,   188,     0,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,   193,     0,     0,  1084,
       0,  1084,     0,     0,  2325,     0,     0,  2326,     0,     0,
       0,  2327,  2328,  2329,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2330,     0,
       0,  3809,     0,     0,  1227,   203,  2332,     0,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,   205,     0,     0,
       0,     0,   206,   207,     0,   208,     0,     0,     0,     0,
     209,     0,     0,     0,     0,   210,  2334,     0,   212,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,  1442,     0,     0,     0,     0,   217,     0,     0,     0,
     219,     0,  1227,     0,     0,     0,  2325,     0,     0,  2326,
     222,     0,  1442,  2327,  2328,  2329,     0,     0,     0,     0,
       0,     0,   224,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,  1442,  2332,     0,
       0,   230,     0,   231,  2333,     0,     0,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,   234,     0,  1445,
       0,     0,   235,     0,     0,     0,     0,     0,  2334,     0,
       0,  1442,     0,     0,     0,   238,     0,  1227,     0,     0,
    1445,  2335,     0,  1227,     0,     0,  2336,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,   248,     0,     0,     0,
    1227,     0,     0,     0,     0,  1227,     0,  2337,  2338,     0,
     249,     0,     0,     0,  -144,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,     0,     0,  1227,  1227,
    1227,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,  1227,  1227,     0,     0,     0,     0,   851,
       0,     0,     0,  2340,  1227,   851,     0,  1227,     0,  1227,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
    1227,  1227,     0,  2335,  1227,     0,     0,     0,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
    1227,     0,  1227,     0,     0,  1442,     0,     0,     0,  2337,
    2338,     0,     0,     0,     0,     0,     0,     0,  2325,     0,
       0,  2326,  1227,     0,  2339,  2327,  2328,  2329,     0,     0,
       0,     0,     0,  1227,     0,  1227,  1227,  1227,     0,     0,
       0,     0,  2330,     0,     0,  4378,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,  2340,  2333,  2343,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,     0,  1227,     0,     0,     0,     0,     0,     0,
    2334,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,  1445,     0,  1445,     0,     0,  2343,
    2344,  1445,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,  4324,     0,
       0,     0,     0,     0,     0,  2335,     0,     0,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,  2344,  1445,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2341,     0,     0,  2342,     0,   851,   851,   851,     0,     0,
       0,     0,     0,     0,     4,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,  1445,     0,
    1445,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,  2343,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,  1223,     0,  1445,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,    46,     0,     0,     0,
    1445,     0,     0,     0,   851,  1445,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,  1223,
       0,     0,     0,  1445,     0,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,    48,     0,     0,     0,
       0,  2325,     0,     0,  2326,     0,  1445,     0,  2327,  2328,
    2329,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,  2330,     0,     0,     0,     0,
       0,     0,     0,  2332,     0,     0,     0,     0,     0,  2333,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
    1227,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,  1223,  1223,     0,    53,     0,     0,     0,  1084,     0,
       0,     0,  1084,  1442,     0,  1227,     0,     0,  1445,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1227,     0,  1227,     0,     0,  1227,     0,     0,  1223,  1445,
    1227,  1227,  1227,  1227,     0,     0,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,     0,     0,     0,  1227,
    1227,     0,     0,  2325,  1445,     0,  2326,  1442,     0,  1227,
    2327,  2328,  2329,  1227,     0,   851,     0,  1227,  2335,     0,
       0,     0,    54,  2336,     0,  1227,     0,  2330,  1227,     0,
    1227,     0,     0,     0,     0,  2332,     0,     0,  1445,  1227,
       0,  2333,  1227,  1227,  2337,  2338,     0,  1227,  1227,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,  2339,
       0,     0,     0,     0,  1227,  2334,  1227,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,    56,  1227,  1227,  1227,     0,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,  2341,     0,     0,  2342,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,  1084,     0,     0,    58,     0,     0,     0,
       0,     0,     0,  1227,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1486,  1227,     0,     0,  1223,
      71,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
    1223,   909,  1445,     0,     0,  1442,     0,     0,     0,     0,
    2335,     0,     0,   910,     0,  2336,  1443,  1227,     0,     0,
       0,     0,     0,     0,  2343,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,   911,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   912,     0,     0,
       0,  2339,     0,     0,     0,     0,     0,   913,     0,     0,
       0,  -794,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   914,
       0,     0,  2340,     0,     0,   915,     0,     0,     0,     0,
       0,   851,     0,     0,     0,  2341,   851,  1445,   851,     0,
     916,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,   917,     0,     0,     0,     0,     0,  2344,     0,   918,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,   919,     0,     0,     0,  1442,     0,     0,   920,     0,
       0,     0,   921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,     0,     0,  1223,
       0,     0,     0,     0,     0, -2324,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   922,     0,     0,     0,
       0,     0,     0,     0,     0,  -535,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2324,     0,  1445,   923,  1443,     0,   924,
       0,     0,     0,     0,     0, -2324,     0,     0,     0,     0,
   -2324,     0,  1442,     0,     0, -2324,   925,     0,     0,     0,
   -2324,     0,     0, -2324,     0,     0, -2324,     0,  1223,  2344,
       0,     0,  2345,  2346,  2347,  -431,  2348,  2349,  2350,  2351,
    2352,  2353,     0,  1442,  1445,  1227,  1227,     0,     0,     0,
       0,     0,     0,   926, -2324,     0,  1223,     0,     0,     0,
     927,     0,     0,     0,     0,     0,  -431,     0,     0,   928,
       0,     0,     0,     0, -2324,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,  1223,  1223,  1223,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -431,     0,
       0,   929,   930,     0,   931,   932,     0,     0,  1223,     0,
       0,     0,     0, -2324,   933, -2324,     0,     0,     0,   934,
       0, -2324,     0,     0,     0,   935,     0,     0,   936,     0,
    1227,   937,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,  1227,  1442,  1442,  -431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
   -2324,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,     0,  1445,     0,     0,     0,  1227,  1227,
       0,  1223,     0,  1227,  1445,  1223,  1223,     0,  1227,     0,
       0,  1227,  1227,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,  1227,     0,     0,     0,   967,     0,     0,  1053,
       0,     0,     0,     0,     0,     0,     0,     0,   968,     0,
    1227,     0,  1442,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2324,  1227,     0,     0,   969,
       0,  1227,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,   970,     0,     0,     0,     0,     0,     0, -2324,
       0, -2324, -2324,     0,  1227,  1443,   971,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0, -2324,     0,     0, -2324, -2324,
       0, -2324,     0,     0,     0,   973,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,   974,     0,     0,     0,
    1084,     0,     0,     0,   975,     0,     0,     0,  1443,     0,
       0,   851,     0,     0,     0,     0,   976,     0,     0,     0,
    1445,   977,     0,     0,     0,     0,     0,   978,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,  1443,     0,     0,   979,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     980,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,  1443,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,   982,     0,     0,     0,     0,  1443,     0,     0,
    1227,   983,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,   881,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   984,     0,
       0,     0,     0,   985,     0,   986,     0,     0,     0,     0,
       0,   987,     0,     0,   988,  1445,     0,  1445,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,  1443,   989,     0,     0,   990,     0,  1223,     0,
     991,     0,     0,     0,  1443,     0,     0,   992,     0,   993,
       0,     0,     0,     0,   994,     0,  1443,     0,  1227,     0,
       0,     0,  1445,     0,     0,     0,   995,  1227,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,   996,
       0,     0,     0,     0,  1227,  1227,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,  1443,
       0,     0,  1227,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,  1227,     0,     0,  1227,  1227,     0,     0,     0,
       0,     0,     0,  1227,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,  1227,     0,     0,     0,  1223,  1223,     0,     0,
       0,     0,     0,  1223,  1223,  1223,     0,     0,     0,  1223,
       0,  1223,  1223,  1223,  1223,  1223,  1223,     0,  1223,     0,
    1223,  1223,     0,     0,  1223,     0,     0,     0,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,  1223,
    1223,  1223,  1223,  1227,     0,     0,     0,  1223,     0,     0,
       0,  1223,     0,     0,  1223,     0,     0,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   865,     0,     0,     0,     0,     0,  1227,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
    1445,     0,  1227,     0,  1227,     0,     0,   866,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   867,     0,     0,     0,  1223,     0,     0,  1227,     0,
       0,     0,  1227,     0,  1223,  1223,     0,     0,  1445,   868,
       0,     0,     0,  1227,     0,   869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,   871,     0,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,   873,     0,     0,     0,  1445,   874,     0,     0,  1445,
    1445,     0,   875,     0,  1227,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,  1443,  1443,     0,     0,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,   878,  1227,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,  1443,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,  1445,  1445,
    1443,     0,     0,     0,     0,     0,   879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,  1084,  1227,     0,   880,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,   881,  1443,  1227,     0,
    1227,     0,  1227,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   882,     0,     0,     0,  1227,   883,     0,
     884,     0,     0,     0,     0,     0,   885,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   887,   888,     0,
       0,   889,     0,     0,     0,   890,     0,     0,     0,  1227,
       0,     0,     0,     0,   891,     0,     0,     0,     0,   892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,  1227,   894,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,  1227,  1227,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,     0,     0,     0,     0,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1227,     0,
       0,     0,     0,   851,     0,     0,     0,     0,  1223,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,   851,  1227,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,  1141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,  1443,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,  1443,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1223,  1223,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1223,  1223,  1223,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,  1223,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,  1223,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,  1223,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,  1223,  1223,  1223,     0,     0,     0,     0,     0,     0,
       0,  1191,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
    1443,     0,  1443,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,  1443,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,     0,  1443,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   953,   953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,  1191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,  1238,     0,     0,
       0,     0,     0,     0,     0,  1271,     0,  1443,  1275,  1276,
       0,  1279,     0,     0,  1285,     0,  1287,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,  1350,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,  1367,  1368,     0,     0,     0,  1370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1191,  1223,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1464,     0,
    1468,     0,     0,  1470,     0,  1472,     0,     0,  1476,     0,
       0,  1223,     0,     0,  1443,     0,     0,     0,     0,     0,
    1223,     0,   953,     0,     0,     0,  1223,     0,  1223,     0,
       0,  1223,     0,     0,     0,  1443,  1223,  1223,  1223,  1223,
       0,     0,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,     0,     0,     0,  1223,  1223,     0,     0,     0,
    1443,     0,     0,     0,     0,  1223,     0,     0,     0,  1223,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,  1223,  1563,  1223,     0,     0,     0,
       0,     0,     0,     0,  1443,  1223,     0,     0,  1223,  1223,
       0,     0,     0,  1223,  1223,     0,     0,     0,     0,     0,
    1223,  1433,     0,     0,     0,     0,     0,  1191,     0,     0,
    1223,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
    1223,  1223,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,  1826,     0,  1828,     0,     0,
       0,  1830,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
    1998,  1433,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,     0,  2011,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2022,     0,
    2023,     0,     0,     0,     0,     0,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
    2041,     0,     0,  2045,   743,     0,   743,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,  2090,     0,     0,
    1433,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,   743,  1223,     0,   743,     0,     0,     0,
       0,     0,   743,     0,     0,     0,  1040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,  1433,     0,     0,  1433,     0,     0,  1040,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,  1223,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,  1223,     0,
    1443,     0,     0,     0,  1223,  1223,     0,     0,     0,  1223,
    1443,     0,     0,     0,  1223,     0,     0,  1223,  1223,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1141,  2432,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,  1433,     0,     0,
       0,  1433,  1433,  2506,     0,     0,  2506,     0,     0,     0,
       0,     0,     0,     0,  2513,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,  2522,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,  1433,     0,     0,  2611,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,   743,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,   743,     0,     0,     0,     0,     0,
       0,  1443,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,  1443,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,     0,  2813,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
    1433,     0,     0,  1223,     0,     0,     0,     0,  1223,     0,
       0,  1223,  1223,     0,     0,     0,     0,     0,     0,  1223,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2910,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,  2924,  1223,     0,
    2927,     0,  2929,     0,  2930,     0,     0,     0,     0,     0,
    2932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1390,
     743,     0,   743,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2963,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2432,     0,     0,     0,  2432,     0,  2432,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,   743,   743,     0,     0,
       0,  1433,     0,  1223,     0,  1443,     0,     0,     0,     0,
       0,   699,     0,  1040,     0,  1040,     0,     0,     0,     0,
       0,   699,  1433,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,  1223,  1443,     0,  1223,     0,
    1223,     0,     0,     0,     0,  1040,  1040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,     0,   743,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,  3179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,  1443,  1443,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,   699,   699,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,  1191,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,  1223,     0,  1223,     0,  1223,     0,
       0,     0,     0,  1433,     0,  1223,  1433,     0,  1433,  3291,
    3292,     0,     0,  1433,  3295,  3296,     0,     0,     0,  3299,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3310,     0,     0,     0,     0,     0,     0,
    3319,     0,     0,     0,  3322,  3323,     0,     0,  3326,  3327,
       0,     0,     0,     0,     0,  3332,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,  3348,     0,  3350,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,  3373,     0,     0,     0,
       0,  3375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3380,  1433,     0,     0,  1223,  1223,
       0,     0,  3385,     0,  3387,     0,  3389,  3392,  3394,  1223,
       0,     0,     0,  3402,  3405,     0,     0,     0,     0,     0,
       0,     0,     0,  3418,     0,     0,     0,     0,  3427,  1223,
       0,     0,     0,  3431,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3464,     0,
    1433,     0,  1433,     0,     0,     0,  1223,     0,     0,  3471,
       0,  3473,  1223,  1223,     0,  1223,  3476,     0,     0,     0,
    3477,     0,  3481,  3482,  3483,  3484,     0,  3486,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
    3510,  3511,  3512,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3520,  3521,     0,   699,     0,     0,     0,     0,
     743,  1433,   743,     0,     0,   743,     0,   743,     0,     0,
     743,   743,   743,     0,     0,     0,  2230,     0,     0,     0,
       0,     0,     0,   743,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,     0,   743,
       0,     0,     0,     0,   743,     0,  3563,     0,     0,     0,
       0,     0,  1433,  1223,  1223,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2371,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,   743,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,  1191,
     699,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3728,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2510,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,   699,   699,
    3911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3960,  3961,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3982,     0,     0,     0,
       0,     0,     0,     0,     0,  3986,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3998,  4000,     0,     0,     0,  4000,     0,     0,     0,
       0,  4011,  4012,  4013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4034,  4035,  4036,  4037,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4054,
       0,  4058,  4059,  4060,     0,     0,     0,     0,     0,     0,
       0,  4073,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     743,     0,   743,     0,     0,     0,   743,     0,   743,     0,
       0,   743,     0,     0,     0,   743,     0,     0,     0,     0,
    2371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4120,     0,     0,     0,     0,     0,     0,     0,  4124,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4136,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4177,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4214,     0,     0,     0,  4219,     0,
       0,     0,  2230,     0,     0,     0,     0,     0,     0,  3180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2510,
       0,     0,     0,     0,     0,     0,  1433,  4257,     0,     0,
       0,     0,     0,   953,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4288,
       0,     0,     0,  4290,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,  2432,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,   699,     0,     0,     0,     0,     0,  3264,
       0,  1808,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1446,     0,  1433,     0,  1228,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,  1228,     0,   699,     0,   699,     0,     0,
       0,     0,     0,  4513,     0,  4514,     0,     0,     0,  1433,
       0,     0,  4516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4526,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4545,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,  4549,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4586,  4587,  4588,     0,     0,  4591,  4592,  4593,  4594,
    4595,  4596,     0,     0,     0,     0,  4603,  4604,     0,  4606,
    4607,  4608,  4609,  4610,  4611,  4612,     0,     0,     0,     0,
       0,     0,     0,     0,  4620,     0,  4622,  4623,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4655,     0,     0,     0,
       0,  1446,     0,     0,  1433,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,   743,  2230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,  4000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,  2432,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4753,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,  1433,  1433,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2510,     0,     0,     0,     0,
     699,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,  1228,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4890,     0,
       0,     0,  4891,  4892,  4893,  4894,     0,     0,  4896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
    4909,  4910,  4911,  4912,     0,  4914,  4915,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4924,  4925,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
    1228,  1228,     0,     0,     0,  4930,     0,     0,     0,     0,
       0,     0,  2432,  2432,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4995,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5042,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,   699,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,  5147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,  5156,     0,     0,     0,     0,  5161,  5162,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,  5211,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,  5223,     0,     0,
       0,  1446,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,  1658,  1658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5255,
       0,     0,     0,     0,     0,     0,     0,     0,  1735,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,  1228,     0,     0,     0,
    5291,  1228,  1228,     0,     0,     0,     0,     0,  1228,  1228,
    1228,     0,     0,     0,  1228,     0,  1228,  1228,  1228,  1228,
    1228,  1228,     0,  1228,  5308,  1228,  1228,     0,     0,  1228,
       0,     0,     0,  5315,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1446,  1228,  1228,  1228,  1228,     0,     0,
       0,     0,  1228,     0,  2432,     0,  1228,     0,     0,  1228,
       0,     0,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,  1228,     0,  3264,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,  5424,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5447,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
    1446,  1446,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,  5497,     0,  1446,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5512,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2282,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,  2314,  2315,  2316,     0,  2319,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1446,
       0,     0,  2416,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2439,     0,     0,     0,  2451,  2456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,  2510,     0,  1444,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,  1446,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,  1228,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1228,  1228,  1228,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1228,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,     0,     0,  1228,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,  1228,     0,  1228,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,  1228,     0,  1228,  1228,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,   743,  1446,     0,  1446,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3047,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,  3067,
       0,  3069,     0,     0,  3081,  3084,  3089,     0,     0,     0,
       0,  3095,     0,     0,  3100,     0,     0,  2539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3107,
    3108,  3109,  3110,     0,     0,     0,     0,  3117,     0,     0,
       0,  3129,     0,     0,  3131,     0,     0,  3138,  3139,  3140,
    3141,  3142,  3143,  3144,  3145,  3146,     0,  3147,     0,  1446,
       0,  1446,     0,     0,     0,  1658,     0,     0,  3175,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2539,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,  1435,     0,     0,
    1446,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,  1735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,  2315,  2316,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,  1435,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,  2539,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,  3324,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,  1444,     0,     0,     0,     0,  1228,     0,     0,  1446,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1228,     0,  1228,     0,     0,  1228,     0,     0,     0,
    1446,  1228,  1228,  1228,  1228,     0,     0,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,     0,     0,     0,
    1228,  1228,     0,     0,     0,  1446,     0,     0,     0,     0,
    1228,     0,     0,     0,  1228,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,  1228,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,  1446,
    1228,     0,     0,  1228,  1228,     0,     0,     0,  1228,  1228,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,  1228,  1228,  1228,     0,     0,
       0,     0,     0,  3555,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,  1228,     0,     0,     0,     0,     0,
    3178,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3692,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,  3276,     0,     0,     0,  2539,  3282,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3748,     0,     0,     0,
       0,  3754,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2319,     0,     0,  1228,
    1444,  1438,  1436,     0,     0,     0,     0,  3089,     0,  3089,
    3089,     0,  1444,  1435,     0,     0,     0,     0,     0,     0,
    3812,     0,     0,  3815,     0,  3817,  1446,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,  1444,
       0,     0,     0,     0,  3835,     0,  3838,     0,  3840,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,  1228,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3175,  3175,  3175,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  3908,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,  2439,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,  2456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,  1435,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,  1228,  1228,     0,  1446,     0,     0,     0,  1228,
    1228,     0,     0,     0,  1228,  1446,     0,     0,     0,  1228,
       0,  3968,  1228,  1228,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2539,  1228,     0,     0,
    1436,     0,  1228,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,  1438,     0,  1436,     0,     0,     0,     0,     0,     0,
    1438,     0,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,  1444,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,  1446,     0,  1436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,  1435,  1435,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,  1436,  1446,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,  3178,  3178,  3178,     0,     0,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,  1435,     0,  1446,     0,     0,     0,     0,  1228,     0,
       0,  1436,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,  1228,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,  1228,     0,     0,  1228,  1228,     0,     0,
       0,  4325,     0,     0,  1228,  1228,     0,     0,     0,  2539,
    4329,     0,  3282,     0,  3282,     0,  4330,     0,  4331,  2539,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  4355,  4356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3095,     0,     0,     0,     0,     0,     0,
    1444,  4381,     0,  1446,  4384,     0,  4386,     0,     0,     0,
       0,     0,     0,  1228,     0,  4390,     0,  1444,     0,     0,
       0,     0,     0,  4397,  4398,     0,     0,     0,  1439,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,  2539,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,  4442,     0,     0,  1439,     0,     0,
    4449,  4450,  3175,     0,  1228,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,  1444,     0,  1444,  4467,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
    1446,     0,  1735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1446,     0,  1228,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1446,
       0,     0,  1444,     0,  1228,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,  3282,     0,
       0,     0,     0,  3282,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
    1436,  1436,     0,     0,     0,     0,  1446,     0,     0,     0,
    1446,  1446,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,  1441,  1439,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,  1435,     0,  1441,
       0,     0,  1438,     0,     0,     0,  1228,     0,  1435,  3282,
    1438,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,  1444,  1436,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,  1228,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,  1438,     0,  1228,
       0,  1228,     0,  1228,     0,     0,     0,     0,     0,  1438,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,  4716,  4717,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,  1438,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,  1228,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,  4766,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,  4771,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  1435,     0,  1435,  3178,     0,     0,  1439,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,  4786,  4788,     0,
       0,  1228,     0,     0,  4792,  4793,     0,  1228,  1228,  4794,
    1228,     0,     0,     0,  4797,     0,     0,  4800,  4801,  1436,
       0,     0,  4805,     0,     0,     0,     0,     0,  4809,  1228,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
    1439,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
    2539,     0,  3175,     0,     0,     0,     0,  3175,     0,  1441,
       0,     0,     0,  3175,     0,     0,     0,     0,  1441,     0,
    1435,     0,     0,  1439,     0,     0,     0,     0,     0,     0,
    1658,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4871,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,  1435,     0,     0,
    1436,     0,     0,     0,     0,  3282,     0,     0,     0,  1441,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,     0,  1436,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,  4927,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,  1438,     0,     0,     0,
    1438,  1438,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,  1435,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4972,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
    1441,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,  2539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5068,  5069,  1436,     0,  5070,  1436,     0,  1436,     0,     0,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,  5104,
    5105,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
    1439,     0,  1444,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
    1436,  1435,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,  3178,     0,     0,     0,     0,  3178,
       0,     0,     0,     0,     0,  3178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
    1436,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,  1441,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,  1436,     0,     0,  3095,     0,
       0,     0,     0,  1439,     0,     0,     0,  1439,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,  5273,     0,  1436,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,  2319,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1735,  1438,     0,     0,  1441,     0,     0,     0,     0,
    1439,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
    1441,     0,  1439,     0,  1436,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
    5323,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5026,     0,  1444,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5362,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,  5104,  1441,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5425,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,  1438,     0,     0,  1438,     0,  1438,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3282,     0,     0,     0,     0,     0,     0,     0,  5476,  5476,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,  5104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,  5476,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5544,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3282,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,  1438,     0,     0,     0,     0,     0,  1439,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,     0,     0,  5476,  5584,     0,  1444,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,  1444,  1444,     0,
       0,  1438,     0,     0,  1441,     0,  1438,  1435,  1441,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,  1438,  1441,     0,     0,  5026,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,  1439,
       0,     0,  1439,     0,  1439,     0,     0,     0,     0,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,  1436,     0,  1441,     0,  1438,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,  3077,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,  2355,
    2355,     0,     0,  2355,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,  1436,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,     0,     0,     0,     0,  1439,     0,
       0,  1436,     0,  1439,     0,  2355,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,  1438,  1441,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
    1441,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,  1435,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,  1435,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,  1441,     0,  1441,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1439,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,  1441,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,  1441,     0,  1436,     0,     0,     0,
    1436,  1436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,  2355,     0,  2355,     0,     0,  3077,  3077,     0,  3789,
       0,  3077,     0,  1439,     0,  2355,     0,     0,  2355,     0,
       0,     0,  1441,  2355,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
    1441,  2355,  2355,  2355,  2355,     0,     0,     0,  3077,  3077,
       0,  2355,     0,     0,     0,  1441,     0,     0,     0,     0,
    1436,     0,  1439,  2355,     0,  2355,     0,     0,     0,     0,
       0,     0,  2355,  2355,  2355,  2355,  2355,  2355,  2355,  2355,
    2355,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,  1438,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,  1441,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,  2355,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,  1439,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,  1439,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,   192,     0,     0,     0,
     194,  1438,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,  1438,   221,     0,     0,
    1438,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,  1439,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3789,  3789,     0,     0,  3077,  3077,
    3077,  3077,     0,     0,  3077,  3077,  3077,  3077,  3077,  3077,
    3077,  3077,  3077,  3077,  3789,     0,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,  2355,
       0,  2355,     0,     0,  3789,  3789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
    3077,  3077,  2355,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,  1439,     0,     0,     0,  1439,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3077,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,  2355,  2355,  2355,     0,     0,     0,     0,
       0,  3789,  3789,  3789,  3789,     0,     0,     0,     0,  3789,
    3789,  3789,  3789,  3789,  3789,  3789,  3789,  3789,  3789,  2355,
    2355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,  2355,     0,     0,  2355,     0,
    2355,     0,     0,     0,  2355,     0,     0,  3789,  3789,     0,
       0,  2355,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,  2355,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,  1441,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
    3789,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,  1441,     0,
    2355,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,   139,     0,  2355,  3077,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
    2355,     0,  2355,     0,     0,     0,  2355,  2355,  2355,     0,
     150,  2355,     0,     0,  2355,  2355,     0,   151,     0,  2355,
       0,     0,     0,  2355,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,  2355,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,  3789,  3077,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,  2355,  2355,  2355,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,  2355,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3254,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,  2355,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,   428,
     429,   430,   431,   432,   433,   434,   435,   760,   436,   437,
     438,   761,   762,   763,   764,   765,   766,   767,   439,   440,
     768,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,   769,   446,   447,   448,   449,   450,   770,   771,
     451,   452,   772,   139,   453,   773,   454,   455,   456,   457,
     143,   774,   144,   775,   458,   459,   460,   461,   147,   462,
     463,   776,   777,   464,   465,   466,   467,   468,   469,   778,
     150,   470,   471,   779,   780,   781,   782,   151,   783,   784,
     785,   473,   474,   475,   476,   722,   477,   154,   155,   478,
     786,   479,   787,   480,   481,   482,   483,   484,   788,   485,
     486,   487,   789,   790,   488,   489,   490,   491,   492,   791,
     493,   494,   495,   792,   496,   497,   498,   793,   499,   500,
     501,   502,   163,   503,   504,   505,   165,   794,   506,   795,
     507,   508,   167,   509,   796,   510,   797,   511,   168,   798,
     169,   512,   513,   514,   799,   515,   171,   800,   172,   516,
     801,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,   802,   525,   526,   527,   528,   529,   530,   803,   531,
     175,   176,   804,   532,   533,   534,   805,   177,   806,   178,
     807,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,   808,   809,   542,   182,   183,   543,   184,   810,   544,
     545,   546,   811,   812,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
     190,   191,   560,   561,   192,   813,   562,   563,   194,   564,
     814,   195,   565,   196,   566,   567,   568,   815,   569,   816,
     817,   570,   571,   572,   818,   819,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,   820,
     582,   583,   201,   584,   202,   585,   586,   587,   821,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,   822,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   823,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
     824,   623,   624,   625,   626,   627,   825,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,   826,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
     827,   647,   648,   828,   649,   225,   650,   651,   652,   653,
     654,   829,   226,   227,   830,   831,   656,   657,   228,   658,
     229,   832,   659,   660,   661,   662,   663,   664,   665,   833,
     834,   666,   667,   668,   669,   670,   835,   836,   671,   672,
     673,   674,   675,   837,   236,   838,   676,   237,   677,   678,
     679,   680,   839,   840,   681,   841,   842,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,     0,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,  1000,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,   118,   119,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   130,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
     132,     0,     0,   133,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,   140,     0,   141,   142,   143,     0,   144,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,   148,     0,   149,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,   152,     0,   153,   154,   155,   156,     0,     0,     0,
       0,     0, -1499,     0,     0,     0,     0,     0,   157,     0,
     158,     0,     0,     0,   159,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,   162,   163,
     164,     0,     0,   165,     0,     0,   166,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,   170,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,   174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0, -1499,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,   185,   186,     0,     0,
       0,     0,   187,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,   193,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,   205,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,     0,     0,   210,   211,     0,   212,     0,   213,     0,
       0,   214,     0,     0,     0,     0,   215,   216,     0,     0,
       0,     0,     0,     0,   217,     0,   218,     0,   219,   220,
       0,     0,   221,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,   230,
       0,   231,     0,     0,     0,     0,   232,     0,     0,   233,
       0,     0, -1499,     0,     0,   234,     0,     0,     0,     0,
     235,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,   238,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,     0,     0,   248,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,   249,     0,
      95,     0,  -144,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,  3256,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  3169,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,  3170,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,  3171,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,
       0,     0,     0,     0,  1643,  1644,  3172,     0,     0,     0,
       0,     0,     0,  1646,  3173,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,  2317,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,   248,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,  5285,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    1643,  1644,     0,     0,     0,     0,     0,     0,     0,  1646,
    3079,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,  4333,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  1606,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,  1614,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,  1618,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  1622,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
     663,   664,   665,     0,  1631,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,
       0,     0,     0,     0,     0,     0,  1643,  1644,     0,     0,
       0,     0,     0,     0,     0,  1646,  4404,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,  2525,   525,
     526,   527,   528,   529,   530,     0,   531,   175,  2526,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,  2528,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  2529,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,  2530,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,     0,     0,     0,     0,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  2634,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1407,   136,  1408,  1409,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1410,  1411,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1412,  1413,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1415,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,  2525,   525,   526,
     527,   528,   529,   530,     0,   531,   175,  2526,     0,   532,
     533,   534,  1417,  1418,     0,  1419,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1420,   190,  1421,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,  1422,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,  2528,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1423,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  2529,   631,   632,   220,   633,
     634,  1425,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1426,  1427,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1428,  2530,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,     0,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3629,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,  1734,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,  2317,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,   248,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,   216,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
     224,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
    2317,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,   238,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,   248,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,  3085,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,  3086,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,  3087,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,  3088,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
    2279,  3040,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,  1645,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,  1734,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  2449,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,  3086,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,  4451,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,  4466,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,  5473,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,  5474,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,  5475,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
    5474,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,  5475,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  1646,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  2452,  2453,     0,     0,     0,     0,     0,
       0,     0,  1646,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,  4778,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,  4787,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,  5094,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  5095,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,  1614,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,  1618,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,  5096,  1622,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,  1631,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,  1642,     0,     0,     0,     0,     0,     0,  1643,
    1644,     0,     0,     0,     0,     0,     0,     0,  5097,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445, -2807,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,  5474,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520, -2807,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,     0,     0,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543, -2807,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,     0,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632, -2807,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,  5475,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689, -2807,     0,     0,     0,     0,     0,
       0,  1643,  1644,     0,     0,     0,     0,     0,     0,     0,
    1646,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,     0,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  3071,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,     0,     0,     0,     0,
       0,     0,     0,  3072,  3073,     0,     0,     0,     0,     0,
       0,     0,  3074,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,     0,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,     0,   562,
     563,   194,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  3212,  3213,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,     0,     0,     0,     0,  3214,  3215,     0,     0,     0,
       0,     0,     0,     0,  3074,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,     0,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
       0,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  3071,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  3072,  3073,     0,
       0,     0,     0,     0,     0,     0,  3074,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1578,  1579,     0,    45,  1581,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1582,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1583,   136,  1584,  1585,     0,
     446,   447,   448,   449,   450,  1586,  1587,   451,   452,  1588,
    1589,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,  1599,  1600,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1601,
     503,   504,   505,  1602,  1603,   506,     0,   507,   508,  1604,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,  1606,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1417,  1607,     0,  1608,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1612,   190,  1613,   560,
     561,   192,     0,   562,   563,   194,   564,  1615,  1616,   565,
    1617,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1621,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3071,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,  1624,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1626,
    1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,  1633,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3074,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,     0,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,  4366,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
       0,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  3071,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3074,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1582,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
       0,  1583,   136,  1584,  1585,     0,   446,   447,   448,   449,
     450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
    1599,  1600,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,     0,   498,
       0,   499,   500,   501,   502,  1601,   503,   504,   505,  1602,
    1603,   506,     0,   507,   508,  1604,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,  1606,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1417,
    1607,     0,  1608,     0,   535,     0,     0,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1609,   183,   543,
       0,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1612,   190,  1613,   560,   561,   192,  1614,   562,
     563,     0,   564,  1615,  1616,   565,  1617,   566,   567,   568,
       0,   569,     0,     0,  1618,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1621,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1622,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,     0,   633,   634,  1624,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1626,  1627,     0,     0,   656,
     657,  1628,   658,  1629,  1630,   659,   660,   661,   662,   663,
     664,   665,     0,  1631,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,  1633,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,     0,     0,     0,     0,  1643,  1644,     0,     0,     0,
       0,     0,     0,     0,  1646,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,  1587,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,  1602,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,   172,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,  3858,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,  1616,   565,   196,   566,
     567,   568,     0,   569,     0,  1124,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,  3859,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,  1628,   658,  1629,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,  2317,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
       0,     0,   248,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3860,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,  1587,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,  1590,     0,  1591,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1592,  1593,  1594,
    1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,  1602,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1605,
       0,   172,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,  3858,     0,   542,  1609,   183,   543,
     184,     0,   544,   545,   546,  1610,  1611,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,  1616,   565,   196,   566,   567,   568,
       0,   569,     0,  1124,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1619,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1620,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,  3859,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1623,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1625,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,  1628,   658,  1629,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1632,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  3860,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
    1587,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,  1602,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,  1616,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,  3859,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,  1628,
     658,  1629,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,   249,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,  1587,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,  1602,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
    1616,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,  1628,   658,  1629,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    4497,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  5149,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,  4420,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0, -1605,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0, -1605,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531, -1605,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
   -1605,   537,   538,   539,   540,   541,     0,     0,   542,   182,
   -1605,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189, -1605,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612, -1605,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  1742,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,  3661,  3662,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  3662,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
     216,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,   224,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  2317,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,   238,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,   248,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,   249,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,   216,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,   224,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  2317,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,   238,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,   248,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,   249,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  1717,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  3244,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  4401,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  4832,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1251,    45,     0,
       0,     0,     0,     0,  1252,  1253,  1254,   428,   429,   430,
     431,   432,   433,   434,   435,   760,   436,   437,   438,   761,
     762,   763,   764,   765,   766,   767,   439,   440,   768,   441,
     442,   132,   443,   444,   445,     0,  1407,   136,  1408,  1409,
     769,   446,   447,   448,   449,   450,   770,   771,   451,   452,
    1410,  1411,   453,   773,   454,   455,   456,   457,     0,   774,
     144,   775,   458,   459,   460,   461,   147,   462,   463,   720,
     777,   464,   465,   466,   467,   468,   469,   778,   150,   470,
     471,     0,   780,   781,   782,   151,   783,   784,   785,   473,
     474,   475,   476,   722,   477,  1412,  1413,   478,   786,   479,
     787,   480,   481,   482,   483,   484,   788,   485,   486,   487,
     789,   790,   488,   489,  1414,   491,   492,   791,   493,   494,
     495,   792,   496,   497,   498,   793,   499,   500,   501,   502,
       0,   503,   504,   505,     0,   794,   506,   795,   507,   508,
    1415,   509,   796,   510,   797,   511,   168,   798,   169,   512,
     513,   514,   799,   515,     0,   800,     0,   516,   801,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,   802,
     525,   526,   527,   528,   529,   530,   803,   531,   175,     0,
       0,   532,   533,   534,  1417,  1418,   806,  1419,   807,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,   808,
     809,   542,     0,   183,   543,   184,   810,   544,   545,   546,
     811,   812,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1420,   190,  1421,
     560,   561,     0,   813,   562,   563,   194,   564,   814,     0,
     565,  1422,   566,   567,   568,   815,   569,   816,   817,  4145,
     571,   572,   818,   819,   573,     0,   198,   574,   199,     0,
     575,   576,   577,   578,   579,   580,   581,   820,   582,   583,
       0,   584,     0,   585,   586,   587,   821,   588,   589,   590,
     591,   592,   593,   594,   595,  1423,   596,   597,   598,   599,
     822,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   823,   611,   612,   211,   613,   614,   615,     0,
     616,   617,   618,   619,   620,   621,   727,   622,   824,   623,
     624,   625,   626,   627,   825,   629,   630,  2529,   631,   632,
     220,   633,   634,  1425,   635,   826,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   827,   647,
     648,   828,   649,   225,   650,   651,   652,   653,   654,   829,
    1426,  1427,     0,   831,   656,   657,     0,   658,     0,   832,
     659,   660,   661,   662,   663,   664,   665,     0,   834,   666,
     667,   668,   669,   670,   835,   836,   671,   672,   673,   674,
     675,     0,  1428,   838,   676,   237,   677,   678,   679,   680,
     839,   840,   681,   841,   842,   682,   683,   684,   685,   686,
     687,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     729,   688,   689,     0,     0,     0,  1257,  1258,  1259,     0,
    4146,  4147,  1262,  1263,  1264,  1265,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1251,     0,     0,     0,     0,     0,
       0,  1252,  1253,  1254,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,  1255,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,  1256,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,
    1263,  1264,  1265,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1251,     0,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,  1358,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
    1359,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,  1458,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,  1459,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1460,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,  1252,  1253,  1254,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,  2019,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,  2020,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,
    1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,  1252,
    1253,  1254,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,
    1265,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,  3345,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,  3346,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,  5128,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,   760,   436,   437,   438,   761,   762,   763,   764,
     765,   766,   767,   439,   440,   768,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,   769,   446,   447,
     448,   449,   450,   770,   771,   451,   452,   772,   139,   453,
     773,   454,   455,   456,   457,   143,   774,   144,   775,   458,
     459,   460,   461,   147,   462,   463,   776,   777,   464,   465,
     466,   467,   468,   469,   778,   150,   470,   471,   779,   780,
     781,   782,   151,   783,   784,   785,   473,   474,   475,   476,
     722,   477,   154,   155,   478,   786,   479,   787,   480,   481,
     482,   483,   484,   788,   485,   486,   487,   789,   790,   488,
     489,   490,   491,   492,   791,   493,   494,   495,   792,   496,
     497,   498,   793,   499,   500,   501,   502,   163,   503,   504,
     505,   165,   794,   506,   795,   507,   508,   167,   509,   796,
     510,   797,   511,   168,   798,   169,   512,   513,   514,   799,
     515,   171,   800,   172,   516,   801,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,   802,   525,   526,   527,
     528,   529,   530,   803,   531,   175,   176,   804,   532,   533,
     534,   805,   177,   806,   178,   807,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,   808,   809,   542,   182,
     183,   543,   184,   810,   544,   545,   546,   811,   812,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
     813,   562,   563,   194,   564,   814,   195,   565,   196,   566,
     567,   568,   815,   569,   816,   817,   570,   571,   572,   818,
     819,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,   820,   582,   583,   201,   584,   202,
     585,   586,   587,   821,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,   822,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   823,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,   824,   623,   624,   625,   626,
     627,   825,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,   826,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,   827,   647,   648,   828,   649,
     225,   650,   651,   652,   653,   654,   829,   226,   227,   830,
     831,   656,   657,   228,   658,   229,   832,   659,   660,   661,
     662,   663,   664,   665,   833,   834,   666,   667,   668,   669,
     670,   835,   836,   671,   672,   673,   674,   675,   837,   236,
     838,   676,   237,   677,   678,   679,   680,   839,   840,   681,
     841,   842,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
     753,    86,    87,    88,   705,    90,    91,    92,   706,  2417,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,     0,  1407,   136,
    1408,  1409,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1410,  1411,   453,     0,   454,   455,   456,   457,
       0,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,   722,   477,  1412,  1413,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,     0,   503,   504,   505,     0,     0,   506,     0,
     507,   508,  1415,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,     0,     0,     0,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,  2525,   525,   526,   527,   528,   529,   530,     0,   531,
     175,  2526,     0,   532,   533,   534,  1417,  1418,     0,  1419,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,     0,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1420,
     190,  1421,   560,   561,     0,     0,   562,   563,   194,   564,
       0,     0,   565,  1422,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,  2527,   573,  2528,   198,   574,
     199,     0,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,   584,     0,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1423,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,     0,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,  2529,
     631,   632,   220,   633,   634,  1425,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1426,  1427,     0,     0,   656,   657,     0,   658,
       0,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,  1428,  2530,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,   688,   689,     0,    86,    87,    88,   705,
      90,    91,    92,   706,  2531,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,    86,    87,    88,   705,    90,    91,    92,   706,  1131,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,    86,    87,    88,   705,
      90,    91,    92,   706,  5182,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,  1021,   430,   431,   432,   433,
     434,   435,  1022,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,  1023,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,  1024,   167,   509,     0,
     510,     0,  1025,     0,  1026,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,  1027,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,  1028,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,  1029,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,  1030,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
    1031,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1032,  1033,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,  1021,   430,
     431,   432,   433,   434,   435,  1022,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,  1055,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,  1024,
     167,   509,     0,   510,     0,  1056,     0,  1026,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,  1027,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,  1028,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
    1029,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,  1030,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,  1031,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    1032,  1033,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  1511,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
    1026,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,  1027,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
       0,     0,     0,  1032,  1033,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1516,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,  1026,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,  1027,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,     0,     0,     0,  1032,  1033,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   723,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,  1688,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,  1101,  1689,    86,    87,
      88,   705,    90,    91,    92,   706,  1102,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,  1103,   452,  1074,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,  1104,     0,
    1105,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,  1106,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,  1107,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,  1108,   614,   615,   213,   616,
     617,   618,  1109,   620,   621,   727,   622,     0,   623,   624,
     625,   626,  1110,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,  1111,
     227,     0,     0,  1112,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    1078,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,  1113,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   760,   436,   437,   438,   761,   762,
     763,   764,   765,   766,   767,   439,   440,   768,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,   769,
     446,   447,   448,   449,   450,   770,   771,   451,   452,   772,
     139,   453,   773,   454,   455,   456,   457,   143,   774,   144,
     775,   458,   459,   460,   461,   147,   462,   463,   776,   777,
     464,   465,   466,   467,   468,   469,   778,   150,   470,   471,
     779,   780,   781,   782,   151,   783,   784,   785,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   786,   479,   787,
     480,   481,   482,   483,   484,   788,   485,   486,   487,   789,
     790,   488,   489,   490,   491,   492,   791,   493,   494,   495,
     792,   496,   497,   498,   793,   499,   500,   501,   502,   163,
     503,   504,   505,   165,   794,   506,   795,   507,   508,   167,
     509,   796,   510,   797,   511,   168,   798,   169,   512,   513,
     514,   799,   515,   171,   800,   172,   516,   801,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,   802,   525,
     526,   527,   528,   529,   530,   803,   531,   175,   176,   804,
     532,   533,   534,   805,   177,   806,   178,   807,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,   808,   809,
     542,   182,   183,   543,   184,   810,   544,   545,   546,   811,
     812,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,   813,   562,   563,   194,   564,   814,   195,   565,
     196,   566,   567,   568,   815,   569,   816,   817,   570,   571,
     572,   818,   819,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,   820,   582,   583,   201,
     584,   202,   585,   586,   587,   821,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,   822,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   823,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,   824,   623,   624,
     625,   626,   627,   825,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,   826,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,   827,   647,   648,
     828,   649,   225,   650,   651,   652,   653,   654,   829,   226,
     227,   830,   831,   656,   657,   228,   658,   229,   832,   659,
     660,   661,   662,   663,   664,   665,   833,   834,   666,   667,
     668,   669,   670,   835,   836,   671,   672,   673,   674,   675,
     837,   236,   838,   676,   237,   677,   678,   679,   680,   839,
     840,   681,   841,   842,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,  3409,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,  3410,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,  3411,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,  1587,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,  1590,     0,  1591,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,  1602,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1605,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1609,   183,   543,   184,     0,   544,   545,   546,  1610,
    1611,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,  1616,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1619,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1620,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1623,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1625,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,  1628,   658,  1629,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1632,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  1400,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1451,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,  2525,   525,
     526,   527,   528,   529,   530,     0,   531,   175,  2526,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,  2528,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  2529,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,  2530,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,  2622,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2529,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,  4244,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,  2688,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,  4070,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  1424,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,  1416,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,  1477,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  1424,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  1424,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1407,   136,  1408,  1409,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1410,  1411,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1412,
    1413,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1415,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,  1417,  1418,
       0,  1419,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1420,   190,  1421,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1422,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1423,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2529,   631,   632,   220,   633,   634,  1425,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1426,  1427,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1428,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,     0,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,     0,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,     0,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
       0,   136,     0,     0,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,     0,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,     0,
       0,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,     0,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,     0,     0,   532,   533,   534,     0,     0,
       0,     0,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,     0,   190,     0,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,     0,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,     0,   631,   632,   220,   633,   634,     0,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,     0,     0,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,     0,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,     0,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,     0,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,     0,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,   491,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,     0,   532,
     533,   534,     0,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,   824,   623,   624,   625,
     626,   627,   825,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
       0,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,     0,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,     0,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
    1194,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,  2567,   454,   455,   456,   457,   143,     0,
       0,  2641,   458,   459,   460,   461,     0,   462,   463,   720,
    2568,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,  2642,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2570,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,  2571,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,  2572,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2567,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,  2568,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2642,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2570,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,  3571,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2571,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2572,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
    1089,   434,   435,  1041,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,  1042,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
    1090,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,  1043,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,  1044,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,  3307,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,  2567,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
    2568,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,  2642,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2570,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,  2571,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,  2572,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   718,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,   721,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   723,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1041,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,  1042,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,  1043,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,  1044,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,   950,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   951,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   952,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  2237,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,  2238,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,  2239,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
    2240,   511,     0,     0,     0,  2241,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,  2242,  2243,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,  2244,
     620,   621,   727,   622,     0,  2245,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,  2246,   649,     0,
    2247,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,  2248,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,  1042,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
    1043,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,  1044,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,  2226,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,  3158,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,  3159,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
    2507,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,  3160,   649,     0,   650,  3161,
     652,  3162,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,  3163,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   745,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
     723,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   899,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1282,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1283,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,  1124,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1392,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,   129,   130,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  3390,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,  3391,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  3403,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    3404,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   956,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,  1003,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,  1059,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,  1124,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1246,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1247,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1691,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1875,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,  1124,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1924,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1925,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,  2093,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,  2226,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,  2507,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,  4420,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  4434,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,  5131,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,  1071,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1073,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1075,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1076,   227,     0,     0,  1077,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1118,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1119,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1120,   227,
       0,     0,  1121,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
    1138,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1270,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1277,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1293,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1349,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1364,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1405,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1463,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1467,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1469,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1471,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1475,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1483,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,  1702,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,  1703,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  1109,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1695,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  1112,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,  1829,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1073,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2049,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2079,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2081,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2153,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2155,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2157,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,  2274,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,  2473,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,     0,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2865,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2869,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2909,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2950,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  3318,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  3393,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  3395,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  3507,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,  3529,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  4682,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,  1103,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,  1107,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,  1108,   614,   615,   213,   616,   617,
     618,  1109,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1695,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1111,   227,
       0,     0,  1112,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,  1113,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  1109,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  1695,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
    2554,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    1112,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,  1103,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,  1107,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,  1108,   614,   615,   213,
     616,   617,   618,  2626,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  2627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
    1111,   227,     0,     0,  2628,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
    1113,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  1109,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  2627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  2628,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,     0,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,     0,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,     0,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114, -2562,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,   126,    35,     0,   422,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114, -2563,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,   126,    35,     0,  1189,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,     0,     0,
       0,   123,     0,   124,     0,   125,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,  2202,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,  2203,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,  2204,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,  1786,  1787,  4954,     0,     0,     0,     0,     0,
       0,  4955,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,   129,   130,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,   216,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
     224,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     235,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,   238,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,    35,   427,   248,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,   249,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,  2405,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2202,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2203,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2204,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,     0,     0,     0,     0,     0,    35,   427,  1786,
    1787,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,  2410,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,  2202,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,  2203,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,  2204,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,     0,     0,     0,
       0,     0,    35,   427,  1786,  1787,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2202,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2203,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2204,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,     0,     0,     0,     0,     0,    35,   427,  1786,
    1787,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,  3300,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,  2202,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,  2203,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,  2204,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,     0,     0,     0,
       0,     0,    35,   427,  1032,  1033,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,   655,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,  2202,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,  2203,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,  2204,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,  2390,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,     0,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
    2182,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1272,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1289,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,  1290,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,  2750,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
    3707,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,  1372,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,  1453,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,  1465,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,   472,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,  1479,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,  1480,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,   129,   130,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   688,   689
};

static const yytype_int16 yycheck[] =
{
       2,   923,   249,   166,   963,  1155,   210,    78,    78,    78,
    1105,  1160,    78,    78,    84,   390,   390,   116,    78,  1452,
    1505,  1042,  1043,  1044,  1535,   188,   374,  1048,   879,  1461,
      78,   152,  1122,   230,   153,   224,    84,  1100,  1861,  1225,
    1456,  1292,  1424,   149,  1723,    96,   116,  1302,  1279,  3017,
    1009,  2815,  1360,  1128,  1740,   106,   164,  1444,  3182,   981,
      94,  2241,   161,  1371,  2533,  2534,  2366,  1412,  1413,  1571,
    3361,  1341,   923,  2191,  1183,  1896,    78,  1422,   159,  1902,
     751,  2687,    84,  1427,   203,  1112,   963,    89,  2006,  1906,
     141,   161,  2379,   164,    78,  1346,  3569,   131,  2076,  1350,
    2824,  1497,   170,  2740,  1355,   156,  3385,  1744,  2429,   875,
    3638,  3971,  1363,  1442,   116,  1957,   882,   362,   152,   153,
    2279,  1278,  1373,   131,  3916,  3559,  2989,   893,   162,  1202,
     981,  1401,  4233,   232,  1917,  3409,  3971,  3411,  1202,  3596,
    1249,  3554,   210,   376,  3171,  3244,  3559,  4021,  3860,  1108,
     152,  1008,  1969,   994,  3967,   921,  1835,  4222,  4219,   161,
     926,  4220,   232,  4245,   376,   752,  3169,  3170,  3625,   203,
    2088,   937,   209,  4232,  4169,  1780,  1781,  1782,  4223,  2127,
    4236,   116,   219,   166,  3832,   217,  3866,  2453,  2373,   248,
    1754,  1974,  1975,  3102,  1839,  1888,  2455,  1902,   984,  1518,
    4703,  1242,  2180,  4502,  3612,   188,  3275,   209,  3662,   995,
    1197,  1198,  2818,  3934,  1498,   217,  1489,   219,  1152,  1775,
    1776,   116,  3795,  3865,    21,  1152,   161,  1410,  1411,    10,
     232,  1108,    30,  2533,  4832,  1000,  4834,  5021,  1421,  4877,
      14,    71,  4896,   124,    71,    74,    75,    76,    77,   111,
    1646,    87,    81,    78,  1599,  1600,   131,   185,    85,   117,
      74,    75,    76,    77,   209,   131,   161,    81,  4934,  4935,
    2780,   138,  1617,    84,   859,   117,  4930,   160,  2788,   950,
    2790,   184,    71,  1627,   152,   148,    78,   148,  3167,  1024,
     204,    80,   148,  1028,  1029,  1030,    85,   232,   102,    78,
     115,    14,    14,  1038,   235,   109,   275,    87,   102,   138,
     115,   382,  2918,   382,  2920,   109,   382,   382,  1339,  4320,
     390,  4322,   382,   148,   106,   107,   275,   244,    74,    75,
      76,    77,   229,  4969,  3363,    81,   116,   232,   185,   164,
     148,  3250,   390,    89,    90,    74,    75,    76,    77,   157,
     335,   157,    81,  5133,  5134,   425,   234,  3236,    71,    71,
     234,    74,    75,    76,    77,   281,   146,    80,    81,    82,
      83,   185,    85,    78,   215,   234,   131,   425,    74,    75,
      76,    77,   242,   102,   234,    81,   148,   131,   390,   189,
     109,   148,   426,    89,    90,   157,  1505,   216,   382,   234,
    1322,    98,   318,    98,   157,  1588,  1589,   405,  1498,    74,
      75,    76,    77,   116,   449,   102,    81,   234,   398,  2599,
     234,   307,  5473,   425,   249,   370,    78,    78,   146,  1278,
    1613,  1102,   185,   386,   277,  1284,    74,    75,    76,    77,
     438,    78,    78,    81,    78,  1294,    78,   348,   370,    78,
      78,   233,  1707,   235,    50,   371,    70,    71,   161,   412,
      78,  1647,    74,    75,    76,    77,   275,   131,   275,    81,
     234,  1322,    68,   320,   454,   397,   276,    89,    90,   187,
     478,   382,    74,    75,    76,    77,   861,   861,  1674,    81,
    5214,   334,  5090,  5147,   529,  3072,  3073,    89,    90,   415,
    3077,    71,   178,   190,   387,   202,   209,   202,  5011,   240,
      80,    87,  4507,   388,   217,    85,   219,   403,    87,   256,
    5571,    71,   388,  1482,    74,    75,    76,    77,   526,   232,
      80,    81,  2480,   393,   655,    85,   102,  3114,  3115,  3568,
     116,   526,    74,    75,    76,    77,  1505,   105,   451,    81,
    5186,   376,  2238,   400,   470,   178,  2242,   382,  2244,   476,
     529,  2247,    74,    75,    76,    77,    37,   320,    39,    81,
     146,   178,  2520,   487,   415,   449,  2524,    89,    90,  1669,
     529,   526,   269,  2016,   703,   704,   449,   515,   449,  2021,
     382,   494,  1682,   449,   462,   526,  1705,    74,    75,    76,
      77,  1710,  1711,   382,    81,  1482,   138,   449,    74,    75,
      76,    77,  1199,  1200,   425,    81,  1575,  4051,   422,   477,
     435,   655,  1712,  1713,    74,    75,    76,    77,   422,   526,
     435,    81,   449,   388,  1219,   449,  5416,  4696,  4051,  4704,
    5364,   449,  2321,   449,   388,   526,   529,   477,   526,   423,
    1507,   348,   481,   655,   529,    74,    75,    76,    77,   526,
    5326,  5299,    81,   529,   526,   472,  4661,   526,   487,   703,
     704,    74,    75,    76,    77,   472,  1462,   382,    81,   529,
    5464,    74,    75,    76,    77,   382,   522,   449,    81,  2368,
     517,   518,   449,  2372,   529,  3974,   477,   526,  1575,   888,
     482,   515,  1953,   422,  1955,  3311,    74,    75,    76,    77,
     423,   423,  4424,    81,   528,   412,  4428,   751,   405,   528,
    2116,  2232,  1487,   520,   388,  4720,   524,  2035,   517,   518,
     382,   382,  1963,   409,  4191,  4415,  2300,    87,   105,  2009,
    4388,  4214,   522,  1702,  2308,   382,   382,   868,   382,  2004,
     382,  1710,  1711,   382,   382,  1541,  4757,  4478,   857,  4332,
    4761,  4762,  1009,  4764,   382,   529,   474,  1012,  2184,  1878,
    5424,  1557,  4414,  1508,   529,   470,  1511,  1886,   475,  1514,
     526,  1516,  5436,   470,  1519,   529,  1572,   857,  1523,   355,
    5514,   861,   529,   914,   178,   524,  2613,   526,   529,   528,
     244,  2146,   190,  5401,   517,   518,   524,  1155,  1795,  3278,
     528,  3280,   234,   861,   131,   438,   481,  4271,  4272,  4273,
    4274,  4275,   903,  2239,   330,  1702,  5125,   385,  1762,    29,
     526,   438,  2248,   952,  3167,  1762,  1945,   275,   192,  1948,
    1949,   407,   190,  5497,   190,    74,    75,    76,    77,   320,
     190,   972,    81,  3880,  1895,   857,   178,   215,  1021,   861,
    1023,   526,  1025,   865,  5367,  1054,  2683,  3591,  1031,  3169,
    3170,  3171,   874,   875,   318,  4154,   442,  4872,   444,  2443,
     882,   269,  2278,  2279,  4879,  4293,   229,  3956,   526,  2285,
     318,   893,  1055,  1056,  2213,  2291,  2292,  2293,  3185,  1005,
    2219,  1009,  2547,  3236,   187,  2301,  2302,   909,  2017,  5010,
    2306,  1498,  1145,  2197,   526,  2188,   950,   179,   952,   921,
     178,   491,   857,   269,   926,  2481,   178,  2483,    96,   269,
    3536,  3537,    25,  1145,   526,   937,  2641,  1008,  2631,  1128,
    2123,  2124,   512,   519,   520,   521,   522,   517,   518,  3215,
     519,   520,   521,   522,   956,  1006,  4816,  3216,  5461,   244,
     275,   963,   857,   429,   430,   967,   275,  4258,   518,  1003,
    1159,   973,  1023,  1007,  1025,   977,   978,   412,   400,  3858,
     234,  3860,   984,    25,  1035,    14,   234,   334,   365,   330,
     413,   108,   994,   995,   526,  2324,   279,   259,  1000,  4859,
     185,   318,   256,   178,  1055,  1056,   393,  1009,    98,  1931,
     185,   348,     0,  4873,   526,   451,  2858,  3527,   385,   122,
     526,   275,    71,  3932,  3534,  3535,  1134,  1876,  3538,   396,
     386,   398,   476,   318,   472,  3545,    85,   320,  4873,   330,
    1023,   384,  1025,   493,   330,   382,   185,   215,   476,   526,
     235,  2872,  1241,   154,   438,   187,   412,   415,   494,  1129,
    3245,   483,   512,  2084,   333,   405,   318,   267,  1102,   457,
    1104,   388,  1055,  1056,  1106,  2560,   526,  1926,  1110,  1138,
    1931,  1129,   470,    98,   471,  3554,   530,   454,   371,   104,
    3559,  4880,  3971,   194,   529,   412,  1104,  1099,  1100,   216,
     493,   144,    70,   526,  1106,  2195,  1108,   526,  1110,  4821,
      78,    79,   202,   237,  4826,    25,   438,  4829,   472,   512,
     340,   318,   470,   526,   470,    35,   275,  1129,  4776,  5230,
     470,  1852,  2318,   526,  1136,    70,   321,  4817,   400,    74,
      75,    76,    77,    78,    79,   320,    81,  2529,   251,   526,
    2245,  2246,  2539,   256,   857,   236,  5201,   472,   526,  5241,
    5225,  5021,  5223,   472,   340,  5224,  3635,   517,   518,   519,
     520,   521,   522,   154,   154,   437,   438,  5236,   271,   526,
     438,  5226,  5238,  1008,  1009,   526,  4975,   202,   156,   292,
     212,   476,  4720,   325,   334,  1197,  1198,  3774,  3775,  3776,
    3777,   449,   202,  3780,  3781,  3782,  3783,  3784,  3785,  3786,
    3787,  3788,  3789,   194,   194,    70,    71,  4496,   472,    74,
      75,    76,    77,    78,    79,    80,    81,   137,   396,   271,
      85,  1233,   154,   187,  4691,   526,   340,  2159,   206,    87,
     526,   234,  2201,  1280,  1281,   180,   529,   415,   349,  1233,
    3198,   273,   335,   428,   103,   336,   431,   526,   348,  3836,
    3837,  4535,   114,   256,   526,   164,   405,   515,   116,   164,
       8,   321,   194,    11,    12,   412,   530,   238,  1280,  1281,
     528,  2122,   275,   407,    22,    23,    24,   472,    26,    27,
     333,  2977,   382,    31,    32,    33,   244,   526,   146,   438,
    2905,   375,   189,  5368,  1385,  1307,  5365,   102,  2159,   529,
    5123,   508,  1314,   248,   417,   439,  1318,   235,   340,    70,
    1145,  2042,   412,   472,  2414,   279,   412,    78,    79,   236,
     185,   299,  1334,   348,   190,   296,  2177,  5126,   338,   478,
     239,  1343,   443,  2200,   239,   154,   202,  5136,   382,   102,
     431,   526,   491,   529,  5228,   150,   396,   281,   179,  5460,
     412,   271,   185,   158,  5465,  2151,   320,   382,   349,   349,
     318,  2466,   307,   512,  5086,   310,  2298,  4476,  2164,  1381,
     348,   530,  5377,   214,   524,   194,   386,   526,   528,   276,
    2499,   186,   529,  2179,   318,   185,   197,   412,   199,  1646,
     348,   307,   254,  1106,   310,   156,  5054,  1110,  5268,   491,
     484,   100,   412,   496,   375,   449,  5517,   371,  4445,   274,
     470,   270,  1424,   527,  4451,   529,   257,   349,  2736,   336,
     512,   120,   350,  5293,   382,   334,  1507,  4440,   259,   334,
     178,   296,   464,   529,   197,    84,  2519,  2298,    87,  4312,
    1825,  1825,    91,    92,    93,  2519,   207,   324,  5293,  1510,
    1462,  1512,   443,   443,  1515,   260,  1517,   421,   403,  1520,
    1521,  1522,  4906,   441,   102,   443,   528,  5578,  2911,   472,
    1482,   442,  1533,   444,  1486,  1487,   526,  1489,  1733,  2921,
     389,   415,  2888,  4906,   389,  1497,  1547,   403,  1549,  2915,
     418,  5149,   325,  1505,   360,  5153,  5154,   468,  3072,  3073,
     261,  5303,  5304,  3077,  1747,  1748,   140,  1750,   180,   180,
    1554,   443,  4995,   484,  3704,  3858,   224,  3860,   476,   330,
     320,  2839,  2840,  2841,  2842,  1747,  1748,   530,  1750,  1541,
     349,   124,   224,  2851,  2795,  4424,   470,  2704,   110,  4428,
    3114,  3115,   419,  1555,    71,  1557,  3377,    74,    75,    76,
      77,   256,  3199,    80,    81,    82,    83,   449,    85,   197,
    1572,   180,   507,  1575,   312,  1764,  4213,  1280,  1281,   400,
    3880,   270,  4051,   228,  1586,  4162,   248,   248,  3747,   213,
      98,   187,   491,   176,   248,   293,   491,   226,  2707,   180,
     362,  2560,   353,   229,  5464,   157,  2715,   231,  2717,   164,
    2197,   293,  1614,   239,  2884,   212,   437,   438,  4128,  3940,
    3306,   359,  1721,   185,  4134,  4135,  3468,  4137,   527,   112,
     256,   530,   527,   340,   443,   530,   431,   347,  3971,   248,
    1642,  1643,  1644,   140,  1646,   307,   307,   529,   310,   449,
     332,  1721,   488,   307,  1688,  1689,  1658,   396,     2,    98,
     157,  3478,   517,   518,  1666,   104,   195,   248,   347,   517,
     518,   519,   520,   521,   522,  4281,   205,  4283,  3074,  2601,
    1688,  1689,  1507,   279,   239,   268,   238,   382,   317,   451,
    3086,   386,  4971,   529,   202,   402,   293,   336,   307,  5491,
    1702,   310,   412,  1705,  1774,  1775,  1776,   259,  1710,  1711,
     193,  3689,   463,   358,    14,   515,   213,   412,  1720,  1721,
     471,   459,  3118,   474,   320,   482,   307,  1775,  1776,   310,
     177,   470,   494,   412,   231,   318,   226,   236,  5211,   363,
    1839,   403,   403,  5034,   296,    89,   348,  1749,   234,   403,
    2601,  1753,  1754,    87,   140,  1825,  5213,  1582,   231,  1793,
    3156,   164,  1832,   202,   124,   391,   238,   266,   234,  1839,
     256,   347,  1774,  1775,  1776,   371,  1601,  1825,   340,  1968,
     382,   184,  5255,   334,  1832,  1793,  1721,   339,  4756,   275,
     256,  2640,  1873,  1795,   403,   285,   491,     2,   236,   185,
     197,   237,   199,   188,   362,  3316,  1631,   384,   152,   275,
     412,   159,   146,   216,   158,   187,   176,   512,   401,   348,
      84,  1646,   403,  1825,   296,   222,  1721,    91,    92,    93,
    1832,  1833,   161,   305,   472,  3618,   412,  1839,  3621,  1774,
     132,   465,   186,  2514,  3767,   507,  2867,  1849,   140,  5377,
    1852,   199,  2638,   382,  1856,  2704,   230,   229,  5137,   306,
    3189,   308,   187,  2699,   526,   188,   363,   252,   442,  5143,
     444,  2637,  2981,  3796,   513,   514,   515,  2726,   517,   518,
     519,   520,   521,   522,   371,   348,  1888,   261,   526,  3276,
     442,   263,   444,   451,  1896,  3282,   383,   238,   507,  4867,
       5,  4869,   454,   232,  1839,  4669,  5030,  2756,   268,   348,
     188,  4517,  4518,   465,   491,  3347,   468,  2876,  2754,  5376,
      25,   408,  1747,  1748,   526,  1750,   507,  1929,   325,   252,
      35,  4695,  2698,   330,   320,   512,   494,  4816,   263,   325,
    2039,  3286,  4821,   382,  1839,   526,   318,  4826,   320,   412,
    4829,  1935,   529,   515,   398,   296,  1940,  4681,   318,  5250,
     398,   197,   524,   199,   526,   527,   528,   529,   465,  2039,
     442,   407,   444,   412,   252,   378,   472,   363,   100,  2938,
    4859,   396,    74,    75,    76,    77,   472,  2753,  1990,    81,
    2111,   377,   127,   318,  4873,   320,   468,   375,   120,  2876,
     517,   518,   405,   439,   296,  1989,   472,   338,  2010,  1993,
     454,   146,   427,   165,   452,    98,  3702,   348,  1721,   472,
     458,   104,   375,  2025,   460,   160,  3176,  5306,   406,    22,
     526,  2033,   137,   491,   348,   438,   348,  2039,   320,  5512,
    2042,   401,  2044,   325,   530,    74,    75,    76,    77,  2424,
    2424,   382,    81,   406,   512,   229,   524,  3975,  2060,   456,
     438,  2938,  2064,   531,   530,  3335,  2255,  2271,   382,   466,
     382,   529,   336,   526,  2076,   478,   250,   212,    71,   465,
     438,  3190,    87,   235,   320,   438,   491,   369,   491,  2091,
    3601,  4424,   449,  2201,   330,  4428,   201,   347,   412,  3610,
     412,   442,  2104,   444,  2039,  5562,   484,   224,  2110,   512,
     491,   116,   229,   265,  2116,  4625,  4903,  4627,  4628,   202,
    2122,  4631,     7,   526,   529,    80,   305,   468,   280,  2200,
      85,   484,  2134,  3364,    19,    20,  1839,  3816,   290,  5418,
    4440,   146,  5021,   382,  2039,  4445,  1849,  2149,   529,  2151,
    2152,  4451,   483,    38,  4941,  3386,    41,   382,   515,  2210,
    3187,  2212,  2164,   315,   282,  2216,   271,  2218,  5292,  4456,
    2221,   528,  2174,   412,  2225,  2177,   293,  2179,  2180,   224,
     515,  2058,   334,   234,   229,  1888,  2188,   412,   442,  2191,
     444,  4008,  2263,   528,  2263,  4772,  2277,  2263,  2263,  2201,
    2077,   348,  2270,  2263,   526,   256,   528,  5086,  3130,  1935,
    3774,  3775,  3776,  3777,  1940,   332,  3780,  3781,  3782,  3783,
    3784,  3785,  3786,  3787,  3788,  3789,   129,   396,  3730,   398,
     524,  3190,  2331,   325,   528,   382,   148,   451,  4055,  2241,
     392,  4024,  4025,  3807,   197,   157,   199,   118,   293,   513,
     514,   515,   348,   517,   518,   519,   520,   521,   522,   493,
     229,  2331,  3941,  1989,   235,   412,  5545,  1993,   139,   222,
     526,   148,  3836,  3837,   177,   160,  2278,  2279,   512,  3130,
     157,   250,  2284,  2285,   493,   454,   382,   332,  2290,  2291,
    2292,  2293,   526,  2964,   265,  2297,   325,  2299,  2300,  2301,
    2302,  2303,  2304,   512,  2306,  3738,  2308,  2309,   530,   280,
    2312,   655,  3563,   198,  3658,  3659,   412,  4235,  2426,   290,
     472,   519,   520,   521,  2326,  2327,  2328,  2329,  2330,  2331,
     334,   491,   529,  2335,   521,   339,  2039,  2339,   493,   526,
    2342,   528,   165,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,   512,  2355,  2424,   258,   524,   512,  2562,  3210,
    2564,  2363,   530,  4481,  2366,  5489,   348,   320,   302,   530,
      70,   526,   325,  3769,  3333,  2200,  2424,   330,    78,    79,
     529,   530,  4988,    74,    75,    76,    77,   521,   334,  5268,
      81,  1274,   526,   339,   528,  5519,  2331,  2560,  4221,   527,
     382,   529,  2471,   306,   386,   308,  1289,  3803,   527,  1292,
     529,  2481,   235,  2483,  5293,   318,   529,  4238,   177,  4719,
     533,   392,  2424,  2612,   524,   529,   526,  2429,   212,   533,
     412,   532,  2553,  2481,  4944,  2483,  2331,  4906,  2263,   525,
     224,  2443,   265,   529,   347,   229,    40,  5415,  2547,   525,
    2452,  2453,  3848,   529,   472,   331,  3333,   280,   334,   137,
     138,  3972,  3973,  5587,  3734,    84,   400,   290,    87,   396,
     397,   230,    91,    92,    93,   527,  5053,  2547,   530,  2481,
    2514,  2483,   271,  4816,   387,   302,    16,   527,  4821,   273,
     530,   365,   315,  4826,   454,   405,  4829,    74,    75,    76,
      77,  2503,   261,   456,    81,   329,  4639,   441,  4641,   293,
     484,  2336,  4645,   466,  4647,   402,  3365,  3303,  3304,  2521,
     283,  2523,  3085,   426,  3087,  3088,  4859,  2529,   438,   396,
     397,  2533,  2534,    34,   468,    74,    75,    76,    77,   526,
    4873,  2543,    81,   529,   530,  2547,  2548,   306,   332,   308,
    2552,   527,   449,   529,  5023,    70,   340,   491,  2560,   493,
     904,   454,  2310,    78,    79,  2313,  3587,   402,   478,   392,
     527,  2670,   529,   124,  2695,   491,  2578,   493,   526,  2581,
     528,   491,   454,   400,    99,  5464,  3435,   524,   384,   526,
    2592,   528,   526,   305,  2596,   302,  2666,  2599,  4162,   527,
    2670,   529,   512,   396,   397,  3564,  2608,  3566,  3953,  4295,
    4296,  4297,  2547,  4000,   161,   166,   526,   305,  2620,   963,
     964,   527,   259,   529,   441,   527,    84,   529,  2331,  2631,
    3739,   527,   531,   529,   325,  2637,  2638,   256,   250,  3714,
     191,   156,   491,  2645,   493,   527,  2471,   529,   527,  3904,
     529,   468,  2547,    71,   140,   206,  1000,   302,   277,   210,
     146,    70,   454,  3449,  2666,  2667,    89,    90,  2670,    78,
      79,   157,  3458,   153,   491,  3634,   493,    89,    90,   230,
     464,   527,   233,   529,    98,  3871,   484,  3564,  5021,  3566,
     104,  5455,   207,   400,  2696,   246,  2698,  2699,   128,   185,
    2702,   187,   527,  3554,   529,    70,    71,   402,  3559,   526,
     442,  2810,   444,    78,    79,  1059,   283,   336,  2720,  2825,
      85,   527,   532,   529,  3874,  3875,  3876,   396,   397,  2731,
     144,  2666,   526,    85,   441,  2670,    74,    75,    76,    77,
    2810,   256,  2744,    81,   283,   526,   261,   156,   325,  1093,
     334,  2753,  2754,  5086,   527,   400,   529,  3634,   527,  1103,
     529,   468,  4441,  1107,  1108,  1109,   302,   527,   400,   529,
     527,  2666,   529,   529,   325,  2670,   527,   263,   529,   128,
     484,   195,   333,   527,   491,   529,   493,  4967,   202,   482,
     509,   205,  3578,  4472,  3580,  1000,   441,   206,   528,  2801,
    2802,   279,   527,    84,   529,   527,    87,   529,  2810,   517,
     518,   519,   520,   521,  2816,   302,   230,   525,   369,   526,
    2822,    84,   118,   468,    87,   337,   337,  3074,    91,    92,
      93,   527,   334,   529,   320,   116,   449,   229,   353,   325,
     527,   122,   529,   334,  2547,   108,   491,   261,   493,   442,
     509,   444,  2854,  1197,  1198,   527,   118,   529,  1202,    74,
      75,    76,    77,   337,   400,   146,    81,   509,   279,   302,
    2872,  3118,   233,   519,  2876,  2810,   529,   363,   393,   527,
     527,   526,   529,   527,   527,   529,  2888,   526,   234,  4120,
     299,   377,   128,   275,   513,   514,   515,   530,   517,   518,
     519,   520,   521,   522,   318,   441,   320,   527,   491,   529,
     493,  4597,  4598,   400,  4600,  2810,   330,   527,   527,   529,
     529,   436,   519,   527,   338,   529,   302,   532,  2631,   210,
    2964,   527,   468,   529,   348,  5268,  2938,   532,   302,   348,
     271,  4249,  5242,  3729,  2946,   527,   449,   529,   463,   527,
    1149,   529,  1151,   449,   441,   491,   471,   493,   526,   474,
    5293,   449,   208,  2666,  3161,  3162,  3163,  2670,   382,  4365,
     251,   385,   386,   382,   527,   256,   529,   386,  1183,   465,
     449,   468,   302,   449,   527,  2987,   529,   111,   128,   302,
     526,   271,  3239,  2696,  3093,   449,  4378,  1202,   412,   277,
    3099,  3003,   526,   412,   491,   528,   493,  3009,   441,   412,
     527,   292,   529,   495,   277,  3017,   106,   107,   527,  3021,
     529,   526,  3024,  3093,   400,  3027,   382,   321,   322,  3099,
     256,   217,   441,  3035,   443,   468,   400,   526,   528,   526,
     322,   217,  3044,   527,  1249,   529,   527,  3049,   529,   517,
     518,   519,   520,   521,   527,   336,   529,   334,   491,   527,
     493,   475,   527,   256,   529,   441,   527,   527,   529,   529,
    3072,  3073,  3074,   336,   164,  3077,   527,   441,   529,   527,
     400,   529,   491,  3085,  3086,  3087,  3088,   400,   527,   382,
     529,  3093,   468,   526,   184,   334,  3098,  3099,   527,  3101,
     529,  3103,   217,   527,   468,   529,   527,  2810,   529,   256,
     217,   405,  3114,  3115,   334,   491,  3118,   493,   229,   217,
     527,   441,   529,   405,   382,   530,   216,   491,   441,   493,
    3132,  5464,  3134,   291,  3136,  3206,   417,  3206,  1482,   187,
    3206,  3206,  1486,  1487,   438,  1489,  3206,   527,   468,   529,
     526,  4636,   334,   472,  3156,   468,   438,   527,  3093,   529,
     526,  1505,   526,   454,  3099,  3167,  4677,  3169,  3170,  3171,
     527,   491,   529,   493,    74,    75,    76,    77,   491,   329,
     493,    81,   229,   484,   478,  5008,   402,   527,  3190,   529,
     283,  4300,  3194,   527,   526,   529,   478,   491,  3093,   527,
    4051,   529,   368,   140,  3099,  3207,   526,  1551,  4772,   491,
     527,   320,   529,   526,  4429,   111,  4431,  4781,   512,   495,
    3222,    74,    75,    76,    77,   527,   526,   529,    81,   510,
     512,  1575,   526,   334,  3236,   320,   517,   518,   519,   520,
     521,   522,   118,   118,   526,   527,   459,   229,   530,  3074,
     513,   514,   515,   348,   517,   518,   519,   520,   521,   522,
      74,    75,    76,    77,   153,   484,   229,    81,    74,    75,
      76,    77,   527,  3275,   529,    81,  3278,   527,  3280,   529,
     484,  1486,  1487,  3285,  1489,  3287,   366,   527,   378,   529,
    5470,  5471,   527,  3118,   529,   527,   527,   529,   529,   217,
    1505,  3303,  3304,   527,  1648,   529,   527,  3309,   529,   527,
    3135,   529,   217,  1657,   531,   405,  4502,   527,   527,   529,
     529,   527,   527,   529,   529,   526,  3151,  1671,  3330,   217,
     527,  3333,   529,   527,  3336,   529,   481,   526,   101,  3409,
    3410,  3411,  3167,   527,   527,   529,   529,   527,   438,   529,
     359,  3353,   212,   527,   527,   529,   529,   526,  1702,   217,
     110,  1705,  1706,   495,   224,   217,  1710,  1711,   217,   229,
     529,   134,   217,   217,   334,  3377,   217,   217,   334,   217,
     217,  3206,   229,   217,   147,   334,   217,   217,   478,   217,
    3093,   526,   482,  5079,   438,   111,  3099,   291,   161,  4185,
    4186,   491,   229,   229,  5090,  4468,   334,  3409,  3410,  3411,
     526,  3236,  4198,   273,  3239,   345,   526,  5597,  5598,   229,
     526,   526,   512,   526,   526,   492,   526,   526,   111,   526,
     526,  3433,   526,   293,   526,   526,   526,   200,   526,   526,
    3442,   168,  3444,  3445,   526,   526,   275,  3449,   211,   526,
     526,  1795,  4963,  4964,   526,   526,  3458,   526,   526,  3558,
     526,   526,   526,   526,   526,   277,   275,   291,   231,   529,
    4955,   529,   332,   236,  3409,  3410,  3411,   111,   229,   412,
     340,   332,   229,  5169,   330,   519,   271,   403,  3558,  5053,
     310,   529,   184,   471,   529,   515,  3844,    14,   529,   526,
    1705,  3503,   526,   526,   449,  1710,  1711,   449,   400,   528,
     449,   449,   293,   400,  3409,  3410,  3411,   449,   449,   515,
    3522,   157,   449,   400,  3645,  3714,  3528,  4636,   217,  3648,
       2,   334,   404,   288,   449,   449,   325,   449,   441,  4461,
     334,   396,   305,   330,   249,  3614,   471,   526,   449,   526,
     449,  3553,  3554,   157,   529,  3624,  3558,  3559,   348,   256,
     217,   472,  3564,   472,  3566,   179,   449,   449,   449,   128,
     128,   449,   338,   336,   441,   449,  3578,    84,  3580,  3648,
      87,  1786,  1787,   449,    91,    92,    93,   449,  5274,   117,
     449,   117,   449,   400,   529,  3842,   334,   277,   495,   449,
     334,   108,   334,   366,   464,   130,   449,  1812,  1813,   277,
    4461,   277,   491,  3860,  3648,  3617,   526,  1961,   111,   100,
     334,   217,   320,  3558,   526,   185,   217,   483,   299,   330,
     472,   111,  3634,  3635,   320,   320,   229,   400,   163,   283,
     526,  4662,   111,   406,   528,   401,   409,   110,  3650,   447,
     447,   524,   412,  3850,  3851,  3852,  3853,   526,   449,   524,
     217,   449,  5058,  3558,   524,   217,   217,   527,   528,  5180,
     472,   472,   217,  1878,   217,   438,    14,  4636,   329,   449,
     234,  1886,   445,   324,   312,   312,  4836,  3689,  2032,   452,
     529,   487,    87,  4843,   166,   220,   459,   529,   447,  4950,
     242,  5097,  3704,   526,   526,  3707,  3409,  3410,  3411,   526,
    3809,   225,  4861,   449,   234,   515,   188,  5150,  2062,  5151,
     451,   484,   249,   273,   529,   529,   249,  3729,   253,   335,
    3732,   415,   527,   526,   281,   472,   111,   529,    34,  3809,
    1945,   527,    10,  1948,  1949,   529,  4532,  3749,   527,  5165,
    3752,  5167,   342,   527,   128,   449,  3758,   400,   449,   526,
     400,   472,  3764,   288,  3766,  4855,   281,  3769,   281,   325,
     277,  3773,  3774,  3775,  3776,  3777,   325,   449,  3780,  3781,
    3782,  3783,  3784,  3785,  3786,  3787,  3788,  3789,   449,  3614,
     449,  3793,  3794,   526,   454,   320,  3798,   484,   229,  3624,
     402,  3803,   334,  4589,   283,  3807,   325,  3809,   118,  3811,
     421,   396,  2017,   291,   291,   291,   449,  3819,   441,   529,
    3822,   333,  3824,  3648,   449,   400,   334,   382,   250,   336,
    3832,  3833,   409,   449,  3836,  3837,   382,   449,   371,  3841,
    3842,   277,   111,   277,  2188,   277,  3848,  2191,   472,  5334,
     472,   277,   277,   283,   217,  3558,  3858,   101,  3860,   333,
     515,   386,   515,   388,   229,   390,   484,   229,   330,  5265,
    3872,   231,   397,   409,  3809,   217,  3878,  3879,  3880,   404,
     526,  5277,   217,   216,   526,   320,  5282,   412,  5284,   111,
     491,  4986,   320,   334,    84,  4270,  4270,    87,   283,   424,
     520,    91,    92,    93,   148,   334,   247,   432,   247,   229,
     111,   524,   527,   310,  3809,   509,  4079,    84,   108,   527,
      87,   509,   527,  5073,   527,  3927,   217,   527,   334,   334,
     283,   334,   229,   320,   409,   179,    99,   256,  3940,   256,
     256,   240,   529,   529,   449,   529,  2290,   495,   526,   116,
     234,  4050,  4874,  4052,  3956,   122,   200,   309,   334,   529,
     491,   486,   128,   454,   527,   438,   484,   211,   329,  3971,
     283,   234,   345,   352,   527,  4045,   234,   344,   449,   146,
    4050,   335,  4052,  2188,   335,   526,  2191,   231,   527,   527,
     527,   488,   236,   527,   529,  4917,  4955,   527,   527,   509,
     470,  4003,   488,   527,   334,   527,   513,   514,   515,   301,
     517,   518,   519,   520,   521,   522,   527,  3842,   527,   511,
     526,   478,   526,  4874,   526,   526,   526,   515,   515,   527,
     128,   530,   334,  3858,   529,  3860,   337,   217,   527,   529,
     284,  4140,   526,  4045,   334,   259,   495,   449,  4050,  4051,
    4052,   449,   267,  2397,   325,  4906,   449,   449,   526,   338,
     404,   305,   217,   217,   404,  5498,  4917,   404,   291,   449,
    4140,   259,   472,   293,   303,   353,   353,   449,   469,   449,
     449,   449,   303,   449,   251,    84,   303,   277,    87,   256,
     449,   400,    91,    92,    93,   400,   400,   400,  4100,   449,
     449,  4103,   449,   449,   449,   412,  3809,   320,   217,   108,
    4045,   117,   277,   449,   526,  4050,   277,  4052,   449,   277,
     277,  4907,   366,   527,   449,   292,   527,   459,   118,   384,
     529,   178,   334,   527,   333,   111,   217,   526,  4140,   529,
     217,   527,   229,   449,   244,   526,   336,   525,   472,   393,
    4045,   138,   217,   229,   472,  4050,   400,  4052,   529,  2503,
    4162,  4230,   406,   400,   400,   400,   337,   215,   409,   336,
     215,   277,   277,   277,   208,  2519,   524,  2521,   234,  2523,
      87,   345,   234,  4185,  4186,   229,   529,  4189,   483,   340,
     488,   234,   242,   527,   438,   335,  4198,   441,  4200,   527,
    4270,   527,   529,   389,   527,  4140,   527,   529,   155,   459,
     229,   526,   512,   527,   526,   459,  2560,   111,   529,   527,
     472,   515,  4270,    84,   472,  4294,    87,   515,   283,   267,
      91,    92,    93,   865,   527,   128,  4238,  4239,  4240,   526,
     484,   449,   874,   441,   526,  4140,   449,  2452,  2453,   459,
     417,   404,   449,   449,   400,   449,   449,   400,   382,   491,
     527,   527,   527,   128,   526,   441,   229,   146,  4270,   217,
     178,   527,   459,   277,   277,   277,   277,   909,   277,   526,
     491,   281,  2626,   367,  5305,   262,   526,   526,   495,   229,
    4494,   529,   111,   527,  2499,   151,   529,   441,   529,   526,
     459,  4303,   449,    84,   529,    84,    87,   526,   409,   527,
      91,    92,    93,   525,  2519,   239,  2521,   234,  2523,   178,
     277,   277,  4324,   513,   514,   515,   277,   517,   518,   519,
     520,   521,   522,  4335,   277,   967,   527,   336,   234,   376,
     128,   526,  4045,   510,   527,   977,   527,  4050,   489,  4052,
     517,   518,   519,   520,   521,   522,   489,   529,   527,   345,
     280,   343,   280,  4365,   526,   440,   341,   527,   128,   245,
     526,   330,   234,  4375,  4376,  5334,  4378,   526,  4541,  5301,
    4382,  4383,   527,   515,   491,  4387,  4388,   459,   527,   527,
    4392,   449,   146,  4395,  4396,   261,   325,   325,  4400,   515,
     128,  4470,   441,   529,  4406,  4230,   529,   449,   140,   449,
      89,   217,   236,   449,   277,   472,   277,   234,   256,   472,
     409,   111,  4424,   526,   487,   320,  4428,   203,  2772,   216,
     491,   491,   234,   111,   334,   526,  2780,  4140,  4440,   229,
     337,   264,   527,  4445,  2788,   275,  2790,   526,   234,  4451,
    5301,   376,   526,   477,   425,    84,   527,   527,    87,   351,
     526,   490,    91,    92,    93,  4535,  4468,   280,   527,  4294,
     157,   198,   526,   377,   334,   336,   527,   526,   229,  4481,
     449,   449,   192,   325,   111,   526,   325,   116,   304,   259,
     367,   526,   217,   122,  2838,  4497,   277,   527,   526,   526,
     526,   526,  2707,   216,   111,   527,   338,   397,   397,   459,
    2715,   423,  2717,  4515,   513,   514,   515,   146,   517,   518,
     519,   520,   521,   522,  2868,   423,   128,   515,  1000,   527,
    4532,   128,  2876,  4535,   111,   526,   529,   472,   441,   441,
     318,   526,  4544,   527,   527,   526,   526,   526,    81,  1021,
     334,  1023,   223,  1025,   441,   336,   367,  4559,  2902,  1031,
    1032,  1033,  4564,   527,   140,   337,   140,   198,   491,  4571,
     491,   476,    84,   376,   526,   529,   477,  4579,   412,   111,
     526,   234,   488,  1055,  1056,   374,   441,  4589,   229,   203,
     334,   261,   334,   526,  2938,   409,   111,    89,   111,  4424,
    4535,   337,   337,  4428,   526,   128,   236,   526,   236,   190,
      81,   527,   526,   396,   527,   526,  4618,   470,   527,   396,
     383,    97,   251,   108,   216,   234,   367,   256,   449,   423,
     529,   423,   236,   491,  4636,   236,   382,   491,   529,  1992,
    4535,   526,   526,  2823,  1281,  4470,  1245,  3190,   277,   278,
    1711,  4653,   513,   514,   515,  2679,   517,   518,   519,   520,
     521,   522,  4664,   292,  3386,  4050,  2748,  4139,  5172,  3550,
    1280,  4953,  5334,  5004,   166,  1307,  4183,  4655,  5008,  4985,
    3310,  2969,  5422,  4873,  5495,  5348,  1318,  5347,  5442,    84,
    4231,  3314,    87,  4216,   323,  4175,   188,  2813,  2813,  3410,
    4045,  2063,  4199,  4680,  2807,  3603,  5503,   336,  5596,  5577,
    4980,  1183,  3558,  3553,  5453,  2052,  4919,  4719,  5320,  4721,
    5432,   116,  4922,   188,  1542,  4303,  5122,   122,  4238,  2534,
    1202,   973,   513,   514,   515,  3285,   517,   518,   519,   520,
     521,   522,  1558,  5242,  2266,  2266,   992,  2267,   964,  1381,
    3506,   146,   994,  5469,  4756,  5580,  2426,  2201,  3206,  1123,
    2427,  4471,    98,  5414,  3938,  1500,  2952,  1856,   104,    78,
    4772,  1739,  3207,  1757,  4776,    84,  2981,  1249,  1682,  4781,
      89,  3222,  1756,  2469,  3883,  2443,  5407,  4454,   417,  5286,
    1759,  2468,  3860,  3236,  4415,  4430,  4798,  4799,  5087,  1764,
    4802,  3858,  5268,  4854,  5267,  3939,  3668,   116,   144,  3811,
    5056,  5410,  4845,  5411,  4816,   210,  5397,  3210,  2360,  4821,
    3135,  3045,  3133,  2363,  4826,  3645,   655,  4829,  4830,  2877,
    2098,  5388,  4535,  1776,   391,  4837,  4838,  2503,  2478,  1554,
    2519,  1770,  1200,  1220,  1200,  1389,  3190,  2511,  3184,  2512,
    5097,  3945,   161,  4455,  4953,  3946,   251,  4859,  3909,   195,
    1002,   256,   424,  2523,  1685,  4867,   202,  4869,  1774,   205,
    2965,  4873,  5119,     2,  4855,  2230,    -1,  1486,    -1,    -1,
      -1,   510,  1034,  4953,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,   230,    -1,    -1,   292,    -1,    -1,
     209,    -1,    -1,    -1,  4906,  4907,    -1,    -1,   217,    -1,
     219,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,
      -1,  4990,    -1,   232,    -1,   261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5003,    -1,    -1,    84,    -1,    -1,
      87,   336,    -1,    -1,    91,    92,    93,    -1,    -1,  5018,
      -1,  4953,    -1,  4955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,  4967,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,   320,  3190,    -1,    -1,    -1,  3333,
      -1,    -1,    -1,    -1,   330,    -1,  4821,    -1,    -1,   146,
      -1,  4826,   338,    -1,  4829,    -1,    -1,    -1,    -1,  3214,
    3215,    -1,   348,    -1,  1486,  1487,    -1,  1489,  4953,  5021,
      -1,  5023,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1505,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
     386,  5053,  5054,    -1,  5056,    -1,  5058,    -1,  4953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3415,  1314,  5143,    -1,    -1,   412,    -1,    -1,    -1,
    5082,   390,    -1,    -1,  5086,    -1,    -1,    -1,    -1,    -1,
    5092,    -1,  1334,    -1,    -1,  5097,    -1,    -1,    -1,    -1,
      -1,  1343,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,
      -1,    -1,  3456,    -1,    -1,   510,   425,  5119,    -1,    -1,
      -1,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
      -1,  5143,    -1,    -1,    -1,   292,    -1,  5149,    -1,    -1,
      -1,  5153,  5154,  5222,    -1,    -1,  5158,    -1,    -1,    -1,
      -1,  3505,    -1,    -1,    -1,  4990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,  5003,    -1,
      -1,    -1,    -1,  3527,    -1,    -1,    -1,    -1,    -1,   336,
    3534,  3535,   339,  5018,  3538,    -1,   875,  5199,    -1,    -1,
      -1,  3545,    -1,   882,    -1,    -1,    -1,    -1,  5143,    -1,
    3554,    -1,    -1,    -1,   893,  3559,    -1,    -1,  5220,    -1,
    3564,    -1,  3566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,    -1,    -1,  1710,  1711,
    5242,  5243,   921,    -1,    -1,    -1,    -1,   926,  5143,    -1,
    4953,  5253,    -1,    -1,    -1,    -1,    -1,    -1,   937,    -1,
    3604,  5086,    -1,  5265,    -1,    -1,  5268,    -1,    -1,    -1,
     417,    -1,  5097,    -1,  5521,  5277,    -1,    -1,    -1,    -1,
    5282,    -1,  5284,    -1,  5286,    -1,    -1,    -1,    -1,  3633,
    3634,  5293,    -1,    -1,  5119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5311,
      -1,    -1,  1784,  1555,  1786,  1787,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5334,  1805,    -1,    -1,    -1,    -1,    -1,    -1,
    1812,  1813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3554,
      -1,    -1,    -1,    -1,  3559,    -1,    -1,    -1,    -1,    -1,
      -1,  5363,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,   525,    -1,
      -1,    -1,    -1,    -1,   531,  5454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5396,  5397,    -1,  5222,  5469,    -1,
    5469,    -1,    -1,  5469,  5469,  5407,  1878,    -1,    -1,  5469,
      -1,    -1,    -1,  5415,  1886,    -1,  5515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5143,    -1,    -1,    -1,    -1,  5515,    -1,    -1,    -1,    -1,
    5521,    -1,  5521,    -1,    -1,  5521,  5521,    -1,    -1,    -1,
      -1,  5521,  5464,    -1,    -1,    -1,    -1,    -1,  5470,  5471,
      -1,  5473,  2104,  1945,  3818,    -1,  1948,  1949,  5577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5492,    -1,    -1,    -1,    -1,    -1,    -1,  5596,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5577,    -1,  5580,
      -1,  5580,    -1,  5515,  5580,  5580,    -1,  2149,  1197,  1198,
    5580,    -1,    -1,    -1,    -1,    -1,  5596,    -1,    -1,  1021,
      -1,  1023,    -1,  1025,  3739,    -1,    -1,    -1,    -1,  1031,
      -1,    -1,    -1,    -1,    -1,  2017,    -1,    -1,   857,    -1,
      -1,    -1,   861,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,  1055,  1056,    -1,   875,    -1,    -1,  5571,
    5572,    -1,    -1,   882,    -1,  5577,    -1,   108,    -1,    -1,
    5515,    -1,    -1,  5585,   893,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,  5596,  5597,  5598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2241,
      -1,    -1,   921,    -1,    -1,   146,    -1,   926,    -1,    -1,
    5515,    -1,    -1,    -1,  2096,    -1,    -1,    -1,   937,  5454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5577,    -1,  5469,    -1,    -1,    -1,  2120,    -1,
      -1,    -1,    -1,    -1,   963,    -1,    70,    -1,  2130,    -1,
    2132,  5596,    -1,    -1,    78,    79,    -1,  2139,    -1,   978,
      84,    -1,  2144,    87,    -1,   984,    -1,    91,    92,    93,
      -1,    -1,  5577,    -1,    -1,    -1,   995,  1929,    -1,    -1,
      -1,  1183,    -1,    -1,   108,    -1,  5521,   111,    -1,    -1,
    1009,  5596,   116,    -1,    -1,  1197,  1198,  4051,   122,    -1,
    1202,    -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,  2191,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,  4080,    -1,    -1,  4083,
      -1,  4085,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5580,    -1,  1249,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,  2025,  4128,    -1,    -1,    -1,    -1,    -1,
    4134,  4135,   323,  4137,    -1,  4139,    -1,  1106,    -1,  1108,
      -1,  1110,  2044,    -1,    -1,   336,    -1,    -1,   339,   163,
      -1,    -1,  5515,    -1,    -1,  2287,  2288,    -1,    -1,    -1,
    1129,    -1,  2294,  2295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,  4051,    -1,    -1,  2091,
      -1,  2323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,   220,    -1,  2110,    -1,
      -1,    -1,    -1,    -1,  5577,    -1,    -1,    -1,   292,    -1,
    2122,    -1,    -1,    -1,    -1,    -1,   417,    -1,  1197,  1198,
    4234,    -1,  2134,  5596,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2379,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,  4271,  4272,  4273,
    4274,  4275,  2174,    -1,   288,  2177,    -1,    -1,    -1,    -1,
      -1,  4146,  4147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2592,    -1,    -1,    -1,    -1,    -1,   320,  2599,    -1,    -1,
      -1,  1280,  1281,  4317,    -1,    -1,  4320,    -1,  4322,   510,
    2452,  2453,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,   348,    -1,    -1,    -1,   529,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    78,    84,    -1,    -1,
      87,    -1,    84,  1505,    91,    92,    93,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,   382,    -1,
      -1,   108,   386,    -1,    -1,    -1,   390,    -1,    -1,   116,
      -1,    -1,    -1,   397,   116,   122,    -1,  2519,    -1,  2521,
     404,  2523,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
     424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,    -1,
      -1,    -1,    -1,    -1,  2326,    -1,    -1,    -1,  2560,   161,
      -1,    -1,    -1,    -1,    -1,  4300,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,  4453,
      -1,    -1,  4456,  4457,    -1,    -1,  1795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    -1,    -1,    -1,    -1,  4481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1462,    84,    -1,    -1,    87,    -1,    -1,
     232,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1482,   251,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,  1505,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,   292,   146,    -1,  1710,  1711,
      84,    -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1541,    -1,    -1,  2707,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2715,    -1,  2717,   323,    -1,  1557,    -1,
      -1,  4456,   116,    -1,    -1,    -1,    -1,    -1,   122,   336,
      -1,    -1,   339,  1572,    -1,    -1,  1575,    -1,    -1,    -1,
      -1,    -1,  4616,  4617,    -1,    -1,  4481,    -1,    -1,    -1,
      -1,  4625,   146,  4627,  4628,    -1,    -1,  4631,    -1,    -1,
      -1,    -1,  4636,    -1,    -1,    -1,  4640,    -1,    -1,    -1,
      -1,    -1,    -1,  1795,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,   390,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,  4688,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,   425,  2596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,  2608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,
      -1,  2060,    -1,    -1,    -1,  2064,  1878,   251,    -1,  3021,
      -1,    -1,   256,  1702,  1886,  3027,    -1,  2076,    -1,    -1,
      -1,  1710,  1711,  2645,    -1,    -1,   336,    -1,    -1,    -1,
      -1,    -1,  1721,  4757,    -1,    -1,    -1,  4761,  4762,    -1,
    4764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,  2901,
    2902,  4636,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    84,   529,  1945,    87,    -1,  1948,  1949,    91,    92,
      93,    -1,    -1,    -1,    -1,  1774,  1775,  1776,    -1,    -1,
      -1,    -1,   336,  2152,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,  1795,   417,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,  2180,    -1,    -1,    -1,   104,    -1,    -1,    -1,  2981,
      -1,    -1,    -1,   146,    -1,    -1,  1825,    -1,    -1,    -1,
      -1,    -1,    -1,  1832,    -1,  2017,    -1,    -1,    -1,    -1,
    1839,    -1,    -1,    -1,    -1,  3167,    -1,    -1,    -1,    -1,
    1849,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
    2802,    -1,  4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1888,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,   195,    -1,    -1,    -1,
    4944,    -1,    -1,   202,  3236,    -1,   205,    -1,    -1,    -1,
      -1,  4955,    -1,    -1,    -1,  4959,    -1,  4961,   251,    -1,
      -1,  4965,  4966,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4847,    -1,   277,   278,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,   519,   520,   521,   522,   292,
      -1,    -1,   261,   111,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,  1990,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,  4906,    -1,   336,   122,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,  3185,    -1,   163,  3188,    -1,  3190,   318,
      -1,   320,    -1,    -1,    -1,    -1,    84,    -1,   146,    87,
    2039,   330,    -1,    91,    92,    93,    -1,    -1,    -1,   338,
      -1,    -1,  3214,  3215,    -1,    -1,    -1,    -1,    -1,   348,
     108,  2060,    -1,    -1,    -1,  2064,    -1,    -1,   116,    -1,
      -1,  3003,    -1,    -1,   122,    -1,    -1,  2076,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3024,   382,   417,   857,   385,   386,   146,   861,
      -1,    -1,    -1,  3035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   875,    -1,   253,    -1,    -1,    -1,    -1,
     882,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   893,    -1,    -1,  2503,    -1,    -1,    -1,    -1,  5173,
      -1,    -1,    -1,   251,    -1,   283,    -1,    -1,   256,    -1,
     288,    -1,  2151,  2152,    -1,    -1,    -1,    -1,    -1,   921,
      -1,    -1,    -1,    -1,   926,  2164,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,  2543,   937,    -1,    -1,    -1,  2548,
    2179,  2180,   320,  2552,   292,    -1,   475,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,   963,  2201,   251,   527,    -1,    -1,    -1,   256,  2578,
      -1,    -1,    -1,    -1,    -1,   323,   978,    -1,    -1,    -1,
      -1,    -1,   984,    -1,    -1,    -1,    -1,    -1,   336,   277,
     278,    -1,    -1,   995,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,  1009,   386,    -1,
      -1,  2620,   390,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,  2637,    -1,
      -1,    -1,    -1,    -1,   412,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,   336,    -1,
      -1,   339,    -1,    -1,   432,    -1,    -1,    -1,  2667,    -1,
    5334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    89,    -1,    -1,   452,    -1,    -1,  2499,    -1,    -1,
      -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2698,
      -1,    -1,  2331,  2702,    -1,    -1,    -1,  2519,   116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1108,    -1,   486,    -1,
      -1,  2720,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2731,    -1,    -1,    -1,    -1,  1129,    -1,   417,
      -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,  2560,    -1,
      -1,    -1,  3704,   161,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3554,    -1,    -1,    -1,    -1,  3559,    -1,    -1,
      -1,    -1,   510,    -1,  3336,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,  3581,
      -1,  3353,    -1,    -1,    -1,  2424,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,  1197,  1198,    -1,    -1,   217,
      -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,
      -1,  5515,  2481,    -1,  2483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3655,    84,    -1,    -1,    87,    -1,    -1,
    3662,    91,    92,    93,  2503,    -1,    -1,    -1,    -1,    -1,
    3442,    -1,  3444,    -1,    -1,    -1,    -1,    -1,   108,    84,
      -1,    -1,    87,    -1,    -1,  2707,   116,    -1,    -1,    -1,
      -1,    -1,   122,  2715,    -1,  2717,  3858,    -1,  3860,    -1,
      -1,    -1,    -1,  5577,  2543,    -1,    -1,    -1,  2547,  2548,
      -1,   116,    -1,  2552,    -1,    -1,   146,   122,    -1,    -1,
      -1,  2560,  5596,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,  3503,    87,    -1,    -1,    -1,    -1,  3739,    -1,  2578,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3528,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2987,    -1,
    5515,  2620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,  2631,    -1,  1429,    -1,    -1,    -1,  2637,  2638,
    3009,    -1,    -1,    -1,    -1,   210,    -1,    -1,  3017,  3971,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,  2666,  2667,    -1,
      -1,  2670,    -1,    -1,    -1,  1470,    -1,    -1,    -1,    -1,
      -1,    -1,  5577,  1478,    -1,  3617,   251,   277,   278,  1484,
      -1,   256,    -1,    -1,    -1,   210,    -1,  2696,    -1,  2698,
    1462,  5596,   292,  2702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,
    1482,  2720,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,  2731,   323,    84,    -1,   251,    87,    -1,    -1,
      -1,   256,    98,  1505,    -1,  2744,   336,    98,   104,   339,
      -1,    -1,    -1,   104,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,   336,   122,    -1,    -1,    -1,    -1,   292,    -1,  1541,
    3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,   144,    -1,  1557,   146,    -1,    -1,  2981,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1572,  2810,    -1,  1575,    -1,    -1,    -1,    -1,    -1,    -1,
    3752,   336,    -1,    -1,    -1,    -1,    -1,   417,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,   195,
      -1,  3773,    -1,    -1,   195,    -1,   202,    -1,    -1,   205,
      -1,   202,   417,   108,   205,    -1,    -1,    -1,    -1,    -1,
     210,   116,    -1,    -1,    -1,    -1,  3798,   122,    -1,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,  2876,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3832,   251,   417,    -1,    -1,   261,   256,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  4079,  3287,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,  2938,
    1702,    -1,   292,    -1,    -1,   510,    -1,    -1,  1710,  1711,
      -1,    -1,   517,   518,   519,   520,   521,   522,    -1,  1721,
      -1,  3330,   318,    -1,   320,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,   330,
      -1,    -1,   338,    -1,  4146,  4147,   336,   338,  2987,    -1,
      -1,    -1,   348,    -1,    -1,   510,   251,   348,    -1,    -1,
      -1,   256,   517,   518,   519,   520,   521,   522,  3190,    -1,
    3009,    -1,  1774,  1775,  1776,    -1,    -1,    -1,  3017,    -1,
      -1,    -1,   277,   278,    -1,    -1,   382,    -1,    -1,   385,
     386,   382,    -1,  1795,   385,   386,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,   412,    -1,  1825,  3433,    -1,    -1,   417,   323,    -1,
    1832,    -1,    -1,    -1,    -1,    -1,  3445,  1839,    -1,   857,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3093,    -1,    -1,   875,    -1,    -1,
    3099,    -1,  4424,    -1,   882,    -1,  4428,    -1,    -1,  4271,
    4272,  4273,  4274,  4275,    -1,   893,    -1,    -1,    -1,   475,
      -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4300,    -1,
      -1,    -1,    -1,   921,    -1,    -1,    -1,    -1,   926,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,   937,
     510,    -1,   417,    -1,    -1,    -1,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,   963,    -1,    -1,    -1,    84,
      -1,  3190,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
     978,    -1,    -1,    -1,    -1,    -1,   984,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,   995,    -1,    -1,
      -1,   116,   144,    -1,    -1,    -1,    -1,   122,  1990,    -1,
      -1,  1009,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,   510,    -1,  4189,   513,   514,
     515,   108,   517,   518,   519,   520,   521,   522,    -1,   116,
      -1,    -1,   527,   195,    -1,   122,    -1,  2039,    -1,    -1,
     202,    -1,    -1,   205,    -1,    -1,    -1,    -1,  3287,    -1,
      -1,    -1,    -1,    -1,  4456,    -1,    -1,    -1,  2060,   146,
      -1,    -1,  2064,    -1,  3303,  3304,    -1,    -1,   230,    -1,
    2105,    -1,    -1,    -1,  2076,    -1,   111,    -1,    -1,  4481,
    3689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1106,    -1,
    1108,  3330,  1110,    -1,  3333,   130,    -1,    -1,  3707,   261,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2150,   251,    -1,    -1,  2154,
      -1,   256,    -1,  3732,    -1,  2160,  2161,    -1,   163,    -1,
      -1,    -1,  3554,    -1,    -1,    -1,    -1,  3559,    -1,  4541,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,  2183,  2151,
    2152,    -1,    -1,    -1,    -1,    -1,   318,   292,   320,    -1,
    4562,  4563,  2164,    -1,   251,  4567,  4568,    -1,   330,   256,
    3409,  3410,  3411,    -1,    -1,    -1,   338,  2179,  2180,  1197,
    1198,    -1,    -1,    -1,    -1,   220,   348,    -1,   323,    98,
     277,   278,    -1,    -1,  3433,   104,    -1,    -1,    -1,  2201,
      -1,   336,    -1,    -1,   339,   292,  3445,    -1,    -1,    -1,
    3449,    -1,    -1,    -1,    -1,    -1,  4388,    -1,   253,  3458,
     382,    -1,    -1,   385,   386,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4636,   144,   323,    -1,    98,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,   283,   336,
     412,    -1,   339,   288,  4816,    -1,    -1,    -1,    -1,  4821,
      -1,    -1,  1280,  1281,  4826,    -1,    -1,  4829,  4830,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,  3522,   144,   320,   195,    -1,    -1,    -1,
      -1,    -1,    -1,   202,    -1,    -1,   205,  4859,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4873,    -1,   475,    -1,    -1,    -1,  3739,    -1,  3558,
      -1,   230,    -1,    -1,    -1,  3564,    -1,  3566,    -1,  2331,
     417,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,  3578,
      -1,  3580,   202,  4515,    -1,   205,    -1,    -1,    -1,    -1,
      -1,   386,   261,    -1,  4916,   390,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,    -1,    -1,    -1,    -1,    -1,   404,
     230,    -1,  4544,    -1,    -1,   510,    -1,   412,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,  2423,   424,
     525,    -1,  4564,    -1,  4003,  3634,    -1,   432,    -1,    -1,
      -1,   261,    -1,    -1,    -1,  4967,    -1,    -1,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,
      -1,   330,  2424,   510,    -1,    -1,   513,   514,   515,   338,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,   348,
     527,    -1,    -1,    -1,  1462,  4847,  4618,   111,    -1,    -1,
    3689,   486,    -1,    -1,    -1,   490,    -1,    -1,   318,  5021,
     320,    -1,    -1,    -1,  1482,    -1,   130,    -1,  3707,    -1,
     330,    -1,    -1,   382,    -1,    -1,   385,   386,   338,  2481,
      -1,  2483,    -1,    -1,    -1,    -1,    -1,  1505,   348,    -1,
    3729,  4100,    -1,  3732,  4103,    -1,    -1,    -1,    -1,   163,
      -1,  2503,    -1,   412,  4906,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,  1541,  5086,   385,   386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1557,
      -1,  2543,    -1,    -1,    -1,  2547,  2548,    -1,    -1,  4721,
    2552,    -1,   412,    -1,  1572,    -1,   220,  1575,  2560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,
    3809,    -1,    -1,    -1,    -1,    -1,  2578,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,  4200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,  2620,   283,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,  4051,
      -1,    -1,    -1,    -1,    -1,  2637,  2638,  5199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,  4079,    -1,    -1,
      -1,    -1,    -1,    -1,  2666,  2667,    -1,    -1,  2670,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,  1702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1710,  1711,  4303,    -1,  2698,   108,    -1,    -1,
    2702,    -1,    -1,  1721,    -1,   116,  5268,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,  2720,    -1,
      -1,    -1,   386,    -1,    -1,    -1,   390,    -1,    -1,  2731,
      -1,  5293,    -1,   397,    -1,   146,    -1,    -1,    -1,    -1,
     404,    -1,  2744,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,  2753,    -1,    -1,   164,    -1,  1774,    -1,    -1,    -1,
     424,    -1,    -1,    -1,  4003,    -1,    -1,    -1,   432,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,  1795,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,  5363,   212,    -1,   116,    -1,  4045,    -1,  2810,    -1,
     122,  4050,    -1,  4052,   224,    -1,    -1,    -1,    -1,   229,
      -1,  1839,   486,    -1,   234,    -1,   490,    -1,    -1,   239,
      -1,  1849,   242,    -1,   146,   245,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,  5253,    -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,
      -1,  4100,    -1,   273,  4103,  5427,   277,   278,    -1,    -1,
    1888,    -1,    -1,    -1,  2876,  2910,    -1,    -1,  4300,    -1,
      -1,   292,  5054,   293,    -1,    -1,    -1,    -1,    -1,    -1,
    2925,    -1,    -1,  2928,  2929,    -1,    -1,    -1,  2933,  2934,
      -1,  4140,  5464,    -1,    -1,  2940,    -1,    -1,  5470,  5471,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5092,    -1,   332,    -1,   334,   336,    -1,    -1,   339,    -1,
     340,    -1,    -1,    -1,    -1,    -1,  2938,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,  4185,  4186,    -1,    -1,
    4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4198,
      -1,  4200,  4571,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,  1990,    -1,    -1,    -1,    -1,  5149,    -1,   389,
     292,  5153,  5154,    -1,  3019,  2987,    -1,    -1,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,  3009,    -1,    -1,
      -1,   323,    -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,
      -1,  2039,    -1,  5585,   336,    -1,    -1,   339,   438,    -1,
      -1,  4270,    -1,    -1,    -1,  5597,  5598,   144,    -1,    -1,
      -1,    -1,  2060,    -1,    -1,    -1,  2064,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,  2076,    -1,
      -1,    -1,    -1,    -1,  4303,    -1,    -1,    -1,    -1,    -1,
      -1,  5243,    -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,
      -1,  3093,    -1,    -1,    -1,   202,    -1,  3099,   205,   510,
      -1,    -1,   513,   514,   515,   417,   517,   518,   519,   520,
     521,   522,    -1,  5515,   524,    -1,   527,   527,   528,  4541,
     530,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2151,  2152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,  4756,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,  2180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2201,    98,    -1,    -1,    -1,  3190,    -1,
     104,    -1,    -1,    -1,  5596,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,   318,    -1,   320,  4636,   527,    -1,    -1,   866,   867,
      -1,    -1,   870,   330,   872,    -1,    -1,    -1,    -1,    -1,
     144,   338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   348,    -1,    -1,   892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4867,    -1,
    4869,    -1,    -1,    -1,   912,    -1,    -1,    -1,   916,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,   386,
      -1,   195,    -1,    -1,  3319,  3287,   934,    -1,   202,    -1,
      -1,   205,    -1,  4532,    -1,    -1,  4535,    -1,    -1,    -1,
      -1,  3303,  3304,    -1,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2331,    84,    -1,   230,    87,    -1,    -1,
    4559,    91,    92,    93,    -1,    -1,    -1,    -1,  3330,    -1,
      -1,  3333,  4571,    84,    -1,    -1,    87,    -1,   108,    -1,
      91,    92,    93,    -1,    -1,    -1,   116,   261,    -1,    -1,
    4589,    -1,   122,    -1,    -1,    -1,    -1,   108,    -1,  3394,
      -1,  3396,    -1,    -1,    -1,   116,    -1,    -1,   475,    -1,
      -1,   122,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,  4636,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,   320,  3409,  3410,  3411,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,
      -1,  3433,    -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3445,    -1,    -1,    -1,  3449,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,  3458,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,  3502,   382,    -1,
      -1,   385,   386,  3508,    -1,   108,    -1,    -1,    -1,    -1,
      -1,   251,    -1,   116,  4906,  2503,   256,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
     251,    -1,    -1,    -1,    -1,   256,    -1,   277,   278,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,  4756,    -1,    -1,
    3522,    -1,   292,    -1,    -1,  2543,   277,   278,    -1,  2547,
    2548,    -1,    -1,    -1,  2552,    -1,    -1,    -1,    -1,    -1,
      -1,   292,  2560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,  3558,    -1,    -1,    -1,
    2578,   475,  3564,    -1,  3566,    -1,   336,    -1,    -1,   339,
      -1,    -1,   323,    -1,    -1,    -1,  3578,    -1,  3580,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2620,    -1,    -1,    -1,    -1,  1255,  1256,    -1,
      -1,    -1,    -1,  2631,  3649,    -1,    -1,    -1,   251,  2637,
    2638,    -1,    -1,   256,    -1,    -1,    -1,    -1,  4867,    -1,
    4869,    -1,  3634,    -1,    -1,    -1,    -1,  3672,  3673,    -1,
    3675,    -1,  3677,  3678,   277,   278,    -1,   417,  2666,  2667,
      -1,    -1,  2670,    -1,    -1,  3690,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,  4907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,
    2698,    -1,    -1,    -1,  2702,    -1,    -1,  3689,    -1,  1337,
     323,    -1,    -1,    -1,    -1,    -1,  3731,    -1,    -1,    -1,
      -1,    -1,  2720,   336,    -1,  3707,   339,    -1,    -1,    -1,
    1358,  1359,    -1,  2731,  4953,    -1,  4955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2744,  3729,    -1,    -1,
    3732,  1379,    -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,
      84,    -1,    -1,    87,   417,    -1,    -1,    91,    92,    93,
      -1,    -1,  2810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,  5415,  3809,    -1,    -1,
    1458,  1459,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,  2876,    -1,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,    -1,  5143,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
    2938,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
     108,    -1,    91,    92,    93,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,   251,    -1,   108,
      -1,   195,   256,    -1,    -1,    -1,    -1,   116,   202,    -1,
      -1,   205,    -1,   122,    -1,    -1,    -1,    -1,   146,  2987,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,   146,   292,    -1,
      -1,  3009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3017,
      -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,  4050,    -1,
    4052,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,   251,   318,  3093,   320,   108,   256,    -1,
      -1,  3099,    -1,    -1,    -1,   116,   330,    -1,   152,    -1,
      -1,   122,   251,    -1,   338,  5334,    -1,   256,  4100,   277,
     278,  4103,    -1,    -1,   348,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   292,   146,    -1,    -1,   277,   278,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,  4140,    -1,
      -1,   385,   386,    -1,   208,   323,   210,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
     224,   339,    -1,    -1,   323,    -1,    -1,    -1,   412,   233,
      -1,    -1,  3190,    -1,    -1,    -1,  5415,   336,    -1,    -1,
     339,    -1,    -1,  4185,  4186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4198,    -1,  4200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
     251,    -1,    -1,   527,    -1,   256,    -1,    -1,    -1,    -1,
      -1,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
      -1,    -1,    -1,  4278,    -1,    -1,   277,   278,    -1,    -1,
      -1,  4286,  4287,  4288,  4289,    -1,    -1,    -1,   417,    -1,
      -1,   292,    -1,    -1,  1912,    -1,    -1,    -1,  4270,  3287,
      -1,    -1,    -1,    -1,    -1,    -1,  5515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3303,  3304,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4303,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
      -1,    -1,  3330,    -1,    -1,  3333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1976,  1977,
    1978,  1979,   510,    -1,    -1,   513,   514,   515,  5577,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,
      -1,   510,    -1,    -1,   513,   514,   515,  5596,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,  2019,  2020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
    2038,  3409,  3410,  3411,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3433,    -1,    -1,  2066,  2067,
    2068,  2069,    -1,    -1,    -1,    -1,    -1,  3445,    -1,    -1,
      -1,  3449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4513,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,
    4545,  4546,    -1,    -1,    -1,  2163,    -1,    -1,  2166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2176,    -1,
    4532,    -1,    -1,  4535,    -1,    -1,    -1,  2185,    -1,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,  3564,    -1,  3566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,
    3578,    -1,  3580,    -1,    -1,    -1,    -1,    -1,    -1,  4571,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4619,  4620,    -1,  4589,    -1,    -1,
      -1,   655,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,  3634,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,  4636,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,  3689,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2334,    -1,    -1,  3707,
      -1,    -1,    -1,    -1,  4729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4739,  4740,    -1,    -1,    -1,    -1,
      -1,  3729,    -1,    -1,  3732,    -1,    -1,    -1,    -1,    -1,
    4755,    -1,    -1,    -1,    -1,    -1,   137,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,  4756,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,  3809,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,   865,   866,   867,   868,    -1,   870,    -1,   872,    -1,
     874,    -1,   876,    -1,    -1,   879,   227,    -1,    -1,    -1,
      -1,   885,    -1,    -1,   888,    -1,    -1,    -1,   892,    -1,
     894,    -1,    -1,    -1,    -1,    -1,    -1,   248,   902,    -1,
      -1,    -1,    -1,   907,    -1,   909,    -1,    -1,   912,    -1,
     914,    -1,   916,    -1,    -1,    -1,    -1,    -1,    -1,   923,
     271,    -1,    -1,   927,    -1,  4867,    -1,  4869,    -1,    -1,
     934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,   307,    -1,    -1,   310,
     256,    -1,    -1,   967,    -1,  4907,    -1,    -1,   972,    -1,
      -1,    -1,    -1,   977,   325,    -1,    -1,   981,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   998,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2594,  2595,    -1,    -1,
      -1,  4953,    -1,  4955,    -1,  2603,    -1,  2605,    -1,    -1,
      -1,  2609,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,  4003,    -1,    -1,    -1,    -1,
    1054,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1069,    -1,  1071,    -1,    -1,
      -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,
      -1,    -1,  4050,    -1,  4052,  1099,  1100,    -1,   449,    -1,
    1104,  1105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
    1124,   417,    -1,    -1,  1128,  2713,    -1,    -1,   479,    -1,
      -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4100,  1147,    -1,  4103,    -1,    -1,    -1,  5124,
      -1,    -1,    -1,    -1,    -1,  1159,   507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    -1,   517,   518,   519,   520,
     521,    -1,    -1,   524,   525,   526,    -1,    -1,    -1,    -1,
     531,   532,  4140,  2771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2779,    -1,  2781,    -1,  5170,    -1,    -1,    -1,  2787,
      -1,  5143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,  4185,  4186,    -1,
      -1,   527,    -1,    -1,    -1,    -1,    -1,  1241,    -1,    -1,
    4198,    -1,  4200,    -1,    -1,    -1,  1250,    -1,    -1,    -1,
      -1,  1255,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,  1318,    -1,    -1,    -1,  1322,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,  2917,
      -1,  2919,   876,  1337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   885,    -1,    -1,    -1,  4303,    -1,    -1,  1352,    -1,
     894,   146,    -1,    -1,  1358,  1359,    -1,    -1,   902,    -1,
      -1,    -1,    -1,   907,    -1,    -1,    -1,    -1,     5,    -1,
      -1,  1375,  1376,  1377,    -1,  1379,    -1,  1381,    -1,    -1,
      -1,    -1,  1386,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,  5334,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    40,    -1,    42,    43,    -1,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,
    3038,    -1,  1456,    -1,  1458,  1459,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1497,    -1,    -1,    -1,   292,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1069,    -1,    -1,   323,    -1,
      -1,  1535,  1536,    -1,    -1,    -1,  1540,    -1,  1542,    -1,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1105,    -1,    -1,  1568,    -1,    -1,  1571,    -1,    -1,
    1574,    -1,   209,  5515,  4532,    -1,    -1,  4535,    -1,    -1,
    1124,    -1,  1586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4559,    -1,  1147,    -1,    -1,    -1,    -1,    -1,    84,
    1614,   248,    87,  4571,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4589,    -1,   108,   271,  5577,    -1,    -1,  1642,  1643,
    1644,   116,  1646,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,  5596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,   146,    -1,   310,    -1,    -1,    -1,    -1,  4636,    -1,
      -1,    -1,    -1,    -1,  1688,  1689,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1250,    -1,    -1,    -1,
      -1,    -1,    -1,  1717,    -1,   510,  1720,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,  1753,
    1754,    -1,    -1,    -1,  3342,    -1,  3344,  3345,  3346,    -1,
    1764,  1765,  1766,    -1,    -1,    -1,   403,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,  1352,    -1,
      -1,    -1,   449,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,
      -1,  1375,  1376,  1377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
     507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,
     517,   518,   519,   520,   521,    -1,    -1,   524,   525,   526,
     527,    -1,   529,   530,   531,   532,   533,  1901,  1902,    -1,
      -1,    -1,    -1,    -1,    -1,  1909,    -1,    -1,  1912,  4867,
      -1,  4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1931,    -1,  1933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1941,    -1,    -1,
    1944,  3529,   417,    -1,    -1,    -1,    -1,    -1,    -1,  4907,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1976,  1977,  1978,  1979,  1980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1994,    -1,    -1,    -1,    -1,  4953,  1540,  4955,    -1,    -1,
      -1,    -1,  2006,    -1,  2008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2019,  2020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2028,    -1,    -1,  1571,    -1,    -1,
      -1,    -1,    -1,    -1,  2038,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,   527,  2057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2066,  2067,  2068,  2069,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2078,    -1,    -1,    -1,    -1,    -1,
      -1,  2085,    -1,    -1,  2088,    -1,    -1,    -1,    -1,    -1,
      -1,  3679,    -1,  3681,    -1,    -1,    -1,  3685,    -1,    -1,
    2104,    -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,
      -1,    -1,  2116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3742,  2159,    -1,    -1,    -1,  2163,
      -1,    -1,  2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2176,  1717,    -1,    -1,    -1,    -1,    -1,    -1,
    2184,  2185,    -1,    -1,    -1,  5143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1765,    -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,
      -1,    -1,    -1,    -1,    -1,  2239,    -1,  2241,    -1,    -1,
      -1,  2245,  2246,    -1,  2248,    -1,    -1,    -1,    -1,    -1,
      -1,  2255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,    -1,    -1,    -1,    -1,  2270,  2271,    -1,    -1,
    2274,    -1,    -1,    -1,  2278,  2279,    -1,    -1,    -1,    -1,
    2284,  2285,    -1,    -1,    -1,    -1,    -1,  2291,  2292,  2293,
      -1,    -1,    -1,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,    -1,  2306,    -1,  2308,  2309,    -1,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2327,  2328,  2329,  2330,    -1,    -1,    -1,
    2334,  2335,    -1,    -1,    -1,  2339,    -1,    -1,  2342,    -1,
      -1,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
      -1,  2355,    -1,    -1,    -1,    -1,    -1,  1901,  2362,  2363,
      -1,    -1,  2366,    -1,    -1,  1909,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,  5334,    -1,    -1,    91,
      92,    93,    -1,    -1,  2388,    -1,    -1,    -1,    -1,  1933,
      -1,    -1,    -1,    -1,    -1,    -1,   108,  1941,    -1,    -1,
    1944,    -1,    -1,    -1,   116,  3993,  3994,  3995,  3996,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2425,    -1,  2427,    -1,  2429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,  1980,    -1,    -1,  2443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2452,  2453,
    1994,    -1,    -1,    -1,    -1,    -1,    -1,  5415,    -1,    -1,
      -1,    -1,  2466,    -1,  2008,    -1,    98,    -1,    -1,  2473,
      -1,  2475,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   144,  2057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2078,    -1,    -1,    -1,    -1,   251,
      -1,  2085,    -1,    -1,   256,   177,    -1,    -1,    -1,  2553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5515,  2562,    -1,
    2564,    -1,    -1,   195,    -1,   277,   278,    -1,    -1,    -1,
     202,    -1,  4160,   205,    -1,    -1,    -1,  2581,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2592,    -1,
    2594,  2595,    -1,    -1,    -1,  2599,    -1,  2601,   230,  2603,
      -1,  2605,    -1,    -1,    -1,  2609,    -1,    -1,  2612,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5577,
      -1,    -1,    -1,    -1,   336,    -1,   258,   339,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2641,  5596,    -1,
      -1,    -1,    -1,    -1,  2648,    -1,    -1,    -1,    -1,    -1,
    2654,    -1,    -1,    -1,  2198,    -1,    -1,    -1,    -1,  2663,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,    -1,   308,    -1,  2682,    -1,
      -1,    -1,  2686,  2687,    -1,    -1,   318,    -1,   320,    -1,
      -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,  2245,  2246,    -1,    -1,   417,   338,    -1,    -1,  2713,
      -1,    -1,    -1,    -1,    -1,   347,   348,    -1,    -1,    -1,
      -1,  2265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2740,    -1,  2742,  2743,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,   385,   386,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2779,    -1,  2781,    -1,    -1,
     412,    -1,    -1,  2787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    -1,    -1,  2801,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,  2815,    -1,    -1,  2818,   527,  2820,    -1,  2362,  2823,
      -1,    -1,  2826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   475,  2388,    -1,    -1,    -1,  2852,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,  2862,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2425,    -1,  2427,  2888,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2902,  2903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2915,    -1,  2917,  2918,  2919,  2920,    -1,    -1,    -1,
      -1,    -1,  2466,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2946,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,  2969,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,  3011,    -1,    -1,
      -1,  4599,    -1,    -1,    -1,    -1,    -1,  3021,    -1,    -1,
      -1,    -1,    -1,  3027,    -1,  4613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3038,    -1,    -1,    -1,    -1,    -1,
    3044,    -1,    -1,    -1,    -1,  3049,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,  3073,
    3074,   101,    -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3085,  3086,  3087,  3088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3098,    -1,    -1,  3101,    -1,  3103,
      -1,    -1,    -1,    -1,   134,    -1,  4694,    -1,    -1,    -1,
    3114,  3115,    -1,    -1,  3118,    -1,    -1,   147,   148,  2663,
      -1,    -1,    -1,    -1,    -1,    -1,  3130,   157,  3132,   209,
    3134,   161,  3136,    -1,    -1,    -1,    -1,    -1,  2682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,   179,
      -1,    -1,  3156,    -1,    -1,    -1,  3160,    -1,    -1,    -1,
      -1,    -1,    -1,  3167,    -1,  3169,  3170,  3171,   248,    -1,
     200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
    3194,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    -1,  3207,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,   259,
     310,    -1,  3236,    -1,    -1,  3239,    -1,    -1,  3242,    -1,
    3244,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   305,  2820,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4875,  4876,  4877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3309,   336,  3311,    -1,    -1,
      -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,   356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,  3342,    -1,
    3344,  3345,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,   398,   449,
     400,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,   409,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,
      -1,   441,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,   452,    -1,   454,    -1,    -1,   507,     5,   459,
      -1,  5019,    -1,    -1,    -1,   515,    -1,   517,   518,   519,
     520,   521,    -1,  3447,   524,   525,   526,   527,    25,    -1,
      -1,   531,    -1,    -1,   484,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    42,    43,  3011,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    98,    85,    -1,
      -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3529,    -1,    -1,    -1,    -1,
      -1,    -1,  3536,  3537,    -1,    -1,    -1,    -1,   129,    -1,
      -1,    -1,    -1,  5131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,  3570,  3571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5166,    -1,
    5168,    -1,  3586,    -1,    -1,    -1,   177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3601,  3602,    -1,
      -1,    -1,   116,    -1,   195,    -1,  3610,  3611,  3612,    -1,
      -1,   202,    -1,    -1,   205,    -1,  3160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3628,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,   230,
      -1,  3645,   973,    -1,    -1,    -1,    -1,   161,    -1,    -1,
     227,    -1,    84,    -1,    -1,    87,    -1,    -1,  3662,    91,
      92,    93,    -1,   994,    -1,    -1,    -1,   258,    -1,    -1,
     261,   248,    -1,    -1,    -1,  3679,   108,  3681,    -1,    -1,
     112,  3685,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,   271,   209,    -1,    -1,    -1,    -1,
    3704,    -1,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,
    3714,  5299,    -1,    -1,   146,   306,    -1,   308,   232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3730,   318,    -1,   320,
     307,    -1,    -1,   310,    -1,    -1,    -1,    -1,  3742,   330,
      -1,    -1,    -1,    -1,    -1,  3749,    -1,   338,   325,    -1,
      -1,    -1,    -1,    -1,  3758,    -1,   347,   348,    -1,    -1,
    3764,   193,  3766,    -1,    -1,  3769,    -1,    -1,    -1,  5357,
    3774,  3775,  3776,  3777,    -1,    -1,  3780,  3781,  3782,  3783,
    3784,  3785,  3786,  3787,  3788,  3789,    -1,    -1,    -1,  3793,
    3794,   382,    -1,    -1,   385,   386,   387,    -1,    -1,  3803,
      -1,    -1,    -1,  3807,    -1,    -1,    -1,  3811,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3819,    -1,    -1,  3822,   251,
    3824,   412,    -1,    -1,   256,    -1,   403,    -1,    -1,  3833,
      -1,    -1,  3836,  3837,    -1,   426,    -1,  3841,  3842,    -1,
      -1,    -1,  3846,    -1,  3848,   277,   278,    -1,    -1,  5437,
      -1,  3855,  3856,  3857,  3858,    -1,  3860,  3861,    -1,    -1,
     292,  3865,  3866,    -1,    -1,    -1,    -1,    -1,  3872,    -1,
      -1,    -1,   449,    -1,  3878,  3879,  3880,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   475,    -1,    -1,   464,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,  3447,   336,    -1,    -1,   339,    -1,    -1,
      -1,  5499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,
     507,    -1,    -1,    -1,  3938,    -1,  3940,    -1,   515,    -1,
     517,   518,   519,   520,   521,    -1,    -1,   524,   525,   526,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3971,  3972,  3973,
      -1,  3975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1314,    -1,   417,    -1,    -1,    -1,  3993,
    3994,  3995,  3996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,  3571,  4032,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     472,    -1,  3586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3602,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,  3612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,  3628,   517,   518,   519,   520,   521,
     522,    -1,    -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,  4117,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,  4158,    -1,  4160,    -1,  4162,    -1,
      -1,    -1,    -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,
    4174,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,  4183,
      -1,    -1,    84,    -1,    -1,    87,  3730,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,  4213,
      -1,    -1,    -1,    -1,   116,    -1,    -1,  4221,    -1,    -1,
     122,    -1,    -1,    -1,  1555,    -1,    -1,  4231,    -1,    -1,
      -1,  4235,    -1,    -1,    -1,  4239,  4240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,  4271,  4272,  4273,
    4274,  4275,    -1,    -1,    -1,    -1,    -1,  4281,   251,  4283,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,  4293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,
      -1,  3855,  3856,  3857,    -1,    -1,    -1,    -1,    -1,   292,
    4324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   857,    -1,    -1,    -1,    -1,    -1,   251,
     323,   865,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
     874,  4365,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,
      -1,  4375,  4376,    -1,  1705,   277,   278,    -1,  4382,  4383,
      -1,    -1,    -1,  4387,    -1,    -1,    -1,    -1,  4392,    -1,
     292,  4395,  4396,    -1,    -1,   909,  4400,  4401,    -1,    -1,
      -1,    -1,  4406,  4407,  4408,  4409,  4410,    -1,    -1,    -1,
    4414,  4415,    -1,  4417,    -1,    -1,  4420,    -1,    -1,    -1,
    4424,   323,    -1,    -1,  4428,    -1,    -1,    -1,    -1,    -1,
    4434,    -1,    -1,    -1,   336,    -1,  4440,   339,    -1,    -1,
      -1,  4445,    -1,    -1,   417,    -1,    -1,  4451,    -1,    -1,
      -1,    -1,    -1,   967,    -1,    -1,    -1,  4461,   360,   973,
      -1,    -1,    -1,   977,  4468,    -1,    -1,  4471,    -1,    -1,
      -1,    -1,  4476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4494,    -1,    -1,  4497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4517,  4518,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,   510,  4542,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,    -1,
      -1,    -1,  1106,    -1,    -1,  4599,  1110,    -1,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,  4613,
      -1,   513,   514,   515,  4158,   517,   518,   519,   520,   521,
     522,    -1,  1136,    -1,  4168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
    4664,    -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4677,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4231,    -1,    -1,
    4694,  4695,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,  2044,    -1,    -1,    91,    92,    93,    -1,
    4724,    -1,    -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    84,  4293,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,  1280,  1281,  4772,    -1,
      -1,   146,   108,    -1,    -1,    -1,    -1,  4781,    -1,  2110,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,  2122,    -1,  1307,  4798,  4799,    -1,    -1,  4802,    -1,
    1314,    -1,    -1,  2134,  1318,    -1,    -1,    -1,    -1,    -1,
     146,    -1,  4816,  4817,    -1,    -1,    -1,  4821,    -1,    -1,
    1334,    -1,  4826,    -1,    -1,  4829,  4830,    -1,  4832,  1343,
    4834,    -1,    -1,  4837,  4838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4407,  4408,  4409,  4410,  1381,    -1,  4873,
    4874,  4875,  4876,  4877,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
    1424,    -1,  4916,  4917,    -1,   251,    -1,   292,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,  4963,
    4964,   336,    -1,  4967,   339,    -1,  4970,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4980,    -1,    -1,    -1,
      -1,    -1,  4986,  1497,  4988,    -1,    -1,   323,    -1,    -1,
    4994,    -1,    -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,  5008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5019,  5020,  5021,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1555,   417,    -1,    -1,    -1,    -1,    -1,    -1,  5053,
      -1,    -1,  5056,    -1,  5058,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1586,    -1,    -1,    -1,    -1,    -1,  5082,    -1,
      -1,   417,  5086,    -1,    -1,    -1,  5090,    -1,    -1,    -1,
      -1,    -1,    -1,  5097,    -1,    -1,    -1,    -1,    -1,    -1,
    1614,    -1,  5106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5131,  1642,  1643,
    1644,  5135,  1646,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,  1666,    -1,  5158,    -1,    -1,    -1,    -1,    -1,
      -1,  5165,  5166,  5167,  5168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,  5180,   513,   514,   515,
    4724,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5199,    -1,    -1,  2529,    -1,
      -1,    -1,  2533,  2534,    -1,    -1,  1720,  1721,    -1,    -1,
      -1,  5215,    -1,    -1,    -1,    -1,  5220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,  1753,
    1754,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,  5265,    -1,    -1,  5268,  2596,    -1,    -1,    -1,    -1,
      -1,   108,    -1,  5277,    -1,    -1,    -1,  2608,  5282,   116,
    5284,    -1,  5286,    -1,    -1,   122,    -1,    -1,    -1,  5293,
      -1,    -1,    -1,    -1,    -1,  5299,    -1,  5301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5311,    -1,   146,
      -1,    -1,    -1,    -1,  2645,    -1,    -1,    -1,    -1,  1833,
      -1,    -1,    -1,    -1,    -1,  1839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5357,    -1,    -1,    -1,    -1,    -1,  5363,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  1888,    -1,    -1,    91,    92,    93,
      -1,    -1,  1896,    -1,  5388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5396,  5397,   108,    -1,    -1,  5401,    -1,    -1,
      -1,    -1,   116,  5407,    -1,    -1,  5410,    -1,   122,    -1,
    5414,    -1,    -1,    -1,   251,  1929,    -1,    -1,    -1,   256,
      -1,    -1,    -1,  5427,    -1,    -1,  4970,    -1,    -1,    -1,
      -1,    -1,   146,  5437,    -1,    -1,    -1,    -1,    -1,    -1,
     277,   278,  4986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5455,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
    5464,    -1,    -1,    -1,    -1,    -1,  5470,  5471,    -1,  5473,
      -1,  2802,    -1,    -1,    -1,    -1,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,  5492,    -1,
      -1,    -1,    -1,    -1,    -1,  5499,  2010,    84,    -1,   336,
      87,    -1,   339,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,  2025,    -1,    -1,    -1,    -1,    -1,   354,    -1,  2033,
     234,   108,    -1,    -1,   111,  2039,    -1,    -1,    -1,   116,
    2044,    -1,    -1,    -1,    -1,   122,    -1,   251,    -1,    -1,
      -1,  2872,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,   277,   278,    -1,    -1,  5571,  5572,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2091,   292,    -1,
     417,  5585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2104,  5135,    -1,  5597,  5598,    -1,  2110,    -1,    -1,    -1,
      -1,    -1,  2116,    -1,    -1,    -1,    -1,    -1,  2122,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2134,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2174,    -1,    -1,  2177,   251,    -1,    -1,    -1,    -1,   256,
      -1,  5215,  3003,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
     277,   278,    -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,  3035,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2241,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2278,  2279,    -1,    -1,    -1,    -1,
    2284,  2285,    -1,    -1,    -1,    -1,    -1,  2291,  2292,  2293,
      -1,    -1,    -1,  2297,    -1,  2299,  2300,  2301,  2302,  2303,
    2304,    -1,  2306,    -1,  2308,  2309,   510,    -1,  2312,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,  2326,  2327,  2328,  2329,  2330,  2331,    -1,    -1,
      -1,  2335,    -1,    -1,    -1,  2339,    -1,    -1,  2342,    -1,
     417,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
      -1,  2355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2363,
      -1,    -1,  2366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,  2443,
     517,   518,   519,   520,   521,   522,    -1,    -1,  2452,  2453,
      -1,    -1,    -1,    -1,  3275,    -1,    -1,  3278,    -1,  3280,
      -1,    -1,    -1,    -1,  3285,   212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,   229,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2529,   273,     3,    -1,  2533,
    2534,    -1,  3353,     9,    -1,    -1,    -1,    13,    -1,    15,
      -1,    17,    18,  2547,    -1,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,  3377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   332,    -1,   334,  2592,    -1,
      -1,    -1,  2596,   340,    -1,  2599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,
      -1,  3442,    -1,  3444,    -1,    -1,    -1,  2631,   104,    -1,
     106,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2645,   389,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2666,    -1,    -1,   141,  2670,   143,   144,    -1,
      -1,    -1,    -1,   149,    -1,   151,    -1,    -1,    -1,    -1,
      -1,    -1,  3503,    -1,    -1,    -1,   162,    -1,   164,    -1,
      -1,   438,  2696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,    -1,   181,    -1,  3528,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,
     196,    -1,   198,    -1,    -1,    -1,   202,    -1,    -1,    -1,
      -1,    -1,   208,  3554,    -1,    -1,    -1,    -1,  3559,    -1,
     216,   488,   218,   490,   491,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,    -1,   255,
     527,   528,    -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3617,  2801,  2802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2810,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3635,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,  3650,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,   322,    -1,    -1,   217,
      -1,   219,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,   111,    -1,    -1,  2888,   361,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,   373,    -1,    -1,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,   391,   146,    -1,   394,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,   404,   405,
      -1,  3752,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
     416,    -1,  2946,    -1,    -1,    -1,    84,    -1,    -1,    87,
     426,    -1,  3773,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,   438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,  3798,   116,    -1,
      -1,   457,    -1,   459,   122,    -1,    -1,    -1,    -1,    -1,
      -1,   467,    -1,    -1,    -1,    -1,    -1,   473,    -1,  3003,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,   146,    -1,
      -1,  3832,    -1,    -1,    -1,   491,    -1,  3021,    -1,    -1,
    3024,   251,    -1,  3027,    -1,    -1,   256,    -1,    -1,    -1,
      -1,  3035,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
    3044,    -1,    -1,    -1,    -1,  3049,    -1,   277,   278,    -1,
     526,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,  3072,  3073,
    3074,    -1,    -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3085,  3086,  3087,  3088,    -1,    -1,    -1,    -1,  3093,
      -1,    -1,    -1,   323,  3098,  3099,    -1,  3101,    -1,  3103,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
    3114,  3115,    -1,   251,  3118,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3132,    -1,
    3134,    -1,  3136,    -1,    -1,  3956,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,  3156,    -1,   292,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,  3167,    -1,  3169,  3170,  3171,    -1,    -1,
      -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,   323,   122,   417,    -1,    -1,
    3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,  3207,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4051,    -1,  3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3275,    -1,    -1,  3278,    -1,  3280,    -1,    -1,   417,
     510,  3285,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3309,    -1,    -1,   446,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,  3353,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4189,    -1,
      -1,    -1,   510,  3377,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,  3409,  3410,  3411,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,  4238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  3442,    -1,
    3444,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,   417,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,   865,    -1,  3503,
      -1,    -1,    -1,    -1,    -1,    -1,   874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,
    3554,    -1,    -1,    -1,  3558,  3559,    -1,  4378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4388,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   967,
      -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,   977,
      -1,    -1,    -1,  3617,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,
      -1,  3635,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,  3650,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,
    3704,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,   310,
      -1,    -1,    -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,    -1,   325,    -1,    -1,    -1,  1106,    -1,
      -1,    -1,  1110,  4564,    -1,  3749,    -1,    -1,  3752,    -1,
      -1,    -1,    -1,    -1,  3758,    -1,    -1,    -1,    -1,    -1,
    3764,    -1,  3766,    -1,    -1,  3769,    -1,    -1,  1136,  3773,
    3774,  3775,  3776,  3777,    -1,    -1,  3780,  3781,  3782,  3783,
    3784,  3785,  3786,  3787,  3788,  3789,    -1,    -1,    -1,  3793,
    3794,    -1,    -1,    84,  3798,    -1,    87,  4618,    -1,  3803,
      91,    92,    93,  3807,    -1,  3809,    -1,  3811,   251,    -1,
      -1,    -1,   403,   256,    -1,  3819,    -1,   108,  3822,    -1,
    3824,    -1,    -1,    -1,    -1,   116,    -1,    -1,  3832,  3833,
      -1,   122,  3836,  3837,   277,   278,    -1,  3841,  3842,    -1,
      -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,  3858,   146,  3860,    -1,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3872,    -1,
      -1,    -1,    -1,   464,  3878,  3879,  3880,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,
    4721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1280,  1281,    -1,    -1,   507,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,   515,    -1,   517,   518,   519,   520,
     521,    -1,    -1,   524,   525,   526,  3940,    -1,    -1,  1307,
     531,    -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,    -1,
    1318,   101,  3956,    -1,    -1,  4776,    -1,    -1,    -1,    -1,
     251,    -1,    -1,   113,    -1,   256,  1334,  3971,    -1,    -1,
      -1,    -1,    -1,    -1,   417,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,
      -1,   161,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    -1,   323,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,  4045,    -1,    -1,    -1,   336,  4050,  4051,  4052,    -1,
     200,    -1,    -1,    -1,    -1,    -1,  1424,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,    -1,    -1,   510,    -1,   219,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,   231,    -1,    -1,    -1,  4906,    -1,    -1,   238,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,  1497,
      -1,    -1,    -1,    -1,    -1,   164,  4140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,  4162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,  4189,   336,  1555,    -1,   339,
      -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
     229,    -1,  5023,    -1,    -1,   234,   356,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,   245,    -1,  1586,   510,
      -1,    -1,   513,   514,   515,   375,   517,   518,   519,   520,
     521,   522,    -1,  5054,  4238,  4239,  4240,    -1,    -1,    -1,
      -1,    -1,    -1,   393,   273,    -1,  1614,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,   409,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,  5092,    -1,    -1,  1642,  1643,  1644,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,
      -1,   441,   442,    -1,   444,   445,    -1,    -1,  1666,    -1,
      -1,    -1,    -1,   332,   454,   334,    -1,    -1,    -1,   459,
      -1,   340,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,
    4324,   471,    -1,    -1,    -1,    -1,    -1,    -1,  5149,    -1,
      -1,  4335,  5153,  5154,   484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     389,  4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4375,  4376,    -1,  4378,    -1,    -1,    -1,  4382,  4383,
      -1,  1749,    -1,  4387,  4388,  1753,  1754,    -1,  4392,    -1,
      -1,  4395,  4396,    -1,    -1,    -1,  4400,    -1,    -1,    -1,
      -1,    -1,  4406,    -1,    -1,    -1,   101,    -1,    -1,   438,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
    4424,    -1,  5243,    -1,  4428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,  4440,    -1,    -1,   134,
      -1,  4445,    -1,    -1,    -1,    -1,    -1,  4451,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,   488,
      -1,   490,   491,    -1,  4468,  1833,   161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4497,    -1,   524,    -1,    -1,   527,   528,
      -1,   530,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,
    1888,    -1,    -1,    -1,   219,    -1,    -1,    -1,  1896,    -1,
      -1,  4535,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
    4544,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4564,  1929,    -1,    -1,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     305,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,  2010,    -1,    -1,    -1,    -1,    -1,    -1,  4653,
      -1,    -1,   347,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
    4664,   356,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,    -1,  2044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,
      -1,    -1,    -1,   398,    -1,   400,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,   409,  4719,    -1,  4721,    -1,    -1,
      -1,    -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,
      -1,    -1,  2110,   438,    -1,    -1,   441,    -1,  2116,    -1,
     445,    -1,    -1,    -1,  2122,    -1,    -1,   452,    -1,   454,
      -1,    -1,    -1,    -1,   459,    -1,  2134,    -1,  4772,    -1,
      -1,    -1,  4776,    -1,    -1,    -1,   471,  4781,    -1,    -1,
      -1,  2149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
      -1,    -1,    -1,    -1,  4798,  4799,    -1,    -1,  4802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,
      -1,    -1,  4816,    -1,    -1,    -1,    -1,  4821,    -1,    -1,
      -1,    -1,  4826,    -1,    -1,  4829,  4830,    -1,    -1,    -1,
      -1,    -1,    -1,  4837,  4838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4873,
      -1,    -1,    -1,  2241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2278,  2279,  4916,    -1,    -1,    -1,  2284,  2285,    -1,    -1,
      -1,    -1,    -1,  2291,  2292,  2293,    -1,    -1,    -1,  2297,
      -1,  2299,  2300,  2301,  2302,  2303,  2304,    -1,  2306,    -1,
    2308,  2309,    -1,    -1,  2312,    -1,    -1,    -1,    -1,  4953,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,  2327,
    2328,  2329,  2330,  4967,    -1,    -1,    -1,  2335,    -1,    -1,
      -1,  2339,    -1,    -1,  2342,    -1,    -1,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,    -1,  5021,    -1,  5023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5053,
    5054,    -1,  5056,    -1,  5058,    -1,    -1,   147,    -1,    -1,
      -1,  2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,  2443,    -1,    -1,  5082,    -1,
      -1,    -1,  5086,    -1,  2452,  2453,    -1,    -1,  5092,   179,
      -1,    -1,    -1,  5097,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     200,    -1,    -1,    -1,    -1,  5119,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5143,
      -1,   231,    -1,    -1,    -1,  5149,   236,    -1,    -1,  5153,
    5154,    -1,   242,    -1,  5158,    -1,    -1,    -1,    -1,    -1,
      -1,  2529,    -1,    -1,    -1,  2533,  2534,    -1,    -1,   259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,  5199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2581,    -1,   305,  5220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2592,    -1,    -1,    -1,  2596,    -1,
      -1,  2599,    -1,    -1,    -1,    -1,    -1,    -1,  5242,  5243,
    2608,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5265,    -1,  2631,  5268,    -1,   356,    -1,    -1,    -1,
      -1,    -1,    -1,  5277,    -1,    -1,   366,  2645,  5282,    -1,
    5284,    -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,  5293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   393,    -1,    -1,    -1,  5311,   398,    -1,
     400,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,   438,    -1,
      -1,   441,    -1,    -1,    -1,   445,    -1,    -1,    -1,  5363,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,   459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5396,  5397,   484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2801,  2802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5464,    -1,    -1,    -1,    -1,    -1,  5470,  5471,    -1,  5473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,  5515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5571,  5572,    -1,
      -1,    -1,    -1,  5577,    -1,    -1,    -1,    -1,  2946,    -1,
      -1,  5585,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,  5596,  5597,  5598,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   973,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,    -1,  3003,    -1,    -1,    -1,    -1,
      -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3021,    -1,    -1,  3024,    -1,    -1,  3027,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,
      -1,  3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3072,  3073,  3074,    -1,    -1,  3077,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3085,  3086,  3087,
    3088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3098,    -1,    -1,  3101,    -1,  3103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3114,  3115,    -1,    -1,
    3118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3132,    -1,  3134,    -1,  3136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3167,
      -1,  3169,  3170,  3171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,
    3278,    -1,  3280,    -1,    -1,    -1,    -1,  3285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1314,    -1,    -1,    -1,    -1,    -1,  3336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1334,    -1,    -1,  3353,    -1,    -1,    -1,    -1,
      -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1424,    -1,  3442,    -1,  3444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   703,   704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3503,   751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3554,    -1,    -1,    -1,
      -1,  3559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   872,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   880,    -1,  3635,   883,   884,
      -1,   886,    -1,    -1,   889,    -1,   891,    -1,    -1,    -1,
      -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   910,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   918,    -1,    -1,    -1,    -1,    -1,    -1,
     925,    -1,    -1,   928,   929,    -1,    -1,    -1,   933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   950,  3704,   952,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   983,    -1,
     985,    -1,    -1,   988,    -1,   990,    -1,    -1,   993,    -1,
      -1,  3749,    -1,    -1,  3752,    -1,    -1,    -1,    -1,    -1,
    3758,    -1,  1007,    -1,    -1,    -1,  3764,    -1,  3766,    -1,
      -1,  3769,    -1,    -1,    -1,  3773,  3774,  3775,  3776,  3777,
      -1,    -1,  3780,  3781,  3782,  3783,  3784,  3785,  3786,  3787,
    3788,  3789,    -1,    -1,    -1,  3793,  3794,    -1,    -1,    -1,
    3798,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,  3807,
      -1,    -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3819,    -1,    -1,  3822,  1070,  3824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3832,  3833,    -1,    -1,  3836,  3837,
      -1,    -1,    -1,  3841,  3842,    -1,    -1,    -1,    -1,    -1,
    3848,  1833,    -1,    -1,    -1,    -1,    -1,  1102,    -1,    -1,
    3858,    -1,  3860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3872,    -1,    -1,    -1,    -1,    -1,
    3878,  3879,  3880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3927,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3940,    -1,    -1,    -1,    -1,  1929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,    -1,
      -1,    -1,    -1,    -1,    -1,  1210,    -1,  1212,    -1,    -1,
      -1,  1216,    -1,  3971,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,
    1295,  2033,    -1,  4051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2044,    -1,    -1,    -1,  1311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,
    1325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,
    1345,    -1,    -1,  1348,    94,    -1,    96,    -1,    -1,  2091,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1382,    -1,    -1,
    2122,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   152,   153,  4162,    -1,   156,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4189,  2174,    -1,    -1,  2177,    -1,    -1,   188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4238,  4239,  4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,
      -1,    -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4375,  4376,    -1,
    4378,    -1,    -1,    -1,  4382,  4383,    -1,    -1,    -1,  4387,
    4388,    -1,    -1,    -1,  4392,    -1,    -1,  4395,  4396,    -1,
      -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,  4406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4424,    -1,    -1,    -1,
    4428,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,  4445,    -1,    -1,
      -1,    -1,    -1,  4451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1739,  1740,    -1,    -1,    -1,  4497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4544,  2529,    -1,    -1,
      -1,  2533,  2534,  1798,    -1,    -1,  1801,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1809,    -1,  4564,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4579,  1827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,
    4618,    -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,  1874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4653,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2645,    -1,   655,  4664,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   703,   704,    -1,    -1,    -1,    -1,    -1,
      -1,  4719,    -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4772,    -1,    -1,    -1,  4776,    -1,
      -1,    -1,    -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,  4799,    -1,  2048,  4802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4816,    -1,
    2802,    -1,    -1,  4821,    -1,    -1,    -1,    -1,  4826,    -1,
      -1,  4829,  4830,    -1,    -1,    -1,    -1,    -1,    -1,  4837,
    4838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2148,    -1,    -1,    -1,    -1,  4906,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2162,  4916,    -1,
    2165,    -1,  2167,    -1,  2169,    -1,    -1,    -1,    -1,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
     950,    -1,   952,    -1,    -1,    -1,    -1,    -1,    -1,  4967,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2238,    -1,    -1,    -1,  2242,    -1,  2244,
      -1,    -1,  2247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1003,    -1,    -1,  1006,  1007,    -1,    -1,
      -1,  3003,    -1,  5021,    -1,  5023,    -1,    -1,    -1,    -1,
      -1,  1021,    -1,  1023,    -1,  1025,    -1,    -1,    -1,    -1,
      -1,  1031,  3024,    -1,    -1,  1035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3035,    -1,  5053,  5054,    -1,  5056,    -1,
    5058,    -1,    -1,    -1,    -1,  1055,  1056,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5082,    -1,    -1,    -1,  5086,    -1,
      -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,    -1,  5097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1102,    -1,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,  5119,    -1,    -1,  2369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5149,    -1,    -1,    -1,  5153,  5154,    -1,    -1,    -1,
    5158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5199,    -1,    -1,    -1,    -1,    -1,  1197,  1198,    -1,
      -1,  1201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5242,  5243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5265,    -1,  2514,
    5268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5277,
      -1,    -1,    -1,    -1,  5282,    -1,  5284,    -1,  5286,    -1,
      -1,    -1,    -1,  3275,    -1,  5293,  3278,    -1,  3280,  2544,
    2545,    -1,    -1,  3285,  2549,  2550,    -1,    -1,    -1,  2554,
      -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2568,    -1,    -1,    -1,    -1,    -1,    -1,
    2575,    -1,    -1,    -1,  2579,  2580,    -1,    -1,  2583,  2584,
      -1,    -1,    -1,    -1,    -1,  2590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3336,    -1,    -1,  2602,    -1,  2604,
      -1,    -1,    -1,    -1,    -1,  5363,    -1,    -1,    -1,    -1,
      -1,  3353,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
      -1,  2626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,  3377,    -1,    -1,  5396,  5397,
      -1,    -1,  2647,    -1,  2649,    -1,  2651,  2652,  2653,  5407,
      -1,    -1,    -1,  2658,  2659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2668,    -1,    -1,    -1,    -1,  2673,  5427,
      -1,    -1,    -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2703,    -1,
    3442,    -1,  3444,    -1,    -1,    -1,  5464,    -1,    -1,  2714,
      -1,  2716,  5470,  5471,    -1,  5473,  2721,    -1,    -1,    -1,
    2725,    -1,  2727,  2728,  2729,  2730,    -1,  2732,    -1,    -1,
      -1,    -1,    -1,    -1,  5492,    -1,    -1,    -1,    -1,    -1,
    2745,  2746,  2747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2757,  2758,    -1,  1505,    -1,    -1,    -1,    -1,
    1510,  3503,  1512,    -1,    -1,  1515,    -1,  1517,    -1,    -1,
    1520,  1521,  1522,    -1,    -1,    -1,  1526,    -1,    -1,    -1,
      -1,    -1,    -1,  1533,    -1,    -1,  3528,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1547,    -1,  1549,
      -1,    -1,    -1,    -1,  1554,    -1,  2811,    -1,    -1,    -1,
      -1,    -1,  3554,  5571,  5572,    -1,    -1,  3559,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5585,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5597,
    5598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1688,  1689,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1705,    -1,    -1,    -1,  2964,
    1710,  1711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3012,    -1,    -1,
    3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1793,    -1,  1795,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1805,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1945,    -1,    -1,  1948,  1949,
    3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3288,  3289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3356,  3357,    -1,    -1,    -1,  3361,    -1,    -1,    -1,
      -1,  3366,  3367,  3368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3397,  3398,  3399,  3400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3434,
      -1,  3436,  3437,  3438,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3446,    -1,    -1,    -1,    -1,    -1,  4189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2210,    -1,  2212,    -1,    -1,    -1,  2216,    -1,  2218,    -1,
      -1,  2221,    -1,    -1,    -1,  2225,    -1,    -1,    -1,    -1,
    2230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3609,    -1,    -1,    -1,  3613,    -1,
      -1,    -1,  2362,    -1,    -1,    -1,    -1,    -1,    -1,  2369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2379,
      -1,    -1,    -1,    -1,    -1,    -1,  4378,  3642,    -1,    -1,
      -1,    -1,    -1,  3648,    -1,    -1,  4388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,
      -1,    -1,    -1,  3688,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   865,    -1,    -1,    -1,    -1,  3702,    -1,    -1,
      -1,   874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,
      -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,    -1,  2509,
      -1,  2511,    -1,    -1,  2514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,    -1,
     973,    -1,  4544,    -1,   977,    -1,    -1,    -1,    -1,    -1,
    2560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   994,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2707,    -1,    -1,
      -1,    -1,    -1,  1136,    -1,  2715,    -1,  2717,    -1,    -1,
      -1,    -1,    -1,  3978,    -1,  3980,    -1,    -1,    -1,  4721,
      -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4004,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4019,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4086,  4087,  4088,    -1,    -1,  4091,  4092,  4093,  4094,
    4095,  4096,    -1,    -1,    -1,    -1,  4101,  4102,    -1,  4104,
    4105,  4106,  4107,  4108,  4109,  4110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4119,    -1,  4121,  4122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,    -1,  1318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4161,    -1,    -1,    -1,
      -1,  1334,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,
    1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1381,    -1,
      -1,    -1,    -1,    -1,  2964,  2965,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1424,    -1,  4258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4295,  4296,  4297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5149,    -1,    -1,
      -1,  5153,  5154,  1586,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,
    3190,  1614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1642,
    1643,  1644,    -1,  1646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4523,    -1,
      -1,    -1,  4527,  4528,  4529,  4530,    -1,    -1,  4533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1720,    -1,    -1,
    4555,  4556,  4557,  4558,    -1,  4560,  4561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4572,  4573,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1749,    -1,    -1,    -1,
    1753,  1754,    -1,    -1,    -1,  4590,    -1,    -1,    -1,    -1,
      -1,    -1,  4597,  4598,    -1,  4600,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4684,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3554,    -1,    -1,    -1,    -1,  3559,
      -1,    -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,
      -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,
      -1,  4926,    -1,    -1,    -1,    -1,  4931,  4932,    -1,    -1,
      -1,  2104,    -1,    -1,    -1,    -1,    -1,  2110,    -1,    -1,
      -1,    -1,    -1,  2116,    -1,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,
      -1,    -1,  4987,    -1,    -1,    -1,    -1,    -1,    -1,  3739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5002,    -1,    -1,
      -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5044,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2241,    -1,
      -1,    -1,    -1,    -1,  5079,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2278,  2279,    -1,    -1,    -1,
    5115,  2284,  2285,    -1,    -1,    -1,    -1,    -1,  2291,  2292,
    2293,    -1,    -1,    -1,  2297,    -1,  2299,  2300,  2301,  2302,
    2303,  2304,    -1,  2306,  5139,  2308,  2309,    -1,    -1,  2312,
      -1,    -1,    -1,  5148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2326,  2327,  2328,  2329,  2330,    -1,    -1,
      -1,    -1,  2335,    -1,  5169,    -1,  2339,    -1,    -1,  2342,
      -1,    -1,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,
    2353,    -1,  2355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2363,    -1,    -1,  2366,    -1,  3945,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5274,
    2443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2452,
    2453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4051,    -1,    -1,  5309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4079,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,
    2533,  2534,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2592,
      -1,  5426,    -1,  2596,    -1,    -1,  2599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5451,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4300,    -1,    -1,    -1,  1642,  1643,  1644,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1666,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2801,  2802,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1749,    -1,    -1,    -1,  1753,  1754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,
      -1,    -1,    -1,    -1,    -1,    -1,  4456,    -1,  1314,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2946,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,
      -1,  3024,    -1,    -1,  3027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3044,    -1,    -1,    -1,    -1,  3049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4636,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,
    3073,  3074,    -1,    -1,  3077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3085,  3086,  3087,  3088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3098,    -1,    -1,  3101,    -1,
    3103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3114,  3115,    -1,    -1,  3118,    -1,    -1,    -1,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3132,
      -1,  3134,    -1,  3136,    -1,    -1,   973,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3156,    -1,    -1,    -1,   994,    -1,    -1,
      -1,    -1,    -1,    -1,  3167,    -1,  3169,  3170,  3171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3275,    -1,  4854,  3278,    -1,  3280,    -1,    -1,
      -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4906,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,    -1,    -1,    -1,    -1,  2297,
      -1,  2299,    -1,    -1,  2302,  2303,  2304,    -1,    -1,    -1,
      -1,  2309,    -1,    -1,  2312,    -1,    -1,  1833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2327,
    2328,  2329,  2330,    -1,    -1,    -1,    -1,  2335,    -1,    -1,
      -1,  2339,    -1,    -1,  2342,    -1,    -1,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,  3442,
      -1,  3444,    -1,    -1,    -1,  2363,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1929,    -1,    -1,    -1,  1334,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,
      -1,  2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2452,  2453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3554,    -1,    -1,    -1,    -1,  3559,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,    -1,    -1,
     973,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,  2025,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2033,    -1,    -1,
      -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,
      -1,    -1,    -1,    -1,  3617,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5253,  2110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,
      -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,
      -1,  2177,    -1,    -1,    -1,    -1,  3749,    -1,    -1,  3752,
      -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,    -1,    -1,
      -1,  3764,    -1,  3766,    -1,    -1,  3769,    -1,    -1,    -1,
    3773,  3774,  3775,  3776,  3777,    -1,    -1,  3780,  3781,  3782,
    3783,  3784,  3785,  3786,  3787,  3788,  3789,    -1,    -1,    -1,
    3793,  3794,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
    3803,    -1,    -1,    -1,  3807,    -1,    -1,    -1,  3811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3819,    -1,    -1,  3822,
      -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3832,
    3833,    -1,    -1,  3836,  3837,    -1,    -1,    -1,  3841,  3842,
      -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3858,    -1,  3860,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3872,
      -1,    -1,    -1,    -1,    -1,  3878,  3879,  3880,    -1,    -1,
      -1,    -1,    -1,  2801,    -1,    -1,    -1,    -1,    -1,    -1,
    2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,
    2366,    -1,    -1,    -1,    -1,    -1,    -1,  3940,    -1,    -1,
      -1,  1334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1343,    -1,    -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3971,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,    -1,
      -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,  2529,    -1,    -1,    -1,  2533,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,
      -1,  3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3074,    -1,    -1,  4162,
    2596,   994,  1555,    -1,    -1,    -1,    -1,  3085,    -1,  3087,
    3088,    -1,  2608,  2010,    -1,    -1,    -1,    -1,    -1,    -1,
    3098,    -1,    -1,  3101,    -1,  3103,  4189,    -1,  2025,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,  2645,
      -1,    -1,    -1,    -1,  3132,    -1,  3134,    -1,  3136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4238,  4239,  4240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3169,  3170,  3171,  2091,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2110,    -1,    -1,  3194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,  3207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,
      -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4335,    -1,    -1,    -1,    -1,  2174,    -1,    -1,
    2177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4365,    -1,    -1,    -1,  2802,    -1,    -1,    -1,
      -1,    -1,  4375,  4376,    -1,  4378,    -1,    -1,    -1,  4382,
    4383,    -1,    -1,    -1,  4387,  4388,    -1,    -1,    -1,  4392,
      -1,  3309,  4395,  4396,    -1,    -1,    -1,  4400,    -1,    -1,
      -1,    -1,    -1,  4406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4424,    -1,    -1,    -1,  4428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,  4440,    -1,    -1,
    1833,    -1,  4445,    -1,    -1,    -1,    -1,    -1,  4451,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,
      -1,    -1,    -1,    -1,  4497,    -1,    -1,    -1,    -1,    -1,
      -1,  1334,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,
    1343,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4564,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,  3024,    -1,
      -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,
      -1,    -1,    -1,    -1,    -1,  4618,    -1,  2010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4653,  2044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2529,    -1,    -1,    -1,  2533,  2534,  2091,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4719,  2110,  4721,    -1,
      -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,  3169,  3170,  3171,    -1,    -1,    -1,    -1,
      -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4772,
      -1,  2608,    -1,  4776,    -1,    -1,    -1,    -1,  4781,    -1,
      -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4798,  4799,    -1,    -1,  4802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2645,    -1,
      -1,    -1,    -1,  4816,    -1,    -1,    -1,    -1,  4821,    -1,
      -1,    -1,    -1,  4826,    -1,    -1,  4829,  4830,    -1,    -1,
      -1,  3749,    -1,    -1,  4837,  4838,    -1,    -1,    -1,  3275,
    3758,    -1,  3278,    -1,  3280,    -1,  3764,    -1,  3766,  3285,
      -1,    -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4873,    -1,    -1,    -1,    -1,  3793,  3794,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,
    3336,  3819,    -1,  4906,  3822,    -1,  3824,    -1,    -1,    -1,
      -1,    -1,    -1,  4916,    -1,  3833,    -1,  3353,    -1,    -1,
      -1,    -1,    -1,  3841,  3842,    -1,    -1,    -1,  1314,    -1,
      -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3377,    -1,    -1,    -1,    -1,    -1,    -1,  1334,    -1,
      -1,    -1,    -1,    -1,  3872,    -1,    -1,  1343,    -1,    -1,
    3878,  3879,  3880,    -1,  4967,  2802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1833,    -1,    -1,    -1,    -1,    -1,  3442,    -1,  3444,  3927,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5021,    -1,
    5023,    -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,  1424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5053,  5054,    -1,  5056,    -1,  5058,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1896,    -1,    -1,    -1,  3503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5082,
      -1,    -1,    -1,  5086,    -1,    -1,    -1,    -1,    -1,  5092,
      -1,    -1,  3528,    -1,  5097,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5119,    -1,  3554,    -1,
      -1,    -1,    -1,  3559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,
    2533,  2534,    -1,    -1,    -1,    -1,  5149,    -1,    -1,    -1,
    5153,  5154,    -1,    -1,    -1,  5158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,   973,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,
      -1,  3617,    -1,    -1,    -1,    -1,    -1,  3024,    -1,   994,
      -1,    -1,  2025,    -1,    -1,    -1,  5199,    -1,  3035,  3635,
    2033,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2044,    -1,    -1,  3650,  2608,    -1,  5220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5242,
    5243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,  2091,    -1,
      -1,    -1,  5265,    -1,    -1,  5268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5277,    -1,    -1,  2110,    -1,  5282,
      -1,  5284,    -1,  5286,    -1,    -1,    -1,    -1,    -1,  2122,
    5293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,  5311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,
      -1,  4239,  4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,
      -1,  2174,    -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5363,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5396,  5397,    -1,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5407,    -1,  4324,    -1,    -1,  2802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,
      -1,    -1,    -1,    -1,  5427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,
      -1,  3278,    -1,  3280,  3880,    -1,    -1,  1833,  3285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4375,  4376,    -1,
      -1,  5464,    -1,    -1,  4382,  4383,    -1,  5470,  5471,  4387,
    5473,    -1,    -1,    -1,  4392,    -1,    -1,  4395,  4396,  2872,
      -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,  4406,  5492,
      -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,  3336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,
    1896,    -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,
    3956,    -1,  4440,    -1,    -1,    -1,    -1,  4445,    -1,  1334,
      -1,    -1,    -1,  4451,    -1,    -1,    -1,    -1,  1343,    -1,
    3377,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
    4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5571,  5572,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4497,
      -1,    -1,  5585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5597,  5598,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3442,    -1,  3444,    -1,    -1,
    3003,    -1,    -1,    -1,    -1,  4051,    -1,    -1,    -1,  1424,
      -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,    -1,    -1,
      -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,
      -1,    -1,  3035,    -1,    -1,    -1,    -1,  2033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,
      -1,  4579,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3528,    -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,
    2533,  2534,    -1,    -1,    -1,  2091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3554,    -1,    -1,
      -1,    -1,  3559,    -1,  2110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4653,  2122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,
    1555,    -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,
    3617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,
      -1,  2177,    -1,    -1,    -1,    -1,    -1,    -1,  3635,    -1,
      -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2645,  3650,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,  4799,  3275,    -1,  4802,  3278,    -1,  3280,    -1,    -1,
      -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,  4837,
    4838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,
    2326,    -1,  4378,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3353,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,  4445,
      -1,    -1,    -1,    -1,    -1,  4451,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,
      -1,  3444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,
      -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,  3528,    -1,    -1,  5056,    -1,
      -1,    -1,    -1,  2529,    -1,    -1,    -1,  2533,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3554,    -1,    -1,  5082,    -1,  3559,    -1,    -1,    -1,
    3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5097,
      -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5119,  3035,    -1,    -1,  2010,    -1,    -1,    -1,    -1,
    2596,    -1,    -1,    -1,  4051,    -1,    -1,    -1,    -1,    -1,
    2025,    -1,  2608,    -1,  3617,    -1,    -1,    -1,  2033,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,
    5158,    -1,  3635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,  2645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4719,    -1,  4721,  2091,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5220,    -1,    -1,  2110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,    -1,  3752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,  2174,
      -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3773,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4238,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3832,
      -1,    -1,  3275,    -1,    -1,  3278,    -1,  3280,    -1,    -1,
      -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,    -1,  1735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,  5397,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,  5407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3353,  2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4378,    -1,    -1,  3377,    -1,    -1,    -1,    -1,    -1,
      -1,  4388,    -1,    -1,    -1,  5473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,
      -1,  3444,    -1,    -1,    -1,    -1,    -1,  3003,  5054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3024,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,
      -1,    -1,    -1,  5571,  5572,    -1,  5092,    -1,  4051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,    -1,
      -1,    -1,    -1,  5149,    -1,    -1,    -1,  5153,  5154,    -1,
      -1,  3554,    -1,    -1,  2529,    -1,  3559,  4564,  2533,  2534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4618,    -1,    -1,  3617,    -1,    -1,    -1,    -1,    -1,
      -1,  2596,    -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,
      -1,    -1,  3635,  2608,    -1,    -1,  5242,  5243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2645,    -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,  3275,
      -1,    -1,  3278,    -1,  3280,    -1,    -1,    -1,    -1,  3285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,  3752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4776,
    3773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3798,    -1,  3353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4378,    -1,    -1,    -1,    -1,
      -1,  3377,    -1,    -1,    -1,  4388,    -1,  2802,    -1,  3832,
      -1,    -1,    -1,    -1,    -1,    -1,  2282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2296,    -1,    -1,    -1,  2300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2314,  2315,
    2316,    -1,    -1,  2319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,  3444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,  4906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,
      -1,    -1,  4515,  3956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2416,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,  3554,    -1,
      -1,  4564,    -1,  3559,    -1,  2451,    -1,    -1,    -1,    -1,
    2456,    -1,    -1,    -1,    -1,    -1,  5023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5054,  4051,  3024,
      -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,
    3035,  3617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3635,
      -1,    -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5149,    -1,    -1,    -1,  5153,  5154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4721,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4776,    -1,    -1,    -1,  3773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4238,  5243,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,  3278,    -1,  3280,    -1,    -1,    -1,    -1,
    3285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4378,    -1,    -1,  3353,    -1,
      -1,    -1,    -1,    -1,    -1,  4388,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3956,    -1,  3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5023,    -1,    -1,    -1,    -1,    -1,    -1,  3442,    -1,  3444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5054,    -1,    -1,    -1,  4051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,  5092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3554,
      -1,    -1,    -1,    -1,  3559,    -1,  5149,    -1,    -1,    -1,
    5153,  5154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,
      -1,  3067,    -1,  3069,    -1,    -1,  3072,  3073,    -1,  3075,
      -1,  3077,    -1,  4189,    -1,  3081,    -1,    -1,  3084,    -1,
      -1,    -1,  3617,  3089,    -1,    -1,    -1,    -1,    -1,  3095,
      -1,    -1,    -1,    -1,  3100,    -1,    -1,    -1,    -1,    -1,
    3635,  3107,  3108,  3109,  3110,    -1,    -1,    -1,  3114,  3115,
      -1,  3117,    -1,    -1,    -1,  3650,    -1,    -1,    -1,    -1,
    5243,    -1,  4238,  3129,    -1,  3131,    -1,    -1,    -1,    -1,
      -1,    -1,  3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,
    3146,  3147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4721,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3175,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,  4776,    -1,    -1,    -1,  3752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,  3773,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4378,  3798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,  3832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,  3324,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,  4906,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,  4515,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,
      -1,   274,    -1,    -1,   277,   278,    -1,   280,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,
    5023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,
     323,  5054,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,   342,
     343,    -1,   345,   346,    -1,    -1,  4051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,  5092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,   417,    -1,  5149,   420,    -1,    -1,
    5153,  5154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,    -1,  4721,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,
     453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,
      -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,
    4776,    -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
    5243,    -1,    -1,    -1,    -1,    -1,  3692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3748,    -1,    -1,    -1,    -1,    -1,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3770,  3771,    -1,    -1,  3774,  3775,
    3776,  3777,    -1,    -1,  3780,  3781,  3782,  3783,  3784,  3785,
    3786,  3787,  3788,  3789,  3790,    -1,    -1,    -1,    -1,    -1,
    4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,  3815,
      -1,  3817,    -1,    -1,  3820,  3821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3835,
    3836,  3837,  3838,    -1,  3840,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3908,    -1,    -1,    -1,    -1,  5023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4564,
      -1,    -1,    -1,  5149,    -1,    -1,    -1,  5153,  5154,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,
      -1,    -1,    -1,  4329,  4330,  4331,    -1,    -1,    -1,    -1,
      -1,  4337,  4338,  4339,  4340,    -1,    -1,    -1,    -1,  4345,
    4346,  4347,  4348,  4349,  4350,  4351,  4352,  4353,  4354,  4355,
    4356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4906,    -1,    -1,    -1,  4381,    -1,    -1,  4384,    -1,
    4386,    -1,    -1,    -1,  4390,    -1,    -1,  4393,  4394,    -1,
      -1,  4397,  4398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,
      -1,    -1,    -1,  4449,  4450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5054,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5092,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5149,    -1,    -1,    -1,  5153,  5154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
    4656,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,  5243,    -1,
    4716,  4717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4766,    -1,    -1,   138,    -1,  4771,  4772,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
    4786,    -1,  4788,    -1,    -1,    -1,  4792,  4793,  4794,    -1,
     165,  4797,    -1,    -1,  4800,  4801,    -1,   172,    -1,  4805,
      -1,    -1,    -1,  4809,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,  4871,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,  4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
      -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4972,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,  5052,  5053,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,  5068,  5069,  5070,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5104,  5105,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,  5544,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5584,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,   532,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
     118,    -1,    -1,   121,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,   164,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,   179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,   196,    -1,
     198,    -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,
     208,   209,    -1,    -1,    -1,    -1,    -1,    -1,   216,   217,
     218,    -1,    -1,   221,    -1,    -1,   224,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,   239,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,   269,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,   300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,   322,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,   373,    -1,    -1,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,    -1,    -1,   386,    -1,
      -1,    -1,    -1,   391,   392,    -1,   394,    -1,   396,    -1,
      -1,   399,    -1,    -1,    -1,    -1,   404,   405,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,   414,    -1,   416,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,   426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
     438,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,   457,
      -1,   459,    -1,    -1,    -1,    -1,   464,    -1,    -1,   467,
      -1,    -1,   470,    -1,    -1,   473,    -1,    -1,    -1,    -1,
     478,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,   526,    -1,
      16,    -1,   530,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,
      -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
     266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,
      -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,
     326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,   533,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,   519,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     527,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,   527,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,   527,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   527,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   527,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
     524,   525,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,   519,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   527,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,   525,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,   512,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,   512,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    84,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,   219,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,    -1,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,    -1,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,   508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       5,     6,     7,     8,     9,    10,    11,    12,    13,   519,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,    -1,   321,   322,   323,   324,
      -1,    -1,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,   358,    -1,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,   509,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   519,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   519,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   519,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
     234,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,     4,   515,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
      -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,    -1,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,    -1,
      -1,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,    -1,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
      -1,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,    -1,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,    -1,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,    -1,    -1,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,    -1,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
     231,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,    -1,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,    -1,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
      -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,
      -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,
     274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,
      -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,
      -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,
      -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,   503,
     504,   505,   506,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,
      -1,   274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,
     323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,
     343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,
     453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,
     503,   504,   505,   506,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,
     272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,
      -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,
      -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,
     482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    70,    71,   512,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,   526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,
     518,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,
      -1,    -1,    70,    71,   517,   518,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,
     518,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,
      -1,    -1,    70,    71,   517,   518,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,   508,   509
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1139,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1129,  1140,  1169,  1171,  1262,  1272,
    1273,  1275,  1281,  1282,  1170,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1136,
    1137,  1141,  1144,  1145,  1162,  1163,  1164,  1165,  1176,  1178,
    1182,  1183,  1184,  1185,  1186,  1188,  1190,  1192,  1193,  1194,
    1195,  1197,  1202,  1203,  1207,  1208,  1217,  1219,  1220,  1221,
    1224,  1229,  1232,  1237,  1239,  1240,  1243,  1245,  1248,  1257,
    1275,  1283,    72,  1165,  1173,  1174,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1131,  1132,  1134,  1135,  1136,  1137,  1155,  1156,  1267,  1269,
    1273,  1275,    29,   267,  1218,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1122,  1135,  1136,  1157,  1204,  1205,  1247,  1248,  1249,  1253,
    1258,  1259,  1260,  1269,  1275,   102,   954,  1121,  1157,  1253,
    1266,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1135,  1138,  1249,  1250,  1251,  1255,  1256,
    1257,  1258,  1260,    25,    35,   137,   271,  1244,    37,    39,
     320,  1177,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1205,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1122,  1146,  1147,  1148,  1157,  1273,  1275,
      14,   102,   361,  1121,  1157,  1161,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1273,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1187,  1251,   252,  1161,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1141,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1129,  1130,  1267,
    1269,   102,   164,   377,   405,   791,   792,   793,  1253,   231,
    1253,  1126,  1273,   438,   968,   119,   232,   786,  1253,   451,
    1161,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1253,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1135,  1136,  1247,  1252,  1258,  1260,  1275,    99,
     239,   791,   792,   362,   885,  1253,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1119,  1253,   968,  1241,
    1251,   519,  1253,   235,   526,   917,   526,  1114,   375,   963,
     964,  1121,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1185,  1188,  1184,  1180,   530,  1189,  1191,
       5,    25,    35,   137,   201,   271,  1196,   180,   248,   307,
     310,   403,   507,   526,  1048,  1049,  1168,  1172,  1262,    72,
    1165,  1121,  1157,  1276,   185,  1146,    21,   472,   520,  1161,
    1161,  1276,   472,  1209,  1210,  1211,    25,   271,   271,  1255,
       7,    19,    20,    38,    41,   160,   198,  1246,  1246,    16,
    1185,  1127,  1137,  1247,  1250,  1253,  1254,  1258,  1259,  1275,
     773,  1253,   773,  1122,   365,   773,   454,   773,  1121,  1253,
     178,   438,   799,  1127,  1131,  1132,   102,   250,  1119,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1081,  1082,  1253,
     250,  1121,   102,  1131,  1132,  1121,  1121,   250,  1119,  1121,
     386,   412,   102,   250,  1011,  1121,   402,  1121,   773,   102,
     303,  1131,  1132,   250,  1119,   283,    34,   187,   279,   320,
     371,   886,   887,   888,  1119,  1125,  1253,   101,   134,   147,
     148,   157,   161,   179,   200,   211,   219,   231,   236,   259,
     284,   305,   336,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   484,   672,   779,  1273,  1119,
     449,  1127,  1121,   526,   773,   454,  1122,   773,   454,   250,
    1121,   178,   438,   442,   444,  1131,   442,   444,   142,   223,
     850,   384,  1121,  1131,   250,   556,  1253,  1121,  1121,   402,
    1121,   773,   303,  1131,   375,   406,   438,   484,   305,   161,
     259,   236,   398,   452,   458,   666,    84,  1149,  1150,   531,
    1269,  1276,   102,  1161,  1275,   955,   570,  1134,  1273,   853,
     250,  1127,  1121,   250,   857,   250,  1122,   123,   125,   126,
     137,   138,   182,   183,   201,   227,   250,   271,   272,   274,
     314,   316,   328,   372,   414,   420,   447,   448,   479,   775,
    1026,  1028,  1030,  1032,  1034,  1036,  1037,  1038,  1040,  1041,
    1042,  1045,  1046,  1247,  1254,  1258,  1259,  1275,   454,   178,
     438,   250,  1127,   250,  1132,  1133,   153,   484,   142,   223,
     250,   850,   128,   250,  1121,   250,  1133,   250,  1121,   250,
    1121,   250,  1121,   402,   857,   250,  1121,   250,   775,   250,
     303,  1133,   283,   250,   772,   773,   526,   532,  1277,  1278,
    1279,  1280,  1282,  1187,    70,  1157,  1206,   526,   930,   615,
     954,   921,   915,   922,   923,   924,  1134,   916,  1130,   787,
     788,   102,   787,   954,  1130,   788,   102,   787,   954,  1130,
     788,   788,   788,  1130,  1129,  1129,   275,   472,  1211,  1212,
    1286,  1288,   954,   788,   365,   526,   526,   634,   634,   634,
     334,   449,   529,   634,   400,  1011,  1012,   787,   954,   787,
     954,   529,   881,  1273,   234,   526,   927,   128,   484,   482,
     864,   865,  1119,  1121,  1253,   118,   509,   279,   528,   337,
     337,   334,   234,  1273,   449,   229,   782,   334,    82,    83,
      84,    86,   110,   123,   125,   126,   133,   134,   137,   138,
     145,   147,   169,   170,   171,   172,   173,   174,   175,   182,
     183,   217,   221,   222,   227,   241,   243,   272,   274,   289,
     297,   298,   314,   316,   320,   325,   326,   328,   336,   346,
     357,   372,   396,   411,   420,   434,   447,   448,   453,   455,
     456,   465,   471,   479,   499,   500,   501,   502,   503,   504,
     505,   506,   510,   517,   518,   519,   526,   958,  1029,  1032,
    1035,  1036,  1037,  1039,  1040,  1041,  1045,  1046,  1050,  1052,
    1053,  1054,  1056,  1077,  1078,  1079,  1083,  1102,  1107,  1116,
    1117,  1127,  1128,  1129,  1253,  1265,  1267,  1269,  1270,  1271,
    1272,  1273,  1115,  1116,   449,   515,  1276,  1273,   449,   515,
    1205,   102,   578,  1118,  1119,   410,   560,   185,   569,  1273,
     570,  1273,   118,   139,   560,   509,   421,   887,   337,   234,
     449,   515,   118,   509,   279,  1286,   888,   526,  1119,   519,
     524,   528,  1108,  1109,  1012,  1257,   233,   235,   482,   912,
     913,   915,   233,   918,   185,  1050,  1112,  1113,   963,   529,
     526,   919,   527,   527,  1119,   102,   197,   969,   969,   128,
     969,   224,   229,   293,   332,   976,   978,   979,   994,   996,
     997,   998,   972,   973,   234,   275,  1011,  1013,  1114,   530,
    1179,   519,  1198,  1199,  1201,   532,   532,    25,   271,   271,
     449,   449,   449,   449,   526,   449,   517,   518,   663,  1130,
    1166,  1272,   208,   111,  1153,   128,  1156,  1156,   275,  1211,
    1213,   275,  1211,  1212,  1213,   477,  1222,  1223,  1269,    14,
      83,   423,   517,   518,  1129,  1214,  1215,  1216,  1265,  1267,
    1271,  1272,  1273,  1274,   271,   277,  1121,   449,  1121,     6,
    1121,  1246,  1201,   526,   833,  1109,   348,   382,   412,   528,
     774,   348,   382,   412,   156,   206,   299,   348,   382,   412,
     441,   443,   491,   571,   574,   893,   894,   895,   896,  1275,
     805,    98,   202,   348,   382,   412,   475,   585,  1121,   412,
      98,   202,   470,   553,   495,   250,  1011,   130,   163,   220,
     253,   288,   320,   348,   382,   390,   397,   404,   412,   424,
     432,   486,   571,   575,   836,   844,   526,   822,   382,   553,
     256,   217,    98,   104,   144,   195,   202,   205,   230,   261,
     318,   320,   330,   338,   348,   382,   385,   386,   412,   475,
     583,   584,   691,   663,   102,   250,  1119,   773,   773,   526,
     849,   528,   217,   334,   256,   545,   382,   491,   512,   538,
     545,   334,   348,   382,   217,   129,   177,   258,   306,   308,
     318,   347,   382,   387,   412,   426,   583,   660,   661,   348,
     382,   483,   691,   699,   573,   561,   563,   256,   217,   382,
     412,   583,   348,   382,   386,   412,   154,   194,   349,   443,
     334,    98,   104,   202,   348,   382,   412,   595,   596,   545,
     229,   382,   538,   545,   217,   382,   412,   583,  1121,   530,
     291,   187,   335,   496,   529,   886,   472,   910,   334,  1127,
     526,  1121,  1026,   454,   178,   438,  1127,   329,   484,   142,
     223,   850,  1121,  1121,   402,   229,  1121,  1026,   283,   773,
     634,   368,   600,   526,   748,   833,   140,  1026,   234,   526,
     744,  1121,   538,   111,   904,  1121,   320,   538,   495,   250,
    1119,   538,   773,   773,   744,   468,   615,   334,   538,   320,
     118,   557,   459,   698,   348,   674,   154,   194,   349,   443,
     100,   120,   270,   722,   111,   744,   229,   538,   484,   250,
    1119,   250,   651,  1119,  1119,   484,   773,   153,   811,  1127,
    1121,   229,   672,    73,  1151,  1253,   531,  1152,  1149,   124,
     176,   268,   318,   401,   217,   833,   131,   388,   586,   217,
     526,   217,   481,  1043,  1043,  1043,   526,  1031,  1031,   359,
     526,  1033,   217,   137,   138,  1043,  1031,  1028,   493,   512,
     526,  1047,   526,  1047,   529,   586,   110,  1027,   138,   526,
    1044,   180,   310,   507,   526,  1048,   774,  1031,   495,   217,
     822,   217,   529,   250,   772,   250,   773,   250,   773,   217,
     849,  1133,   217,   334,   217,   217,   334,   217,   586,   217,
     154,   194,   349,   443,   229,   217,   334,   217,   586,   217,
     229,   250,   250,   570,   217,   529,   586,   527,  1278,  1279,
    1277,   529,   533,  1050,  1086,  1210,  1285,  1286,   438,   955,
     527,   529,   222,   334,   456,   567,   570,   663,   925,   921,
     788,   954,   788,   954,  1288,  1289,   788,   954,   788,   954,
    1289,   788,   954,   954,   954,   788,    14,   423,  1261,  1264,
    1269,   954,   526,   635,   636,  1253,   635,   102,   179,   200,
     231,   236,   283,   284,   400,   406,   438,   441,   459,   794,
    1118,  1133,   793,  1121,   256,   529,   942,   954,   954,  1273,
    1206,  1026,  1089,   111,  1133,   811,   527,   529,   291,  1253,
     229,   229,   794,  1133,   399,  1253,   570,   334,   526,   524,
     958,  1090,  1050,  1106,   526,   526,   229,   526,   526,   958,
     526,   526,   526,   526,   526,   526,  1050,   526,   526,   526,
     526,   526,   526,   526,   526,   958,   526,   526,   526,   526,
     526,   526,   526,   526,  1050,  1050,  1050,   478,   958,  1050,
    1086,  1109,  1273,   526,  1273,    84,    87,    91,    92,    93,
     108,   111,   116,   122,   146,   251,   256,   277,   278,   292,
     323,   336,   339,   417,   510,   513,   514,   515,   517,   518,
     519,   520,   521,   522,  1081,  1083,  1085,  1275,   492,  1065,
     345,  1050,   275,   529,   966,  1286,   526,  1273,  1109,    22,
    1268,  1269,  1110,   966,   331,   334,  1238,  1238,    10,   477,
    1225,  1226,  1228,  1205,  1205,   188,   252,   579,   529,   139,
     185,   570,   111,   185,   296,   568,   663,  1046,  1273,  1275,
    1273,   159,   199,  1062,   168,   185,   564,   565,   567,   663,
     185,   564,  1286,  1286,   291,  1119,  1050,   519,  1124,  1255,
    1108,   160,   387,   777,   277,   527,   529,   916,   527,   529,
     964,  1120,  1121,   111,   919,   960,   960,   974,   975,  1050,
     960,   226,   317,   985,   281,   318,   371,   415,   470,   102,
     980,  1050,   517,   518,   981,   982,  1050,  1052,   994,   995,
     979,   978,   976,   977,   229,   997,   330,   999,   976,   994,
    1013,   932,  1119,   111,  1253,   412,  1198,   519,   529,   530,
    1256,  1175,  1178,  1175,   271,   180,   248,   307,  1049,   307,
    1049,  1049,   310,  1129,   307,   310,   403,  1272,  1272,   529,
    1167,   184,  1205,   471,  1154,  1156,  1121,   423,  1129,  1227,
    1269,   529,   515,  1121,    14,  1129,  1272,  1129,  1272,   529,
    1185,   526,  1121,   526,  1257,   256,   266,   340,   342,   414,
     480,   519,   826,   827,   828,   830,   832,   834,  1026,  1254,
     348,   382,   412,   449,   449,   400,  1124,   528,   449,   449,
     400,   293,   449,   449,   441,   560,   348,   893,   895,   515,
     897,   229,   239,   256,   391,   806,   807,   140,   157,   213,
     231,   363,   465,   631,   632,   157,   185,   320,   449,   157,
     449,   185,   320,   400,   157,   195,   205,   348,   382,   740,
     400,   680,   101,   134,   147,   161,   200,   211,   231,   236,
     305,   336,   400,   406,   409,   438,   445,   452,   459,   484,
     672,  1121,   217,   382,   412,   583,   334,   663,   404,   288,
     449,   449,   325,   663,   189,   276,   400,   410,   451,   562,
     388,   412,   836,   845,   527,   823,   826,   449,   471,   441,
    1119,   148,   213,   622,   631,  1253,   148,   157,   868,   334,
     396,   398,   454,   157,   868,   105,   385,   396,   398,   454,
     396,  1119,   230,   261,   330,   773,   526,   449,   449,   249,
     526,   590,   302,   441,   468,   491,   493,   590,   157,   529,
     348,   256,   217,   382,   412,   583,   472,   472,   319,  1026,
     348,   412,   850,  1121,  1119,   179,   412,   574,   449,   540,
     574,  1119,   449,   449,  1119,   663,   128,   662,   663,   663,
     177,   306,   308,   128,   449,   538,   400,   538,   318,   661,
     449,   449,   325,  1273,   691,   441,  1011,   157,   449,   868,
     400,   449,   449,   590,   590,   773,   773,   773,   773,  1119,
     117,   477,   117,   117,   449,   117,   449,   400,   529,   574,
     471,   709,  1132,   449,   540,   574,  1119,   449,   400,   348,
     382,   371,   383,   408,   566,   886,  1125,  1253,  1119,   833,
    1026,   334,   277,   495,   822,   663,   773,   773,   849,   334,
     277,   334,   154,   194,   349,   443,  1026,   334,   277,   773,
     277,   491,   606,   429,   430,   601,  1273,   749,   750,  1275,
     744,   526,   111,   773,   745,   746,  1255,   100,   893,  1026,
     334,   217,   677,  1121,   320,   526,   539,   758,   472,   375,
     484,  1119,   539,   217,  1132,   164,   239,   558,   614,   657,
     721,   789,   809,   889,  1273,   699,   700,  1132,   299,   773,
     773,   773,   773,   330,   190,   269,   457,   470,   723,   724,
     209,   370,   526,   709,   539,  1119,   320,   659,   660,   320,
     111,   330,   526,   634,   634,   250,   654,  1119,   229,   250,
     812,  1125,   526,   824,   111,  1026,   283,   528,  1129,  1152,
     491,   493,   956,   401,  1127,   586,  1026,  1122,   526,  1086,
    1129,   775,  1043,  1043,   110,  1027,   447,   447,  1129,  1129,
    1026,   524,   524,   412,  1129,   449,   449,  1129,  1031,   250,
    1121,  1127,   586,  1133,  1132,   217,   586,   217,   472,   217,
     472,   850,   586,   586,  1121,   773,  1133,  1121,   773,  1121,
    1121,  1026,  1121,   773,   775,  1133,   709,   217,   217,   586,
     772,   773,   527,   533,  1280,   527,   529,  1286,  1287,  1210,
     250,  1119,   176,   921,   923,   954,   954,  1289,   954,   954,
    1289,   954,   954,  1121,    14,   529,  1268,   635,   527,   529,
     527,   237,   407,   439,  1120,   772,   178,   409,   798,   799,
    1120,   329,  1120,  1118,  1118,  1120,   772,   449,   491,   802,
     212,   293,   706,   707,    96,   215,   396,   415,   943,  1011,
     324,   944,   527,   529,   928,   931,   939,   946,   957,   449,
    1119,   862,   863,   865,   792,   791,   792,   234,   240,   803,
    1253,   101,   148,   179,   200,   211,   231,   236,   284,   305,
     393,   400,   406,   438,   441,   459,   484,   672,   783,  1086,
     525,  1086,  1090,  1091,   487,  1103,  1104,  1050,  1086,   526,
    1129,  1129,   180,   248,   307,   310,   403,   507,  1092,  1093,
    1273,  1275,  1086,  1086,  1086,  1129,  1129,  1050,   850,  1050,
    1094,   396,   517,   518,   526,  1051,  1052,  1083,  1096,   527,
    1086,  1050,  1086,  1097,  1050,   127,   234,   287,   450,  1050,
    1086,  1100,  1086,   312,  1052,  1050,  1060,  1061,  1062,   312,
    1050,  1062,   527,   529,  1129,  1048,  1026,  1050,  1050,  1050,
    1050,  1255,   447,   115,   435,  1111,   773,  1050,   526,   958,
    1101,   197,   199,   222,   320,   325,   330,   456,   466,  1050,
     526,  1050,   449,   122,   251,   256,   292,   417,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,   102,   109,
     422,  1080,   242,   225,  1066,   396,   526,  1077,   238,   296,
     438,   442,   444,   468,   967,  1119,  1117,   234,  1001,   102,
     197,   480,   519,   527,   828,  1050,  1087,  1088,  1254,  1121,
    1269,  1108,  1001,  1227,   529,   515,  1119,   451,   526,  1273,
     529,  1286,   527,   525,   531,   249,   249,   586,  1185,  1119,
     913,   914,  1119,  1112,   527,   529,   526,   529,   112,   193,
     472,   818,   396,   397,   517,   518,   982,   984,  1052,   415,
     281,   335,   529,   983,  1129,  1272,   983,   396,   397,   984,
    1118,   324,   419,   945,   995,   977,   472,   940,   185,   526,
     933,   957,   111,  1253,   526,   947,   948,   949,   950,   951,
    1253,   530,  1199,  1027,   533,  1178,   533,   527,   663,   527,
      34,  1155,  1230,  1231,  1269,  1223,  1228,  1276,  1214,  1027,
    1263,  1279,  1263,  1027,   342,   128,  1254,   527,   828,   830,
     827,   830,  1254,   340,   527,   529,   774,   449,   449,   400,
    1132,  1121,  1121,  1124,  1132,  1121,  1121,  1132,  1122,  1121,
     185,   567,  1130,   393,   471,   791,   400,   239,   791,   526,
    1121,   472,   813,   281,   281,   472,   526,   650,   250,  1121,
     325,  1132,  1121,  1121,  1050,   325,  1121,  1121,   105,   385,
     449,   449,  1121,   449,   681,  1127,   526,   773,   773,  1026,
     454,   178,   438,   799,   484,   142,   223,   850,  1121,   773,
    1121,   773,   402,   229,  1026,   773,   283,   244,   318,   348,
     382,   476,   684,   685,   686,  1011,   449,   868,   400,   325,
     189,   276,  1132,  1121,   334,  1121,   527,   529,  1131,  1133,
    1121,   382,   583,   622,  1026,  1121,  1253,  1121,   291,  1121,
     102,   471,  1121,   250,  1121,   250,  1253,   398,   454,   398,
     454,   291,  1121,   102,   471,  1121,   291,   396,  1119,    98,
     202,   412,   692,   693,   694,   695,  1255,  1132,  1121,   185,
     235,   321,   472,   589,   592,   593,  1255,  1121,   333,   144,
     333,  1121,   584,   449,   441,  1119,   449,   868,   400,  1123,
    1253,  1123,   529,   527,   529,   449,   400,   334,   382,   449,
     718,  1122,  1131,   156,   207,   261,   353,   463,   471,   474,
     541,  1275,   382,  1132,  1121,   382,   412,   583,   660,   663,
     773,  1121,   663,  1121,   663,  1132,  1121,  1121,   382,   412,
     583,  1121,  1121,  1121,  1121,  1132,  1121,    98,   104,   202,
     348,   382,   412,   348,   382,   412,   744,   382,   412,   382,
     412,   382,  1025,  1253,   250,   754,  1253,   250,  1253,  1132,
    1121,  1121,  1121,    98,   596,   409,  1131,   382,   412,   583,
    1121,  1121,   449,   449,   152,   462,   371,   277,   111,   200,
     773,   325,   780,  1273,   277,   277,   472,   472,   277,   773,
     780,   773,   283,   773,   780,   277,   780,   333,   234,   449,
     599,   538,   527,   529,   515,  1050,  1026,   527,   529,   515,
     723,   624,  1255,  1121,   234,   400,   483,   678,   685,   686,
     217,   292,   616,   618,   620,   622,   628,   631,    99,   256,
     393,   436,   541,   542,   229,  1123,   484,  1119,   229,   719,
     556,  1253,   557,   339,   615,   231,  1273,   744,   744,   744,
     744,   330,   334,   339,   526,   744,  1023,  1024,  1025,   409,
     526,   217,   217,   216,  1142,   773,   616,  1253,   491,   493,
     646,   491,   591,   320,   111,   634,  1273,   320,   334,   527,
     825,   826,   831,   111,   283,   390,   452,   490,   835,   836,
     837,   334,   283,   570,  1151,   520,   247,   247,   229,   833,
     111,  1086,   527,   527,   586,   524,   509,   509,   527,   527,
    1129,   525,   526,  1129,  1253,  1273,  1284,  1253,   527,   527,
     217,   586,   822,   772,   773,  1123,   773,  1123,   849,   334,
     586,   334,   586,   586,   283,   334,   586,   586,   409,   229,
     570,   586,  1050,   320,   956,  1276,  1264,   527,   636,   256,
     256,   256,   495,  1120,   529,   663,   664,   242,   795,   796,
    1132,    99,   803,   449,   526,   234,   215,   415,   215,   415,
     396,   470,   309,  1026,  1132,   491,   652,  1119,  1121,   234,
     334,   795,   128,   586,  1127,  1026,   454,   438,  1127,   329,
     484,  1026,   283,   773,   527,   525,   525,   529,  1050,   204,
    1104,  1105,   111,   527,  1050,   527,   527,   527,   234,   527,
     527,   527,   527,   527,   529,   527,   354,  1095,   527,   526,
    1051,  1051,  1086,    87,    91,    92,    93,   256,   277,   336,
     513,   514,   515,   517,   518,   519,   520,   521,   522,  1083,
    1051,   527,   527,   229,   234,  1098,  1099,   527,   111,  1100,
    1086,  1100,  1100,   234,   527,   527,  1255,   352,  1064,   111,
     527,   529,  1050,  1255,   529,  1050,  1110,  1050,   527,   509,
    1051,  1051,   210,  1086,   234,   197,   199,   222,   325,   330,
     456,   466,   526,   210,   850,  1050,   435,  1111,  1050,  1101,
    1050,   449,   526,   958,   526,   526,   344,  1070,   526,  1086,
     442,   444,   442,   444,  1119,   968,   968,   968,   286,   397,
     526,   958,  1002,  1003,  1004,  1011,  1016,  1053,  1055,  1056,
    1127,  1253,   488,  1021,  1087,  1087,  1088,   527,    89,    90,
     529,   972,   973,  1021,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   178,   312,   359,   459,  1233,
    1234,  1236,  1226,  1227,   887,  1129,  1048,   565,  1050,  1027,
     919,  1121,   928,   975,   336,  1081,  1084,   511,   819,  1129,
    1272,   984,   335,   470,   981,   301,  1002,   488,  1022,   478,
     934,   935,  1253,   334,   936,  1253,   951,   952,   529,  1001,
     515,  1110,   531,  1181,   530,   529,   515,    30,  1242,   527,
     527,   530,   834,   774,   830,   830,   128,   832,   521,  1132,
    1121,  1121,  1133,  1133,   334,  1120,   337,   334,  1050,   632,
    1123,   526,   526,   526,   650,   259,   635,   732,   217,   586,
     449,  1132,  1121,   570,   833,  1026,  1121,   495,   773,   773,
     773,   773,   849,   154,   194,   349,   443,  1026,  1121,   667,
    1121,   244,   476,   449,   449,   667,   684,   691,   382,   412,
     583,  1121,  1121,  1121,   267,   325,   826,   347,   412,   449,
     338,   689,   732,   202,   386,   412,   585,   691,   869,   404,
     217,   586,   217,   586,  1121,  1121,  1121,  1121,   404,   404,
     291,   694,   695,   694,   527,   529,   696,  1273,   259,   527,
     529,   515,   528,  1132,  1121,   382,   412,   583,  1121,  1121,
    1121,   348,   382,   412,    98,   202,   348,   382,   412,  1026,
     319,  1026,  1132,  1121,  1119,   449,  1133,   472,   715,   293,
     353,   325,  1273,   353,  1133,   469,   449,   449,   400,   347,
     412,   157,   449,   868,   400,   449,   449,   303,   303,   303,
     449,   449,   400,   449,   449,   400,   449,   400,   449,   400,
     449,   586,  1026,   320,  1273,   412,   869,   217,   586,   449,
    1121,   449,   400,  1132,  1121,   780,  1026,   773,   277,   780,
     780,  1123,  1123,   780,   277,   277,  1121,   277,   780,   600,
     526,   602,   603,   750,  1275,   336,   517,   518,   663,   747,
     830,  1084,  1138,  1273,   527,   527,   746,   747,   334,   140,
     146,   157,   185,   187,   263,   320,   325,   363,   377,   465,
     625,   626,   627,   216,   487,   538,   570,  1121,   570,   689,
    1119,  1119,   527,   529,  1133,   242,   393,  1133,  1129,   459,
    1119,   634,   102,   190,   269,   405,   470,   720,   449,   717,
     118,   557,   384,   438,   178,   591,   635,  1119,   724,   751,
     752,  1273,   527,   529,  1121,   635,  1119,   651,  1119,  1121,
     957,   526,   617,   527,   333,   590,   333,   334,   647,   590,
     111,   217,   957,   591,   449,   217,  1119,   527,   529,   185,
     515,   838,  1273,   570,   438,   829,   830,   229,   839,   491,
     837,   840,   190,   269,   405,   470,   877,  1121,   244,  1147,
     957,  1161,   586,  1026,   527,  1129,  1047,  1047,   525,  1284,
     526,   517,   518,   519,   520,   521,   525,  1044,  1121,   586,
     586,   472,   586,   472,   586,   586,   773,   773,  1121,   773,
    1121,   709,   586,   217,   229,   400,   400,   400,  1120,   799,
     529,  1132,   491,   529,   797,   337,  1012,   409,   215,   215,
     178,   318,  1133,   794,   586,  1132,   833,   277,   822,   663,
     277,   773,   277,  1090,   446,  1050,   208,  1026,   527,  1050,
    1050,  1050,  1098,   527,  1086,   529,  1026,  1051,  1051,  1051,
    1051,   197,   199,   320,   330,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1050,  1050,  1099,  1098,  1026,
     527,   527,   527,  1086,   527,   529,   128,  1052,   527,  1255,
    1061,   360,   433,  1063,   527,   529,   483,  1057,   111,   527,
    1273,  1050,   108,   108,  1050,   527,  1050,   234,   526,  1089,
    1050,   527,   210,  1051,  1051,   210,   210,  1050,  1050,   973,
     488,   526,  1071,  1253,   527,  1086,   529,   968,   968,   968,
     968,  1119,  1119,  1119,   958,  1016,   234,   958,  1003,  1004,
     111,  1005,  1006,  1253,   529,   165,   235,   265,   280,   290,
     315,   392,  1008,  1006,   111,  1005,  1007,  1253,   512,  1020,
     526,  1109,  1050,   242,   986,   529,   972,   972,   972,  1050,
    1050,   480,  1088,   527,   986,   529,   515,   527,   525,  1242,
     527,   526,   819,   226,   285,   335,   168,  1050,   389,   938,
     527,   529,  1110,   155,   938,   527,   529,   948,  1022,  1112,
    1129,   515,  1200,  1231,  1236,   527,   521,   834,   459,   237,
     407,   439,   460,   808,   229,   808,   527,   526,   638,   639,
     815,  1055,  1253,   635,   635,   732,  1125,   527,   187,   263,
     318,   320,   733,  1121,  1121,   111,  1121,   472,   472,   773,
     773,   773,   773,   283,   774,  1132,  1121,   449,   868,   400,
     449,   267,   128,   441,  1121,   526,   624,   320,   590,   178,
     320,   428,   431,   590,   459,  1121,  1253,   404,   693,  1121,
     593,   747,  1255,   347,   412,   449,   868,   400,   449,   449,
     449,   400,   236,   336,   431,   756,   757,   236,   336,   764,
     765,   449,   449,   400,   527,   527,   527,   382,  1121,   526,
     491,   716,  1130,  1273,  1273,  1273,  1121,  1121,  1121,   128,
     441,  1121,  1121,  1121,  1121,  1121,  1121,   229,   229,   384,
     229,   250,  1132,  1121,  1121,  1132,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,   146,   587,   217,   100,   120,   459,  1253,
    1121,   691,  1121,  1121,   527,   277,   780,   277,   277,   780,
     780,   277,   780,   601,   609,   610,  1255,   124,   166,   191,
     206,   210,   230,   233,   246,   325,   333,   369,   604,   732,
     491,   493,  1119,   526,   773,  1121,  1051,   188,   252,   187,
     325,   281,  1119,   840,   367,   736,   737,  1253,   677,   526,
     629,   262,   645,   620,  1133,  1133,  1026,   526,   591,  1133,
     715,  1132,   250,  1119,   495,   229,   725,   527,   529,  1025,
     689,   527,   659,   111,   330,   526,   930,   652,   619,   621,
     623,   631,  1253,   646,   645,   151,   441,   648,   957,   654,
     652,   648,  1273,  1125,   813,   831,  1050,  1050,   529,   526,
     835,   459,   529,   744,   449,   526,   667,    84,  1158,   527,
     525,   527,  1185,  1284,  1284,  1284,  1284,  1284,   586,  1123,
    1123,   586,   586,   586,   586,   409,  1120,  1120,  1120,   663,
     239,   796,   527,  1121,   178,   803,   234,   277,   325,   784,
    1273,   277,   277,   784,   277,   784,  1050,   527,   527,  1099,
     527,  1050,   234,   197,   199,   330,   526,   527,   498,  1059,
    1086,   376,   128,   489,   489,   527,  1050,   318,  1050,   529,
    1058,  1028,  1050,  1050,  1050,  1089,   527,  1050,   108,   108,
    1050,  1050,   210,   527,   527,  1050,  1072,  1253,   527,  1050,
    1119,  1119,  1119,  1119,  1006,  1007,   526,   527,  1253,   526,
    1003,   280,   343,  1009,  1003,  1009,   280,  1008,  1009,   280,
     440,  1014,   526,  1253,   526,   341,  1087,   128,   245,   993,
     527,   527,   527,  1088,  1273,   993,  1234,   518,  1227,  1235,
    1272,  1273,  1273,   850,   330,  1116,   957,   935,   334,   526,
     937,   515,   951,   938,  1280,   459,   527,   449,   791,   234,
     732,  1050,   527,   529,   491,   146,   816,   816,   527,   527,
     840,   188,   252,   261,   187,   474,   586,  1026,  1123,  1123,
    1121,  1121,  1121,  1121,  1121,  1133,  1121,   690,   694,   325,
     325,  1130,  1253,  1026,   586,   586,   515,   128,   441,  1121,
    1121,  1121,  1121,  1132,  1121,  1121,  1129,  1129,  1026,   529,
    1129,  1129,   529,  1132,  1121,  1121,   449,  1050,   140,  1133,
    1121,   449,   449,  1120,  1120,   773,  1120,   217,   773,  1273,
    1273,  1026,   586,   586,   277,   780,   780,   780,   780,   472,
     607,   608,   527,   529,   519,   526,   567,   611,   663,   904,
    1273,   904,   320,   325,   369,   904,   904,   236,   266,   236,
     234,   731,  1050,   320,   626,   840,   634,   472,   649,  1127,
     108,   216,   256,   616,   214,   257,   526,   409,   472,   635,
     111,   716,   557,   320,   526,  1121,   203,   726,   487,   728,
    1273,   591,   216,  1143,   773,   616,   652,   527,   529,   491,
     647,   646,   190,   202,   360,  1121,   491,   890,   111,   234,
     334,   526,  1273,   828,   841,   842,  1254,   840,  1026,   229,
    1119,   234,   449,   859,   264,   668,  1159,  1253,   586,   527,
     586,   586,  1121,   337,   275,   586,   795,   784,   784,   784,
     784,   527,  1051,   234,   526,  1089,   526,   527,   529,   527,
    1052,   376,   527,   477,   425,   527,   527,   527,  1050,  1050,
    1050,   527,   351,  1073,   527,  1017,  1018,  1055,  1005,   526,
    1120,  1003,   334,   472,  1010,  1003,   280,  1003,  1127,  1024,
     526,  1024,  1253,   972,   167,   243,   395,   526,   987,   988,
     989,   990,   991,   992,  1050,  1050,   490,  1067,   972,  1067,
    1129,  1272,   527,   954,  1287,   157,   814,   815,   198,   526,
     958,  1114,   795,   334,   795,   527,   840,   639,   336,   850,
     773,   472,   773,   817,   817,   377,   840,   649,   527,   449,
     412,   944,   527,   529,   587,   747,  1133,  1121,   449,   526,
    1127,   850,   757,   526,   526,   765,  1121,   527,   526,   412,
     944,  1121,  1121,   491,   512,   907,   384,   907,   907,   229,
     587,   780,   538,   192,   610,   567,   612,   613,  1273,  1273,
     325,   635,   519,   635,  1273,  1273,   799,   111,   855,   855,
    1119,   732,   527,   649,   304,   637,   259,   526,   737,   367,
     526,   527,   102,   150,   158,   186,   260,   431,   630,   630,
    1118,  1121,  1123,   527,   957,   217,   689,   396,   427,   727,
     526,   216,   111,  1121,   957,   617,   527,   621,   338,   648,
     647,   397,   397,   132,   140,   296,   957,   773,  1119,   814,
     830,   527,   529,   459,  1021,   423,   423,   527,   667,   318,
     476,   669,   670,   515,  1160,  1121,   586,  1051,  1089,   527,
    1060,  1086,   128,   318,   508,   128,   972,   527,   529,   111,
    1019,  1120,   527,  1050,   526,  1003,  1010,   526,   527,  1024,
     527,   527,   526,   413,   526,   527,   529,  1068,  1069,  1253,
     527,  1121,   527,   529,   321,   470,   797,   808,   586,   816,
     649,   526,   773,   818,   818,  1119,   649,   732,  1121,   441,
     694,   472,   588,   412,   944,  1121,  1089,   822,   229,   760,
     849,  1089,  1089,  1050,   441,   772,   773,   772,   773,  1120,
     586,   602,  1273,   527,   529,   635,   855,   114,   254,   229,
     318,   633,   235,   350,   418,   334,   641,   642,   643,   441,
     527,  1127,    81,   738,   645,   527,   689,   223,   759,   591,
     890,  1119,  1050,   367,   957,   930,   652,   646,   645,   624,
     648,   140,   337,   140,   652,   813,   527,   835,   841,  1026,
     198,   491,   491,   476,   667,  1129,  1267,  1275,    84,   689,
     527,   527,   527,   376,   477,  1086,   370,   397,  1074,  1020,
    1017,   526,   527,  1120,  1086,   527,  1086,   526,  1086,   988,
     529,   111,  1021,   815,   412,   234,   817,   488,   640,   850,
     819,   819,   634,   732,  1121,  1050,   441,   527,   340,   402,
     374,   761,   760,   527,   527,   527,  1121,   907,   613,   203,
     261,   190,   470,   334,   643,   334,   642,  1121,   526,   527,
     529,   409,   773,   111,   111,   526,   527,  1127,   890,   652,
     647,   646,   337,   337,   526,   591,   840,   103,   270,   878,
     236,   236,  1159,   122,   168,   461,  1050,  1075,  1076,  1075,
     527,  1024,   527,   527,   527,   987,   527,  1069,  1071,   947,
     795,   818,   526,   732,   527,   637,   944,  1121,  1127,   128,
     761,   944,   773,   396,   131,   318,   388,   412,   644,   644,
     527,    81,  1121,   756,   957,   526,   648,   647,   814,   648,
     321,   526,   873,   875,   880,   931,   939,   946,   957,   799,
     799,  1076,   396,   228,   358,   228,   358,   527,   383,  1015,
     527,  1021,   586,   819,  1050,   641,   944,   822,   773,   728,
      97,   185,   325,   689,   890,   729,   730,  1129,  1255,  1272,
    1273,   648,   527,  1021,   874,   875,   876,   958,   959,   529,
     529,   108,   526,   527,   732,   216,   527,   529,   591,   527,
     530,   449,   234,  1076,  1050,   367,   730,   648,   876,   423,
     423,   527,  1127,  1021,   491,   491,   526,   236,   236,   729,
     799,   799,   527
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   548,   549,   549,   550,
     550,   551,   552,   553,   553,   554,   554,   555,   555,   555,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   558,
     558,   559,   559,   559,   560,   560,   560,   561,   561,   561,
     561,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   562,   563,   563,   564,   564,   565,   565,   566,   566,
     566,   566,   567,   567,   567,   567,   568,   568,   568,   568,
     568,   568,   568,   569,   569,   569,   570,   570,   571,   572,
     572,   572,   572,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   576,   577,   578,   578,   579,   579,   580,
     581,   581,   581,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     582,   583,   583,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   585,   585,   586,   586,   586,   587,   587,
     588,   588,   589,   589,   589,   589,   590,   591,   591,   592,
     592,   593,   593,   593,   593,   594,   595,   595,   596,   596,
     596,   596,   597,   597,   598,   598,   599,   599,   600,   600,
     601,   601,   601,   602,   602,   603,   603,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   609,
     609,   610,   611,   611,   611,   611,   611,   612,   612,   613,
     614,   614,   614,   614,   615,   615,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   617,   618,   618,   619,   619,
     620,   620,   620,   621,   621,   622,   623,   624,   624,   625,
     625,   625,   625,   626,   626,   626,   626,   626,   626,   626,
     627,   627,   627,   627,   628,   629,   629,   629,   630,   630,
     630,   630,   630,   630,   631,   631,   632,   632,   632,   632,
     632,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     637,   637,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   641,   641,   641,   642,   643,   644,   644,   644,
     644,   644,   645,   645,   646,   646,   646,   646,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   651,   652,   652,
     652,   653,   653,   654,   655,   655,   656,   657,   657,   658,
     658,   659,   659,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   665,   665,   666,   666,   667,
     667,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   674,   675,   675,   676,   676,   677,   677,
     678,   678,   678,   679,   680,   680,   681,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   683,   684,   684,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   690,   690,   691,
     692,   692,   693,   693,   693,   693,   694,   695,   696,   697,
     698,   698,   699,   699,   700,   700,   701,   701,   702,   702,
     702,   703,   703,   704,   704,   705,   706,   706,   707,   707,
     708,   709,   709,   710,   710,   711,   712,   713,   714,   714,
     715,   715,   716,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   720,   720,   720,   721,   721,   722,   722,   722,
     723,   723,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   728,   728,   729,   729,   729,   730,   730,
     730,   730,   731,   731,   732,   732,   733,   733,   733,   733,
     733,   733,   734,   734,   735,   735,   736,   736,   737,   738,
     738,   739,   740,   740,   740,   740,   741,   742,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   744,   745,   745,   746,   746,   747,   747,   747,
     747,   747,   748,   749,   749,   750,   751,   751,   752,   752,
     753,   753,   753,   754,   754,   755,   756,   756,   757,   757,
     757,   757,   757,   758,   758,   759,   759,   760,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   765,   765,   766,
     766,   767,   767,   768,   769,   770,   770,   770,   770,   770,
     770,   770,   770,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   777,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   780,
     780,   781,   781,   781,   781,   781,   781,   781,   782,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   784,   784,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   787,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   791,
     792,   792,   793,   793,   793,   793,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   795,   795,   796,   796,   797,   797,   798,   798,
     799,   800,   801,   801,   802,   802,   803,   803,   804,   805,
     805,   806,   806,   806,   807,   807,   807,   808,   808,   808,
     808,   809,   809,   810,   810,   811,   811,   812,   812,   813,
     813,   814,   814,   815,   815,   815,   816,   816,   817,   817,
     817,   818,   818,   818,   819,   819,   819,   820,   820,   820,
     821,   821,   822,   822,   823,   823,   824,   824,   825,   825,
     826,   826,   826,   826,   826,   827,   827,   827,   827,   827,
     828,   829,   830,   830,   830,   831,   831,   831,   832,   833,
     833,   833,   833,   834,   834,   835,   835,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   837,   837,   837,   837,   837,   838,   838,   839,
     839,   840,   840,   841,   842,   842,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   849,
     849,   850,   850,   851,   852,   852,   853,   853,   854,   854,
     854,   855,   855,   855,   856,   857,   857,   858,   859,   859,
     859,   859,   860,   861,   861,   861,   861,   862,   862,   863,
     863,   863,   864,   864,   865,   866,   866,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   868,   868,   869,   869,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   872,   873,   873,   873,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   877,   877,   878,
     878,   878,   879,   879,   880,   881,   881,   882,   883,   883,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   885,   885,   885,   886,   886,   886,
     886,   886,   887,   887,   887,   888,   888,   889,   889,   889,
     889,   890,   890,   890,   890,   891,   892,   893,   893,   894,
     894,   895,   895,   895,   896,   896,   896,   896,   896,   896,
     896,   897,   897,   898,   898,   898,   899,   900,   900,   901,
     901,   902,   903,   903,   903,   903,   903,   903,   903,   904,
     904,   905,   906,   906,   906,   906,   906,   906,   907,   907,
     908,   909,   909,   909,   910,   910,   911,   911,   911,   911,
     911,   912,   912,   913,   913,   913,   913,   914,   914,   915,
     915,   916,   916,   917,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   926,   927,   927,   928,   928,   928,   928,   929,   929,
     929,   930,   930,   931,   932,   932,   933,   933,   933,   934,
     934,   935,   936,   936,   936,   937,   937,   937,   938,   938,
     939,   940,   940,   941,   942,   942,   943,   943,   943,   943,
     943,   943,   943,   943,   944,   944,   945,   945,   945,   946,
     947,   947,   948,   948,   949,   950,   950,   951,   952,   952,
     953,   954,   954,   955,   955,   955,   955,   955,   956,   956,
     956,   957,   957,   958,   958,   959,   959,   959,   959,   959,
     959,   959,   959,   960,   960,   961,   961,   961,   961,   961,
     961,   961,   962,   962,   962,   963,   963,   964,   965,   965,
     966,   966,   966,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   968,   968,   969,   969,   969,   970,   970,   971,
     971,   972,   972,   973,   974,   974,   975,   975,   976,   976,
     976,   976,   977,   977,   978,   978,   978,   978,   979,   979,
     980,   980,   981,   982,   982,   982,   983,   983,   984,   984,
     985,   985,   986,   986,   987,   987,   988,   988,   988,   988,
     988,   989,   990,   991,   992,   993,   993,   994,   994,   995,
     995,   996,   996,   997,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,
    1005,  1005,  1005,  1005,  1006,  1006,  1007,  1007,  1007,  1007,
    1007,  1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,  1011,
    1011,  1011,  1011,  1012,  1012,  1013,  1013,  1013,  1014,  1015,
    1015,  1016,  1016,  1017,  1018,  1018,  1019,  1019,  1020,  1020,
    1021,  1021,  1022,  1022,  1022,  1023,  1023,  1024,  1024,  1025,
    1026,  1026,  1026,  1026,  1026,  1026,  1027,  1027,  1027,  1028,
    1028,  1028,  1028,  1028,  1028,  1028,  1029,  1029,  1029,  1029,
    1030,  1030,  1031,  1031,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1032,  1033,  1033,  1034,  1034,  1035,
    1035,  1036,  1037,  1038,  1038,  1039,  1039,  1040,  1041,  1042,
    1042,  1042,  1042,  1042,  1042,  1043,  1043,  1044,  1044,  1045,
    1045,  1045,  1045,  1046,  1047,  1047,  1047,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1049,  1049,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1053,
    1053,  1053,  1054,  1054,  1055,  1055,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,
    1058,  1058,  1058,  1058,  1059,  1060,  1060,  1061,  1061,  1062,
    1062,  1063,  1063,  1063,  1064,  1064,  1064,  1064,  1065,  1065,
    1066,  1066,  1067,  1067,  1068,  1068,  1069,  1070,  1070,  1070,
    1071,  1072,  1072,  1073,  1073,  1074,  1074,  1074,  1075,  1075,
    1076,  1076,  1076,  1076,  1076,  1077,  1077,  1077,  1078,  1078,
    1079,  1080,  1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1083,  1083,
    1084,  1084,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1086,
    1087,  1087,  1088,  1088,  1088,  1089,  1089,  1090,  1090,  1090,
    1091,  1091,  1092,  1092,  1093,  1093,  1093,  1093,  1093,  1093,
    1093,  1093,  1094,  1094,  1095,  1096,  1096,  1097,  1097,  1097,
    1097,  1097,  1097,  1098,  1099,  1100,  1100,  1100,  1101,  1101,
    1102,  1103,  1103,  1104,  1105,  1105,  1106,  1106,  1107,  1107,
    1108,  1108,  1108,  1108,  1109,  1109,  1110,  1110,  1111,  1111,
    1112,  1112,  1113,  1113,  1114,  1115,  1115,  1116,  1116,  1117,
    1117,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,  1121,
    1122,  1123,  1124,  1125,  1126,  1127,  1127,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1129,  1130,  1130,  1130,  1130,  1131,  1132,  1132,
    1132,  1133,  1133,  1134,  1134,  1134,  1134,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1139,
    1139,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1142,
    1141,  1143,  1141,  1144,  1145,  1145,  1145,  1145,  1146,  1146,
    1146,  1146,  1147,  1147,  1148,  1149,  1150,  1150,  1151,  1151,
    1151,  1152,  1152,  1153,  1153,  1154,  1154,  1155,  1155,  1155,
    1155,  1156,  1156,  1156,  1157,  1158,  1158,  1159,  1159,  1160,
    1160,  1160,  1160,  1161,  1161,  1162,  1163,  1164,  1165,  1165,
    1166,  1167,  1167,  1168,  1168,  1168,  1168,  1168,  1170,  1169,
    1171,  1172,  1173,  1173,  1174,  1174,  1174,  1174,  1175,  1175,
    1177,  1176,  1179,  1178,  1180,  1178,  1178,  1181,  1181,  1182,
    1182,  1182,  1183,  1183,  1183,  1183,  1184,  1184,  1185,  1185,
    1185,  1185,  1185,  1185,  1186,  1186,  1186,  1187,  1189,  1188,
    1190,  1191,  1190,  1192,  1192,  1193,  1193,  1194,  1194,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1197,  1197,
    1198,  1198,  1199,  1200,  1200,  1201,  1201,  1201,  1202,  1203,
    1204,  1204,  1204,  1204,  1205,  1205,  1205,  1206,  1206,  1207,
    1207,  1208,  1209,  1209,  1210,  1210,  1211,  1211,  1212,  1212,
    1213,  1214,  1214,  1215,  1215,  1215,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1217,  1217,  1217,  1217,  1217,
    1218,  1218,  1219,  1220,  1221,  1222,  1222,  1223,  1224,  1225,
    1225,  1226,  1227,  1227,  1228,  1229,  1230,  1230,  1231,  1232,
    1233,  1233,  1234,  1235,  1235,  1235,  1235,  1235,  1236,  1236,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,  1236,  1236,  1237,  1237,  1238,  1238,  1239,  1239,  1239,
    1241,  1240,  1242,  1242,  1244,  1243,  1245,  1245,  1245,  1246,
    1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1247,  1247,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1249,  1249,  1249,  1249,  1249,  1249,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1251,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1254,  1254,  1254,  1254,  1254,  1254,  1255,  1255,
    1255,  1255,  1255,  1255,  1255,  1255,  1255,  1255,  1255,  1256,
    1256,  1256,  1256,  1256,  1257,  1257,  1257,  1257,  1258,  1258,
    1258,  1258,  1258,  1258,  1258,  1259,  1259,  1259,  1260,  1260,
    1260,  1260,  1260,  1260,  1261,  1261,  1262,  1263,  1263,  1264,
    1264,  1265,  1266,  1267,  1268,  1268,  1268,  1269,  1270,  1271,
    1272,  1273,  1273,  1273,  1273,  1273,  1274,  1275,  1275,  1275,
    1276,  1276,  1277,  1277,  1277,  1278,  1278,  1279,  1279,  1280,
    1280,  1281,  1281,  1281,  1281,  1281,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,  1282,
    1282,  1282,  1283,  1283,  1283,  1283,  1284,  1284,  1284,  1284,
    1284,  1284,  1284,  1284,  1284,  1284,  1285,  1285,  1285,  1285,
    1286,  1286,  1287,  1287,  1288,  1288,  1289,  1289
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     5,     5,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,    10,    13,     4,
       6,    10,    13,     4,     6,     4,     6,     5,     7,    11,
      14,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     3,     2,     2,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    11,     7,     1,     1,     1,     0,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     5,     2,     3,
       0,     8,    11,     4,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     7,     6,
       8,     8,     8,     8,     6,     6,     7,     7,     8,     6,
       9,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     6,     8,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,    11,    14,     5,     7,    11,     2,     1,     4,     0,
       8,     1,     1,     7,     9,     8,     9,     8,     6,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       1,     1,     1,     1,     1,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     3,     0,    13,     1,     3,     5,     6,
       4,     7,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     1,     3,     5,     2,     2,     0,
       6,     6,     6,     7,     7,     7,     8,     9,     8,     8,
       6,     9,     8,     9,     9,     7,    10,     7,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     8,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,    17,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     2,     2,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     3,     3,     6,     6,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     8,
      10,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     1,     0,     1,
       2,     3,     3,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     6,     4,     3,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
      12,     3,     0,     7,     1,     3,     1,     4,     2,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     3,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     1,     1,     3,     5,     5,     2,     1,     3,
       7,     1,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     1,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     4,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       2,     3,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     1,     0,     1,     4,     5,     4,
       0,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     1,     4,     3,     5,     6,     8,     6,
       6,     4,     4,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     5,     0,
       5,     0,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     2,     2,     0,     1,     4,
       2,     2,     2,     2,     2,     4,     3,     5,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     3,     1,     3,     3,     3,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     2,     3,     0,     3,     3,     2,
       2,     1,     0,     2,     2,     3,     2,     1,     1,     3,
       5,     1,     2,     4,     2,     0,     1,     0,     1,     2,
       2,     2,     3,     5,     1,     2,     0,     2,     1,     0,
       1,     1,     1,     3,     3,     1,     0,     1,     3,     3,
       2,     1,     1,     1,     3,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     6,     2,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     4,     3,     2,     1,     1,     1,     1,     1,     0,
       8,     0,    11,     2,     5,     3,     2,     2,     3,     7,
       1,     1,     1,     0,     2,     2,     1,     0,     1,     3,
       1,     2,     0,     2,     0,     2,     0,     1,     3,     4,
       3,     1,     1,     1,     1,     2,     0,     2,     4,     0,
       2,     2,     2,     1,     1,     7,     3,     1,     1,     1,
       1,     2,     0,     1,     3,     3,     3,     3,     0,     4,
       5,     5,     0,     1,     1,     1,     2,     2,     1,     2,
       0,     7,     0,     5,     0,     4,     2,     2,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     2,     1,     3,     2,     2,     3,     0,     5,
       1,     0,     5,     2,     2,     1,     1,     1,     2,     2,
       3,     1,     2,     2,     3,     3,     4,     2,     1,     2,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     0,
       1,     3,     5,     0,     2,     0,     1,     2,     3,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     2,
       2,     3,     0,     1,     2,     1,     4,     3,     4,     3,
       2,     1,     3,     1,     1,     1,     1,     2,     2,     1,
       2,     2,     1,     1,     1,     4,     4,     4,     4,     4,
       1,     0,     3,     3,     4,     1,     3,     3,     4,     1,
       3,     3,     1,     1,     1,     6,     1,     3,     3,     6,
       1,     3,     3,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     4,     1,     1,     4,     4,     3,
       0,     7,     1,     0,     0,     7,     3,     4,     3,     1,
       1,     1,     2,     3,     5,     2,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     4,     0,     2,     2,     1,
       2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1559 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30901 "preproc.c" /* yacc.c:1652  */
    break;

  case 4:
#line 1561 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30907 "preproc.c" /* yacc.c:1652  */
    break;

  case 5:
#line 1563 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30913 "preproc.c" /* yacc.c:1652  */
    break;

  case 6:
#line 1565 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30919 "preproc.c" /* yacc.c:1652  */
    break;

  case 7:
#line 1567 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30925 "preproc.c" /* yacc.c:1652  */
    break;

  case 8:
#line 1569 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30931 "preproc.c" /* yacc.c:1652  */
    break;

  case 9:
#line 1571 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30937 "preproc.c" /* yacc.c:1652  */
    break;

  case 10:
#line 1573 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30943 "preproc.c" /* yacc.c:1652  */
    break;

  case 11:
#line 1575 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30949 "preproc.c" /* yacc.c:1652  */
    break;

  case 12:
#line 1577 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30955 "preproc.c" /* yacc.c:1652  */
    break;

  case 13:
#line 1579 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30961 "preproc.c" /* yacc.c:1652  */
    break;

  case 14:
#line 1581 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30967 "preproc.c" /* yacc.c:1652  */
    break;

  case 15:
#line 1583 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30973 "preproc.c" /* yacc.c:1652  */
    break;

  case 16:
#line 1585 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30979 "preproc.c" /* yacc.c:1652  */
    break;

  case 17:
#line 1587 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30985 "preproc.c" /* yacc.c:1652  */
    break;

  case 18:
#line 1589 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30991 "preproc.c" /* yacc.c:1652  */
    break;

  case 19:
#line 1591 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30997 "preproc.c" /* yacc.c:1652  */
    break;

  case 20:
#line 1593 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31003 "preproc.c" /* yacc.c:1652  */
    break;

  case 21:
#line 1595 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31009 "preproc.c" /* yacc.c:1652  */
    break;

  case 22:
#line 1597 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31015 "preproc.c" /* yacc.c:1652  */
    break;

  case 23:
#line 1599 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31021 "preproc.c" /* yacc.c:1652  */
    break;

  case 24:
#line 1601 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31027 "preproc.c" /* yacc.c:1652  */
    break;

  case 25:
#line 1603 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31033 "preproc.c" /* yacc.c:1652  */
    break;

  case 26:
#line 1605 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31039 "preproc.c" /* yacc.c:1652  */
    break;

  case 27:
#line 1607 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31045 "preproc.c" /* yacc.c:1652  */
    break;

  case 28:
#line 1609 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31051 "preproc.c" /* yacc.c:1652  */
    break;

  case 29:
#line 1611 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31057 "preproc.c" /* yacc.c:1652  */
    break;

  case 30:
#line 1613 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31063 "preproc.c" /* yacc.c:1652  */
    break;

  case 31:
#line 1615 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31069 "preproc.c" /* yacc.c:1652  */
    break;

  case 32:
#line 1617 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31075 "preproc.c" /* yacc.c:1652  */
    break;

  case 33:
#line 1619 "preproc.y" /* yacc.c:1652  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 31097 "preproc.c" /* yacc.c:1652  */
    break;

  case 34:
#line 1637 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31103 "preproc.c" /* yacc.c:1652  */
    break;

  case 35:
#line 1639 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31109 "preproc.c" /* yacc.c:1652  */
    break;

  case 36:
#line 1641 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31115 "preproc.c" /* yacc.c:1652  */
    break;

  case 37:
#line 1643 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31121 "preproc.c" /* yacc.c:1652  */
    break;

  case 38:
#line 1645 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31127 "preproc.c" /* yacc.c:1652  */
    break;

  case 39:
#line 1647 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31133 "preproc.c" /* yacc.c:1652  */
    break;

  case 40:
#line 1649 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31139 "preproc.c" /* yacc.c:1652  */
    break;

  case 41:
#line 1651 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31145 "preproc.c" /* yacc.c:1652  */
    break;

  case 42:
#line 1653 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31151 "preproc.c" /* yacc.c:1652  */
    break;

  case 43:
#line 1655 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31157 "preproc.c" /* yacc.c:1652  */
    break;

  case 44:
#line 1657 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31163 "preproc.c" /* yacc.c:1652  */
    break;

  case 45:
#line 1659 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31169 "preproc.c" /* yacc.c:1652  */
    break;

  case 46:
#line 1661 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31175 "preproc.c" /* yacc.c:1652  */
    break;

  case 47:
#line 1663 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31181 "preproc.c" /* yacc.c:1652  */
    break;

  case 48:
#line 1665 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31187 "preproc.c" /* yacc.c:1652  */
    break;

  case 49:
#line 1667 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31193 "preproc.c" /* yacc.c:1652  */
    break;

  case 50:
#line 1669 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31199 "preproc.c" /* yacc.c:1652  */
    break;

  case 51:
#line 1671 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31205 "preproc.c" /* yacc.c:1652  */
    break;

  case 52:
#line 1673 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31211 "preproc.c" /* yacc.c:1652  */
    break;

  case 53:
#line 1675 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31217 "preproc.c" /* yacc.c:1652  */
    break;

  case 54:
#line 1677 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31223 "preproc.c" /* yacc.c:1652  */
    break;

  case 55:
#line 1679 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31229 "preproc.c" /* yacc.c:1652  */
    break;

  case 56:
#line 1681 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31235 "preproc.c" /* yacc.c:1652  */
    break;

  case 57:
#line 1683 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31241 "preproc.c" /* yacc.c:1652  */
    break;

  case 58:
#line 1685 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31247 "preproc.c" /* yacc.c:1652  */
    break;

  case 59:
#line 1687 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31253 "preproc.c" /* yacc.c:1652  */
    break;

  case 60:
#line 1689 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31259 "preproc.c" /* yacc.c:1652  */
    break;

  case 61:
#line 1691 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31265 "preproc.c" /* yacc.c:1652  */
    break;

  case 62:
#line 1693 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31271 "preproc.c" /* yacc.c:1652  */
    break;

  case 63:
#line 1695 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31277 "preproc.c" /* yacc.c:1652  */
    break;

  case 64:
#line 1697 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31283 "preproc.c" /* yacc.c:1652  */
    break;

  case 65:
#line 1699 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31289 "preproc.c" /* yacc.c:1652  */
    break;

  case 66:
#line 1701 "preproc.y" /* yacc.c:1652  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31297 "preproc.c" /* yacc.c:1652  */
    break;

  case 67:
#line 1705 "preproc.y" /* yacc.c:1652  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31303 "preproc.c" /* yacc.c:1652  */
    break;

  case 68:
#line 1707 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31309 "preproc.c" /* yacc.c:1652  */
    break;

  case 69:
#line 1709 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31315 "preproc.c" /* yacc.c:1652  */
    break;

  case 70:
#line 1711 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31321 "preproc.c" /* yacc.c:1652  */
    break;

  case 71:
#line 1713 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31327 "preproc.c" /* yacc.c:1652  */
    break;

  case 72:
#line 1715 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31333 "preproc.c" /* yacc.c:1652  */
    break;

  case 73:
#line 1717 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31339 "preproc.c" /* yacc.c:1652  */
    break;

  case 74:
#line 1719 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31345 "preproc.c" /* yacc.c:1652  */
    break;

  case 75:
#line 1721 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31351 "preproc.c" /* yacc.c:1652  */
    break;

  case 76:
#line 1723 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31357 "preproc.c" /* yacc.c:1652  */
    break;

  case 77:
#line 1725 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31363 "preproc.c" /* yacc.c:1652  */
    break;

  case 78:
#line 1727 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31369 "preproc.c" /* yacc.c:1652  */
    break;

  case 79:
#line 1729 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31375 "preproc.c" /* yacc.c:1652  */
    break;

  case 80:
#line 1731 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31381 "preproc.c" /* yacc.c:1652  */
    break;

  case 81:
#line 1733 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31387 "preproc.c" /* yacc.c:1652  */
    break;

  case 82:
#line 1735 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31393 "preproc.c" /* yacc.c:1652  */
    break;

  case 83:
#line 1737 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31399 "preproc.c" /* yacc.c:1652  */
    break;

  case 84:
#line 1739 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31405 "preproc.c" /* yacc.c:1652  */
    break;

  case 85:
#line 1741 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31411 "preproc.c" /* yacc.c:1652  */
    break;

  case 86:
#line 1743 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31417 "preproc.c" /* yacc.c:1652  */
    break;

  case 87:
#line 1745 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31423 "preproc.c" /* yacc.c:1652  */
    break;

  case 88:
#line 1747 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31429 "preproc.c" /* yacc.c:1652  */
    break;

  case 89:
#line 1749 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31435 "preproc.c" /* yacc.c:1652  */
    break;

  case 90:
#line 1751 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31441 "preproc.c" /* yacc.c:1652  */
    break;

  case 91:
#line 1753 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31447 "preproc.c" /* yacc.c:1652  */
    break;

  case 92:
#line 1755 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31453 "preproc.c" /* yacc.c:1652  */
    break;

  case 93:
#line 1757 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31459 "preproc.c" /* yacc.c:1652  */
    break;

  case 94:
#line 1759 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31465 "preproc.c" /* yacc.c:1652  */
    break;

  case 95:
#line 1761 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31471 "preproc.c" /* yacc.c:1652  */
    break;

  case 96:
#line 1763 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31477 "preproc.c" /* yacc.c:1652  */
    break;

  case 97:
#line 1765 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31483 "preproc.c" /* yacc.c:1652  */
    break;

  case 98:
#line 1767 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31489 "preproc.c" /* yacc.c:1652  */
    break;

  case 99:
#line 1769 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31495 "preproc.c" /* yacc.c:1652  */
    break;

  case 100:
#line 1771 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31501 "preproc.c" /* yacc.c:1652  */
    break;

  case 101:
#line 1773 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31507 "preproc.c" /* yacc.c:1652  */
    break;

  case 102:
#line 1775 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31513 "preproc.c" /* yacc.c:1652  */
    break;

  case 103:
#line 1777 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31519 "preproc.c" /* yacc.c:1652  */
    break;

  case 104:
#line 1779 "preproc.y" /* yacc.c:1652  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31530 "preproc.c" /* yacc.c:1652  */
    break;

  case 105:
#line 1786 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31536 "preproc.c" /* yacc.c:1652  */
    break;

  case 106:
#line 1788 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31542 "preproc.c" /* yacc.c:1652  */
    break;

  case 107:
#line 1790 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31548 "preproc.c" /* yacc.c:1652  */
    break;

  case 108:
#line 1792 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31554 "preproc.c" /* yacc.c:1652  */
    break;

  case 109:
#line 1794 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31560 "preproc.c" /* yacc.c:1652  */
    break;

  case 110:
#line 1796 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31566 "preproc.c" /* yacc.c:1652  */
    break;

  case 111:
#line 1798 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31572 "preproc.c" /* yacc.c:1652  */
    break;

  case 112:
#line 1800 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31578 "preproc.c" /* yacc.c:1652  */
    break;

  case 113:
#line 1802 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31584 "preproc.c" /* yacc.c:1652  */
    break;

  case 114:
#line 1804 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31590 "preproc.c" /* yacc.c:1652  */
    break;

  case 115:
#line 1806 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31596 "preproc.c" /* yacc.c:1652  */
    break;

  case 116:
#line 1808 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31606 "preproc.c" /* yacc.c:1652  */
    break;

  case 117:
#line 1814 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31612 "preproc.c" /* yacc.c:1652  */
    break;

  case 118:
#line 1816 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31618 "preproc.c" /* yacc.c:1652  */
    break;

  case 119:
#line 1818 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31624 "preproc.c" /* yacc.c:1652  */
    break;

  case 120:
#line 1820 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31630 "preproc.c" /* yacc.c:1652  */
    break;

  case 121:
#line 1822 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31636 "preproc.c" /* yacc.c:1652  */
    break;

  case 122:
#line 1824 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31642 "preproc.c" /* yacc.c:1652  */
    break;

  case 123:
#line 1826 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31648 "preproc.c" /* yacc.c:1652  */
    break;

  case 124:
#line 1828 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31654 "preproc.c" /* yacc.c:1652  */
    break;

  case 125:
#line 1830 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31664 "preproc.c" /* yacc.c:1652  */
    break;

  case 126:
#line 1836 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31678 "preproc.c" /* yacc.c:1652  */
    break;

  case 127:
#line 1846 "preproc.y" /* yacc.c:1652  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31686 "preproc.c" /* yacc.c:1652  */
    break;

  case 128:
#line 1850 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31696 "preproc.c" /* yacc.c:1652  */
    break;

  case 129:
#line 1856 "preproc.y" /* yacc.c:1652  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31704 "preproc.c" /* yacc.c:1652  */
    break;

  case 130:
#line 1860 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31718 "preproc.c" /* yacc.c:1652  */
    break;

  case 131:
#line 1870 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31732 "preproc.c" /* yacc.c:1652  */
    break;

  case 132:
#line 1879 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31738 "preproc.c" /* yacc.c:1652  */
    break;

  case 133:
#line 1881 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31756 "preproc.c" /* yacc.c:1652  */
    break;

  case 134:
#line 1895 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31767 "preproc.c" /* yacc.c:1652  */
    break;

  case 135:
#line 1902 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31777 "preproc.c" /* yacc.c:1652  */
    break;

  case 136:
#line 1908 "preproc.y" /* yacc.c:1652  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31792 "preproc.c" /* yacc.c:1652  */
    break;

  case 137:
#line 1919 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31802 "preproc.c" /* yacc.c:1652  */
    break;

  case 138:
#line 1925 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31815 "preproc.c" /* yacc.c:1652  */
    break;

  case 139:
#line 1934 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31826 "preproc.c" /* yacc.c:1652  */
    break;

  case 140:
#line 1941 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31836 "preproc.c" /* yacc.c:1652  */
    break;

  case 141:
#line 1947 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31849 "preproc.c" /* yacc.c:1652  */
    break;

  case 142:
#line 1956 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31860 "preproc.c" /* yacc.c:1652  */
    break;

  case 143:
#line 1963 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31871 "preproc.c" /* yacc.c:1652  */
    break;

  case 144:
#line 1970 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31877 "preproc.c" /* yacc.c:1652  */
    break;

  case 145:
#line 1976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31885 "preproc.c" /* yacc.c:1652  */
    break;

  case 146:
#line 1984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31893 "preproc.c" /* yacc.c:1652  */
    break;

  case 147:
#line 1988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31901 "preproc.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 31908 "preproc.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1999 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31916 "preproc.c" /* yacc.c:1652  */
    break;

  case 150:
#line 2003 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 31923 "preproc.c" /* yacc.c:1652  */
    break;

  case 151:
#line 2010 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31931 "preproc.c" /* yacc.c:1652  */
    break;

  case 152:
#line 2014 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 31938 "preproc.c" /* yacc.c:1652  */
    break;

  case 153:
#line 2021 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31946 "preproc.c" /* yacc.c:1652  */
    break;

  case 154:
#line 2025 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31954 "preproc.c" /* yacc.c:1652  */
    break;

  case 155:
#line 2029 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31962 "preproc.c" /* yacc.c:1652  */
    break;

  case 156:
#line 2033 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31970 "preproc.c" /* yacc.c:1652  */
    break;

  case 157:
#line 2037 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31978 "preproc.c" /* yacc.c:1652  */
    break;

  case 158:
#line 2041 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31986 "preproc.c" /* yacc.c:1652  */
    break;

  case 159:
#line 2045 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31994 "preproc.c" /* yacc.c:1652  */
    break;

  case 160:
#line 2049 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 32002 "preproc.c" /* yacc.c:1652  */
    break;

  case 161:
#line 2053 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32010 "preproc.c" /* yacc.c:1652  */
    break;

  case 162:
#line 2061 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32018 "preproc.c" /* yacc.c:1652  */
    break;

  case 163:
#line 2065 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 32026 "preproc.c" /* yacc.c:1652  */
    break;

  case 164:
#line 2069 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 32034 "preproc.c" /* yacc.c:1652  */
    break;

  case 165:
#line 2073 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32042 "preproc.c" /* yacc.c:1652  */
    break;

  case 166:
#line 2077 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 32050 "preproc.c" /* yacc.c:1652  */
    break;

  case 167:
#line 2081 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 32058 "preproc.c" /* yacc.c:1652  */
    break;

  case 168:
#line 2089 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32066 "preproc.c" /* yacc.c:1652  */
    break;

  case 169:
#line 2097 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32074 "preproc.c" /* yacc.c:1652  */
    break;

  case 170:
#line 2105 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 32081 "preproc.c" /* yacc.c:1652  */
    break;

  case 171:
#line 2108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 32089 "preproc.c" /* yacc.c:1652  */
    break;

  case 172:
#line 2116 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32097 "preproc.c" /* yacc.c:1652  */
    break;

  case 173:
#line 2120 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32105 "preproc.c" /* yacc.c:1652  */
    break;

  case 174:
#line 2128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32113 "preproc.c" /* yacc.c:1652  */
    break;

  case 175:
#line 2136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32121 "preproc.c" /* yacc.c:1652  */
    break;

  case 176:
#line 2140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32129 "preproc.c" /* yacc.c:1652  */
    break;

  case 177:
#line 2148 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 32137 "preproc.c" /* yacc.c:1652  */
    break;

  case 178:
#line 2152 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 32145 "preproc.c" /* yacc.c:1652  */
    break;

  case 179:
#line 2160 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 32153 "preproc.c" /* yacc.c:1652  */
    break;

  case 180:
#line 2164 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 32161 "preproc.c" /* yacc.c:1652  */
    break;

  case 181:
#line 2172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32169 "preproc.c" /* yacc.c:1652  */
    break;

  case 182:
#line 2180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 32177 "preproc.c" /* yacc.c:1652  */
    break;

  case 183:
#line 2188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 32185 "preproc.c" /* yacc.c:1652  */
    break;

  case 184:
#line 2192 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 32193 "preproc.c" /* yacc.c:1652  */
    break;

  case 185:
#line 2200 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32201 "preproc.c" /* yacc.c:1652  */
    break;

  case 186:
#line 2204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32209 "preproc.c" /* yacc.c:1652  */
    break;

  case 187:
#line 2212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32217 "preproc.c" /* yacc.c:1652  */
    break;

  case 188:
#line 2216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32225 "preproc.c" /* yacc.c:1652  */
    break;

  case 189:
#line 2220 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32234 "preproc.c" /* yacc.c:1652  */
    break;

  case 190:
#line 2225 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32243 "preproc.c" /* yacc.c:1652  */
    break;

  case 191:
#line 2234 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32251 "preproc.c" /* yacc.c:1652  */
    break;

  case 192:
#line 2238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 32258 "preproc.c" /* yacc.c:1652  */
    break;

  case 193:
#line 2245 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32266 "preproc.c" /* yacc.c:1652  */
    break;

  case 194:
#line 2249 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 32273 "preproc.c" /* yacc.c:1652  */
    break;

  case 195:
#line 2256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32281 "preproc.c" /* yacc.c:1652  */
    break;

  case 196:
#line 2260 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32289 "preproc.c" /* yacc.c:1652  */
    break;

  case 197:
#line 2264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32297 "preproc.c" /* yacc.c:1652  */
    break;

  case 198:
#line 2268 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32305 "preproc.c" /* yacc.c:1652  */
    break;

  case 199:
#line 2272 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32313 "preproc.c" /* yacc.c:1652  */
    break;

  case 200:
#line 2276 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32321 "preproc.c" /* yacc.c:1652  */
    break;

  case 201:
#line 2284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32329 "preproc.c" /* yacc.c:1652  */
    break;

  case 202:
#line 2288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32337 "preproc.c" /* yacc.c:1652  */
    break;

  case 203:
#line 2292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32345 "preproc.c" /* yacc.c:1652  */
    break;

  case 204:
#line 2300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32353 "preproc.c" /* yacc.c:1652  */
    break;

  case 205:
#line 2304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32361 "preproc.c" /* yacc.c:1652  */
    break;

  case 206:
#line 2308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32369 "preproc.c" /* yacc.c:1652  */
    break;

  case 207:
#line 2316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32377 "preproc.c" /* yacc.c:1652  */
    break;

  case 208:
#line 2320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32385 "preproc.c" /* yacc.c:1652  */
    break;

  case 209:
#line 2324 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32393 "preproc.c" /* yacc.c:1652  */
    break;

  case 210:
#line 2328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 32401 "preproc.c" /* yacc.c:1652  */
    break;

  case 211:
#line 2336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32409 "preproc.c" /* yacc.c:1652  */
    break;

  case 212:
#line 2340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32417 "preproc.c" /* yacc.c:1652  */
    break;

  case 213:
#line 2344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32425 "preproc.c" /* yacc.c:1652  */
    break;

  case 214:
#line 2348 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32434 "preproc.c" /* yacc.c:1652  */
    break;

  case 215:
#line 2353 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32442 "preproc.c" /* yacc.c:1652  */
    break;

  case 216:
#line 2357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32450 "preproc.c" /* yacc.c:1652  */
    break;

  case 217:
#line 2361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32458 "preproc.c" /* yacc.c:1652  */
    break;

  case 218:
#line 2365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32466 "preproc.c" /* yacc.c:1652  */
    break;

  case 219:
#line 2369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32474 "preproc.c" /* yacc.c:1652  */
    break;

  case 220:
#line 2373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32482 "preproc.c" /* yacc.c:1652  */
    break;

  case 221:
#line 2377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32490 "preproc.c" /* yacc.c:1652  */
    break;

  case 222:
#line 2385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32498 "preproc.c" /* yacc.c:1652  */
    break;

  case 223:
#line 2389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32506 "preproc.c" /* yacc.c:1652  */
    break;

  case 224:
#line 2397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32514 "preproc.c" /* yacc.c:1652  */
    break;

  case 225:
#line 2401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32522 "preproc.c" /* yacc.c:1652  */
    break;

  case 226:
#line 2409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32530 "preproc.c" /* yacc.c:1652  */
    break;

  case 227:
#line 2413 "preproc.y" /* yacc.c:1652  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32544 "preproc.c" /* yacc.c:1652  */
    break;

  case 228:
#line 2427 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32552 "preproc.c" /* yacc.c:1652  */
    break;

  case 229:
#line 2431 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32560 "preproc.c" /* yacc.c:1652  */
    break;

  case 230:
#line 2435 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32568 "preproc.c" /* yacc.c:1652  */
    break;

  case 231:
#line 2439 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32576 "preproc.c" /* yacc.c:1652  */
    break;

  case 232:
#line 2447 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32584 "preproc.c" /* yacc.c:1652  */
    break;

  case 233:
#line 2451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32592 "preproc.c" /* yacc.c:1652  */
    break;

  case 234:
#line 2455 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32600 "preproc.c" /* yacc.c:1652  */
    break;

  case 235:
#line 2459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32608 "preproc.c" /* yacc.c:1652  */
    break;

  case 236:
#line 2467 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32616 "preproc.c" /* yacc.c:1652  */
    break;

  case 237:
#line 2471 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32624 "preproc.c" /* yacc.c:1652  */
    break;

  case 238:
#line 2475 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32632 "preproc.c" /* yacc.c:1652  */
    break;

  case 239:
#line 2479 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32640 "preproc.c" /* yacc.c:1652  */
    break;

  case 240:
#line 2483 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32648 "preproc.c" /* yacc.c:1652  */
    break;

  case 241:
#line 2487 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32656 "preproc.c" /* yacc.c:1652  */
    break;

  case 242:
#line 2491 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32664 "preproc.c" /* yacc.c:1652  */
    break;

  case 243:
#line 2499 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32672 "preproc.c" /* yacc.c:1652  */
    break;

  case 244:
#line 2503 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32680 "preproc.c" /* yacc.c:1652  */
    break;

  case 245:
#line 2507 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 32687 "preproc.c" /* yacc.c:1652  */
    break;

  case 246:
#line 2514 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32695 "preproc.c" /* yacc.c:1652  */
    break;

  case 247:
#line 2518 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32703 "preproc.c" /* yacc.c:1652  */
    break;

  case 248:
#line 2526 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32711 "preproc.c" /* yacc.c:1652  */
    break;

  case 249:
#line 2534 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32719 "preproc.c" /* yacc.c:1652  */
    break;

  case 250:
#line 2538 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32727 "preproc.c" /* yacc.c:1652  */
    break;

  case 251:
#line 2542 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32735 "preproc.c" /* yacc.c:1652  */
    break;

  case 252:
#line 2546 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32743 "preproc.c" /* yacc.c:1652  */
    break;

  case 253:
#line 2554 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32751 "preproc.c" /* yacc.c:1652  */
    break;

  case 254:
#line 2558 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32759 "preproc.c" /* yacc.c:1652  */
    break;

  case 255:
#line 2566 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32767 "preproc.c" /* yacc.c:1652  */
    break;

  case 256:
#line 2570 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32775 "preproc.c" /* yacc.c:1652  */
    break;

  case 257:
#line 2578 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32783 "preproc.c" /* yacc.c:1652  */
    break;

  case 258:
#line 2582 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32791 "preproc.c" /* yacc.c:1652  */
    break;

  case 259:
#line 2590 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32799 "preproc.c" /* yacc.c:1652  */
    break;

  case 260:
#line 2594 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32807 "preproc.c" /* yacc.c:1652  */
    break;

  case 261:
#line 2598 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32815 "preproc.c" /* yacc.c:1652  */
    break;

  case 262:
#line 2602 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32823 "preproc.c" /* yacc.c:1652  */
    break;

  case 263:
#line 2606 "preproc.y" /* yacc.c:1652  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32832 "preproc.c" /* yacc.c:1652  */
    break;

  case 264:
#line 2615 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32840 "preproc.c" /* yacc.c:1652  */
    break;

  case 265:
#line 2623 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32848 "preproc.c" /* yacc.c:1652  */
    break;

  case 266:
#line 2627 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32856 "preproc.c" /* yacc.c:1652  */
    break;

  case 267:
#line 2635 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32864 "preproc.c" /* yacc.c:1652  */
    break;

  case 268:
#line 2639 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32872 "preproc.c" /* yacc.c:1652  */
    break;

  case 269:
#line 2647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32880 "preproc.c" /* yacc.c:1652  */
    break;

  case 270:
#line 2655 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32888 "preproc.c" /* yacc.c:1652  */
    break;

  case 271:
#line 2659 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32896 "preproc.c" /* yacc.c:1652  */
    break;

  case 272:
#line 2663 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32904 "preproc.c" /* yacc.c:1652  */
    break;

  case 273:
#line 2667 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32912 "preproc.c" /* yacc.c:1652  */
    break;

  case 274:
#line 2671 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32920 "preproc.c" /* yacc.c:1652  */
    break;

  case 275:
#line 2679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32928 "preproc.c" /* yacc.c:1652  */
    break;

  case 276:
#line 2683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32936 "preproc.c" /* yacc.c:1652  */
    break;

  case 277:
#line 2687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32944 "preproc.c" /* yacc.c:1652  */
    break;

  case 278:
#line 2691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32952 "preproc.c" /* yacc.c:1652  */
    break;

  case 279:
#line 2695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32960 "preproc.c" /* yacc.c:1652  */
    break;

  case 280:
#line 2699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32968 "preproc.c" /* yacc.c:1652  */
    break;

  case 281:
#line 2703 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32976 "preproc.c" /* yacc.c:1652  */
    break;

  case 282:
#line 2707 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32984 "preproc.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2711 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32992 "preproc.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33000 "preproc.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33008 "preproc.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2723 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33016 "preproc.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33024 "preproc.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2731 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33032 "preproc.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2735 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33040 "preproc.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33048 "preproc.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33056 "preproc.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33064 "preproc.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33072 "preproc.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 33080 "preproc.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33088 "preproc.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 33096 "preproc.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 33104 "preproc.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 33112 "preproc.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33120 "preproc.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33128 "preproc.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 33136 "preproc.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33144 "preproc.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33152 "preproc.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2803 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33160 "preproc.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2807 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33168 "preproc.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33176 "preproc.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2815 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33184 "preproc.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2819 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33192 "preproc.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2823 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33200 "preproc.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33208 "preproc.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2831 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33216 "preproc.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2835 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33224 "preproc.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33232 "preproc.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2843 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33240 "preproc.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2847 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33248 "preproc.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2851 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33256 "preproc.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2855 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33264 "preproc.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33272 "preproc.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2863 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33280 "preproc.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2867 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33288 "preproc.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2871 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33296 "preproc.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2875 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33304 "preproc.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2879 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33312 "preproc.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2883 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33320 "preproc.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2887 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33328 "preproc.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2891 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33336 "preproc.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2895 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33344 "preproc.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2899 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33352 "preproc.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2903 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33360 "preproc.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2907 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33368 "preproc.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2911 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33376 "preproc.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2915 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33384 "preproc.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2919 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33392 "preproc.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2923 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33400 "preproc.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2927 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33408 "preproc.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33416 "preproc.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33424 "preproc.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33432 "preproc.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33440 "preproc.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33448 "preproc.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33456 "preproc.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2955 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33464 "preproc.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2963 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33472 "preproc.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2967 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33480 "preproc.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2975 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33488 "preproc.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2979 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33496 "preproc.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33503 "preproc.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2990 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33511 "preproc.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2994 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33518 "preproc.c" /* yacc.c:1652  */
    break;

  case 350:
#line 3001 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33526 "preproc.c" /* yacc.c:1652  */
    break;

  case 351:
#line 3005 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33533 "preproc.c" /* yacc.c:1652  */
    break;

  case 352:
#line 3012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33541 "preproc.c" /* yacc.c:1652  */
    break;

  case 353:
#line 3016 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33549 "preproc.c" /* yacc.c:1652  */
    break;

  case 354:
#line 3020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33557 "preproc.c" /* yacc.c:1652  */
    break;

  case 355:
#line 3024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33565 "preproc.c" /* yacc.c:1652  */
    break;

  case 356:
#line 3032 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33573 "preproc.c" /* yacc.c:1652  */
    break;

  case 357:
#line 3040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33581 "preproc.c" /* yacc.c:1652  */
    break;

  case 358:
#line 3044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33588 "preproc.c" /* yacc.c:1652  */
    break;

  case 359:
#line 3051 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33596 "preproc.c" /* yacc.c:1652  */
    break;

  case 360:
#line 3055 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33604 "preproc.c" /* yacc.c:1652  */
    break;

  case 361:
#line 3063 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33612 "preproc.c" /* yacc.c:1652  */
    break;

  case 362:
#line 3067 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33620 "preproc.c" /* yacc.c:1652  */
    break;

  case 363:
#line 3071 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33628 "preproc.c" /* yacc.c:1652  */
    break;

  case 364:
#line 3075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33636 "preproc.c" /* yacc.c:1652  */
    break;

  case 365:
#line 3083 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33644 "preproc.c" /* yacc.c:1652  */
    break;

  case 366:
#line 3091 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33652 "preproc.c" /* yacc.c:1652  */
    break;

  case 367:
#line 3095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33660 "preproc.c" /* yacc.c:1652  */
    break;

  case 368:
#line 3103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33668 "preproc.c" /* yacc.c:1652  */
    break;

  case 369:
#line 3107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33676 "preproc.c" /* yacc.c:1652  */
    break;

  case 370:
#line 3111 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33684 "preproc.c" /* yacc.c:1652  */
    break;

  case 371:
#line 3115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33692 "preproc.c" /* yacc.c:1652  */
    break;

  case 372:
#line 3123 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33701 "preproc.c" /* yacc.c:1652  */
    break;

  case 373:
#line 3128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33709 "preproc.c" /* yacc.c:1652  */
    break;

  case 374:
#line 3136 "preproc.y" /* yacc.c:1652  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33721 "preproc.c" /* yacc.c:1652  */
    break;

  case 375:
#line 3144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33729 "preproc.c" /* yacc.c:1652  */
    break;

  case 376:
#line 3152 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33737 "preproc.c" /* yacc.c:1652  */
    break;

  case 377:
#line 3156 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33745 "preproc.c" /* yacc.c:1652  */
    break;

  case 378:
#line 3164 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33753 "preproc.c" /* yacc.c:1652  */
    break;

  case 379:
#line 3168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33760 "preproc.c" /* yacc.c:1652  */
    break;

  case 380:
#line 3175 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33768 "preproc.c" /* yacc.c:1652  */
    break;

  case 381:
#line 3179 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33776 "preproc.c" /* yacc.c:1652  */
    break;

  case 382:
#line 3183 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33784 "preproc.c" /* yacc.c:1652  */
    break;

  case 383:
#line 3191 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33792 "preproc.c" /* yacc.c:1652  */
    break;

  case 384:
#line 3195 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33800 "preproc.c" /* yacc.c:1652  */
    break;

  case 385:
#line 3203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33808 "preproc.c" /* yacc.c:1652  */
    break;

  case 386:
#line 3207 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33815 "preproc.c" /* yacc.c:1652  */
    break;

  case 387:
#line 3214 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33823 "preproc.c" /* yacc.c:1652  */
    break;

  case 388:
#line 3218 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33831 "preproc.c" /* yacc.c:1652  */
    break;

  case 389:
#line 3222 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33839 "preproc.c" /* yacc.c:1652  */
    break;

  case 390:
#line 3226 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33847 "preproc.c" /* yacc.c:1652  */
    break;

  case 391:
#line 3230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33855 "preproc.c" /* yacc.c:1652  */
    break;

  case 392:
#line 3234 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33863 "preproc.c" /* yacc.c:1652  */
    break;

  case 393:
#line 3238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33871 "preproc.c" /* yacc.c:1652  */
    break;

  case 394:
#line 3242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33879 "preproc.c" /* yacc.c:1652  */
    break;

  case 395:
#line 3246 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33887 "preproc.c" /* yacc.c:1652  */
    break;

  case 396:
#line 3250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33895 "preproc.c" /* yacc.c:1652  */
    break;

  case 397:
#line 3254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33903 "preproc.c" /* yacc.c:1652  */
    break;

  case 398:
#line 3258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33911 "preproc.c" /* yacc.c:1652  */
    break;

  case 399:
#line 3262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33919 "preproc.c" /* yacc.c:1652  */
    break;

  case 400:
#line 3266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33927 "preproc.c" /* yacc.c:1652  */
    break;

  case 401:
#line 3274 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33935 "preproc.c" /* yacc.c:1652  */
    break;

  case 402:
#line 3278 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33942 "preproc.c" /* yacc.c:1652  */
    break;

  case 403:
#line 3285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33950 "preproc.c" /* yacc.c:1652  */
    break;

  case 404:
#line 3289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33957 "preproc.c" /* yacc.c:1652  */
    break;

  case 405:
#line 3296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33965 "preproc.c" /* yacc.c:1652  */
    break;

  case 406:
#line 3300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33972 "preproc.c" /* yacc.c:1652  */
    break;

  case 407:
#line 3307 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33980 "preproc.c" /* yacc.c:1652  */
    break;

  case 408:
#line 3311 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 33987 "preproc.c" /* yacc.c:1652  */
    break;

  case 409:
#line 3318 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33995 "preproc.c" /* yacc.c:1652  */
    break;

  case 410:
#line 3322 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34003 "preproc.c" /* yacc.c:1652  */
    break;

  case 411:
#line 3330 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34011 "preproc.c" /* yacc.c:1652  */
    break;

  case 412:
#line 3338 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34019 "preproc.c" /* yacc.c:1652  */
    break;

  case 413:
#line 3342 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34027 "preproc.c" /* yacc.c:1652  */
    break;

  case 414:
#line 3346 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 34035 "preproc.c" /* yacc.c:1652  */
    break;

  case 415:
#line 3350 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34043 "preproc.c" /* yacc.c:1652  */
    break;

  case 416:
#line 3354 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34050 "preproc.c" /* yacc.c:1652  */
    break;

  case 417:
#line 3361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34058 "preproc.c" /* yacc.c:1652  */
    break;

  case 418:
#line 3365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34066 "preproc.c" /* yacc.c:1652  */
    break;

  case 419:
#line 3373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34074 "preproc.c" /* yacc.c:1652  */
    break;

  case 420:
#line 3381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34082 "preproc.c" /* yacc.c:1652  */
    break;

  case 421:
#line 3385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34090 "preproc.c" /* yacc.c:1652  */
    break;

  case 422:
#line 3389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34098 "preproc.c" /* yacc.c:1652  */
    break;

  case 423:
#line 3393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34106 "preproc.c" /* yacc.c:1652  */
    break;

  case 424:
#line 3401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 34114 "preproc.c" /* yacc.c:1652  */
    break;

  case 425:
#line 3405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 34122 "preproc.c" /* yacc.c:1652  */
    break;

  case 426:
#line 3409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 34130 "preproc.c" /* yacc.c:1652  */
    break;

  case 427:
#line 3413 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 34138 "preproc.c" /* yacc.c:1652  */
    break;

  case 428:
#line 3417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 34146 "preproc.c" /* yacc.c:1652  */
    break;

  case 429:
#line 3421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 34154 "preproc.c" /* yacc.c:1652  */
    break;

  case 430:
#line 3425 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34162 "preproc.c" /* yacc.c:1652  */
    break;

  case 431:
#line 3429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34169 "preproc.c" /* yacc.c:1652  */
    break;

  case 432:
#line 3436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34177 "preproc.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34184 "preproc.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3447 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34192 "preproc.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34199 "preproc.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3458 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34207 "preproc.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3462 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34215 "preproc.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3470 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34223 "preproc.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3474 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34231 "preproc.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3482 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34239 "preproc.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3486 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34247 "preproc.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3490 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34255 "preproc.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3498 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34263 "preproc.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3502 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34271 "preproc.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3510 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34279 "preproc.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3518 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34287 "preproc.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3526 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34295 "preproc.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3530 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34302 "preproc.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34310 "preproc.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34318 "preproc.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34326 "preproc.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34334 "preproc.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34342 "preproc.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34350 "preproc.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34358 "preproc.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34366 "preproc.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34374 "preproc.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34382 "preproc.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34390 "preproc.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34398 "preproc.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34406 "preproc.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34414 "preproc.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34422 "preproc.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34430 "preproc.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34438 "preproc.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34446 "preproc.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34453 "preproc.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34461 "preproc.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34469 "preproc.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34477 "preproc.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34485 "preproc.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3648 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34493 "preproc.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34501 "preproc.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3660 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34509 "preproc.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3664 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34517 "preproc.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34525 "preproc.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34533 "preproc.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3680 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34541 "preproc.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34549 "preproc.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3688 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34557 "preproc.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3692 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34565 "preproc.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34573 "preproc.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34581 "preproc.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34588 "preproc.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34596 "preproc.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34603 "preproc.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3726 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34611 "preproc.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3730 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34619 "preproc.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3738 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34627 "preproc.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3746 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34635 "preproc.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3750 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34644 "preproc.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3755 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34652 "preproc.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34659 "preproc.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3766 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34667 "preproc.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34675 "preproc.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34683 "preproc.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3782 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34691 "preproc.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3790 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34699 "preproc.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3794 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34706 "preproc.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3801 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34714 "preproc.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34722 "preproc.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34730 "preproc.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3813 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34738 "preproc.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34745 "preproc.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34753 "preproc.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34761 "preproc.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3840 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34769 "preproc.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34777 "preproc.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34785 "preproc.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34793 "preproc.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34801 "preproc.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34809 "preproc.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34816 "preproc.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3875 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34824 "preproc.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3879 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34832 "preproc.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3883 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34840 "preproc.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3887 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34847 "preproc.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3894 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34855 "preproc.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3898 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34863 "preproc.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3902 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34871 "preproc.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3906 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34878 "preproc.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3913 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34886 "preproc.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34893 "preproc.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34901 "preproc.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34908 "preproc.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34916 "preproc.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34932 "preproc.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3955 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34940 "preproc.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3959 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34947 "preproc.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3966 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34955 "preproc.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3970 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34963 "preproc.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3978 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34971 "preproc.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3986 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34979 "preproc.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3990 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 34986 "preproc.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3997 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34994 "preproc.c" /* yacc.c:1652  */
    break;

  case 537:
#line 4005 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35002 "preproc.c" /* yacc.c:1652  */
    break;

  case 538:
#line 4009 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35010 "preproc.c" /* yacc.c:1652  */
    break;

  case 539:
#line 4017 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35018 "preproc.c" /* yacc.c:1652  */
    break;

  case 540:
#line 4021 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35026 "preproc.c" /* yacc.c:1652  */
    break;

  case 541:
#line 4029 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35034 "preproc.c" /* yacc.c:1652  */
    break;

  case 542:
#line 4033 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35041 "preproc.c" /* yacc.c:1652  */
    break;

  case 543:
#line 4040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35049 "preproc.c" /* yacc.c:1652  */
    break;

  case 544:
#line 4044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35057 "preproc.c" /* yacc.c:1652  */
    break;

  case 545:
#line 4052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 35065 "preproc.c" /* yacc.c:1652  */
    break;

  case 546:
#line 4056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 35073 "preproc.c" /* yacc.c:1652  */
    break;

  case 547:
#line 4060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 35081 "preproc.c" /* yacc.c:1652  */
    break;

  case 548:
#line 4064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35089 "preproc.c" /* yacc.c:1652  */
    break;

  case 549:
#line 4068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 35097 "preproc.c" /* yacc.c:1652  */
    break;

  case 550:
#line 4072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 35105 "preproc.c" /* yacc.c:1652  */
    break;

  case 551:
#line 4076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 35113 "preproc.c" /* yacc.c:1652  */
    break;

  case 552:
#line 4080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 35121 "preproc.c" /* yacc.c:1652  */
    break;

  case 553:
#line 4084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 35129 "preproc.c" /* yacc.c:1652  */
    break;

  case 554:
#line 4088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35137 "preproc.c" /* yacc.c:1652  */
    break;

  case 555:
#line 4092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35145 "preproc.c" /* yacc.c:1652  */
    break;

  case 556:
#line 4096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35153 "preproc.c" /* yacc.c:1652  */
    break;

  case 557:
#line 4104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 35161 "preproc.c" /* yacc.c:1652  */
    break;

  case 558:
#line 4108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35168 "preproc.c" /* yacc.c:1652  */
    break;

  case 559:
#line 4115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35176 "preproc.c" /* yacc.c:1652  */
    break;

  case 560:
#line 4119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 35184 "preproc.c" /* yacc.c:1652  */
    break;

  case 561:
#line 4123 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 35192 "preproc.c" /* yacc.c:1652  */
    break;

  case 562:
#line 4127 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35200 "preproc.c" /* yacc.c:1652  */
    break;

  case 563:
#line 4135 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35208 "preproc.c" /* yacc.c:1652  */
    break;

  case 564:
#line 4139 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35216 "preproc.c" /* yacc.c:1652  */
    break;

  case 565:
#line 4147 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35224 "preproc.c" /* yacc.c:1652  */
    break;

  case 566:
#line 4151 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35232 "preproc.c" /* yacc.c:1652  */
    break;

  case 567:
#line 4159 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35240 "preproc.c" /* yacc.c:1652  */
    break;

  case 568:
#line 4163 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35247 "preproc.c" /* yacc.c:1652  */
    break;

  case 569:
#line 4170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35255 "preproc.c" /* yacc.c:1652  */
    break;

  case 570:
#line 4174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35263 "preproc.c" /* yacc.c:1652  */
    break;

  case 571:
#line 4182 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35271 "preproc.c" /* yacc.c:1652  */
    break;

  case 572:
#line 4186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35278 "preproc.c" /* yacc.c:1652  */
    break;

  case 573:
#line 4193 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35286 "preproc.c" /* yacc.c:1652  */
    break;

  case 574:
#line 4197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35294 "preproc.c" /* yacc.c:1652  */
    break;

  case 575:
#line 4205 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35302 "preproc.c" /* yacc.c:1652  */
    break;

  case 576:
#line 4209 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35309 "preproc.c" /* yacc.c:1652  */
    break;

  case 577:
#line 4216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35317 "preproc.c" /* yacc.c:1652  */
    break;

  case 578:
#line 4220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35325 "preproc.c" /* yacc.c:1652  */
    break;

  case 579:
#line 4228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35333 "preproc.c" /* yacc.c:1652  */
    break;

  case 580:
#line 4232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35340 "preproc.c" /* yacc.c:1652  */
    break;

  case 581:
#line 4239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35348 "preproc.c" /* yacc.c:1652  */
    break;

  case 582:
#line 4247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35356 "preproc.c" /* yacc.c:1652  */
    break;

  case 583:
#line 4251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35363 "preproc.c" /* yacc.c:1652  */
    break;

  case 584:
#line 4258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35371 "preproc.c" /* yacc.c:1652  */
    break;

  case 585:
#line 4262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35379 "preproc.c" /* yacc.c:1652  */
    break;

  case 586:
#line 4270 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35387 "preproc.c" /* yacc.c:1652  */
    break;

  case 587:
#line 4274 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35395 "preproc.c" /* yacc.c:1652  */
    break;

  case 588:
#line 4282 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35403 "preproc.c" /* yacc.c:1652  */
    break;

  case 589:
#line 4286 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35410 "preproc.c" /* yacc.c:1652  */
    break;

  case 590:
#line 4293 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35418 "preproc.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35426 "preproc.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4301 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35434 "preproc.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35442 "preproc.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35450 "preproc.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35457 "preproc.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35481 "preproc.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35489 "preproc.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35497 "preproc.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35505 "preproc.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35513 "preproc.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35521 "preproc.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35529 "preproc.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35537 "preproc.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35545 "preproc.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35553 "preproc.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35561 "preproc.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35569 "preproc.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35577 "preproc.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35585 "preproc.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35593 "preproc.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35601 "preproc.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35609 "preproc.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35617 "preproc.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35625 "preproc.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35633 "preproc.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35641 "preproc.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35649 "preproc.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35657 "preproc.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35665 "preproc.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35673 "preproc.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35681 "preproc.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35689 "preproc.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4456 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35697 "preproc.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35705 "preproc.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35713 "preproc.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35721 "preproc.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35729 "preproc.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35736 "preproc.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4491 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35744 "preproc.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4495 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35752 "preproc.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4503 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35760 "preproc.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4507 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35768 "preproc.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4515 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35776 "preproc.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4519 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35783 "preproc.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4526 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35791 "preproc.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4530 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35799 "preproc.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4538 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35807 "preproc.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4546 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35815 "preproc.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4550 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35823 "preproc.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4558 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35831 "preproc.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4562 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35839 "preproc.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4566 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35847 "preproc.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4570 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35855 "preproc.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4578 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35863 "preproc.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4586 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35871 "preproc.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4594 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35879 "preproc.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4602 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35887 "preproc.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4610 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35895 "preproc.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4614 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35902 "preproc.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35910 "preproc.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35918 "preproc.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35926 "preproc.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35933 "preproc.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35941 "preproc.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4648 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35949 "preproc.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35957 "preproc.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4660 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35965 "preproc.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4664 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35973 "preproc.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35981 "preproc.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35989 "preproc.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35997 "preproc.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4688 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36005 "preproc.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36013 "preproc.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 36021 "preproc.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 36029 "preproc.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36037 "preproc.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36044 "preproc.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36052 "preproc.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4735 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36060 "preproc.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 36068 "preproc.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36076 "preproc.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 36084 "preproc.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36092 "preproc.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36100 "preproc.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36108 "preproc.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36116 "preproc.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36124 "preproc.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36132 "preproc.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36139 "preproc.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36147 "preproc.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36154 "preproc.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36162 "preproc.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36169 "preproc.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4828 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36177 "preproc.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36184 "preproc.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36192 "preproc.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4843 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36199 "preproc.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4850 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36207 "preproc.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4854 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36215 "preproc.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4858 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36223 "preproc.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4862 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36231 "preproc.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4866 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36239 "preproc.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36247 "preproc.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4878 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36255 "preproc.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4886 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36263 "preproc.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4890 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36271 "preproc.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4894 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36279 "preproc.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4902 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36287 "preproc.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4906 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36295 "preproc.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4914 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36303 "preproc.c" /* yacc.c:1652  */
    break;

  case 703:
#line 4918 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36311 "preproc.c" /* yacc.c:1652  */
    break;

  case 704:
#line 4922 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36319 "preproc.c" /* yacc.c:1652  */
    break;

  case 705:
#line 4926 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36327 "preproc.c" /* yacc.c:1652  */
    break;

  case 706:
#line 4930 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36335 "preproc.c" /* yacc.c:1652  */
    break;

  case 707:
#line 4938 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36343 "preproc.c" /* yacc.c:1652  */
    break;

  case 708:
#line 4942 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36350 "preproc.c" /* yacc.c:1652  */
    break;

  case 709:
#line 4949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36358 "preproc.c" /* yacc.c:1652  */
    break;

  case 710:
#line 4953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36365 "preproc.c" /* yacc.c:1652  */
    break;

  case 711:
#line 4960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36373 "preproc.c" /* yacc.c:1652  */
    break;

  case 712:
#line 4964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36381 "preproc.c" /* yacc.c:1652  */
    break;

  case 713:
#line 4972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36389 "preproc.c" /* yacc.c:1652  */
    break;

  case 714:
#line 4976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36396 "preproc.c" /* yacc.c:1652  */
    break;

  case 715:
#line 4983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36404 "preproc.c" /* yacc.c:1652  */
    break;

  case 716:
#line 4987 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36412 "preproc.c" /* yacc.c:1652  */
    break;

  case 717:
#line 4991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36419 "preproc.c" /* yacc.c:1652  */
    break;

  case 718:
#line 4998 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36427 "preproc.c" /* yacc.c:1652  */
    break;

  case 719:
#line 5002 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36435 "preproc.c" /* yacc.c:1652  */
    break;

  case 720:
#line 5006 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36443 "preproc.c" /* yacc.c:1652  */
    break;

  case 721:
#line 5010 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36451 "preproc.c" /* yacc.c:1652  */
    break;

  case 722:
#line 5018 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36459 "preproc.c" /* yacc.c:1652  */
    break;

  case 723:
#line 5022 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36466 "preproc.c" /* yacc.c:1652  */
    break;

  case 724:
#line 5029 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36473 "preproc.c" /* yacc.c:1652  */
    break;

  case 725:
#line 5032 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36481 "preproc.c" /* yacc.c:1652  */
    break;

  case 726:
#line 5040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36489 "preproc.c" /* yacc.c:1652  */
    break;

  case 727:
#line 5044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36497 "preproc.c" /* yacc.c:1652  */
    break;

  case 728:
#line 5048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36505 "preproc.c" /* yacc.c:1652  */
    break;

  case 729:
#line 5052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36513 "preproc.c" /* yacc.c:1652  */
    break;

  case 730:
#line 5056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36521 "preproc.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36529 "preproc.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36537 "preproc.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36545 "preproc.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36553 "preproc.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36561 "preproc.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36569 "preproc.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36577 "preproc.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36585 "preproc.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5112 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36593 "preproc.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5116 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36601 "preproc.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5124 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36609 "preproc.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5132 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36617 "preproc.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36625 "preproc.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36633 "preproc.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36641 "preproc.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5152 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36650 "preproc.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5161 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36659 "preproc.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36667 "preproc.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36675 "preproc.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5178 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36683 "preproc.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5182 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36699 "preproc.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5190 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36707 "preproc.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5194 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36715 "preproc.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5198 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36723 "preproc.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5202 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36731 "preproc.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5206 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36739 "preproc.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5210 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36747 "preproc.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5214 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36755 "preproc.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5218 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36763 "preproc.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5222 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36771 "preproc.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36779 "preproc.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36787 "preproc.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36795 "preproc.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36803 "preproc.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36811 "preproc.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36819 "preproc.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36827 "preproc.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5270 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36835 "preproc.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5274 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36843 "preproc.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5278 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36851 "preproc.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5286 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36859 "preproc.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5294 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36867 "preproc.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5298 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36875 "preproc.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5306 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36883 "preproc.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5314 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36891 "preproc.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5318 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36898 "preproc.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5325 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36906 "preproc.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36914 "preproc.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36922 "preproc.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5341 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36930 "preproc.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5345 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36938 "preproc.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5353 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36946 "preproc.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36953 "preproc.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36961 "preproc.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36969 "preproc.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36977 "preproc.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36985 "preproc.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36993 "preproc.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37001 "preproc.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37009 "preproc.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 37017 "preproc.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37025 "preproc.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37032 "preproc.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5419 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 37040 "preproc.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5423 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37047 "preproc.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5430 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 37055 "preproc.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5434 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 37063 "preproc.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5438 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37070 "preproc.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5445 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 37079 "preproc.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5450 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37086 "preproc.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37094 "preproc.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37102 "preproc.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 37110 "preproc.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37118 "preproc.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37126 "preproc.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37134 "preproc.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37142 "preproc.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37150 "preproc.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37158 "preproc.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5513 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37166 "preproc.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37174 "preproc.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37182 "preproc.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37190 "preproc.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37198 "preproc.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37206 "preproc.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37214 "preproc.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37222 "preproc.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37230 "preproc.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37238 "preproc.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37246 "preproc.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37254 "preproc.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37262 "preproc.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37270 "preproc.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37278 "preproc.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37286 "preproc.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37294 "preproc.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37302 "preproc.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37310 "preproc.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5605 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37318 "preproc.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37326 "preproc.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5613 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37334 "preproc.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37342 "preproc.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37350 "preproc.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37358 "preproc.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37366 "preproc.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37374 "preproc.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37382 "preproc.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37390 "preproc.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37398 "preproc.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37406 "preproc.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37414 "preproc.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37422 "preproc.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37430 "preproc.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37438 "preproc.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37446 "preproc.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5697 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37454 "preproc.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37462 "preproc.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5705 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37469 "preproc.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37477 "preproc.c" /* yacc.c:1652  */
    break;

  case 851:
#line 5716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37485 "preproc.c" /* yacc.c:1652  */
    break;

  case 852:
#line 5720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37493 "preproc.c" /* yacc.c:1652  */
    break;

  case 853:
#line 5724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37501 "preproc.c" /* yacc.c:1652  */
    break;

  case 854:
#line 5728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37509 "preproc.c" /* yacc.c:1652  */
    break;

  case 855:
#line 5732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37517 "preproc.c" /* yacc.c:1652  */
    break;

  case 856:
#line 5736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37525 "preproc.c" /* yacc.c:1652  */
    break;

  case 857:
#line 5740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37533 "preproc.c" /* yacc.c:1652  */
    break;

  case 858:
#line 5744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37541 "preproc.c" /* yacc.c:1652  */
    break;

  case 859:
#line 5748 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37549 "preproc.c" /* yacc.c:1652  */
    break;

  case 860:
#line 5752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37557 "preproc.c" /* yacc.c:1652  */
    break;

  case 861:
#line 5756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37565 "preproc.c" /* yacc.c:1652  */
    break;

  case 862:
#line 5760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37573 "preproc.c" /* yacc.c:1652  */
    break;

  case 863:
#line 5764 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37581 "preproc.c" /* yacc.c:1652  */
    break;

  case 864:
#line 5768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37589 "preproc.c" /* yacc.c:1652  */
    break;

  case 865:
#line 5772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37597 "preproc.c" /* yacc.c:1652  */
    break;

  case 866:
#line 5776 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37605 "preproc.c" /* yacc.c:1652  */
    break;

  case 867:
#line 5780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37613 "preproc.c" /* yacc.c:1652  */
    break;

  case 868:
#line 5788 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37621 "preproc.c" /* yacc.c:1652  */
    break;

  case 869:
#line 5792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37629 "preproc.c" /* yacc.c:1652  */
    break;

  case 870:
#line 5796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37637 "preproc.c" /* yacc.c:1652  */
    break;

  case 871:
#line 5800 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37645 "preproc.c" /* yacc.c:1652  */
    break;

  case 872:
#line 5804 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37653 "preproc.c" /* yacc.c:1652  */
    break;

  case 873:
#line 5808 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37661 "preproc.c" /* yacc.c:1652  */
    break;

  case 874:
#line 5812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37669 "preproc.c" /* yacc.c:1652  */
    break;

  case 875:
#line 5816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37677 "preproc.c" /* yacc.c:1652  */
    break;

  case 876:
#line 5820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37685 "preproc.c" /* yacc.c:1652  */
    break;

  case 877:
#line 5824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37693 "preproc.c" /* yacc.c:1652  */
    break;

  case 878:
#line 5828 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37701 "preproc.c" /* yacc.c:1652  */
    break;

  case 879:
#line 5832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37709 "preproc.c" /* yacc.c:1652  */
    break;

  case 880:
#line 5836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37717 "preproc.c" /* yacc.c:1652  */
    break;

  case 881:
#line 5840 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37725 "preproc.c" /* yacc.c:1652  */
    break;

  case 882:
#line 5844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37733 "preproc.c" /* yacc.c:1652  */
    break;

  case 883:
#line 5848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37741 "preproc.c" /* yacc.c:1652  */
    break;

  case 884:
#line 5852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37749 "preproc.c" /* yacc.c:1652  */
    break;

  case 885:
#line 5856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37757 "preproc.c" /* yacc.c:1652  */
    break;

  case 886:
#line 5860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37765 "preproc.c" /* yacc.c:1652  */
    break;

  case 887:
#line 5864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37773 "preproc.c" /* yacc.c:1652  */
    break;

  case 888:
#line 5868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37781 "preproc.c" /* yacc.c:1652  */
    break;

  case 889:
#line 5876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37789 "preproc.c" /* yacc.c:1652  */
    break;

  case 890:
#line 5880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37797 "preproc.c" /* yacc.c:1652  */
    break;

  case 891:
#line 5888 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37805 "preproc.c" /* yacc.c:1652  */
    break;

  case 892:
#line 5892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37813 "preproc.c" /* yacc.c:1652  */
    break;

  case 893:
#line 5896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37821 "preproc.c" /* yacc.c:1652  */
    break;

  case 894:
#line 5900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37829 "preproc.c" /* yacc.c:1652  */
    break;

  case 895:
#line 5904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37837 "preproc.c" /* yacc.c:1652  */
    break;

  case 896:
#line 5908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37845 "preproc.c" /* yacc.c:1652  */
    break;

  case 897:
#line 5912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37853 "preproc.c" /* yacc.c:1652  */
    break;

  case 898:
#line 5920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37861 "preproc.c" /* yacc.c:1652  */
    break;

  case 899:
#line 5924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37868 "preproc.c" /* yacc.c:1652  */
    break;

  case 900:
#line 5931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37876 "preproc.c" /* yacc.c:1652  */
    break;

  case 901:
#line 5935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37884 "preproc.c" /* yacc.c:1652  */
    break;

  case 902:
#line 5939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37892 "preproc.c" /* yacc.c:1652  */
    break;

  case 903:
#line 5943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37900 "preproc.c" /* yacc.c:1652  */
    break;

  case 904:
#line 5947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37908 "preproc.c" /* yacc.c:1652  */
    break;

  case 905:
#line 5951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37916 "preproc.c" /* yacc.c:1652  */
    break;

  case 906:
#line 5955 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37924 "preproc.c" /* yacc.c:1652  */
    break;

  case 907:
#line 5959 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37932 "preproc.c" /* yacc.c:1652  */
    break;

  case 908:
#line 5963 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37940 "preproc.c" /* yacc.c:1652  */
    break;

  case 909:
#line 5967 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37948 "preproc.c" /* yacc.c:1652  */
    break;

  case 910:
#line 5971 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37956 "preproc.c" /* yacc.c:1652  */
    break;

  case 911:
#line 5979 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37964 "preproc.c" /* yacc.c:1652  */
    break;

  case 912:
#line 5983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37972 "preproc.c" /* yacc.c:1652  */
    break;

  case 913:
#line 5991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37980 "preproc.c" /* yacc.c:1652  */
    break;

  case 914:
#line 5995 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37988 "preproc.c" /* yacc.c:1652  */
    break;

  case 915:
#line 5999 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37996 "preproc.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6003 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 38006 "preproc.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6009 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 38016 "preproc.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6015 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 38026 "preproc.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6021 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 38036 "preproc.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6027 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 38046 "preproc.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6033 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 38056 "preproc.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6039 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 38066 "preproc.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6045 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 38076 "preproc.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6055 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 38091 "preproc.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6066 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6077 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38121 "preproc.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6088 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38136 "preproc.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6099 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38151 "preproc.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6110 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38166 "preproc.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6121 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38186 "preproc.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6137 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38206 "preproc.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6153 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38226 "preproc.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6169 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38241 "preproc.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6180 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38261 "preproc.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6196 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38276 "preproc.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6207 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38296 "preproc.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6223 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38311 "preproc.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38319 "preproc.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38327 "preproc.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38335 "preproc.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38342 "preproc.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6261 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38350 "preproc.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6269 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38358 "preproc.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38366 "preproc.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6281 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38374 "preproc.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38382 "preproc.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38390 "preproc.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6293 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38398 "preproc.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38406 "preproc.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6305 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38414 "preproc.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38422 "preproc.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38430 "preproc.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38438 "preproc.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6325 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38446 "preproc.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38454 "preproc.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38462 "preproc.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6341 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38470 "preproc.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6345 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38478 "preproc.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6349 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38486 "preproc.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6353 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38494 "preproc.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38502 "preproc.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38510 "preproc.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38518 "preproc.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38526 "preproc.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38534 "preproc.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38542 "preproc.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38550 "preproc.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38558 "preproc.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38566 "preproc.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38574 "preproc.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38582 "preproc.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38590 "preproc.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38598 "preproc.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38606 "preproc.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38614 "preproc.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38622 "preproc.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38629 "preproc.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38637 "preproc.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38645 "preproc.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38653 "preproc.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38661 "preproc.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38669 "preproc.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38677 "preproc.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38685 "preproc.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38692 "preproc.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6491 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38700 "preproc.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6495 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38707 "preproc.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6502 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38715 "preproc.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6510 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38723 "preproc.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6514 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38730 "preproc.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38738 "preproc.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38746 "preproc.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38754 "preproc.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38762 "preproc.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38770 "preproc.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38778 "preproc.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38786 "preproc.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38794 "preproc.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38802 "preproc.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38810 "preproc.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 6573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38818 "preproc.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 6577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38826 "preproc.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 6585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38834 "preproc.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 6589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38841 "preproc.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 6596 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38849 "preproc.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 6600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38856 "preproc.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 6607 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38864 "preproc.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 6611 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38871 "preproc.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 6618 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38879 "preproc.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 6622 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38886 "preproc.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 6629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38894 "preproc.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 6633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38902 "preproc.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 6641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38910 "preproc.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 6645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38918 "preproc.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 6649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38926 "preproc.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 6657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 6661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38941 "preproc.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 6668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38949 "preproc.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 6672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38957 "preproc.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 6676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38964 "preproc.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 6683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38972 "preproc.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 6687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38980 "preproc.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 6691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38987 "preproc.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 6698 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38995 "preproc.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 6702 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 39003 "preproc.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 6706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39010 "preproc.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 6713 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39018 "preproc.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 6717 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39026 "preproc.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 6721 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39034 "preproc.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 6729 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 39042 "preproc.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 6733 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 6740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39057 "preproc.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 6744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39065 "preproc.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 6752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39073 "preproc.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 6756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39081 "preproc.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 6764 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39089 "preproc.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 6768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 39097 "preproc.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 6776 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39105 "preproc.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 6780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39113 "preproc.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 6788 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39121 "preproc.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 6792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39129 "preproc.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 6796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39137 "preproc.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 6800 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39145 "preproc.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 6804 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39153 "preproc.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 6812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 39161 "preproc.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 6816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 39169 "preproc.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 6820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 39177 "preproc.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 6824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39185 "preproc.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 6828 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39193 "preproc.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 6836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39201 "preproc.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 6844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39209 "preproc.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 6852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39217 "preproc.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 6856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39225 "preproc.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 6860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39233 "preproc.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 6868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39241 "preproc.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 6872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39249 "preproc.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 6876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39257 "preproc.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 6884 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 6893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 6897 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 6901 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 6905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 6913 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 6917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 6925 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 6929 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 6937 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39338 "preproc.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 6941 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 6945 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 6949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 6953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 6957 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39378 "preproc.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 6961 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39386 "preproc.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 6965 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39394 "preproc.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 6969 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 6973 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 6977 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 6981 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 6985 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 6989 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 6993 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7001 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7005 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7009 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7013 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7017 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39490 "preproc.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7025 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7029 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39506 "preproc.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7037 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39514 "preproc.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7041 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39522 "preproc.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7049 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39530 "preproc.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7053 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39537 "preproc.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39545 "preproc.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39553 "preproc.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39561 "preproc.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39569 "preproc.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39577 "preproc.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39585 "preproc.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39593 "preproc.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39600 "preproc.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7111 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39608 "preproc.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39616 "preproc.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7123 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39624 "preproc.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7127 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39632 "preproc.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7135 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39640 "preproc.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7139 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39648 "preproc.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7147 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39656 "preproc.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7151 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39664 "preproc.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7155 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39672 "preproc.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7159 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39680 "preproc.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7167 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39688 "preproc.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7171 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39696 "preproc.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7179 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39704 "preproc.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7187 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39712 "preproc.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7191 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39720 "preproc.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7199 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39728 "preproc.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39736 "preproc.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7211 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39744 "preproc.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7215 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39752 "preproc.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39760 "preproc.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7227 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39768 "preproc.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39776 "preproc.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7235 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39783 "preproc.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39791 "preproc.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39799 "preproc.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39806 "preproc.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7261 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39814 "preproc.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7269 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39822 "preproc.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39830 "preproc.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39838 "preproc.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7281 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39846 "preproc.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39854 "preproc.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39862 "preproc.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7301 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39870 "preproc.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7305 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39878 "preproc.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39886 "preproc.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39894 "preproc.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39902 "preproc.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39910 "preproc.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7333 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39918 "preproc.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39926 "preproc.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7345 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39934 "preproc.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7349 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39942 "preproc.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39950 "preproc.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39958 "preproc.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39966 "preproc.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39974 "preproc.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39982 "preproc.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39990 "preproc.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39998 "preproc.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40006 "preproc.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40014 "preproc.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40022 "preproc.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40030 "preproc.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40038 "preproc.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7413 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40046 "preproc.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40054 "preproc.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40062 "preproc.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7425 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40070 "preproc.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40078 "preproc.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40086 "preproc.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7437 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40094 "preproc.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7441 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40102 "preproc.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 7445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40110 "preproc.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 7449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40118 "preproc.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 7453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40126 "preproc.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 7457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40134 "preproc.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 7461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40142 "preproc.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 7465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40150 "preproc.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 7469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40158 "preproc.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 7473 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40166 "preproc.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 7477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40174 "preproc.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 7481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40182 "preproc.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 7485 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40190 "preproc.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 7489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40198 "preproc.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 7493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40206 "preproc.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 7497 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40214 "preproc.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 7501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40222 "preproc.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 7505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40230 "preproc.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 7509 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40238 "preproc.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 7513 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40246 "preproc.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 7517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40254 "preproc.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 7521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40262 "preproc.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 7525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40270 "preproc.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 7529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40278 "preproc.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 7533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40286 "preproc.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 7537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40294 "preproc.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 7541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40302 "preproc.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 7545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40310 "preproc.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 7549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40318 "preproc.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 7553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40326 "preproc.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 7557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40334 "preproc.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 7561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40342 "preproc.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 7565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40350 "preproc.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 7573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40358 "preproc.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 7577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40365 "preproc.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 7584 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40373 "preproc.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 7588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40380 "preproc.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 7595 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40388 "preproc.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 7599 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40396 "preproc.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 7603 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40404 "preproc.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 7607 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40412 "preproc.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 7611 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40420 "preproc.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 7615 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40428 "preproc.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 7619 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40436 "preproc.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 7623 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40444 "preproc.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 7627 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40452 "preproc.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 7631 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40460 "preproc.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 7635 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40468 "preproc.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 7639 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40476 "preproc.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 7643 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40484 "preproc.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 7647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40492 "preproc.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 7651 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40500 "preproc.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 7655 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40508 "preproc.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 7659 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40516 "preproc.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 7663 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40524 "preproc.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 7667 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40532 "preproc.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 7671 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40540 "preproc.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 7675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40548 "preproc.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 7679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40556 "preproc.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 7683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40564 "preproc.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 7687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 7695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40580 "preproc.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 7699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 7703 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40596 "preproc.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 7707 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40604 "preproc.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 7711 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40612 "preproc.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 7715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40620 "preproc.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 7719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40628 "preproc.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 7723 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40636 "preproc.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 7727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40644 "preproc.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 7731 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40652 "preproc.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 7735 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40660 "preproc.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 7739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40668 "preproc.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 7743 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40676 "preproc.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 7747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40684 "preproc.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 7751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40692 "preproc.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 7755 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40700 "preproc.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 7759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40708 "preproc.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 7763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40716 "preproc.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 7767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40724 "preproc.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 7775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40732 "preproc.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 7783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40740 "preproc.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 7787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40748 "preproc.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 7791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40756 "preproc.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 7799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40764 "preproc.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 7803 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40772 "preproc.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 7811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40780 "preproc.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 7815 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40788 "preproc.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 7819 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40796 "preproc.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 7823 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40804 "preproc.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 7827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40812 "preproc.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 7835 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40820 "preproc.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 7839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40827 "preproc.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 7846 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40835 "preproc.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 7850 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40843 "preproc.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 7854 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40851 "preproc.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 7858 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40859 "preproc.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 7866 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40867 "preproc.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 7870 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40875 "preproc.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 7874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40882 "preproc.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 7881 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40890 "preproc.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 7885 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40898 "preproc.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 7893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40906 "preproc.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 7901 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 7905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40921 "preproc.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 7912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40929 "preproc.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 7920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 40937 "preproc.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 7924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 40945 "preproc.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 7932 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 40953 "preproc.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 7936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40961 "preproc.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 7940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 40969 "preproc.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 7944 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 40977 "preproc.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 7948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 40985 "preproc.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 7952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 40993 "preproc.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 7956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 41001 "preproc.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 7960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 41009 "preproc.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 7964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 41017 "preproc.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 7968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 41025 "preproc.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 7972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 7976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 41041 "preproc.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 7980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 41049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 7984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 41057 "preproc.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 7992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 41065 "preproc.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 7996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 41073 "preproc.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 8000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41080 "preproc.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 8007 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 41088 "preproc.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 8011 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 41096 "preproc.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 8015 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 41104 "preproc.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 8019 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41112 "preproc.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 8023 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41120 "preproc.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 8031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41128 "preproc.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 8035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41136 "preproc.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 8039 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41144 "preproc.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 8047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41152 "preproc.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 8051 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41159 "preproc.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 8058 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41167 "preproc.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 8062 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41175 "preproc.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 8066 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41184 "preproc.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 8071 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41193 "preproc.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 8080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41201 "preproc.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 8084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41209 "preproc.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 8088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41217 "preproc.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 8092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41224 "preproc.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 8099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41232 "preproc.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 8107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41240 "preproc.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 8115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41248 "preproc.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 8119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41255 "preproc.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 8126 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41263 "preproc.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 8130 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41271 "preproc.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 8138 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41279 "preproc.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 8142 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41287 "preproc.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 8146 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41295 "preproc.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 8154 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41303 "preproc.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 8158 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41311 "preproc.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 8162 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41319 "preproc.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 8166 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41327 "preproc.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 8170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41335 "preproc.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 8174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41343 "preproc.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 8178 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41351 "preproc.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 8186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41359 "preproc.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 8190 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41366 "preproc.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 8197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41374 "preproc.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 8201 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41382 "preproc.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 8205 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41390 "preproc.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 8213 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41398 "preproc.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 8221 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41406 "preproc.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 8225 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41414 "preproc.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 8233 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41422 "preproc.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 8237 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41430 "preproc.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 8245 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41438 "preproc.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 8253 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41446 "preproc.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 8257 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41454 "preproc.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 8261 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41462 "preproc.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 8265 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41470 "preproc.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 8269 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41478 "preproc.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 8273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41486 "preproc.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 8277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41494 "preproc.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 8285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41502 "preproc.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 8289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41509 "preproc.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 8296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41517 "preproc.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 8304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41525 "preproc.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 8308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41533 "preproc.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 8312 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41541 "preproc.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 8316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41549 "preproc.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 8320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41557 "preproc.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 8324 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41565 "preproc.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 8332 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41573 "preproc.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 8336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41581 "preproc.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 8344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41589 "preproc.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 8352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41597 "preproc.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 8356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41605 "preproc.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 8360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41613 "preproc.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 8368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41621 "preproc.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 8372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41628 "preproc.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 8379 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41636 "preproc.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 8383 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41644 "preproc.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 8387 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41652 "preproc.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 8391 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41660 "preproc.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 8395 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41668 "preproc.c" /* yacc.c:1652  */
    break;

  case 1361:
#line 8403 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41676 "preproc.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 8407 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41684 "preproc.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 8415 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41692 "preproc.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 8419 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41700 "preproc.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 8423 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41708 "preproc.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 8427 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41716 "preproc.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 8435 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41724 "preproc.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 8439 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41732 "preproc.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 8447 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41740 "preproc.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 8451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41748 "preproc.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 8459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41756 "preproc.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 8463 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41763 "preproc.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 8470 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41771 "preproc.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 8474 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41778 "preproc.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 8481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41786 "preproc.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 8485 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41793 "preproc.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 8492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41801 "preproc.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 8496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41808 "preproc.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 8503 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41816 "preproc.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 8507 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41824 "preproc.c" /* yacc.c:1652  */
    break;

  case 1381:
#line 8511 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41832 "preproc.c" /* yacc.c:1652  */
    break;

  case 1382:
#line 8515 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41840 "preproc.c" /* yacc.c:1652  */
    break;

  case 1383:
#line 8523 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41848 "preproc.c" /* yacc.c:1652  */
    break;

  case 1384:
#line 8527 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41856 "preproc.c" /* yacc.c:1652  */
    break;

  case 1385:
#line 8531 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41864 "preproc.c" /* yacc.c:1652  */
    break;

  case 1386:
#line 8535 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41872 "preproc.c" /* yacc.c:1652  */
    break;

  case 1387:
#line 8539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41880 "preproc.c" /* yacc.c:1652  */
    break;

  case 1388:
#line 8543 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41888 "preproc.c" /* yacc.c:1652  */
    break;

  case 1389:
#line 8547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41896 "preproc.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 8551 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41904 "preproc.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 8555 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41912 "preproc.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 8563 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41920 "preproc.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 8567 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41928 "preproc.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 8575 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41936 "preproc.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 8583 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41944 "preproc.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 8587 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41952 "preproc.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 8595 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41960 "preproc.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 8599 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41968 "preproc.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 8603 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41975 "preproc.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 8610 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 41985 "preproc.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 8616 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 41995 "preproc.c" /* yacc.c:1652  */
    break;

  case 1402:
#line 8626 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42003 "preproc.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 8630 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42010 "preproc.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 8637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42018 "preproc.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 8641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42026 "preproc.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 8645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42034 "preproc.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 8649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42042 "preproc.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 8657 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 42048 "preproc.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 8659 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42056 "preproc.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 8663 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table if not exists"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42064 "preproc.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 8671 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42072 "preproc.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 8675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42079 "preproc.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 8682 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42087 "preproc.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 8690 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42095 "preproc.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 8694 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42103 "preproc.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 8702 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42111 "preproc.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 8706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42119 "preproc.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 8710 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 42127 "preproc.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 8718 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42135 "preproc.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 8722 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42143 "preproc.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 8730 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42151 "preproc.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 8738 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42159 "preproc.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 8742 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42167 "preproc.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 8746 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42174 "preproc.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 8753 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42182 "preproc.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 8757 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42190 "preproc.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 8761 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42197 "preproc.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 8768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42205 "preproc.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 8772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42212 "preproc.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 8779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42220 "preproc.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 8787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42228 "preproc.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 8791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42235 "preproc.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 8798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42243 "preproc.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 8806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42251 "preproc.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 8810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 8817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 8821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 8825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 8829 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 8833 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 8837 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 8841 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 8845 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 8853 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 8857 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42337 "preproc.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 8864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42345 "preproc.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 8868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42353 "preproc.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 8872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42360 "preproc.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 8879 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42368 "preproc.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 8887 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42376 "preproc.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 8891 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42384 "preproc.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 8899 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42392 "preproc.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 8903 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42400 "preproc.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 8911 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42408 "preproc.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 8919 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42416 "preproc.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 8923 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42424 "preproc.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 8931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42432 "preproc.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 8939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42440 "preproc.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 8943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42448 "preproc.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 8951 "preproc.y" /* yacc.c:1652  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42501 "preproc.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 9004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42509 "preproc.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 9008 "preproc.y" /* yacc.c:1652  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42521 "preproc.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 9020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42528 "preproc.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 9023 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42536 "preproc.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 9027 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42544 "preproc.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 9031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42552 "preproc.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 9035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42560 "preproc.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 9043 "preproc.y" /* yacc.c:1652  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42571 "preproc.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 9050 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42579 "preproc.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 9054 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42587 "preproc.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 9062 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42595 "preproc.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 9066 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42603 "preproc.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 9074 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42611 "preproc.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 9078 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42619 "preproc.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 9086 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42627 "preproc.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 9090 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42635 "preproc.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 9094 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42643 "preproc.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 9098 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42651 "preproc.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 9102 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42659 "preproc.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 9106 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42667 "preproc.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 9110 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42675 "preproc.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 9114 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42683 "preproc.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 9122 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42691 "preproc.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 9126 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42699 "preproc.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 9134 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42707 "preproc.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 9138 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42715 "preproc.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 9142 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42723 "preproc.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 9146 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42731 "preproc.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 9150 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42739 "preproc.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 9154 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42747 "preproc.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 9158 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42755 "preproc.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 9166 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42763 "preproc.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 9170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42771 "preproc.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 9174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42779 "preproc.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 9182 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42787 "preproc.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 9186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42795 "preproc.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 9194 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42803 "preproc.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 9202 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42811 "preproc.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 9206 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42818 "preproc.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 9213 "preproc.y" /* yacc.c:1652  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42827 "preproc.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 9217 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 42833 "preproc.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 9219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42840 "preproc.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 9226 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42848 "preproc.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 9230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42856 "preproc.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 9234 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42864 "preproc.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 9238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42872 "preproc.c" /* yacc.c:1652  */
    break;

  case 1507:
#line 9242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42880 "preproc.c" /* yacc.c:1652  */
    break;

  case 1508:
#line 9246 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42888 "preproc.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 9250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42896 "preproc.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 9254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42904 "preproc.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 9258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42912 "preproc.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 9266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42920 "preproc.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 9270 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42927 "preproc.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 9277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42935 "preproc.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 9281 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42943 "preproc.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 9285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42950 "preproc.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 9292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42958 "preproc.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 9296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42966 "preproc.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 9304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42974 "preproc.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 9308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42981 "preproc.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 9315 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42989 "preproc.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 9319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42996 "preproc.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 9326 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 43004 "preproc.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 9334 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43012 "preproc.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 9338 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43020 "preproc.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 9346 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43028 "preproc.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 9350 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43036 "preproc.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 9358 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43044 "preproc.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 9362 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43052 "preproc.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 9366 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43060 "preproc.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 9370 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43068 "preproc.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 9378 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43076 "preproc.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 9382 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43083 "preproc.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 9389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 43091 "preproc.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 9393 "preproc.y" /* yacc.c:1652  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 43100 "preproc.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 9398 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43108 "preproc.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 9402 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43116 "preproc.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 9410 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 43124 "preproc.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 9414 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43132 "preproc.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 9422 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43140 "preproc.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 9426 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43148 "preproc.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 9434 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43156 "preproc.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 9442 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43164 "preproc.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 9446 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43172 "preproc.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 9450 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43180 "preproc.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 9458 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43188 "preproc.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 9462 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43196 "preproc.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 9470 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43204 "preproc.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 9474 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43212 "preproc.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 9482 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43220 "preproc.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 9486 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43228 "preproc.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 9494 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43236 "preproc.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 9498 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43243 "preproc.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 9505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43251 "preproc.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 9509 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43259 "preproc.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 9517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43267 "preproc.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 9521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43275 "preproc.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 9525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43283 "preproc.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 9529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43291 "preproc.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 9533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43299 "preproc.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 9541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43307 "preproc.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 9549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43315 "preproc.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 9557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43323 "preproc.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 9565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43331 "preproc.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 9573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43339 "preproc.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 9577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 9584 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 9588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 9596 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 9600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43377 "preproc.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 9607 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43385 "preproc.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 9611 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43393 "preproc.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 9619 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43401 "preproc.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 9627 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43409 "preproc.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 9631 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43417 "preproc.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 9635 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43425 "preproc.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 9639 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43433 "preproc.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 9647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43441 "preproc.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 9651 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43448 "preproc.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 9658 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43456 "preproc.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 9662 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43464 "preproc.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 9670 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43472 "preproc.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 9674 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43479 "preproc.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 9681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43487 "preproc.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 9685 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43495 "preproc.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 9693 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43503 "preproc.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 9697 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43511 "preproc.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 9701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43519 "preproc.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 9705 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43527 "preproc.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 9709 "preproc.y" /* yacc.c:1652  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43538 "preproc.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 9716 "preproc.y" /* yacc.c:1652  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43549 "preproc.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 9723 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43557 "preproc.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 9727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43565 "preproc.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 9735 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43573 "preproc.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 9739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43581 "preproc.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 9743 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43589 "preproc.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 9747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43597 "preproc.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 9751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43605 "preproc.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 9755 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43613 "preproc.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 9763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43621 "preproc.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 9767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43629 "preproc.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 9771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43637 "preproc.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 9775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43645 "preproc.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 9783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43653 "preproc.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 9787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43660 "preproc.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 9794 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43668 "preproc.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 9798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43676 "preproc.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 9802 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43684 "preproc.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 9806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43692 "preproc.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 9810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43699 "preproc.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 9817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43707 "preproc.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 9821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43715 "preproc.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 9825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43723 "preproc.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 9829 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43731 "preproc.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 9837 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43739 "preproc.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 9841 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43746 "preproc.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 9848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43754 "preproc.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 9852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43762 "preproc.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 9860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43770 "preproc.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 9864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43778 "preproc.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 9868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43786 "preproc.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 9872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43794 "preproc.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 9880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43802 "preproc.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 9884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43810 "preproc.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 9892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43818 "preproc.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 9896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43826 "preproc.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 9900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43834 "preproc.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 9908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43842 "preproc.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 9916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43850 "preproc.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 9920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43857 "preproc.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 9927 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43865 "preproc.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 9931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43873 "preproc.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 9939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43881 "preproc.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 9947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43889 "preproc.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 9951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43897 "preproc.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 9959 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43905 "preproc.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 9963 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43912 "preproc.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 9970 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43920 "preproc.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 9974 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43927 "preproc.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 9981 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43935 "preproc.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 9985 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43942 "preproc.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 9992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43950 "preproc.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 9996 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 43959 "preproc.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 10001 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43966 "preproc.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 10008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43974 "preproc.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 10012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43981 "preproc.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 10019 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43989 "preproc.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 10023 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43997 "preproc.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 10031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44005 "preproc.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 10039 "preproc.y" /* yacc.c:1652  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44011 "preproc.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 10041 "preproc.y" /* yacc.c:1652  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 44017 "preproc.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 10043 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44025 "preproc.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 10047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 44033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 10051 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 44041 "preproc.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 10055 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 44049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 10063 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 44063 "preproc.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 10073 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 44077 "preproc.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 10083 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 44087 "preproc.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 10093 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44095 "preproc.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 10097 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44103 "preproc.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 10101 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44111 "preproc.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 10105 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44119 "preproc.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 10109 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44127 "preproc.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 10113 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44135 "preproc.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 10117 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44143 "preproc.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 10125 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44151 "preproc.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 10129 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44159 "preproc.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 10133 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44167 "preproc.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 10137 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44175 "preproc.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 10145 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44183 "preproc.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 10149 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44191 "preproc.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 10157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44199 "preproc.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 10161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44206 "preproc.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 10168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44214 "preproc.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 10172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44222 "preproc.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 10176 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44230 "preproc.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 10180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44238 "preproc.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 10184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44246 "preproc.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 10188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44254 "preproc.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 10192 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44262 "preproc.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 10196 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44270 "preproc.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 10200 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44278 "preproc.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 10204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44286 "preproc.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 10208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44294 "preproc.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 10216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44302 "preproc.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 10220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44309 "preproc.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 10227 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44317 "preproc.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 10231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44325 "preproc.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 10239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44333 "preproc.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 10243 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44341 "preproc.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 10251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44349 "preproc.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 10259 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44357 "preproc.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 10267 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44365 "preproc.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 10271 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44373 "preproc.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 10279 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44381 "preproc.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 10283 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44389 "preproc.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 10291 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44397 "preproc.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 10299 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44405 "preproc.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 10307 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44413 "preproc.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 10311 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44421 "preproc.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 10315 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44429 "preproc.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 10319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44437 "preproc.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 10323 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44445 "preproc.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 10327 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44453 "preproc.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 10335 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44461 "preproc.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 10339 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44468 "preproc.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 10346 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44476 "preproc.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 10350 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44483 "preproc.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 10357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44491 "preproc.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 10361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44499 "preproc.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 10365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44507 "preproc.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 10369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44515 "preproc.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 10377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44523 "preproc.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 10385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44531 "preproc.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 10389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44539 "preproc.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 10393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44546 "preproc.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 10400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44554 "preproc.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 10404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44562 "preproc.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 10408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44570 "preproc.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 10412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44578 "preproc.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 10416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44586 "preproc.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 10420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44594 "preproc.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 10424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44602 "preproc.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 10428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44610 "preproc.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 10432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44618 "preproc.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 10436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44626 "preproc.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 10440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44634 "preproc.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 10444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44642 "preproc.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 10448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44650 "preproc.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 10452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44657 "preproc.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 10459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44665 "preproc.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 10463 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44673 "preproc.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 10471 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44681 "preproc.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 10475 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44689 "preproc.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 10479 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44697 "preproc.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 10483 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44705 "preproc.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 10487 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44713 "preproc.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 10491 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44721 "preproc.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 10495 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44729 "preproc.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 10499 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44737 "preproc.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 10503 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44745 "preproc.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 10507 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44753 "preproc.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 10511 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44761 "preproc.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 10515 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44769 "preproc.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 10519 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44777 "preproc.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 10523 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44785 "preproc.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 10527 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44793 "preproc.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 10531 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44801 "preproc.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 10535 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44809 "preproc.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 10539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44817 "preproc.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 10543 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44825 "preproc.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 10547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44833 "preproc.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 10551 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44841 "preproc.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 10555 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44849 "preproc.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 10559 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44857 "preproc.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 10563 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44865 "preproc.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 10567 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44873 "preproc.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 10571 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44881 "preproc.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 10575 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44889 "preproc.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 10579 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44897 "preproc.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 10583 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44905 "preproc.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 10587 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44913 "preproc.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 10591 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44921 "preproc.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 10595 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44929 "preproc.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 10599 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44937 "preproc.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 10603 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 44945 "preproc.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 10607 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44953 "preproc.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 10611 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 44961 "preproc.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 10615 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44969 "preproc.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 10619 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 44977 "preproc.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 10623 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 44985 "preproc.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 10627 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 44993 "preproc.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 10631 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 45001 "preproc.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 10635 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 45009 "preproc.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 10639 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 45017 "preproc.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 10643 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 45025 "preproc.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 10647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 45033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 10651 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 45041 "preproc.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 10655 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 45049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 10659 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 45057 "preproc.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 10663 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45065 "preproc.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 10667 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45073 "preproc.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 10671 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45081 "preproc.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 10675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45089 "preproc.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 10679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45097 "preproc.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 10683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45105 "preproc.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 10687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45113 "preproc.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 10691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45121 "preproc.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 10695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45129 "preproc.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 10699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45137 "preproc.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 10703 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45145 "preproc.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 10707 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45153 "preproc.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 10711 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45162 "preproc.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 10716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45170 "preproc.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 10720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45178 "preproc.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 10728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45186 "preproc.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 10732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45194 "preproc.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 10736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45202 "preproc.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 10740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45210 "preproc.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 10744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45218 "preproc.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 10748 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45226 "preproc.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 10752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45234 "preproc.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 10756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45242 "preproc.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 10760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45250 "preproc.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 10764 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 10768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 10772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 10776 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 10780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 10784 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 10788 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 10792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 10796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 10800 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 10804 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45338 "preproc.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 10808 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 10812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 10816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 10820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 10824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45378 "preproc.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 10832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45386 "preproc.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 10836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45394 "preproc.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 10840 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 10844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 10848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 10852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 10856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 10860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 10864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 10868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 10872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 10876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 10880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 10884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45490 "preproc.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 10892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 10896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45506 "preproc.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 10900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45514 "preproc.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 10904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45522 "preproc.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 10908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45530 "preproc.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 10912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45538 "preproc.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 10916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45546 "preproc.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 10924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45554 "preproc.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 10928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45562 "preproc.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 10936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45570 "preproc.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 10940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45578 "preproc.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 10948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45586 "preproc.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 10952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45594 "preproc.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 10956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45602 "preproc.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 10960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45610 "preproc.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 10964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45618 "preproc.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 10968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45626 "preproc.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 10972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45634 "preproc.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 10976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45642 "preproc.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 10980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45650 "preproc.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 10984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45658 "preproc.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 10988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45666 "preproc.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 10992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45674 "preproc.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 10996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45682 "preproc.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 11000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45690 "preproc.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 11004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45698 "preproc.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 11008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45706 "preproc.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 11012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45714 "preproc.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 11016 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45722 "preproc.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 11020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45730 "preproc.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 11024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45738 "preproc.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 11028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45746 "preproc.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 11032 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45754 "preproc.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 11036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45762 "preproc.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 11040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45770 "preproc.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 11044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45778 "preproc.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 11048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45786 "preproc.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 11052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45794 "preproc.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 11056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45802 "preproc.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 11060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45810 "preproc.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 11064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45818 "preproc.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 11068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45826 "preproc.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 11072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45834 "preproc.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 11076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45842 "preproc.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 11080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45850 "preproc.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 11084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45858 "preproc.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 11088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45866 "preproc.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 11092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45874 "preproc.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 11096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45882 "preproc.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 11100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45890 "preproc.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 11104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45898 "preproc.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 11108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45906 "preproc.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 11112 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45914 "preproc.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 11120 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45922 "preproc.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 11124 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45930 "preproc.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 11132 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45938 "preproc.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 11136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 45946 "preproc.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 11140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 45954 "preproc.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 11144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45961 "preproc.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 11151 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45969 "preproc.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 11159 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45977 "preproc.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 11163 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45985 "preproc.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 11171 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45993 "preproc.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 11175 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46001 "preproc.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 11183 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 46009 "preproc.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 11187 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 46017 "preproc.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 11195 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 46025 "preproc.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 11199 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 46033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 11203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46040 "preproc.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 11210 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 46048 "preproc.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 11214 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46056 "preproc.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 11218 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 46064 "preproc.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 11222 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 46072 "preproc.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 11230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46080 "preproc.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 11234 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46087 "preproc.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 11241 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46095 "preproc.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 11245 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46102 "preproc.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 11252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 46110 "preproc.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 11256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46117 "preproc.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 11263 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46125 "preproc.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 11267 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46133 "preproc.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 11275 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46141 "preproc.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 11283 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46149 "preproc.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 11287 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46157 "preproc.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 11291 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46164 "preproc.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 11298 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46172 "preproc.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 11306 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46180 "preproc.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 11310 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46187 "preproc.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 11317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46195 "preproc.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 11321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46202 "preproc.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 11328 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46211 "preproc.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 11333 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46219 "preproc.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 11337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46226 "preproc.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 11344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46234 "preproc.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 11348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46242 "preproc.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 11356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46250 "preproc.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 11360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 11364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 11368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 11372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 11380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 11384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 11388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 11396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 11400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 11408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 11416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46338 "preproc.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 11420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 11424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 11432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 11436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 11444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46378 "preproc.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 11448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46386 "preproc.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 11452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46394 "preproc.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 11456 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 11460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 11464 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 11468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 11472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 11476 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 11480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 11484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 11488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 11496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 11500 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 11508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46490 "preproc.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 11512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 11520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46506 "preproc.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 11524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46514 "preproc.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 11528 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46522 "preproc.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 11532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46530 "preproc.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 11536 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46538 "preproc.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 11540 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46546 "preproc.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 11548 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46554 "preproc.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 11552 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46562 "preproc.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 11560 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46570 "preproc.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 11564 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46578 "preproc.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 11572 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46586 "preproc.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 11576 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46594 "preproc.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 11580 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46602 "preproc.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 11588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46610 "preproc.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 11592 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46618 "preproc.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 11600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46626 "preproc.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 11604 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46634 "preproc.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 11608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46642 "preproc.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 11616 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46650 "preproc.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 11620 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46658 "preproc.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 11628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46666 "preproc.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 11632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46673 "preproc.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 11639 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46681 "preproc.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 11643 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46689 "preproc.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 11647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46697 "preproc.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 11651 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46705 "preproc.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 11655 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46713 "preproc.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 11659 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46721 "preproc.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 11663 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46729 "preproc.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 11667 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46737 "preproc.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 11675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46745 "preproc.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 11679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46753 "preproc.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 11687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46761 "preproc.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 11695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46769 "preproc.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 11699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46776 "preproc.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 11706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46784 "preproc.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 11710 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46792 "preproc.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 11714 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46800 "preproc.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 11718 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46808 "preproc.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 11722 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46816 "preproc.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 11726 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 11733 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 11741 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 11749 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46847 "preproc.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 11753 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 11757 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 11765 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 11769 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 11777 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 11785 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46895 "preproc.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 11789 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46903 "preproc.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 11797 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 11805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46919 "preproc.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 11809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46926 "preproc.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 11816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46934 "preproc.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 11820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46941 "preproc.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 11827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46949 "preproc.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 11831 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46957 "preproc.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 11839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46965 "preproc.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 11843 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 46973 "preproc.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 11847 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46981 "preproc.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 11851 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46989 "preproc.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 11859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46997 "preproc.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 11863 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47005 "preproc.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 11871 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47012 "preproc.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 11874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47020 "preproc.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 11882 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 47028 "preproc.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 11886 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47035 "preproc.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 11893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47043 "preproc.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 11897 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47051 "preproc.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 11905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47059 "preproc.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 11909 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47067 "preproc.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 11917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47075 "preproc.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 11925 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47083 "preproc.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 11929 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47090 "preproc.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 11936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47098 "preproc.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 11940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47106 "preproc.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 11948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47114 "preproc.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 11952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 11956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47130 "preproc.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 11960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47138 "preproc.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 11968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47146 "preproc.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 11972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47154 "preproc.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 11980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47162 "preproc.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 11984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47170 "preproc.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 11992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47178 "preproc.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 11996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47186 "preproc.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 12004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47194 "preproc.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 12012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47202 "preproc.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 12020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47210 "preproc.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 12028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47218 "preproc.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 12036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47226 "preproc.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 12044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47234 "preproc.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 12052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47242 "preproc.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 12056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47250 "preproc.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 12064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47258 "preproc.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 12068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 12072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47274 "preproc.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 12076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47282 "preproc.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 12080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 12084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47298 "preproc.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 12088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47306 "preproc.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 12092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47314 "preproc.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 12096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47322 "preproc.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 12100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 12104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47338 "preproc.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 12108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 12112 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 12115 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47360 "preproc.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 12116 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47366 "preproc.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 12122 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 47372 "preproc.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 12128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47380 "preproc.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 12131 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47386 "preproc.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 12133 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 12137 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47402 "preproc.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 12145 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47410 "preproc.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 12153 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47418 "preproc.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 12157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47426 "preproc.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 12161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47434 "preproc.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 12169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47442 "preproc.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 12173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47450 "preproc.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 12181 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 12185 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47466 "preproc.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 12189 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47474 "preproc.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 12193 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 12201 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47490 "preproc.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 12205 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47498 "preproc.c" /* yacc.c:1652  */
    break;

  case 2089:
#line 12209 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2090:
#line 12213 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47514 "preproc.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 12217 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47522 "preproc.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 12221 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 12225 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47538 "preproc.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 12229 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 12233 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47554 "preproc.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 12237 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47562 "preproc.c" /* yacc.c:1652  */
    break;

  case 2097:
#line 12241 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47570 "preproc.c" /* yacc.c:1652  */
    break;

  case 2098:
#line 12245 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47578 "preproc.c" /* yacc.c:1652  */
    break;

  case 2099:
#line 12249 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47586 "preproc.c" /* yacc.c:1652  */
    break;

  case 2100:
#line 12253 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2101:
#line 12257 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47602 "preproc.c" /* yacc.c:1652  */
    break;

  case 2102:
#line 12261 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47610 "preproc.c" /* yacc.c:1652  */
    break;

  case 2103:
#line 12265 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2104:
#line 12269 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47626 "preproc.c" /* yacc.c:1652  */
    break;

  case 2105:
#line 12273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2106:
#line 12277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47642 "preproc.c" /* yacc.c:1652  */
    break;

  case 2107:
#line 12281 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2108:
#line 12285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47658 "preproc.c" /* yacc.c:1652  */
    break;

  case 2109:
#line 12289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47666 "preproc.c" /* yacc.c:1652  */
    break;

  case 2110:
#line 12293 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2111:
#line 12297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47682 "preproc.c" /* yacc.c:1652  */
    break;

  case 2112:
#line 12301 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47690 "preproc.c" /* yacc.c:1652  */
    break;

  case 2113:
#line 12305 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2114:
#line 12309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47706 "preproc.c" /* yacc.c:1652  */
    break;

  case 2115:
#line 12313 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47714 "preproc.c" /* yacc.c:1652  */
    break;

  case 2116:
#line 12317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47722 "preproc.c" /* yacc.c:1652  */
    break;

  case 2117:
#line 12321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47730 "preproc.c" /* yacc.c:1652  */
    break;

  case 2118:
#line 12325 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47738 "preproc.c" /* yacc.c:1652  */
    break;

  case 2119:
#line 12329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47746 "preproc.c" /* yacc.c:1652  */
    break;

  case 2120:
#line 12333 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47754 "preproc.c" /* yacc.c:1652  */
    break;

  case 2121:
#line 12337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47762 "preproc.c" /* yacc.c:1652  */
    break;

  case 2122:
#line 12341 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47770 "preproc.c" /* yacc.c:1652  */
    break;

  case 2123:
#line 12345 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47778 "preproc.c" /* yacc.c:1652  */
    break;

  case 2124:
#line 12349 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47786 "preproc.c" /* yacc.c:1652  */
    break;

  case 2125:
#line 12353 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47794 "preproc.c" /* yacc.c:1652  */
    break;

  case 2126:
#line 12357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47802 "preproc.c" /* yacc.c:1652  */
    break;

  case 2127:
#line 12361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47810 "preproc.c" /* yacc.c:1652  */
    break;

  case 2128:
#line 12365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47818 "preproc.c" /* yacc.c:1652  */
    break;

  case 2129:
#line 12369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47826 "preproc.c" /* yacc.c:1652  */
    break;

  case 2130:
#line 12373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47834 "preproc.c" /* yacc.c:1652  */
    break;

  case 2131:
#line 12377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47842 "preproc.c" /* yacc.c:1652  */
    break;

  case 2132:
#line 12381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47850 "preproc.c" /* yacc.c:1652  */
    break;

  case 2133:
#line 12385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47858 "preproc.c" /* yacc.c:1652  */
    break;

  case 2134:
#line 12389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47866 "preproc.c" /* yacc.c:1652  */
    break;

  case 2135:
#line 12393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47874 "preproc.c" /* yacc.c:1652  */
    break;

  case 2136:
#line 12397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47882 "preproc.c" /* yacc.c:1652  */
    break;

  case 2137:
#line 12401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47890 "preproc.c" /* yacc.c:1652  */
    break;

  case 2138:
#line 12405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47898 "preproc.c" /* yacc.c:1652  */
    break;

  case 2139:
#line 12409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47906 "preproc.c" /* yacc.c:1652  */
    break;

  case 2140:
#line 12413 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47914 "preproc.c" /* yacc.c:1652  */
    break;

  case 2141:
#line 12417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47922 "preproc.c" /* yacc.c:1652  */
    break;

  case 2142:
#line 12421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 47930 "preproc.c" /* yacc.c:1652  */
    break;

  case 2143:
#line 12425 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 47938 "preproc.c" /* yacc.c:1652  */
    break;

  case 2144:
#line 12429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 47946 "preproc.c" /* yacc.c:1652  */
    break;

  case 2145:
#line 12433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 47954 "preproc.c" /* yacc.c:1652  */
    break;

  case 2146:
#line 12437 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 47962 "preproc.c" /* yacc.c:1652  */
    break;

  case 2147:
#line 12441 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 47970 "preproc.c" /* yacc.c:1652  */
    break;

  case 2148:
#line 12445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 47978 "preproc.c" /* yacc.c:1652  */
    break;

  case 2149:
#line 12449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 47986 "preproc.c" /* yacc.c:1652  */
    break;

  case 2150:
#line 12453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 47994 "preproc.c" /* yacc.c:1652  */
    break;

  case 2151:
#line 12457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 48002 "preproc.c" /* yacc.c:1652  */
    break;

  case 2152:
#line 12461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 48010 "preproc.c" /* yacc.c:1652  */
    break;

  case 2153:
#line 12465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 48018 "preproc.c" /* yacc.c:1652  */
    break;

  case 2154:
#line 12469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 48026 "preproc.c" /* yacc.c:1652  */
    break;

  case 2155:
#line 12473 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 48034 "preproc.c" /* yacc.c:1652  */
    break;

  case 2156:
#line 12477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 48042 "preproc.c" /* yacc.c:1652  */
    break;

  case 2157:
#line 12481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 48050 "preproc.c" /* yacc.c:1652  */
    break;

  case 2158:
#line 12485 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 48058 "preproc.c" /* yacc.c:1652  */
    break;

  case 2159:
#line 12489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 48066 "preproc.c" /* yacc.c:1652  */
    break;

  case 2160:
#line 12493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 48074 "preproc.c" /* yacc.c:1652  */
    break;

  case 2161:
#line 12497 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 48082 "preproc.c" /* yacc.c:1652  */
    break;

  case 2162:
#line 12501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 48090 "preproc.c" /* yacc.c:1652  */
    break;

  case 2163:
#line 12505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 48098 "preproc.c" /* yacc.c:1652  */
    break;

  case 2164:
#line 12509 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 48106 "preproc.c" /* yacc.c:1652  */
    break;

  case 2165:
#line 12513 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 48114 "preproc.c" /* yacc.c:1652  */
    break;

  case 2166:
#line 12517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 48122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2167:
#line 12521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48130 "preproc.c" /* yacc.c:1652  */
    break;

  case 2168:
#line 12525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48138 "preproc.c" /* yacc.c:1652  */
    break;

  case 2169:
#line 12529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48146 "preproc.c" /* yacc.c:1652  */
    break;

  case 2170:
#line 12533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48154 "preproc.c" /* yacc.c:1652  */
    break;

  case 2171:
#line 12537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48162 "preproc.c" /* yacc.c:1652  */
    break;

  case 2172:
#line 12541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48170 "preproc.c" /* yacc.c:1652  */
    break;

  case 2173:
#line 12545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48178 "preproc.c" /* yacc.c:1652  */
    break;

  case 2174:
#line 12549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48186 "preproc.c" /* yacc.c:1652  */
    break;

  case 2175:
#line 12553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48194 "preproc.c" /* yacc.c:1652  */
    break;

  case 2176:
#line 12557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48202 "preproc.c" /* yacc.c:1652  */
    break;

  case 2177:
#line 12561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48210 "preproc.c" /* yacc.c:1652  */
    break;

  case 2178:
#line 12565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48218 "preproc.c" /* yacc.c:1652  */
    break;

  case 2179:
#line 12569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48226 "preproc.c" /* yacc.c:1652  */
    break;

  case 2180:
#line 12573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48234 "preproc.c" /* yacc.c:1652  */
    break;

  case 2181:
#line 12577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48242 "preproc.c" /* yacc.c:1652  */
    break;

  case 2182:
#line 12581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48250 "preproc.c" /* yacc.c:1652  */
    break;

  case 2183:
#line 12585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48258 "preproc.c" /* yacc.c:1652  */
    break;

  case 2184:
#line 12589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2185:
#line 12593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48274 "preproc.c" /* yacc.c:1652  */
    break;

  case 2186:
#line 12597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48282 "preproc.c" /* yacc.c:1652  */
    break;

  case 2187:
#line 12601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2188:
#line 12605 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48298 "preproc.c" /* yacc.c:1652  */
    break;

  case 2189:
#line 12609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48306 "preproc.c" /* yacc.c:1652  */
    break;

  case 2190:
#line 12613 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48314 "preproc.c" /* yacc.c:1652  */
    break;

  case 2191:
#line 12617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48322 "preproc.c" /* yacc.c:1652  */
    break;

  case 2192:
#line 12621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2193:
#line 12625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48338 "preproc.c" /* yacc.c:1652  */
    break;

  case 2194:
#line 12629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2195:
#line 12633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2196:
#line 12637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48362 "preproc.c" /* yacc.c:1652  */
    break;

  case 2197:
#line 12641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2198:
#line 12645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48378 "preproc.c" /* yacc.c:1652  */
    break;

  case 2199:
#line 12649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48386 "preproc.c" /* yacc.c:1652  */
    break;

  case 2200:
#line 12653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2201:
#line 12657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48402 "preproc.c" /* yacc.c:1652  */
    break;

  case 2202:
#line 12661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48410 "preproc.c" /* yacc.c:1652  */
    break;

  case 2203:
#line 12665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48418 "preproc.c" /* yacc.c:1652  */
    break;

  case 2204:
#line 12669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48426 "preproc.c" /* yacc.c:1652  */
    break;

  case 2205:
#line 12673 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48434 "preproc.c" /* yacc.c:1652  */
    break;

  case 2206:
#line 12677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48442 "preproc.c" /* yacc.c:1652  */
    break;

  case 2207:
#line 12681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48450 "preproc.c" /* yacc.c:1652  */
    break;

  case 2208:
#line 12685 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2209:
#line 12689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48466 "preproc.c" /* yacc.c:1652  */
    break;

  case 2210:
#line 12693 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48474 "preproc.c" /* yacc.c:1652  */
    break;

  case 2211:
#line 12697 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2212:
#line 12701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48490 "preproc.c" /* yacc.c:1652  */
    break;

  case 2213:
#line 12705 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48498 "preproc.c" /* yacc.c:1652  */
    break;

  case 2214:
#line 12709 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2215:
#line 12713 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48514 "preproc.c" /* yacc.c:1652  */
    break;

  case 2216:
#line 12717 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48522 "preproc.c" /* yacc.c:1652  */
    break;

  case 2217:
#line 12721 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2218:
#line 12725 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48538 "preproc.c" /* yacc.c:1652  */
    break;

  case 2219:
#line 12729 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2220:
#line 12733 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48554 "preproc.c" /* yacc.c:1652  */
    break;

  case 2221:
#line 12737 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48562 "preproc.c" /* yacc.c:1652  */
    break;

  case 2222:
#line 12741 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48570 "preproc.c" /* yacc.c:1652  */
    break;

  case 2223:
#line 12745 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48578 "preproc.c" /* yacc.c:1652  */
    break;

  case 2224:
#line 12749 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48586 "preproc.c" /* yacc.c:1652  */
    break;

  case 2225:
#line 12753 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2226:
#line 12757 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48602 "preproc.c" /* yacc.c:1652  */
    break;

  case 2227:
#line 12761 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48610 "preproc.c" /* yacc.c:1652  */
    break;

  case 2228:
#line 12765 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2229:
#line 12769 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48626 "preproc.c" /* yacc.c:1652  */
    break;

  case 2230:
#line 12773 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2231:
#line 12777 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48642 "preproc.c" /* yacc.c:1652  */
    break;

  case 2232:
#line 12781 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2233:
#line 12785 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48658 "preproc.c" /* yacc.c:1652  */
    break;

  case 2234:
#line 12789 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48666 "preproc.c" /* yacc.c:1652  */
    break;

  case 2235:
#line 12793 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2236:
#line 12797 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48682 "preproc.c" /* yacc.c:1652  */
    break;

  case 2237:
#line 12801 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48690 "preproc.c" /* yacc.c:1652  */
    break;

  case 2238:
#line 12805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2239:
#line 12809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48706 "preproc.c" /* yacc.c:1652  */
    break;

  case 2240:
#line 12813 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48714 "preproc.c" /* yacc.c:1652  */
    break;

  case 2241:
#line 12817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48722 "preproc.c" /* yacc.c:1652  */
    break;

  case 2242:
#line 12821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48730 "preproc.c" /* yacc.c:1652  */
    break;

  case 2243:
#line 12825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48738 "preproc.c" /* yacc.c:1652  */
    break;

  case 2244:
#line 12829 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48746 "preproc.c" /* yacc.c:1652  */
    break;

  case 2245:
#line 12833 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48754 "preproc.c" /* yacc.c:1652  */
    break;

  case 2246:
#line 12837 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48762 "preproc.c" /* yacc.c:1652  */
    break;

  case 2247:
#line 12841 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48770 "preproc.c" /* yacc.c:1652  */
    break;

  case 2248:
#line 12845 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48778 "preproc.c" /* yacc.c:1652  */
    break;

  case 2249:
#line 12849 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48786 "preproc.c" /* yacc.c:1652  */
    break;

  case 2250:
#line 12853 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48794 "preproc.c" /* yacc.c:1652  */
    break;

  case 2251:
#line 12857 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48802 "preproc.c" /* yacc.c:1652  */
    break;

  case 2252:
#line 12861 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48810 "preproc.c" /* yacc.c:1652  */
    break;

  case 2253:
#line 12865 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48818 "preproc.c" /* yacc.c:1652  */
    break;

  case 2254:
#line 12869 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48826 "preproc.c" /* yacc.c:1652  */
    break;

  case 2255:
#line 12873 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48834 "preproc.c" /* yacc.c:1652  */
    break;

  case 2256:
#line 12877 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48842 "preproc.c" /* yacc.c:1652  */
    break;

  case 2257:
#line 12881 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48850 "preproc.c" /* yacc.c:1652  */
    break;

  case 2258:
#line 12885 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48858 "preproc.c" /* yacc.c:1652  */
    break;

  case 2259:
#line 12889 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48866 "preproc.c" /* yacc.c:1652  */
    break;

  case 2260:
#line 12893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48874 "preproc.c" /* yacc.c:1652  */
    break;

  case 2261:
#line 12897 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48882 "preproc.c" /* yacc.c:1652  */
    break;

  case 2262:
#line 12901 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48890 "preproc.c" /* yacc.c:1652  */
    break;

  case 2263:
#line 12905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48898 "preproc.c" /* yacc.c:1652  */
    break;

  case 2264:
#line 12909 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 48906 "preproc.c" /* yacc.c:1652  */
    break;

  case 2265:
#line 12913 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 48914 "preproc.c" /* yacc.c:1652  */
    break;

  case 2266:
#line 12917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 48922 "preproc.c" /* yacc.c:1652  */
    break;

  case 2267:
#line 12921 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 48930 "preproc.c" /* yacc.c:1652  */
    break;

  case 2268:
#line 12925 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48938 "preproc.c" /* yacc.c:1652  */
    break;

  case 2269:
#line 12929 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 48946 "preproc.c" /* yacc.c:1652  */
    break;

  case 2270:
#line 12933 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 48954 "preproc.c" /* yacc.c:1652  */
    break;

  case 2271:
#line 12937 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 48962 "preproc.c" /* yacc.c:1652  */
    break;

  case 2272:
#line 12941 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 48970 "preproc.c" /* yacc.c:1652  */
    break;

  case 2273:
#line 12945 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 48978 "preproc.c" /* yacc.c:1652  */
    break;

  case 2274:
#line 12949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 48986 "preproc.c" /* yacc.c:1652  */
    break;

  case 2275:
#line 12953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 48994 "preproc.c" /* yacc.c:1652  */
    break;

  case 2276:
#line 12957 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 49002 "preproc.c" /* yacc.c:1652  */
    break;

  case 2277:
#line 12961 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 49010 "preproc.c" /* yacc.c:1652  */
    break;

  case 2278:
#line 12965 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 49018 "preproc.c" /* yacc.c:1652  */
    break;

  case 2279:
#line 12969 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 49026 "preproc.c" /* yacc.c:1652  */
    break;

  case 2280:
#line 12973 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 49034 "preproc.c" /* yacc.c:1652  */
    break;

  case 2281:
#line 12977 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 49042 "preproc.c" /* yacc.c:1652  */
    break;

  case 2282:
#line 12981 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 49050 "preproc.c" /* yacc.c:1652  */
    break;

  case 2283:
#line 12985 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 49058 "preproc.c" /* yacc.c:1652  */
    break;

  case 2284:
#line 12989 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 49066 "preproc.c" /* yacc.c:1652  */
    break;

  case 2285:
#line 12993 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 49074 "preproc.c" /* yacc.c:1652  */
    break;

  case 2286:
#line 12997 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 49082 "preproc.c" /* yacc.c:1652  */
    break;

  case 2287:
#line 13001 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 49090 "preproc.c" /* yacc.c:1652  */
    break;

  case 2288:
#line 13005 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 49098 "preproc.c" /* yacc.c:1652  */
    break;

  case 2289:
#line 13009 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 49106 "preproc.c" /* yacc.c:1652  */
    break;

  case 2290:
#line 13013 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 49114 "preproc.c" /* yacc.c:1652  */
    break;

  case 2291:
#line 13017 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 49122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2292:
#line 13021 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49130 "preproc.c" /* yacc.c:1652  */
    break;

  case 2293:
#line 13025 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49138 "preproc.c" /* yacc.c:1652  */
    break;

  case 2294:
#line 13029 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49146 "preproc.c" /* yacc.c:1652  */
    break;

  case 2295:
#line 13033 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49154 "preproc.c" /* yacc.c:1652  */
    break;

  case 2296:
#line 13037 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49162 "preproc.c" /* yacc.c:1652  */
    break;

  case 2297:
#line 13041 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49170 "preproc.c" /* yacc.c:1652  */
    break;

  case 2298:
#line 13045 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49178 "preproc.c" /* yacc.c:1652  */
    break;

  case 2299:
#line 13049 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49186 "preproc.c" /* yacc.c:1652  */
    break;

  case 2300:
#line 13053 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49194 "preproc.c" /* yacc.c:1652  */
    break;

  case 2301:
#line 13057 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49202 "preproc.c" /* yacc.c:1652  */
    break;

  case 2302:
#line 13061 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49210 "preproc.c" /* yacc.c:1652  */
    break;

  case 2303:
#line 13065 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49218 "preproc.c" /* yacc.c:1652  */
    break;

  case 2304:
#line 13069 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49226 "preproc.c" /* yacc.c:1652  */
    break;

  case 2305:
#line 13073 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49234 "preproc.c" /* yacc.c:1652  */
    break;

  case 2306:
#line 13077 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49242 "preproc.c" /* yacc.c:1652  */
    break;

  case 2307:
#line 13081 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49250 "preproc.c" /* yacc.c:1652  */
    break;

  case 2308:
#line 13085 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49258 "preproc.c" /* yacc.c:1652  */
    break;

  case 2309:
#line 13089 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2310:
#line 13093 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49274 "preproc.c" /* yacc.c:1652  */
    break;

  case 2311:
#line 13097 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49282 "preproc.c" /* yacc.c:1652  */
    break;

  case 2312:
#line 13101 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2313:
#line 13105 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49298 "preproc.c" /* yacc.c:1652  */
    break;

  case 2314:
#line 13109 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49306 "preproc.c" /* yacc.c:1652  */
    break;

  case 2315:
#line 13113 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49314 "preproc.c" /* yacc.c:1652  */
    break;

  case 2316:
#line 13117 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49322 "preproc.c" /* yacc.c:1652  */
    break;

  case 2317:
#line 13121 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2318:
#line 13125 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49338 "preproc.c" /* yacc.c:1652  */
    break;

  case 2319:
#line 13129 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2320:
#line 13133 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2321:
#line 13137 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49362 "preproc.c" /* yacc.c:1652  */
    break;

  case 2322:
#line 13141 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2323:
#line 13145 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49378 "preproc.c" /* yacc.c:1652  */
    break;

  case 2324:
#line 13149 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49386 "preproc.c" /* yacc.c:1652  */
    break;

  case 2325:
#line 13153 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2326:
#line 13157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49402 "preproc.c" /* yacc.c:1652  */
    break;

  case 2327:
#line 13161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49410 "preproc.c" /* yacc.c:1652  */
    break;

  case 2328:
#line 13165 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49418 "preproc.c" /* yacc.c:1652  */
    break;

  case 2329:
#line 13169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49426 "preproc.c" /* yacc.c:1652  */
    break;

  case 2330:
#line 13173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49434 "preproc.c" /* yacc.c:1652  */
    break;

  case 2331:
#line 13177 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49442 "preproc.c" /* yacc.c:1652  */
    break;

  case 2332:
#line 13181 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49450 "preproc.c" /* yacc.c:1652  */
    break;

  case 2333:
#line 13185 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2334:
#line 13189 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49466 "preproc.c" /* yacc.c:1652  */
    break;

  case 2335:
#line 13193 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49474 "preproc.c" /* yacc.c:1652  */
    break;

  case 2336:
#line 13197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2337:
#line 13201 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49490 "preproc.c" /* yacc.c:1652  */
    break;

  case 2338:
#line 13205 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49498 "preproc.c" /* yacc.c:1652  */
    break;

  case 2339:
#line 13209 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2340:
#line 13213 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49514 "preproc.c" /* yacc.c:1652  */
    break;

  case 2341:
#line 13217 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49522 "preproc.c" /* yacc.c:1652  */
    break;

  case 2342:
#line 13221 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2343:
#line 13225 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49538 "preproc.c" /* yacc.c:1652  */
    break;

  case 2344:
#line 13229 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2345:
#line 13233 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49554 "preproc.c" /* yacc.c:1652  */
    break;

  case 2346:
#line 13241 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49562 "preproc.c" /* yacc.c:1652  */
    break;

  case 2347:
#line 13245 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49570 "preproc.c" /* yacc.c:1652  */
    break;

  case 2348:
#line 13249 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49578 "preproc.c" /* yacc.c:1652  */
    break;

  case 2349:
#line 13253 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49586 "preproc.c" /* yacc.c:1652  */
    break;

  case 2350:
#line 13257 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2351:
#line 13261 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49602 "preproc.c" /* yacc.c:1652  */
    break;

  case 2352:
#line 13265 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49610 "preproc.c" /* yacc.c:1652  */
    break;

  case 2353:
#line 13269 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2354:
#line 13273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49626 "preproc.c" /* yacc.c:1652  */
    break;

  case 2355:
#line 13277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2356:
#line 13281 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49642 "preproc.c" /* yacc.c:1652  */
    break;

  case 2357:
#line 13285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2358:
#line 13289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49658 "preproc.c" /* yacc.c:1652  */
    break;

  case 2359:
#line 13293 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49666 "preproc.c" /* yacc.c:1652  */
    break;

  case 2360:
#line 13297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2361:
#line 13301 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49682 "preproc.c" /* yacc.c:1652  */
    break;

  case 2362:
#line 13305 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49690 "preproc.c" /* yacc.c:1652  */
    break;

  case 2363:
#line 13309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2364:
#line 13313 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49706 "preproc.c" /* yacc.c:1652  */
    break;

  case 2365:
#line 13317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49714 "preproc.c" /* yacc.c:1652  */
    break;

  case 2366:
#line 13321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49722 "preproc.c" /* yacc.c:1652  */
    break;

  case 2367:
#line 13325 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49730 "preproc.c" /* yacc.c:1652  */
    break;

  case 2368:
#line 13329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49738 "preproc.c" /* yacc.c:1652  */
    break;

  case 2369:
#line 13333 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49746 "preproc.c" /* yacc.c:1652  */
    break;

  case 2370:
#line 13337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49754 "preproc.c" /* yacc.c:1652  */
    break;

  case 2371:
#line 13341 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49762 "preproc.c" /* yacc.c:1652  */
    break;

  case 2372:
#line 13345 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49770 "preproc.c" /* yacc.c:1652  */
    break;

  case 2373:
#line 13349 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49778 "preproc.c" /* yacc.c:1652  */
    break;

  case 2374:
#line 13353 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49786 "preproc.c" /* yacc.c:1652  */
    break;

  case 2375:
#line 13357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49794 "preproc.c" /* yacc.c:1652  */
    break;

  case 2376:
#line 13361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49802 "preproc.c" /* yacc.c:1652  */
    break;

  case 2377:
#line 13365 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49810 "preproc.c" /* yacc.c:1652  */
    break;

  case 2378:
#line 13369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49818 "preproc.c" /* yacc.c:1652  */
    break;

  case 2379:
#line 13373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49826 "preproc.c" /* yacc.c:1652  */
    break;

  case 2380:
#line 13377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49834 "preproc.c" /* yacc.c:1652  */
    break;

  case 2381:
#line 13381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49842 "preproc.c" /* yacc.c:1652  */
    break;

  case 2382:
#line 13385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49850 "preproc.c" /* yacc.c:1652  */
    break;

  case 2383:
#line 13389 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49858 "preproc.c" /* yacc.c:1652  */
    break;

  case 2384:
#line 13393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49866 "preproc.c" /* yacc.c:1652  */
    break;

  case 2385:
#line 13397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49874 "preproc.c" /* yacc.c:1652  */
    break;

  case 2386:
#line 13401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49882 "preproc.c" /* yacc.c:1652  */
    break;

  case 2387:
#line 13405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49890 "preproc.c" /* yacc.c:1652  */
    break;

  case 2388:
#line 13409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49898 "preproc.c" /* yacc.c:1652  */
    break;

  case 2389:
#line 13413 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 49906 "preproc.c" /* yacc.c:1652  */
    break;

  case 2390:
#line 13417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 49914 "preproc.c" /* yacc.c:1652  */
    break;

  case 2391:
#line 13425 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 49922 "preproc.c" /* yacc.c:1652  */
    break;

  case 2392:
#line 13429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 49930 "preproc.c" /* yacc.c:1652  */
    break;

  case 2393:
#line 13433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 49938 "preproc.c" /* yacc.c:1652  */
    break;

  case 2394:
#line 13437 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 49946 "preproc.c" /* yacc.c:1652  */
    break;

  case 2395:
#line 13441 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 49954 "preproc.c" /* yacc.c:1652  */
    break;

  case 2396:
#line 13445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49962 "preproc.c" /* yacc.c:1652  */
    break;

  case 2397:
#line 13449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49970 "preproc.c" /* yacc.c:1652  */
    break;

  case 2398:
#line 13453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 49978 "preproc.c" /* yacc.c:1652  */
    break;

  case 2399:
#line 13457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49986 "preproc.c" /* yacc.c:1652  */
    break;

  case 2400:
#line 13461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 49994 "preproc.c" /* yacc.c:1652  */
    break;

  case 2401:
#line 13465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 50002 "preproc.c" /* yacc.c:1652  */
    break;

  case 2402:
#line 13469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 50010 "preproc.c" /* yacc.c:1652  */
    break;

  case 2403:
#line 13473 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 50018 "preproc.c" /* yacc.c:1652  */
    break;

  case 2404:
#line 13477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 50026 "preproc.c" /* yacc.c:1652  */
    break;

  case 2405:
#line 13481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 50034 "preproc.c" /* yacc.c:1652  */
    break;

  case 2406:
#line 13485 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 50042 "preproc.c" /* yacc.c:1652  */
    break;

  case 2407:
#line 13489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 50050 "preproc.c" /* yacc.c:1652  */
    break;

  case 2408:
#line 13493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 50058 "preproc.c" /* yacc.c:1652  */
    break;

  case 2409:
#line 13497 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 50066 "preproc.c" /* yacc.c:1652  */
    break;

  case 2410:
#line 13501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 50074 "preproc.c" /* yacc.c:1652  */
    break;

  case 2411:
#line 13505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 50082 "preproc.c" /* yacc.c:1652  */
    break;

  case 2412:
#line 13509 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 50090 "preproc.c" /* yacc.c:1652  */
    break;

  case 2413:
#line 13513 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 50098 "preproc.c" /* yacc.c:1652  */
    break;

  case 2414:
#line 13521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50106 "preproc.c" /* yacc.c:1652  */
    break;

  case 2415:
#line 13525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 50114 "preproc.c" /* yacc.c:1652  */
    break;

  case 2416:
#line 13529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 50122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2417:
#line 13533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50130 "preproc.c" /* yacc.c:1652  */
    break;

  case 2418:
#line 13537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50138 "preproc.c" /* yacc.c:1652  */
    break;

  case 2419:
#line 13541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50146 "preproc.c" /* yacc.c:1652  */
    break;

  case 2420:
#line 13545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50154 "preproc.c" /* yacc.c:1652  */
    break;

  case 2421:
#line 13549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50162 "preproc.c" /* yacc.c:1652  */
    break;

  case 2422:
#line 13553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50170 "preproc.c" /* yacc.c:1652  */
    break;

  case 2423:
#line 13557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50178 "preproc.c" /* yacc.c:1652  */
    break;

  case 2424:
#line 13561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50186 "preproc.c" /* yacc.c:1652  */
    break;

  case 2425:
#line 13565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50194 "preproc.c" /* yacc.c:1652  */
    break;

  case 2426:
#line 13569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50202 "preproc.c" /* yacc.c:1652  */
    break;

  case 2427:
#line 13573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50210 "preproc.c" /* yacc.c:1652  */
    break;

  case 2428:
#line 13577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50218 "preproc.c" /* yacc.c:1652  */
    break;

  case 2429:
#line 13581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50226 "preproc.c" /* yacc.c:1652  */
    break;

  case 2430:
#line 13585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50234 "preproc.c" /* yacc.c:1652  */
    break;

  case 2431:
#line 13589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50242 "preproc.c" /* yacc.c:1652  */
    break;

  case 2432:
#line 13593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50250 "preproc.c" /* yacc.c:1652  */
    break;

  case 2433:
#line 13597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50258 "preproc.c" /* yacc.c:1652  */
    break;

  case 2434:
#line 13601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2435:
#line 13605 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50274 "preproc.c" /* yacc.c:1652  */
    break;

  case 2436:
#line 13609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50282 "preproc.c" /* yacc.c:1652  */
    break;

  case 2437:
#line 13613 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2438:
#line 13617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50298 "preproc.c" /* yacc.c:1652  */
    break;

  case 2439:
#line 13621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50306 "preproc.c" /* yacc.c:1652  */
    break;

  case 2440:
#line 13625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50314 "preproc.c" /* yacc.c:1652  */
    break;

  case 2441:
#line 13629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50322 "preproc.c" /* yacc.c:1652  */
    break;

  case 2442:
#line 13633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2443:
#line 13637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50338 "preproc.c" /* yacc.c:1652  */
    break;

  case 2444:
#line 13641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2445:
#line 13645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2446:
#line 13649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50362 "preproc.c" /* yacc.c:1652  */
    break;

  case 2447:
#line 13653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2448:
#line 13657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50378 "preproc.c" /* yacc.c:1652  */
    break;

  case 2449:
#line 13661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50386 "preproc.c" /* yacc.c:1652  */
    break;

  case 2450:
#line 13665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2451:
#line 13669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50402 "preproc.c" /* yacc.c:1652  */
    break;

  case 2452:
#line 13673 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50410 "preproc.c" /* yacc.c:1652  */
    break;

  case 2453:
#line 13677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50418 "preproc.c" /* yacc.c:1652  */
    break;

  case 2454:
#line 13681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50426 "preproc.c" /* yacc.c:1652  */
    break;

  case 2455:
#line 13685 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50434 "preproc.c" /* yacc.c:1652  */
    break;

  case 2456:
#line 13689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50442 "preproc.c" /* yacc.c:1652  */
    break;

  case 2457:
#line 13693 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50450 "preproc.c" /* yacc.c:1652  */
    break;

  case 2458:
#line 13697 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2459:
#line 13701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50466 "preproc.c" /* yacc.c:1652  */
    break;

  case 2460:
#line 13705 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50474 "preproc.c" /* yacc.c:1652  */
    break;

  case 2461:
#line 13709 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2462:
#line 13713 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50490 "preproc.c" /* yacc.c:1652  */
    break;

  case 2463:
#line 13717 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50498 "preproc.c" /* yacc.c:1652  */
    break;

  case 2464:
#line 13721 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2465:
#line 13725 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50514 "preproc.c" /* yacc.c:1652  */
    break;

  case 2466:
#line 13729 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50522 "preproc.c" /* yacc.c:1652  */
    break;

  case 2467:
#line 13733 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2468:
#line 13737 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50538 "preproc.c" /* yacc.c:1652  */
    break;

  case 2469:
#line 13741 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2470:
#line 13745 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50554 "preproc.c" /* yacc.c:1652  */
    break;

  case 2471:
#line 13749 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50562 "preproc.c" /* yacc.c:1652  */
    break;

  case 2472:
#line 13753 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50570 "preproc.c" /* yacc.c:1652  */
    break;

  case 2473:
#line 13757 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50578 "preproc.c" /* yacc.c:1652  */
    break;

  case 2474:
#line 13761 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50586 "preproc.c" /* yacc.c:1652  */
    break;

  case 2475:
#line 13765 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2476:
#line 13769 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50602 "preproc.c" /* yacc.c:1652  */
    break;

  case 2477:
#line 13773 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50610 "preproc.c" /* yacc.c:1652  */
    break;

  case 2478:
#line 13777 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2479:
#line 13781 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50626 "preproc.c" /* yacc.c:1652  */
    break;

  case 2480:
#line 13785 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2481:
#line 13789 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50642 "preproc.c" /* yacc.c:1652  */
    break;

  case 2482:
#line 13793 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2483:
#line 13797 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50658 "preproc.c" /* yacc.c:1652  */
    break;

  case 2484:
#line 13801 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50666 "preproc.c" /* yacc.c:1652  */
    break;

  case 2485:
#line 13805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2486:
#line 13809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50682 "preproc.c" /* yacc.c:1652  */
    break;

  case 2487:
#line 13813 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50690 "preproc.c" /* yacc.c:1652  */
    break;

  case 2488:
#line 13817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2491:
#line 13830 "preproc.y" /* yacc.c:1652  */
    { connection = NULL; }
#line 50704 "preproc.c" /* yacc.c:1652  */
    break;

  case 2493:
#line 13833 "preproc.y" /* yacc.c:1652  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50714 "preproc.c" /* yacc.c:1652  */
    break;

  case 2495:
#line 13839 "preproc.y" /* yacc.c:1652  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50720 "preproc.c" /* yacc.c:1652  */
    break;

  case 2496:
#line 13840 "preproc.y" /* yacc.c:1652  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50726 "preproc.c" /* yacc.c:1652  */
    break;

  case 2497:
#line 13841 "preproc.y" /* yacc.c:1652  */
    { braces_open++; fputs("{", base_yyout); }
#line 50732 "preproc.c" /* yacc.c:1652  */
    break;

  case 2498:
#line 13843 "preproc.y" /* yacc.c:1652  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 50747 "preproc.c" /* yacc.c:1652  */
    break;

  case 2499:
#line 13855 "preproc.y" /* yacc.c:1652  */
    {FoundInto = 0;}
#line 50753 "preproc.c" /* yacc.c:1652  */
    break;

  case 2500:
#line 13856 "preproc.y" /* yacc.c:1652  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50764 "preproc.c" /* yacc.c:1652  */
    break;

  case 2501:
#line 13862 "preproc.y" /* yacc.c:1652  */
    {FoundInto = 0;}
#line 50770 "preproc.c" /* yacc.c:1652  */
    break;

  case 2502:
#line 13863 "preproc.y" /* yacc.c:1652  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50781 "preproc.c" /* yacc.c:1652  */
    break;

  case 2503:
#line 13872 "preproc.y" /* yacc.c:1652  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50795 "preproc.c" /* yacc.c:1652  */
    break;

  case 2504:
#line 13887 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50801 "preproc.c" /* yacc.c:1652  */
    break;

  case 2505:
#line 13889 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2506:
#line 13892 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50813 "preproc.c" /* yacc.c:1652  */
    break;

  case 2507:
#line 13894 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50819 "preproc.c" /* yacc.c:1652  */
    break;

  case 2508:
#line 13898 "preproc.y" /* yacc.c:1652  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50835 "preproc.c" /* yacc.c:1652  */
    break;

  case 2509:
#line 13910 "preproc.y" /* yacc.c:1652  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2510:
#line 13926 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2511:
#line 13930 "preproc.y" /* yacc.c:1652  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50876 "preproc.c" /* yacc.c:1652  */
    break;

  case 2512:
#line 13940 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50882 "preproc.c" /* yacc.c:1652  */
    break;

  case 2513:
#line 13941 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 50888 "preproc.c" /* yacc.c:1652  */
    break;

  case 2514:
#line 13945 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50902 "preproc.c" /* yacc.c:1652  */
    break;

  case 2515:
#line 13957 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50913 "preproc.c" /* yacc.c:1652  */
    break;

  case 2516:
#line 13965 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50919 "preproc.c" /* yacc.c:1652  */
    break;

  case 2517:
#line 13966 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 50925 "preproc.c" /* yacc.c:1652  */
    break;

  case 2518:
#line 13969 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50931 "preproc.c" /* yacc.c:1652  */
    break;

  case 2519:
#line 13970 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 50937 "preproc.c" /* yacc.c:1652  */
    break;

  case 2520:
#line 13971 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 50943 "preproc.c" /* yacc.c:1652  */
    break;

  case 2521:
#line 13974 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50949 "preproc.c" /* yacc.c:1652  */
    break;

  case 2522:
#line 13975 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 50955 "preproc.c" /* yacc.c:1652  */
    break;

  case 2523:
#line 13978 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50961 "preproc.c" /* yacc.c:1652  */
    break;

  case 2524:
#line 13979 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50967 "preproc.c" /* yacc.c:1652  */
    break;

  case 2525:
#line 13982 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50973 "preproc.c" /* yacc.c:1652  */
    break;

  case 2526:
#line 13983 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 50979 "preproc.c" /* yacc.c:1652  */
    break;

  case 2527:
#line 13987 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 50985 "preproc.c" /* yacc.c:1652  */
    break;

  case 2528:
#line 13989 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2529:
#line 13991 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50997 "preproc.c" /* yacc.c:1652  */
    break;

  case 2530:
#line 13993 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 51003 "preproc.c" /* yacc.c:1652  */
    break;

  case 2531:
#line 13997 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51014 "preproc.c" /* yacc.c:1652  */
    break;

  case 2532:
#line 14004 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 51025 "preproc.c" /* yacc.c:1652  */
    break;

  case 2533:
#line 14011 "preproc.y" /* yacc.c:1652  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 51043 "preproc.c" /* yacc.c:1652  */
    break;

  case 2534:
#line 14027 "preproc.y" /* yacc.c:1652  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 51079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2535:
#line 14061 "preproc.y" /* yacc.c:1652  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 51093 "preproc.c" /* yacc.c:1652  */
    break;

  case 2536:
#line 14070 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 51099 "preproc.c" /* yacc.c:1652  */
    break;

  case 2537:
#line 14074 "preproc.y" /* yacc.c:1652  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51107 "preproc.c" /* yacc.c:1652  */
    break;

  case 2538:
#line 14078 "preproc.y" /* yacc.c:1652  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51121 "preproc.c" /* yacc.c:1652  */
    break;

  case 2539:
#line 14090 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 51127 "preproc.c" /* yacc.c:1652  */
    break;

  case 2540:
#line 14092 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51133 "preproc.c" /* yacc.c:1652  */
    break;

  case 2541:
#line 14094 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51139 "preproc.c" /* yacc.c:1652  */
    break;

  case 2542:
#line 14096 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51145 "preproc.c" /* yacc.c:1652  */
    break;

  case 2543:
#line 14100 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51163 "preproc.c" /* yacc.c:1652  */
    break;

  case 2544:
#line 14113 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51169 "preproc.c" /* yacc.c:1652  */
    break;

  case 2545:
#line 14121 "preproc.y" /* yacc.c:1652  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51232 "preproc.c" /* yacc.c:1652  */
    break;

  case 2546:
#line 14182 "preproc.y" /* yacc.c:1652  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51242 "preproc.c" /* yacc.c:1652  */
    break;

  case 2548:
#line 14192 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51248 "preproc.c" /* yacc.c:1652  */
    break;

  case 2549:
#line 14193 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51254 "preproc.c" /* yacc.c:1652  */
    break;

  case 2550:
#line 14196 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51260 "preproc.c" /* yacc.c:1652  */
    break;

  case 2551:
#line 14198 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2552:
#line 14199 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 51272 "preproc.c" /* yacc.c:1652  */
    break;

  case 2553:
#line 14202 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51278 "preproc.c" /* yacc.c:1652  */
    break;

  case 2554:
#line 14203 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51284 "preproc.c" /* yacc.c:1652  */
    break;

  case 2555:
#line 14204 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2556:
#line 14205 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51296 "preproc.c" /* yacc.c:1652  */
    break;

  case 2557:
#line 14206 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51302 "preproc.c" /* yacc.c:1652  */
    break;

  case 2558:
#line 14213 "preproc.y" /* yacc.c:1652  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 51308 "preproc.c" /* yacc.c:1652  */
    break;

  case 2559:
#line 14215 "preproc.y" /* yacc.c:1652  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51318 "preproc.c" /* yacc.c:1652  */
    break;

  case 2560:
#line 14222 "preproc.y" /* yacc.c:1652  */
    {}
#line 51324 "preproc.c" /* yacc.c:1652  */
    break;

  case 2561:
#line 14224 "preproc.y" /* yacc.c:1652  */
    {}
#line 51330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2562:
#line 14226 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 51336 "preproc.c" /* yacc.c:1652  */
    break;

  case 2563:
#line 14227 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51342 "preproc.c" /* yacc.c:1652  */
    break;

  case 2564:
#line 14230 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51348 "preproc.c" /* yacc.c:1652  */
    break;

  case 2565:
#line 14231 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2566:
#line 14232 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51360 "preproc.c" /* yacc.c:1652  */
    break;

  case 2567:
#line 14233 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51366 "preproc.c" /* yacc.c:1652  */
    break;

  case 2568:
#line 14236 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51372 "preproc.c" /* yacc.c:1652  */
    break;

  case 2569:
#line 14237 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51378 "preproc.c" /* yacc.c:1652  */
    break;

  case 2570:
#line 14241 "preproc.y" /* yacc.c:1652  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51388 "preproc.c" /* yacc.c:1652  */
    break;

  case 2571:
#line 14247 "preproc.y" /* yacc.c:1652  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51400 "preproc.c" /* yacc.c:1652  */
    break;

  case 2572:
#line 14257 "preproc.y" /* yacc.c:1652  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51414 "preproc.c" /* yacc.c:1652  */
    break;

  case 2573:
#line 14267 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51422 "preproc.c" /* yacc.c:1652  */
    break;

  case 2574:
#line 14271 "preproc.y" /* yacc.c:1652  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51436 "preproc.c" /* yacc.c:1652  */
    break;

  case 2575:
#line 14281 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51444 "preproc.c" /* yacc.c:1652  */
    break;

  case 2576:
#line 14285 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51452 "preproc.c" /* yacc.c:1652  */
    break;

  case 2577:
#line 14290 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2578:
#line 14291 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 51464 "preproc.c" /* yacc.c:1652  */
    break;

  case 2579:
#line 14295 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51470 "preproc.c" /* yacc.c:1652  */
    break;

  case 2580:
#line 14296 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51476 "preproc.c" /* yacc.c:1652  */
    break;

  case 2581:
#line 14297 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2582:
#line 14300 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51488 "preproc.c" /* yacc.c:1652  */
    break;

  case 2583:
#line 14301 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 51494 "preproc.c" /* yacc.c:1652  */
    break;

  case 2584:
#line 14302 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 51500 "preproc.c" /* yacc.c:1652  */
    break;

  case 2585:
#line 14303 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2586:
#line 14306 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 51512 "preproc.c" /* yacc.c:1652  */
    break;

  case 2587:
#line 14307 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51518 "preproc.c" /* yacc.c:1652  */
    break;

  case 2588:
#line 14311 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2589:
#line 14319 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51551 "preproc.c" /* yacc.c:1652  */
    break;

  case 2590:
#line 14336 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51563 "preproc.c" /* yacc.c:1652  */
    break;

  case 2591:
#line 14344 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51590 "preproc.c" /* yacc.c:1652  */
    break;

  case 2592:
#line 14367 "preproc.y" /* yacc.c:1652  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51700 "preproc.c" /* yacc.c:1652  */
    break;

  case 2593:
#line 14473 "preproc.y" /* yacc.c:1652  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51736 "preproc.c" /* yacc.c:1652  */
    break;

  case 2594:
#line 14507 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51742 "preproc.c" /* yacc.c:1652  */
    break;

  case 2595:
#line 14509 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51748 "preproc.c" /* yacc.c:1652  */
    break;

  case 2596:
#line 14511 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51754 "preproc.c" /* yacc.c:1652  */
    break;

  case 2597:
#line 14515 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51760 "preproc.c" /* yacc.c:1652  */
    break;

  case 2598:
#line 14518 "preproc.y" /* yacc.c:1652  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51771 "preproc.c" /* yacc.c:1652  */
    break;

  case 2599:
#line 14525 "preproc.y" /* yacc.c:1652  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51817 "preproc.c" /* yacc.c:1652  */
    break;

  case 2600:
#line 14568 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2601:
#line 14570 "preproc.y" /* yacc.c:1652  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51833 "preproc.c" /* yacc.c:1652  */
    break;

  case 2602:
#line 14576 "preproc.y" /* yacc.c:1652  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51844 "preproc.c" /* yacc.c:1652  */
    break;

  case 2603:
#line 14585 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51854 "preproc.c" /* yacc.c:1652  */
    break;

  case 2604:
#line 14591 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2605:
#line 14598 "preproc.y" /* yacc.c:1652  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51872 "preproc.c" /* yacc.c:1652  */
    break;

  case 2606:
#line 14603 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51880 "preproc.c" /* yacc.c:1652  */
    break;

  case 2607:
#line 14608 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51886 "preproc.c" /* yacc.c:1652  */
    break;

  case 2608:
#line 14609 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51892 "preproc.c" /* yacc.c:1652  */
    break;

  case 2609:
#line 14612 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51898 "preproc.c" /* yacc.c:1652  */
    break;

  case 2610:
#line 14613 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51904 "preproc.c" /* yacc.c:1652  */
    break;

  case 2611:
#line 14614 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51910 "preproc.c" /* yacc.c:1652  */
    break;

  case 2612:
#line 14615 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51916 "preproc.c" /* yacc.c:1652  */
    break;

  case 2613:
#line 14616 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51922 "preproc.c" /* yacc.c:1652  */
    break;

  case 2614:
#line 14617 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51928 "preproc.c" /* yacc.c:1652  */
    break;

  case 2615:
#line 14619 "preproc.y" /* yacc.c:1652  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51940 "preproc.c" /* yacc.c:1652  */
    break;

  case 2616:
#line 14627 "preproc.y" /* yacc.c:1652  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51952 "preproc.c" /* yacc.c:1652  */
    break;

  case 2617:
#line 14634 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 51958 "preproc.c" /* yacc.c:1652  */
    break;

  case 2618:
#line 14637 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51964 "preproc.c" /* yacc.c:1652  */
    break;

  case 2619:
#line 14638 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51970 "preproc.c" /* yacc.c:1652  */
    break;

  case 2620:
#line 14639 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_int; }
#line 51976 "preproc.c" /* yacc.c:1652  */
    break;

  case 2621:
#line 14640 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51982 "preproc.c" /* yacc.c:1652  */
    break;

  case 2622:
#line 14641 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51988 "preproc.c" /* yacc.c:1652  */
    break;

  case 2623:
#line 14643 "preproc.y" /* yacc.c:1652  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52000 "preproc.c" /* yacc.c:1652  */
    break;

  case 2624:
#line 14651 "preproc.y" /* yacc.c:1652  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 52012 "preproc.c" /* yacc.c:1652  */
    break;

  case 2625:
#line 14658 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 52018 "preproc.c" /* yacc.c:1652  */
    break;

  case 2626:
#line 14659 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_char; }
#line 52024 "preproc.c" /* yacc.c:1652  */
    break;

  case 2627:
#line 14660 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_double; }
#line 52030 "preproc.c" /* yacc.c:1652  */
    break;

  case 2630:
#line 14668 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52036 "preproc.c" /* yacc.c:1652  */
    break;

  case 2631:
#line 14670 "preproc.y" /* yacc.c:1652  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 52047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2632:
#line 14679 "preproc.y" /* yacc.c:1652  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 52136 "preproc.c" /* yacc.c:1652  */
    break;

  case 2633:
#line 14766 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52142 "preproc.c" /* yacc.c:1652  */
    break;

  case 2634:
#line 14768 "preproc.y" /* yacc.c:1652  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2635:
#line 14774 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52157 "preproc.c" /* yacc.c:1652  */
    break;

  case 2636:
#line 14775 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*"); }
#line 52163 "preproc.c" /* yacc.c:1652  */
    break;

  case 2637:
#line 14776 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("**"); }
#line 52169 "preproc.c" /* yacc.c:1652  */
    break;

  case 2638:
#line 14783 "preproc.y" /* yacc.c:1652  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52178 "preproc.c" /* yacc.c:1652  */
    break;

  case 2639:
#line 14791 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52184 "preproc.c" /* yacc.c:1652  */
    break;

  case 2640:
#line 14794 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52190 "preproc.c" /* yacc.c:1652  */
    break;

  case 2641:
#line 14795 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52196 "preproc.c" /* yacc.c:1652  */
    break;

  case 2642:
#line 14796 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52202 "preproc.c" /* yacc.c:1652  */
    break;

  case 2643:
#line 14797 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52208 "preproc.c" /* yacc.c:1652  */
    break;

  case 2644:
#line 14800 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52214 "preproc.c" /* yacc.c:1652  */
    break;

  case 2645:
#line 14801 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52220 "preproc.c" /* yacc.c:1652  */
    break;

  case 2646:
#line 14802 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52226 "preproc.c" /* yacc.c:1652  */
    break;

  case 2647:
#line 14806 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52232 "preproc.c" /* yacc.c:1652  */
    break;

  case 2648:
#line 14808 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52238 "preproc.c" /* yacc.c:1652  */
    break;

  case 2649:
#line 14815 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52244 "preproc.c" /* yacc.c:1652  */
    break;

  case 2650:
#line 14816 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 52250 "preproc.c" /* yacc.c:1652  */
    break;

  case 2651:
#line 14823 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52260 "preproc.c" /* yacc.c:1652  */
    break;

  case 2652:
#line 14830 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52266 "preproc.c" /* yacc.c:1652  */
    break;

  case 2653:
#line 14831 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52272 "preproc.c" /* yacc.c:1652  */
    break;

  case 2654:
#line 14834 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52278 "preproc.c" /* yacc.c:1652  */
    break;

  case 2655:
#line 14835 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52284 "preproc.c" /* yacc.c:1652  */
    break;

  case 2656:
#line 14839 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52293 "preproc.c" /* yacc.c:1652  */
    break;

  case 2657:
#line 14844 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52302 "preproc.c" /* yacc.c:1652  */
    break;

  case 2658:
#line 14851 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2659:
#line 14856 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52320 "preproc.c" /* yacc.c:1652  */
    break;

  case 2660:
#line 14863 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52329 "preproc.c" /* yacc.c:1652  */
    break;

  case 2663:
#line 14872 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52340 "preproc.c" /* yacc.c:1652  */
    break;

  case 2664:
#line 14878 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2665:
#line 14879 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52352 "preproc.c" /* yacc.c:1652  */
    break;

  case 2666:
#line 14882 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52358 "preproc.c" /* yacc.c:1652  */
    break;

  case 2667:
#line 14883 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52364 "preproc.c" /* yacc.c:1652  */
    break;

  case 2668:
#line 14884 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2669:
#line 14885 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52376 "preproc.c" /* yacc.c:1652  */
    break;

  case 2670:
#line 14886 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52382 "preproc.c" /* yacc.c:1652  */
    break;

  case 2671:
#line 14887 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52388 "preproc.c" /* yacc.c:1652  */
    break;

  case 2672:
#line 14888 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2673:
#line 14889 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52400 "preproc.c" /* yacc.c:1652  */
    break;

  case 2674:
#line 14890 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52406 "preproc.c" /* yacc.c:1652  */
    break;

  case 2675:
#line 14897 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52417 "preproc.c" /* yacc.c:1652  */
    break;

  case 2676:
#line 14904 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52433 "preproc.c" /* yacc.c:1652  */
    break;

  case 2677:
#line 14916 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52443 "preproc.c" /* yacc.c:1652  */
    break;

  case 2678:
#line 14922 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52454 "preproc.c" /* yacc.c:1652  */
    break;

  case 2679:
#line 14929 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52464 "preproc.c" /* yacc.c:1652  */
    break;

  case 2680:
#line 14936 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("output"); }
#line 52470 "preproc.c" /* yacc.c:1652  */
    break;

  case 2681:
#line 14937 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52476 "preproc.c" /* yacc.c:1652  */
    break;

  case 2682:
#line 14950 "preproc.y" /* yacc.c:1652  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52485 "preproc.c" /* yacc.c:1652  */
    break;

  case 2683:
#line 14961 "preproc.y" /* yacc.c:1652  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52494 "preproc.c" /* yacc.c:1652  */
    break;

  case 2684:
#line 14972 "preproc.y" /* yacc.c:1652  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52500 "preproc.c" /* yacc.c:1652  */
    break;

  case 2687:
#line 14980 "preproc.y" /* yacc.c:1652  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2688:
#line 14985 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52512 "preproc.c" /* yacc.c:1652  */
    break;

  case 2691:
#line 14993 "preproc.y" /* yacc.c:1652  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52520 "preproc.c" /* yacc.c:1652  */
    break;

  case 2692:
#line 14999 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52532 "preproc.c" /* yacc.c:1652  */
    break;

  case 2693:
#line 15007 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52540 "preproc.c" /* yacc.c:1652  */
    break;

  case 2694:
#line 15012 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2695:
#line 15020 "preproc.y" /* yacc.c:1652  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52552 "preproc.c" /* yacc.c:1652  */
    break;

  case 2698:
#line 15027 "preproc.y" /* yacc.c:1652  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52558 "preproc.c" /* yacc.c:1652  */
    break;

  case 2699:
#line 15031 "preproc.y" /* yacc.c:1652  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52564 "preproc.c" /* yacc.c:1652  */
    break;

  case 2702:
#line 15039 "preproc.y" /* yacc.c:1652  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52572 "preproc.c" /* yacc.c:1652  */
    break;

  case 2703:
#line 15045 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52584 "preproc.c" /* yacc.c:1652  */
    break;

  case 2704:
#line 15054 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52592 "preproc.c" /* yacc.c:1652  */
    break;

  case 2705:
#line 15059 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52605 "preproc.c" /* yacc.c:1652  */
    break;

  case 2706:
#line 15069 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2707:
#line 15079 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52632 "preproc.c" /* yacc.c:1652  */
    break;

  case 2708:
#line 15090 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52638 "preproc.c" /* yacc.c:1652  */
    break;

  case 2709:
#line 15091 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52644 "preproc.c" /* yacc.c:1652  */
    break;

  case 2710:
#line 15092 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2711:
#line 15093 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52656 "preproc.c" /* yacc.c:1652  */
    break;

  case 2712:
#line 15094 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52662 "preproc.c" /* yacc.c:1652  */
    break;

  case 2713:
#line 15095 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52668 "preproc.c" /* yacc.c:1652  */
    break;

  case 2714:
#line 15096 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2715:
#line 15097 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52680 "preproc.c" /* yacc.c:1652  */
    break;

  case 2716:
#line 15098 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52686 "preproc.c" /* yacc.c:1652  */
    break;

  case 2717:
#line 15099 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52692 "preproc.c" /* yacc.c:1652  */
    break;

  case 2718:
#line 15100 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2719:
#line 15101 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52704 "preproc.c" /* yacc.c:1652  */
    break;

  case 2720:
#line 15102 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52710 "preproc.c" /* yacc.c:1652  */
    break;

  case 2721:
#line 15103 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52716 "preproc.c" /* yacc.c:1652  */
    break;

  case 2722:
#line 15104 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52722 "preproc.c" /* yacc.c:1652  */
    break;

  case 2723:
#line 15111 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52728 "preproc.c" /* yacc.c:1652  */
    break;

  case 2724:
#line 15112 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52734 "preproc.c" /* yacc.c:1652  */
    break;

  case 2725:
#line 15115 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("on"); }
#line 52740 "preproc.c" /* yacc.c:1652  */
    break;

  case 2726:
#line 15116 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("off"); }
#line 52746 "preproc.c" /* yacc.c:1652  */
    break;

  case 2727:
#line 15123 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52752 "preproc.c" /* yacc.c:1652  */
    break;

  case 2728:
#line 15124 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52758 "preproc.c" /* yacc.c:1652  */
    break;

  case 2729:
#line 15125 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52764 "preproc.c" /* yacc.c:1652  */
    break;

  case 2730:
#line 15132 "preproc.y" /* yacc.c:1652  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52774 "preproc.c" /* yacc.c:1652  */
    break;

  case 2731:
#line 15138 "preproc.y" /* yacc.c:1652  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52787 "preproc.c" /* yacc.c:1652  */
    break;

  case 2732:
#line 15148 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52793 "preproc.c" /* yacc.c:1652  */
    break;

  case 2733:
#line 15149 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 52799 "preproc.c" /* yacc.c:1652  */
    break;

  case 2734:
#line 15156 "preproc.y" /* yacc.c:1652  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52809 "preproc.c" /* yacc.c:1652  */
    break;

  case 2735:
#line 15162 "preproc.y" /* yacc.c:1652  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2736:
#line 15226 "preproc.y" /* yacc.c:1652  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52881 "preproc.c" /* yacc.c:1652  */
    break;

  case 2737:
#line 15232 "preproc.y" /* yacc.c:1652  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52891 "preproc.c" /* yacc.c:1652  */
    break;

  case 2738:
#line 15238 "preproc.y" /* yacc.c:1652  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52901 "preproc.c" /* yacc.c:1652  */
    break;

  case 2739:
#line 15246 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2740:
#line 15252 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 52921 "preproc.c" /* yacc.c:1652  */
    break;

  case 2741:
#line 15258 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 52931 "preproc.c" /* yacc.c:1652  */
    break;

  case 2742:
#line 15264 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52941 "preproc.c" /* yacc.c:1652  */
    break;

  case 2743:
#line 15270 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52951 "preproc.c" /* yacc.c:1652  */
    break;

  case 2744:
#line 15276 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 52961 "preproc.c" /* yacc.c:1652  */
    break;

  case 2745:
#line 15282 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 52971 "preproc.c" /* yacc.c:1652  */
    break;

  case 2746:
#line 15288 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52981 "preproc.c" /* yacc.c:1652  */
    break;

  case 2747:
#line 15294 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2748:
#line 15304 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52997 "preproc.c" /* yacc.c:1652  */
    break;

  case 2749:
#line 15305 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53003 "preproc.c" /* yacc.c:1652  */
    break;

  case 2750:
#line 15308 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("break"); }
#line 53009 "preproc.c" /* yacc.c:1652  */
    break;

  case 2751:
#line 15309 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("call"); }
#line 53015 "preproc.c" /* yacc.c:1652  */
    break;

  case 2752:
#line 15310 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 53021 "preproc.c" /* yacc.c:1652  */
    break;

  case 2753:
#line 15311 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("count"); }
#line 53027 "preproc.c" /* yacc.c:1652  */
    break;

  case 2754:
#line 15312 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 53033 "preproc.c" /* yacc.c:1652  */
    break;

  case 2755:
#line 15313 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 53039 "preproc.c" /* yacc.c:1652  */
    break;

  case 2756:
#line 15314 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("found"); }
#line 53045 "preproc.c" /* yacc.c:1652  */
    break;

  case 2757:
#line 15315 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("go"); }
#line 53051 "preproc.c" /* yacc.c:1652  */
    break;

  case 2758:
#line 15316 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("goto"); }
#line 53057 "preproc.c" /* yacc.c:1652  */
    break;

  case 2759:
#line 15317 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("identified"); }
#line 53063 "preproc.c" /* yacc.c:1652  */
    break;

  case 2760:
#line 15318 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 53069 "preproc.c" /* yacc.c:1652  */
    break;

  case 2761:
#line 15319 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 53075 "preproc.c" /* yacc.c:1652  */
    break;

  case 2762:
#line 15320 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("length"); }
#line 53081 "preproc.c" /* yacc.c:1652  */
    break;

  case 2763:
#line 15321 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 53087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2764:
#line 15322 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 53093 "preproc.c" /* yacc.c:1652  */
    break;

  case 2765:
#line 15323 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 53099 "preproc.c" /* yacc.c:1652  */
    break;

  case 2766:
#line 15324 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 53105 "preproc.c" /* yacc.c:1652  */
    break;

  case 2767:
#line 15325 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("scale"); }
#line 53111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2768:
#line 15326 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("section"); }
#line 53117 "preproc.c" /* yacc.c:1652  */
    break;

  case 2769:
#line 15327 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 53123 "preproc.c" /* yacc.c:1652  */
    break;

  case 2770:
#line 15328 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 53129 "preproc.c" /* yacc.c:1652  */
    break;

  case 2771:
#line 15329 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 53135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2772:
#line 15330 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("stop"); }
#line 53141 "preproc.c" /* yacc.c:1652  */
    break;

  case 2773:
#line 15333 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53147 "preproc.c" /* yacc.c:1652  */
    break;

  case 2774:
#line 15334 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53153 "preproc.c" /* yacc.c:1652  */
    break;

  case 2775:
#line 15335 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2776:
#line 15336 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("open"); }
#line 53165 "preproc.c" /* yacc.c:1652  */
    break;

  case 2777:
#line 15337 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("var"); }
#line 53171 "preproc.c" /* yacc.c:1652  */
    break;

  case 2778:
#line 15338 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53177 "preproc.c" /* yacc.c:1652  */
    break;

  case 2779:
#line 15342 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2780:
#line 15343 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("long"); }
#line 53189 "preproc.c" /* yacc.c:1652  */
    break;

  case 2781:
#line 15344 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("output"); }
#line 53195 "preproc.c" /* yacc.c:1652  */
    break;

  case 2782:
#line 15345 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("short"); }
#line 53201 "preproc.c" /* yacc.c:1652  */
    break;

  case 2783:
#line 15346 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2784:
#line 15347 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53213 "preproc.c" /* yacc.c:1652  */
    break;

  case 2785:
#line 15348 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53219 "preproc.c" /* yacc.c:1652  */
    break;

  case 2786:
#line 15351 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53225 "preproc.c" /* yacc.c:1652  */
    break;

  case 2787:
#line 15354 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53231 "preproc.c" /* yacc.c:1652  */
    break;

  case 2788:
#line 15355 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53237 "preproc.c" /* yacc.c:1652  */
    break;

  case 2789:
#line 15356 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53243 "preproc.c" /* yacc.c:1652  */
    break;

  case 2790:
#line 15357 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53249 "preproc.c" /* yacc.c:1652  */
    break;

  case 2791:
#line 15358 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53255 "preproc.c" /* yacc.c:1652  */
    break;

  case 2792:
#line 15359 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53261 "preproc.c" /* yacc.c:1652  */
    break;

  case 2793:
#line 15360 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 53267 "preproc.c" /* yacc.c:1652  */
    break;

  case 2794:
#line 15361 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 53273 "preproc.c" /* yacc.c:1652  */
    break;

  case 2795:
#line 15374 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53279 "preproc.c" /* yacc.c:1652  */
    break;

  case 2796:
#line 15375 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53285 "preproc.c" /* yacc.c:1652  */
    break;

  case 2797:
#line 15376 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53291 "preproc.c" /* yacc.c:1652  */
    break;

  case 2798:
#line 15377 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53297 "preproc.c" /* yacc.c:1652  */
    break;

  case 2799:
#line 15378 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53303 "preproc.c" /* yacc.c:1652  */
    break;

  case 2800:
#line 15379 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 53309 "preproc.c" /* yacc.c:1652  */
    break;

  case 2801:
#line 15380 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 53315 "preproc.c" /* yacc.c:1652  */
    break;

  case 2802:
#line 15385 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53321 "preproc.c" /* yacc.c:1652  */
    break;

  case 2803:
#line 15386 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2804:
#line 15387 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53333 "preproc.c" /* yacc.c:1652  */
    break;

  case 2805:
#line 15388 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53339 "preproc.c" /* yacc.c:1652  */
    break;

  case 2806:
#line 15389 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53345 "preproc.c" /* yacc.c:1652  */
    break;

  case 2807:
#line 15390 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2808:
#line 15396 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53357 "preproc.c" /* yacc.c:1652  */
    break;

  case 2809:
#line 15397 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53363 "preproc.c" /* yacc.c:1652  */
    break;

  case 2810:
#line 15398 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 53369 "preproc.c" /* yacc.c:1652  */
    break;

  case 2811:
#line 15399 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("current"); }
#line 53375 "preproc.c" /* yacc.c:1652  */
    break;

  case 2812:
#line 15400 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("input"); }
#line 53381 "preproc.c" /* yacc.c:1652  */
    break;

  case 2813:
#line 15401 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("int"); }
#line 53387 "preproc.c" /* yacc.c:1652  */
    break;

  case 2814:
#line 15402 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("to"); }
#line 53393 "preproc.c" /* yacc.c:1652  */
    break;

  case 2815:
#line 15403 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("union"); }
#line 53399 "preproc.c" /* yacc.c:1652  */
    break;

  case 2816:
#line 15404 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 53405 "preproc.c" /* yacc.c:1652  */
    break;

  case 2817:
#line 15405 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53411 "preproc.c" /* yacc.c:1652  */
    break;

  case 2818:
#line 15406 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53417 "preproc.c" /* yacc.c:1652  */
    break;

  case 2819:
#line 15409 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53423 "preproc.c" /* yacc.c:1652  */
    break;

  case 2820:
#line 15410 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53429 "preproc.c" /* yacc.c:1652  */
    break;

  case 2821:
#line 15411 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53435 "preproc.c" /* yacc.c:1652  */
    break;

  case 2822:
#line 15412 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53441 "preproc.c" /* yacc.c:1652  */
    break;

  case 2823:
#line 15413 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2824:
#line 15416 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53453 "preproc.c" /* yacc.c:1652  */
    break;

  case 2825:
#line 15417 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53459 "preproc.c" /* yacc.c:1652  */
    break;

  case 2826:
#line 15418 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53465 "preproc.c" /* yacc.c:1652  */
    break;

  case 2827:
#line 15419 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2828:
#line 15422 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53477 "preproc.c" /* yacc.c:1652  */
    break;

  case 2829:
#line 15423 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 53483 "preproc.c" /* yacc.c:1652  */
    break;

  case 2830:
#line 15424 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53489 "preproc.c" /* yacc.c:1652  */
    break;

  case 2831:
#line 15425 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 53495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2832:
#line 15426 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 53501 "preproc.c" /* yacc.c:1652  */
    break;

  case 2833:
#line 15427 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53507 "preproc.c" /* yacc.c:1652  */
    break;

  case 2834:
#line 15428 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53513 "preproc.c" /* yacc.c:1652  */
    break;

  case 2835:
#line 15445 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53519 "preproc.c" /* yacc.c:1652  */
    break;

  case 2836:
#line 15446 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53525 "preproc.c" /* yacc.c:1652  */
    break;

  case 2837:
#line 15447 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53531 "preproc.c" /* yacc.c:1652  */
    break;

  case 2838:
#line 15450 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("day"); }
#line 53537 "preproc.c" /* yacc.c:1652  */
    break;

  case 2839:
#line 15451 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53543 "preproc.c" /* yacc.c:1652  */
    break;

  case 2840:
#line 15452 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53549 "preproc.c" /* yacc.c:1652  */
    break;

  case 2841:
#line 15453 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month"); }
#line 53555 "preproc.c" /* yacc.c:1652  */
    break;

  case 2842:
#line 15454 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("second"); }
#line 53561 "preproc.c" /* yacc.c:1652  */
    break;

  case 2843:
#line 15455 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year"); }
#line 53567 "preproc.c" /* yacc.c:1652  */
    break;

  case 2846:
#line 15462 "preproc.y" /* yacc.c:1652  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53576 "preproc.c" /* yacc.c:1652  */
    break;

  case 2847:
#line 15468 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 53582 "preproc.c" /* yacc.c:1652  */
    break;

  case 2848:
#line 15469 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53588 "preproc.c" /* yacc.c:1652  */
    break;

  case 2849:
#line 15473 "preproc.y" /* yacc.c:1652  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2850:
#line 15475 "preproc.y" /* yacc.c:1652  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53600 "preproc.c" /* yacc.c:1652  */
    break;

  case 2851:
#line 15480 "preproc.y" /* yacc.c:1652  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53612 "preproc.c" /* yacc.c:1652  */
    break;

  case 2852:
#line 15490 "preproc.y" /* yacc.c:1652  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53625 "preproc.c" /* yacc.c:1652  */
    break;

  case 2853:
#line 15501 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2854:
#line 15507 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53640 "preproc.c" /* yacc.c:1652  */
    break;

  case 2855:
#line 15508 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53646 "preproc.c" /* yacc.c:1652  */
    break;

  case 2856:
#line 15509 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53652 "preproc.c" /* yacc.c:1652  */
    break;

  case 2857:
#line 15513 "preproc.y" /* yacc.c:1652  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2858:
#line 15545 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53693 "preproc.c" /* yacc.c:1652  */
    break;

  case 2859:
#line 15547 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53699 "preproc.c" /* yacc.c:1652  */
    break;

  case 2860:
#line 15549 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53705 "preproc.c" /* yacc.c:1652  */
    break;

  case 2861:
#line 15553 "preproc.y" /* yacc.c:1652  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2862:
#line 15563 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53733 "preproc.c" /* yacc.c:1652  */
    break;

  case 2863:
#line 15573 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53747 "preproc.c" /* yacc.c:1652  */
    break;

  case 2864:
#line 15582 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53753 "preproc.c" /* yacc.c:1652  */
    break;

  case 2865:
#line 15583 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53759 "preproc.c" /* yacc.c:1652  */
    break;

  case 2866:
#line 15586 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53765 "preproc.c" /* yacc.c:1652  */
    break;

  case 2867:
#line 15588 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53771 "preproc.c" /* yacc.c:1652  */
    break;

  case 2868:
#line 15589 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53777 "preproc.c" /* yacc.c:1652  */
    break;

  case 2869:
#line 15590 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2870:
#line 15594 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53789 "preproc.c" /* yacc.c:1652  */
    break;

  case 2871:
#line 15596 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53795 "preproc.c" /* yacc.c:1652  */
    break;

  case 2872:
#line 15603 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53801 "preproc.c" /* yacc.c:1652  */
    break;

  case 2873:
#line 15604 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("()"); }
#line 53807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2874:
#line 15606 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53813 "preproc.c" /* yacc.c:1652  */
    break;

  case 2875:
#line 15609 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53819 "preproc.c" /* yacc.c:1652  */
    break;

  case 2876:
#line 15611 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53825 "preproc.c" /* yacc.c:1652  */
    break;

  case 2877:
#line 15614 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2878:
#line 15615 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53837 "preproc.c" /* yacc.c:1652  */
    break;

  case 2879:
#line 15618 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53843 "preproc.c" /* yacc.c:1652  */
    break;

  case 2880:
#line 15619 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53849 "preproc.c" /* yacc.c:1652  */
    break;

  case 2881:
#line 15622 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2882:
#line 15623 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("("); }
#line 53861 "preproc.c" /* yacc.c:1652  */
    break;

  case 2883:
#line 15624 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(")"); }
#line 53867 "preproc.c" /* yacc.c:1652  */
    break;

  case 2884:
#line 15625 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(","); }
#line 53873 "preproc.c" /* yacc.c:1652  */
    break;

  case 2885:
#line 15626 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(";"); }
#line 53879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2886:
#line 15629 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53885 "preproc.c" /* yacc.c:1652  */
    break;

  case 2887:
#line 15630 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53891 "preproc.c" /* yacc.c:1652  */
    break;

  case 2888:
#line 15631 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53897 "preproc.c" /* yacc.c:1652  */
    break;

  case 2889:
#line 15632 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53903 "preproc.c" /* yacc.c:1652  */
    break;

  case 2890:
#line 15633 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*"); }
#line 53909 "preproc.c" /* yacc.c:1652  */
    break;

  case 2891:
#line 15634 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("+"); }
#line 53915 "preproc.c" /* yacc.c:1652  */
    break;

  case 2892:
#line 15635 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("-"); }
#line 53921 "preproc.c" /* yacc.c:1652  */
    break;

  case 2893:
#line 15636 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("/"); }
#line 53927 "preproc.c" /* yacc.c:1652  */
    break;

  case 2894:
#line 15637 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("%"); }
#line 53933 "preproc.c" /* yacc.c:1652  */
    break;

  case 2895:
#line 15638 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53939 "preproc.c" /* yacc.c:1652  */
    break;

  case 2896:
#line 15639 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("+="); }
#line 53945 "preproc.c" /* yacc.c:1652  */
    break;

  case 2897:
#line 15640 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("&&"); }
#line 53951 "preproc.c" /* yacc.c:1652  */
    break;

  case 2898:
#line 15641 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 53957 "preproc.c" /* yacc.c:1652  */
    break;

  case 2899:
#line 15642 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53963 "preproc.c" /* yacc.c:1652  */
    break;

  case 2900:
#line 15643 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 53969 "preproc.c" /* yacc.c:1652  */
    break;

  case 2901:
#line 15644 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("--"); }
#line 53975 "preproc.c" /* yacc.c:1652  */
    break;

  case 2902:
#line 15645 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("/="); }
#line 53981 "preproc.c" /* yacc.c:1652  */
    break;

  case 2903:
#line 15646 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(".*"); }
#line 53987 "preproc.c" /* yacc.c:1652  */
    break;

  case 2904:
#line 15647 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("=="); }
#line 53993 "preproc.c" /* yacc.c:1652  */
    break;

  case 2905:
#line 15648 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53999 "preproc.c" /* yacc.c:1652  */
    break;

  case 2906:
#line 15649 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("++"); }
#line 54005 "preproc.c" /* yacc.c:1652  */
    break;

  case 2907:
#line 15650 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("<<"); }
#line 54011 "preproc.c" /* yacc.c:1652  */
    break;

  case 2908:
#line 15651 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("->"); }
#line 54017 "preproc.c" /* yacc.c:1652  */
    break;

  case 2909:
#line 15652 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("->*"); }
#line 54023 "preproc.c" /* yacc.c:1652  */
    break;

  case 2910:
#line 15653 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("%="); }
#line 54029 "preproc.c" /* yacc.c:1652  */
    break;

  case 2911:
#line 15654 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*="); }
#line 54035 "preproc.c" /* yacc.c:1652  */
    break;

  case 2912:
#line 15655 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("!="); }
#line 54041 "preproc.c" /* yacc.c:1652  */
    break;

  case 2913:
#line 15656 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("||"); }
#line 54047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2914:
#line 15657 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 54053 "preproc.c" /* yacc.c:1652  */
    break;

  case 2915:
#line 15658 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(">>"); }
#line 54059 "preproc.c" /* yacc.c:1652  */
    break;

  case 2916:
#line 15659 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 54065 "preproc.c" /* yacc.c:1652  */
    break;

  case 2917:
#line 15660 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("-="); }
#line 54071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2918:
#line 15661 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 54077 "preproc.c" /* yacc.c:1652  */
    break;

  case 2919:
#line 15662 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54083 "preproc.c" /* yacc.c:1652  */
    break;

  case 2920:
#line 15663 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("bool"); }
#line 54089 "preproc.c" /* yacc.c:1652  */
    break;

  case 2921:
#line 15664 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("enum"); }
#line 54095 "preproc.c" /* yacc.c:1652  */
    break;

  case 2922:
#line 15665 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("hour"); }
#line 54101 "preproc.c" /* yacc.c:1652  */
    break;

  case 2923:
#line 15666 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("int"); }
#line 54107 "preproc.c" /* yacc.c:1652  */
    break;

  case 2924:
#line 15667 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("long"); }
#line 54113 "preproc.c" /* yacc.c:1652  */
    break;

  case 2925:
#line 15668 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("minute"); }
#line 54119 "preproc.c" /* yacc.c:1652  */
    break;

  case 2926:
#line 15669 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month"); }
#line 54125 "preproc.c" /* yacc.c:1652  */
    break;

  case 2927:
#line 15670 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("second"); }
#line 54131 "preproc.c" /* yacc.c:1652  */
    break;

  case 2928:
#line 15671 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("short"); }
#line 54137 "preproc.c" /* yacc.c:1652  */
    break;

  case 2929:
#line 15672 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("signed"); }
#line 54143 "preproc.c" /* yacc.c:1652  */
    break;

  case 2930:
#line 15673 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54149 "preproc.c" /* yacc.c:1652  */
    break;

  case 2931:
#line 15674 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54155 "preproc.c" /* yacc.c:1652  */
    break;

  case 2932:
#line 15675 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year"); }
#line 54161 "preproc.c" /* yacc.c:1652  */
    break;

  case 2933:
#line 15676 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 54167 "preproc.c" /* yacc.c:1652  */
    break;

  case 2934:
#line 15677 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("float"); }
#line 54173 "preproc.c" /* yacc.c:1652  */
    break;

  case 2935:
#line 15678 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("to"); }
#line 54179 "preproc.c" /* yacc.c:1652  */
    break;

  case 2936:
#line 15679 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("union"); }
#line 54185 "preproc.c" /* yacc.c:1652  */
    break;

  case 2937:
#line 15680 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2938:
#line 15681 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("["); }
#line 54197 "preproc.c" /* yacc.c:1652  */
    break;

  case 2939:
#line 15682 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("]"); }
#line 54203 "preproc.c" /* yacc.c:1652  */
    break;

  case 2940:
#line 15683 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("="); }
#line 54209 "preproc.c" /* yacc.c:1652  */
    break;

  case 2941:
#line 15684 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(":"); }
#line 54215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2942:
#line 15687 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54221 "preproc.c" /* yacc.c:1652  */
    break;

  case 2943:
#line 15688 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54227 "preproc.c" /* yacc.c:1652  */
    break;

  case 2944:
#line 15689 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 54233 "preproc.c" /* yacc.c:1652  */
    break;

  case 2945:
#line 15690 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 54239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2946:
#line 15693 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54245 "preproc.c" /* yacc.c:1652  */
    break;

  case 2947:
#line 15694 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54251 "preproc.c" /* yacc.c:1652  */
    break;

  case 2948:
#line 15695 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54257 "preproc.c" /* yacc.c:1652  */
    break;

  case 2949:
#line 15696 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2950:
#line 15697 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54269 "preproc.c" /* yacc.c:1652  */
    break;

  case 2951:
#line 15698 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54275 "preproc.c" /* yacc.c:1652  */
    break;

  case 2952:
#line 15699 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54281 "preproc.c" /* yacc.c:1652  */
    break;

  case 2953:
#line 15700 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54287 "preproc.c" /* yacc.c:1652  */
    break;

  case 2954:
#line 15701 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54293 "preproc.c" /* yacc.c:1652  */
    break;

  case 2955:
#line 15702 "preproc.y" /* yacc.c:1652  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54303 "preproc.c" /* yacc.c:1652  */
    break;

  case 2956:
#line 15709 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54309 "preproc.c" /* yacc.c:1652  */
    break;

  case 2957:
#line 15710 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54315 "preproc.c" /* yacc.c:1652  */
    break;

  case 2958:
#line 15711 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54321 "preproc.c" /* yacc.c:1652  */
    break;

  case 2959:
#line 15712 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2960:
#line 15715 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54333 "preproc.c" /* yacc.c:1652  */
    break;

  case 2961:
#line 15716 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54339 "preproc.c" /* yacc.c:1652  */
    break;

  case 2962:
#line 15719 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54345 "preproc.c" /* yacc.c:1652  */
    break;

  case 2963:
#line 15720 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2964:
#line 15723 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54357 "preproc.c" /* yacc.c:1652  */
    break;

  case 2965:
#line 15725 "preproc.y" /* yacc.c:1652  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2966:
#line 15735 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 54376 "preproc.c" /* yacc.c:1652  */
    break;

  case 2967:
#line 15736 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54382 "preproc.c" /* yacc.c:1652  */
    break;


#line 54386 "preproc.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15739 "preproc.y" /* yacc.c:1918  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
